#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 1300
#define LARGE_STATE_COUNT 355
#define SYMBOL_COUNT 306
#define ALIAS_COUNT 1
#define TOKEN_COUNT 135
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 37
#define MAX_ALIAS_SEQUENCE_LENGTH 11
#define PRODUCTION_ID_COUNT 238

enum {
  sym_identifier = 1,
  sym_decimal_integer_literal = 2,
  sym_hex_integer_literal = 3,
  sym_octal_integer_literal = 4,
  sym_binary_integer_literal = 5,
  sym_decimal_floating_point_literal = 6,
  sym_hex_floating_point_literal = 7,
  sym_true = 8,
  sym_false = 9,
  sym_character_literal = 10,
  anon_sym_DQUOTE = 11,
  anon_sym_DQUOTE_DQUOTE_DQUOTE = 12,
  sym_string_fragment = 13,
  aux_sym__multiline_string_fragment_token1 = 14,
  aux_sym__multiline_string_fragment_token2 = 15,
  aux_sym__escape_sequence_token1 = 16,
  sym_escape_sequence = 17,
  sym_null_literal = 18,
  anon_sym_LPAREN = 19,
  anon_sym_AMP = 20,
  anon_sym_RPAREN = 21,
  anon_sym_EQ = 22,
  anon_sym_PLUS_EQ = 23,
  anon_sym_DASH_EQ = 24,
  anon_sym_STAR_EQ = 25,
  anon_sym_SLASH_EQ = 26,
  anon_sym_AMP_EQ = 27,
  anon_sym_PIPE_EQ = 28,
  anon_sym_CARET_EQ = 29,
  anon_sym_PERCENT_EQ = 30,
  anon_sym_LT_LT_EQ = 31,
  anon_sym_GT_GT_EQ = 32,
  anon_sym_GT_GT_GT_EQ = 33,
  anon_sym_GT = 34,
  anon_sym_LT = 35,
  anon_sym_GT_EQ = 36,
  anon_sym_LT_EQ = 37,
  anon_sym_EQ_EQ = 38,
  anon_sym_BANG_EQ = 39,
  anon_sym_AMP_AMP = 40,
  anon_sym_PIPE_PIPE = 41,
  anon_sym_PLUS = 42,
  anon_sym_DASH = 43,
  anon_sym_STAR = 44,
  anon_sym_SLASH = 45,
  anon_sym_PIPE = 46,
  anon_sym_CARET = 47,
  anon_sym_PERCENT = 48,
  anon_sym_LT_LT = 49,
  anon_sym_GT_GT = 50,
  anon_sym_GT_GT_GT = 51,
  anon_sym_instanceof = 52,
  anon_sym_final = 53,
  anon_sym_DASH_GT = 54,
  anon_sym_COMMA = 55,
  anon_sym_QMARK = 56,
  anon_sym_COLON = 57,
  anon_sym_BANG = 58,
  anon_sym_TILDE = 59,
  anon_sym_PLUS_PLUS = 60,
  anon_sym_DASH_DASH = 61,
  anon_sym_new = 62,
  anon_sym_LBRACK = 63,
  anon_sym_RBRACK = 64,
  anon_sym_DOT = 65,
  anon_sym_class = 66,
  anon_sym_COLON_COLON = 67,
  anon_sym_extends = 68,
  anon_sym_switch = 69,
  anon_sym_LBRACE = 70,
  anon_sym_RBRACE = 71,
  anon_sym_case = 72,
  anon_sym_default = 73,
  anon_sym_SEMI = 74,
  anon_sym_assert = 75,
  anon_sym_do = 76,
  anon_sym_while = 77,
  anon_sym_break = 78,
  anon_sym_continue = 79,
  anon_sym_return = 80,
  anon_sym_yield = 81,
  anon_sym_synchronized = 82,
  anon_sym_throw = 83,
  anon_sym_try = 84,
  anon_sym_catch = 85,
  anon_sym_finally = 86,
  anon_sym_if = 87,
  anon_sym_else = 88,
  anon_sym_for = 89,
  anon_sym_AT = 90,
  anon_sym_open = 91,
  anon_sym_module = 92,
  anon_sym_requires = 93,
  anon_sym_transitive = 94,
  anon_sym_static = 95,
  anon_sym_exports = 96,
  anon_sym_to = 97,
  anon_sym_opens = 98,
  anon_sym_uses = 99,
  anon_sym_provides = 100,
  anon_sym_with = 101,
  anon_sym_package = 102,
  anon_sym_import = 103,
  anon_sym_enum = 104,
  anon_sym_public = 105,
  anon_sym_protected = 106,
  anon_sym_private = 107,
  anon_sym_abstract = 108,
  anon_sym_strictfp = 109,
  anon_sym_native = 110,
  anon_sym_transient = 111,
  anon_sym_volatile = 112,
  anon_sym_sealed = 113,
  anon_sym_non_DASHsealed = 114,
  anon_sym_implements = 115,
  anon_sym_permits = 116,
  anon_sym_record = 117,
  anon_sym_ATinterface = 118,
  anon_sym_interface = 119,
  anon_sym_byte = 120,
  anon_sym_short = 121,
  anon_sym_int = 122,
  anon_sym_long = 123,
  anon_sym_char = 124,
  anon_sym_float = 125,
  anon_sym_double = 126,
  sym_boolean_type = 127,
  sym_void_type = 128,
  anon_sym_DOT_DOT_DOT = 129,
  anon_sym_throws = 130,
  sym_this = 131,
  sym_super = 132,
  sym_line_comment = 133,
  sym_block_comment = 134,
  sym_program = 135,
  sym__literal = 136,
  sym_string_literal = 137,
  sym__string_literal = 138,
  sym__multiline_string_literal = 139,
  sym__multiline_string_fragment = 140,
  sym__escape_sequence = 141,
  sym_expression = 142,
  sym_cast_expression = 143,
  sym_assignment_expression = 144,
  sym_binary_expression = 145,
  sym_instanceof_expression = 146,
  sym_lambda_expression = 147,
  sym_inferred_parameters = 148,
  sym_ternary_expression = 149,
  sym_unary_expression = 150,
  sym_update_expression = 151,
  sym_primary_expression = 152,
  sym_array_creation_expression = 153,
  sym_dimensions_expr = 154,
  sym_parenthesized_expression = 155,
  sym_condition = 156,
  sym_class_literal = 157,
  sym_object_creation_expression = 158,
  sym__unqualified_object_creation_expression = 159,
  sym_field_access = 160,
  sym_array_access = 161,
  sym_method_invocation = 162,
  sym_argument_list = 163,
  sym_method_reference = 164,
  sym_type_arguments = 165,
  sym_wildcard = 166,
  sym__wildcard_bounds = 167,
  sym_dimensions = 168,
  sym_switch_expression = 169,
  sym_switch_block = 170,
  sym_switch_block_statement_group = 171,
  sym_switch_rule = 172,
  sym_switch_label = 173,
  sym_statement = 174,
  sym_block = 175,
  sym_expression_statement = 176,
  sym_labeled_statement = 177,
  sym_assert_statement = 178,
  sym_do_statement = 179,
  sym_break_statement = 180,
  sym_continue_statement = 181,
  sym_return_statement = 182,
  sym_yield_statement = 183,
  sym_synchronized_statement = 184,
  sym_throw_statement = 185,
  sym_try_statement = 186,
  sym_catch_clause = 187,
  sym_catch_formal_parameter = 188,
  sym_catch_type = 189,
  sym_finally_clause = 190,
  sym_try_with_resources_statement = 191,
  sym_resource_specification = 192,
  sym_resource = 193,
  sym_if_statement = 194,
  sym_while_statement = 195,
  sym_for_statement = 196,
  sym_enhanced_for_statement = 197,
  sym__annotation = 198,
  sym_marker_annotation = 199,
  sym_annotation = 200,
  sym_annotation_argument_list = 201,
  sym_element_value_pair = 202,
  sym__element_value = 203,
  sym_element_value_array_initializer = 204,
  sym_declaration = 205,
  sym_module_declaration = 206,
  sym_module_body = 207,
  sym_module_directive = 208,
  sym_requires_module_directive = 209,
  sym_requires_modifier = 210,
  sym_exports_module_directive = 211,
  sym_opens_module_directive = 212,
  sym_uses_module_directive = 213,
  sym_provides_module_directive = 214,
  sym_package_declaration = 215,
  sym_import_declaration = 216,
  sym_asterisk = 217,
  sym_enum_declaration = 218,
  sym_enum_body = 219,
  sym_enum_body_declarations = 220,
  sym_enum_constant = 221,
  sym_class_declaration = 222,
  sym_modifiers = 223,
  sym_type_parameters = 224,
  sym_type_parameter = 225,
  sym_type_bound = 226,
  sym_superclass = 227,
  sym_super_interfaces = 228,
  sym_type_list = 229,
  sym_permits = 230,
  sym_class_body = 231,
  sym_static_initializer = 232,
  sym_constructor_declaration = 233,
  sym__constructor_declarator = 234,
  sym_constructor_body = 235,
  sym_explicit_constructor_invocation = 236,
  sym_scoped_identifier = 237,
  sym_field_declaration = 238,
  sym_record_declaration = 239,
  sym_annotation_type_declaration = 240,
  sym_annotation_type_body = 241,
  sym_annotation_type_element_declaration = 242,
  sym__default_value = 243,
  sym_interface_declaration = 244,
  sym_extends_interfaces = 245,
  sym_interface_body = 246,
  sym_constant_declaration = 247,
  sym__variable_declarator_list = 248,
  sym_variable_declarator = 249,
  sym__variable_declarator_id = 250,
  sym_array_initializer = 251,
  sym__type = 252,
  sym__unannotated_type = 253,
  sym_annotated_type = 254,
  sym_scoped_type_identifier = 255,
  sym_generic_type = 256,
  sym_array_type = 257,
  sym_integral_type = 258,
  sym_floating_point_type = 259,
  sym__method_header = 260,
  sym__method_declarator = 261,
  sym_formal_parameters = 262,
  sym_formal_parameter = 263,
  sym_receiver_parameter = 264,
  sym_spread_parameter = 265,
  sym_throws = 266,
  sym_local_variable_declaration = 267,
  sym_method_declaration = 268,
  sym_compact_constructor_declaration = 269,
  aux_sym_program_repeat1 = 270,
  aux_sym__string_literal_repeat1 = 271,
  aux_sym__multiline_string_literal_repeat1 = 272,
  aux_sym__multiline_string_fragment_repeat1 = 273,
  aux_sym_cast_expression_repeat1 = 274,
  aux_sym_inferred_parameters_repeat1 = 275,
  aux_sym_array_creation_expression_repeat1 = 276,
  aux_sym_array_creation_expression_repeat2 = 277,
  aux_sym_argument_list_repeat1 = 278,
  aux_sym_type_arguments_repeat1 = 279,
  aux_sym_dimensions_repeat1 = 280,
  aux_sym_switch_block_repeat1 = 281,
  aux_sym_switch_block_repeat2 = 282,
  aux_sym_switch_block_statement_group_repeat1 = 283,
  aux_sym_try_statement_repeat1 = 284,
  aux_sym_catch_type_repeat1 = 285,
  aux_sym_resource_specification_repeat1 = 286,
  aux_sym_for_statement_repeat1 = 287,
  aux_sym_for_statement_repeat2 = 288,
  aux_sym_annotation_argument_list_repeat1 = 289,
  aux_sym_element_value_array_initializer_repeat1 = 290,
  aux_sym_module_body_repeat1 = 291,
  aux_sym_requires_module_directive_repeat1 = 292,
  aux_sym_exports_module_directive_repeat1 = 293,
  aux_sym_provides_module_directive_repeat1 = 294,
  aux_sym_enum_body_repeat1 = 295,
  aux_sym_enum_body_declarations_repeat1 = 296,
  aux_sym_modifiers_repeat1 = 297,
  aux_sym_type_parameters_repeat1 = 298,
  aux_sym_type_bound_repeat1 = 299,
  aux_sym_type_list_repeat1 = 300,
  aux_sym_annotation_type_body_repeat1 = 301,
  aux_sym_interface_body_repeat1 = 302,
  aux_sym__variable_declarator_list_repeat1 = 303,
  aux_sym_array_initializer_repeat1 = 304,
  aux_sym_formal_parameters_repeat1 = 305,
  alias_sym_type_identifier = 306,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [sym_decimal_integer_literal] = "decimal_integer_literal",
  [sym_hex_integer_literal] = "hex_integer_literal",
  [sym_octal_integer_literal] = "octal_integer_literal",
  [sym_binary_integer_literal] = "binary_integer_literal",
  [sym_decimal_floating_point_literal] = "decimal_floating_point_literal",
  [sym_hex_floating_point_literal] = "hex_floating_point_literal",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_character_literal] = "character_literal",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = "\"\"\"",
  [sym_string_fragment] = "string_fragment",
  [aux_sym__multiline_string_fragment_token1] = "_multiline_string_fragment_token1",
  [aux_sym__multiline_string_fragment_token2] = "_multiline_string_fragment_token2",
  [aux_sym__escape_sequence_token1] = "_escape_sequence_token1",
  [sym_escape_sequence] = "escape_sequence",
  [sym_null_literal] = "null_literal",
  [anon_sym_LPAREN] = "(",
  [anon_sym_AMP] = "&",
  [anon_sym_RPAREN] = ")",
  [anon_sym_EQ] = "=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_GT] = ">",
  [anon_sym_LT] = "<",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_PERCENT] = "%",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_instanceof] = "instanceof",
  [anon_sym_final] = "final",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_COMMA] = ",",
  [anon_sym_QMARK] = "\?",
  [anon_sym_COLON] = ":",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_new] = "new",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_DOT] = ".",
  [anon_sym_class] = "class",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_extends] = "extends",
  [anon_sym_switch] = "switch",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_SEMI] = ";",
  [anon_sym_assert] = "assert",
  [anon_sym_do] = "do",
  [anon_sym_while] = "while",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_return] = "return",
  [anon_sym_yield] = "yield",
  [anon_sym_synchronized] = "synchronized",
  [anon_sym_throw] = "throw",
  [anon_sym_try] = "try",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_for] = "for",
  [anon_sym_AT] = "@",
  [anon_sym_open] = "open",
  [anon_sym_module] = "module",
  [anon_sym_requires] = "requires",
  [anon_sym_transitive] = "transitive",
  [anon_sym_static] = "static",
  [anon_sym_exports] = "exports",
  [anon_sym_to] = "to",
  [anon_sym_opens] = "opens",
  [anon_sym_uses] = "uses",
  [anon_sym_provides] = "provides",
  [anon_sym_with] = "with",
  [anon_sym_package] = "package",
  [anon_sym_import] = "import",
  [anon_sym_enum] = "enum",
  [anon_sym_public] = "public",
  [anon_sym_protected] = "protected",
  [anon_sym_private] = "private",
  [anon_sym_abstract] = "abstract",
  [anon_sym_strictfp] = "strictfp",
  [anon_sym_native] = "native",
  [anon_sym_transient] = "transient",
  [anon_sym_volatile] = "volatile",
  [anon_sym_sealed] = "sealed",
  [anon_sym_non_DASHsealed] = "non-sealed",
  [anon_sym_implements] = "implements",
  [anon_sym_permits] = "permits",
  [anon_sym_record] = "record",
  [anon_sym_ATinterface] = "@interface",
  [anon_sym_interface] = "interface",
  [anon_sym_byte] = "byte",
  [anon_sym_short] = "short",
  [anon_sym_int] = "int",
  [anon_sym_long] = "long",
  [anon_sym_char] = "char",
  [anon_sym_float] = "float",
  [anon_sym_double] = "double",
  [sym_boolean_type] = "boolean_type",
  [sym_void_type] = "void_type",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_throws] = "throws",
  [sym_this] = "this",
  [sym_super] = "super",
  [sym_line_comment] = "line_comment",
  [sym_block_comment] = "block_comment",
  [sym_program] = "program",
  [sym__literal] = "_literal",
  [sym_string_literal] = "string_literal",
  [sym__string_literal] = "_string_literal",
  [sym__multiline_string_literal] = "_multiline_string_literal",
  [sym__multiline_string_fragment] = "multiline_string_fragment",
  [sym__escape_sequence] = "_escape_sequence",
  [sym_expression] = "expression",
  [sym_cast_expression] = "cast_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_instanceof_expression] = "instanceof_expression",
  [sym_lambda_expression] = "lambda_expression",
  [sym_inferred_parameters] = "inferred_parameters",
  [sym_ternary_expression] = "ternary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_update_expression] = "update_expression",
  [sym_primary_expression] = "primary_expression",
  [sym_array_creation_expression] = "array_creation_expression",
  [sym_dimensions_expr] = "dimensions_expr",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_condition] = "condition",
  [sym_class_literal] = "class_literal",
  [sym_object_creation_expression] = "object_creation_expression",
  [sym__unqualified_object_creation_expression] = "_unqualified_object_creation_expression",
  [sym_field_access] = "field_access",
  [sym_array_access] = "array_access",
  [sym_method_invocation] = "method_invocation",
  [sym_argument_list] = "argument_list",
  [sym_method_reference] = "method_reference",
  [sym_type_arguments] = "type_arguments",
  [sym_wildcard] = "wildcard",
  [sym__wildcard_bounds] = "_wildcard_bounds",
  [sym_dimensions] = "dimensions",
  [sym_switch_expression] = "switch_expression",
  [sym_switch_block] = "switch_block",
  [sym_switch_block_statement_group] = "switch_block_statement_group",
  [sym_switch_rule] = "switch_rule",
  [sym_switch_label] = "switch_label",
  [sym_statement] = "statement",
  [sym_block] = "block",
  [sym_expression_statement] = "expression_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym_assert_statement] = "assert_statement",
  [sym_do_statement] = "do_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_return_statement] = "return_statement",
  [sym_yield_statement] = "yield_statement",
  [sym_synchronized_statement] = "synchronized_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_catch_formal_parameter] = "catch_formal_parameter",
  [sym_catch_type] = "catch_type",
  [sym_finally_clause] = "finally_clause",
  [sym_try_with_resources_statement] = "try_with_resources_statement",
  [sym_resource_specification] = "resource_specification",
  [sym_resource] = "resource",
  [sym_if_statement] = "if_statement",
  [sym_while_statement] = "while_statement",
  [sym_for_statement] = "for_statement",
  [sym_enhanced_for_statement] = "enhanced_for_statement",
  [sym__annotation] = "_annotation",
  [sym_marker_annotation] = "marker_annotation",
  [sym_annotation] = "annotation",
  [sym_annotation_argument_list] = "annotation_argument_list",
  [sym_element_value_pair] = "element_value_pair",
  [sym__element_value] = "_element_value",
  [sym_element_value_array_initializer] = "element_value_array_initializer",
  [sym_declaration] = "declaration",
  [sym_module_declaration] = "module_declaration",
  [sym_module_body] = "module_body",
  [sym_module_directive] = "module_directive",
  [sym_requires_module_directive] = "requires_module_directive",
  [sym_requires_modifier] = "requires_modifier",
  [sym_exports_module_directive] = "exports_module_directive",
  [sym_opens_module_directive] = "opens_module_directive",
  [sym_uses_module_directive] = "uses_module_directive",
  [sym_provides_module_directive] = "provides_module_directive",
  [sym_package_declaration] = "package_declaration",
  [sym_import_declaration] = "import_declaration",
  [sym_asterisk] = "asterisk",
  [sym_enum_declaration] = "enum_declaration",
  [sym_enum_body] = "enum_body",
  [sym_enum_body_declarations] = "enum_body_declarations",
  [sym_enum_constant] = "enum_constant",
  [sym_class_declaration] = "class_declaration",
  [sym_modifiers] = "modifiers",
  [sym_type_parameters] = "type_parameters",
  [sym_type_parameter] = "type_parameter",
  [sym_type_bound] = "type_bound",
  [sym_superclass] = "superclass",
  [sym_super_interfaces] = "super_interfaces",
  [sym_type_list] = "type_list",
  [sym_permits] = "permits",
  [sym_class_body] = "class_body",
  [sym_static_initializer] = "static_initializer",
  [sym_constructor_declaration] = "constructor_declaration",
  [sym__constructor_declarator] = "_constructor_declarator",
  [sym_constructor_body] = "constructor_body",
  [sym_explicit_constructor_invocation] = "explicit_constructor_invocation",
  [sym_scoped_identifier] = "scoped_identifier",
  [sym_field_declaration] = "field_declaration",
  [sym_record_declaration] = "record_declaration",
  [sym_annotation_type_declaration] = "annotation_type_declaration",
  [sym_annotation_type_body] = "annotation_type_body",
  [sym_annotation_type_element_declaration] = "annotation_type_element_declaration",
  [sym__default_value] = "_default_value",
  [sym_interface_declaration] = "interface_declaration",
  [sym_extends_interfaces] = "extends_interfaces",
  [sym_interface_body] = "interface_body",
  [sym_constant_declaration] = "constant_declaration",
  [sym__variable_declarator_list] = "_variable_declarator_list",
  [sym_variable_declarator] = "variable_declarator",
  [sym__variable_declarator_id] = "_variable_declarator_id",
  [sym_array_initializer] = "array_initializer",
  [sym__type] = "_type",
  [sym__unannotated_type] = "_unannotated_type",
  [sym_annotated_type] = "annotated_type",
  [sym_scoped_type_identifier] = "scoped_type_identifier",
  [sym_generic_type] = "generic_type",
  [sym_array_type] = "array_type",
  [sym_integral_type] = "integral_type",
  [sym_floating_point_type] = "floating_point_type",
  [sym__method_header] = "_method_header",
  [sym__method_declarator] = "_method_declarator",
  [sym_formal_parameters] = "formal_parameters",
  [sym_formal_parameter] = "formal_parameter",
  [sym_receiver_parameter] = "receiver_parameter",
  [sym_spread_parameter] = "spread_parameter",
  [sym_throws] = "throws",
  [sym_local_variable_declaration] = "local_variable_declaration",
  [sym_method_declaration] = "method_declaration",
  [sym_compact_constructor_declaration] = "compact_constructor_declaration",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym__string_literal_repeat1] = "_string_literal_repeat1",
  [aux_sym__multiline_string_literal_repeat1] = "_multiline_string_literal_repeat1",
  [aux_sym__multiline_string_fragment_repeat1] = "_multiline_string_fragment_repeat1",
  [aux_sym_cast_expression_repeat1] = "cast_expression_repeat1",
  [aux_sym_inferred_parameters_repeat1] = "inferred_parameters_repeat1",
  [aux_sym_array_creation_expression_repeat1] = "array_creation_expression_repeat1",
  [aux_sym_array_creation_expression_repeat2] = "array_creation_expression_repeat2",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_type_arguments_repeat1] = "type_arguments_repeat1",
  [aux_sym_dimensions_repeat1] = "dimensions_repeat1",
  [aux_sym_switch_block_repeat1] = "switch_block_repeat1",
  [aux_sym_switch_block_repeat2] = "switch_block_repeat2",
  [aux_sym_switch_block_statement_group_repeat1] = "switch_block_statement_group_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_catch_type_repeat1] = "catch_type_repeat1",
  [aux_sym_resource_specification_repeat1] = "resource_specification_repeat1",
  [aux_sym_for_statement_repeat1] = "for_statement_repeat1",
  [aux_sym_for_statement_repeat2] = "for_statement_repeat2",
  [aux_sym_annotation_argument_list_repeat1] = "annotation_argument_list_repeat1",
  [aux_sym_element_value_array_initializer_repeat1] = "element_value_array_initializer_repeat1",
  [aux_sym_module_body_repeat1] = "module_body_repeat1",
  [aux_sym_requires_module_directive_repeat1] = "requires_module_directive_repeat1",
  [aux_sym_exports_module_directive_repeat1] = "exports_module_directive_repeat1",
  [aux_sym_provides_module_directive_repeat1] = "provides_module_directive_repeat1",
  [aux_sym_enum_body_repeat1] = "enum_body_repeat1",
  [aux_sym_enum_body_declarations_repeat1] = "enum_body_declarations_repeat1",
  [aux_sym_modifiers_repeat1] = "modifiers_repeat1",
  [aux_sym_type_parameters_repeat1] = "type_parameters_repeat1",
  [aux_sym_type_bound_repeat1] = "type_bound_repeat1",
  [aux_sym_type_list_repeat1] = "type_list_repeat1",
  [aux_sym_annotation_type_body_repeat1] = "annotation_type_body_repeat1",
  [aux_sym_interface_body_repeat1] = "interface_body_repeat1",
  [aux_sym__variable_declarator_list_repeat1] = "_variable_declarator_list_repeat1",
  [aux_sym_array_initializer_repeat1] = "array_initializer_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [sym_decimal_integer_literal] = sym_decimal_integer_literal,
  [sym_hex_integer_literal] = sym_hex_integer_literal,
  [sym_octal_integer_literal] = sym_octal_integer_literal,
  [sym_binary_integer_literal] = sym_binary_integer_literal,
  [sym_decimal_floating_point_literal] = sym_decimal_floating_point_literal,
  [sym_hex_floating_point_literal] = sym_hex_floating_point_literal,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_character_literal] = sym_character_literal,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = anon_sym_DQUOTE_DQUOTE_DQUOTE,
  [sym_string_fragment] = sym_string_fragment,
  [aux_sym__multiline_string_fragment_token1] = aux_sym__multiline_string_fragment_token1,
  [aux_sym__multiline_string_fragment_token2] = aux_sym__multiline_string_fragment_token2,
  [aux_sym__escape_sequence_token1] = aux_sym__escape_sequence_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_null_literal] = sym_null_literal,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_GT_GT_GT_EQ] = anon_sym_GT_GT_GT_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [anon_sym_instanceof] = anon_sym_instanceof,
  [anon_sym_final] = anon_sym_final,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_assert] = anon_sym_assert,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_synchronized] = anon_sym_synchronized,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_open] = anon_sym_open,
  [anon_sym_module] = anon_sym_module,
  [anon_sym_requires] = anon_sym_requires,
  [anon_sym_transitive] = anon_sym_transitive,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_exports] = anon_sym_exports,
  [anon_sym_to] = anon_sym_to,
  [anon_sym_opens] = anon_sym_opens,
  [anon_sym_uses] = anon_sym_uses,
  [anon_sym_provides] = anon_sym_provides,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_package] = anon_sym_package,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_public] = anon_sym_public,
  [anon_sym_protected] = anon_sym_protected,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_abstract] = anon_sym_abstract,
  [anon_sym_strictfp] = anon_sym_strictfp,
  [anon_sym_native] = anon_sym_native,
  [anon_sym_transient] = anon_sym_transient,
  [anon_sym_volatile] = anon_sym_volatile,
  [anon_sym_sealed] = anon_sym_sealed,
  [anon_sym_non_DASHsealed] = anon_sym_non_DASHsealed,
  [anon_sym_implements] = anon_sym_implements,
  [anon_sym_permits] = anon_sym_permits,
  [anon_sym_record] = anon_sym_record,
  [anon_sym_ATinterface] = anon_sym_ATinterface,
  [anon_sym_interface] = anon_sym_interface,
  [anon_sym_byte] = anon_sym_byte,
  [anon_sym_short] = anon_sym_short,
  [anon_sym_int] = anon_sym_int,
  [anon_sym_long] = anon_sym_long,
  [anon_sym_char] = anon_sym_char,
  [anon_sym_float] = anon_sym_float,
  [anon_sym_double] = anon_sym_double,
  [sym_boolean_type] = sym_boolean_type,
  [sym_void_type] = sym_void_type,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_throws] = anon_sym_throws,
  [sym_this] = sym_this,
  [sym_super] = sym_super,
  [sym_line_comment] = sym_line_comment,
  [sym_block_comment] = sym_block_comment,
  [sym_program] = sym_program,
  [sym__literal] = sym__literal,
  [sym_string_literal] = sym_string_literal,
  [sym__string_literal] = sym__string_literal,
  [sym__multiline_string_literal] = sym__multiline_string_literal,
  [sym__multiline_string_fragment] = sym__multiline_string_fragment,
  [sym__escape_sequence] = sym__escape_sequence,
  [sym_expression] = sym_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_instanceof_expression] = sym_instanceof_expression,
  [sym_lambda_expression] = sym_lambda_expression,
  [sym_inferred_parameters] = sym_inferred_parameters,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_array_creation_expression] = sym_array_creation_expression,
  [sym_dimensions_expr] = sym_dimensions_expr,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_condition] = sym_condition,
  [sym_class_literal] = sym_class_literal,
  [sym_object_creation_expression] = sym_object_creation_expression,
  [sym__unqualified_object_creation_expression] = sym__unqualified_object_creation_expression,
  [sym_field_access] = sym_field_access,
  [sym_array_access] = sym_array_access,
  [sym_method_invocation] = sym_method_invocation,
  [sym_argument_list] = sym_argument_list,
  [sym_method_reference] = sym_method_reference,
  [sym_type_arguments] = sym_type_arguments,
  [sym_wildcard] = sym_wildcard,
  [sym__wildcard_bounds] = sym__wildcard_bounds,
  [sym_dimensions] = sym_dimensions,
  [sym_switch_expression] = sym_switch_expression,
  [sym_switch_block] = sym_switch_block,
  [sym_switch_block_statement_group] = sym_switch_block_statement_group,
  [sym_switch_rule] = sym_switch_rule,
  [sym_switch_label] = sym_switch_label,
  [sym_statement] = sym_statement,
  [sym_block] = sym_block,
  [sym_expression_statement] = sym_expression_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_assert_statement] = sym_assert_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_yield_statement] = sym_yield_statement,
  [sym_synchronized_statement] = sym_synchronized_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_catch_formal_parameter] = sym_catch_formal_parameter,
  [sym_catch_type] = sym_catch_type,
  [sym_finally_clause] = sym_finally_clause,
  [sym_try_with_resources_statement] = sym_try_with_resources_statement,
  [sym_resource_specification] = sym_resource_specification,
  [sym_resource] = sym_resource,
  [sym_if_statement] = sym_if_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_enhanced_for_statement] = sym_enhanced_for_statement,
  [sym__annotation] = sym__annotation,
  [sym_marker_annotation] = sym_marker_annotation,
  [sym_annotation] = sym_annotation,
  [sym_annotation_argument_list] = sym_annotation_argument_list,
  [sym_element_value_pair] = sym_element_value_pair,
  [sym__element_value] = sym__element_value,
  [sym_element_value_array_initializer] = sym_element_value_array_initializer,
  [sym_declaration] = sym_declaration,
  [sym_module_declaration] = sym_module_declaration,
  [sym_module_body] = sym_module_body,
  [sym_module_directive] = sym_module_directive,
  [sym_requires_module_directive] = sym_requires_module_directive,
  [sym_requires_modifier] = sym_requires_modifier,
  [sym_exports_module_directive] = sym_exports_module_directive,
  [sym_opens_module_directive] = sym_opens_module_directive,
  [sym_uses_module_directive] = sym_uses_module_directive,
  [sym_provides_module_directive] = sym_provides_module_directive,
  [sym_package_declaration] = sym_package_declaration,
  [sym_import_declaration] = sym_import_declaration,
  [sym_asterisk] = sym_asterisk,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_enum_body] = sym_enum_body,
  [sym_enum_body_declarations] = sym_enum_body_declarations,
  [sym_enum_constant] = sym_enum_constant,
  [sym_class_declaration] = sym_class_declaration,
  [sym_modifiers] = sym_modifiers,
  [sym_type_parameters] = sym_type_parameters,
  [sym_type_parameter] = sym_type_parameter,
  [sym_type_bound] = sym_type_bound,
  [sym_superclass] = sym_superclass,
  [sym_super_interfaces] = sym_super_interfaces,
  [sym_type_list] = sym_type_list,
  [sym_permits] = sym_permits,
  [sym_class_body] = sym_class_body,
  [sym_static_initializer] = sym_static_initializer,
  [sym_constructor_declaration] = sym_constructor_declaration,
  [sym__constructor_declarator] = sym__constructor_declarator,
  [sym_constructor_body] = sym_constructor_body,
  [sym_explicit_constructor_invocation] = sym_explicit_constructor_invocation,
  [sym_scoped_identifier] = sym_scoped_identifier,
  [sym_field_declaration] = sym_field_declaration,
  [sym_record_declaration] = sym_record_declaration,
  [sym_annotation_type_declaration] = sym_annotation_type_declaration,
  [sym_annotation_type_body] = sym_annotation_type_body,
  [sym_annotation_type_element_declaration] = sym_annotation_type_element_declaration,
  [sym__default_value] = sym__default_value,
  [sym_interface_declaration] = sym_interface_declaration,
  [sym_extends_interfaces] = sym_extends_interfaces,
  [sym_interface_body] = sym_interface_body,
  [sym_constant_declaration] = sym_constant_declaration,
  [sym__variable_declarator_list] = sym__variable_declarator_list,
  [sym_variable_declarator] = sym_variable_declarator,
  [sym__variable_declarator_id] = sym__variable_declarator_id,
  [sym_array_initializer] = sym_array_initializer,
  [sym__type] = sym__type,
  [sym__unannotated_type] = sym__unannotated_type,
  [sym_annotated_type] = sym_annotated_type,
  [sym_scoped_type_identifier] = sym_scoped_type_identifier,
  [sym_generic_type] = sym_generic_type,
  [sym_array_type] = sym_array_type,
  [sym_integral_type] = sym_integral_type,
  [sym_floating_point_type] = sym_floating_point_type,
  [sym__method_header] = sym__method_header,
  [sym__method_declarator] = sym__method_declarator,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_formal_parameter] = sym_formal_parameter,
  [sym_receiver_parameter] = sym_receiver_parameter,
  [sym_spread_parameter] = sym_spread_parameter,
  [sym_throws] = sym_throws,
  [sym_local_variable_declaration] = sym_local_variable_declaration,
  [sym_method_declaration] = sym_method_declaration,
  [sym_compact_constructor_declaration] = sym_compact_constructor_declaration,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym__string_literal_repeat1] = aux_sym__string_literal_repeat1,
  [aux_sym__multiline_string_literal_repeat1] = aux_sym__multiline_string_literal_repeat1,
  [aux_sym__multiline_string_fragment_repeat1] = aux_sym__multiline_string_fragment_repeat1,
  [aux_sym_cast_expression_repeat1] = aux_sym_cast_expression_repeat1,
  [aux_sym_inferred_parameters_repeat1] = aux_sym_inferred_parameters_repeat1,
  [aux_sym_array_creation_expression_repeat1] = aux_sym_array_creation_expression_repeat1,
  [aux_sym_array_creation_expression_repeat2] = aux_sym_array_creation_expression_repeat2,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_type_arguments_repeat1] = aux_sym_type_arguments_repeat1,
  [aux_sym_dimensions_repeat1] = aux_sym_dimensions_repeat1,
  [aux_sym_switch_block_repeat1] = aux_sym_switch_block_repeat1,
  [aux_sym_switch_block_repeat2] = aux_sym_switch_block_repeat2,
  [aux_sym_switch_block_statement_group_repeat1] = aux_sym_switch_block_statement_group_repeat1,
  [aux_sym_try_statement_repeat1] = aux_sym_try_statement_repeat1,
  [aux_sym_catch_type_repeat1] = aux_sym_catch_type_repeat1,
  [aux_sym_resource_specification_repeat1] = aux_sym_resource_specification_repeat1,
  [aux_sym_for_statement_repeat1] = aux_sym_for_statement_repeat1,
  [aux_sym_for_statement_repeat2] = aux_sym_for_statement_repeat2,
  [aux_sym_annotation_argument_list_repeat1] = aux_sym_annotation_argument_list_repeat1,
  [aux_sym_element_value_array_initializer_repeat1] = aux_sym_element_value_array_initializer_repeat1,
  [aux_sym_module_body_repeat1] = aux_sym_module_body_repeat1,
  [aux_sym_requires_module_directive_repeat1] = aux_sym_requires_module_directive_repeat1,
  [aux_sym_exports_module_directive_repeat1] = aux_sym_exports_module_directive_repeat1,
  [aux_sym_provides_module_directive_repeat1] = aux_sym_provides_module_directive_repeat1,
  [aux_sym_enum_body_repeat1] = aux_sym_enum_body_repeat1,
  [aux_sym_enum_body_declarations_repeat1] = aux_sym_enum_body_declarations_repeat1,
  [aux_sym_modifiers_repeat1] = aux_sym_modifiers_repeat1,
  [aux_sym_type_parameters_repeat1] = aux_sym_type_parameters_repeat1,
  [aux_sym_type_bound_repeat1] = aux_sym_type_bound_repeat1,
  [aux_sym_type_list_repeat1] = aux_sym_type_list_repeat1,
  [aux_sym_annotation_type_body_repeat1] = aux_sym_annotation_type_body_repeat1,
  [aux_sym_interface_body_repeat1] = aux_sym_interface_body_repeat1,
  [aux_sym__variable_declarator_list_repeat1] = aux_sym__variable_declarator_list_repeat1,
  [aux_sym_array_initializer_repeat1] = aux_sym_array_initializer_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_decimal_integer_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_hex_integer_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_octal_integer_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_integer_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_decimal_floating_point_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_hex_floating_point_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_character_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__multiline_string_fragment_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__multiline_string_fragment_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__escape_sequence_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_null_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_instanceof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_final] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_synchronized] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_open] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_module] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_requires] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_transitive] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_exports] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_to] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_opens] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uses] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_provides] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_package] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_abstract] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_strictfp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_native] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_transient] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_volatile] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sealed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_non_DASHsealed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_implements] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_permits] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_record] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATinterface] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_interface] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_byte] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_short] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_long] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_char] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_float] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_double] = {
    .visible = true,
    .named = false,
  },
  [sym_boolean_type] = {
    .visible = true,
    .named = true,
  },
  [sym_void_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throws] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_line_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_block_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym__literal] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__string_literal] = {
    .visible = false,
    .named = true,
  },
  [sym__multiline_string_literal] = {
    .visible = false,
    .named = true,
  },
  [sym__multiline_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym__escape_sequence] = {
    .visible = false,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_instanceof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_inferred_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_array_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_dimensions_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_condition] = {
    .visible = true,
    .named = true,
  },
  [sym_class_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_object_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__unqualified_object_creation_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_field_access] = {
    .visible = true,
    .named = true,
  },
  [sym_array_access] = {
    .visible = true,
    .named = true,
  },
  [sym_method_invocation] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_method_reference] = {
    .visible = true,
    .named = true,
  },
  [sym_type_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_wildcard] = {
    .visible = true,
    .named = true,
  },
  [sym__wildcard_bounds] = {
    .visible = false,
    .named = true,
  },
  [sym_dimensions] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_block] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_block_statement_group] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_rule] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_label] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_assert_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_yield_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_synchronized_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_formal_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_type] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_try_with_resources_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_resource_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_resource] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_enhanced_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__annotation] = {
    .visible = false,
    .named = true,
  },
  [sym_marker_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_annotation_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_element_value_pair] = {
    .visible = true,
    .named = true,
  },
  [sym__element_value] = {
    .visible = false,
    .named = true,
  },
  [sym_element_value_array_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_module_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_module_body] = {
    .visible = true,
    .named = true,
  },
  [sym_module_directive] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_requires_module_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_requires_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_exports_module_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_opens_module_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_uses_module_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_provides_module_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_package_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_import_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_asterisk] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_body] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_body_declarations] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_constant] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_modifiers] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type_bound] = {
    .visible = true,
    .named = true,
  },
  [sym_superclass] = {
    .visible = true,
    .named = true,
  },
  [sym_super_interfaces] = {
    .visible = true,
    .named = true,
  },
  [sym_type_list] = {
    .visible = true,
    .named = true,
  },
  [sym_permits] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_static_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__constructor_declarator] = {
    .visible = false,
    .named = true,
  },
  [sym_constructor_body] = {
    .visible = true,
    .named = true,
  },
  [sym_explicit_constructor_invocation] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_record_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_annotation_type_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_annotation_type_body] = {
    .visible = true,
    .named = true,
  },
  [sym_annotation_type_element_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__default_value] = {
    .visible = false,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_extends_interfaces] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_body] = {
    .visible = true,
    .named = true,
  },
  [sym_constant_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_declarator_list] = {
    .visible = false,
    .named = true,
  },
  [sym_variable_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_declarator_id] = {
    .visible = false,
    .named = true,
  },
  [sym_array_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__unannotated_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_annotated_type] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_integral_type] = {
    .visible = true,
    .named = true,
  },
  [sym_floating_point_type] = {
    .visible = true,
    .named = true,
  },
  [sym__method_header] = {
    .visible = false,
    .named = true,
  },
  [sym__method_declarator] = {
    .visible = false,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_receiver_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_spread_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_throws] = {
    .visible = true,
    .named = true,
  },
  [sym_local_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_method_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_compact_constructor_declaration] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__multiline_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__multiline_string_fragment_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_inferred_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_creation_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_creation_expression_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dimensions_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_block_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_block_statement_group_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_catch_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_resource_specification_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_annotation_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_element_value_array_initializer_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_module_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_requires_module_directive_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_exports_module_directive_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_provides_module_directive_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_body_declarations_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_modifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_bound_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_annotation_type_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interface_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__variable_declarator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_initializer_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum {
  field_alternative = 1,
  field_arguments = 2,
  field_array = 3,
  field_body = 4,
  field_condition = 5,
  field_consequence = 6,
  field_constructor = 7,
  field_declarator = 8,
  field_dimensions = 9,
  field_element = 10,
  field_field = 11,
  field_index = 12,
  field_init = 13,
  field_interfaces = 14,
  field_key = 15,
  field_left = 16,
  field_modifiers = 17,
  field_module = 18,
  field_modules = 19,
  field_name = 20,
  field_object = 21,
  field_operand = 22,
  field_operator = 23,
  field_package = 24,
  field_parameters = 25,
  field_permits = 26,
  field_provided = 27,
  field_provider = 28,
  field_resources = 29,
  field_right = 30,
  field_scope = 31,
  field_superclass = 32,
  field_type = 33,
  field_type_arguments = 34,
  field_type_parameters = 35,
  field_update = 36,
  field_value = 37,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_arguments] = "arguments",
  [field_array] = "array",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constructor] = "constructor",
  [field_declarator] = "declarator",
  [field_dimensions] = "dimensions",
  [field_element] = "element",
  [field_field] = "field",
  [field_index] = "index",
  [field_init] = "init",
  [field_interfaces] = "interfaces",
  [field_key] = "key",
  [field_left] = "left",
  [field_modifiers] = "modifiers",
  [field_module] = "module",
  [field_modules] = "modules",
  [field_name] = "name",
  [field_object] = "object",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_package] = "package",
  [field_parameters] = "parameters",
  [field_permits] = "permits",
  [field_provided] = "provided",
  [field_provider] = "provider",
  [field_resources] = "resources",
  [field_right] = "right",
  [field_scope] = "scope",
  [field_superclass] = "superclass",
  [field_type] = "type",
  [field_type_arguments] = "type_arguments",
  [field_type_parameters] = "type_parameters",
  [field_update] = "update",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [3] = {.index = 0, .length = 3},
  [4] = {.index = 3, .length = 2},
  [5] = {.index = 5, .length = 1},
  [6] = {.index = 5, .length = 1},
  [7] = {.index = 6, .length = 2},
  [8] = {.index = 6, .length = 2},
  [9] = {.index = 8, .length = 1},
  [10] = {.index = 8, .length = 1},
  [11] = {.index = 9, .length = 2},
  [12] = {.index = 11, .length = 1},
  [13] = {.index = 12, .length = 2},
  [15] = {.index = 14, .length = 3},
  [16] = {.index = 17, .length = 2},
  [17] = {.index = 19, .length = 2},
  [18] = {.index = 17, .length = 2},
  [19] = {.index = 19, .length = 2},
  [20] = {.index = 21, .length = 2},
  [21] = {.index = 23, .length = 2},
  [22] = {.index = 25, .length = 1},
  [23] = {.index = 26, .length = 1},
  [24] = {.index = 27, .length = 2},
  [25] = {.index = 29, .length = 2},
  [26] = {.index = 31, .length = 2},
  [27] = {.index = 31, .length = 2},
  [28] = {.index = 33, .length = 3},
  [29] = {.index = 36, .length = 2},
  [30] = {.index = 21, .length = 2},
  [31] = {.index = 38, .length = 2},
  [32] = {.index = 38, .length = 2},
  [33] = {.index = 33, .length = 3},
  [34] = {.index = 36, .length = 2},
  [36] = {.index = 40, .length = 2},
  [37] = {.index = 42, .length = 3},
  [38] = {.index = 45, .length = 2},
  [39] = {.index = 45, .length = 2},
  [40] = {.index = 47, .length = 2},
  [41] = {.index = 49, .length = 2},
  [43] = {.index = 51, .length = 3},
  [44] = {.index = 54, .length = 1},
  [45] = {.index = 55, .length = 2},
  [46] = {.index = 57, .length = 2},
  [47] = {.index = 59, .length = 3},
  [48] = {.index = 62, .length = 3},
  [49] = {.index = 59, .length = 3},
  [50] = {.index = 62, .length = 3},
  [51] = {.index = 65, .length = 3},
  [52] = {.index = 65, .length = 3},
  [53] = {.index = 68, .length = 2},
  [54] = {.index = 68, .length = 2},
  [55] = {.index = 70, .length = 3},
  [56] = {.index = 73, .length = 3},
  [57] = {.index = 76, .length = 3},
  [58] = {.index = 79, .length = 3},
  [59] = {.index = 82, .length = 2},
  [60] = {.index = 82, .length = 2},
  [61] = {.index = 84, .length = 2},
  [62] = {.index = 84, .length = 2},
  [64] = {.index = 86, .length = 3},
  [65] = {.index = 89, .length = 2},
  [66] = {.index = 91, .length = 3},
  [67] = {.index = 91, .length = 3},
  [69] = {.index = 94, .length = 2},
  [70] = {.index = 96, .length = 3},
  [71] = {.index = 96, .length = 3},
  [72] = {.index = 99, .length = 2},
  [73] = {.index = 101, .length = 2},
  [74] = {.index = 103, .length = 1},
  [75] = {.index = 104, .length = 2},
  [76] = {.index = 106, .length = 3},
  [78] = {.index = 109, .length = 3},
  [79] = {.index = 112, .length = 3},
  [80] = {.index = 115, .length = 3},
  [81] = {.index = 112, .length = 3},
  [82] = {.index = 115, .length = 3},
  [84] = {.index = 118, .length = 2},
  [85] = {.index = 120, .length = 2},
  [86] = {.index = 122, .length = 4},
  [87] = {.index = 126, .length = 4},
  [88] = {.index = 130, .length = 5},
  [89] = {.index = 135, .length = 6},
  [90] = {.index = 141, .length = 4},
  [91] = {.index = 145, .length = 4},
  [92] = {.index = 149, .length = 4},
  [93] = {.index = 153, .length = 4},
  [94] = {.index = 157, .length = 4},
  [95] = {.index = 161, .length = 4},
  [96] = {.index = 165, .length = 2},
  [97] = {.index = 167, .length = 3},
  [98] = {.index = 170, .length = 1},
  [99] = {.index = 171, .length = 2},
  [100] = {.index = 173, .length = 1},
  [101] = {.index = 174, .length = 4},
  [102] = {.index = 178, .length = 4},
  [103] = {.index = 182, .length = 3},
  [104] = {.index = 185, .length = 3},
  [105] = {.index = 188, .length = 2},
  [106] = {.index = 188, .length = 2},
  [107] = {.index = 190, .length = 4},
  [108] = {.index = 190, .length = 4},
  [109] = {.index = 194, .length = 3},
  [110] = {.index = 194, .length = 3},
  [111] = {.index = 197, .length = 3},
  [112] = {.index = 200, .length = 3},
  [113] = {.index = 203, .length = 3},
  [114] = {.index = 206, .length = 3},
  [115] = {.index = 209, .length = 3},
  [116] = {.index = 212, .length = 3},
  [117] = {.index = 215, .length = 2},
  [118] = {.index = 217, .length = 2},
  [119] = {.index = 217, .length = 2},
  [120] = {.index = 219, .length = 4},
  [121] = {.index = 223, .length = 5},
  [122] = {.index = 228, .length = 6},
  [123] = {.index = 234, .length = 3},
  [124] = {.index = 237, .length = 5},
  [125] = {.index = 242, .length = 4},
  [126] = {.index = 120, .length = 2},
  [127] = {.index = 246, .length = 5},
  [128] = {.index = 251, .length = 5},
  [129] = {.index = 256, .length = 5},
  [130] = {.index = 261, .length = 5},
  [131] = {.index = 266, .length = 4},
  [132] = {.index = 270, .length = 2},
  [133] = {.index = 272, .length = 1},
  [134] = {.index = 273, .length = 2},
  [135] = {.index = 275, .length = 2},
  [136] = {.index = 277, .length = 1},
  [137] = {.index = 277, .length = 1},
  [138] = {.index = 278, .length = 2},
  [139] = {.index = 280, .length = 1},
  [140] = {.index = 280, .length = 1},
  [141] = {.index = 54, .length = 1},
  [142] = {.index = 281, .length = 3},
  [143] = {.index = 284, .length = 5},
  [144] = {.index = 289, .length = 4},
  [145] = {.index = 293, .length = 3},
  [146] = {.index = 293, .length = 3},
  [147] = {.index = 296, .length = 4},
  [148] = {.index = 300, .length = 4},
  [149] = {.index = 304, .length = 4},
  [150] = {.index = 308, .length = 4},
  [151] = {.index = 312, .length = 4},
  [152] = {.index = 316, .length = 4},
  [153] = {.index = 320, .length = 4},
  [154] = {.index = 324, .length = 4},
  [155] = {.index = 328, .length = 3},
  [156] = {.index = 331, .length = 3},
  [157] = {.index = 334, .length = 4},
  [158] = {.index = 338, .length = 5},
  [159] = {.index = 343, .length = 3},
  [160] = {.index = 343, .length = 3},
  [161] = {.index = 346, .length = 6},
  [162] = {.index = 352, .length = 4},
  [163] = {.index = 356, .length = 1},
  [164] = {.index = 357, .length = 2},
  [165] = {.index = 359, .length = 2},
  [166] = {.index = 361, .length = 1},
  [167] = {.index = 362, .length = 2},
  [168] = {.index = 364, .length = 2},
  [169] = {.index = 366, .length = 2},
  [170] = {.index = 368, .length = 3},
  [171] = {.index = 371, .length = 3},
  [172] = {.index = 374, .length = 2},
  [173] = {.index = 374, .length = 2},
  [174] = {.index = 376, .length = 3},
  [175] = {.index = 379, .length = 4},
  [176] = {.index = 379, .length = 4},
  [177] = {.index = 383, .length = 5},
  [178] = {.index = 388, .length = 5},
  [179] = {.index = 393, .length = 5},
  [180] = {.index = 398, .length = 5},
  [181] = {.index = 403, .length = 5},
  [182] = {.index = 408, .length = 4},
  [183] = {.index = 412, .length = 2},
  [184] = {.index = 414, .length = 3},
  [185] = {.index = 417, .length = 3},
  [186] = {.index = 420, .length = 3},
  [187] = {.index = 423, .length = 3},
  [188] = {.index = 426, .length = 3},
  [189] = {.index = 429, .length = 5},
  [190] = {.index = 434, .length = 4},
  [191] = {.index = 438, .length = 4},
  [192] = {.index = 442, .length = 2},
  [193] = {.index = 442, .length = 2},
  [194] = {.index = 442, .length = 2},
  [195] = {.index = 442, .length = 2},
  [196] = {.index = 444, .length = 1},
  [197] = {.index = 444, .length = 1},
  [198] = {.index = 444, .length = 1},
  [199] = {.index = 444, .length = 1},
  [200] = {.index = 445, .length = 2},
  [201] = {.index = 447, .length = 6},
  [202] = {.index = 453, .length = 3},
  [203] = {.index = 456, .length = 4},
  [204] = {.index = 460, .length = 4},
  [205] = {.index = 464, .length = 4},
  [206] = {.index = 468, .length = 4},
  [207] = {.index = 472, .length = 4},
  [208] = {.index = 476, .length = 5},
  [209] = {.index = 481, .length = 5},
  [210] = {.index = 486, .length = 1},
  [211] = {.index = 486, .length = 1},
  [212] = {.index = 487, .length = 3},
  [213] = {.index = 490, .length = 2},
  [214] = {.index = 487, .length = 3},
  [215] = {.index = 487, .length = 3},
  [216] = {.index = 487, .length = 3},
  [217] = {.index = 492, .length = 1},
  [218] = {.index = 492, .length = 1},
  [219] = {.index = 493, .length = 2},
  [220] = {.index = 495, .length = 2},
  [221] = {.index = 493, .length = 2},
  [222] = {.index = 493, .length = 2},
  [223] = {.index = 493, .length = 2},
  [224] = {.index = 497, .length = 2},
  [225] = {.index = 499, .length = 1},
  [226] = {.index = 500, .length = 3},
  [227] = {.index = 503, .length = 3},
  [228] = {.index = 506, .length = 3},
  [229] = {.index = 509, .length = 5},
  [230] = {.index = 514, .length = 5},
  [231] = {.index = 519, .length = 5},
  [232] = {.index = 524, .length = 3},
  [233] = {.index = 527, .length = 3},
  [234] = {.index = 530, .length = 4},
  [235] = {.index = 534, .length = 4},
  [236] = {.index = 538, .length = 6},
  [237] = {.index = 544, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_arguments, 0, .inherited = true},
    {field_type, 0, .inherited = true},
    {field_type_arguments, 0, .inherited = true},
  [3] =
    {field_operand, 1},
    {field_operator, 0},
  [5] =
    {field_name, 1},
  [6] =
    {field_arguments, 1},
    {field_name, 0},
  [8] =
    {field_name, 0},
  [9] =
    {field_dimensions, 1},
    {field_element, 0},
  [11] =
    {field_declarator, 0},
  [12] =
    {field_dimensions, 0, .inherited = true},
    {field_name, 0, .inherited = true},
  [14] =
    {field_dimensions, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_type, 0},
  [17] =
    {field_arguments, 2},
    {field_type, 1},
  [19] =
    {field_dimensions, 2},
    {field_type, 1},
  [21] =
    {field_body, 2},
    {field_name, 1},
  [23] =
    {field_body, 2},
    {field_condition, 1},
  [25] =
    {field_body, 2},
  [26] =
    {field_body, 1},
  [27] =
    {field_body, 2},
    {field_resources, 1},
  [29] =
    {field_condition, 1},
    {field_consequence, 2},
  [31] =
    {field_arguments, 2},
    {field_name, 1},
  [33] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [36] =
    {field_body, 2},
    {field_parameters, 0},
  [38] =
    {field_field, 2},
    {field_object, 0},
  [40] =
    {field_left, 0},
    {field_right, 2},
  [42] =
    {field_arguments, 2, .inherited = true},
    {field_type, 2, .inherited = true},
    {field_type_arguments, 2, .inherited = true},
  [45] =
    {field_dimensions, 1},
    {field_name, 0},
  [47] =
    {field_declarator, 1, .inherited = true},
    {field_type, 0},
  [49] =
    {field_declarator, 0},
    {field_declarator, 1, .inherited = true},
  [51] =
    {field_dimensions, 2, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_type, 1},
  [54] =
    {field_type, 1},
  [55] =
    {field_type, 1},
    {field_value, 3},
  [57] =
    {field_type, 0, .inherited = true},
    {field_type, 1, .inherited = true},
  [59] =
    {field_dimensions, 2},
    {field_type, 1},
    {field_value, 3},
  [62] =
    {field_dimensions, 2},
    {field_dimensions, 3},
    {field_type, 1},
  [65] =
    {field_arguments, 3},
    {field_type, 2},
    {field_type_arguments, 1},
  [68] =
    {field_dimensions, 3},
    {field_type, 2},
  [70] =
    {field_body, 3},
    {field_name, 1},
    {field_type_parameters, 2},
  [73] =
    {field_body, 3},
    {field_name, 1},
    {field_superclass, 2},
  [76] =
    {field_body, 3},
    {field_interfaces, 2},
    {field_name, 1},
  [79] =
    {field_body, 3},
    {field_name, 1},
    {field_permits, 2},
  [82] =
    {field_name, 2},
    {field_scope, 0},
  [84] =
    {field_body, 3},
    {field_name, 2},
  [86] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2},
  [89] =
    {field_body, 3},
    {field_name, 1},
  [91] =
    {field_arguments, 3},
    {field_name, 2},
    {field_object, 0},
  [94] =
    {field_left, 0},
    {field_right, 3},
  [96] =
    {field_left, 0},
    {field_name, 3},
    {field_right, 2},
  [99] =
    {field_array, 0},
    {field_index, 2},
  [101] =
    {field_declarator, 2, .inherited = true},
    {field_type, 1},
  [103] =
    {field_declarator, 1},
  [104] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
  [106] =
    {field_dimensions, 0, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_value, 2},
  [109] =
    {field_type, 1},
    {field_type, 2, .inherited = true},
    {field_value, 4},
  [112] =
    {field_dimensions, 3},
    {field_type, 2},
    {field_value, 4},
  [115] =
    {field_dimensions, 3},
    {field_dimensions, 4},
    {field_type, 2},
  [118] =
    {field_body, 1},
    {field_name, 0},
  [120] =
    {field_name, 0},
    {field_parameters, 1},
  [122] =
    {field_body, 1},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [126] =
    {field_dimensions, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_type, 0},
  [130] =
    {field_dimensions, 0, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [135] =
    {field_body, 1},
    {field_dimensions, 0, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [141] =
    {field_body, 4},
    {field_name, 1},
    {field_superclass, 3},
    {field_type_parameters, 2},
  [145] =
    {field_body, 4},
    {field_interfaces, 3},
    {field_name, 1},
    {field_type_parameters, 2},
  [149] =
    {field_body, 4},
    {field_name, 1},
    {field_permits, 3},
    {field_type_parameters, 2},
  [153] =
    {field_body, 4},
    {field_interfaces, 3},
    {field_name, 1},
    {field_superclass, 2},
  [157] =
    {field_body, 4},
    {field_name, 1},
    {field_permits, 3},
    {field_superclass, 2},
  [161] =
    {field_body, 4},
    {field_interfaces, 2},
    {field_name, 1},
    {field_permits, 3},
  [165] =
    {field_body, 1},
    {field_condition, 3},
  [167] =
    {field_alternative, 4},
    {field_condition, 1},
    {field_consequence, 2},
  [170] =
    {field_init, 1},
  [171] =
    {field_init, 0, .inherited = true},
    {field_init, 1, .inherited = true},
  [173] =
    {field_modifiers, 0},
  [174] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 3},
    {field_type_parameters, 2},
  [178] =
    {field_body, 4},
    {field_interfaces, 3},
    {field_name, 1},
    {field_parameters, 2},
  [182] =
    {field_body, 4},
    {field_name, 1},
    {field_type_parameters, 2},
  [185] =
    {field_body, 4},
    {field_name, 1},
    {field_permits, 3},
  [188] =
    {field_field, 4},
    {field_object, 0},
  [190] =
    {field_arguments, 4},
    {field_name, 3},
    {field_object, 0},
    {field_type_arguments, 2},
  [194] =
    {field_left, 0},
    {field_name, 4},
    {field_right, 3},
  [197] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [200] =
    {field_body, 4},
    {field_name, 2},
    {field_type_parameters, 3},
  [203] =
    {field_body, 4},
    {field_name, 2},
    {field_superclass, 3},
  [206] =
    {field_body, 4},
    {field_interfaces, 3},
    {field_name, 2},
  [209] =
    {field_body, 4},
    {field_name, 2},
    {field_permits, 3},
  [212] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3},
  [215] =
    {field_body, 4},
    {field_name, 2},
  [217] =
    {field_body, 4},
    {field_name, 3},
  [219] =
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [223] =
    {field_dimensions, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [228] =
    {field_body, 2},
    {field_dimensions, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [234] =
    {field_name, 1},
    {field_parameters, 2},
    {field_type_parameters, 0},
  [237] =
    {field_dimensions, 2, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_type, 1},
    {field_type_parameters, 0},
  [242] =
    {field_body, 2},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [246] =
    {field_body, 5},
    {field_interfaces, 4},
    {field_name, 1},
    {field_superclass, 3},
    {field_type_parameters, 2},
  [251] =
    {field_body, 5},
    {field_name, 1},
    {field_permits, 4},
    {field_superclass, 3},
    {field_type_parameters, 2},
  [256] =
    {field_body, 5},
    {field_interfaces, 3},
    {field_name, 1},
    {field_permits, 4},
    {field_type_parameters, 2},
  [261] =
    {field_body, 5},
    {field_interfaces, 3},
    {field_name, 1},
    {field_permits, 4},
    {field_superclass, 2},
  [266] =
    {field_dimensions, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_type, 0},
    {field_value, 3},
  [270] =
    {field_dimensions, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [272] =
    {field_body, 5},
  [273] =
    {field_body, 5},
    {field_init, 2},
  [275] =
    {field_key, 0},
    {field_value, 2},
  [277] =
    {field_module, 1},
  [278] =
    {field_modifiers, 0, .inherited = true},
    {field_modifiers, 1, .inherited = true},
  [280] =
    {field_package, 1},
  [281] =
    {field_arguments, 1},
    {field_body, 2},
    {field_name, 0},
  [284] =
    {field_body, 5},
    {field_interfaces, 4},
    {field_name, 1},
    {field_parameters, 3},
    {field_type_parameters, 2},
  [289] =
    {field_body, 5},
    {field_name, 1},
    {field_permits, 4},
    {field_type_parameters, 2},
  [293] =
    {field_arguments, 5},
    {field_name, 4},
    {field_object, 0},
  [296] =
    {field_body, 5},
    {field_name, 2},
    {field_superclass, 4},
    {field_type_parameters, 3},
  [300] =
    {field_body, 5},
    {field_interfaces, 4},
    {field_name, 2},
    {field_type_parameters, 3},
  [304] =
    {field_body, 5},
    {field_name, 2},
    {field_permits, 4},
    {field_type_parameters, 3},
  [308] =
    {field_body, 5},
    {field_interfaces, 4},
    {field_name, 2},
    {field_superclass, 3},
  [312] =
    {field_body, 5},
    {field_name, 2},
    {field_permits, 4},
    {field_superclass, 3},
  [316] =
    {field_body, 5},
    {field_interfaces, 3},
    {field_name, 2},
    {field_permits, 4},
  [320] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 4},
    {field_type_parameters, 3},
  [324] =
    {field_body, 5},
    {field_interfaces, 4},
    {field_name, 2},
    {field_parameters, 3},
  [328] =
    {field_body, 5},
    {field_name, 2},
    {field_type_parameters, 3},
  [331] =
    {field_body, 5},
    {field_name, 2},
    {field_permits, 4},
  [334] =
    {field_body, 3},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [338] =
    {field_dimensions, 3, .inherited = true},
    {field_name, 3, .inherited = true},
    {field_parameters, 3, .inherited = true},
    {field_type, 2},
    {field_type_parameters, 0},
  [343] =
    {field_dimensions, 2},
    {field_name, 0},
    {field_parameters, 1},
  [346] =
    {field_body, 6},
    {field_interfaces, 4},
    {field_name, 1},
    {field_permits, 5},
    {field_superclass, 3},
    {field_type_parameters, 2},
  [352] =
    {field_dimensions, 2, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_type, 1},
    {field_value, 4},
  [356] =
    {field_body, 4},
  [357] =
    {field_dimensions, 2, .inherited = true},
    {field_name, 2, .inherited = true},
  [359] =
    {field_body, 6},
    {field_update, 4},
  [361] =
    {field_update, 1},
  [362] =
    {field_update, 0, .inherited = true},
    {field_update, 1, .inherited = true},
  [364] =
    {field_body, 6},
    {field_condition, 3},
  [366] =
    {field_body, 6},
    {field_init, 2},
  [368] =
    {field_body, 6},
    {field_init, 2},
    {field_update, 4},
  [371] =
    {field_body, 6},
    {field_condition, 3},
    {field_init, 2},
  [374] =
    {field_modifiers, 1, .inherited = true},
    {field_module, 2},
  [376] =
    {field_arguments, 2},
    {field_body, 3},
    {field_name, 1},
  [379] =
    {field_arguments, 6},
    {field_name, 5},
    {field_object, 0},
    {field_type_arguments, 4},
  [383] =
    {field_body, 6},
    {field_interfaces, 5},
    {field_name, 2},
    {field_superclass, 4},
    {field_type_parameters, 3},
  [388] =
    {field_body, 6},
    {field_name, 2},
    {field_permits, 5},
    {field_superclass, 4},
    {field_type_parameters, 3},
  [393] =
    {field_body, 6},
    {field_interfaces, 4},
    {field_name, 2},
    {field_permits, 5},
    {field_type_parameters, 3},
  [398] =
    {field_body, 6},
    {field_interfaces, 4},
    {field_name, 2},
    {field_permits, 5},
    {field_superclass, 3},
  [403] =
    {field_body, 6},
    {field_interfaces, 5},
    {field_name, 2},
    {field_parameters, 4},
    {field_type_parameters, 3},
  [408] =
    {field_body, 6},
    {field_name, 2},
    {field_permits, 5},
    {field_type_parameters, 3},
  [412] =
    {field_arguments, 1},
    {field_constructor, 0},
  [414] =
    {field_body, 7},
    {field_update, 4},
    {field_update, 5, .inherited = true},
  [417] =
    {field_body, 7},
    {field_condition, 3},
    {field_update, 5},
  [420] =
    {field_body, 7},
    {field_init, 2},
    {field_update, 5},
  [423] =
    {field_body, 7},
    {field_condition, 4},
    {field_init, 2},
  [426] =
    {field_body, 7},
    {field_init, 2},
    {field_init, 3, .inherited = true},
  [429] =
    {field_body, 7},
    {field_dimensions, 3, .inherited = true},
    {field_name, 3, .inherited = true},
    {field_type, 2},
    {field_value, 5},
  [434] =
    {field_body, 7},
    {field_init, 2},
    {field_update, 4},
    {field_update, 5, .inherited = true},
  [438] =
    {field_body, 7},
    {field_condition, 3},
    {field_init, 2},
    {field_update, 5},
  [442] =
    {field_modules, 3},
    {field_package, 1},
  [444] =
    {field_provided, 1},
  [445] =
    {field_name, 1},
    {field_type, 0},
  [447] =
    {field_body, 7},
    {field_interfaces, 5},
    {field_name, 2},
    {field_permits, 6},
    {field_superclass, 4},
    {field_type_parameters, 3},
  [453] =
    {field_arguments, 2},
    {field_constructor, 1},
    {field_type_arguments, 0},
  [456] =
    {field_body, 8},
    {field_condition, 3},
    {field_update, 5},
    {field_update, 6, .inherited = true},
  [460] =
    {field_body, 8},
    {field_init, 2},
    {field_update, 5},
    {field_update, 6, .inherited = true},
  [464] =
    {field_body, 8},
    {field_condition, 4},
    {field_init, 2},
    {field_update, 6},
  [468] =
    {field_body, 8},
    {field_init, 2},
    {field_init, 3, .inherited = true},
    {field_update, 6},
  [472] =
    {field_body, 8},
    {field_condition, 5},
    {field_init, 2},
    {field_init, 3, .inherited = true},
  [476] =
    {field_body, 8},
    {field_dimensions, 4, .inherited = true},
    {field_name, 4, .inherited = true},
    {field_type, 3},
    {field_value, 6},
  [481] =
    {field_body, 8},
    {field_condition, 3},
    {field_init, 2},
    {field_update, 5},
    {field_update, 6, .inherited = true},
  [486] =
    {field_modules, 1},
  [487] =
    {field_modules, 3},
    {field_modules, 4, .inherited = true},
    {field_package, 1},
  [490] =
    {field_modules, 0, .inherited = true},
    {field_modules, 1, .inherited = true},
  [492] =
    {field_provider, 1},
  [493] =
    {field_provided, 1},
    {field_provider, 4, .inherited = true},
  [495] =
    {field_provider, 0, .inherited = true},
    {field_provider, 1, .inherited = true},
  [497] =
    {field_name, 2},
    {field_type, 1},
  [499] =
    {field_value, 1},
  [500] =
    {field_dimensions, 4},
    {field_name, 1},
    {field_type, 0},
  [503] =
    {field_name, 1},
    {field_type, 0},
    {field_value, 4, .inherited = true},
  [506] =
    {field_arguments, 3},
    {field_constructor, 2},
    {field_object, 0},
  [509] =
    {field_body, 9},
    {field_condition, 4},
    {field_init, 2},
    {field_update, 6},
    {field_update, 7, .inherited = true},
  [514] =
    {field_body, 9},
    {field_init, 2},
    {field_init, 3, .inherited = true},
    {field_update, 6},
    {field_update, 7, .inherited = true},
  [519] =
    {field_body, 9},
    {field_condition, 5},
    {field_init, 2},
    {field_init, 3, .inherited = true},
    {field_update, 7},
  [524] =
    {field_dimensions, 5},
    {field_name, 2},
    {field_type, 1},
  [527] =
    {field_name, 2},
    {field_type, 1},
    {field_value, 5, .inherited = true},
  [530] =
    {field_dimensions, 4},
    {field_name, 1},
    {field_type, 0},
    {field_value, 5, .inherited = true},
  [534] =
    {field_arguments, 4},
    {field_constructor, 3},
    {field_object, 0},
    {field_type_arguments, 2},
  [538] =
    {field_body, 10},
    {field_condition, 5},
    {field_init, 2},
    {field_init, 3, .inherited = true},
    {field_update, 7},
    {field_update, 8, .inherited = true},
  [544] =
    {field_dimensions, 5},
    {field_name, 2},
    {field_type, 1},
    {field_value, 6, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [2] = {
    [0] = alias_sym_type_identifier,
  },
  [5] = {
    [1] = sym_identifier,
  },
  [7] = {
    [0] = sym_identifier,
  },
  [9] = {
    [0] = sym_identifier,
  },
  [14] = {
    [1] = sym_identifier,
  },
  [18] = {
    [1] = alias_sym_type_identifier,
  },
  [19] = {
    [1] = alias_sym_type_identifier,
  },
  [26] = {
    [1] = sym_identifier,
  },
  [28] = {
    [0] = sym_identifier,
  },
  [29] = {
    [0] = sym_identifier,
  },
  [30] = {
    [1] = sym_identifier,
  },
  [31] = {
    [2] = sym_identifier,
  },
  [35] = {
    [0] = alias_sym_type_identifier,
    [2] = alias_sym_type_identifier,
  },
  [38] = {
    [0] = sym_identifier,
  },
  [42] = {
    [2] = alias_sym_type_identifier,
  },
  [49] = {
    [1] = alias_sym_type_identifier,
  },
  [50] = {
    [1] = alias_sym_type_identifier,
  },
  [52] = {
    [2] = alias_sym_type_identifier,
  },
  [54] = {
    [2] = alias_sym_type_identifier,
  },
  [59] = {
    [0] = sym_identifier,
  },
  [61] = {
    [2] = sym_identifier,
  },
  [63] = {
    [2] = sym_identifier,
  },
  [66] = {
    [2] = sym_identifier,
  },
  [68] = {
    [0] = alias_sym_type_identifier,
    [3] = alias_sym_type_identifier,
  },
  [70] = {
    [3] = sym_identifier,
  },
  [77] = {
    [3] = alias_sym_type_identifier,
  },
  [81] = {
    [2] = alias_sym_type_identifier,
  },
  [82] = {
    [2] = alias_sym_type_identifier,
  },
  [83] = {
    [1] = alias_sym_type_identifier,
  },
  [105] = {
    [4] = sym_identifier,
  },
  [107] = {
    [3] = sym_identifier,
  },
  [109] = {
    [4] = sym_identifier,
  },
  [118] = {
    [3] = sym_identifier,
  },
  [126] = {
    [0] = sym_identifier,
  },
  [136] = {
    [1] = sym_identifier,
  },
  [139] = {
    [1] = sym_identifier,
  },
  [141] = {
    [1] = sym_identifier,
  },
  [145] = {
    [4] = sym_identifier,
  },
  [159] = {
    [0] = sym_identifier,
  },
  [172] = {
    [2] = sym_identifier,
  },
  [175] = {
    [5] = sym_identifier,
  },
  [192] = {
    [1] = sym_identifier,
    [3] = sym_identifier,
  },
  [193] = {
    [1] = sym_identifier,
  },
  [194] = {
    [3] = sym_identifier,
  },
  [196] = {
    [1] = sym_identifier,
    [3] = sym_identifier,
  },
  [197] = {
    [1] = sym_identifier,
  },
  [198] = {
    [3] = sym_identifier,
  },
  [210] = {
    [1] = sym_identifier,
  },
  [212] = {
    [1] = sym_identifier,
    [3] = sym_identifier,
  },
  [214] = {
    [1] = sym_identifier,
  },
  [215] = {
    [3] = sym_identifier,
  },
  [217] = {
    [1] = sym_identifier,
  },
  [219] = {
    [1] = sym_identifier,
    [3] = sym_identifier,
  },
  [221] = {
    [1] = sym_identifier,
  },
  [222] = {
    [3] = sym_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 6,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 10,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 14,
  [32] = 32,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 21,
  [37] = 17,
  [38] = 16,
  [39] = 34,
  [40] = 19,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 44,
  [45] = 45,
  [46] = 46,
  [47] = 20,
  [48] = 48,
  [49] = 22,
  [50] = 41,
  [51] = 42,
  [52] = 48,
  [53] = 53,
  [54] = 35,
  [55] = 18,
  [56] = 53,
  [57] = 57,
  [58] = 15,
  [59] = 46,
  [60] = 45,
  [61] = 44,
  [62] = 23,
  [63] = 24,
  [64] = 25,
  [65] = 26,
  [66] = 57,
  [67] = 43,
  [68] = 27,
  [69] = 28,
  [70] = 29,
  [71] = 30,
  [72] = 72,
  [73] = 32,
  [74] = 33,
  [75] = 75,
  [76] = 76,
  [77] = 77,
  [78] = 78,
  [79] = 79,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 82,
  [84] = 84,
  [85] = 85,
  [86] = 84,
  [87] = 87,
  [88] = 87,
  [89] = 89,
  [90] = 90,
  [91] = 87,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 102,
  [103] = 103,
  [104] = 104,
  [105] = 105,
  [106] = 106,
  [107] = 105,
  [108] = 108,
  [109] = 108,
  [110] = 110,
  [111] = 111,
  [112] = 81,
  [113] = 113,
  [114] = 114,
  [115] = 115,
  [116] = 116,
  [117] = 117,
  [118] = 77,
  [119] = 119,
  [120] = 120,
  [121] = 114,
  [122] = 122,
  [123] = 123,
  [124] = 124,
  [125] = 125,
  [126] = 126,
  [127] = 127,
  [128] = 116,
  [129] = 124,
  [130] = 122,
  [131] = 117,
  [132] = 132,
  [133] = 123,
  [134] = 113,
  [135] = 135,
  [136] = 127,
  [137] = 135,
  [138] = 126,
  [139] = 139,
  [140] = 125,
  [141] = 120,
  [142] = 111,
  [143] = 132,
  [144] = 144,
  [145] = 145,
  [146] = 146,
  [147] = 147,
  [148] = 148,
  [149] = 149,
  [150] = 150,
  [151] = 151,
  [152] = 152,
  [153] = 153,
  [154] = 154,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 144,
  [161] = 161,
  [162] = 162,
  [163] = 163,
  [164] = 164,
  [165] = 165,
  [166] = 166,
  [167] = 167,
  [168] = 168,
  [169] = 169,
  [170] = 170,
  [171] = 171,
  [172] = 172,
  [173] = 173,
  [174] = 174,
  [175] = 175,
  [176] = 176,
  [177] = 177,
  [178] = 178,
  [179] = 179,
  [180] = 153,
  [181] = 181,
  [182] = 182,
  [183] = 183,
  [184] = 184,
  [185] = 185,
  [186] = 186,
  [187] = 187,
  [188] = 188,
  [189] = 189,
  [190] = 190,
  [191] = 191,
  [192] = 192,
  [193] = 193,
  [194] = 194,
  [195] = 195,
  [196] = 196,
  [197] = 197,
  [198] = 198,
  [199] = 199,
  [200] = 200,
  [201] = 201,
  [202] = 202,
  [203] = 203,
  [204] = 204,
  [205] = 205,
  [206] = 157,
  [207] = 182,
  [208] = 208,
  [209] = 165,
  [210] = 163,
  [211] = 211,
  [212] = 212,
  [213] = 213,
  [214] = 214,
  [215] = 215,
  [216] = 146,
  [217] = 217,
  [218] = 147,
  [219] = 215,
  [220] = 220,
  [221] = 221,
  [222] = 222,
  [223] = 148,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 227,
  [228] = 183,
  [229] = 149,
  [230] = 230,
  [231] = 231,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 166,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 239,
  [240] = 184,
  [241] = 241,
  [242] = 242,
  [243] = 243,
  [244] = 244,
  [245] = 245,
  [246] = 150,
  [247] = 151,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 226,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 195,
  [257] = 257,
  [258] = 158,
  [259] = 259,
  [260] = 214,
  [261] = 261,
  [262] = 213,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 212,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 327,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 331,
  [332] = 332,
  [333] = 333,
  [334] = 334,
  [335] = 335,
  [336] = 336,
  [337] = 337,
  [338] = 338,
  [339] = 339,
  [340] = 340,
  [341] = 341,
  [342] = 342,
  [343] = 343,
  [344] = 344,
  [345] = 345,
  [346] = 346,
  [347] = 347,
  [348] = 348,
  [349] = 349,
  [350] = 350,
  [351] = 351,
  [352] = 352,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 357,
  [358] = 358,
  [359] = 359,
  [360] = 360,
  [361] = 361,
  [362] = 362,
  [363] = 363,
  [364] = 364,
  [365] = 365,
  [366] = 365,
  [367] = 367,
  [368] = 368,
  [369] = 369,
  [370] = 370,
  [371] = 371,
  [372] = 372,
  [373] = 373,
  [374] = 374,
  [375] = 375,
  [376] = 363,
  [377] = 377,
  [378] = 378,
  [379] = 379,
  [380] = 380,
  [381] = 381,
  [382] = 382,
  [383] = 372,
  [384] = 384,
  [385] = 385,
  [386] = 386,
  [387] = 387,
  [388] = 388,
  [389] = 389,
  [390] = 390,
  [391] = 391,
  [392] = 392,
  [393] = 393,
  [394] = 394,
  [395] = 395,
  [396] = 396,
  [397] = 382,
  [398] = 398,
  [399] = 399,
  [400] = 400,
  [401] = 401,
  [402] = 402,
  [403] = 343,
  [404] = 404,
  [405] = 405,
  [406] = 274,
  [407] = 407,
  [408] = 408,
  [409] = 409,
  [410] = 410,
  [411] = 411,
  [412] = 412,
  [413] = 413,
  [414] = 414,
  [415] = 415,
  [416] = 416,
  [417] = 417,
  [418] = 418,
  [419] = 419,
  [420] = 420,
  [421] = 421,
  [422] = 422,
  [423] = 423,
  [424] = 424,
  [425] = 425,
  [426] = 426,
  [427] = 427,
  [428] = 428,
  [429] = 429,
  [430] = 430,
  [431] = 431,
  [432] = 432,
  [433] = 433,
  [434] = 434,
  [435] = 435,
  [436] = 436,
  [437] = 437,
  [438] = 438,
  [439] = 439,
  [440] = 440,
  [441] = 441,
  [442] = 442,
  [443] = 443,
  [444] = 444,
  [445] = 445,
  [446] = 446,
  [447] = 447,
  [448] = 448,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 455,
  [456] = 456,
  [457] = 457,
  [458] = 458,
  [459] = 459,
  [460] = 460,
  [461] = 461,
  [462] = 462,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 466,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 472,
  [473] = 473,
  [474] = 474,
  [475] = 475,
  [476] = 476,
  [477] = 477,
  [478] = 478,
  [479] = 479,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 503,
  [504] = 410,
  [505] = 409,
  [506] = 414,
  [507] = 507,
  [508] = 508,
  [509] = 509,
  [510] = 510,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 515,
  [516] = 516,
  [517] = 517,
  [518] = 518,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 527,
  [528] = 528,
  [529] = 529,
  [530] = 530,
  [531] = 531,
  [532] = 532,
  [533] = 428,
  [534] = 534,
  [535] = 419,
  [536] = 412,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 429,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 395,
  [548] = 396,
  [549] = 386,
  [550] = 385,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 85,
  [556] = 530,
  [557] = 544,
  [558] = 558,
  [559] = 531,
  [560] = 560,
  [561] = 561,
  [562] = 561,
  [563] = 563,
  [564] = 564,
  [565] = 546,
  [566] = 566,
  [567] = 528,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 540,
  [572] = 572,
  [573] = 573,
  [574] = 542,
  [575] = 554,
  [576] = 569,
  [577] = 577,
  [578] = 578,
  [579] = 545,
  [580] = 529,
  [581] = 577,
  [582] = 454,
  [583] = 433,
  [584] = 584,
  [585] = 564,
  [586] = 570,
  [587] = 563,
  [588] = 588,
  [589] = 552,
  [590] = 434,
  [591] = 573,
  [592] = 568,
  [593] = 584,
  [594] = 594,
  [595] = 430,
  [596] = 596,
  [597] = 534,
  [598] = 539,
  [599] = 538,
  [600] = 537,
  [601] = 601,
  [602] = 532,
  [603] = 442,
  [604] = 588,
  [605] = 605,
  [606] = 606,
  [607] = 607,
  [608] = 466,
  [609] = 609,
  [610] = 610,
  [611] = 611,
  [612] = 612,
  [613] = 613,
  [614] = 614,
  [615] = 615,
  [616] = 616,
  [617] = 617,
  [618] = 618,
  [619] = 619,
  [620] = 620,
  [621] = 618,
  [622] = 622,
  [623] = 623,
  [624] = 624,
  [625] = 625,
  [626] = 626,
  [627] = 627,
  [628] = 628,
  [629] = 625,
  [630] = 630,
  [631] = 631,
  [632] = 632,
  [633] = 633,
  [634] = 622,
  [635] = 635,
  [636] = 636,
  [637] = 637,
  [638] = 638,
  [639] = 632,
  [640] = 640,
  [641] = 624,
  [642] = 642,
  [643] = 628,
  [644] = 644,
  [645] = 645,
  [646] = 640,
  [647] = 647,
  [648] = 648,
  [649] = 649,
  [650] = 650,
  [651] = 651,
  [652] = 652,
  [653] = 402,
  [654] = 654,
  [655] = 655,
  [656] = 401,
  [657] = 419,
  [658] = 658,
  [659] = 412,
  [660] = 660,
  [661] = 661,
  [662] = 662,
  [663] = 416,
  [664] = 664,
  [665] = 413,
  [666] = 666,
  [667] = 411,
  [668] = 396,
  [669] = 408,
  [670] = 670,
  [671] = 671,
  [672] = 670,
  [673] = 400,
  [674] = 674,
  [675] = 675,
  [676] = 675,
  [677] = 404,
  [678] = 395,
  [679] = 418,
  [680] = 423,
  [681] = 421,
  [682] = 417,
  [683] = 683,
  [684] = 434,
  [685] = 685,
  [686] = 454,
  [687] = 685,
  [688] = 422,
  [689] = 689,
  [690] = 420,
  [691] = 433,
  [692] = 415,
  [693] = 430,
  [694] = 442,
  [695] = 695,
  [696] = 390,
  [697] = 697,
  [698] = 698,
  [699] = 699,
  [700] = 697,
  [701] = 701,
  [702] = 702,
  [703] = 389,
  [704] = 704,
  [705] = 705,
  [706] = 706,
  [707] = 707,
  [708] = 708,
  [709] = 706,
  [710] = 710,
  [711] = 711,
  [712] = 712,
  [713] = 713,
  [714] = 714,
  [715] = 715,
  [716] = 716,
  [717] = 717,
  [718] = 718,
  [719] = 717,
  [720] = 716,
  [721] = 721,
  [722] = 722,
  [723] = 723,
  [724] = 724,
  [725] = 714,
  [726] = 404,
  [727] = 727,
  [728] = 728,
  [729] = 729,
  [730] = 730,
  [731] = 731,
  [732] = 732,
  [733] = 733,
  [734] = 734,
  [735] = 735,
  [736] = 736,
  [737] = 737,
  [738] = 738,
  [739] = 739,
  [740] = 740,
  [741] = 741,
  [742] = 742,
  [743] = 743,
  [744] = 744,
  [745] = 745,
  [746] = 734,
  [747] = 732,
  [748] = 748,
  [749] = 749,
  [750] = 741,
  [751] = 751,
  [752] = 392,
  [753] = 753,
  [754] = 415,
  [755] = 391,
  [756] = 753,
  [757] = 757,
  [758] = 388,
  [759] = 759,
  [760] = 393,
  [761] = 761,
  [762] = 762,
  [763] = 763,
  [764] = 764,
  [765] = 765,
  [766] = 766,
  [767] = 765,
  [768] = 768,
  [769] = 769,
  [770] = 770,
  [771] = 771,
  [772] = 772,
  [773] = 773,
  [774] = 774,
  [775] = 773,
  [776] = 776,
  [777] = 777,
  [778] = 778,
  [779] = 451,
  [780] = 780,
  [781] = 781,
  [782] = 782,
  [783] = 783,
  [784] = 784,
  [785] = 785,
  [786] = 786,
  [787] = 787,
  [788] = 788,
  [789] = 789,
  [790] = 790,
  [791] = 791,
  [792] = 792,
  [793] = 793,
  [794] = 794,
  [795] = 795,
  [796] = 796,
  [797] = 797,
  [798] = 798,
  [799] = 799,
  [800] = 800,
  [801] = 801,
  [802] = 802,
  [803] = 803,
  [804] = 804,
  [805] = 805,
  [806] = 806,
  [807] = 807,
  [808] = 808,
  [809] = 809,
  [810] = 810,
  [811] = 811,
  [812] = 812,
  [813] = 813,
  [814] = 814,
  [815] = 815,
  [816] = 816,
  [817] = 817,
  [818] = 815,
  [819] = 819,
  [820] = 820,
  [821] = 821,
  [822] = 822,
  [823] = 823,
  [824] = 824,
  [825] = 825,
  [826] = 826,
  [827] = 827,
  [828] = 828,
  [829] = 829,
  [830] = 830,
  [831] = 831,
  [832] = 832,
  [833] = 833,
  [834] = 834,
  [835] = 835,
  [836] = 836,
  [837] = 837,
  [838] = 838,
  [839] = 839,
  [840] = 840,
  [841] = 841,
  [842] = 842,
  [843] = 843,
  [844] = 844,
  [845] = 845,
  [846] = 846,
  [847] = 847,
  [848] = 848,
  [849] = 814,
  [850] = 850,
  [851] = 851,
  [852] = 852,
  [853] = 853,
  [854] = 854,
  [855] = 689,
  [856] = 816,
  [857] = 803,
  [858] = 825,
  [859] = 859,
  [860] = 860,
  [861] = 861,
  [862] = 862,
  [863] = 863,
  [864] = 864,
  [865] = 865,
  [866] = 866,
  [867] = 867,
  [868] = 868,
  [869] = 869,
  [870] = 870,
  [871] = 838,
  [872] = 872,
  [873] = 873,
  [874] = 874,
  [875] = 873,
  [876] = 876,
  [877] = 877,
  [878] = 878,
  [879] = 879,
  [880] = 880,
  [881] = 881,
  [882] = 873,
  [883] = 883,
  [884] = 884,
  [885] = 885,
  [886] = 886,
  [887] = 887,
  [888] = 888,
  [889] = 889,
  [890] = 890,
  [891] = 891,
  [892] = 892,
  [893] = 893,
  [894] = 894,
  [895] = 895,
  [896] = 896,
  [897] = 897,
  [898] = 898,
  [899] = 899,
  [900] = 900,
  [901] = 901,
  [902] = 902,
  [903] = 903,
  [904] = 904,
  [905] = 905,
  [906] = 906,
  [907] = 907,
  [908] = 908,
  [909] = 909,
  [910] = 910,
  [911] = 911,
  [912] = 912,
  [913] = 913,
  [914] = 914,
  [915] = 915,
  [916] = 916,
  [917] = 914,
  [918] = 918,
  [919] = 919,
  [920] = 920,
  [921] = 921,
  [922] = 922,
  [923] = 923,
  [924] = 924,
  [925] = 925,
  [926] = 926,
  [927] = 927,
  [928] = 928,
  [929] = 929,
  [930] = 930,
  [931] = 931,
  [932] = 932,
  [933] = 933,
  [934] = 934,
  [935] = 935,
  [936] = 936,
  [937] = 937,
  [938] = 938,
  [939] = 939,
  [940] = 940,
  [941] = 941,
  [942] = 942,
  [943] = 943,
  [944] = 944,
  [945] = 945,
  [946] = 922,
  [947] = 947,
  [948] = 948,
  [949] = 949,
  [950] = 950,
  [951] = 951,
  [952] = 952,
  [953] = 953,
  [954] = 954,
  [955] = 955,
  [956] = 956,
  [957] = 957,
  [958] = 958,
  [959] = 959,
  [960] = 960,
  [961] = 961,
  [962] = 962,
  [963] = 963,
  [964] = 964,
  [965] = 965,
  [966] = 966,
  [967] = 967,
  [968] = 968,
  [969] = 969,
  [970] = 970,
  [971] = 971,
  [972] = 972,
  [973] = 973,
  [974] = 974,
  [975] = 975,
  [976] = 976,
  [977] = 977,
  [978] = 949,
  [979] = 979,
  [980] = 980,
  [981] = 960,
  [982] = 982,
  [983] = 983,
  [984] = 984,
  [985] = 985,
  [986] = 986,
  [987] = 987,
  [988] = 988,
  [989] = 989,
  [990] = 990,
  [991] = 991,
  [992] = 992,
  [993] = 993,
  [994] = 994,
  [995] = 995,
  [996] = 996,
  [997] = 997,
  [998] = 998,
  [999] = 999,
  [1000] = 1000,
  [1001] = 1001,
  [1002] = 1002,
  [1003] = 1003,
  [1004] = 1004,
  [1005] = 1005,
  [1006] = 1006,
  [1007] = 1007,
  [1008] = 1008,
  [1009] = 1009,
  [1010] = 1010,
  [1011] = 1011,
  [1012] = 1012,
  [1013] = 1013,
  [1014] = 1014,
  [1015] = 1015,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 1018,
  [1019] = 1019,
  [1020] = 1020,
  [1021] = 1021,
  [1022] = 1022,
  [1023] = 1023,
  [1024] = 1024,
  [1025] = 1025,
  [1026] = 1026,
  [1027] = 1027,
  [1028] = 1028,
  [1029] = 964,
  [1030] = 1030,
  [1031] = 1017,
  [1032] = 1032,
  [1033] = 1001,
  [1034] = 1034,
  [1035] = 1035,
  [1036] = 1036,
  [1037] = 1037,
  [1038] = 1038,
  [1039] = 1039,
  [1040] = 1040,
  [1041] = 1041,
  [1042] = 997,
  [1043] = 1043,
  [1044] = 1032,
  [1045] = 1045,
  [1046] = 1046,
  [1047] = 1047,
  [1048] = 1048,
  [1049] = 1049,
  [1050] = 1050,
  [1051] = 1051,
  [1052] = 1052,
  [1053] = 1053,
  [1054] = 1054,
  [1055] = 1055,
  [1056] = 1036,
  [1057] = 1057,
  [1058] = 1058,
  [1059] = 1052,
  [1060] = 1060,
  [1061] = 990,
  [1062] = 1062,
  [1063] = 1063,
  [1064] = 988,
  [1065] = 1034,
  [1066] = 1066,
  [1067] = 1067,
  [1068] = 1068,
  [1069] = 1069,
  [1070] = 1070,
  [1071] = 1071,
  [1072] = 1050,
  [1073] = 1073,
  [1074] = 997,
  [1075] = 1047,
  [1076] = 1076,
  [1077] = 1077,
  [1078] = 1078,
  [1079] = 1079,
  [1080] = 1080,
  [1081] = 1001,
  [1082] = 1066,
  [1083] = 986,
  [1084] = 1030,
  [1085] = 1085,
  [1086] = 1086,
  [1087] = 1087,
  [1088] = 1088,
  [1089] = 1089,
  [1090] = 1090,
  [1091] = 1091,
  [1092] = 1092,
  [1093] = 1093,
  [1094] = 1094,
  [1095] = 1095,
  [1096] = 1096,
  [1097] = 1097,
  [1098] = 1098,
  [1099] = 1099,
  [1100] = 1100,
  [1101] = 1101,
  [1102] = 1102,
  [1103] = 1103,
  [1104] = 1104,
  [1105] = 1105,
  [1106] = 1106,
  [1107] = 1107,
  [1108] = 1108,
  [1109] = 1109,
  [1110] = 1110,
  [1111] = 1111,
  [1112] = 1112,
  [1113] = 1113,
  [1114] = 1114,
  [1115] = 1115,
  [1116] = 1116,
  [1117] = 1117,
  [1118] = 1118,
  [1119] = 1119,
  [1120] = 1120,
  [1121] = 1121,
  [1122] = 1122,
  [1123] = 1123,
  [1124] = 1124,
  [1125] = 1125,
  [1126] = 1126,
  [1127] = 1127,
  [1128] = 1128,
  [1129] = 1129,
  [1130] = 1130,
  [1131] = 1131,
  [1132] = 1132,
  [1133] = 1133,
  [1134] = 1134,
  [1135] = 1135,
  [1136] = 1136,
  [1137] = 1137,
  [1138] = 1138,
  [1139] = 1139,
  [1140] = 1140,
  [1141] = 1141,
  [1142] = 1142,
  [1143] = 1143,
  [1144] = 1144,
  [1145] = 1145,
  [1146] = 1146,
  [1147] = 1147,
  [1148] = 1148,
  [1149] = 1149,
  [1150] = 1150,
  [1151] = 1151,
  [1152] = 1152,
  [1153] = 1153,
  [1154] = 1154,
  [1155] = 345,
  [1156] = 1156,
  [1157] = 1157,
  [1158] = 1158,
  [1159] = 1159,
  [1160] = 1160,
  [1161] = 1161,
  [1162] = 1162,
  [1163] = 1163,
  [1164] = 1164,
  [1165] = 1165,
  [1166] = 1166,
  [1167] = 1167,
  [1168] = 1168,
  [1169] = 1169,
  [1170] = 1170,
  [1171] = 1171,
  [1172] = 1172,
  [1173] = 1173,
  [1174] = 1174,
  [1175] = 1175,
  [1176] = 1176,
  [1177] = 1177,
  [1178] = 1178,
  [1179] = 1179,
  [1180] = 1142,
  [1181] = 1181,
  [1182] = 1182,
  [1183] = 1183,
  [1184] = 1184,
  [1185] = 1185,
  [1186] = 1186,
  [1187] = 1187,
  [1188] = 1188,
  [1189] = 1179,
  [1190] = 1190,
  [1191] = 1191,
  [1192] = 1192,
  [1193] = 1193,
  [1194] = 1194,
  [1195] = 1195,
  [1196] = 1196,
  [1197] = 1197,
  [1198] = 1198,
  [1199] = 1199,
  [1200] = 1200,
  [1201] = 1201,
  [1202] = 1202,
  [1203] = 1203,
  [1204] = 1204,
  [1205] = 1205,
  [1206] = 1206,
  [1207] = 1207,
  [1208] = 1208,
  [1209] = 1209,
  [1210] = 1210,
  [1211] = 1211,
  [1212] = 1212,
  [1213] = 1213,
  [1214] = 1214,
  [1215] = 1215,
  [1216] = 1216,
  [1217] = 1217,
  [1218] = 1218,
  [1219] = 1219,
  [1220] = 1220,
  [1221] = 1221,
  [1222] = 1222,
  [1223] = 1223,
  [1224] = 1224,
  [1225] = 1225,
  [1226] = 1226,
  [1227] = 1227,
  [1228] = 1228,
  [1229] = 1229,
  [1230] = 1230,
  [1231] = 1231,
  [1232] = 1228,
  [1233] = 1226,
  [1234] = 1234,
  [1235] = 1222,
  [1236] = 1236,
  [1237] = 1237,
  [1238] = 1238,
  [1239] = 1239,
  [1240] = 1240,
  [1241] = 1241,
  [1242] = 1242,
  [1243] = 1243,
  [1244] = 1216,
  [1245] = 1245,
  [1246] = 1246,
  [1247] = 1247,
  [1248] = 1248,
  [1249] = 1249,
  [1250] = 1222,
  [1251] = 1251,
  [1252] = 1252,
  [1253] = 1253,
  [1254] = 1254,
  [1255] = 1255,
  [1256] = 1256,
  [1257] = 1257,
  [1258] = 1258,
  [1259] = 1259,
  [1260] = 1260,
  [1261] = 1261,
  [1262] = 1262,
  [1263] = 1263,
  [1264] = 1264,
  [1265] = 1225,
  [1266] = 1266,
  [1267] = 1228,
  [1268] = 1268,
  [1269] = 1269,
  [1270] = 1238,
  [1271] = 1271,
  [1272] = 1272,
  [1273] = 1226,
  [1274] = 1274,
  [1275] = 1275,
  [1276] = 1276,
  [1277] = 1277,
  [1278] = 1278,
  [1279] = 1279,
  [1280] = 1280,
  [1281] = 1281,
  [1282] = 1282,
  [1283] = 1239,
  [1284] = 1284,
  [1285] = 1285,
  [1286] = 1286,
  [1287] = 1224,
  [1288] = 1288,
  [1289] = 1289,
  [1290] = 1290,
  [1291] = 1291,
  [1292] = 1292,
  [1293] = 1293,
  [1294] = 1294,
  [1295] = 1295,
  [1296] = 1227,
  [1297] = 1297,
  [1298] = 1298,
  [1299] = 1299,
};

static inline bool sym_escape_sequence_character_set_1(int32_t c) {
  return (c < 'a'
    ? (c < '?'
      ? (c < '\''
        ? c == '"'
        : c <= '\'')
      : (c <= '?' || c == '\\'))
    : (c <= 'b' || (c < 'r'
      ? (c < 'n'
        ? c == 'f'
        : c <= 'n')
      : (c <= 'r' || (c >= 't' && c <= 'v')))));
}

static inline bool sym_identifier_character_set_1(int32_t c) {
  return (c < 6688
    ? (c < 2984
      ? (c < 2365
        ? (c < 1488
          ? (c < 886
            ? (c < 216
              ? (c < 181
                ? (c < 'a'
                  ? (c >= '$' && c <= '_')
                  : (c <= 'z' || c == 170))
                : (c <= 181 || (c < 192
                  ? c == 186
                  : c <= 214)))
              : (c <= 246 || (c < 748
                ? (c < 710
                  ? (c >= 248 && c <= 705)
                  : (c <= 721 || (c >= 736 && c <= 740)))
                : (c <= 748 || (c < 880
                  ? c == 750
                  : c <= 884)))))
            : (c <= 887 || (c < 931
              ? (c < 904
                ? (c < 895
                  ? (c >= 890 && c <= 893)
                  : (c <= 895 || c == 902))
                : (c <= 906 || (c < 910
                  ? c == 908
                  : c <= 929)))
              : (c <= 1013 || (c < 1329
                ? (c < 1162
                  ? (c >= 1015 && c <= 1153)
                  : c <= 1327)
                : (c <= 1366 || (c < 1376
                  ? c == 1369
                  : c <= 1416)))))))
          : (c <= 1514 || (c < 1994
            ? (c < 1774
              ? (c < 1649
                ? (c < 1568
                  ? (c >= 1519 && c <= 1522)
                  : (c <= 1610 || (c >= 1646 && c <= 1647)))
                : (c <= 1747 || (c < 1765
                  ? c == 1749
                  : c <= 1766)))
              : (c <= 1775 || (c < 1810
                ? (c < 1791
                  ? (c >= 1786 && c <= 1788)
                  : (c <= 1791 || c == 1808))
                : (c <= 1839 || (c < 1969
                  ? (c >= 1869 && c <= 1957)
                  : c <= 1969)))))
            : (c <= 2026 || (c < 2112
              ? (c < 2074
                ? (c < 2042
                  ? (c >= 2036 && c <= 2037)
                  : (c <= 2042 || (c >= 2048 && c <= 2069)))
                : (c <= 2074 || (c < 2088
                  ? c == 2084
                  : c <= 2088)))
              : (c <= 2136 || (c < 2185
                ? (c < 2160
                  ? (c >= 2144 && c <= 2154)
                  : c <= 2183)
                : (c <= 2190 || (c < 2308
                  ? (c >= 2208 && c <= 2249)
                  : c <= 2361)))))))))
        : (c <= 2365 || (c < 2703
          ? (c < 2544
            ? (c < 2474
              ? (c < 2437
                ? (c < 2392
                  ? c == 2384
                  : (c <= 2401 || (c >= 2417 && c <= 2432)))
                : (c <= 2444 || (c < 2451
                  ? (c >= 2447 && c <= 2448)
                  : c <= 2472)))
              : (c <= 2480 || (c < 2510
                ? (c < 2486
                  ? c == 2482
                  : (c <= 2489 || c == 2493))
                : (c <= 2510 || (c < 2527
                  ? (c >= 2524 && c <= 2525)
                  : c <= 2529)))))
            : (c <= 2545 || (c < 2613
              ? (c < 2579
                ? (c < 2565
                  ? c == 2556
                  : (c <= 2570 || (c >= 2575 && c <= 2576)))
                : (c <= 2600 || (c < 2610
                  ? (c >= 2602 && c <= 2608)
                  : c <= 2611)))
              : (c <= 2614 || (c < 2654
                ? (c < 2649
                  ? (c >= 2616 && c <= 2617)
                  : c <= 2652)
                : (c <= 2654 || (c < 2693
                  ? (c >= 2674 && c <= 2676)
                  : c <= 2701)))))))
          : (c <= 2705 || (c < 2869
            ? (c < 2784
              ? (c < 2741
                ? (c < 2730
                  ? (c >= 2707 && c <= 2728)
                  : (c <= 2736 || (c >= 2738 && c <= 2739)))
                : (c <= 2745 || (c < 2768
                  ? c == 2749
                  : c <= 2768)))
              : (c <= 2785 || (c < 2835
                ? (c < 2821
                  ? c == 2809
                  : (c <= 2828 || (c >= 2831 && c <= 2832)))
                : (c <= 2856 || (c < 2866
                  ? (c >= 2858 && c <= 2864)
                  : c <= 2867)))))
            : (c <= 2873 || (c < 2958
              ? (c < 2929
                ? (c < 2908
                  ? c == 2877
                  : (c <= 2909 || (c >= 2911 && c <= 2913)))
                : (c <= 2929 || (c < 2949
                  ? c == 2947
                  : c <= 2954)))
              : (c <= 2960 || (c < 2972
                ? (c < 2969
                  ? (c >= 2962 && c <= 2965)
                  : c <= 2970)
                : (c <= 2972 || (c < 2979
                  ? (c >= 2974 && c <= 2975)
                  : c <= 2980)))))))))))
      : (c <= 2986 || (c < 4176
        ? (c < 3423
          ? (c < 3218
            ? (c < 3133
              ? (c < 3086
                ? (c < 3024
                  ? (c >= 2990 && c <= 3001)
                  : (c <= 3024 || (c >= 3077 && c <= 3084)))
                : (c <= 3088 || (c < 3114
                  ? (c >= 3090 && c <= 3112)
                  : c <= 3129)))
              : (c <= 3133 || (c < 3200
                ? (c < 3165
                  ? (c >= 3160 && c <= 3162)
                  : (c <= 3165 || (c >= 3168 && c <= 3169)))
                : (c <= 3200 || (c < 3214
                  ? (c >= 3205 && c <= 3212)
                  : c <= 3216)))))
            : (c <= 3240 || (c < 3332
              ? (c < 3293
                ? (c < 3253
                  ? (c >= 3242 && c <= 3251)
                  : (c <= 3257 || c == 3261))
                : (c <= 3294 || (c < 3313
                  ? (c >= 3296 && c <= 3297)
                  : c <= 3314)))
              : (c <= 3340 || (c < 3389
                ? (c < 3346
                  ? (c >= 3342 && c <= 3344)
                  : c <= 3386)
                : (c <= 3389 || (c < 3412
                  ? c == 3406
                  : c <= 3414)))))))
          : (c <= 3425 || (c < 3749
            ? (c < 3585
              ? (c < 3507
                ? (c < 3461
                  ? (c >= 3450 && c <= 3455)
                  : (c <= 3478 || (c >= 3482 && c <= 3505)))
                : (c <= 3515 || (c < 3520
                  ? c == 3517
                  : c <= 3526)))
              : (c <= 3632 || (c < 3716
                ? (c < 3648
                  ? (c >= 3634 && c <= 3635)
                  : (c <= 3654 || (c >= 3713 && c <= 3714)))
                : (c <= 3716 || (c < 3724
                  ? (c >= 3718 && c <= 3722)
                  : c <= 3747)))))
            : (c <= 3749 || (c < 3840
              ? (c < 3776
                ? (c < 3762
                  ? (c >= 3751 && c <= 3760)
                  : (c <= 3763 || c == 3773))
                : (c <= 3780 || (c < 3804
                  ? c == 3782
                  : c <= 3807)))
              : (c <= 3840 || (c < 3976
                ? (c < 3913
                  ? (c >= 3904 && c <= 3911)
                  : c <= 3948)
                : (c <= 3980 || (c < 4159
                  ? (c >= 4096 && c <= 4138)
                  : c <= 4159)))))))))
        : (c <= 4181 || (c < 4992
          ? (c < 4696
            ? (c < 4256
              ? (c < 4206
                ? (c < 4193
                  ? (c >= 4186 && c <= 4189)
                  : (c <= 4193 || (c >= 4197 && c <= 4198)))
                : (c <= 4208 || (c < 4238
                  ? (c >= 4213 && c <= 4225)
                  : c <= 4238)))
              : (c <= 4293 || (c < 4348
                ? (c < 4301
                  ? c == 4295
                  : (c <= 4301 || (c >= 4304 && c <= 4346)))
                : (c <= 4680 || (c < 4688
                  ? (c >= 4682 && c <= 4685)
                  : c <= 4694)))))
            : (c <= 4696 || (c < 4800
              ? (c < 4752
                ? (c < 4704
                  ? (c >= 4698 && c <= 4701)
                  : (c <= 4744 || (c >= 4746 && c <= 4749)))
                : (c <= 4784 || (c < 4792
                  ? (c >= 4786 && c <= 4789)
                  : c <= 4798)))
              : (c <= 4800 || (c < 4824
                ? (c < 4808
                  ? (c >= 4802 && c <= 4805)
                  : c <= 4822)
                : (c <= 4880 || (c < 4888
                  ? (c >= 4882 && c <= 4885)
                  : c <= 4954)))))))
          : (c <= 5007 || (c < 6103
            ? (c < 5873
              ? (c < 5743
                ? (c < 5112
                  ? (c >= 5024 && c <= 5109)
                  : (c <= 5117 || (c >= 5121 && c <= 5740)))
                : (c <= 5759 || (c < 5792
                  ? (c >= 5761 && c <= 5786)
                  : c <= 5866)))
              : (c <= 5880 || (c < 5984
                ? (c < 5919
                  ? (c >= 5888 && c <= 5905)
                  : (c <= 5937 || (c >= 5952 && c <= 5969)))
                : (c <= 5996 || (c < 6016
                  ? (c >= 5998 && c <= 6000)
                  : c <= 6067)))))
            : (c <= 6103 || (c < 6400
              ? (c < 6279
                ? (c < 6176
                  ? c == 6108
                  : (c <= 6264 || (c >= 6272 && c <= 6276)))
                : (c <= 6312 || (c < 6320
                  ? c == 6314
                  : c <= 6389)))
              : (c <= 6430 || (c < 6528
                ? (c < 6512
                  ? (c >= 6480 && c <= 6509)
                  : c <= 6516)
                : (c <= 6571 || (c < 6656
                  ? (c >= 6576 && c <= 6601)
                  : c <= 6678)))))))))))))
    : (c <= 6740 || (c < 43261
      ? (c < 11264
        ? (c < 8064
          ? (c < 7406
            ? (c < 7168
              ? (c < 7043
                ? (c < 6917
                  ? c == 6823
                  : (c <= 6963 || (c >= 6981 && c <= 6988)))
                : (c <= 7072 || (c < 7098
                  ? (c >= 7086 && c <= 7087)
                  : c <= 7141)))
              : (c <= 7203 || (c < 7312
                ? (c < 7258
                  ? (c >= 7245 && c <= 7247)
                  : (c <= 7293 || (c >= 7296 && c <= 7304)))
                : (c <= 7354 || (c < 7401
                  ? (c >= 7357 && c <= 7359)
                  : c <= 7404)))))
            : (c <= 7411 || (c < 8008
              ? (c < 7680
                ? (c < 7418
                  ? (c >= 7413 && c <= 7414)
                  : (c <= 7418 || (c >= 7424 && c <= 7615)))
                : (c <= 7957 || (c < 7968
                  ? (c >= 7960 && c <= 7965)
                  : c <= 8005)))
              : (c <= 8013 || (c < 8027
                ? (c < 8025
                  ? (c >= 8016 && c <= 8023)
                  : c <= 8025)
                : (c <= 8027 || (c < 8031
                  ? c == 8029
                  : c <= 8061)))))))
          : (c <= 8116 || (c < 8455
            ? (c < 8160
              ? (c < 8134
                ? (c < 8126
                  ? (c >= 8118 && c <= 8124)
                  : (c <= 8126 || (c >= 8130 && c <= 8132)))
                : (c <= 8140 || (c < 8150
                  ? (c >= 8144 && c <= 8147)
                  : c <= 8155)))
              : (c <= 8172 || (c < 8319
                ? (c < 8182
                  ? (c >= 8178 && c <= 8180)
                  : (c <= 8188 || c == 8305))
                : (c <= 8319 || (c < 8450
                  ? (c >= 8336 && c <= 8348)
                  : c <= 8450)))))
            : (c <= 8455 || (c < 8490
              ? (c < 8484
                ? (c < 8469
                  ? (c >= 8458 && c <= 8467)
                  : (c <= 8469 || (c >= 8473 && c <= 8477)))
                : (c <= 8484 || (c < 8488
                  ? c == 8486
                  : c <= 8488)))
              : (c <= 8493 || (c < 8517
                ? (c < 8508
                  ? (c >= 8495 && c <= 8505)
                  : c <= 8511)
                : (c <= 8521 || (c < 8579
                  ? c == 8526
                  : c <= 8580)))))))))
        : (c <= 11492 || (c < 12704
          ? (c < 11720
            ? (c < 11631
              ? (c < 11559
                ? (c < 11506
                  ? (c >= 11499 && c <= 11502)
                  : (c <= 11507 || (c >= 11520 && c <= 11557)))
                : (c <= 11559 || (c < 11568
                  ? c == 11565
                  : c <= 11623)))
              : (c <= 11631 || (c < 11696
                ? (c < 11680
                  ? (c >= 11648 && c <= 11670)
                  : (c <= 11686 || (c >= 11688 && c <= 11694)))
                : (c <= 11702 || (c < 11712
                  ? (c >= 11704 && c <= 11710)
                  : c <= 11718)))))
            : (c <= 11726 || (c < 12353
              ? (c < 12293
                ? (c < 11736
                  ? (c >= 11728 && c <= 11734)
                  : (c <= 11742 || c == 11823))
                : (c <= 12294 || (c < 12347
                  ? (c >= 12337 && c <= 12341)
                  : c <= 12348)))
              : (c <= 12438 || (c < 12540
                ? (c < 12449
                  ? (c >= 12445 && c <= 12447)
                  : c <= 12538)
                : (c <= 12543 || (c < 12593
                  ? (c >= 12549 && c <= 12591)
                  : c <= 12686)))))))
          : (c <= 12735 || (c < 42786
            ? (c < 42240
              ? (c < 19968
                ? (c < 13312
                  ? (c >= 12784 && c <= 12799)
                  : (c <= 13312 || c == 19903))
                : (c <= 19968 || (c < 42192
                  ? (c >= 40959 && c <= 42124)
                  : c <= 42237)))
              : (c <= 42508 || (c < 42623
                ? (c < 42538
                  ? (c >= 42512 && c <= 42527)
                  : (c <= 42539 || (c >= 42560 && c <= 42606)))
                : (c <= 42653 || (c < 42775
                  ? (c >= 42656 && c <= 42725)
                  : c <= 42783)))))
            : (c <= 42888 || (c < 43015
              ? (c < 42965
                ? (c < 42960
                  ? (c >= 42891 && c <= 42954)
                  : (c <= 42961 || c == 42963))
                : (c <= 42969 || (c < 43011
                  ? (c >= 42994 && c <= 43009)
                  : c <= 43013)))
              : (c <= 43018 || (c < 43138
                ? (c < 43072
                  ? (c >= 43020 && c <= 43042)
                  : c <= 43123)
                : (c <= 43187 || (c < 43259
                  ? (c >= 43250 && c <= 43255)
                  : c <= 43259)))))))))))
      : (c <= 43262 || (c < 65345
        ? (c < 43816
          ? (c < 43646
            ? (c < 43494
              ? (c < 43396
                ? (c < 43312
                  ? (c >= 43274 && c <= 43301)
                  : (c <= 43334 || (c >= 43360 && c <= 43388)))
                : (c <= 43442 || (c < 43488
                  ? c == 43471
                  : c <= 43492)))
              : (c <= 43503 || (c < 43588
                ? (c < 43520
                  ? (c >= 43514 && c <= 43518)
                  : (c <= 43560 || (c >= 43584 && c <= 43586)))
                : (c <= 43595 || (c < 43642
                  ? (c >= 43616 && c <= 43638)
                  : c <= 43642)))))
            : (c <= 43695 || (c < 43744
              ? (c < 43712
                ? (c < 43701
                  ? c == 43697
                  : (c <= 43702 || (c >= 43705 && c <= 43709)))
                : (c <= 43712 || (c < 43739
                  ? c == 43714
                  : c <= 43741)))
              : (c <= 43754 || (c < 43785
                ? (c < 43777
                  ? (c >= 43762 && c <= 43764)
                  : c <= 43782)
                : (c <= 43790 || (c < 43808
                  ? (c >= 43793 && c <= 43798)
                  : c <= 43814)))))))
          : (c <= 43822 || (c < 64298
            ? (c < 55243
              ? (c < 44032
                ? (c < 43868
                  ? (c >= 43824 && c <= 43866)
                  : (c <= 43881 || (c >= 43888 && c <= 44002)))
                : (c <= 44032 || (c < 55216
                  ? c == 55203
                  : c <= 55238)))
              : (c <= 55291 || (c < 64275
                ? (c < 64112
                  ? (c >= 63744 && c <= 64109)
                  : (c <= 64217 || (c >= 64256 && c <= 64262)))
                : (c <= 64279 || (c < 64287
                  ? c == 64285
                  : c <= 64296)))))
            : (c <= 64310 || (c < 64848
              ? (c < 64323
                ? (c < 64318
                  ? (c >= 64312 && c <= 64316)
                  : (c <= 64318 || (c >= 64320 && c <= 64321)))
                : (c <= 64324 || (c < 64467
                  ? (c >= 64326 && c <= 64433)
                  : c <= 64829)))
              : (c <= 64911 || (c < 65136
                ? (c < 65008
                  ? (c >= 64914 && c <= 64967)
                  : c <= 65019)
                : (c <= 65140 || (c < 65313
                  ? (c >= 65142 && c <= 65276)
                  : c <= 65338)))))))))
        : (c <= 65370 || (c < 66928
          ? (c < 66208
            ? (c < 65549
              ? (c < 65490
                ? (c < 65474
                  ? (c >= 65382 && c <= 65470)
                  : (c <= 65479 || (c >= 65482 && c <= 65487)))
                : (c <= 65495 || (c < 65536
                  ? (c >= 65498 && c <= 65500)
                  : c <= 65547)))
              : (c <= 65574 || (c < 65616
                ? (c < 65596
                  ? (c >= 65576 && c <= 65594)
                  : (c <= 65597 || (c >= 65599 && c <= 65613)))
                : (c <= 65629 || (c < 66176
                  ? (c >= 65664 && c <= 65786)
                  : c <= 66204)))))
            : (c <= 66256 || (c < 66504
              ? (c < 66384
                ? (c < 66349
                  ? (c >= 66304 && c <= 66335)
                  : (c <= 66368 || (c >= 66370 && c <= 66377)))
                : (c <= 66421 || (c < 66464
                  ? (c >= 66432 && c <= 66461)
                  : c <= 66499)))
              : (c <= 66511 || (c < 66776
                ? (c < 66736
                  ? (c >= 66560 && c <= 66717)
                  : c <= 66771)
                : (c <= 66811 || (c < 66864
                  ? (c >= 66816 && c <= 66855)
                  : c <= 66915)))))))
          : (c <= 66938 || (c < 67506
            ? (c < 67003
              ? (c < 66967
                ? (c < 66956
                  ? (c >= 66940 && c <= 66954)
                  : (c <= 66962 || (c >= 66964 && c <= 66965)))
                : (c <= 66977 || (c < 66995
                  ? (c >= 66979 && c <= 66993)
                  : c <= 67001)))
              : (c <= 67004 || (c < 67424
                ? (c < 67392
                  ? (c >= 67072 && c <= 67382)
                  : c <= 67413)
                : (c <= 67431 || (c < 67463
                  ? (c >= 67456 && c <= 67461)
                  : c <= 67504)))))
            : (c <= 67514 || (c < 67680
              ? (c < 67639
                ? (c < 67592
                  ? (c >= 67584 && c <= 67589)
                  : (c <= 67592 || (c >= 67594 && c <= 67637)))
                : (c <= 67640 || (c < 67647
                  ? c == 67644
                  : c <= 67669)))
              : (c <= 67702 || (c < 67828
                ? (c < 67808
                  ? (c >= 67712 && c <= 67742)
                  : c <= 67826)
                : (c <= 67829 || (c < 67872
                  ? (c >= 67840 && c <= 67861)
                  : c <= 67883)))))))))))))));
}

static inline bool sym_identifier_character_set_2(int32_t c) {
  return (c < 6656
    ? (c < 2979
      ? (c < 2308
        ? (c < 1376
          ? (c < 880
            ? (c < 192
              ? (c < 170
                ? (c < '_'
                  ? (c >= '$' && c <= 'Z')
                  : (c <= '_' || (c >= 'a' && c <= 'z')))
                : (c <= 170 || (c < 186
                  ? c == 181
                  : c <= 186)))
              : (c <= 214 || (c < 736
                ? (c < 248
                  ? (c >= 216 && c <= 246)
                  : (c <= 705 || (c >= 710 && c <= 721)))
                : (c <= 740 || (c < 750
                  ? c == 748
                  : c <= 750)))))
            : (c <= 884 || (c < 910
              ? (c < 902
                ? (c < 890
                  ? (c >= 886 && c <= 887)
                  : (c <= 893 || c == 895))
                : (c <= 902 || (c < 908
                  ? (c >= 904 && c <= 906)
                  : c <= 908)))
              : (c <= 929 || (c < 1162
                ? (c < 1015
                  ? (c >= 931 && c <= 1013)
                  : c <= 1153)
                : (c <= 1327 || (c < 1369
                  ? (c >= 1329 && c <= 1366)
                  : c <= 1369)))))))
          : (c <= 1416 || (c < 1969
            ? (c < 1765
              ? (c < 1646
                ? (c < 1519
                  ? (c >= 1488 && c <= 1514)
                  : (c <= 1522 || (c >= 1568 && c <= 1610)))
                : (c <= 1647 || (c < 1749
                  ? (c >= 1649 && c <= 1747)
                  : c <= 1749)))
              : (c <= 1766 || (c < 1808
                ? (c < 1786
                  ? (c >= 1774 && c <= 1775)
                  : (c <= 1788 || c == 1791))
                : (c <= 1808 || (c < 1869
                  ? (c >= 1810 && c <= 1839)
                  : c <= 1957)))))
            : (c <= 1969 || (c < 2088
              ? (c < 2048
                ? (c < 2036
                  ? (c >= 1994 && c <= 2026)
                  : (c <= 2037 || c == 2042))
                : (c <= 2069 || (c < 2084
                  ? c == 2074
                  : c <= 2084)))
              : (c <= 2088 || (c < 2160
                ? (c < 2144
                  ? (c >= 2112 && c <= 2136)
                  : c <= 2154)
                : (c <= 2183 || (c < 2208
                  ? (c >= 2185 && c <= 2190)
                  : c <= 2249)))))))))
        : (c <= 2361 || (c < 2693
          ? (c < 2527
            ? (c < 2451
              ? (c < 2417
                ? (c < 2384
                  ? c == 2365
                  : (c <= 2384 || (c >= 2392 && c <= 2401)))
                : (c <= 2432 || (c < 2447
                  ? (c >= 2437 && c <= 2444)
                  : c <= 2448)))
              : (c <= 2472 || (c < 2493
                ? (c < 2482
                  ? (c >= 2474 && c <= 2480)
                  : (c <= 2482 || (c >= 2486 && c <= 2489)))
                : (c <= 2493 || (c < 2524
                  ? c == 2510
                  : c <= 2525)))))
            : (c <= 2529 || (c < 2610
              ? (c < 2575
                ? (c < 2556
                  ? (c >= 2544 && c <= 2545)
                  : (c <= 2556 || (c >= 2565 && c <= 2570)))
                : (c <= 2576 || (c < 2602
                  ? (c >= 2579 && c <= 2600)
                  : c <= 2608)))
              : (c <= 2611 || (c < 2649
                ? (c < 2616
                  ? (c >= 2613 && c <= 2614)
                  : c <= 2617)
                : (c <= 2652 || (c < 2674
                  ? c == 2654
                  : c <= 2676)))))))
          : (c <= 2701 || (c < 2866
            ? (c < 2768
              ? (c < 2738
                ? (c < 2707
                  ? (c >= 2703 && c <= 2705)
                  : (c <= 2728 || (c >= 2730 && c <= 2736)))
                : (c <= 2739 || (c < 2749
                  ? (c >= 2741 && c <= 2745)
                  : c <= 2749)))
              : (c <= 2768 || (c < 2831
                ? (c < 2809
                  ? (c >= 2784 && c <= 2785)
                  : (c <= 2809 || (c >= 2821 && c <= 2828)))
                : (c <= 2832 || (c < 2858
                  ? (c >= 2835 && c <= 2856)
                  : c <= 2864)))))
            : (c <= 2867 || (c < 2949
              ? (c < 2911
                ? (c < 2877
                  ? (c >= 2869 && c <= 2873)
                  : (c <= 2877 || (c >= 2908 && c <= 2909)))
                : (c <= 2913 || (c < 2947
                  ? c == 2929
                  : c <= 2947)))
              : (c <= 2954 || (c < 2969
                ? (c < 2962
                  ? (c >= 2958 && c <= 2960)
                  : c <= 2965)
                : (c <= 2970 || (c < 2974
                  ? c == 2972
                  : c <= 2975)))))))))))
      : (c <= 2980 || (c < 4159
        ? (c < 3412
          ? (c < 3214
            ? (c < 3114
              ? (c < 3077
                ? (c < 2990
                  ? (c >= 2984 && c <= 2986)
                  : (c <= 3001 || c == 3024))
                : (c <= 3084 || (c < 3090
                  ? (c >= 3086 && c <= 3088)
                  : c <= 3112)))
              : (c <= 3129 || (c < 3168
                ? (c < 3160
                  ? c == 3133
                  : (c <= 3162 || c == 3165))
                : (c <= 3169 || (c < 3205
                  ? c == 3200
                  : c <= 3212)))))
            : (c <= 3216 || (c < 3313
              ? (c < 3261
                ? (c < 3242
                  ? (c >= 3218 && c <= 3240)
                  : (c <= 3251 || (c >= 3253 && c <= 3257)))
                : (c <= 3261 || (c < 3296
                  ? (c >= 3293 && c <= 3294)
                  : c <= 3297)))
              : (c <= 3314 || (c < 3346
                ? (c < 3342
                  ? (c >= 3332 && c <= 3340)
                  : c <= 3344)
                : (c <= 3386 || (c < 3406
                  ? c == 3389
                  : c <= 3406)))))))
          : (c <= 3414 || (c < 3724
            ? (c < 3520
              ? (c < 3482
                ? (c < 3450
                  ? (c >= 3423 && c <= 3425)
                  : (c <= 3455 || (c >= 3461 && c <= 3478)))
                : (c <= 3505 || (c < 3517
                  ? (c >= 3507 && c <= 3515)
                  : c <= 3517)))
              : (c <= 3526 || (c < 3713
                ? (c < 3634
                  ? (c >= 3585 && c <= 3632)
                  : (c <= 3635 || (c >= 3648 && c <= 3654)))
                : (c <= 3714 || (c < 3718
                  ? c == 3716
                  : c <= 3722)))))
            : (c <= 3747 || (c < 3804
              ? (c < 3773
                ? (c < 3751
                  ? c == 3749
                  : (c <= 3760 || (c >= 3762 && c <= 3763)))
                : (c <= 3773 || (c < 3782
                  ? (c >= 3776 && c <= 3780)
                  : c <= 3782)))
              : (c <= 3807 || (c < 3913
                ? (c < 3904
                  ? c == 3840
                  : c <= 3911)
                : (c <= 3948 || (c < 4096
                  ? (c >= 3976 && c <= 3980)
                  : c <= 4138)))))))))
        : (c <= 4159 || (c < 4888
          ? (c < 4688
            ? (c < 4238
              ? (c < 4197
                ? (c < 4186
                  ? (c >= 4176 && c <= 4181)
                  : (c <= 4189 || c == 4193))
                : (c <= 4198 || (c < 4213
                  ? (c >= 4206 && c <= 4208)
                  : c <= 4225)))
              : (c <= 4238 || (c < 4304
                ? (c < 4295
                  ? (c >= 4256 && c <= 4293)
                  : (c <= 4295 || c == 4301))
                : (c <= 4346 || (c < 4682
                  ? (c >= 4348 && c <= 4680)
                  : c <= 4685)))))
            : (c <= 4694 || (c < 4792
              ? (c < 4746
                ? (c < 4698
                  ? c == 4696
                  : (c <= 4701 || (c >= 4704 && c <= 4744)))
                : (c <= 4749 || (c < 4786
                  ? (c >= 4752 && c <= 4784)
                  : c <= 4789)))
              : (c <= 4798 || (c < 4808
                ? (c < 4802
                  ? c == 4800
                  : c <= 4805)
                : (c <= 4822 || (c < 4882
                  ? (c >= 4824 && c <= 4880)
                  : c <= 4885)))))))
          : (c <= 4954 || (c < 6016
            ? (c < 5792
              ? (c < 5121
                ? (c < 5024
                  ? (c >= 4992 && c <= 5007)
                  : (c <= 5109 || (c >= 5112 && c <= 5117)))
                : (c <= 5740 || (c < 5761
                  ? (c >= 5743 && c <= 5759)
                  : c <= 5786)))
              : (c <= 5866 || (c < 5952
                ? (c < 5888
                  ? (c >= 5873 && c <= 5880)
                  : (c <= 5905 || (c >= 5919 && c <= 5937)))
                : (c <= 5969 || (c < 5998
                  ? (c >= 5984 && c <= 5996)
                  : c <= 6000)))))
            : (c <= 6067 || (c < 6320
              ? (c < 6272
                ? (c < 6108
                  ? c == 6103
                  : (c <= 6108 || (c >= 6176 && c <= 6264)))
                : (c <= 6276 || (c < 6314
                  ? (c >= 6279 && c <= 6312)
                  : c <= 6314)))
              : (c <= 6389 || (c < 6512
                ? (c < 6480
                  ? (c >= 6400 && c <= 6430)
                  : c <= 6509)
                : (c <= 6516 || (c < 6576
                  ? (c >= 6528 && c <= 6571)
                  : c <= 6601)))))))))))))
    : (c <= 6678 || (c < 43259
      ? (c < 8579
        ? (c < 8031
          ? (c < 7401
            ? (c < 7098
              ? (c < 6981
                ? (c < 6823
                  ? (c >= 6688 && c <= 6740)
                  : (c <= 6823 || (c >= 6917 && c <= 6963)))
                : (c <= 6988 || (c < 7086
                  ? (c >= 7043 && c <= 7072)
                  : c <= 7087)))
              : (c <= 7141 || (c < 7296
                ? (c < 7245
                  ? (c >= 7168 && c <= 7203)
                  : (c <= 7247 || (c >= 7258 && c <= 7293)))
                : (c <= 7304 || (c < 7357
                  ? (c >= 7312 && c <= 7354)
                  : c <= 7359)))))
            : (c <= 7404 || (c < 7968
              ? (c < 7424
                ? (c < 7413
                  ? (c >= 7406 && c <= 7411)
                  : (c <= 7414 || c == 7418))
                : (c <= 7615 || (c < 7960
                  ? (c >= 7680 && c <= 7957)
                  : c <= 7965)))
              : (c <= 8005 || (c < 8025
                ? (c < 8016
                  ? (c >= 8008 && c <= 8013)
                  : c <= 8023)
                : (c <= 8025 || (c < 8029
                  ? c == 8027
                  : c <= 8029)))))))
          : (c <= 8061 || (c < 8450
            ? (c < 8150
              ? (c < 8130
                ? (c < 8118
                  ? (c >= 8064 && c <= 8116)
                  : (c <= 8124 || c == 8126))
                : (c <= 8132 || (c < 8144
                  ? (c >= 8134 && c <= 8140)
                  : c <= 8147)))
              : (c <= 8155 || (c < 8305
                ? (c < 8178
                  ? (c >= 8160 && c <= 8172)
                  : (c <= 8180 || (c >= 8182 && c <= 8188)))
                : (c <= 8305 || (c < 8336
                  ? c == 8319
                  : c <= 8348)))))
            : (c <= 8450 || (c < 8488
              ? (c < 8473
                ? (c < 8458
                  ? c == 8455
                  : (c <= 8467 || c == 8469))
                : (c <= 8477 || (c < 8486
                  ? c == 8484
                  : c <= 8486)))
              : (c <= 8488 || (c < 8508
                ? (c < 8495
                  ? (c >= 8490 && c <= 8493)
                  : c <= 8505)
                : (c <= 8511 || (c < 8526
                  ? (c >= 8517 && c <= 8521)
                  : c <= 8526)))))))))
        : (c <= 8580 || (c < 12593
          ? (c < 11712
            ? (c < 11568
              ? (c < 11520
                ? (c < 11499
                  ? (c >= 11264 && c <= 11492)
                  : (c <= 11502 || (c >= 11506 && c <= 11507)))
                : (c <= 11557 || (c < 11565
                  ? c == 11559
                  : c <= 11565)))
              : (c <= 11623 || (c < 11688
                ? (c < 11648
                  ? c == 11631
                  : (c <= 11670 || (c >= 11680 && c <= 11686)))
                : (c <= 11694 || (c < 11704
                  ? (c >= 11696 && c <= 11702)
                  : c <= 11710)))))
            : (c <= 11718 || (c < 12347
              ? (c < 11823
                ? (c < 11728
                  ? (c >= 11720 && c <= 11726)
                  : (c <= 11734 || (c >= 11736 && c <= 11742)))
                : (c <= 11823 || (c < 12337
                  ? (c >= 12293 && c <= 12294)
                  : c <= 12341)))
              : (c <= 12348 || (c < 12449
                ? (c < 12445
                  ? (c >= 12353 && c <= 12438)
                  : c <= 12447)
                : (c <= 12538 || (c < 12549
                  ? (c >= 12540 && c <= 12543)
                  : c <= 12591)))))))
          : (c <= 12686 || (c < 42775
            ? (c < 42192
              ? (c < 19903
                ? (c < 12784
                  ? (c >= 12704 && c <= 12735)
                  : (c <= 12799 || c == 13312))
                : (c <= 19903 || (c < 40959
                  ? c == 19968
                  : c <= 42124)))
              : (c <= 42237 || (c < 42560
                ? (c < 42512
                  ? (c >= 42240 && c <= 42508)
                  : (c <= 42527 || (c >= 42538 && c <= 42539)))
                : (c <= 42606 || (c < 42656
                  ? (c >= 42623 && c <= 42653)
                  : c <= 42725)))))
            : (c <= 42783 || (c < 43011
              ? (c < 42963
                ? (c < 42891
                  ? (c >= 42786 && c <= 42888)
                  : (c <= 42954 || (c >= 42960 && c <= 42961)))
                : (c <= 42963 || (c < 42994
                  ? (c >= 42965 && c <= 42969)
                  : c <= 43009)))
              : (c <= 43013 || (c < 43072
                ? (c < 43020
                  ? (c >= 43015 && c <= 43018)
                  : c <= 43042)
                : (c <= 43123 || (c < 43250
                  ? (c >= 43138 && c <= 43187)
                  : c <= 43255)))))))))))
      : (c <= 43259 || (c < 65313
        ? (c < 43808
          ? (c < 43642
            ? (c < 43488
              ? (c < 43360
                ? (c < 43274
                  ? (c >= 43261 && c <= 43262)
                  : (c <= 43301 || (c >= 43312 && c <= 43334)))
                : (c <= 43388 || (c < 43471
                  ? (c >= 43396 && c <= 43442)
                  : c <= 43471)))
              : (c <= 43492 || (c < 43584
                ? (c < 43514
                  ? (c >= 43494 && c <= 43503)
                  : (c <= 43518 || (c >= 43520 && c <= 43560)))
                : (c <= 43586 || (c < 43616
                  ? (c >= 43588 && c <= 43595)
                  : c <= 43638)))))
            : (c <= 43642 || (c < 43739
              ? (c < 43705
                ? (c < 43697
                  ? (c >= 43646 && c <= 43695)
                  : (c <= 43697 || (c >= 43701 && c <= 43702)))
                : (c <= 43709 || (c < 43714
                  ? c == 43712
                  : c <= 43714)))
              : (c <= 43741 || (c < 43777
                ? (c < 43762
                  ? (c >= 43744 && c <= 43754)
                  : c <= 43764)
                : (c <= 43782 || (c < 43793
                  ? (c >= 43785 && c <= 43790)
                  : c <= 43798)))))))
          : (c <= 43814 || (c < 64287
            ? (c < 55216
              ? (c < 43888
                ? (c < 43824
                  ? (c >= 43816 && c <= 43822)
                  : (c <= 43866 || (c >= 43868 && c <= 43881)))
                : (c <= 44002 || (c < 55203
                  ? c == 44032
                  : c <= 55203)))
              : (c <= 55238 || (c < 64256
                ? (c < 63744
                  ? (c >= 55243 && c <= 55291)
                  : (c <= 64109 || (c >= 64112 && c <= 64217)))
                : (c <= 64262 || (c < 64285
                  ? (c >= 64275 && c <= 64279)
                  : c <= 64285)))))
            : (c <= 64296 || (c < 64467
              ? (c < 64320
                ? (c < 64312
                  ? (c >= 64298 && c <= 64310)
                  : (c <= 64316 || c == 64318))
                : (c <= 64321 || (c < 64326
                  ? (c >= 64323 && c <= 64324)
                  : c <= 64433)))
              : (c <= 64829 || (c < 65008
                ? (c < 64914
                  ? (c >= 64848 && c <= 64911)
                  : c <= 64967)
                : (c <= 65019 || (c < 65142
                  ? (c >= 65136 && c <= 65140)
                  : c <= 65276)))))))))
        : (c <= 65338 || (c < 66864
          ? (c < 66176
            ? (c < 65536
              ? (c < 65482
                ? (c < 65382
                  ? (c >= 65345 && c <= 65370)
                  : (c <= 65470 || (c >= 65474 && c <= 65479)))
                : (c <= 65487 || (c < 65498
                  ? (c >= 65490 && c <= 65495)
                  : c <= 65500)))
              : (c <= 65547 || (c < 65599
                ? (c < 65576
                  ? (c >= 65549 && c <= 65574)
                  : (c <= 65594 || (c >= 65596 && c <= 65597)))
                : (c <= 65613 || (c < 65664
                  ? (c >= 65616 && c <= 65629)
                  : c <= 65786)))))
            : (c <= 66204 || (c < 66464
              ? (c < 66370
                ? (c < 66304
                  ? (c >= 66208 && c <= 66256)
                  : (c <= 66335 || (c >= 66349 && c <= 66368)))
                : (c <= 66377 || (c < 66432
                  ? (c >= 66384 && c <= 66421)
                  : c <= 66461)))
              : (c <= 66499 || (c < 66736
                ? (c < 66560
                  ? (c >= 66504 && c <= 66511)
                  : c <= 66717)
                : (c <= 66771 || (c < 66816
                  ? (c >= 66776 && c <= 66811)
                  : c <= 66855)))))))
          : (c <= 66915 || (c < 67506
            ? (c < 66995
              ? (c < 66964
                ? (c < 66940
                  ? (c >= 66928 && c <= 66938)
                  : (c <= 66954 || (c >= 66956 && c <= 66962)))
                : (c <= 66965 || (c < 66979
                  ? (c >= 66967 && c <= 66977)
                  : c <= 66993)))
              : (c <= 67001 || (c < 67424
                ? (c < 67072
                  ? (c >= 67003 && c <= 67004)
                  : (c <= 67382 || (c >= 67392 && c <= 67413)))
                : (c <= 67431 || (c < 67463
                  ? (c >= 67456 && c <= 67461)
                  : c <= 67504)))))
            : (c <= 67514 || (c < 67680
              ? (c < 67639
                ? (c < 67592
                  ? (c >= 67584 && c <= 67589)
                  : (c <= 67592 || (c >= 67594 && c <= 67637)))
                : (c <= 67640 || (c < 67647
                  ? c == 67644
                  : c <= 67669)))
              : (c <= 67702 || (c < 67828
                ? (c < 67808
                  ? (c >= 67712 && c <= 67742)
                  : c <= 67826)
                : (c <= 67829 || (c < 67872
                  ? (c >= 67840 && c <= 67861)
                  : c <= 67883)))))))))))))));
}

static inline bool sym_identifier_character_set_3(int32_t c) {
  return (c < 6656
    ? (c < 2979
      ? (c < 2308
        ? (c < 1376
          ? (c < 750
            ? (c < 186
              ? (c < 'a'
                ? (c < 'A'
                  ? c == '$'
                  : (c <= 'Z' || c == '_'))
                : (c <= 'z' || (c < 181
                  ? c == 170
                  : c <= 181)))
              : (c <= 186 || (c < 710
                ? (c < 216
                  ? (c >= 192 && c <= 214)
                  : (c <= 246 || (c >= 248 && c <= 705)))
                : (c <= 721 || (c < 748
                  ? (c >= 736 && c <= 740)
                  : c <= 748)))))
            : (c <= 750 || (c < 908
              ? (c < 895
                ? (c < 886
                  ? (c >= 880 && c <= 884)
                  : (c <= 887 || (c >= 890 && c <= 893)))
                : (c <= 895 || (c < 904
                  ? c == 902
                  : c <= 906)))
              : (c <= 908 || (c < 1162
                ? (c < 931
                  ? (c >= 910 && c <= 929)
                  : (c <= 1013 || (c >= 1015 && c <= 1153)))
                : (c <= 1327 || (c < 1369
                  ? (c >= 1329 && c <= 1366)
                  : c <= 1369)))))))
          : (c <= 1416 || (c < 1969
            ? (c < 1765
              ? (c < 1646
                ? (c < 1519
                  ? (c >= 1488 && c <= 1514)
                  : (c <= 1522 || (c >= 1568 && c <= 1610)))
                : (c <= 1647 || (c < 1749
                  ? (c >= 1649 && c <= 1747)
                  : c <= 1749)))
              : (c <= 1766 || (c < 1808
                ? (c < 1786
                  ? (c >= 1774 && c <= 1775)
                  : (c <= 1788 || c == 1791))
                : (c <= 1808 || (c < 1869
                  ? (c >= 1810 && c <= 1839)
                  : c <= 1957)))))
            : (c <= 1969 || (c < 2088
              ? (c < 2048
                ? (c < 2036
                  ? (c >= 1994 && c <= 2026)
                  : (c <= 2037 || c == 2042))
                : (c <= 2069 || (c < 2084
                  ? c == 2074
                  : c <= 2084)))
              : (c <= 2088 || (c < 2160
                ? (c < 2144
                  ? (c >= 2112 && c <= 2136)
                  : c <= 2154)
                : (c <= 2183 || (c < 2208
                  ? (c >= 2185 && c <= 2190)
                  : c <= 2249)))))))))
        : (c <= 2361 || (c < 2693
          ? (c < 2527
            ? (c < 2451
              ? (c < 2417
                ? (c < 2384
                  ? c == 2365
                  : (c <= 2384 || (c >= 2392 && c <= 2401)))
                : (c <= 2432 || (c < 2447
                  ? (c >= 2437 && c <= 2444)
                  : c <= 2448)))
              : (c <= 2472 || (c < 2493
                ? (c < 2482
                  ? (c >= 2474 && c <= 2480)
                  : (c <= 2482 || (c >= 2486 && c <= 2489)))
                : (c <= 2493 || (c < 2524
                  ? c == 2510
                  : c <= 2525)))))
            : (c <= 2529 || (c < 2610
              ? (c < 2575
                ? (c < 2556
                  ? (c >= 2544 && c <= 2545)
                  : (c <= 2556 || (c >= 2565 && c <= 2570)))
                : (c <= 2576 || (c < 2602
                  ? (c >= 2579 && c <= 2600)
                  : c <= 2608)))
              : (c <= 2611 || (c < 2649
                ? (c < 2616
                  ? (c >= 2613 && c <= 2614)
                  : c <= 2617)
                : (c <= 2652 || (c < 2674
                  ? c == 2654
                  : c <= 2676)))))))
          : (c <= 2701 || (c < 2866
            ? (c < 2768
              ? (c < 2738
                ? (c < 2707
                  ? (c >= 2703 && c <= 2705)
                  : (c <= 2728 || (c >= 2730 && c <= 2736)))
                : (c <= 2739 || (c < 2749
                  ? (c >= 2741 && c <= 2745)
                  : c <= 2749)))
              : (c <= 2768 || (c < 2831
                ? (c < 2809
                  ? (c >= 2784 && c <= 2785)
                  : (c <= 2809 || (c >= 2821 && c <= 2828)))
                : (c <= 2832 || (c < 2858
                  ? (c >= 2835 && c <= 2856)
                  : c <= 2864)))))
            : (c <= 2867 || (c < 2949
              ? (c < 2911
                ? (c < 2877
                  ? (c >= 2869 && c <= 2873)
                  : (c <= 2877 || (c >= 2908 && c <= 2909)))
                : (c <= 2913 || (c < 2947
                  ? c == 2929
                  : c <= 2947)))
              : (c <= 2954 || (c < 2969
                ? (c < 2962
                  ? (c >= 2958 && c <= 2960)
                  : c <= 2965)
                : (c <= 2970 || (c < 2974
                  ? c == 2972
                  : c <= 2975)))))))))))
      : (c <= 2980 || (c < 4159
        ? (c < 3412
          ? (c < 3214
            ? (c < 3114
              ? (c < 3077
                ? (c < 2990
                  ? (c >= 2984 && c <= 2986)
                  : (c <= 3001 || c == 3024))
                : (c <= 3084 || (c < 3090
                  ? (c >= 3086 && c <= 3088)
                  : c <= 3112)))
              : (c <= 3129 || (c < 3168
                ? (c < 3160
                  ? c == 3133
                  : (c <= 3162 || c == 3165))
                : (c <= 3169 || (c < 3205
                  ? c == 3200
                  : c <= 3212)))))
            : (c <= 3216 || (c < 3313
              ? (c < 3261
                ? (c < 3242
                  ? (c >= 3218 && c <= 3240)
                  : (c <= 3251 || (c >= 3253 && c <= 3257)))
                : (c <= 3261 || (c < 3296
                  ? (c >= 3293 && c <= 3294)
                  : c <= 3297)))
              : (c <= 3314 || (c < 3346
                ? (c < 3342
                  ? (c >= 3332 && c <= 3340)
                  : c <= 3344)
                : (c <= 3386 || (c < 3406
                  ? c == 3389
                  : c <= 3406)))))))
          : (c <= 3414 || (c < 3724
            ? (c < 3520
              ? (c < 3482
                ? (c < 3450
                  ? (c >= 3423 && c <= 3425)
                  : (c <= 3455 || (c >= 3461 && c <= 3478)))
                : (c <= 3505 || (c < 3517
                  ? (c >= 3507 && c <= 3515)
                  : c <= 3517)))
              : (c <= 3526 || (c < 3713
                ? (c < 3634
                  ? (c >= 3585 && c <= 3632)
                  : (c <= 3635 || (c >= 3648 && c <= 3654)))
                : (c <= 3714 || (c < 3718
                  ? c == 3716
                  : c <= 3722)))))
            : (c <= 3747 || (c < 3804
              ? (c < 3773
                ? (c < 3751
                  ? c == 3749
                  : (c <= 3760 || (c >= 3762 && c <= 3763)))
                : (c <= 3773 || (c < 3782
                  ? (c >= 3776 && c <= 3780)
                  : c <= 3782)))
              : (c <= 3807 || (c < 3913
                ? (c < 3904
                  ? c == 3840
                  : c <= 3911)
                : (c <= 3948 || (c < 4096
                  ? (c >= 3976 && c <= 3980)
                  : c <= 4138)))))))))
        : (c <= 4159 || (c < 4888
          ? (c < 4688
            ? (c < 4238
              ? (c < 4197
                ? (c < 4186
                  ? (c >= 4176 && c <= 4181)
                  : (c <= 4189 || c == 4193))
                : (c <= 4198 || (c < 4213
                  ? (c >= 4206 && c <= 4208)
                  : c <= 4225)))
              : (c <= 4238 || (c < 4304
                ? (c < 4295
                  ? (c >= 4256 && c <= 4293)
                  : (c <= 4295 || c == 4301))
                : (c <= 4346 || (c < 4682
                  ? (c >= 4348 && c <= 4680)
                  : c <= 4685)))))
            : (c <= 4694 || (c < 4792
              ? (c < 4746
                ? (c < 4698
                  ? c == 4696
                  : (c <= 4701 || (c >= 4704 && c <= 4744)))
                : (c <= 4749 || (c < 4786
                  ? (c >= 4752 && c <= 4784)
                  : c <= 4789)))
              : (c <= 4798 || (c < 4808
                ? (c < 4802
                  ? c == 4800
                  : c <= 4805)
                : (c <= 4822 || (c < 4882
                  ? (c >= 4824 && c <= 4880)
                  : c <= 4885)))))))
          : (c <= 4954 || (c < 6016
            ? (c < 5792
              ? (c < 5121
                ? (c < 5024
                  ? (c >= 4992 && c <= 5007)
                  : (c <= 5109 || (c >= 5112 && c <= 5117)))
                : (c <= 5740 || (c < 5761
                  ? (c >= 5743 && c <= 5759)
                  : c <= 5786)))
              : (c <= 5866 || (c < 5952
                ? (c < 5888
                  ? (c >= 5873 && c <= 5880)
                  : (c <= 5905 || (c >= 5919 && c <= 5937)))
                : (c <= 5969 || (c < 5998
                  ? (c >= 5984 && c <= 5996)
                  : c <= 6000)))))
            : (c <= 6067 || (c < 6320
              ? (c < 6272
                ? (c < 6108
                  ? c == 6103
                  : (c <= 6108 || (c >= 6176 && c <= 6264)))
                : (c <= 6276 || (c < 6314
                  ? (c >= 6279 && c <= 6312)
                  : c <= 6314)))
              : (c <= 6389 || (c < 6512
                ? (c < 6480
                  ? (c >= 6400 && c <= 6430)
                  : c <= 6509)
                : (c <= 6516 || (c < 6576
                  ? (c >= 6528 && c <= 6571)
                  : c <= 6601)))))))))))))
    : (c <= 6678 || (c < 43259
      ? (c < 8579
        ? (c < 8031
          ? (c < 7401
            ? (c < 7098
              ? (c < 6981
                ? (c < 6823
                  ? (c >= 6688 && c <= 6740)
                  : (c <= 6823 || (c >= 6917 && c <= 6963)))
                : (c <= 6988 || (c < 7086
                  ? (c >= 7043 && c <= 7072)
                  : c <= 7087)))
              : (c <= 7141 || (c < 7296
                ? (c < 7245
                  ? (c >= 7168 && c <= 7203)
                  : (c <= 7247 || (c >= 7258 && c <= 7293)))
                : (c <= 7304 || (c < 7357
                  ? (c >= 7312 && c <= 7354)
                  : c <= 7359)))))
            : (c <= 7404 || (c < 7968
              ? (c < 7424
                ? (c < 7413
                  ? (c >= 7406 && c <= 7411)
                  : (c <= 7414 || c == 7418))
                : (c <= 7615 || (c < 7960
                  ? (c >= 7680 && c <= 7957)
                  : c <= 7965)))
              : (c <= 8005 || (c < 8025
                ? (c < 8016
                  ? (c >= 8008 && c <= 8013)
                  : c <= 8023)
                : (c <= 8025 || (c < 8029
                  ? c == 8027
                  : c <= 8029)))))))
          : (c <= 8061 || (c < 8450
            ? (c < 8150
              ? (c < 8130
                ? (c < 8118
                  ? (c >= 8064 && c <= 8116)
                  : (c <= 8124 || c == 8126))
                : (c <= 8132 || (c < 8144
                  ? (c >= 8134 && c <= 8140)
                  : c <= 8147)))
              : (c <= 8155 || (c < 8305
                ? (c < 8178
                  ? (c >= 8160 && c <= 8172)
                  : (c <= 8180 || (c >= 8182 && c <= 8188)))
                : (c <= 8305 || (c < 8336
                  ? c == 8319
                  : c <= 8348)))))
            : (c <= 8450 || (c < 8488
              ? (c < 8473
                ? (c < 8458
                  ? c == 8455
                  : (c <= 8467 || c == 8469))
                : (c <= 8477 || (c < 8486
                  ? c == 8484
                  : c <= 8486)))
              : (c <= 8488 || (c < 8508
                ? (c < 8495
                  ? (c >= 8490 && c <= 8493)
                  : c <= 8505)
                : (c <= 8511 || (c < 8526
                  ? (c >= 8517 && c <= 8521)
                  : c <= 8526)))))))))
        : (c <= 8580 || (c < 12593
          ? (c < 11712
            ? (c < 11568
              ? (c < 11520
                ? (c < 11499
                  ? (c >= 11264 && c <= 11492)
                  : (c <= 11502 || (c >= 11506 && c <= 11507)))
                : (c <= 11557 || (c < 11565
                  ? c == 11559
                  : c <= 11565)))
              : (c <= 11623 || (c < 11688
                ? (c < 11648
                  ? c == 11631
                  : (c <= 11670 || (c >= 11680 && c <= 11686)))
                : (c <= 11694 || (c < 11704
                  ? (c >= 11696 && c <= 11702)
                  : c <= 11710)))))
            : (c <= 11718 || (c < 12347
              ? (c < 11823
                ? (c < 11728
                  ? (c >= 11720 && c <= 11726)
                  : (c <= 11734 || (c >= 11736 && c <= 11742)))
                : (c <= 11823 || (c < 12337
                  ? (c >= 12293 && c <= 12294)
                  : c <= 12341)))
              : (c <= 12348 || (c < 12449
                ? (c < 12445
                  ? (c >= 12353 && c <= 12438)
                  : c <= 12447)
                : (c <= 12538 || (c < 12549
                  ? (c >= 12540 && c <= 12543)
                  : c <= 12591)))))))
          : (c <= 12686 || (c < 42775
            ? (c < 42192
              ? (c < 19903
                ? (c < 12784
                  ? (c >= 12704 && c <= 12735)
                  : (c <= 12799 || c == 13312))
                : (c <= 19903 || (c < 40959
                  ? c == 19968
                  : c <= 42124)))
              : (c <= 42237 || (c < 42560
                ? (c < 42512
                  ? (c >= 42240 && c <= 42508)
                  : (c <= 42527 || (c >= 42538 && c <= 42539)))
                : (c <= 42606 || (c < 42656
                  ? (c >= 42623 && c <= 42653)
                  : c <= 42725)))))
            : (c <= 42783 || (c < 43011
              ? (c < 42963
                ? (c < 42891
                  ? (c >= 42786 && c <= 42888)
                  : (c <= 42954 || (c >= 42960 && c <= 42961)))
                : (c <= 42963 || (c < 42994
                  ? (c >= 42965 && c <= 42969)
                  : c <= 43009)))
              : (c <= 43013 || (c < 43072
                ? (c < 43020
                  ? (c >= 43015 && c <= 43018)
                  : c <= 43042)
                : (c <= 43123 || (c < 43250
                  ? (c >= 43138 && c <= 43187)
                  : c <= 43255)))))))))))
      : (c <= 43259 || (c < 65313
        ? (c < 43808
          ? (c < 43642
            ? (c < 43488
              ? (c < 43360
                ? (c < 43274
                  ? (c >= 43261 && c <= 43262)
                  : (c <= 43301 || (c >= 43312 && c <= 43334)))
                : (c <= 43388 || (c < 43471
                  ? (c >= 43396 && c <= 43442)
                  : c <= 43471)))
              : (c <= 43492 || (c < 43584
                ? (c < 43514
                  ? (c >= 43494 && c <= 43503)
                  : (c <= 43518 || (c >= 43520 && c <= 43560)))
                : (c <= 43586 || (c < 43616
                  ? (c >= 43588 && c <= 43595)
                  : c <= 43638)))))
            : (c <= 43642 || (c < 43739
              ? (c < 43705
                ? (c < 43697
                  ? (c >= 43646 && c <= 43695)
                  : (c <= 43697 || (c >= 43701 && c <= 43702)))
                : (c <= 43709 || (c < 43714
                  ? c == 43712
                  : c <= 43714)))
              : (c <= 43741 || (c < 43777
                ? (c < 43762
                  ? (c >= 43744 && c <= 43754)
                  : c <= 43764)
                : (c <= 43782 || (c < 43793
                  ? (c >= 43785 && c <= 43790)
                  : c <= 43798)))))))
          : (c <= 43814 || (c < 64287
            ? (c < 55216
              ? (c < 43888
                ? (c < 43824
                  ? (c >= 43816 && c <= 43822)
                  : (c <= 43866 || (c >= 43868 && c <= 43881)))
                : (c <= 44002 || (c < 55203
                  ? c == 44032
                  : c <= 55203)))
              : (c <= 55238 || (c < 64256
                ? (c < 63744
                  ? (c >= 55243 && c <= 55291)
                  : (c <= 64109 || (c >= 64112 && c <= 64217)))
                : (c <= 64262 || (c < 64285
                  ? (c >= 64275 && c <= 64279)
                  : c <= 64285)))))
            : (c <= 64296 || (c < 64467
              ? (c < 64320
                ? (c < 64312
                  ? (c >= 64298 && c <= 64310)
                  : (c <= 64316 || c == 64318))
                : (c <= 64321 || (c < 64326
                  ? (c >= 64323 && c <= 64324)
                  : c <= 64433)))
              : (c <= 64829 || (c < 65008
                ? (c < 64914
                  ? (c >= 64848 && c <= 64911)
                  : c <= 64967)
                : (c <= 65019 || (c < 65142
                  ? (c >= 65136 && c <= 65140)
                  : c <= 65276)))))))))
        : (c <= 65338 || (c < 66864
          ? (c < 66176
            ? (c < 65536
              ? (c < 65482
                ? (c < 65382
                  ? (c >= 65345 && c <= 65370)
                  : (c <= 65470 || (c >= 65474 && c <= 65479)))
                : (c <= 65487 || (c < 65498
                  ? (c >= 65490 && c <= 65495)
                  : c <= 65500)))
              : (c <= 65547 || (c < 65599
                ? (c < 65576
                  ? (c >= 65549 && c <= 65574)
                  : (c <= 65594 || (c >= 65596 && c <= 65597)))
                : (c <= 65613 || (c < 65664
                  ? (c >= 65616 && c <= 65629)
                  : c <= 65786)))))
            : (c <= 66204 || (c < 66464
              ? (c < 66370
                ? (c < 66304
                  ? (c >= 66208 && c <= 66256)
                  : (c <= 66335 || (c >= 66349 && c <= 66368)))
                : (c <= 66377 || (c < 66432
                  ? (c >= 66384 && c <= 66421)
                  : c <= 66461)))
              : (c <= 66499 || (c < 66736
                ? (c < 66560
                  ? (c >= 66504 && c <= 66511)
                  : c <= 66717)
                : (c <= 66771 || (c < 66816
                  ? (c >= 66776 && c <= 66811)
                  : c <= 66855)))))))
          : (c <= 66915 || (c < 67506
            ? (c < 66995
              ? (c < 66964
                ? (c < 66940
                  ? (c >= 66928 && c <= 66938)
                  : (c <= 66954 || (c >= 66956 && c <= 66962)))
                : (c <= 66965 || (c < 66979
                  ? (c >= 66967 && c <= 66977)
                  : c <= 66993)))
              : (c <= 67001 || (c < 67424
                ? (c < 67072
                  ? (c >= 67003 && c <= 67004)
                  : (c <= 67382 || (c >= 67392 && c <= 67413)))
                : (c <= 67431 || (c < 67463
                  ? (c >= 67456 && c <= 67461)
                  : c <= 67504)))))
            : (c <= 67514 || (c < 67680
              ? (c < 67639
                ? (c < 67592
                  ? (c >= 67584 && c <= 67589)
                  : (c <= 67592 || (c >= 67594 && c <= 67637)))
                : (c <= 67640 || (c < 67647
                  ? c == 67644
                  : c <= 67669)))
              : (c <= 67702 || (c < 67828
                ? (c < 67808
                  ? (c >= 67712 && c <= 67742)
                  : c <= 67826)
                : (c <= 67829 || (c < 67872
                  ? (c >= 67840 && c <= 67861)
                  : c <= 67883)))))))))))))));
}

static inline bool sym_identifier_character_set_4(int32_t c) {
  return (c < 6400
    ? (c < 2979
      ? (c < 2365
        ? (c < 1376
          ? (c < 750
            ? (c < 186
              ? (c < '_'
                ? (c < '0'
                  ? c == '$'
                  : (c <= '9' || (c >= 'A' && c <= 'Z')))
                : (c <= '_' || (c < 170
                  ? (c >= 'a' && c <= 'z')
                  : (c <= 170 || c == 181))))
              : (c <= 186 || (c < 710
                ? (c < 216
                  ? (c >= 192 && c <= 214)
                  : (c <= 246 || (c >= 248 && c <= 705)))
                : (c <= 721 || (c < 748
                  ? (c >= 736 && c <= 740)
                  : c <= 748)))))
            : (c <= 750 || (c < 908
              ? (c < 895
                ? (c < 886
                  ? (c >= 880 && c <= 884)
                  : (c <= 887 || (c >= 890 && c <= 893)))
                : (c <= 895 || (c < 904
                  ? c == 902
                  : c <= 906)))
              : (c <= 908 || (c < 1162
                ? (c < 931
                  ? (c >= 910 && c <= 929)
                  : (c <= 1013 || (c >= 1015 && c <= 1153)))
                : (c <= 1327 || (c < 1369
                  ? (c >= 1329 && c <= 1366)
                  : c <= 1369)))))))
          : (c <= 1416 || (c < 1969
            ? (c < 1749
              ? (c < 1632
                ? (c < 1519
                  ? (c >= 1488 && c <= 1514)
                  : (c <= 1522 || (c >= 1568 && c <= 1610)))
                : (c <= 1641 || (c < 1649
                  ? (c >= 1646 && c <= 1647)
                  : c <= 1747)))
              : (c <= 1749 || (c < 1808
                ? (c < 1774
                  ? (c >= 1765 && c <= 1766)
                  : (c <= 1788 || c == 1791))
                : (c <= 1808 || (c < 1869
                  ? (c >= 1810 && c <= 1839)
                  : c <= 1957)))))
            : (c <= 1969 || (c < 2088
              ? (c < 2048
                ? (c < 2036
                  ? (c >= 1984 && c <= 2026)
                  : (c <= 2037 || c == 2042))
                : (c <= 2069 || (c < 2084
                  ? c == 2074
                  : c <= 2084)))
              : (c <= 2088 || (c < 2185
                ? (c < 2144
                  ? (c >= 2112 && c <= 2136)
                  : (c <= 2154 || (c >= 2160 && c <= 2183)))
                : (c <= 2190 || (c < 2308
                  ? (c >= 2208 && c <= 2249)
                  : c <= 2361)))))))))
        : (c <= 2365 || (c < 2703
          ? (c < 2534
            ? (c < 2474
              ? (c < 2417
                ? (c < 2392
                  ? c == 2384
                  : (c <= 2401 || (c >= 2406 && c <= 2415)))
                : (c <= 2432 || (c < 2447
                  ? (c >= 2437 && c <= 2444)
                  : (c <= 2448 || (c >= 2451 && c <= 2472)))))
              : (c <= 2480 || (c < 2510
                ? (c < 2486
                  ? c == 2482
                  : (c <= 2489 || c == 2493))
                : (c <= 2510 || (c < 2527
                  ? (c >= 2524 && c <= 2525)
                  : c <= 2529)))))
            : (c <= 2545 || (c < 2613
              ? (c < 2579
                ? (c < 2565
                  ? c == 2556
                  : (c <= 2570 || (c >= 2575 && c <= 2576)))
                : (c <= 2600 || (c < 2610
                  ? (c >= 2602 && c <= 2608)
                  : c <= 2611)))
              : (c <= 2614 || (c < 2662
                ? (c < 2649
                  ? (c >= 2616 && c <= 2617)
                  : (c <= 2652 || c == 2654))
                : (c <= 2671 || (c < 2693
                  ? (c >= 2674 && c <= 2676)
                  : c <= 2701)))))))
          : (c <= 2705 || (c < 2866
            ? (c < 2784
              ? (c < 2741
                ? (c < 2730
                  ? (c >= 2707 && c <= 2728)
                  : (c <= 2736 || (c >= 2738 && c <= 2739)))
                : (c <= 2745 || (c < 2768
                  ? c == 2749
                  : c <= 2768)))
              : (c <= 2785 || (c < 2831
                ? (c < 2809
                  ? (c >= 2790 && c <= 2799)
                  : (c <= 2809 || (c >= 2821 && c <= 2828)))
                : (c <= 2832 || (c < 2858
                  ? (c >= 2835 && c <= 2856)
                  : c <= 2864)))))
            : (c <= 2867 || (c < 2947
              ? (c < 2911
                ? (c < 2877
                  ? (c >= 2869 && c <= 2873)
                  : (c <= 2877 || (c >= 2908 && c <= 2909)))
                : (c <= 2913 || (c < 2929
                  ? (c >= 2918 && c <= 2927)
                  : c <= 2929)))
              : (c <= 2947 || (c < 2969
                ? (c < 2958
                  ? (c >= 2949 && c <= 2954)
                  : (c <= 2960 || (c >= 2962 && c <= 2965)))
                : (c <= 2970 || (c < 2974
                  ? c == 2972
                  : c <= 2975)))))))))))
      : (c <= 2980 || (c < 3872
        ? (c < 3406
          ? (c < 3205
            ? (c < 3114
              ? (c < 3046
                ? (c < 2990
                  ? (c >= 2984 && c <= 2986)
                  : (c <= 3001 || c == 3024))
                : (c <= 3055 || (c < 3086
                  ? (c >= 3077 && c <= 3084)
                  : (c <= 3088 || (c >= 3090 && c <= 3112)))))
              : (c <= 3129 || (c < 3168
                ? (c < 3160
                  ? c == 3133
                  : (c <= 3162 || c == 3165))
                : (c <= 3169 || (c < 3200
                  ? (c >= 3174 && c <= 3183)
                  : c <= 3200)))))
            : (c <= 3212 || (c < 3296
              ? (c < 3253
                ? (c < 3218
                  ? (c >= 3214 && c <= 3216)
                  : (c <= 3240 || (c >= 3242 && c <= 3251)))
                : (c <= 3257 || (c < 3293
                  ? c == 3261
                  : c <= 3294)))
              : (c <= 3297 || (c < 3342
                ? (c < 3313
                  ? (c >= 3302 && c <= 3311)
                  : (c <= 3314 || (c >= 3332 && c <= 3340)))
                : (c <= 3344 || (c < 3389
                  ? (c >= 3346 && c <= 3386)
                  : c <= 3389)))))))
          : (c <= 3406 || (c < 3664
            ? (c < 3507
              ? (c < 3450
                ? (c < 3423
                  ? (c >= 3412 && c <= 3414)
                  : (c <= 3425 || (c >= 3430 && c <= 3439)))
                : (c <= 3455 || (c < 3482
                  ? (c >= 3461 && c <= 3478)
                  : c <= 3505)))
              : (c <= 3515 || (c < 3585
                ? (c < 3520
                  ? c == 3517
                  : (c <= 3526 || (c >= 3558 && c <= 3567)))
                : (c <= 3632 || (c < 3648
                  ? (c >= 3634 && c <= 3635)
                  : c <= 3654)))))
            : (c <= 3673 || (c < 3762
              ? (c < 3724
                ? (c < 3716
                  ? (c >= 3713 && c <= 3714)
                  : (c <= 3716 || (c >= 3718 && c <= 3722)))
                : (c <= 3747 || (c < 3751
                  ? c == 3749
                  : c <= 3760)))
              : (c <= 3763 || (c < 3792
                ? (c < 3776
                  ? c == 3773
                  : (c <= 3780 || c == 3782))
                : (c <= 3801 || (c < 3840
                  ? (c >= 3804 && c <= 3807)
                  : c <= 3840)))))))))
        : (c <= 3881 || (c < 4802
          ? (c < 4295
            ? (c < 4193
              ? (c < 4096
                ? (c < 3913
                  ? (c >= 3904 && c <= 3911)
                  : (c <= 3948 || (c >= 3976 && c <= 3980)))
                : (c <= 4138 || (c < 4176
                  ? (c >= 4159 && c <= 4169)
                  : (c <= 4181 || (c >= 4186 && c <= 4189)))))
              : (c <= 4193 || (c < 4238
                ? (c < 4206
                  ? (c >= 4197 && c <= 4198)
                  : (c <= 4208 || (c >= 4213 && c <= 4225)))
                : (c <= 4238 || (c < 4256
                  ? (c >= 4240 && c <= 4249)
                  : c <= 4293)))))
            : (c <= 4295 || (c < 4698
              ? (c < 4682
                ? (c < 4304
                  ? c == 4301
                  : (c <= 4346 || (c >= 4348 && c <= 4680)))
                : (c <= 4685 || (c < 4696
                  ? (c >= 4688 && c <= 4694)
                  : c <= 4696)))
              : (c <= 4701 || (c < 4786
                ? (c < 4746
                  ? (c >= 4704 && c <= 4744)
                  : (c <= 4749 || (c >= 4752 && c <= 4784)))
                : (c <= 4789 || (c < 4800
                  ? (c >= 4792 && c <= 4798)
                  : c <= 4800)))))))
          : (c <= 4805 || (c < 5919
            ? (c < 5112
              ? (c < 4888
                ? (c < 4824
                  ? (c >= 4808 && c <= 4822)
                  : (c <= 4880 || (c >= 4882 && c <= 4885)))
                : (c <= 4954 || (c < 5024
                  ? (c >= 4992 && c <= 5007)
                  : c <= 5109)))
              : (c <= 5117 || (c < 5792
                ? (c < 5743
                  ? (c >= 5121 && c <= 5740)
                  : (c <= 5759 || (c >= 5761 && c <= 5786)))
                : (c <= 5866 || (c < 5888
                  ? (c >= 5873 && c <= 5880)
                  : c <= 5905)))))
            : (c <= 5937 || (c < 6112
              ? (c < 6016
                ? (c < 5984
                  ? (c >= 5952 && c <= 5969)
                  : (c <= 5996 || (c >= 5998 && c <= 6000)))
                : (c <= 6067 || (c < 6108
                  ? c == 6103
                  : c <= 6108)))
              : (c <= 6121 || (c < 6279
                ? (c < 6176
                  ? (c >= 6160 && c <= 6169)
                  : (c <= 6264 || (c >= 6272 && c <= 6276)))
                : (c <= 6312 || (c < 6320
                  ? c == 6314
                  : c <= 6389)))))))))))))
    : (c <= 6430 || (c < 43216
      ? (c < 8490
        ? (c < 7968
          ? (c < 7086
            ? (c < 6784
              ? (c < 6576
                ? (c < 6512
                  ? (c >= 6470 && c <= 6509)
                  : (c <= 6516 || (c >= 6528 && c <= 6571)))
                : (c <= 6601 || (c < 6656
                  ? (c >= 6608 && c <= 6617)
                  : (c <= 6678 || (c >= 6688 && c <= 6740)))))
              : (c <= 6793 || (c < 6981
                ? (c < 6823
                  ? (c >= 6800 && c <= 6809)
                  : (c <= 6823 || (c >= 6917 && c <= 6963)))
                : (c <= 6988 || (c < 7043
                  ? (c >= 6992 && c <= 7001)
                  : c <= 7072)))))
            : (c <= 7141 || (c < 7401
              ? (c < 7296
                ? (c < 7232
                  ? (c >= 7168 && c <= 7203)
                  : (c <= 7241 || (c >= 7245 && c <= 7293)))
                : (c <= 7304 || (c < 7357
                  ? (c >= 7312 && c <= 7354)
                  : c <= 7359)))
              : (c <= 7404 || (c < 7424
                ? (c < 7413
                  ? (c >= 7406 && c <= 7411)
                  : (c <= 7414 || c == 7418))
                : (c <= 7615 || (c < 7960
                  ? (c >= 7680 && c <= 7957)
                  : c <= 7965)))))))
          : (c <= 8005 || (c < 8160
            ? (c < 8064
              ? (c < 8027
                ? (c < 8016
                  ? (c >= 8008 && c <= 8013)
                  : (c <= 8023 || c == 8025))
                : (c <= 8027 || (c < 8031
                  ? c == 8029
                  : c <= 8061)))
              : (c <= 8116 || (c < 8134
                ? (c < 8126
                  ? (c >= 8118 && c <= 8124)
                  : (c <= 8126 || (c >= 8130 && c <= 8132)))
                : (c <= 8140 || (c < 8150
                  ? (c >= 8144 && c <= 8147)
                  : c <= 8155)))))
            : (c <= 8172 || (c < 8455
              ? (c < 8319
                ? (c < 8182
                  ? (c >= 8178 && c <= 8180)
                  : (c <= 8188 || c == 8305))
                : (c <= 8319 || (c < 8450
                  ? (c >= 8336 && c <= 8348)
                  : c <= 8450)))
              : (c <= 8455 || (c < 8484
                ? (c < 8469
                  ? (c >= 8458 && c <= 8467)
                  : (c <= 8469 || (c >= 8473 && c <= 8477)))
                : (c <= 8484 || (c < 8488
                  ? c == 8486
                  : c <= 8488)))))))))
        : (c <= 8493 || (c < 12449
          ? (c < 11680
            ? (c < 11506
              ? (c < 8526
                ? (c < 8508
                  ? (c >= 8495 && c <= 8505)
                  : (c <= 8511 || (c >= 8517 && c <= 8521)))
                : (c <= 8526 || (c < 11264
                  ? (c >= 8579 && c <= 8580)
                  : (c <= 11492 || (c >= 11499 && c <= 11502)))))
              : (c <= 11507 || (c < 11568
                ? (c < 11559
                  ? (c >= 11520 && c <= 11557)
                  : (c <= 11559 || c == 11565))
                : (c <= 11623 || (c < 11648
                  ? c == 11631
                  : c <= 11670)))))
            : (c <= 11686 || (c < 11736
              ? (c < 11712
                ? (c < 11696
                  ? (c >= 11688 && c <= 11694)
                  : (c <= 11702 || (c >= 11704 && c <= 11710)))
                : (c <= 11718 || (c < 11728
                  ? (c >= 11720 && c <= 11726)
                  : c <= 11734)))
              : (c <= 11742 || (c < 12347
                ? (c < 12293
                  ? c == 11823
                  : (c <= 12294 || (c >= 12337 && c <= 12341)))
                : (c <= 12348 || (c < 12445
                  ? (c >= 12353 && c <= 12438)
                  : c <= 12447)))))))
          : (c <= 12538 || (c < 42623
            ? (c < 19903
              ? (c < 12704
                ? (c < 12549
                  ? (c >= 12540 && c <= 12543)
                  : (c <= 12591 || (c >= 12593 && c <= 12686)))
                : (c <= 12735 || (c < 13312
                  ? (c >= 12784 && c <= 12799)
                  : c <= 13312)))
              : (c <= 19903 || (c < 42240
                ? (c < 40959
                  ? c == 19968
                  : (c <= 42124 || (c >= 42192 && c <= 42237)))
                : (c <= 42508 || (c < 42560
                  ? (c >= 42512 && c <= 42539)
                  : c <= 42606)))))
            : (c <= 42653 || (c < 42965
              ? (c < 42891
                ? (c < 42775
                  ? (c >= 42656 && c <= 42725)
                  : (c <= 42783 || (c >= 42786 && c <= 42888)))
                : (c <= 42954 || (c < 42963
                  ? (c >= 42960 && c <= 42961)
                  : c <= 42963)))
              : (c <= 42969 || (c < 43020
                ? (c < 43011
                  ? (c >= 42994 && c <= 43009)
                  : (c <= 43013 || (c >= 43015 && c <= 43018)))
                : (c <= 43042 || (c < 43138
                  ? (c >= 43072 && c <= 43123)
                  : c <= 43187)))))))))))
      : (c <= 43225 || (c < 65296
        ? (c < 43808
          ? (c < 43616
            ? (c < 43471
              ? (c < 43264
                ? (c < 43259
                  ? (c >= 43250 && c <= 43255)
                  : (c <= 43259 || (c >= 43261 && c <= 43262)))
                : (c <= 43301 || (c < 43360
                  ? (c >= 43312 && c <= 43334)
                  : (c <= 43388 || (c >= 43396 && c <= 43442)))))
              : (c <= 43481 || (c < 43584
                ? (c < 43494
                  ? (c >= 43488 && c <= 43492)
                  : (c <= 43518 || (c >= 43520 && c <= 43560)))
                : (c <= 43586 || (c < 43600
                  ? (c >= 43588 && c <= 43595)
                  : c <= 43609)))))
            : (c <= 43638 || (c < 43714
              ? (c < 43701
                ? (c < 43646
                  ? c == 43642
                  : (c <= 43695 || c == 43697))
                : (c <= 43702 || (c < 43712
                  ? (c >= 43705 && c <= 43709)
                  : c <= 43712)))
              : (c <= 43714 || (c < 43777
                ? (c < 43744
                  ? (c >= 43739 && c <= 43741)
                  : (c <= 43754 || (c >= 43762 && c <= 43764)))
                : (c <= 43782 || (c < 43793
                  ? (c >= 43785 && c <= 43790)
                  : c <= 43798)))))))
          : (c <= 43814 || (c < 64285
            ? (c < 55203
              ? (c < 43888
                ? (c < 43824
                  ? (c >= 43816 && c <= 43822)
                  : (c <= 43866 || (c >= 43868 && c <= 43881)))
                : (c <= 44002 || (c < 44032
                  ? (c >= 44016 && c <= 44025)
                  : c <= 44032)))
              : (c <= 55203 || (c < 64112
                ? (c < 55243
                  ? (c >= 55216 && c <= 55238)
                  : (c <= 55291 || (c >= 63744 && c <= 64109)))
                : (c <= 64217 || (c < 64275
                  ? (c >= 64256 && c <= 64262)
                  : c <= 64279)))))
            : (c <= 64285 || (c < 64326
              ? (c < 64318
                ? (c < 64298
                  ? (c >= 64287 && c <= 64296)
                  : (c <= 64310 || (c >= 64312 && c <= 64316)))
                : (c <= 64318 || (c < 64323
                  ? (c >= 64320 && c <= 64321)
                  : c <= 64324)))
              : (c <= 64433 || (c < 65008
                ? (c < 64848
                  ? (c >= 64467 && c <= 64829)
                  : (c <= 64911 || (c >= 64914 && c <= 64967)))
                : (c <= 65019 || (c < 65142
                  ? (c >= 65136 && c <= 65140)
                  : c <= 65276)))))))))
        : (c <= 65305 || (c < 66816
          ? (c < 65664
            ? (c < 65498
              ? (c < 65474
                ? (c < 65345
                  ? (c >= 65313 && c <= 65338)
                  : (c <= 65370 || (c >= 65382 && c <= 65470)))
                : (c <= 65479 || (c < 65490
                  ? (c >= 65482 && c <= 65487)
                  : c <= 65495)))
              : (c <= 65500 || (c < 65596
                ? (c < 65549
                  ? (c >= 65536 && c <= 65547)
                  : (c <= 65574 || (c >= 65576 && c <= 65594)))
                : (c <= 65597 || (c < 65616
                  ? (c >= 65599 && c <= 65613)
                  : c <= 65629)))))
            : (c <= 65786 || (c < 66432
              ? (c < 66349
                ? (c < 66208
                  ? (c >= 66176 && c <= 66204)
                  : (c <= 66256 || (c >= 66304 && c <= 66335)))
                : (c <= 66368 || (c < 66384
                  ? (c >= 66370 && c <= 66377)
                  : c <= 66421)))
              : (c <= 66461 || (c < 66720
                ? (c < 66504
                  ? (c >= 66464 && c <= 66499)
                  : (c <= 66511 || (c >= 66560 && c <= 66717)))
                : (c <= 66729 || (c < 66776
                  ? (c >= 66736 && c <= 66771)
                  : c <= 66811)))))))
          : (c <= 66855 || (c < 67463
            ? (c < 66979
              ? (c < 66956
                ? (c < 66928
                  ? (c >= 66864 && c <= 66915)
                  : (c <= 66938 || (c >= 66940 && c <= 66954)))
                : (c <= 66962 || (c < 66967
                  ? (c >= 66964 && c <= 66965)
                  : c <= 66977)))
              : (c <= 66993 || (c < 67392
                ? (c < 67003
                  ? (c >= 66995 && c <= 67001)
                  : (c <= 67004 || (c >= 67072 && c <= 67382)))
                : (c <= 67413 || (c < 67456
                  ? (c >= 67424 && c <= 67431)
                  : c <= 67461)))))
            : (c <= 67504 || (c < 67647
              ? (c < 67594
                ? (c < 67584
                  ? (c >= 67506 && c <= 67514)
                  : (c <= 67589 || c == 67592))
                : (c <= 67637 || (c < 67644
                  ? (c >= 67639 && c <= 67640)
                  : c <= 67644)))
              : (c <= 67669 || (c < 67828
                ? (c < 67712
                  ? (c >= 67680 && c <= 67702)
                  : (c <= 67742 || (c >= 67808 && c <= 67826)))
                : (c <= 67829 || (c < 67872
                  ? (c >= 67840 && c <= 67861)
                  : c <= 67883)))))))))))))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(64);
      if (lookahead == '!') ADVANCE(178);
      if (lookahead == '"') ADVANCE(88);
      if (lookahead == '%') ADVANCE(165);
      if (lookahead == '&') ADVANCE(123);
      if (lookahead == '\'') ADVANCE(21);
      if (lookahead == '(') ADVANCE(120);
      if (lookahead == ')') ADVANCE(124);
      if (lookahead == '*') ADVANCE(156);
      if (lookahead == '+') ADVANCE(151);
      if (lookahead == ',') ADVANCE(173);
      if (lookahead == '-') ADVANCE(153);
      if (lookahead == '.') ADVANCE(186);
      if (lookahead == '/') ADVANCE(158);
      if (lookahead == '0') ADVANCE(66);
      if (lookahead == ':') ADVANCE(176);
      if (lookahead == ';') ADVANCE(191);
      if (lookahead == '<') ADVANCE(142);
      if (lookahead == '=') ADVANCE(126);
      if (lookahead == '>') ADVANCE(139);
      if (lookahead == '?') ADVANCE(174);
      if (lookahead == '@') ADVANCE(193);
      if (lookahead == '[') ADVANCE(182);
      if (lookahead == '\\') ADVANCE(43);
      if (lookahead == ']') ADVANCE(183);
      if (lookahead == '^') ADVANCE(163);
      if (lookahead == 'n') ADVANCE(199);
      if (lookahead == '{') ADVANCE(189);
      if (lookahead == '|') ADVANCE(160);
      if (lookahead == '}') ADVANCE(190);
      if (lookahead == '~') ADVANCE(179);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(61)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(67);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(200);
      END_STATE();
    case 1:
      if (lookahead == '!') ADVANCE(178);
      if (lookahead == '"') ADVANCE(88);
      if (lookahead == '%') ADVANCE(164);
      if (lookahead == '&') ADVANCE(122);
      if (lookahead == '\'') ADVANCE(21);
      if (lookahead == '(') ADVANCE(120);
      if (lookahead == ')') ADVANCE(124);
      if (lookahead == '*') ADVANCE(155);
      if (lookahead == '+') ADVANCE(150);
      if (lookahead == ',') ADVANCE(173);
      if (lookahead == '-') ADVANCE(154);
      if (lookahead == '.') ADVANCE(15);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == '0') ADVANCE(66);
      if (lookahead == ':') ADVANCE(176);
      if (lookahead == ';') ADVANCE(191);
      if (lookahead == '<') ADVANCE(143);
      if (lookahead == '=') ADVANCE(20);
      if (lookahead == '>') ADVANCE(140);
      if (lookahead == '?') ADVANCE(174);
      if (lookahead == '@') ADVANCE(192);
      if (lookahead == '[') ADVANCE(182);
      if (lookahead == ']') ADVANCE(183);
      if (lookahead == '^') ADVANCE(162);
      if (lookahead == '{') ADVANCE(189);
      if (lookahead == '|') ADVANCE(161);
      if (lookahead == '}') ADVANCE(190);
      if (lookahead == '~') ADVANCE(179);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(1)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(67);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(200);
      END_STATE();
    case 2:
      if (lookahead == '!') ADVANCE(177);
      if (lookahead == '"') ADVANCE(88);
      if (lookahead == '&') ADVANCE(121);
      if (lookahead == '\'') ADVANCE(21);
      if (lookahead == '(') ADVANCE(120);
      if (lookahead == ')') ADVANCE(124);
      if (lookahead == '+') ADVANCE(150);
      if (lookahead == ',') ADVANCE(173);
      if (lookahead == '-') ADVANCE(152);
      if (lookahead == '.') ADVANCE(51);
      if (lookahead == '/') ADVANCE(12);
      if (lookahead == '0') ADVANCE(66);
      if (lookahead == ':') ADVANCE(175);
      if (lookahead == ';') ADVANCE(191);
      if (lookahead == '=') ADVANCE(125);
      if (lookahead == '>') ADVANCE(138);
      if (lookahead == '@') ADVANCE(192);
      if (lookahead == '[') ADVANCE(182);
      if (lookahead == 'n') ADVANCE(199);
      if (lookahead == '}') ADVANCE(190);
      if (lookahead == '~') ADVANCE(179);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(2)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(67);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(200);
      END_STATE();
    case 3:
      if (lookahead == '!') ADVANCE(19);
      if (lookahead == '%') ADVANCE(165);
      if (lookahead == '&') ADVANCE(123);
      if (lookahead == '(') ADVANCE(120);
      if (lookahead == ')') ADVANCE(124);
      if (lookahead == '*') ADVANCE(156);
      if (lookahead == '+') ADVANCE(151);
      if (lookahead == ',') ADVANCE(173);
      if (lookahead == '-') ADVANCE(153);
      if (lookahead == '.') ADVANCE(185);
      if (lookahead == '/') ADVANCE(158);
      if (lookahead == ':') ADVANCE(176);
      if (lookahead == ';') ADVANCE(191);
      if (lookahead == '<') ADVANCE(142);
      if (lookahead == '=') ADVANCE(126);
      if (lookahead == '>') ADVANCE(139);
      if (lookahead == '?') ADVANCE(174);
      if (lookahead == '@') ADVANCE(192);
      if (lookahead == '[') ADVANCE(182);
      if (lookahead == ']') ADVANCE(183);
      if (lookahead == '^') ADVANCE(163);
      if (lookahead == '{') ADVANCE(189);
      if (lookahead == '|') ADVANCE(160);
      if (lookahead == '}') ADVANCE(190);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(3)
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(200);
      END_STATE();
    case 4:
      if (lookahead == '!') ADVANCE(19);
      if (lookahead == '%') ADVANCE(164);
      if (lookahead == '&') ADVANCE(122);
      if (lookahead == '(') ADVANCE(120);
      if (lookahead == ')') ADVANCE(124);
      if (lookahead == '*') ADVANCE(155);
      if (lookahead == '+') ADVANCE(150);
      if (lookahead == ',') ADVANCE(173);
      if (lookahead == '-') ADVANCE(154);
      if (lookahead == '.') ADVANCE(184);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ':') ADVANCE(176);
      if (lookahead == ';') ADVANCE(191);
      if (lookahead == '<') ADVANCE(143);
      if (lookahead == '=') ADVANCE(20);
      if (lookahead == '>') ADVANCE(140);
      if (lookahead == '?') ADVANCE(174);
      if (lookahead == '@') ADVANCE(192);
      if (lookahead == '[') ADVANCE(182);
      if (lookahead == ']') ADVANCE(183);
      if (lookahead == '^') ADVANCE(162);
      if (lookahead == '{') ADVANCE(189);
      if (lookahead == '|') ADVANCE(161);
      if (lookahead == '}') ADVANCE(190);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(4)
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(200);
      END_STATE();
    case 5:
      if (lookahead == '"') ADVANCE(89);
      END_STATE();
    case 6:
      if (lookahead == '"') ADVANCE(109);
      if (lookahead == '/') ADVANCE(100);
      if (lookahead == '\\') ADVANCE(99);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(101);
      if (lookahead != 0) ADVANCE(108);
      END_STATE();
    case 7:
      if (lookahead == '"') ADVANCE(87);
      if (lookahead == '/') ADVANCE(91);
      if (lookahead == '\\') ADVANCE(44);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(94);
      if (lookahead != 0) ADVANCE(95);
      END_STATE();
    case 8:
      if (lookahead == '&') ADVANCE(121);
      if (lookahead == '(') ADVANCE(120);
      if (lookahead == ')') ADVANCE(124);
      if (lookahead == ',') ADVANCE(173);
      if (lookahead == '.') ADVANCE(185);
      if (lookahead == '/') ADVANCE(12);
      if (lookahead == ':') ADVANCE(176);
      if (lookahead == ';') ADVANCE(191);
      if (lookahead == '<') ADVANCE(141);
      if (lookahead == '=') ADVANCE(125);
      if (lookahead == '>') ADVANCE(138);
      if (lookahead == '?') ADVANCE(174);
      if (lookahead == '@') ADVANCE(192);
      if (lookahead == '[') ADVANCE(182);
      if (lookahead == '{') ADVANCE(189);
      if (lookahead == '|') ADVANCE(159);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(8)
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(200);
      END_STATE();
    case 9:
      if (lookahead == '\'') ADVANCE(86);
      if (lookahead == '\\') ADVANCE(60);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(9);
      END_STATE();
    case 10:
      if (lookahead == '(') ADVANCE(120);
      if (lookahead == ',') ADVANCE(173);
      if (lookahead == '.') ADVANCE(184);
      if (lookahead == '/') ADVANCE(12);
      if (lookahead == ';') ADVANCE(191);
      if (lookahead == '<') ADVANCE(141);
      if (lookahead == '@') ADVANCE(193);
      if (lookahead == 'n') ADVANCE(199);
      if (lookahead == '{') ADVANCE(189);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(10)
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(200);
      END_STATE();
    case 11:
      if (lookahead == '(') ADVANCE(120);
      if (lookahead == '.') ADVANCE(184);
      if (lookahead == '/') ADVANCE(12);
      if (lookahead == '@') ADVANCE(192);
      if (lookahead == '[') ADVANCE(182);
      if (lookahead == 'n') ADVANCE(199);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(11)
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(200);
      END_STATE();
    case 12:
      if (lookahead == '*') ADVANCE(14);
      if (lookahead == '/') ADVANCE(201);
      END_STATE();
    case 13:
      if (lookahead == '*') ADVANCE(13);
      if (lookahead == '/') ADVANCE(202);
      if (lookahead != 0) ADVANCE(14);
      END_STATE();
    case 14:
      if (lookahead == '*') ADVANCE(13);
      if (lookahead != 0) ADVANCE(14);
      END_STATE();
    case 15:
      if (lookahead == '.') ADVANCE(16);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(77);
      END_STATE();
    case 16:
      if (lookahead == '.') ADVANCE(196);
      END_STATE();
    case 17:
      if (lookahead == '.') ADVANCE(57);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(70);
      END_STATE();
    case 18:
      if (lookahead == '/') ADVANCE(12);
      if (lookahead == '<') ADVANCE(141);
      if (lookahead == '@') ADVANCE(37);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(18)
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(200);
      END_STATE();
    case 19:
      if (lookahead == '=') ADVANCE(147);
      END_STATE();
    case 20:
      if (lookahead == '=') ADVANCE(146);
      END_STATE();
    case 21:
      if (lookahead == '\\') ADVANCE(60);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'') ADVANCE(9);
      END_STATE();
    case 22:
      if (lookahead == '_') ADVANCE(22);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(67);
      END_STATE();
    case 23:
      if (lookahead == '_') ADVANCE(23);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(77);
      END_STATE();
    case 24:
      if (lookahead == '_') ADVANCE(24);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(78);
      END_STATE();
    case 25:
      if (lookahead == '_') ADVANCE(26);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(69);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(70);
      END_STATE();
    case 26:
      if (lookahead == '_') ADVANCE(26);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(83);
      END_STATE();
    case 27:
      if (lookahead == '_') ADVANCE(26);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(82);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(81);
      END_STATE();
    case 28:
      if (lookahead == 'a') ADVANCE(38);
      END_STATE();
    case 29:
      if (lookahead == 'a') ADVANCE(30);
      END_STATE();
    case 30:
      if (lookahead == 'c') ADVANCE(35);
      END_STATE();
    case 31:
      if (lookahead == 'd') ADVANCE(194);
      END_STATE();
    case 32:
      if (lookahead == 'e') ADVANCE(40);
      END_STATE();
    case 33:
      if (lookahead == 'e') ADVANCE(28);
      END_STATE();
    case 34:
      if (lookahead == 'e') ADVANCE(31);
      END_STATE();
    case 35:
      if (lookahead == 'e') ADVANCE(195);
      END_STATE();
    case 36:
      if (lookahead == 'f') ADVANCE(29);
      END_STATE();
    case 37:
      if (lookahead == 'i') ADVANCE(39);
      END_STATE();
    case 38:
      if (lookahead == 'l') ADVANCE(34);
      END_STATE();
    case 39:
      if (lookahead == 'n') ADVANCE(42);
      END_STATE();
    case 40:
      if (lookahead == 'r') ADVANCE(36);
      END_STATE();
    case 41:
      if (lookahead == 's') ADVANCE(33);
      END_STATE();
    case 42:
      if (lookahead == 't') ADVANCE(32);
      END_STATE();
    case 43:
      if (lookahead == 'u') ADVANCE(45);
      if (lookahead == 'x') ADVANCE(59);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(112);
      if (sym_escape_sequence_character_set_1(lookahead)) ADVANCE(115);
      if (lookahead != 0) ADVANCE(111);
      END_STATE();
    case 44:
      if (lookahead == 'u') ADVANCE(45);
      if (lookahead == 'x') ADVANCE(59);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(117);
      if (lookahead != 0) ADVANCE(115);
      END_STATE();
    case 45:
      if (lookahead == '{') ADVANCE(58);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(54);
      END_STATE();
    case 46:
      if (lookahead == '}') ADVANCE(115);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(46);
      END_STATE();
    case 47:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(52);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(78);
      END_STATE();
    case 48:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(53);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(83);
      END_STATE();
    case 49:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(75);
      END_STATE();
    case 50:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(73);
      END_STATE();
    case 51:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(77);
      END_STATE();
    case 52:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(78);
      END_STATE();
    case 53:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(83);
      END_STATE();
    case 54:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(59);
      END_STATE();
    case 55:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(115);
      END_STATE();
    case 56:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(70);
      END_STATE();
    case 57:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(81);
      END_STATE();
    case 58:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(46);
      END_STATE();
    case 59:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(55);
      END_STATE();
    case 60:
      if (lookahead != 0) ADVANCE(9);
      END_STATE();
    case 61:
      if (eof) ADVANCE(64);
      if (lookahead == '!') ADVANCE(178);
      if (lookahead == '"') ADVANCE(88);
      if (lookahead == '%') ADVANCE(165);
      if (lookahead == '&') ADVANCE(123);
      if (lookahead == '\'') ADVANCE(21);
      if (lookahead == '(') ADVANCE(120);
      if (lookahead == ')') ADVANCE(124);
      if (lookahead == '*') ADVANCE(156);
      if (lookahead == '+') ADVANCE(151);
      if (lookahead == ',') ADVANCE(173);
      if (lookahead == '-') ADVANCE(153);
      if (lookahead == '.') ADVANCE(186);
      if (lookahead == '/') ADVANCE(158);
      if (lookahead == '0') ADVANCE(66);
      if (lookahead == ':') ADVANCE(176);
      if (lookahead == ';') ADVANCE(191);
      if (lookahead == '<') ADVANCE(142);
      if (lookahead == '=') ADVANCE(126);
      if (lookahead == '>') ADVANCE(139);
      if (lookahead == '?') ADVANCE(174);
      if (lookahead == '@') ADVANCE(193);
      if (lookahead == '[') ADVANCE(182);
      if (lookahead == ']') ADVANCE(183);
      if (lookahead == '^') ADVANCE(163);
      if (lookahead == 'n') ADVANCE(199);
      if (lookahead == '{') ADVANCE(189);
      if (lookahead == '|') ADVANCE(160);
      if (lookahead == '}') ADVANCE(190);
      if (lookahead == '~') ADVANCE(179);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(61)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(67);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(200);
      END_STATE();
    case 62:
      if (eof) ADVANCE(64);
      if (lookahead == '!') ADVANCE(178);
      if (lookahead == '"') ADVANCE(88);
      if (lookahead == '%') ADVANCE(164);
      if (lookahead == '&') ADVANCE(122);
      if (lookahead == '\'') ADVANCE(21);
      if (lookahead == '(') ADVANCE(120);
      if (lookahead == ')') ADVANCE(124);
      if (lookahead == '*') ADVANCE(155);
      if (lookahead == '+') ADVANCE(150);
      if (lookahead == ',') ADVANCE(173);
      if (lookahead == '-') ADVANCE(154);
      if (lookahead == '.') ADVANCE(187);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == '0') ADVANCE(66);
      if (lookahead == ':') ADVANCE(176);
      if (lookahead == ';') ADVANCE(191);
      if (lookahead == '<') ADVANCE(143);
      if (lookahead == '=') ADVANCE(20);
      if (lookahead == '>') ADVANCE(140);
      if (lookahead == '?') ADVANCE(174);
      if (lookahead == '@') ADVANCE(193);
      if (lookahead == '[') ADVANCE(182);
      if (lookahead == ']') ADVANCE(183);
      if (lookahead == '^') ADVANCE(162);
      if (lookahead == 'n') ADVANCE(199);
      if (lookahead == '{') ADVANCE(189);
      if (lookahead == '|') ADVANCE(161);
      if (lookahead == '}') ADVANCE(190);
      if (lookahead == '~') ADVANCE(179);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(62)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(67);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(200);
      END_STATE();
    case 63:
      if (eof) ADVANCE(64);
      if (lookahead == '!') ADVANCE(178);
      if (lookahead == '"') ADVANCE(88);
      if (lookahead == '%') ADVANCE(164);
      if (lookahead == '&') ADVANCE(122);
      if (lookahead == '\'') ADVANCE(21);
      if (lookahead == '(') ADVANCE(120);
      if (lookahead == ')') ADVANCE(124);
      if (lookahead == '*') ADVANCE(155);
      if (lookahead == '+') ADVANCE(150);
      if (lookahead == ',') ADVANCE(173);
      if (lookahead == '-') ADVANCE(154);
      if (lookahead == '.') ADVANCE(51);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == '0') ADVANCE(66);
      if (lookahead == ':') ADVANCE(175);
      if (lookahead == ';') ADVANCE(191);
      if (lookahead == '<') ADVANCE(143);
      if (lookahead == '=') ADVANCE(20);
      if (lookahead == '>') ADVANCE(140);
      if (lookahead == '?') ADVANCE(174);
      if (lookahead == '@') ADVANCE(193);
      if (lookahead == ']') ADVANCE(183);
      if (lookahead == '^') ADVANCE(162);
      if (lookahead == 'n') ADVANCE(199);
      if (lookahead == '{') ADVANCE(189);
      if (lookahead == '|') ADVANCE(161);
      if (lookahead == '}') ADVANCE(190);
      if (lookahead == '~') ADVANCE(179);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(63)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(67);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(200);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(49);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(65);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(50);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(17);
      if (lookahead == '_') ADVANCE(22);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(47);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(47);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(76);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(67);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(65);
      if (lookahead == '_') ADVANCE(22);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(47);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(47);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(76);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(67);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(sym_hex_integer_literal);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(sym_hex_integer_literal);
      if (lookahead == '.') ADVANCE(85);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(68);
      if (lookahead == '_') ADVANCE(25);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(71);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(48);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(70);
      if (('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(70);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(69);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(sym_hex_integer_literal);
      if (lookahead == '.') ADVANCE(85);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(68);
      if (lookahead == '_') ADVANCE(56);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(71);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(48);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(70);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(sym_hex_integer_literal);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(53);
      if (lookahead == '.') ADVANCE(85);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(68);
      if (lookahead == '_') ADVANCE(56);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(71);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(48);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(70);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(69);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(sym_octal_integer_literal);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(sym_octal_integer_literal);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(72);
      if (lookahead == '_') ADVANCE(50);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(73);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(sym_binary_integer_literal);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(sym_binary_integer_literal);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(74);
      if (lookahead == '_') ADVANCE(49);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(75);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(sym_decimal_floating_point_literal);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(sym_decimal_floating_point_literal);
      if (lookahead == '_') ADVANCE(23);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(47);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(76);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(77);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(sym_decimal_floating_point_literal);
      if (lookahead == '_') ADVANCE(24);
      if (lookahead == 'D' ||
          lookahead == 'F' ||
          lookahead == 'd' ||
          lookahead == 'f') ADVANCE(76);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(78);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(sym_decimal_floating_point_literal);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(47);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(76);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(77);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(sym_hex_floating_point_literal);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(sym_hex_floating_point_literal);
      if (lookahead == '_') ADVANCE(57);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(84);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(48);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(81);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(sym_hex_floating_point_literal);
      if (lookahead == '_') ADVANCE(27);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(84);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(48);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(81);
      if (('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(82);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(sym_hex_floating_point_literal);
      if (lookahead == '_') ADVANCE(26);
      if (lookahead == 'D' ||
          lookahead == 'F' ||
          lookahead == 'd' ||
          lookahead == 'f') ADVANCE(80);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(83);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(sym_hex_floating_point_literal);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(53);
      if (lookahead == '_') ADVANCE(57);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(84);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(48);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(82);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(sym_hex_floating_point_literal);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(84);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(48);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(81);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(sym_character_literal);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      if (lookahead == '"') ADVANCE(5);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_DQUOTE_DQUOTE_DQUOTE);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(sym_string_fragment);
      if (lookahead == '\n') ADVANCE(95);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(90);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(sym_string_fragment);
      if (lookahead == '*') ADVANCE(93);
      if (lookahead == '/') ADVANCE(90);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(95);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(sym_string_fragment);
      if (lookahead == '*') ADVANCE(92);
      if (lookahead == '/') ADVANCE(95);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(93);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(sym_string_fragment);
      if (lookahead == '*') ADVANCE(92);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(93);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(sym_string_fragment);
      if (lookahead == '/') ADVANCE(91);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(94);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(95);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(sym_string_fragment);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(95);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_token1);
      if (lookahead == '\n') ADVANCE(108);
      if (lookahead == '"') ADVANCE(201);
      if (lookahead != 0) ADVANCE(96);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_token1);
      if (lookahead == '"') ADVANCE(14);
      if (lookahead == '*') ADVANCE(97);
      if (lookahead == '/') ADVANCE(108);
      if (lookahead != 0) ADVANCE(98);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_token1);
      if (lookahead == '"') ADVANCE(14);
      if (lookahead == '*') ADVANCE(97);
      if (lookahead != 0) ADVANCE(98);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_token1);
      if (lookahead == '"') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(102);
      if (lookahead == 'x') ADVANCE(107);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(113);
      if (lookahead == '\'' ||
          lookahead == '?' ||
          lookahead == '\\' ||
          lookahead == 'a' ||
          lookahead == 'b' ||
          lookahead == 'f' ||
          lookahead == 'n' ||
          lookahead == 'r' ||
          ('t' <= lookahead && lookahead <= 'v')) ADVANCE(119);
      if (lookahead != 0) ADVANCE(114);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_token1);
      if (lookahead == '*') ADVANCE(98);
      if (lookahead == '/') ADVANCE(96);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(108);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_token1);
      if (lookahead == '/') ADVANCE(100);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(101);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(108);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_token1);
      if (lookahead == '{') ADVANCE(106);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(104);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(108);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_token1);
      if (lookahead == '}') ADVANCE(119);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(103);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(108);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(107);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(108);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(119);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(108);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(103);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(108);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(105);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(108);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_token1);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(108);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_token2);
      if (lookahead == '"') ADVANCE(5);
      if (lookahead != 0) ADVANCE(110);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_token2);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(110);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(aux_sym__escape_sequence_token1);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(aux_sym__escape_sequence_token1);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(116);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(aux_sym__escape_sequence_token1);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(118);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(108);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(aux_sym__escape_sequence_token1);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(108);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(115);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(116);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(119);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(108);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(108);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(148);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(148);
      if (lookahead == '=') ADVANCE(131);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(146);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(144);
      if (lookahead == '>') ADVANCE(168);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(144);
      if (lookahead == '>') ADVANCE(169);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(167);
      if (lookahead == '=') ADVANCE(145);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(166);
      if (lookahead == '=') ADVANCE(145);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(180);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(180);
      if (lookahead == '=') ADVANCE(127);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(181);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(181);
      if (lookahead == '=') ADVANCE(128);
      if (lookahead == '>') ADVANCE(172);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(181);
      if (lookahead == '>') ADVANCE(172);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(129);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(14);
      if (lookahead == '/') ADVANCE(201);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(14);
      if (lookahead == '/') ADVANCE(201);
      if (lookahead == '=') ADVANCE(130);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(132);
      if (lookahead == '|') ADVANCE(149);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(149);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(133);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(134);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(135);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(136);
      if (lookahead == '>') ADVANCE(171);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(170);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=') ADVANCE(137);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(188);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(147);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(16);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(16);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(77);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(77);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == 'i') ADVANCE(39);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_non_DASHsealed);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_ATinterface);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(41);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(200);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(197);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(200);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(198);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(200);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(200);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(sym_line_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(201);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(sym_block_comment);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'a') ADVANCE(1);
      if (lookahead == 'b') ADVANCE(2);
      if (lookahead == 'c') ADVANCE(3);
      if (lookahead == 'd') ADVANCE(4);
      if (lookahead == 'e') ADVANCE(5);
      if (lookahead == 'f') ADVANCE(6);
      if (lookahead == 'i') ADVANCE(7);
      if (lookahead == 'l') ADVANCE(8);
      if (lookahead == 'm') ADVANCE(9);
      if (lookahead == 'n') ADVANCE(10);
      if (lookahead == 'o') ADVANCE(11);
      if (lookahead == 'p') ADVANCE(12);
      if (lookahead == 'r') ADVANCE(13);
      if (lookahead == 's') ADVANCE(14);
      if (lookahead == 't') ADVANCE(15);
      if (lookahead == 'u') ADVANCE(16);
      if (lookahead == 'v') ADVANCE(17);
      if (lookahead == 'w') ADVANCE(18);
      if (lookahead == 'y') ADVANCE(19);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 'b') ADVANCE(20);
      if (lookahead == 's') ADVANCE(21);
      END_STATE();
    case 2:
      if (lookahead == 'o') ADVANCE(22);
      if (lookahead == 'r') ADVANCE(23);
      if (lookahead == 'y') ADVANCE(24);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(25);
      if (lookahead == 'h') ADVANCE(26);
      if (lookahead == 'l') ADVANCE(27);
      if (lookahead == 'o') ADVANCE(28);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(29);
      if (lookahead == 'o') ADVANCE(30);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(31);
      if (lookahead == 'n') ADVANCE(32);
      if (lookahead == 'x') ADVANCE(33);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(34);
      if (lookahead == 'i') ADVANCE(35);
      if (lookahead == 'l') ADVANCE(36);
      if (lookahead == 'o') ADVANCE(37);
      END_STATE();
    case 7:
      if (lookahead == 'f') ADVANCE(38);
      if (lookahead == 'm') ADVANCE(39);
      if (lookahead == 'n') ADVANCE(40);
      END_STATE();
    case 8:
      if (lookahead == 'o') ADVANCE(41);
      END_STATE();
    case 9:
      if (lookahead == 'o') ADVANCE(42);
      END_STATE();
    case 10:
      if (lookahead == 'a') ADVANCE(43);
      if (lookahead == 'e') ADVANCE(44);
      if (lookahead == 'u') ADVANCE(45);
      END_STATE();
    case 11:
      if (lookahead == 'p') ADVANCE(46);
      END_STATE();
    case 12:
      if (lookahead == 'a') ADVANCE(47);
      if (lookahead == 'e') ADVANCE(48);
      if (lookahead == 'r') ADVANCE(49);
      if (lookahead == 'u') ADVANCE(50);
      END_STATE();
    case 13:
      if (lookahead == 'e') ADVANCE(51);
      END_STATE();
    case 14:
      if (lookahead == 'e') ADVANCE(52);
      if (lookahead == 'h') ADVANCE(53);
      if (lookahead == 't') ADVANCE(54);
      if (lookahead == 'u') ADVANCE(55);
      if (lookahead == 'w') ADVANCE(56);
      if (lookahead == 'y') ADVANCE(57);
      END_STATE();
    case 15:
      if (lookahead == 'h') ADVANCE(58);
      if (lookahead == 'o') ADVANCE(59);
      if (lookahead == 'r') ADVANCE(60);
      END_STATE();
    case 16:
      if (lookahead == 's') ADVANCE(61);
      END_STATE();
    case 17:
      if (lookahead == 'o') ADVANCE(62);
      END_STATE();
    case 18:
      if (lookahead == 'h') ADVANCE(63);
      if (lookahead == 'i') ADVANCE(64);
      END_STATE();
    case 19:
      if (lookahead == 'i') ADVANCE(65);
      END_STATE();
    case 20:
      if (lookahead == 's') ADVANCE(66);
      END_STATE();
    case 21:
      if (lookahead == 's') ADVANCE(67);
      END_STATE();
    case 22:
      if (lookahead == 'o') ADVANCE(68);
      END_STATE();
    case 23:
      if (lookahead == 'e') ADVANCE(69);
      END_STATE();
    case 24:
      if (lookahead == 't') ADVANCE(70);
      END_STATE();
    case 25:
      if (lookahead == 's') ADVANCE(71);
      if (lookahead == 't') ADVANCE(72);
      END_STATE();
    case 26:
      if (lookahead == 'a') ADVANCE(73);
      END_STATE();
    case 27:
      if (lookahead == 'a') ADVANCE(74);
      END_STATE();
    case 28:
      if (lookahead == 'n') ADVANCE(75);
      END_STATE();
    case 29:
      if (lookahead == 'f') ADVANCE(76);
      END_STATE();
    case 30:
      ACCEPT_TOKEN(anon_sym_do);
      if (lookahead == 'u') ADVANCE(77);
      END_STATE();
    case 31:
      if (lookahead == 's') ADVANCE(78);
      END_STATE();
    case 32:
      if (lookahead == 'u') ADVANCE(79);
      END_STATE();
    case 33:
      if (lookahead == 'p') ADVANCE(80);
      if (lookahead == 't') ADVANCE(81);
      END_STATE();
    case 34:
      if (lookahead == 'l') ADVANCE(82);
      END_STATE();
    case 35:
      if (lookahead == 'n') ADVANCE(83);
      END_STATE();
    case 36:
      if (lookahead == 'o') ADVANCE(84);
      END_STATE();
    case 37:
      if (lookahead == 'r') ADVANCE(85);
      END_STATE();
    case 38:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 39:
      if (lookahead == 'p') ADVANCE(86);
      END_STATE();
    case 40:
      if (lookahead == 's') ADVANCE(87);
      if (lookahead == 't') ADVANCE(88);
      END_STATE();
    case 41:
      if (lookahead == 'n') ADVANCE(89);
      END_STATE();
    case 42:
      if (lookahead == 'd') ADVANCE(90);
      END_STATE();
    case 43:
      if (lookahead == 't') ADVANCE(91);
      END_STATE();
    case 44:
      if (lookahead == 'w') ADVANCE(92);
      END_STATE();
    case 45:
      if (lookahead == 'l') ADVANCE(93);
      END_STATE();
    case 46:
      if (lookahead == 'e') ADVANCE(94);
      END_STATE();
    case 47:
      if (lookahead == 'c') ADVANCE(95);
      END_STATE();
    case 48:
      if (lookahead == 'r') ADVANCE(96);
      END_STATE();
    case 49:
      if (lookahead == 'i') ADVANCE(97);
      if (lookahead == 'o') ADVANCE(98);
      END_STATE();
    case 50:
      if (lookahead == 'b') ADVANCE(99);
      END_STATE();
    case 51:
      if (lookahead == 'c') ADVANCE(100);
      if (lookahead == 'q') ADVANCE(101);
      if (lookahead == 't') ADVANCE(102);
      END_STATE();
    case 52:
      if (lookahead == 'a') ADVANCE(103);
      END_STATE();
    case 53:
      if (lookahead == 'o') ADVANCE(104);
      END_STATE();
    case 54:
      if (lookahead == 'a') ADVANCE(105);
      if (lookahead == 'r') ADVANCE(106);
      END_STATE();
    case 55:
      if (lookahead == 'p') ADVANCE(107);
      END_STATE();
    case 56:
      if (lookahead == 'i') ADVANCE(108);
      END_STATE();
    case 57:
      if (lookahead == 'n') ADVANCE(109);
      END_STATE();
    case 58:
      if (lookahead == 'i') ADVANCE(110);
      if (lookahead == 'r') ADVANCE(111);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_to);
      END_STATE();
    case 60:
      if (lookahead == 'a') ADVANCE(112);
      if (lookahead == 'u') ADVANCE(113);
      if (lookahead == 'y') ADVANCE(114);
      END_STATE();
    case 61:
      if (lookahead == 'e') ADVANCE(115);
      END_STATE();
    case 62:
      if (lookahead == 'i') ADVANCE(116);
      if (lookahead == 'l') ADVANCE(117);
      END_STATE();
    case 63:
      if (lookahead == 'i') ADVANCE(118);
      END_STATE();
    case 64:
      if (lookahead == 't') ADVANCE(119);
      END_STATE();
    case 65:
      if (lookahead == 'e') ADVANCE(120);
      END_STATE();
    case 66:
      if (lookahead == 't') ADVANCE(121);
      END_STATE();
    case 67:
      if (lookahead == 'e') ADVANCE(122);
      END_STATE();
    case 68:
      if (lookahead == 'l') ADVANCE(123);
      END_STATE();
    case 69:
      if (lookahead == 'a') ADVANCE(124);
      END_STATE();
    case 70:
      if (lookahead == 'e') ADVANCE(125);
      END_STATE();
    case 71:
      if (lookahead == 'e') ADVANCE(126);
      END_STATE();
    case 72:
      if (lookahead == 'c') ADVANCE(127);
      END_STATE();
    case 73:
      if (lookahead == 'r') ADVANCE(128);
      END_STATE();
    case 74:
      if (lookahead == 's') ADVANCE(129);
      END_STATE();
    case 75:
      if (lookahead == 't') ADVANCE(130);
      END_STATE();
    case 76:
      if (lookahead == 'a') ADVANCE(131);
      END_STATE();
    case 77:
      if (lookahead == 'b') ADVANCE(132);
      END_STATE();
    case 78:
      if (lookahead == 'e') ADVANCE(133);
      END_STATE();
    case 79:
      if (lookahead == 'm') ADVANCE(134);
      END_STATE();
    case 80:
      if (lookahead == 'o') ADVANCE(135);
      END_STATE();
    case 81:
      if (lookahead == 'e') ADVANCE(136);
      END_STATE();
    case 82:
      if (lookahead == 's') ADVANCE(137);
      END_STATE();
    case 83:
      if (lookahead == 'a') ADVANCE(138);
      END_STATE();
    case 84:
      if (lookahead == 'a') ADVANCE(139);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 86:
      if (lookahead == 'l') ADVANCE(140);
      if (lookahead == 'o') ADVANCE(141);
      END_STATE();
    case 87:
      if (lookahead == 't') ADVANCE(142);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_int);
      if (lookahead == 'e') ADVANCE(143);
      END_STATE();
    case 89:
      if (lookahead == 'g') ADVANCE(144);
      END_STATE();
    case 90:
      if (lookahead == 'u') ADVANCE(145);
      END_STATE();
    case 91:
      if (lookahead == 'i') ADVANCE(146);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 93:
      if (lookahead == 'l') ADVANCE(147);
      END_STATE();
    case 94:
      if (lookahead == 'n') ADVANCE(148);
      END_STATE();
    case 95:
      if (lookahead == 'k') ADVANCE(149);
      END_STATE();
    case 96:
      if (lookahead == 'm') ADVANCE(150);
      END_STATE();
    case 97:
      if (lookahead == 'v') ADVANCE(151);
      END_STATE();
    case 98:
      if (lookahead == 't') ADVANCE(152);
      if (lookahead == 'v') ADVANCE(153);
      END_STATE();
    case 99:
      if (lookahead == 'l') ADVANCE(154);
      END_STATE();
    case 100:
      if (lookahead == 'o') ADVANCE(155);
      END_STATE();
    case 101:
      if (lookahead == 'u') ADVANCE(156);
      END_STATE();
    case 102:
      if (lookahead == 'u') ADVANCE(157);
      END_STATE();
    case 103:
      if (lookahead == 'l') ADVANCE(158);
      END_STATE();
    case 104:
      if (lookahead == 'r') ADVANCE(159);
      END_STATE();
    case 105:
      if (lookahead == 't') ADVANCE(160);
      END_STATE();
    case 106:
      if (lookahead == 'i') ADVANCE(161);
      END_STATE();
    case 107:
      if (lookahead == 'e') ADVANCE(162);
      END_STATE();
    case 108:
      if (lookahead == 't') ADVANCE(163);
      END_STATE();
    case 109:
      if (lookahead == 'c') ADVANCE(164);
      END_STATE();
    case 110:
      if (lookahead == 's') ADVANCE(165);
      END_STATE();
    case 111:
      if (lookahead == 'o') ADVANCE(166);
      END_STATE();
    case 112:
      if (lookahead == 'n') ADVANCE(167);
      END_STATE();
    case 113:
      if (lookahead == 'e') ADVANCE(168);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 115:
      if (lookahead == 's') ADVANCE(169);
      END_STATE();
    case 116:
      if (lookahead == 'd') ADVANCE(170);
      END_STATE();
    case 117:
      if (lookahead == 'a') ADVANCE(171);
      END_STATE();
    case 118:
      if (lookahead == 'l') ADVANCE(172);
      END_STATE();
    case 119:
      if (lookahead == 'h') ADVANCE(173);
      END_STATE();
    case 120:
      if (lookahead == 'l') ADVANCE(174);
      END_STATE();
    case 121:
      if (lookahead == 'r') ADVANCE(175);
      END_STATE();
    case 122:
      if (lookahead == 'r') ADVANCE(176);
      END_STATE();
    case 123:
      if (lookahead == 'e') ADVANCE(177);
      END_STATE();
    case 124:
      if (lookahead == 'k') ADVANCE(178);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_byte);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 127:
      if (lookahead == 'h') ADVANCE(179);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_char);
      END_STATE();
    case 129:
      if (lookahead == 's') ADVANCE(180);
      END_STATE();
    case 130:
      if (lookahead == 'i') ADVANCE(181);
      END_STATE();
    case 131:
      if (lookahead == 'u') ADVANCE(182);
      END_STATE();
    case 132:
      if (lookahead == 'l') ADVANCE(183);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 135:
      if (lookahead == 'r') ADVANCE(184);
      END_STATE();
    case 136:
      if (lookahead == 'n') ADVANCE(185);
      END_STATE();
    case 137:
      if (lookahead == 'e') ADVANCE(186);
      END_STATE();
    case 138:
      if (lookahead == 'l') ADVANCE(187);
      END_STATE();
    case 139:
      if (lookahead == 't') ADVANCE(188);
      END_STATE();
    case 140:
      if (lookahead == 'e') ADVANCE(189);
      END_STATE();
    case 141:
      if (lookahead == 'r') ADVANCE(190);
      END_STATE();
    case 142:
      if (lookahead == 'a') ADVANCE(191);
      END_STATE();
    case 143:
      if (lookahead == 'r') ADVANCE(192);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_long);
      END_STATE();
    case 145:
      if (lookahead == 'l') ADVANCE(193);
      END_STATE();
    case 146:
      if (lookahead == 'v') ADVANCE(194);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_null_literal);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_open);
      if (lookahead == 's') ADVANCE(195);
      END_STATE();
    case 149:
      if (lookahead == 'a') ADVANCE(196);
      END_STATE();
    case 150:
      if (lookahead == 'i') ADVANCE(197);
      END_STATE();
    case 151:
      if (lookahead == 'a') ADVANCE(198);
      END_STATE();
    case 152:
      if (lookahead == 'e') ADVANCE(199);
      END_STATE();
    case 153:
      if (lookahead == 'i') ADVANCE(200);
      END_STATE();
    case 154:
      if (lookahead == 'i') ADVANCE(201);
      END_STATE();
    case 155:
      if (lookahead == 'r') ADVANCE(202);
      END_STATE();
    case 156:
      if (lookahead == 'i') ADVANCE(203);
      END_STATE();
    case 157:
      if (lookahead == 'r') ADVANCE(204);
      END_STATE();
    case 158:
      if (lookahead == 'e') ADVANCE(205);
      END_STATE();
    case 159:
      if (lookahead == 't') ADVANCE(206);
      END_STATE();
    case 160:
      if (lookahead == 'i') ADVANCE(207);
      END_STATE();
    case 161:
      if (lookahead == 'c') ADVANCE(208);
      END_STATE();
    case 162:
      if (lookahead == 'r') ADVANCE(209);
      END_STATE();
    case 163:
      if (lookahead == 'c') ADVANCE(210);
      END_STATE();
    case 164:
      if (lookahead == 'h') ADVANCE(211);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 166:
      if (lookahead == 'w') ADVANCE(212);
      END_STATE();
    case 167:
      if (lookahead == 's') ADVANCE(213);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_uses);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym_void_type);
      END_STATE();
    case 171:
      if (lookahead == 't') ADVANCE(214);
      END_STATE();
    case 172:
      if (lookahead == 'e') ADVANCE(215);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 174:
      if (lookahead == 'd') ADVANCE(216);
      END_STATE();
    case 175:
      if (lookahead == 'a') ADVANCE(217);
      END_STATE();
    case 176:
      if (lookahead == 't') ADVANCE(218);
      END_STATE();
    case 177:
      if (lookahead == 'a') ADVANCE(219);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 181:
      if (lookahead == 'n') ADVANCE(220);
      END_STATE();
    case 182:
      if (lookahead == 'l') ADVANCE(221);
      END_STATE();
    case 183:
      if (lookahead == 'e') ADVANCE(222);
      END_STATE();
    case 184:
      if (lookahead == 't') ADVANCE(223);
      END_STATE();
    case 185:
      if (lookahead == 'd') ADVANCE(224);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_final);
      if (lookahead == 'l') ADVANCE(225);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_float);
      END_STATE();
    case 189:
      if (lookahead == 'm') ADVANCE(226);
      END_STATE();
    case 190:
      if (lookahead == 't') ADVANCE(227);
      END_STATE();
    case 191:
      if (lookahead == 'n') ADVANCE(228);
      END_STATE();
    case 192:
      if (lookahead == 'f') ADVANCE(229);
      END_STATE();
    case 193:
      if (lookahead == 'e') ADVANCE(230);
      END_STATE();
    case 194:
      if (lookahead == 'e') ADVANCE(231);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_opens);
      END_STATE();
    case 196:
      if (lookahead == 'g') ADVANCE(232);
      END_STATE();
    case 197:
      if (lookahead == 't') ADVANCE(233);
      END_STATE();
    case 198:
      if (lookahead == 't') ADVANCE(234);
      END_STATE();
    case 199:
      if (lookahead == 'c') ADVANCE(235);
      END_STATE();
    case 200:
      if (lookahead == 'd') ADVANCE(236);
      END_STATE();
    case 201:
      if (lookahead == 'c') ADVANCE(237);
      END_STATE();
    case 202:
      if (lookahead == 'd') ADVANCE(238);
      END_STATE();
    case 203:
      if (lookahead == 'r') ADVANCE(239);
      END_STATE();
    case 204:
      if (lookahead == 'n') ADVANCE(240);
      END_STATE();
    case 205:
      if (lookahead == 'd') ADVANCE(241);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_short);
      END_STATE();
    case 207:
      if (lookahead == 'c') ADVANCE(242);
      END_STATE();
    case 208:
      if (lookahead == 't') ADVANCE(243);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(sym_super);
      END_STATE();
    case 210:
      if (lookahead == 'h') ADVANCE(244);
      END_STATE();
    case 211:
      if (lookahead == 'r') ADVANCE(245);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_throw);
      if (lookahead == 's') ADVANCE(246);
      END_STATE();
    case 213:
      if (lookahead == 'i') ADVANCE(247);
      END_STATE();
    case 214:
      if (lookahead == 'i') ADVANCE(248);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 217:
      if (lookahead == 'c') ADVANCE(249);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_assert);
      END_STATE();
    case 219:
      if (lookahead == 'n') ADVANCE(250);
      END_STATE();
    case 220:
      if (lookahead == 'u') ADVANCE(251);
      END_STATE();
    case 221:
      if (lookahead == 't') ADVANCE(252);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_double);
      END_STATE();
    case 223:
      if (lookahead == 's') ADVANCE(253);
      END_STATE();
    case 224:
      if (lookahead == 's') ADVANCE(254);
      END_STATE();
    case 225:
      if (lookahead == 'y') ADVANCE(255);
      END_STATE();
    case 226:
      if (lookahead == 'e') ADVANCE(256);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 228:
      if (lookahead == 'c') ADVANCE(257);
      END_STATE();
    case 229:
      if (lookahead == 'a') ADVANCE(258);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_module);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_native);
      END_STATE();
    case 232:
      if (lookahead == 'e') ADVANCE(259);
      END_STATE();
    case 233:
      if (lookahead == 's') ADVANCE(260);
      END_STATE();
    case 234:
      if (lookahead == 'e') ADVANCE(261);
      END_STATE();
    case 235:
      if (lookahead == 't') ADVANCE(262);
      END_STATE();
    case 236:
      if (lookahead == 'e') ADVANCE(263);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_record);
      END_STATE();
    case 239:
      if (lookahead == 'e') ADVANCE(264);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(anon_sym_sealed);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 243:
      if (lookahead == 'f') ADVANCE(265);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 245:
      if (lookahead == 'o') ADVANCE(266);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_throws);
      END_STATE();
    case 247:
      if (lookahead == 'e') ADVANCE(267);
      if (lookahead == 't') ADVANCE(268);
      END_STATE();
    case 248:
      if (lookahead == 'l') ADVANCE(269);
      END_STATE();
    case 249:
      if (lookahead == 't') ADVANCE(270);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(sym_boolean_type);
      END_STATE();
    case 251:
      if (lookahead == 'e') ADVANCE(271);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_exports);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 256:
      if (lookahead == 'n') ADVANCE(272);
      END_STATE();
    case 257:
      if (lookahead == 'e') ADVANCE(273);
      END_STATE();
    case 258:
      if (lookahead == 'c') ADVANCE(274);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym_package);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_permits);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 262:
      if (lookahead == 'e') ADVANCE(275);
      END_STATE();
    case 263:
      if (lookahead == 's') ADVANCE(276);
      END_STATE();
    case 264:
      if (lookahead == 's') ADVANCE(277);
      END_STATE();
    case 265:
      if (lookahead == 'p') ADVANCE(278);
      END_STATE();
    case 266:
      if (lookahead == 'n') ADVANCE(279);
      END_STATE();
    case 267:
      if (lookahead == 'n') ADVANCE(280);
      END_STATE();
    case 268:
      if (lookahead == 'i') ADVANCE(281);
      END_STATE();
    case 269:
      if (lookahead == 'e') ADVANCE(282);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_abstract);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 272:
      if (lookahead == 't') ADVANCE(283);
      END_STATE();
    case 273:
      if (lookahead == 'o') ADVANCE(284);
      END_STATE();
    case 274:
      if (lookahead == 'e') ADVANCE(285);
      END_STATE();
    case 275:
      if (lookahead == 'd') ADVANCE(286);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(anon_sym_provides);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(anon_sym_requires);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(anon_sym_strictfp);
      END_STATE();
    case 279:
      if (lookahead == 'i') ADVANCE(287);
      END_STATE();
    case 280:
      if (lookahead == 't') ADVANCE(288);
      END_STATE();
    case 281:
      if (lookahead == 'v') ADVANCE(289);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(anon_sym_volatile);
      END_STATE();
    case 283:
      if (lookahead == 's') ADVANCE(290);
      END_STATE();
    case 284:
      if (lookahead == 'f') ADVANCE(291);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(anon_sym_interface);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(anon_sym_protected);
      END_STATE();
    case 287:
      if (lookahead == 'z') ADVANCE(292);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(anon_sym_transient);
      END_STATE();
    case 289:
      if (lookahead == 'e') ADVANCE(293);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(anon_sym_implements);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(anon_sym_instanceof);
      END_STATE();
    case 292:
      if (lookahead == 'e') ADVANCE(294);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(anon_sym_transitive);
      END_STATE();
    case 294:
      if (lookahead == 'd') ADVANCE(295);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(anon_sym_synchronized);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 63},
  [2] = {.lex_state = 63},
  [3] = {.lex_state = 63},
  [4] = {.lex_state = 63},
  [5] = {.lex_state = 63},
  [6] = {.lex_state = 63},
  [7] = {.lex_state = 63},
  [8] = {.lex_state = 63},
  [9] = {.lex_state = 63},
  [10] = {.lex_state = 63},
  [11] = {.lex_state = 63},
  [12] = {.lex_state = 63},
  [13] = {.lex_state = 63},
  [14] = {.lex_state = 63},
  [15] = {.lex_state = 63},
  [16] = {.lex_state = 63},
  [17] = {.lex_state = 63},
  [18] = {.lex_state = 63},
  [19] = {.lex_state = 63},
  [20] = {.lex_state = 63},
  [21] = {.lex_state = 63},
  [22] = {.lex_state = 63},
  [23] = {.lex_state = 63},
  [24] = {.lex_state = 63},
  [25] = {.lex_state = 63},
  [26] = {.lex_state = 63},
  [27] = {.lex_state = 63},
  [28] = {.lex_state = 63},
  [29] = {.lex_state = 63},
  [30] = {.lex_state = 63},
  [31] = {.lex_state = 63},
  [32] = {.lex_state = 63},
  [33] = {.lex_state = 63},
  [34] = {.lex_state = 63},
  [35] = {.lex_state = 63},
  [36] = {.lex_state = 63},
  [37] = {.lex_state = 63},
  [38] = {.lex_state = 63},
  [39] = {.lex_state = 63},
  [40] = {.lex_state = 63},
  [41] = {.lex_state = 63},
  [42] = {.lex_state = 63},
  [43] = {.lex_state = 63},
  [44] = {.lex_state = 63},
  [45] = {.lex_state = 63},
  [46] = {.lex_state = 63},
  [47] = {.lex_state = 63},
  [48] = {.lex_state = 63},
  [49] = {.lex_state = 63},
  [50] = {.lex_state = 63},
  [51] = {.lex_state = 63},
  [52] = {.lex_state = 63},
  [53] = {.lex_state = 63},
  [54] = {.lex_state = 63},
  [55] = {.lex_state = 63},
  [56] = {.lex_state = 63},
  [57] = {.lex_state = 63},
  [58] = {.lex_state = 63},
  [59] = {.lex_state = 63},
  [60] = {.lex_state = 63},
  [61] = {.lex_state = 63},
  [62] = {.lex_state = 63},
  [63] = {.lex_state = 63},
  [64] = {.lex_state = 63},
  [65] = {.lex_state = 63},
  [66] = {.lex_state = 63},
  [67] = {.lex_state = 63},
  [68] = {.lex_state = 63},
  [69] = {.lex_state = 63},
  [70] = {.lex_state = 63},
  [71] = {.lex_state = 63},
  [72] = {.lex_state = 63},
  [73] = {.lex_state = 63},
  [74] = {.lex_state = 63},
  [75] = {.lex_state = 62},
  [76] = {.lex_state = 62},
  [77] = {.lex_state = 63},
  [78] = {.lex_state = 63},
  [79] = {.lex_state = 63},
  [80] = {.lex_state = 63},
  [81] = {.lex_state = 63},
  [82] = {.lex_state = 2},
  [83] = {.lex_state = 2},
  [84] = {.lex_state = 2},
  [85] = {.lex_state = 63},
  [86] = {.lex_state = 2},
  [87] = {.lex_state = 1},
  [88] = {.lex_state = 1},
  [89] = {.lex_state = 1},
  [90] = {.lex_state = 1},
  [91] = {.lex_state = 1},
  [92] = {.lex_state = 63},
  [93] = {.lex_state = 63},
  [94] = {.lex_state = 1},
  [95] = {.lex_state = 1},
  [96] = {.lex_state = 1},
  [97] = {.lex_state = 63},
  [98] = {.lex_state = 63},
  [99] = {.lex_state = 1},
  [100] = {.lex_state = 1},
  [101] = {.lex_state = 1},
  [102] = {.lex_state = 1},
  [103] = {.lex_state = 1},
  [104] = {.lex_state = 1},
  [105] = {.lex_state = 1},
  [106] = {.lex_state = 1},
  [107] = {.lex_state = 1},
  [108] = {.lex_state = 1},
  [109] = {.lex_state = 1},
  [110] = {.lex_state = 1},
  [111] = {.lex_state = 1},
  [112] = {.lex_state = 63},
  [113] = {.lex_state = 1},
  [114] = {.lex_state = 1},
  [115] = {.lex_state = 1},
  [116] = {.lex_state = 1},
  [117] = {.lex_state = 1},
  [118] = {.lex_state = 63},
  [119] = {.lex_state = 1},
  [120] = {.lex_state = 1},
  [121] = {.lex_state = 1},
  [122] = {.lex_state = 1},
  [123] = {.lex_state = 1},
  [124] = {.lex_state = 1},
  [125] = {.lex_state = 1},
  [126] = {.lex_state = 1},
  [127] = {.lex_state = 1},
  [128] = {.lex_state = 1},
  [129] = {.lex_state = 1},
  [130] = {.lex_state = 1},
  [131] = {.lex_state = 1},
  [132] = {.lex_state = 1},
  [133] = {.lex_state = 1},
  [134] = {.lex_state = 1},
  [135] = {.lex_state = 1},
  [136] = {.lex_state = 1},
  [137] = {.lex_state = 1},
  [138] = {.lex_state = 1},
  [139] = {.lex_state = 63},
  [140] = {.lex_state = 1},
  [141] = {.lex_state = 1},
  [142] = {.lex_state = 1},
  [143] = {.lex_state = 1},
  [144] = {.lex_state = 1},
  [145] = {.lex_state = 63},
  [146] = {.lex_state = 1},
  [147] = {.lex_state = 1},
  [148] = {.lex_state = 1},
  [149] = {.lex_state = 1},
  [150] = {.lex_state = 1},
  [151] = {.lex_state = 1},
  [152] = {.lex_state = 63},
  [153] = {.lex_state = 1},
  [154] = {.lex_state = 63},
  [155] = {.lex_state = 63},
  [156] = {.lex_state = 1},
  [157] = {.lex_state = 1},
  [158] = {.lex_state = 1},
  [159] = {.lex_state = 63},
  [160] = {.lex_state = 1},
  [161] = {.lex_state = 63},
  [162] = {.lex_state = 1},
  [163] = {.lex_state = 1},
  [164] = {.lex_state = 63},
  [165] = {.lex_state = 1},
  [166] = {.lex_state = 1},
  [167] = {.lex_state = 63},
  [168] = {.lex_state = 63},
  [169] = {.lex_state = 63},
  [170] = {.lex_state = 63},
  [171] = {.lex_state = 63},
  [172] = {.lex_state = 63},
  [173] = {.lex_state = 63},
  [174] = {.lex_state = 63},
  [175] = {.lex_state = 63},
  [176] = {.lex_state = 1},
  [177] = {.lex_state = 63},
  [178] = {.lex_state = 63},
  [179] = {.lex_state = 1},
  [180] = {.lex_state = 1},
  [181] = {.lex_state = 1},
  [182] = {.lex_state = 1},
  [183] = {.lex_state = 1},
  [184] = {.lex_state = 1},
  [185] = {.lex_state = 63},
  [186] = {.lex_state = 1},
  [187] = {.lex_state = 63},
  [188] = {.lex_state = 63},
  [189] = {.lex_state = 1},
  [190] = {.lex_state = 63},
  [191] = {.lex_state = 63},
  [192] = {.lex_state = 63},
  [193] = {.lex_state = 63},
  [194] = {.lex_state = 63},
  [195] = {.lex_state = 1},
  [196] = {.lex_state = 63},
  [197] = {.lex_state = 63},
  [198] = {.lex_state = 63},
  [199] = {.lex_state = 63},
  [200] = {.lex_state = 63},
  [201] = {.lex_state = 63},
  [202] = {.lex_state = 63},
  [203] = {.lex_state = 63},
  [204] = {.lex_state = 63},
  [205] = {.lex_state = 63},
  [206] = {.lex_state = 1},
  [207] = {.lex_state = 1},
  [208] = {.lex_state = 63},
  [209] = {.lex_state = 1},
  [210] = {.lex_state = 1},
  [211] = {.lex_state = 63},
  [212] = {.lex_state = 1},
  [213] = {.lex_state = 1},
  [214] = {.lex_state = 1},
  [215] = {.lex_state = 1},
  [216] = {.lex_state = 1},
  [217] = {.lex_state = 63},
  [218] = {.lex_state = 1},
  [219] = {.lex_state = 1},
  [220] = {.lex_state = 63},
  [221] = {.lex_state = 63},
  [222] = {.lex_state = 63},
  [223] = {.lex_state = 1},
  [224] = {.lex_state = 63},
  [225] = {.lex_state = 63},
  [226] = {.lex_state = 1},
  [227] = {.lex_state = 63},
  [228] = {.lex_state = 1},
  [229] = {.lex_state = 1},
  [230] = {.lex_state = 63},
  [231] = {.lex_state = 63},
  [232] = {.lex_state = 63},
  [233] = {.lex_state = 63},
  [234] = {.lex_state = 63},
  [235] = {.lex_state = 1},
  [236] = {.lex_state = 63},
  [237] = {.lex_state = 63},
  [238] = {.lex_state = 1},
  [239] = {.lex_state = 63},
  [240] = {.lex_state = 1},
  [241] = {.lex_state = 63},
  [242] = {.lex_state = 63},
  [243] = {.lex_state = 63},
  [244] = {.lex_state = 63},
  [245] = {.lex_state = 63},
  [246] = {.lex_state = 1},
  [247] = {.lex_state = 1},
  [248] = {.lex_state = 63},
  [249] = {.lex_state = 63},
  [250] = {.lex_state = 63},
  [251] = {.lex_state = 63},
  [252] = {.lex_state = 1},
  [253] = {.lex_state = 63},
  [254] = {.lex_state = 1},
  [255] = {.lex_state = 1},
  [256] = {.lex_state = 1},
  [257] = {.lex_state = 63},
  [258] = {.lex_state = 1},
  [259] = {.lex_state = 1},
  [260] = {.lex_state = 1},
  [261] = {.lex_state = 1},
  [262] = {.lex_state = 1},
  [263] = {.lex_state = 63},
  [264] = {.lex_state = 63},
  [265] = {.lex_state = 63},
  [266] = {.lex_state = 1},
  [267] = {.lex_state = 63},
  [268] = {.lex_state = 63},
  [269] = {.lex_state = 63},
  [270] = {.lex_state = 1},
  [271] = {.lex_state = 63},
  [272] = {.lex_state = 63},
  [273] = {.lex_state = 63},
  [274] = {.lex_state = 63},
  [275] = {.lex_state = 63},
  [276] = {.lex_state = 63},
  [277] = {.lex_state = 63},
  [278] = {.lex_state = 63},
  [279] = {.lex_state = 63},
  [280] = {.lex_state = 63},
  [281] = {.lex_state = 63},
  [282] = {.lex_state = 63},
  [283] = {.lex_state = 63},
  [284] = {.lex_state = 63},
  [285] = {.lex_state = 63},
  [286] = {.lex_state = 63},
  [287] = {.lex_state = 63},
  [288] = {.lex_state = 63},
  [289] = {.lex_state = 63},
  [290] = {.lex_state = 63},
  [291] = {.lex_state = 63},
  [292] = {.lex_state = 63},
  [293] = {.lex_state = 63},
  [294] = {.lex_state = 63},
  [295] = {.lex_state = 63},
  [296] = {.lex_state = 63},
  [297] = {.lex_state = 63},
  [298] = {.lex_state = 63},
  [299] = {.lex_state = 63},
  [300] = {.lex_state = 63},
  [301] = {.lex_state = 2},
  [302] = {.lex_state = 63},
  [303] = {.lex_state = 63},
  [304] = {.lex_state = 63},
  [305] = {.lex_state = 63},
  [306] = {.lex_state = 63},
  [307] = {.lex_state = 63},
  [308] = {.lex_state = 63},
  [309] = {.lex_state = 63},
  [310] = {.lex_state = 63},
  [311] = {.lex_state = 63},
  [312] = {.lex_state = 63},
  [313] = {.lex_state = 63},
  [314] = {.lex_state = 63},
  [315] = {.lex_state = 63},
  [316] = {.lex_state = 63},
  [317] = {.lex_state = 63},
  [318] = {.lex_state = 63},
  [319] = {.lex_state = 63},
  [320] = {.lex_state = 63},
  [321] = {.lex_state = 63},
  [322] = {.lex_state = 63},
  [323] = {.lex_state = 63},
  [324] = {.lex_state = 63},
  [325] = {.lex_state = 63},
  [326] = {.lex_state = 63},
  [327] = {.lex_state = 63},
  [328] = {.lex_state = 63},
  [329] = {.lex_state = 63},
  [330] = {.lex_state = 63},
  [331] = {.lex_state = 63},
  [332] = {.lex_state = 63},
  [333] = {.lex_state = 63},
  [334] = {.lex_state = 63},
  [335] = {.lex_state = 63},
  [336] = {.lex_state = 63},
  [337] = {.lex_state = 63},
  [338] = {.lex_state = 63},
  [339] = {.lex_state = 63},
  [340] = {.lex_state = 63},
  [341] = {.lex_state = 2},
  [342] = {.lex_state = 63},
  [343] = {.lex_state = 63},
  [344] = {.lex_state = 63},
  [345] = {.lex_state = 63},
  [346] = {.lex_state = 63},
  [347] = {.lex_state = 2},
  [348] = {.lex_state = 2},
  [349] = {.lex_state = 63},
  [350] = {.lex_state = 63},
  [351] = {.lex_state = 63},
  [352] = {.lex_state = 63},
  [353] = {.lex_state = 63},
  [354] = {.lex_state = 63},
  [355] = {.lex_state = 0},
  [356] = {.lex_state = 0},
  [357] = {.lex_state = 0},
  [358] = {.lex_state = 0},
  [359] = {.lex_state = 0},
  [360] = {.lex_state = 0},
  [361] = {.lex_state = 0},
  [362] = {.lex_state = 0},
  [363] = {.lex_state = 3},
  [364] = {.lex_state = 3},
  [365] = {.lex_state = 3},
  [366] = {.lex_state = 3},
  [367] = {.lex_state = 0},
  [368] = {.lex_state = 0},
  [369] = {.lex_state = 0},
  [370] = {.lex_state = 3},
  [371] = {.lex_state = 3},
  [372] = {.lex_state = 3},
  [373] = {.lex_state = 3},
  [374] = {.lex_state = 3},
  [375] = {.lex_state = 3},
  [376] = {.lex_state = 3},
  [377] = {.lex_state = 3},
  [378] = {.lex_state = 3},
  [379] = {.lex_state = 3},
  [380] = {.lex_state = 3},
  [381] = {.lex_state = 3},
  [382] = {.lex_state = 3},
  [383] = {.lex_state = 3},
  [384] = {.lex_state = 3},
  [385] = {.lex_state = 4},
  [386] = {.lex_state = 4},
  [387] = {.lex_state = 3},
  [388] = {.lex_state = 4},
  [389] = {.lex_state = 1},
  [390] = {.lex_state = 1},
  [391] = {.lex_state = 4},
  [392] = {.lex_state = 4},
  [393] = {.lex_state = 4},
  [394] = {.lex_state = 2},
  [395] = {.lex_state = 10},
  [396] = {.lex_state = 10},
  [397] = {.lex_state = 3},
  [398] = {.lex_state = 4},
  [399] = {.lex_state = 2},
  [400] = {.lex_state = 4},
  [401] = {.lex_state = 4},
  [402] = {.lex_state = 4},
  [403] = {.lex_state = 1},
  [404] = {.lex_state = 4},
  [405] = {.lex_state = 2},
  [406] = {.lex_state = 1},
  [407] = {.lex_state = 2},
  [408] = {.lex_state = 4},
  [409] = {.lex_state = 4},
  [410] = {.lex_state = 4},
  [411] = {.lex_state = 4},
  [412] = {.lex_state = 10},
  [413] = {.lex_state = 4},
  [414] = {.lex_state = 4},
  [415] = {.lex_state = 4},
  [416] = {.lex_state = 4},
  [417] = {.lex_state = 4},
  [418] = {.lex_state = 4},
  [419] = {.lex_state = 10},
  [420] = {.lex_state = 1},
  [421] = {.lex_state = 1},
  [422] = {.lex_state = 1},
  [423] = {.lex_state = 1},
  [424] = {.lex_state = 4},
  [425] = {.lex_state = 4},
  [426] = {.lex_state = 4},
  [427] = {.lex_state = 4},
  [428] = {.lex_state = 0},
  [429] = {.lex_state = 0},
  [430] = {.lex_state = 0},
  [431] = {.lex_state = 0},
  [432] = {.lex_state = 4},
  [433] = {.lex_state = 0},
  [434] = {.lex_state = 0},
  [435] = {.lex_state = 0},
  [436] = {.lex_state = 0},
  [437] = {.lex_state = 1},
  [438] = {.lex_state = 0},
  [439] = {.lex_state = 4},
  [440] = {.lex_state = 0},
  [441] = {.lex_state = 0},
  [442] = {.lex_state = 0},
  [443] = {.lex_state = 0},
  [444] = {.lex_state = 0},
  [445] = {.lex_state = 4},
  [446] = {.lex_state = 4},
  [447] = {.lex_state = 1},
  [448] = {.lex_state = 0},
  [449] = {.lex_state = 0},
  [450] = {.lex_state = 0},
  [451] = {.lex_state = 1},
  [452] = {.lex_state = 0},
  [453] = {.lex_state = 4},
  [454] = {.lex_state = 0},
  [455] = {.lex_state = 0},
  [456] = {.lex_state = 0},
  [457] = {.lex_state = 0},
  [458] = {.lex_state = 4},
  [459] = {.lex_state = 0},
  [460] = {.lex_state = 4},
  [461] = {.lex_state = 4},
  [462] = {.lex_state = 4},
  [463] = {.lex_state = 4},
  [464] = {.lex_state = 4},
  [465] = {.lex_state = 4},
  [466] = {.lex_state = 0},
  [467] = {.lex_state = 4},
  [468] = {.lex_state = 4},
  [469] = {.lex_state = 0},
  [470] = {.lex_state = 4},
  [471] = {.lex_state = 4},
  [472] = {.lex_state = 4},
  [473] = {.lex_state = 4},
  [474] = {.lex_state = 4},
  [475] = {.lex_state = 4},
  [476] = {.lex_state = 4},
  [477] = {.lex_state = 4},
  [478] = {.lex_state = 0},
  [479] = {.lex_state = 4},
  [480] = {.lex_state = 4},
  [481] = {.lex_state = 4},
  [482] = {.lex_state = 4},
  [483] = {.lex_state = 4},
  [484] = {.lex_state = 4},
  [485] = {.lex_state = 4},
  [486] = {.lex_state = 4},
  [487] = {.lex_state = 4},
  [488] = {.lex_state = 4},
  [489] = {.lex_state = 4},
  [490] = {.lex_state = 4},
  [491] = {.lex_state = 4},
  [492] = {.lex_state = 4},
  [493] = {.lex_state = 4},
  [494] = {.lex_state = 4},
  [495] = {.lex_state = 4},
  [496] = {.lex_state = 4},
  [497] = {.lex_state = 4},
  [498] = {.lex_state = 0},
  [499] = {.lex_state = 4},
  [500] = {.lex_state = 4},
  [501] = {.lex_state = 4},
  [502] = {.lex_state = 4},
  [503] = {.lex_state = 0},
  [504] = {.lex_state = 8},
  [505] = {.lex_state = 8},
  [506] = {.lex_state = 8},
  [507] = {.lex_state = 0},
  [508] = {.lex_state = 1},
  [509] = {.lex_state = 1},
  [510] = {.lex_state = 1},
  [511] = {.lex_state = 1},
  [512] = {.lex_state = 1},
  [513] = {.lex_state = 0},
  [514] = {.lex_state = 1},
  [515] = {.lex_state = 1},
  [516] = {.lex_state = 0},
  [517] = {.lex_state = 0},
  [518] = {.lex_state = 1},
  [519] = {.lex_state = 1},
  [520] = {.lex_state = 1},
  [521] = {.lex_state = 1},
  [522] = {.lex_state = 0},
  [523] = {.lex_state = 0},
  [524] = {.lex_state = 0},
  [525] = {.lex_state = 0},
  [526] = {.lex_state = 1},
  [527] = {.lex_state = 1},
  [528] = {.lex_state = 1},
  [529] = {.lex_state = 1},
  [530] = {.lex_state = 1},
  [531] = {.lex_state = 1},
  [532] = {.lex_state = 1},
  [533] = {.lex_state = 2},
  [534] = {.lex_state = 1},
  [535] = {.lex_state = 11},
  [536] = {.lex_state = 11},
  [537] = {.lex_state = 1},
  [538] = {.lex_state = 1},
  [539] = {.lex_state = 1},
  [540] = {.lex_state = 1},
  [541] = {.lex_state = 2},
  [542] = {.lex_state = 1},
  [543] = {.lex_state = 4},
  [544] = {.lex_state = 1},
  [545] = {.lex_state = 1},
  [546] = {.lex_state = 1},
  [547] = {.lex_state = 11},
  [548] = {.lex_state = 11},
  [549] = {.lex_state = 8},
  [550] = {.lex_state = 8},
  [551] = {.lex_state = 1},
  [552] = {.lex_state = 1},
  [553] = {.lex_state = 4},
  [554] = {.lex_state = 1},
  [555] = {.lex_state = 1},
  [556] = {.lex_state = 1},
  [557] = {.lex_state = 1},
  [558] = {.lex_state = 1},
  [559] = {.lex_state = 1},
  [560] = {.lex_state = 2},
  [561] = {.lex_state = 1},
  [562] = {.lex_state = 1},
  [563] = {.lex_state = 1},
  [564] = {.lex_state = 1},
  [565] = {.lex_state = 1},
  [566] = {.lex_state = 2},
  [567] = {.lex_state = 1},
  [568] = {.lex_state = 1},
  [569] = {.lex_state = 1},
  [570] = {.lex_state = 1},
  [571] = {.lex_state = 1},
  [572] = {.lex_state = 1},
  [573] = {.lex_state = 1},
  [574] = {.lex_state = 1},
  [575] = {.lex_state = 1},
  [576] = {.lex_state = 1},
  [577] = {.lex_state = 1},
  [578] = {.lex_state = 2},
  [579] = {.lex_state = 1},
  [580] = {.lex_state = 1},
  [581] = {.lex_state = 1},
  [582] = {.lex_state = 2},
  [583] = {.lex_state = 2},
  [584] = {.lex_state = 1},
  [585] = {.lex_state = 1},
  [586] = {.lex_state = 1},
  [587] = {.lex_state = 1},
  [588] = {.lex_state = 8},
  [589] = {.lex_state = 1},
  [590] = {.lex_state = 2},
  [591] = {.lex_state = 1},
  [592] = {.lex_state = 1},
  [593] = {.lex_state = 1},
  [594] = {.lex_state = 1},
  [595] = {.lex_state = 2},
  [596] = {.lex_state = 2},
  [597] = {.lex_state = 1},
  [598] = {.lex_state = 1},
  [599] = {.lex_state = 1},
  [600] = {.lex_state = 1},
  [601] = {.lex_state = 2},
  [602] = {.lex_state = 1},
  [603] = {.lex_state = 2},
  [604] = {.lex_state = 8},
  [605] = {.lex_state = 2},
  [606] = {.lex_state = 1},
  [607] = {.lex_state = 1},
  [608] = {.lex_state = 2},
  [609] = {.lex_state = 1},
  [610] = {.lex_state = 1},
  [611] = {.lex_state = 1},
  [612] = {.lex_state = 1},
  [613] = {.lex_state = 18},
  [614] = {.lex_state = 1},
  [615] = {.lex_state = 2},
  [616] = {.lex_state = 1},
  [617] = {.lex_state = 1},
  [618] = {.lex_state = 1},
  [619] = {.lex_state = 1},
  [620] = {.lex_state = 1},
  [621] = {.lex_state = 1},
  [622] = {.lex_state = 1},
  [623] = {.lex_state = 1},
  [624] = {.lex_state = 1},
  [625] = {.lex_state = 1},
  [626] = {.lex_state = 1},
  [627] = {.lex_state = 18},
  [628] = {.lex_state = 1},
  [629] = {.lex_state = 1},
  [630] = {.lex_state = 1},
  [631] = {.lex_state = 1},
  [632] = {.lex_state = 1},
  [633] = {.lex_state = 1},
  [634] = {.lex_state = 1},
  [635] = {.lex_state = 1},
  [636] = {.lex_state = 1},
  [637] = {.lex_state = 1},
  [638] = {.lex_state = 1},
  [639] = {.lex_state = 1},
  [640] = {.lex_state = 1},
  [641] = {.lex_state = 1},
  [642] = {.lex_state = 1},
  [643] = {.lex_state = 1},
  [644] = {.lex_state = 1},
  [645] = {.lex_state = 1},
  [646] = {.lex_state = 1},
  [647] = {.lex_state = 1},
  [648] = {.lex_state = 1},
  [649] = {.lex_state = 1},
  [650] = {.lex_state = 1},
  [651] = {.lex_state = 1},
  [652] = {.lex_state = 1},
  [653] = {.lex_state = 8},
  [654] = {.lex_state = 1},
  [655] = {.lex_state = 1},
  [656] = {.lex_state = 8},
  [657] = {.lex_state = 3},
  [658] = {.lex_state = 1},
  [659] = {.lex_state = 3},
  [660] = {.lex_state = 2},
  [661] = {.lex_state = 1},
  [662] = {.lex_state = 1},
  [663] = {.lex_state = 8},
  [664] = {.lex_state = 1},
  [665] = {.lex_state = 8},
  [666] = {.lex_state = 1},
  [667] = {.lex_state = 8},
  [668] = {.lex_state = 3},
  [669] = {.lex_state = 8},
  [670] = {.lex_state = 1},
  [671] = {.lex_state = 1},
  [672] = {.lex_state = 1},
  [673] = {.lex_state = 8},
  [674] = {.lex_state = 18},
  [675] = {.lex_state = 1},
  [676] = {.lex_state = 1},
  [677] = {.lex_state = 8},
  [678] = {.lex_state = 3},
  [679] = {.lex_state = 8},
  [680] = {.lex_state = 8},
  [681] = {.lex_state = 8},
  [682] = {.lex_state = 8},
  [683] = {.lex_state = 18},
  [684] = {.lex_state = 1},
  [685] = {.lex_state = 1},
  [686] = {.lex_state = 1},
  [687] = {.lex_state = 1},
  [688] = {.lex_state = 8},
  [689] = {.lex_state = 1},
  [690] = {.lex_state = 8},
  [691] = {.lex_state = 1},
  [692] = {.lex_state = 8},
  [693] = {.lex_state = 1},
  [694] = {.lex_state = 1},
  [695] = {.lex_state = 3},
  [696] = {.lex_state = 8},
  [697] = {.lex_state = 3},
  [698] = {.lex_state = 3},
  [699] = {.lex_state = 1},
  [700] = {.lex_state = 3},
  [701] = {.lex_state = 1},
  [702] = {.lex_state = 1},
  [703] = {.lex_state = 8},
  [704] = {.lex_state = 1},
  [705] = {.lex_state = 1},
  [706] = {.lex_state = 1},
  [707] = {.lex_state = 1},
  [708] = {.lex_state = 1},
  [709] = {.lex_state = 1},
  [710] = {.lex_state = 1},
  [711] = {.lex_state = 1},
  [712] = {.lex_state = 1},
  [713] = {.lex_state = 1},
  [714] = {.lex_state = 3},
  [715] = {.lex_state = 1},
  [716] = {.lex_state = 3},
  [717] = {.lex_state = 1},
  [718] = {.lex_state = 3},
  [719] = {.lex_state = 1},
  [720] = {.lex_state = 3},
  [721] = {.lex_state = 1},
  [722] = {.lex_state = 1},
  [723] = {.lex_state = 1},
  [724] = {.lex_state = 1},
  [725] = {.lex_state = 3},
  [726] = {.lex_state = 3},
  [727] = {.lex_state = 1},
  [728] = {.lex_state = 1},
  [729] = {.lex_state = 1},
  [730] = {.lex_state = 3},
  [731] = {.lex_state = 1},
  [732] = {.lex_state = 3},
  [733] = {.lex_state = 2},
  [734] = {.lex_state = 3},
  [735] = {.lex_state = 3},
  [736] = {.lex_state = 1},
  [737] = {.lex_state = 1},
  [738] = {.lex_state = 1},
  [739] = {.lex_state = 3},
  [740] = {.lex_state = 1},
  [741] = {.lex_state = 3},
  [742] = {.lex_state = 1},
  [743] = {.lex_state = 2},
  [744] = {.lex_state = 2},
  [745] = {.lex_state = 2},
  [746] = {.lex_state = 3},
  [747] = {.lex_state = 3},
  [748] = {.lex_state = 1},
  [749] = {.lex_state = 1},
  [750] = {.lex_state = 3},
  [751] = {.lex_state = 1},
  [752] = {.lex_state = 3},
  [753] = {.lex_state = 2},
  [754] = {.lex_state = 3},
  [755] = {.lex_state = 3},
  [756] = {.lex_state = 2},
  [757] = {.lex_state = 2},
  [758] = {.lex_state = 3},
  [759] = {.lex_state = 2},
  [760] = {.lex_state = 3},
  [761] = {.lex_state = 1},
  [762] = {.lex_state = 3},
  [763] = {.lex_state = 3},
  [764] = {.lex_state = 1},
  [765] = {.lex_state = 3},
  [766] = {.lex_state = 1},
  [767] = {.lex_state = 3},
  [768] = {.lex_state = 1},
  [769] = {.lex_state = 1},
  [770] = {.lex_state = 1},
  [771] = {.lex_state = 1},
  [772] = {.lex_state = 1},
  [773] = {.lex_state = 2},
  [774] = {.lex_state = 3},
  [775] = {.lex_state = 2},
  [776] = {.lex_state = 1},
  [777] = {.lex_state = 1},
  [778] = {.lex_state = 1},
  [779] = {.lex_state = 8},
  [780] = {.lex_state = 1},
  [781] = {.lex_state = 1},
  [782] = {.lex_state = 1},
  [783] = {.lex_state = 1},
  [784] = {.lex_state = 1},
  [785] = {.lex_state = 6},
  [786] = {.lex_state = 6},
  [787] = {.lex_state = 1},
  [788] = {.lex_state = 1},
  [789] = {.lex_state = 6},
  [790] = {.lex_state = 1},
  [791] = {.lex_state = 1},
  [792] = {.lex_state = 1},
  [793] = {.lex_state = 0},
  [794] = {.lex_state = 1},
  [795] = {.lex_state = 1},
  [796] = {.lex_state = 0},
  [797] = {.lex_state = 1},
  [798] = {.lex_state = 1},
  [799] = {.lex_state = 1},
  [800] = {.lex_state = 1},
  [801] = {.lex_state = 1},
  [802] = {.lex_state = 1},
  [803] = {.lex_state = 1},
  [804] = {.lex_state = 6},
  [805] = {.lex_state = 1},
  [806] = {.lex_state = 1},
  [807] = {.lex_state = 1},
  [808] = {.lex_state = 1},
  [809] = {.lex_state = 1},
  [810] = {.lex_state = 1},
  [811] = {.lex_state = 1},
  [812] = {.lex_state = 1},
  [813] = {.lex_state = 1},
  [814] = {.lex_state = 2},
  [815] = {.lex_state = 2},
  [816] = {.lex_state = 1},
  [817] = {.lex_state = 1},
  [818] = {.lex_state = 2},
  [819] = {.lex_state = 1},
  [820] = {.lex_state = 1},
  [821] = {.lex_state = 1},
  [822] = {.lex_state = 1},
  [823] = {.lex_state = 1},
  [824] = {.lex_state = 1},
  [825] = {.lex_state = 1},
  [826] = {.lex_state = 1},
  [827] = {.lex_state = 1},
  [828] = {.lex_state = 1},
  [829] = {.lex_state = 1},
  [830] = {.lex_state = 1},
  [831] = {.lex_state = 1},
  [832] = {.lex_state = 1},
  [833] = {.lex_state = 1},
  [834] = {.lex_state = 1},
  [835] = {.lex_state = 1},
  [836] = {.lex_state = 1},
  [837] = {.lex_state = 1},
  [838] = {.lex_state = 1},
  [839] = {.lex_state = 1},
  [840] = {.lex_state = 2},
  [841] = {.lex_state = 1},
  [842] = {.lex_state = 1},
  [843] = {.lex_state = 1},
  [844] = {.lex_state = 1},
  [845] = {.lex_state = 1},
  [846] = {.lex_state = 1},
  [847] = {.lex_state = 1},
  [848] = {.lex_state = 1},
  [849] = {.lex_state = 2},
  [850] = {.lex_state = 1},
  [851] = {.lex_state = 1},
  [852] = {.lex_state = 1},
  [853] = {.lex_state = 1},
  [854] = {.lex_state = 6},
  [855] = {.lex_state = 2},
  [856] = {.lex_state = 1},
  [857] = {.lex_state = 1},
  [858] = {.lex_state = 1},
  [859] = {.lex_state = 1},
  [860] = {.lex_state = 1},
  [861] = {.lex_state = 1},
  [862] = {.lex_state = 1},
  [863] = {.lex_state = 1},
  [864] = {.lex_state = 1},
  [865] = {.lex_state = 1},
  [866] = {.lex_state = 1},
  [867] = {.lex_state = 1},
  [868] = {.lex_state = 6},
  [869] = {.lex_state = 1},
  [870] = {.lex_state = 1},
  [871] = {.lex_state = 1},
  [872] = {.lex_state = 1},
  [873] = {.lex_state = 1},
  [874] = {.lex_state = 1},
  [875] = {.lex_state = 1},
  [876] = {.lex_state = 8},
  [877] = {.lex_state = 1},
  [878] = {.lex_state = 1},
  [879] = {.lex_state = 3},
  [880] = {.lex_state = 1},
  [881] = {.lex_state = 1},
  [882] = {.lex_state = 1},
  [883] = {.lex_state = 1},
  [884] = {.lex_state = 1},
  [885] = {.lex_state = 1},
  [886] = {.lex_state = 1},
  [887] = {.lex_state = 0},
  [888] = {.lex_state = 3},
  [889] = {.lex_state = 1},
  [890] = {.lex_state = 3},
  [891] = {.lex_state = 3},
  [892] = {.lex_state = 3},
  [893] = {.lex_state = 3},
  [894] = {.lex_state = 1},
  [895] = {.lex_state = 1},
  [896] = {.lex_state = 1},
  [897] = {.lex_state = 1},
  [898] = {.lex_state = 0},
  [899] = {.lex_state = 1},
  [900] = {.lex_state = 1},
  [901] = {.lex_state = 0},
  [902] = {.lex_state = 1},
  [903] = {.lex_state = 0},
  [904] = {.lex_state = 1},
  [905] = {.lex_state = 1},
  [906] = {.lex_state = 0},
  [907] = {.lex_state = 0},
  [908] = {.lex_state = 6},
  [909] = {.lex_state = 8},
  [910] = {.lex_state = 1},
  [911] = {.lex_state = 1},
  [912] = {.lex_state = 1},
  [913] = {.lex_state = 1},
  [914] = {.lex_state = 0},
  [915] = {.lex_state = 0},
  [916] = {.lex_state = 0},
  [917] = {.lex_state = 0},
  [918] = {.lex_state = 7},
  [919] = {.lex_state = 1},
  [920] = {.lex_state = 7},
  [921] = {.lex_state = 1},
  [922] = {.lex_state = 0},
  [923] = {.lex_state = 0},
  [924] = {.lex_state = 0},
  [925] = {.lex_state = 1},
  [926] = {.lex_state = 1},
  [927] = {.lex_state = 1},
  [928] = {.lex_state = 1},
  [929] = {.lex_state = 0},
  [930] = {.lex_state = 1},
  [931] = {.lex_state = 0},
  [932] = {.lex_state = 3},
  [933] = {.lex_state = 3},
  [934] = {.lex_state = 3},
  [935] = {.lex_state = 3},
  [936] = {.lex_state = 3},
  [937] = {.lex_state = 3},
  [938] = {.lex_state = 3},
  [939] = {.lex_state = 3},
  [940] = {.lex_state = 3},
  [941] = {.lex_state = 3},
  [942] = {.lex_state = 3},
  [943] = {.lex_state = 3},
  [944] = {.lex_state = 0},
  [945] = {.lex_state = 8},
  [946] = {.lex_state = 0},
  [947] = {.lex_state = 1},
  [948] = {.lex_state = 1},
  [949] = {.lex_state = 0},
  [950] = {.lex_state = 1},
  [951] = {.lex_state = 0},
  [952] = {.lex_state = 1},
  [953] = {.lex_state = 1},
  [954] = {.lex_state = 1},
  [955] = {.lex_state = 1},
  [956] = {.lex_state = 8},
  [957] = {.lex_state = 2},
  [958] = {.lex_state = 1},
  [959] = {.lex_state = 1},
  [960] = {.lex_state = 0},
  [961] = {.lex_state = 1},
  [962] = {.lex_state = 7},
  [963] = {.lex_state = 2},
  [964] = {.lex_state = 0},
  [965] = {.lex_state = 1},
  [966] = {.lex_state = 1},
  [967] = {.lex_state = 1},
  [968] = {.lex_state = 3},
  [969] = {.lex_state = 0},
  [970] = {.lex_state = 1},
  [971] = {.lex_state = 1},
  [972] = {.lex_state = 2},
  [973] = {.lex_state = 1},
  [974] = {.lex_state = 1},
  [975] = {.lex_state = 1},
  [976] = {.lex_state = 0},
  [977] = {.lex_state = 0},
  [978] = {.lex_state = 0},
  [979] = {.lex_state = 1},
  [980] = {.lex_state = 1},
  [981] = {.lex_state = 0},
  [982] = {.lex_state = 1},
  [983] = {.lex_state = 1},
  [984] = {.lex_state = 3},
  [985] = {.lex_state = 3},
  [986] = {.lex_state = 2},
  [987] = {.lex_state = 1},
  [988] = {.lex_state = 0},
  [989] = {.lex_state = 3},
  [990] = {.lex_state = 0},
  [991] = {.lex_state = 0},
  [992] = {.lex_state = 0},
  [993] = {.lex_state = 0},
  [994] = {.lex_state = 0},
  [995] = {.lex_state = 0},
  [996] = {.lex_state = 0},
  [997] = {.lex_state = 0},
  [998] = {.lex_state = 0},
  [999] = {.lex_state = 0},
  [1000] = {.lex_state = 0},
  [1001] = {.lex_state = 0},
  [1002] = {.lex_state = 0},
  [1003] = {.lex_state = 2},
  [1004] = {.lex_state = 0},
  [1005] = {.lex_state = 3},
  [1006] = {.lex_state = 0},
  [1007] = {.lex_state = 2},
  [1008] = {.lex_state = 2},
  [1009] = {.lex_state = 0},
  [1010] = {.lex_state = 1},
  [1011] = {.lex_state = 0},
  [1012] = {.lex_state = 0},
  [1013] = {.lex_state = 0},
  [1014] = {.lex_state = 0},
  [1015] = {.lex_state = 0},
  [1016] = {.lex_state = 2},
  [1017] = {.lex_state = 0},
  [1018] = {.lex_state = 3},
  [1019] = {.lex_state = 0},
  [1020] = {.lex_state = 1},
  [1021] = {.lex_state = 0},
  [1022] = {.lex_state = 1},
  [1023] = {.lex_state = 0},
  [1024] = {.lex_state = 3},
  [1025] = {.lex_state = 3},
  [1026] = {.lex_state = 2},
  [1027] = {.lex_state = 0},
  [1028] = {.lex_state = 0},
  [1029] = {.lex_state = 0},
  [1030] = {.lex_state = 0},
  [1031] = {.lex_state = 0},
  [1032] = {.lex_state = 0},
  [1033] = {.lex_state = 0},
  [1034] = {.lex_state = 0},
  [1035] = {.lex_state = 0},
  [1036] = {.lex_state = 2},
  [1037] = {.lex_state = 3},
  [1038] = {.lex_state = 3},
  [1039] = {.lex_state = 0},
  [1040] = {.lex_state = 0},
  [1041] = {.lex_state = 0},
  [1042] = {.lex_state = 0},
  [1043] = {.lex_state = 0},
  [1044] = {.lex_state = 0},
  [1045] = {.lex_state = 3},
  [1046] = {.lex_state = 0},
  [1047] = {.lex_state = 0},
  [1048] = {.lex_state = 3},
  [1049] = {.lex_state = 3},
  [1050] = {.lex_state = 0},
  [1051] = {.lex_state = 0},
  [1052] = {.lex_state = 0},
  [1053] = {.lex_state = 0},
  [1054] = {.lex_state = 0},
  [1055] = {.lex_state = 1},
  [1056] = {.lex_state = 2},
  [1057] = {.lex_state = 0},
  [1058] = {.lex_state = 0},
  [1059] = {.lex_state = 0},
  [1060] = {.lex_state = 0},
  [1061] = {.lex_state = 0},
  [1062] = {.lex_state = 0},
  [1063] = {.lex_state = 0},
  [1064] = {.lex_state = 0},
  [1065] = {.lex_state = 0},
  [1066] = {.lex_state = 0},
  [1067] = {.lex_state = 3},
  [1068] = {.lex_state = 3},
  [1069] = {.lex_state = 3},
  [1070] = {.lex_state = 0},
  [1071] = {.lex_state = 0},
  [1072] = {.lex_state = 0},
  [1073] = {.lex_state = 3},
  [1074] = {.lex_state = 0},
  [1075] = {.lex_state = 0},
  [1076] = {.lex_state = 0},
  [1077] = {.lex_state = 0},
  [1078] = {.lex_state = 0},
  [1079] = {.lex_state = 0},
  [1080] = {.lex_state = 0},
  [1081] = {.lex_state = 0},
  [1082] = {.lex_state = 0},
  [1083] = {.lex_state = 2},
  [1084] = {.lex_state = 0},
  [1085] = {.lex_state = 1},
  [1086] = {.lex_state = 1},
  [1087] = {.lex_state = 0},
  [1088] = {.lex_state = 0},
  [1089] = {.lex_state = 1},
  [1090] = {.lex_state = 0},
  [1091] = {.lex_state = 1},
  [1092] = {.lex_state = 0},
  [1093] = {.lex_state = 3},
  [1094] = {.lex_state = 3},
  [1095] = {.lex_state = 1},
  [1096] = {.lex_state = 0},
  [1097] = {.lex_state = 2},
  [1098] = {.lex_state = 0},
  [1099] = {.lex_state = 0},
  [1100] = {.lex_state = 0},
  [1101] = {.lex_state = 3},
  [1102] = {.lex_state = 0},
  [1103] = {.lex_state = 3},
  [1104] = {.lex_state = 3},
  [1105] = {.lex_state = 0},
  [1106] = {.lex_state = 1},
  [1107] = {.lex_state = 1},
  [1108] = {.lex_state = 3},
  [1109] = {.lex_state = 0},
  [1110] = {.lex_state = 0},
  [1111] = {.lex_state = 3},
  [1112] = {.lex_state = 3},
  [1113] = {.lex_state = 0},
  [1114] = {.lex_state = 0},
  [1115] = {.lex_state = 3},
  [1116] = {.lex_state = 3},
  [1117] = {.lex_state = 0},
  [1118] = {.lex_state = 0},
  [1119] = {.lex_state = 3},
  [1120] = {.lex_state = 3},
  [1121] = {.lex_state = 0},
  [1122] = {.lex_state = 0},
  [1123] = {.lex_state = 0},
  [1124] = {.lex_state = 0},
  [1125] = {.lex_state = 0},
  [1126] = {.lex_state = 3},
  [1127] = {.lex_state = 0},
  [1128] = {.lex_state = 0},
  [1129] = {.lex_state = 0},
  [1130] = {.lex_state = 0},
  [1131] = {.lex_state = 0},
  [1132] = {.lex_state = 0},
  [1133] = {.lex_state = 0},
  [1134] = {.lex_state = 0},
  [1135] = {.lex_state = 1},
  [1136] = {.lex_state = 0},
  [1137] = {.lex_state = 0},
  [1138] = {.lex_state = 0},
  [1139] = {.lex_state = 2},
  [1140] = {.lex_state = 0},
  [1141] = {.lex_state = 0},
  [1142] = {.lex_state = 0},
  [1143] = {.lex_state = 3},
  [1144] = {.lex_state = 0},
  [1145] = {.lex_state = 0},
  [1146] = {.lex_state = 0},
  [1147] = {.lex_state = 1},
  [1148] = {.lex_state = 0},
  [1149] = {.lex_state = 0},
  [1150] = {.lex_state = 1},
  [1151] = {.lex_state = 0},
  [1152] = {.lex_state = 0},
  [1153] = {.lex_state = 0},
  [1154] = {.lex_state = 0},
  [1155] = {.lex_state = 1},
  [1156] = {.lex_state = 0},
  [1157] = {.lex_state = 3},
  [1158] = {.lex_state = 0},
  [1159] = {.lex_state = 3},
  [1160] = {.lex_state = 1},
  [1161] = {.lex_state = 0},
  [1162] = {.lex_state = 2},
  [1163] = {.lex_state = 0},
  [1164] = {.lex_state = 0},
  [1165] = {.lex_state = 0},
  [1166] = {.lex_state = 0},
  [1167] = {.lex_state = 0},
  [1168] = {.lex_state = 2},
  [1169] = {.lex_state = 2},
  [1170] = {.lex_state = 0},
  [1171] = {.lex_state = 0},
  [1172] = {.lex_state = 2},
  [1173] = {.lex_state = 0},
  [1174] = {.lex_state = 1},
  [1175] = {.lex_state = 0},
  [1176] = {.lex_state = 0},
  [1177] = {.lex_state = 0},
  [1178] = {.lex_state = 0},
  [1179] = {.lex_state = 0},
  [1180] = {.lex_state = 0},
  [1181] = {.lex_state = 0},
  [1182] = {.lex_state = 0},
  [1183] = {.lex_state = 0},
  [1184] = {.lex_state = 1},
  [1185] = {.lex_state = 0},
  [1186] = {.lex_state = 2},
  [1187] = {.lex_state = 1},
  [1188] = {.lex_state = 0},
  [1189] = {.lex_state = 0},
  [1190] = {.lex_state = 0},
  [1191] = {.lex_state = 0},
  [1192] = {.lex_state = 0},
  [1193] = {.lex_state = 0},
  [1194] = {.lex_state = 0},
  [1195] = {.lex_state = 3},
  [1196] = {.lex_state = 3},
  [1197] = {.lex_state = 3},
  [1198] = {.lex_state = 3},
  [1199] = {.lex_state = 3},
  [1200] = {.lex_state = 0},
  [1201] = {.lex_state = 0},
  [1202] = {.lex_state = 0},
  [1203] = {.lex_state = 0},
  [1204] = {.lex_state = 0},
  [1205] = {.lex_state = 0},
  [1206] = {.lex_state = 0},
  [1207] = {.lex_state = 0},
  [1208] = {.lex_state = 0},
  [1209] = {.lex_state = 0},
  [1210] = {.lex_state = 0},
  [1211] = {.lex_state = 0},
  [1212] = {.lex_state = 3},
  [1213] = {.lex_state = 0},
  [1214] = {.lex_state = 0},
  [1215] = {.lex_state = 1},
  [1216] = {.lex_state = 0},
  [1217] = {.lex_state = 0},
  [1218] = {.lex_state = 1},
  [1219] = {.lex_state = 1},
  [1220] = {.lex_state = 0},
  [1221] = {.lex_state = 1},
  [1222] = {.lex_state = 0},
  [1223] = {.lex_state = 0},
  [1224] = {.lex_state = 0},
  [1225] = {.lex_state = 0},
  [1226] = {.lex_state = 1},
  [1227] = {.lex_state = 0},
  [1228] = {.lex_state = 1},
  [1229] = {.lex_state = 0},
  [1230] = {.lex_state = 0},
  [1231] = {.lex_state = 0},
  [1232] = {.lex_state = 1},
  [1233] = {.lex_state = 1},
  [1234] = {.lex_state = 1},
  [1235] = {.lex_state = 0},
  [1236] = {.lex_state = 0},
  [1237] = {.lex_state = 0},
  [1238] = {.lex_state = 0},
  [1239] = {.lex_state = 0},
  [1240] = {.lex_state = 1},
  [1241] = {.lex_state = 0},
  [1242] = {.lex_state = 0},
  [1243] = {.lex_state = 0},
  [1244] = {.lex_state = 0},
  [1245] = {.lex_state = 0},
  [1246] = {.lex_state = 0},
  [1247] = {.lex_state = 0},
  [1248] = {.lex_state = 0},
  [1249] = {.lex_state = 0},
  [1250] = {.lex_state = 0},
  [1251] = {.lex_state = 0},
  [1252] = {.lex_state = 0},
  [1253] = {.lex_state = 0},
  [1254] = {.lex_state = 0},
  [1255] = {.lex_state = 0},
  [1256] = {.lex_state = 0},
  [1257] = {.lex_state = 0},
  [1258] = {.lex_state = 0},
  [1259] = {.lex_state = 1},
  [1260] = {.lex_state = 1},
  [1261] = {.lex_state = 0},
  [1262] = {.lex_state = 0},
  [1263] = {.lex_state = 0},
  [1264] = {.lex_state = 0},
  [1265] = {.lex_state = 0},
  [1266] = {.lex_state = 0},
  [1267] = {.lex_state = 1},
  [1268] = {.lex_state = 0},
  [1269] = {.lex_state = 0},
  [1270] = {.lex_state = 0},
  [1271] = {.lex_state = 0},
  [1272] = {.lex_state = 1},
  [1273] = {.lex_state = 1},
  [1274] = {.lex_state = 0},
  [1275] = {.lex_state = 0},
  [1276] = {.lex_state = 0},
  [1277] = {.lex_state = 0},
  [1278] = {.lex_state = 0},
  [1279] = {.lex_state = 0},
  [1280] = {.lex_state = 0},
  [1281] = {.lex_state = 0},
  [1282] = {.lex_state = 1},
  [1283] = {.lex_state = 0},
  [1284] = {.lex_state = 3},
  [1285] = {.lex_state = 0},
  [1286] = {.lex_state = 1},
  [1287] = {.lex_state = 0},
  [1288] = {.lex_state = 1},
  [1289] = {.lex_state = 1},
  [1290] = {.lex_state = 1},
  [1291] = {.lex_state = 0},
  [1292] = {.lex_state = 1},
  [1293] = {.lex_state = 3},
  [1294] = {.lex_state = 1},
  [1295] = {.lex_state = 0},
  [1296] = {.lex_state = 0},
  [1297] = {.lex_state = 0},
  [1298] = {.lex_state = 0},
  [1299] = {.lex_state = 0},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [sym_decimal_integer_literal] = ACTIONS(1),
    [sym_hex_integer_literal] = ACTIONS(1),
    [sym_octal_integer_literal] = ACTIONS(1),
    [sym_binary_integer_literal] = ACTIONS(1),
    [sym_decimal_floating_point_literal] = ACTIONS(1),
    [sym_hex_floating_point_literal] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_character_literal] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1),
    [aux_sym__escape_sequence_token1] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [sym_null_literal] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [anon_sym_instanceof] = ACTIONS(1),
    [anon_sym_final] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_assert] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_synchronized] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_open] = ACTIONS(1),
    [anon_sym_module] = ACTIONS(1),
    [anon_sym_requires] = ACTIONS(1),
    [anon_sym_transitive] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_exports] = ACTIONS(1),
    [anon_sym_to] = ACTIONS(1),
    [anon_sym_opens] = ACTIONS(1),
    [anon_sym_uses] = ACTIONS(1),
    [anon_sym_provides] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_package] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_public] = ACTIONS(1),
    [anon_sym_protected] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_abstract] = ACTIONS(1),
    [anon_sym_strictfp] = ACTIONS(1),
    [anon_sym_native] = ACTIONS(1),
    [anon_sym_transient] = ACTIONS(1),
    [anon_sym_volatile] = ACTIONS(1),
    [anon_sym_sealed] = ACTIONS(1),
    [anon_sym_non_DASHsealed] = ACTIONS(1),
    [anon_sym_implements] = ACTIONS(1),
    [anon_sym_permits] = ACTIONS(1),
    [anon_sym_record] = ACTIONS(1),
    [anon_sym_ATinterface] = ACTIONS(1),
    [anon_sym_interface] = ACTIONS(1),
    [anon_sym_byte] = ACTIONS(1),
    [anon_sym_short] = ACTIONS(1),
    [anon_sym_int] = ACTIONS(1),
    [anon_sym_long] = ACTIONS(1),
    [anon_sym_char] = ACTIONS(1),
    [anon_sym_float] = ACTIONS(1),
    [anon_sym_double] = ACTIONS(1),
    [sym_boolean_type] = ACTIONS(1),
    [sym_void_type] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_throws] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_super] = ACTIONS(1),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1] = {
    [sym_program] = STATE(1214),
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(85),
    [sym_statement] = STATE(12),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_program_repeat1] = STATE(12),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [2] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(85),
    [sym_switch_label] = STATE(1268),
    [sym_statement] = STATE(5),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_program_repeat1] = STATE(5),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_switch_block_statement_group_repeat1] = STATE(338),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(91),
    [anon_sym_case] = ACTIONS(93),
    [anon_sym_default] = ACTIONS(93),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [3] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(553),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_type_arguments] = STATE(1187),
    [sym_switch_expression] = STATE(85),
    [sym_statement] = STATE(9),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_explicit_constructor_invocation] = STATE(8),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LT] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(97),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(99),
    [sym_super] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(85),
    [sym_statement] = STATE(4),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_program_repeat1] = STATE(4),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [ts_builtin_sym_end] = ACTIONS(103),
    [sym_identifier] = ACTIONS(105),
    [sym_decimal_integer_literal] = ACTIONS(108),
    [sym_hex_integer_literal] = ACTIONS(108),
    [sym_octal_integer_literal] = ACTIONS(111),
    [sym_binary_integer_literal] = ACTIONS(111),
    [sym_decimal_floating_point_literal] = ACTIONS(111),
    [sym_hex_floating_point_literal] = ACTIONS(108),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_character_literal] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(114),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(117),
    [sym_null_literal] = ACTIONS(108),
    [anon_sym_LPAREN] = ACTIONS(120),
    [anon_sym_PLUS] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(123),
    [anon_sym_final] = ACTIONS(126),
    [anon_sym_BANG] = ACTIONS(129),
    [anon_sym_TILDE] = ACTIONS(129),
    [anon_sym_PLUS_PLUS] = ACTIONS(132),
    [anon_sym_DASH_DASH] = ACTIONS(132),
    [anon_sym_new] = ACTIONS(135),
    [anon_sym_class] = ACTIONS(138),
    [anon_sym_switch] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(144),
    [anon_sym_RBRACE] = ACTIONS(103),
    [anon_sym_case] = ACTIONS(147),
    [anon_sym_default] = ACTIONS(126),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(152),
    [anon_sym_do] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(158),
    [anon_sym_break] = ACTIONS(161),
    [anon_sym_continue] = ACTIONS(164),
    [anon_sym_return] = ACTIONS(167),
    [anon_sym_yield] = ACTIONS(170),
    [anon_sym_synchronized] = ACTIONS(173),
    [anon_sym_throw] = ACTIONS(176),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_if] = ACTIONS(182),
    [anon_sym_for] = ACTIONS(185),
    [anon_sym_AT] = ACTIONS(188),
    [anon_sym_open] = ACTIONS(191),
    [anon_sym_module] = ACTIONS(194),
    [anon_sym_static] = ACTIONS(126),
    [anon_sym_package] = ACTIONS(197),
    [anon_sym_import] = ACTIONS(200),
    [anon_sym_enum] = ACTIONS(203),
    [anon_sym_public] = ACTIONS(126),
    [anon_sym_protected] = ACTIONS(126),
    [anon_sym_private] = ACTIONS(126),
    [anon_sym_abstract] = ACTIONS(126),
    [anon_sym_strictfp] = ACTIONS(126),
    [anon_sym_native] = ACTIONS(126),
    [anon_sym_transient] = ACTIONS(126),
    [anon_sym_volatile] = ACTIONS(126),
    [anon_sym_sealed] = ACTIONS(126),
    [anon_sym_non_DASHsealed] = ACTIONS(206),
    [anon_sym_record] = ACTIONS(209),
    [anon_sym_ATinterface] = ACTIONS(212),
    [anon_sym_interface] = ACTIONS(215),
    [anon_sym_byte] = ACTIONS(218),
    [anon_sym_short] = ACTIONS(218),
    [anon_sym_int] = ACTIONS(218),
    [anon_sym_long] = ACTIONS(218),
    [anon_sym_char] = ACTIONS(218),
    [anon_sym_float] = ACTIONS(221),
    [anon_sym_double] = ACTIONS(221),
    [sym_boolean_type] = ACTIONS(224),
    [sym_void_type] = ACTIONS(224),
    [sym_this] = ACTIONS(227),
    [sym_super] = ACTIONS(230),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [5] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(85),
    [sym_statement] = STATE(4),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_program_repeat1] = STATE(4),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(233),
    [anon_sym_case] = ACTIONS(235),
    [anon_sym_default] = ACTIONS(235),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [6] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(85),
    [sym_statement] = STATE(13),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_program_repeat1] = STATE(13),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(237),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [7] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(85),
    [sym_statement] = STATE(10),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_program_repeat1] = STATE(10),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(239),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [8] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(85),
    [sym_statement] = STATE(11),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_program_repeat1] = STATE(11),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(241),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [9] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(85),
    [sym_statement] = STATE(4),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_program_repeat1] = STATE(4),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(241),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [10] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(85),
    [sym_statement] = STATE(4),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_program_repeat1] = STATE(4),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(243),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [11] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(85),
    [sym_statement] = STATE(4),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_program_repeat1] = STATE(4),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(245),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [12] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(85),
    [sym_statement] = STATE(4),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_program_repeat1] = STATE(4),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [ts_builtin_sym_end] = ACTIONS(247),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [13] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(85),
    [sym_statement] = STATE(4),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_program_repeat1] = STATE(4),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(249),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [14] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(85),
    [sym_statement] = STATE(276),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [15] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(555),
    [sym_statement] = STATE(300),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(251),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [16] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(85),
    [sym_statement] = STATE(329),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [17] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(85),
    [sym_statement] = STATE(330),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [18] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(85),
    [sym_statement] = STATE(314),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [19] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(85),
    [sym_statement] = STATE(312),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [20] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(555),
    [sym_statement] = STATE(273),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(251),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [21] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(85),
    [sym_statement] = STATE(332),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [22] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(85),
    [sym_statement] = STATE(288),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [23] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(555),
    [sym_statement] = STATE(272),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(251),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [24] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(555),
    [sym_statement] = STATE(336),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(251),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [25] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(555),
    [sym_statement] = STATE(331),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(251),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [26] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(555),
    [sym_statement] = STATE(328),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(251),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [27] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(555),
    [sym_statement] = STATE(308),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(251),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [28] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(555),
    [sym_statement] = STATE(305),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(251),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [29] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(555),
    [sym_statement] = STATE(304),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(251),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [30] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(555),
    [sym_statement] = STATE(299),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(251),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [31] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(555),
    [sym_statement] = STATE(276),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(251),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [32] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(555),
    [sym_statement] = STATE(275),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(251),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [33] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(555),
    [sym_statement] = STATE(327),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(251),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [34] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(555),
    [sym_statement] = STATE(334),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(251),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [35] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(555),
    [sym_statement] = STATE(333),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(251),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [36] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(555),
    [sym_statement] = STATE(332),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(251),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [37] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(555),
    [sym_statement] = STATE(330),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(251),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [38] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(555),
    [sym_statement] = STATE(329),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(251),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [39] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(85),
    [sym_statement] = STATE(334),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [40] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(555),
    [sym_statement] = STATE(312),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(251),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [41] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(555),
    [sym_statement] = STATE(310),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(251),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [42] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(555),
    [sym_statement] = STATE(290),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(251),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [43] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(555),
    [sym_statement] = STATE(296),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(251),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [44] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(555),
    [sym_statement] = STATE(302),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(251),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [45] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(555),
    [sym_statement] = STATE(307),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(251),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [46] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(555),
    [sym_statement] = STATE(318),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(251),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [47] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(85),
    [sym_statement] = STATE(273),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [48] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(555),
    [sym_statement] = STATE(278),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(251),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [49] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(555),
    [sym_statement] = STATE(288),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(251),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [50] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(85),
    [sym_statement] = STATE(310),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [51] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(85),
    [sym_statement] = STATE(290),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [52] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(85),
    [sym_statement] = STATE(278),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [53] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(85),
    [sym_statement] = STATE(345),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [54] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(85),
    [sym_statement] = STATE(333),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [55] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(555),
    [sym_statement] = STATE(314),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(251),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [56] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(555),
    [sym_statement] = STATE(1155),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(251),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [57] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(555),
    [sym_statement] = STATE(324),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(251),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [58] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(85),
    [sym_statement] = STATE(300),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [59] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(85),
    [sym_statement] = STATE(318),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [60] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(85),
    [sym_statement] = STATE(307),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [61] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(85),
    [sym_statement] = STATE(302),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [62] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(85),
    [sym_statement] = STATE(272),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [63] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(85),
    [sym_statement] = STATE(336),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [64] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(85),
    [sym_statement] = STATE(331),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [65] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(85),
    [sym_statement] = STATE(328),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [66] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(85),
    [sym_statement] = STATE(324),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [67] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(85),
    [sym_statement] = STATE(296),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [68] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(85),
    [sym_statement] = STATE(308),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [69] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(85),
    [sym_statement] = STATE(305),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [70] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(85),
    [sym_statement] = STATE(304),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [71] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(85),
    [sym_statement] = STATE(299),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [72] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(555),
    [sym_statement] = STATE(1215),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(251),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(253),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [73] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(85),
    [sym_statement] = STATE(275),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [74] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(85),
    [sym_statement] = STATE(327),
    [sym_block] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_assert_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_yield_statement] = STATE(311),
    [sym_synchronized_statement] = STATE(311),
    [sym_throw_statement] = STATE(311),
    [sym_try_statement] = STATE(311),
    [sym_try_with_resources_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_enhanced_for_statement] = STATE(311),
    [sym__annotation] = STATE(466),
    [sym_marker_annotation] = STATE(466),
    [sym_annotation] = STATE(466),
    [sym_declaration] = STATE(311),
    [sym_module_declaration] = STATE(346),
    [sym_package_declaration] = STATE(346),
    [sym_import_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_modifiers] = STATE(674),
    [sym_record_declaration] = STATE(346),
    [sym_annotation_type_declaration] = STATE(346),
    [sym_interface_declaration] = STATE(346),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(698),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(311),
    [aux_sym_array_creation_expression_repeat1] = STATE(633),
    [aux_sym_modifiers_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_assert] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_AT] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_module] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_package] = ACTIONS(67),
    [anon_sym_import] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(21),
    [anon_sym_strictfp] = ACTIONS(21),
    [anon_sym_native] = ACTIONS(21),
    [anon_sym_transient] = ACTIONS(21),
    [anon_sym_volatile] = ACTIONS(21),
    [anon_sym_sealed] = ACTIONS(21),
    [anon_sym_non_DASHsealed] = ACTIONS(73),
    [anon_sym_record] = ACTIONS(75),
    [anon_sym_ATinterface] = ACTIONS(77),
    [anon_sym_interface] = ACTIONS(79),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [75] = {
    [ts_builtin_sym_end] = ACTIONS(259),
    [sym_identifier] = ACTIONS(261),
    [sym_decimal_integer_literal] = ACTIONS(261),
    [sym_hex_integer_literal] = ACTIONS(261),
    [sym_octal_integer_literal] = ACTIONS(259),
    [sym_binary_integer_literal] = ACTIONS(259),
    [sym_decimal_floating_point_literal] = ACTIONS(259),
    [sym_hex_floating_point_literal] = ACTIONS(261),
    [sym_true] = ACTIONS(261),
    [sym_false] = ACTIONS(261),
    [sym_character_literal] = ACTIONS(259),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(259),
    [sym_null_literal] = ACTIONS(261),
    [anon_sym_LPAREN] = ACTIONS(259),
    [anon_sym_AMP] = ACTIONS(261),
    [anon_sym_RPAREN] = ACTIONS(259),
    [anon_sym_GT] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(261),
    [anon_sym_GT_EQ] = ACTIONS(259),
    [anon_sym_LT_EQ] = ACTIONS(259),
    [anon_sym_EQ_EQ] = ACTIONS(259),
    [anon_sym_BANG_EQ] = ACTIONS(259),
    [anon_sym_AMP_AMP] = ACTIONS(259),
    [anon_sym_PIPE_PIPE] = ACTIONS(259),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_STAR] = ACTIONS(259),
    [anon_sym_SLASH] = ACTIONS(261),
    [anon_sym_PIPE] = ACTIONS(261),
    [anon_sym_CARET] = ACTIONS(259),
    [anon_sym_PERCENT] = ACTIONS(259),
    [anon_sym_LT_LT] = ACTIONS(259),
    [anon_sym_GT_GT] = ACTIONS(261),
    [anon_sym_GT_GT_GT] = ACTIONS(259),
    [anon_sym_instanceof] = ACTIONS(261),
    [anon_sym_final] = ACTIONS(261),
    [anon_sym_DASH_GT] = ACTIONS(259),
    [anon_sym_COMMA] = ACTIONS(259),
    [anon_sym_QMARK] = ACTIONS(259),
    [anon_sym_COLON] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(261),
    [anon_sym_TILDE] = ACTIONS(259),
    [anon_sym_PLUS_PLUS] = ACTIONS(259),
    [anon_sym_DASH_DASH] = ACTIONS(259),
    [anon_sym_new] = ACTIONS(261),
    [anon_sym_LBRACK] = ACTIONS(259),
    [anon_sym_RBRACK] = ACTIONS(259),
    [anon_sym_DOT] = ACTIONS(261),
    [anon_sym_class] = ACTIONS(261),
    [anon_sym_COLON_COLON] = ACTIONS(259),
    [anon_sym_switch] = ACTIONS(261),
    [anon_sym_LBRACE] = ACTIONS(259),
    [anon_sym_RBRACE] = ACTIONS(259),
    [anon_sym_case] = ACTIONS(261),
    [anon_sym_default] = ACTIONS(261),
    [anon_sym_SEMI] = ACTIONS(259),
    [anon_sym_assert] = ACTIONS(261),
    [anon_sym_do] = ACTIONS(261),
    [anon_sym_while] = ACTIONS(261),
    [anon_sym_break] = ACTIONS(261),
    [anon_sym_continue] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(261),
    [anon_sym_yield] = ACTIONS(261),
    [anon_sym_synchronized] = ACTIONS(261),
    [anon_sym_throw] = ACTIONS(261),
    [anon_sym_try] = ACTIONS(261),
    [anon_sym_if] = ACTIONS(261),
    [anon_sym_else] = ACTIONS(261),
    [anon_sym_for] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [anon_sym_open] = ACTIONS(261),
    [anon_sym_module] = ACTIONS(261),
    [anon_sym_static] = ACTIONS(261),
    [anon_sym_package] = ACTIONS(261),
    [anon_sym_import] = ACTIONS(261),
    [anon_sym_enum] = ACTIONS(261),
    [anon_sym_public] = ACTIONS(261),
    [anon_sym_protected] = ACTIONS(261),
    [anon_sym_private] = ACTIONS(261),
    [anon_sym_abstract] = ACTIONS(261),
    [anon_sym_strictfp] = ACTIONS(261),
    [anon_sym_native] = ACTIONS(261),
    [anon_sym_transient] = ACTIONS(261),
    [anon_sym_volatile] = ACTIONS(261),
    [anon_sym_sealed] = ACTIONS(261),
    [anon_sym_non_DASHsealed] = ACTIONS(259),
    [anon_sym_record] = ACTIONS(261),
    [anon_sym_ATinterface] = ACTIONS(259),
    [anon_sym_interface] = ACTIONS(261),
    [anon_sym_byte] = ACTIONS(261),
    [anon_sym_short] = ACTIONS(261),
    [anon_sym_int] = ACTIONS(261),
    [anon_sym_long] = ACTIONS(261),
    [anon_sym_char] = ACTIONS(261),
    [anon_sym_float] = ACTIONS(261),
    [anon_sym_double] = ACTIONS(261),
    [sym_boolean_type] = ACTIONS(261),
    [sym_void_type] = ACTIONS(261),
    [sym_this] = ACTIONS(261),
    [sym_super] = ACTIONS(261),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [76] = {
    [ts_builtin_sym_end] = ACTIONS(263),
    [sym_identifier] = ACTIONS(265),
    [sym_decimal_integer_literal] = ACTIONS(265),
    [sym_hex_integer_literal] = ACTIONS(265),
    [sym_octal_integer_literal] = ACTIONS(263),
    [sym_binary_integer_literal] = ACTIONS(263),
    [sym_decimal_floating_point_literal] = ACTIONS(263),
    [sym_hex_floating_point_literal] = ACTIONS(265),
    [sym_true] = ACTIONS(265),
    [sym_false] = ACTIONS(265),
    [sym_character_literal] = ACTIONS(263),
    [anon_sym_DQUOTE] = ACTIONS(265),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(263),
    [sym_null_literal] = ACTIONS(265),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_RPAREN] = ACTIONS(263),
    [anon_sym_GT] = ACTIONS(265),
    [anon_sym_LT] = ACTIONS(265),
    [anon_sym_GT_EQ] = ACTIONS(263),
    [anon_sym_LT_EQ] = ACTIONS(263),
    [anon_sym_EQ_EQ] = ACTIONS(263),
    [anon_sym_BANG_EQ] = ACTIONS(263),
    [anon_sym_AMP_AMP] = ACTIONS(263),
    [anon_sym_PIPE_PIPE] = ACTIONS(263),
    [anon_sym_PLUS] = ACTIONS(265),
    [anon_sym_DASH] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(263),
    [anon_sym_SLASH] = ACTIONS(265),
    [anon_sym_PIPE] = ACTIONS(265),
    [anon_sym_CARET] = ACTIONS(263),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_LT_LT] = ACTIONS(263),
    [anon_sym_GT_GT] = ACTIONS(265),
    [anon_sym_GT_GT_GT] = ACTIONS(263),
    [anon_sym_instanceof] = ACTIONS(265),
    [anon_sym_final] = ACTIONS(265),
    [anon_sym_DASH_GT] = ACTIONS(263),
    [anon_sym_COMMA] = ACTIONS(263),
    [anon_sym_QMARK] = ACTIONS(263),
    [anon_sym_COLON] = ACTIONS(265),
    [anon_sym_BANG] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(263),
    [anon_sym_PLUS_PLUS] = ACTIONS(263),
    [anon_sym_DASH_DASH] = ACTIONS(263),
    [anon_sym_new] = ACTIONS(265),
    [anon_sym_LBRACK] = ACTIONS(263),
    [anon_sym_RBRACK] = ACTIONS(263),
    [anon_sym_DOT] = ACTIONS(265),
    [anon_sym_class] = ACTIONS(265),
    [anon_sym_COLON_COLON] = ACTIONS(263),
    [anon_sym_switch] = ACTIONS(265),
    [anon_sym_LBRACE] = ACTIONS(263),
    [anon_sym_RBRACE] = ACTIONS(263),
    [anon_sym_case] = ACTIONS(265),
    [anon_sym_default] = ACTIONS(265),
    [anon_sym_SEMI] = ACTIONS(263),
    [anon_sym_assert] = ACTIONS(265),
    [anon_sym_do] = ACTIONS(265),
    [anon_sym_while] = ACTIONS(265),
    [anon_sym_break] = ACTIONS(265),
    [anon_sym_continue] = ACTIONS(265),
    [anon_sym_return] = ACTIONS(265),
    [anon_sym_yield] = ACTIONS(265),
    [anon_sym_synchronized] = ACTIONS(265),
    [anon_sym_throw] = ACTIONS(265),
    [anon_sym_try] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(265),
    [anon_sym_else] = ACTIONS(265),
    [anon_sym_for] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(265),
    [anon_sym_open] = ACTIONS(265),
    [anon_sym_module] = ACTIONS(265),
    [anon_sym_static] = ACTIONS(265),
    [anon_sym_package] = ACTIONS(265),
    [anon_sym_import] = ACTIONS(265),
    [anon_sym_enum] = ACTIONS(265),
    [anon_sym_public] = ACTIONS(265),
    [anon_sym_protected] = ACTIONS(265),
    [anon_sym_private] = ACTIONS(265),
    [anon_sym_abstract] = ACTIONS(265),
    [anon_sym_strictfp] = ACTIONS(265),
    [anon_sym_native] = ACTIONS(265),
    [anon_sym_transient] = ACTIONS(265),
    [anon_sym_volatile] = ACTIONS(265),
    [anon_sym_sealed] = ACTIONS(265),
    [anon_sym_non_DASHsealed] = ACTIONS(263),
    [anon_sym_record] = ACTIONS(265),
    [anon_sym_ATinterface] = ACTIONS(263),
    [anon_sym_interface] = ACTIONS(265),
    [anon_sym_byte] = ACTIONS(265),
    [anon_sym_short] = ACTIONS(265),
    [anon_sym_int] = ACTIONS(265),
    [anon_sym_long] = ACTIONS(265),
    [anon_sym_char] = ACTIONS(265),
    [anon_sym_float] = ACTIONS(265),
    [anon_sym_double] = ACTIONS(265),
    [sym_boolean_type] = ACTIONS(265),
    [sym_void_type] = ACTIONS(265),
    [sym_this] = ACTIONS(265),
    [sym_super] = ACTIONS(265),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [77] = {
    [ts_builtin_sym_end] = ACTIONS(267),
    [sym_identifier] = ACTIONS(269),
    [sym_decimal_integer_literal] = ACTIONS(269),
    [sym_hex_integer_literal] = ACTIONS(269),
    [sym_octal_integer_literal] = ACTIONS(267),
    [sym_binary_integer_literal] = ACTIONS(267),
    [sym_decimal_floating_point_literal] = ACTIONS(267),
    [sym_hex_floating_point_literal] = ACTIONS(269),
    [sym_true] = ACTIONS(269),
    [sym_false] = ACTIONS(269),
    [sym_character_literal] = ACTIONS(267),
    [anon_sym_DQUOTE] = ACTIONS(269),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(267),
    [sym_null_literal] = ACTIONS(269),
    [anon_sym_LPAREN] = ACTIONS(267),
    [anon_sym_AMP] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(267),
    [anon_sym_GT] = ACTIONS(269),
    [anon_sym_LT] = ACTIONS(269),
    [anon_sym_GT_EQ] = ACTIONS(267),
    [anon_sym_LT_EQ] = ACTIONS(267),
    [anon_sym_EQ_EQ] = ACTIONS(267),
    [anon_sym_BANG_EQ] = ACTIONS(267),
    [anon_sym_AMP_AMP] = ACTIONS(267),
    [anon_sym_PIPE_PIPE] = ACTIONS(267),
    [anon_sym_PLUS] = ACTIONS(269),
    [anon_sym_DASH] = ACTIONS(269),
    [anon_sym_STAR] = ACTIONS(267),
    [anon_sym_SLASH] = ACTIONS(269),
    [anon_sym_PIPE] = ACTIONS(269),
    [anon_sym_CARET] = ACTIONS(267),
    [anon_sym_PERCENT] = ACTIONS(267),
    [anon_sym_LT_LT] = ACTIONS(267),
    [anon_sym_GT_GT] = ACTIONS(269),
    [anon_sym_GT_GT_GT] = ACTIONS(267),
    [anon_sym_instanceof] = ACTIONS(269),
    [anon_sym_final] = ACTIONS(269),
    [anon_sym_DASH_GT] = ACTIONS(267),
    [anon_sym_COMMA] = ACTIONS(267),
    [anon_sym_QMARK] = ACTIONS(267),
    [anon_sym_COLON] = ACTIONS(267),
    [anon_sym_BANG] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(267),
    [anon_sym_PLUS_PLUS] = ACTIONS(267),
    [anon_sym_DASH_DASH] = ACTIONS(267),
    [anon_sym_new] = ACTIONS(269),
    [anon_sym_RBRACK] = ACTIONS(267),
    [anon_sym_class] = ACTIONS(269),
    [anon_sym_switch] = ACTIONS(269),
    [anon_sym_LBRACE] = ACTIONS(267),
    [anon_sym_RBRACE] = ACTIONS(267),
    [anon_sym_case] = ACTIONS(269),
    [anon_sym_default] = ACTIONS(269),
    [anon_sym_SEMI] = ACTIONS(267),
    [anon_sym_assert] = ACTIONS(269),
    [anon_sym_do] = ACTIONS(269),
    [anon_sym_while] = ACTIONS(269),
    [anon_sym_break] = ACTIONS(269),
    [anon_sym_continue] = ACTIONS(269),
    [anon_sym_return] = ACTIONS(269),
    [anon_sym_yield] = ACTIONS(269),
    [anon_sym_synchronized] = ACTIONS(269),
    [anon_sym_throw] = ACTIONS(269),
    [anon_sym_try] = ACTIONS(269),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_else] = ACTIONS(269),
    [anon_sym_for] = ACTIONS(269),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_open] = ACTIONS(269),
    [anon_sym_module] = ACTIONS(269),
    [anon_sym_static] = ACTIONS(269),
    [anon_sym_package] = ACTIONS(269),
    [anon_sym_import] = ACTIONS(269),
    [anon_sym_enum] = ACTIONS(269),
    [anon_sym_public] = ACTIONS(269),
    [anon_sym_protected] = ACTIONS(269),
    [anon_sym_private] = ACTIONS(269),
    [anon_sym_abstract] = ACTIONS(269),
    [anon_sym_strictfp] = ACTIONS(269),
    [anon_sym_native] = ACTIONS(269),
    [anon_sym_transient] = ACTIONS(269),
    [anon_sym_volatile] = ACTIONS(269),
    [anon_sym_sealed] = ACTIONS(269),
    [anon_sym_non_DASHsealed] = ACTIONS(267),
    [anon_sym_record] = ACTIONS(269),
    [anon_sym_ATinterface] = ACTIONS(267),
    [anon_sym_interface] = ACTIONS(269),
    [anon_sym_byte] = ACTIONS(269),
    [anon_sym_short] = ACTIONS(269),
    [anon_sym_int] = ACTIONS(269),
    [anon_sym_long] = ACTIONS(269),
    [anon_sym_char] = ACTIONS(269),
    [anon_sym_float] = ACTIONS(269),
    [anon_sym_double] = ACTIONS(269),
    [sym_boolean_type] = ACTIONS(269),
    [sym_void_type] = ACTIONS(269),
    [sym_this] = ACTIONS(269),
    [sym_super] = ACTIONS(269),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [78] = {
    [ts_builtin_sym_end] = ACTIONS(271),
    [sym_identifier] = ACTIONS(273),
    [sym_decimal_integer_literal] = ACTIONS(273),
    [sym_hex_integer_literal] = ACTIONS(273),
    [sym_octal_integer_literal] = ACTIONS(271),
    [sym_binary_integer_literal] = ACTIONS(271),
    [sym_decimal_floating_point_literal] = ACTIONS(271),
    [sym_hex_floating_point_literal] = ACTIONS(273),
    [sym_true] = ACTIONS(273),
    [sym_false] = ACTIONS(273),
    [sym_character_literal] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(271),
    [sym_null_literal] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(273),
    [anon_sym_RPAREN] = ACTIONS(271),
    [anon_sym_GT] = ACTIONS(273),
    [anon_sym_LT] = ACTIONS(273),
    [anon_sym_GT_EQ] = ACTIONS(271),
    [anon_sym_LT_EQ] = ACTIONS(271),
    [anon_sym_EQ_EQ] = ACTIONS(271),
    [anon_sym_BANG_EQ] = ACTIONS(271),
    [anon_sym_AMP_AMP] = ACTIONS(271),
    [anon_sym_PIPE_PIPE] = ACTIONS(271),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(273),
    [anon_sym_STAR] = ACTIONS(271),
    [anon_sym_SLASH] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(273),
    [anon_sym_CARET] = ACTIONS(271),
    [anon_sym_PERCENT] = ACTIONS(271),
    [anon_sym_LT_LT] = ACTIONS(271),
    [anon_sym_GT_GT] = ACTIONS(273),
    [anon_sym_GT_GT_GT] = ACTIONS(271),
    [anon_sym_instanceof] = ACTIONS(273),
    [anon_sym_final] = ACTIONS(273),
    [anon_sym_DASH_GT] = ACTIONS(271),
    [anon_sym_COMMA] = ACTIONS(271),
    [anon_sym_QMARK] = ACTIONS(271),
    [anon_sym_COLON] = ACTIONS(271),
    [anon_sym_BANG] = ACTIONS(273),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_PLUS_PLUS] = ACTIONS(271),
    [anon_sym_DASH_DASH] = ACTIONS(271),
    [anon_sym_new] = ACTIONS(273),
    [anon_sym_RBRACK] = ACTIONS(271),
    [anon_sym_class] = ACTIONS(273),
    [anon_sym_switch] = ACTIONS(273),
    [anon_sym_LBRACE] = ACTIONS(271),
    [anon_sym_RBRACE] = ACTIONS(271),
    [anon_sym_case] = ACTIONS(273),
    [anon_sym_default] = ACTIONS(273),
    [anon_sym_SEMI] = ACTIONS(271),
    [anon_sym_assert] = ACTIONS(273),
    [anon_sym_do] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(273),
    [anon_sym_continue] = ACTIONS(273),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_yield] = ACTIONS(273),
    [anon_sym_synchronized] = ACTIONS(273),
    [anon_sym_throw] = ACTIONS(273),
    [anon_sym_try] = ACTIONS(273),
    [anon_sym_if] = ACTIONS(273),
    [anon_sym_else] = ACTIONS(273),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_AT] = ACTIONS(273),
    [anon_sym_open] = ACTIONS(273),
    [anon_sym_module] = ACTIONS(273),
    [anon_sym_static] = ACTIONS(273),
    [anon_sym_package] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(273),
    [anon_sym_enum] = ACTIONS(273),
    [anon_sym_public] = ACTIONS(273),
    [anon_sym_protected] = ACTIONS(273),
    [anon_sym_private] = ACTIONS(273),
    [anon_sym_abstract] = ACTIONS(273),
    [anon_sym_strictfp] = ACTIONS(273),
    [anon_sym_native] = ACTIONS(273),
    [anon_sym_transient] = ACTIONS(273),
    [anon_sym_volatile] = ACTIONS(273),
    [anon_sym_sealed] = ACTIONS(273),
    [anon_sym_non_DASHsealed] = ACTIONS(271),
    [anon_sym_record] = ACTIONS(273),
    [anon_sym_ATinterface] = ACTIONS(271),
    [anon_sym_interface] = ACTIONS(273),
    [anon_sym_byte] = ACTIONS(273),
    [anon_sym_short] = ACTIONS(273),
    [anon_sym_int] = ACTIONS(273),
    [anon_sym_long] = ACTIONS(273),
    [anon_sym_char] = ACTIONS(273),
    [anon_sym_float] = ACTIONS(273),
    [anon_sym_double] = ACTIONS(273),
    [sym_boolean_type] = ACTIONS(273),
    [sym_void_type] = ACTIONS(273),
    [sym_this] = ACTIONS(273),
    [sym_super] = ACTIONS(273),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [79] = {
    [ts_builtin_sym_end] = ACTIONS(275),
    [sym_identifier] = ACTIONS(277),
    [sym_decimal_integer_literal] = ACTIONS(277),
    [sym_hex_integer_literal] = ACTIONS(277),
    [sym_octal_integer_literal] = ACTIONS(275),
    [sym_binary_integer_literal] = ACTIONS(275),
    [sym_decimal_floating_point_literal] = ACTIONS(275),
    [sym_hex_floating_point_literal] = ACTIONS(277),
    [sym_true] = ACTIONS(277),
    [sym_false] = ACTIONS(277),
    [sym_character_literal] = ACTIONS(275),
    [anon_sym_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(275),
    [sym_null_literal] = ACTIONS(277),
    [anon_sym_LPAREN] = ACTIONS(275),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_RPAREN] = ACTIONS(275),
    [anon_sym_GT] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(275),
    [anon_sym_LT_EQ] = ACTIONS(275),
    [anon_sym_EQ_EQ] = ACTIONS(275),
    [anon_sym_BANG_EQ] = ACTIONS(275),
    [anon_sym_AMP_AMP] = ACTIONS(275),
    [anon_sym_PIPE_PIPE] = ACTIONS(275),
    [anon_sym_PLUS] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_STAR] = ACTIONS(275),
    [anon_sym_SLASH] = ACTIONS(277),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(275),
    [anon_sym_PERCENT] = ACTIONS(275),
    [anon_sym_LT_LT] = ACTIONS(275),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_GT_GT_GT] = ACTIONS(275),
    [anon_sym_instanceof] = ACTIONS(277),
    [anon_sym_final] = ACTIONS(277),
    [anon_sym_DASH_GT] = ACTIONS(275),
    [anon_sym_COMMA] = ACTIONS(275),
    [anon_sym_QMARK] = ACTIONS(275),
    [anon_sym_COLON] = ACTIONS(275),
    [anon_sym_BANG] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(275),
    [anon_sym_PLUS_PLUS] = ACTIONS(275),
    [anon_sym_DASH_DASH] = ACTIONS(275),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_RBRACK] = ACTIONS(275),
    [anon_sym_class] = ACTIONS(277),
    [anon_sym_switch] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(275),
    [anon_sym_RBRACE] = ACTIONS(275),
    [anon_sym_case] = ACTIONS(277),
    [anon_sym_default] = ACTIONS(277),
    [anon_sym_SEMI] = ACTIONS(275),
    [anon_sym_assert] = ACTIONS(277),
    [anon_sym_do] = ACTIONS(277),
    [anon_sym_while] = ACTIONS(277),
    [anon_sym_break] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(277),
    [anon_sym_yield] = ACTIONS(277),
    [anon_sym_synchronized] = ACTIONS(277),
    [anon_sym_throw] = ACTIONS(277),
    [anon_sym_try] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(277),
    [anon_sym_else] = ACTIONS(277),
    [anon_sym_for] = ACTIONS(277),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_open] = ACTIONS(277),
    [anon_sym_module] = ACTIONS(277),
    [anon_sym_static] = ACTIONS(277),
    [anon_sym_package] = ACTIONS(277),
    [anon_sym_import] = ACTIONS(277),
    [anon_sym_enum] = ACTIONS(277),
    [anon_sym_public] = ACTIONS(277),
    [anon_sym_protected] = ACTIONS(277),
    [anon_sym_private] = ACTIONS(277),
    [anon_sym_abstract] = ACTIONS(277),
    [anon_sym_strictfp] = ACTIONS(277),
    [anon_sym_native] = ACTIONS(277),
    [anon_sym_transient] = ACTIONS(277),
    [anon_sym_volatile] = ACTIONS(277),
    [anon_sym_sealed] = ACTIONS(277),
    [anon_sym_non_DASHsealed] = ACTIONS(275),
    [anon_sym_record] = ACTIONS(277),
    [anon_sym_ATinterface] = ACTIONS(275),
    [anon_sym_interface] = ACTIONS(277),
    [anon_sym_byte] = ACTIONS(277),
    [anon_sym_short] = ACTIONS(277),
    [anon_sym_int] = ACTIONS(277),
    [anon_sym_long] = ACTIONS(277),
    [anon_sym_char] = ACTIONS(277),
    [anon_sym_float] = ACTIONS(277),
    [anon_sym_double] = ACTIONS(277),
    [sym_boolean_type] = ACTIONS(277),
    [sym_void_type] = ACTIONS(277),
    [sym_this] = ACTIONS(277),
    [sym_super] = ACTIONS(277),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [80] = {
    [ts_builtin_sym_end] = ACTIONS(279),
    [sym_identifier] = ACTIONS(281),
    [sym_decimal_integer_literal] = ACTIONS(281),
    [sym_hex_integer_literal] = ACTIONS(281),
    [sym_octal_integer_literal] = ACTIONS(279),
    [sym_binary_integer_literal] = ACTIONS(279),
    [sym_decimal_floating_point_literal] = ACTIONS(279),
    [sym_hex_floating_point_literal] = ACTIONS(281),
    [sym_true] = ACTIONS(281),
    [sym_false] = ACTIONS(281),
    [sym_character_literal] = ACTIONS(279),
    [anon_sym_DQUOTE] = ACTIONS(281),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_null_literal] = ACTIONS(281),
    [anon_sym_LPAREN] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(281),
    [anon_sym_RPAREN] = ACTIONS(279),
    [anon_sym_GT] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(281),
    [anon_sym_GT_EQ] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(279),
    [anon_sym_EQ_EQ] = ACTIONS(279),
    [anon_sym_BANG_EQ] = ACTIONS(279),
    [anon_sym_AMP_AMP] = ACTIONS(279),
    [anon_sym_PIPE_PIPE] = ACTIONS(279),
    [anon_sym_PLUS] = ACTIONS(281),
    [anon_sym_DASH] = ACTIONS(281),
    [anon_sym_STAR] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(281),
    [anon_sym_PIPE] = ACTIONS(281),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(279),
    [anon_sym_LT_LT] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym_GT_GT_GT] = ACTIONS(279),
    [anon_sym_instanceof] = ACTIONS(281),
    [anon_sym_final] = ACTIONS(281),
    [anon_sym_DASH_GT] = ACTIONS(279),
    [anon_sym_COMMA] = ACTIONS(279),
    [anon_sym_QMARK] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(279),
    [anon_sym_BANG] = ACTIONS(281),
    [anon_sym_TILDE] = ACTIONS(279),
    [anon_sym_PLUS_PLUS] = ACTIONS(279),
    [anon_sym_DASH_DASH] = ACTIONS(279),
    [anon_sym_new] = ACTIONS(281),
    [anon_sym_RBRACK] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_switch] = ACTIONS(281),
    [anon_sym_LBRACE] = ACTIONS(279),
    [anon_sym_RBRACE] = ACTIONS(279),
    [anon_sym_case] = ACTIONS(281),
    [anon_sym_default] = ACTIONS(281),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym_assert] = ACTIONS(281),
    [anon_sym_do] = ACTIONS(281),
    [anon_sym_while] = ACTIONS(281),
    [anon_sym_break] = ACTIONS(281),
    [anon_sym_continue] = ACTIONS(281),
    [anon_sym_return] = ACTIONS(281),
    [anon_sym_yield] = ACTIONS(281),
    [anon_sym_synchronized] = ACTIONS(281),
    [anon_sym_throw] = ACTIONS(281),
    [anon_sym_try] = ACTIONS(281),
    [anon_sym_if] = ACTIONS(281),
    [anon_sym_else] = ACTIONS(281),
    [anon_sym_for] = ACTIONS(281),
    [anon_sym_AT] = ACTIONS(281),
    [anon_sym_open] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(281),
    [anon_sym_static] = ACTIONS(281),
    [anon_sym_package] = ACTIONS(281),
    [anon_sym_import] = ACTIONS(281),
    [anon_sym_enum] = ACTIONS(281),
    [anon_sym_public] = ACTIONS(281),
    [anon_sym_protected] = ACTIONS(281),
    [anon_sym_private] = ACTIONS(281),
    [anon_sym_abstract] = ACTIONS(281),
    [anon_sym_strictfp] = ACTIONS(281),
    [anon_sym_native] = ACTIONS(281),
    [anon_sym_transient] = ACTIONS(281),
    [anon_sym_volatile] = ACTIONS(281),
    [anon_sym_sealed] = ACTIONS(281),
    [anon_sym_non_DASHsealed] = ACTIONS(279),
    [anon_sym_record] = ACTIONS(281),
    [anon_sym_ATinterface] = ACTIONS(279),
    [anon_sym_interface] = ACTIONS(281),
    [anon_sym_byte] = ACTIONS(281),
    [anon_sym_short] = ACTIONS(281),
    [anon_sym_int] = ACTIONS(281),
    [anon_sym_long] = ACTIONS(281),
    [anon_sym_char] = ACTIONS(281),
    [anon_sym_float] = ACTIONS(281),
    [anon_sym_double] = ACTIONS(281),
    [sym_boolean_type] = ACTIONS(281),
    [sym_void_type] = ACTIONS(281),
    [sym_this] = ACTIONS(281),
    [sym_super] = ACTIONS(281),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [81] = {
    [ts_builtin_sym_end] = ACTIONS(283),
    [sym_identifier] = ACTIONS(285),
    [sym_decimal_integer_literal] = ACTIONS(285),
    [sym_hex_integer_literal] = ACTIONS(285),
    [sym_octal_integer_literal] = ACTIONS(283),
    [sym_binary_integer_literal] = ACTIONS(283),
    [sym_decimal_floating_point_literal] = ACTIONS(283),
    [sym_hex_floating_point_literal] = ACTIONS(285),
    [sym_true] = ACTIONS(285),
    [sym_false] = ACTIONS(285),
    [sym_character_literal] = ACTIONS(283),
    [anon_sym_DQUOTE] = ACTIONS(285),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(283),
    [sym_null_literal] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(285),
    [anon_sym_RPAREN] = ACTIONS(283),
    [anon_sym_GT] = ACTIONS(285),
    [anon_sym_LT] = ACTIONS(285),
    [anon_sym_GT_EQ] = ACTIONS(283),
    [anon_sym_LT_EQ] = ACTIONS(283),
    [anon_sym_EQ_EQ] = ACTIONS(283),
    [anon_sym_BANG_EQ] = ACTIONS(283),
    [anon_sym_AMP_AMP] = ACTIONS(283),
    [anon_sym_PIPE_PIPE] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(283),
    [anon_sym_SLASH] = ACTIONS(285),
    [anon_sym_PIPE] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(283),
    [anon_sym_PERCENT] = ACTIONS(283),
    [anon_sym_LT_LT] = ACTIONS(283),
    [anon_sym_GT_GT] = ACTIONS(285),
    [anon_sym_GT_GT_GT] = ACTIONS(283),
    [anon_sym_instanceof] = ACTIONS(285),
    [anon_sym_final] = ACTIONS(285),
    [anon_sym_DASH_GT] = ACTIONS(283),
    [anon_sym_COMMA] = ACTIONS(283),
    [anon_sym_QMARK] = ACTIONS(283),
    [anon_sym_COLON] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(285),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(283),
    [anon_sym_DASH_DASH] = ACTIONS(283),
    [anon_sym_new] = ACTIONS(285),
    [anon_sym_RBRACK] = ACTIONS(283),
    [anon_sym_class] = ACTIONS(285),
    [anon_sym_switch] = ACTIONS(285),
    [anon_sym_LBRACE] = ACTIONS(283),
    [anon_sym_RBRACE] = ACTIONS(283),
    [anon_sym_case] = ACTIONS(285),
    [anon_sym_default] = ACTIONS(285),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym_assert] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(285),
    [anon_sym_while] = ACTIONS(285),
    [anon_sym_break] = ACTIONS(285),
    [anon_sym_continue] = ACTIONS(285),
    [anon_sym_return] = ACTIONS(285),
    [anon_sym_yield] = ACTIONS(285),
    [anon_sym_synchronized] = ACTIONS(285),
    [anon_sym_throw] = ACTIONS(285),
    [anon_sym_try] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(285),
    [anon_sym_else] = ACTIONS(285),
    [anon_sym_for] = ACTIONS(285),
    [anon_sym_AT] = ACTIONS(285),
    [anon_sym_open] = ACTIONS(285),
    [anon_sym_module] = ACTIONS(285),
    [anon_sym_static] = ACTIONS(285),
    [anon_sym_package] = ACTIONS(285),
    [anon_sym_import] = ACTIONS(285),
    [anon_sym_enum] = ACTIONS(285),
    [anon_sym_public] = ACTIONS(285),
    [anon_sym_protected] = ACTIONS(285),
    [anon_sym_private] = ACTIONS(285),
    [anon_sym_abstract] = ACTIONS(285),
    [anon_sym_strictfp] = ACTIONS(285),
    [anon_sym_native] = ACTIONS(285),
    [anon_sym_transient] = ACTIONS(285),
    [anon_sym_volatile] = ACTIONS(285),
    [anon_sym_sealed] = ACTIONS(285),
    [anon_sym_non_DASHsealed] = ACTIONS(283),
    [anon_sym_record] = ACTIONS(285),
    [anon_sym_ATinterface] = ACTIONS(283),
    [anon_sym_interface] = ACTIONS(285),
    [anon_sym_byte] = ACTIONS(285),
    [anon_sym_short] = ACTIONS(285),
    [anon_sym_int] = ACTIONS(285),
    [anon_sym_long] = ACTIONS(285),
    [anon_sym_char] = ACTIONS(285),
    [anon_sym_float] = ACTIONS(285),
    [anon_sym_double] = ACTIONS(285),
    [sym_boolean_type] = ACTIONS(285),
    [sym_void_type] = ACTIONS(285),
    [sym_this] = ACTIONS(285),
    [sym_super] = ACTIONS(285),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [82] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(637),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(608),
    [sym_marker_annotation] = STATE(608),
    [sym_annotation] = STATE(608),
    [sym_modifiers] = STATE(713),
    [sym__type] = STATE(960),
    [sym__unannotated_type] = STATE(695),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_formal_parameter] = STATE(991),
    [sym_receiver_parameter] = STATE(399),
    [sym_spread_parameter] = STATE(991),
    [aux_sym_array_creation_expression_repeat1] = STATE(664),
    [aux_sym_modifiers_repeat1] = STATE(533),
    [sym_identifier] = ACTIONS(287),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_default] = ACTIONS(291),
    [anon_sym_synchronized] = ACTIONS(291),
    [anon_sym_AT] = ACTIONS(293),
    [anon_sym_open] = ACTIONS(295),
    [anon_sym_module] = ACTIONS(295),
    [anon_sym_static] = ACTIONS(291),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_protected] = ACTIONS(291),
    [anon_sym_private] = ACTIONS(291),
    [anon_sym_abstract] = ACTIONS(291),
    [anon_sym_strictfp] = ACTIONS(291),
    [anon_sym_native] = ACTIONS(291),
    [anon_sym_transient] = ACTIONS(291),
    [anon_sym_volatile] = ACTIONS(291),
    [anon_sym_sealed] = ACTIONS(291),
    [anon_sym_non_DASHsealed] = ACTIONS(297),
    [anon_sym_record] = ACTIONS(295),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [83] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(637),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(608),
    [sym_marker_annotation] = STATE(608),
    [sym_annotation] = STATE(608),
    [sym_modifiers] = STATE(713),
    [sym__type] = STATE(981),
    [sym__unannotated_type] = STATE(695),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_formal_parameter] = STATE(991),
    [sym_receiver_parameter] = STATE(399),
    [sym_spread_parameter] = STATE(991),
    [aux_sym_array_creation_expression_repeat1] = STATE(664),
    [aux_sym_modifiers_repeat1] = STATE(533),
    [sym_identifier] = ACTIONS(287),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_default] = ACTIONS(291),
    [anon_sym_synchronized] = ACTIONS(291),
    [anon_sym_AT] = ACTIONS(293),
    [anon_sym_open] = ACTIONS(295),
    [anon_sym_module] = ACTIONS(295),
    [anon_sym_static] = ACTIONS(291),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_protected] = ACTIONS(291),
    [anon_sym_private] = ACTIONS(291),
    [anon_sym_abstract] = ACTIONS(291),
    [anon_sym_strictfp] = ACTIONS(291),
    [anon_sym_native] = ACTIONS(291),
    [anon_sym_transient] = ACTIONS(291),
    [anon_sym_volatile] = ACTIONS(291),
    [anon_sym_sealed] = ACTIONS(291),
    [anon_sym_non_DASHsealed] = ACTIONS(297),
    [anon_sym_record] = ACTIONS(295),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [84] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(562),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(608),
    [sym_marker_annotation] = STATE(608),
    [sym_annotation] = STATE(608),
    [sym_modifiers] = STATE(709),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(697),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(137),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [aux_sym_modifiers_repeat1] = STATE(533),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_default] = ACTIONS(291),
    [anon_sym_SEMI] = ACTIONS(301),
    [anon_sym_synchronized] = ACTIONS(291),
    [anon_sym_AT] = ACTIONS(293),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_static] = ACTIONS(291),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_protected] = ACTIONS(291),
    [anon_sym_private] = ACTIONS(291),
    [anon_sym_abstract] = ACTIONS(291),
    [anon_sym_strictfp] = ACTIONS(291),
    [anon_sym_native] = ACTIONS(291),
    [anon_sym_transient] = ACTIONS(291),
    [anon_sym_volatile] = ACTIONS(291),
    [anon_sym_sealed] = ACTIONS(291),
    [anon_sym_non_DASHsealed] = ACTIONS(297),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [85] = {
    [ts_builtin_sym_end] = ACTIONS(305),
    [sym_identifier] = ACTIONS(307),
    [sym_decimal_integer_literal] = ACTIONS(307),
    [sym_hex_integer_literal] = ACTIONS(307),
    [sym_octal_integer_literal] = ACTIONS(305),
    [sym_binary_integer_literal] = ACTIONS(305),
    [sym_decimal_floating_point_literal] = ACTIONS(305),
    [sym_hex_floating_point_literal] = ACTIONS(307),
    [sym_true] = ACTIONS(307),
    [sym_false] = ACTIONS(307),
    [sym_character_literal] = ACTIONS(305),
    [anon_sym_DQUOTE] = ACTIONS(307),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(305),
    [sym_null_literal] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(305),
    [anon_sym_AMP] = ACTIONS(309),
    [anon_sym_GT] = ACTIONS(309),
    [anon_sym_LT] = ACTIONS(309),
    [anon_sym_GT_EQ] = ACTIONS(311),
    [anon_sym_LT_EQ] = ACTIONS(311),
    [anon_sym_EQ_EQ] = ACTIONS(311),
    [anon_sym_BANG_EQ] = ACTIONS(311),
    [anon_sym_AMP_AMP] = ACTIONS(311),
    [anon_sym_PIPE_PIPE] = ACTIONS(311),
    [anon_sym_PLUS] = ACTIONS(313),
    [anon_sym_DASH] = ACTIONS(313),
    [anon_sym_STAR] = ACTIONS(311),
    [anon_sym_SLASH] = ACTIONS(309),
    [anon_sym_PIPE] = ACTIONS(309),
    [anon_sym_CARET] = ACTIONS(311),
    [anon_sym_PERCENT] = ACTIONS(311),
    [anon_sym_LT_LT] = ACTIONS(311),
    [anon_sym_GT_GT] = ACTIONS(309),
    [anon_sym_GT_GT_GT] = ACTIONS(311),
    [anon_sym_instanceof] = ACTIONS(309),
    [anon_sym_final] = ACTIONS(307),
    [anon_sym_QMARK] = ACTIONS(311),
    [anon_sym_BANG] = ACTIONS(307),
    [anon_sym_TILDE] = ACTIONS(305),
    [anon_sym_PLUS_PLUS] = ACTIONS(316),
    [anon_sym_DASH_DASH] = ACTIONS(316),
    [anon_sym_new] = ACTIONS(307),
    [anon_sym_class] = ACTIONS(307),
    [anon_sym_switch] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(305),
    [anon_sym_RBRACE] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_default] = ACTIONS(307),
    [anon_sym_SEMI] = ACTIONS(316),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_synchronized] = ACTIONS(307),
    [anon_sym_throw] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(307),
    [anon_sym_if] = ACTIONS(307),
    [anon_sym_else] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [anon_sym_open] = ACTIONS(307),
    [anon_sym_module] = ACTIONS(307),
    [anon_sym_static] = ACTIONS(307),
    [anon_sym_package] = ACTIONS(307),
    [anon_sym_import] = ACTIONS(307),
    [anon_sym_enum] = ACTIONS(307),
    [anon_sym_public] = ACTIONS(307),
    [anon_sym_protected] = ACTIONS(307),
    [anon_sym_private] = ACTIONS(307),
    [anon_sym_abstract] = ACTIONS(307),
    [anon_sym_strictfp] = ACTIONS(307),
    [anon_sym_native] = ACTIONS(307),
    [anon_sym_transient] = ACTIONS(307),
    [anon_sym_volatile] = ACTIONS(307),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(305),
    [anon_sym_record] = ACTIONS(307),
    [anon_sym_ATinterface] = ACTIONS(305),
    [anon_sym_interface] = ACTIONS(307),
    [anon_sym_byte] = ACTIONS(307),
    [anon_sym_short] = ACTIONS(307),
    [anon_sym_int] = ACTIONS(307),
    [anon_sym_long] = ACTIONS(307),
    [anon_sym_char] = ACTIONS(307),
    [anon_sym_float] = ACTIONS(307),
    [anon_sym_double] = ACTIONS(307),
    [sym_boolean_type] = ACTIONS(307),
    [sym_void_type] = ACTIONS(307),
    [sym_this] = ACTIONS(307),
    [sym_super] = ACTIONS(307),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [86] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(561),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(608),
    [sym_marker_annotation] = STATE(608),
    [sym_annotation] = STATE(608),
    [sym_modifiers] = STATE(706),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(700),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [sym_local_variable_declaration] = STATE(135),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [aux_sym_modifiers_repeat1] = STATE(533),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_final] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_default] = ACTIONS(291),
    [anon_sym_SEMI] = ACTIONS(319),
    [anon_sym_synchronized] = ACTIONS(291),
    [anon_sym_AT] = ACTIONS(293),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_static] = ACTIONS(291),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_protected] = ACTIONS(291),
    [anon_sym_private] = ACTIONS(291),
    [anon_sym_abstract] = ACTIONS(291),
    [anon_sym_strictfp] = ACTIONS(291),
    [anon_sym_native] = ACTIONS(291),
    [anon_sym_transient] = ACTIONS(291),
    [anon_sym_volatile] = ACTIONS(291),
    [anon_sym_sealed] = ACTIONS(291),
    [anon_sym_non_DASHsealed] = ACTIONS(297),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [87] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(551),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(723),
    [sym_marker_annotation] = STATE(723),
    [sym_annotation] = STATE(723),
    [sym_element_value_pair] = STATE(1074),
    [sym__element_value] = STATE(1250),
    [sym_element_value_array_initializer] = STATE(1250),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(321),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(323),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(325),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [88] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(551),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(723),
    [sym_marker_annotation] = STATE(723),
    [sym_annotation] = STATE(723),
    [sym_element_value_pair] = STATE(997),
    [sym__element_value] = STATE(1235),
    [sym_element_value_array_initializer] = STATE(1235),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(321),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(329),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(325),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [89] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(551),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(723),
    [sym_marker_annotation] = STATE(723),
    [sym_annotation] = STATE(723),
    [sym__element_value] = STATE(1087),
    [sym_element_value_array_initializer] = STATE(1087),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(331),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(325),
    [anon_sym_RBRACE] = ACTIONS(333),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [90] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym_block] = STATE(1010),
    [sym_expression_statement] = STATE(1010),
    [sym_throw_statement] = STATE(1010),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [91] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(551),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(723),
    [sym_marker_annotation] = STATE(723),
    [sym_annotation] = STATE(723),
    [sym_element_value_pair] = STATE(1042),
    [sym__element_value] = STATE(1222),
    [sym_element_value_array_initializer] = STATE(1222),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(321),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(335),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(325),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [92] = {
    [sym_catch_clause] = STATE(98),
    [sym_finally_clause] = STATE(339),
    [aux_sym_try_statement_repeat1] = STATE(98),
    [ts_builtin_sym_end] = ACTIONS(337),
    [sym_identifier] = ACTIONS(339),
    [sym_decimal_integer_literal] = ACTIONS(339),
    [sym_hex_integer_literal] = ACTIONS(339),
    [sym_octal_integer_literal] = ACTIONS(337),
    [sym_binary_integer_literal] = ACTIONS(337),
    [sym_decimal_floating_point_literal] = ACTIONS(337),
    [sym_hex_floating_point_literal] = ACTIONS(339),
    [sym_true] = ACTIONS(339),
    [sym_false] = ACTIONS(339),
    [sym_character_literal] = ACTIONS(337),
    [anon_sym_DQUOTE] = ACTIONS(339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(337),
    [sym_null_literal] = ACTIONS(339),
    [anon_sym_LPAREN] = ACTIONS(337),
    [anon_sym_PLUS] = ACTIONS(339),
    [anon_sym_DASH] = ACTIONS(339),
    [anon_sym_final] = ACTIONS(339),
    [anon_sym_BANG] = ACTIONS(337),
    [anon_sym_TILDE] = ACTIONS(337),
    [anon_sym_PLUS_PLUS] = ACTIONS(337),
    [anon_sym_DASH_DASH] = ACTIONS(337),
    [anon_sym_new] = ACTIONS(339),
    [anon_sym_class] = ACTIONS(339),
    [anon_sym_switch] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(337),
    [anon_sym_RBRACE] = ACTIONS(337),
    [anon_sym_case] = ACTIONS(339),
    [anon_sym_default] = ACTIONS(339),
    [anon_sym_SEMI] = ACTIONS(337),
    [anon_sym_assert] = ACTIONS(339),
    [anon_sym_do] = ACTIONS(339),
    [anon_sym_while] = ACTIONS(339),
    [anon_sym_break] = ACTIONS(339),
    [anon_sym_continue] = ACTIONS(339),
    [anon_sym_return] = ACTIONS(339),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_synchronized] = ACTIONS(339),
    [anon_sym_throw] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(339),
    [anon_sym_catch] = ACTIONS(341),
    [anon_sym_finally] = ACTIONS(343),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_else] = ACTIONS(339),
    [anon_sym_for] = ACTIONS(339),
    [anon_sym_AT] = ACTIONS(339),
    [anon_sym_open] = ACTIONS(339),
    [anon_sym_module] = ACTIONS(339),
    [anon_sym_static] = ACTIONS(339),
    [anon_sym_package] = ACTIONS(339),
    [anon_sym_import] = ACTIONS(339),
    [anon_sym_enum] = ACTIONS(339),
    [anon_sym_public] = ACTIONS(339),
    [anon_sym_protected] = ACTIONS(339),
    [anon_sym_private] = ACTIONS(339),
    [anon_sym_abstract] = ACTIONS(339),
    [anon_sym_strictfp] = ACTIONS(339),
    [anon_sym_native] = ACTIONS(339),
    [anon_sym_transient] = ACTIONS(339),
    [anon_sym_volatile] = ACTIONS(339),
    [anon_sym_sealed] = ACTIONS(339),
    [anon_sym_non_DASHsealed] = ACTIONS(337),
    [anon_sym_record] = ACTIONS(339),
    [anon_sym_ATinterface] = ACTIONS(337),
    [anon_sym_interface] = ACTIONS(339),
    [anon_sym_byte] = ACTIONS(339),
    [anon_sym_short] = ACTIONS(339),
    [anon_sym_int] = ACTIONS(339),
    [anon_sym_long] = ACTIONS(339),
    [anon_sym_char] = ACTIONS(339),
    [anon_sym_float] = ACTIONS(339),
    [anon_sym_double] = ACTIONS(339),
    [sym_boolean_type] = ACTIONS(339),
    [sym_void_type] = ACTIONS(339),
    [sym_this] = ACTIONS(339),
    [sym_super] = ACTIONS(339),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [93] = {
    [sym_catch_clause] = STATE(97),
    [sym_finally_clause] = STATE(277),
    [aux_sym_try_statement_repeat1] = STATE(97),
    [ts_builtin_sym_end] = ACTIONS(345),
    [sym_identifier] = ACTIONS(347),
    [sym_decimal_integer_literal] = ACTIONS(347),
    [sym_hex_integer_literal] = ACTIONS(347),
    [sym_octal_integer_literal] = ACTIONS(345),
    [sym_binary_integer_literal] = ACTIONS(345),
    [sym_decimal_floating_point_literal] = ACTIONS(345),
    [sym_hex_floating_point_literal] = ACTIONS(347),
    [sym_true] = ACTIONS(347),
    [sym_false] = ACTIONS(347),
    [sym_character_literal] = ACTIONS(345),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(345),
    [sym_null_literal] = ACTIONS(347),
    [anon_sym_LPAREN] = ACTIONS(345),
    [anon_sym_PLUS] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(347),
    [anon_sym_final] = ACTIONS(347),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_TILDE] = ACTIONS(345),
    [anon_sym_PLUS_PLUS] = ACTIONS(345),
    [anon_sym_DASH_DASH] = ACTIONS(345),
    [anon_sym_new] = ACTIONS(347),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_switch] = ACTIONS(347),
    [anon_sym_LBRACE] = ACTIONS(345),
    [anon_sym_RBRACE] = ACTIONS(345),
    [anon_sym_case] = ACTIONS(347),
    [anon_sym_default] = ACTIONS(347),
    [anon_sym_SEMI] = ACTIONS(345),
    [anon_sym_assert] = ACTIONS(347),
    [anon_sym_do] = ACTIONS(347),
    [anon_sym_while] = ACTIONS(347),
    [anon_sym_break] = ACTIONS(347),
    [anon_sym_continue] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(347),
    [anon_sym_yield] = ACTIONS(347),
    [anon_sym_synchronized] = ACTIONS(347),
    [anon_sym_throw] = ACTIONS(347),
    [anon_sym_try] = ACTIONS(347),
    [anon_sym_catch] = ACTIONS(341),
    [anon_sym_finally] = ACTIONS(343),
    [anon_sym_if] = ACTIONS(347),
    [anon_sym_else] = ACTIONS(347),
    [anon_sym_for] = ACTIONS(347),
    [anon_sym_AT] = ACTIONS(347),
    [anon_sym_open] = ACTIONS(347),
    [anon_sym_module] = ACTIONS(347),
    [anon_sym_static] = ACTIONS(347),
    [anon_sym_package] = ACTIONS(347),
    [anon_sym_import] = ACTIONS(347),
    [anon_sym_enum] = ACTIONS(347),
    [anon_sym_public] = ACTIONS(347),
    [anon_sym_protected] = ACTIONS(347),
    [anon_sym_private] = ACTIONS(347),
    [anon_sym_abstract] = ACTIONS(347),
    [anon_sym_strictfp] = ACTIONS(347),
    [anon_sym_native] = ACTIONS(347),
    [anon_sym_transient] = ACTIONS(347),
    [anon_sym_volatile] = ACTIONS(347),
    [anon_sym_sealed] = ACTIONS(347),
    [anon_sym_non_DASHsealed] = ACTIONS(345),
    [anon_sym_record] = ACTIONS(347),
    [anon_sym_ATinterface] = ACTIONS(345),
    [anon_sym_interface] = ACTIONS(347),
    [anon_sym_byte] = ACTIONS(347),
    [anon_sym_short] = ACTIONS(347),
    [anon_sym_int] = ACTIONS(347),
    [anon_sym_long] = ACTIONS(347),
    [anon_sym_char] = ACTIONS(347),
    [anon_sym_float] = ACTIONS(347),
    [anon_sym_double] = ACTIONS(347),
    [sym_boolean_type] = ACTIONS(347),
    [sym_void_type] = ACTIONS(347),
    [sym_this] = ACTIONS(347),
    [sym_super] = ACTIONS(347),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [94] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(572),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym_array_initializer] = STATE(1012),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(349),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(351),
    [anon_sym_RBRACE] = ACTIONS(353),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [95] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(551),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(723),
    [sym_marker_annotation] = STATE(723),
    [sym_annotation] = STATE(723),
    [sym__element_value] = STATE(1158),
    [sym_element_value_array_initializer] = STATE(1158),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(325),
    [anon_sym_RBRACE] = ACTIONS(355),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [96] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(551),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(723),
    [sym_marker_annotation] = STATE(723),
    [sym_annotation] = STATE(723),
    [sym__element_value] = STATE(1158),
    [sym_element_value_array_initializer] = STATE(1158),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(325),
    [anon_sym_RBRACE] = ACTIONS(357),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [97] = {
    [sym_catch_clause] = STATE(98),
    [sym_finally_clause] = STATE(292),
    [aux_sym_try_statement_repeat1] = STATE(98),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym_identifier] = ACTIONS(361),
    [sym_decimal_integer_literal] = ACTIONS(361),
    [sym_hex_integer_literal] = ACTIONS(361),
    [sym_octal_integer_literal] = ACTIONS(359),
    [sym_binary_integer_literal] = ACTIONS(359),
    [sym_decimal_floating_point_literal] = ACTIONS(359),
    [sym_hex_floating_point_literal] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_character_literal] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(359),
    [sym_null_literal] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_PLUS] = ACTIONS(361),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_final] = ACTIONS(361),
    [anon_sym_BANG] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(359),
    [anon_sym_DASH_DASH] = ACTIONS(359),
    [anon_sym_new] = ACTIONS(361),
    [anon_sym_class] = ACTIONS(361),
    [anon_sym_switch] = ACTIONS(361),
    [anon_sym_LBRACE] = ACTIONS(359),
    [anon_sym_RBRACE] = ACTIONS(359),
    [anon_sym_case] = ACTIONS(361),
    [anon_sym_default] = ACTIONS(361),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_assert] = ACTIONS(361),
    [anon_sym_do] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_break] = ACTIONS(361),
    [anon_sym_continue] = ACTIONS(361),
    [anon_sym_return] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(361),
    [anon_sym_synchronized] = ACTIONS(361),
    [anon_sym_throw] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(361),
    [anon_sym_catch] = ACTIONS(341),
    [anon_sym_finally] = ACTIONS(343),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_else] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_AT] = ACTIONS(361),
    [anon_sym_open] = ACTIONS(361),
    [anon_sym_module] = ACTIONS(361),
    [anon_sym_static] = ACTIONS(361),
    [anon_sym_package] = ACTIONS(361),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_enum] = ACTIONS(361),
    [anon_sym_public] = ACTIONS(361),
    [anon_sym_protected] = ACTIONS(361),
    [anon_sym_private] = ACTIONS(361),
    [anon_sym_abstract] = ACTIONS(361),
    [anon_sym_strictfp] = ACTIONS(361),
    [anon_sym_native] = ACTIONS(361),
    [anon_sym_transient] = ACTIONS(361),
    [anon_sym_volatile] = ACTIONS(361),
    [anon_sym_sealed] = ACTIONS(361),
    [anon_sym_non_DASHsealed] = ACTIONS(359),
    [anon_sym_record] = ACTIONS(361),
    [anon_sym_ATinterface] = ACTIONS(359),
    [anon_sym_interface] = ACTIONS(361),
    [anon_sym_byte] = ACTIONS(361),
    [anon_sym_short] = ACTIONS(361),
    [anon_sym_int] = ACTIONS(361),
    [anon_sym_long] = ACTIONS(361),
    [anon_sym_char] = ACTIONS(361),
    [anon_sym_float] = ACTIONS(361),
    [anon_sym_double] = ACTIONS(361),
    [sym_boolean_type] = ACTIONS(361),
    [sym_void_type] = ACTIONS(361),
    [sym_this] = ACTIONS(361),
    [sym_super] = ACTIONS(361),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [98] = {
    [sym_catch_clause] = STATE(98),
    [aux_sym_try_statement_repeat1] = STATE(98),
    [ts_builtin_sym_end] = ACTIONS(363),
    [sym_identifier] = ACTIONS(365),
    [sym_decimal_integer_literal] = ACTIONS(365),
    [sym_hex_integer_literal] = ACTIONS(365),
    [sym_octal_integer_literal] = ACTIONS(363),
    [sym_binary_integer_literal] = ACTIONS(363),
    [sym_decimal_floating_point_literal] = ACTIONS(363),
    [sym_hex_floating_point_literal] = ACTIONS(365),
    [sym_true] = ACTIONS(365),
    [sym_false] = ACTIONS(365),
    [sym_character_literal] = ACTIONS(363),
    [anon_sym_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(363),
    [sym_null_literal] = ACTIONS(365),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_PLUS] = ACTIONS(365),
    [anon_sym_DASH] = ACTIONS(365),
    [anon_sym_final] = ACTIONS(365),
    [anon_sym_BANG] = ACTIONS(363),
    [anon_sym_TILDE] = ACTIONS(363),
    [anon_sym_PLUS_PLUS] = ACTIONS(363),
    [anon_sym_DASH_DASH] = ACTIONS(363),
    [anon_sym_new] = ACTIONS(365),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_switch] = ACTIONS(365),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_RBRACE] = ACTIONS(363),
    [anon_sym_case] = ACTIONS(365),
    [anon_sym_default] = ACTIONS(365),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_assert] = ACTIONS(365),
    [anon_sym_do] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(365),
    [anon_sym_break] = ACTIONS(365),
    [anon_sym_continue] = ACTIONS(365),
    [anon_sym_return] = ACTIONS(365),
    [anon_sym_yield] = ACTIONS(365),
    [anon_sym_synchronized] = ACTIONS(365),
    [anon_sym_throw] = ACTIONS(365),
    [anon_sym_try] = ACTIONS(365),
    [anon_sym_catch] = ACTIONS(367),
    [anon_sym_finally] = ACTIONS(365),
    [anon_sym_if] = ACTIONS(365),
    [anon_sym_else] = ACTIONS(365),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_AT] = ACTIONS(365),
    [anon_sym_open] = ACTIONS(365),
    [anon_sym_module] = ACTIONS(365),
    [anon_sym_static] = ACTIONS(365),
    [anon_sym_package] = ACTIONS(365),
    [anon_sym_import] = ACTIONS(365),
    [anon_sym_enum] = ACTIONS(365),
    [anon_sym_public] = ACTIONS(365),
    [anon_sym_protected] = ACTIONS(365),
    [anon_sym_private] = ACTIONS(365),
    [anon_sym_abstract] = ACTIONS(365),
    [anon_sym_strictfp] = ACTIONS(365),
    [anon_sym_native] = ACTIONS(365),
    [anon_sym_transient] = ACTIONS(365),
    [anon_sym_volatile] = ACTIONS(365),
    [anon_sym_sealed] = ACTIONS(365),
    [anon_sym_non_DASHsealed] = ACTIONS(363),
    [anon_sym_record] = ACTIONS(365),
    [anon_sym_ATinterface] = ACTIONS(363),
    [anon_sym_interface] = ACTIONS(365),
    [anon_sym_byte] = ACTIONS(365),
    [anon_sym_short] = ACTIONS(365),
    [anon_sym_int] = ACTIONS(365),
    [anon_sym_long] = ACTIONS(365),
    [anon_sym_char] = ACTIONS(365),
    [anon_sym_float] = ACTIONS(365),
    [anon_sym_double] = ACTIONS(365),
    [sym_boolean_type] = ACTIONS(365),
    [sym_void_type] = ACTIONS(365),
    [sym_this] = ACTIONS(365),
    [sym_super] = ACTIONS(365),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [99] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(606),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym_array_initializer] = STATE(1167),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(351),
    [anon_sym_RBRACE] = ACTIONS(370),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [100] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(606),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym_array_initializer] = STATE(1167),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(351),
    [anon_sym_RBRACE] = ACTIONS(372),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [101] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(614),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(723),
    [sym_marker_annotation] = STATE(723),
    [sym_annotation] = STATE(723),
    [sym__element_value] = STATE(1203),
    [sym_element_value_array_initializer] = STATE(1203),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(325),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [102] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(551),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(723),
    [sym_marker_annotation] = STATE(723),
    [sym_annotation] = STATE(723),
    [sym__element_value] = STATE(1203),
    [sym_element_value_array_initializer] = STATE(1203),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(325),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [103] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(551),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(723),
    [sym_marker_annotation] = STATE(723),
    [sym_annotation] = STATE(723),
    [sym__element_value] = STATE(1158),
    [sym_element_value_array_initializer] = STATE(1158),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(325),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [104] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(551),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(723),
    [sym_marker_annotation] = STATE(723),
    [sym_annotation] = STATE(723),
    [sym__element_value] = STATE(1295),
    [sym_element_value_array_initializer] = STATE(1295),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(325),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [105] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(538),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym_block] = STATE(527),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [106] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(558),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym_array_initializer] = STATE(995),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(351),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [107] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(599),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1244),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(397),
    [sym_array_access] = STATE(397),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym_block] = STATE(527),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1244),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(374),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(376),
    [anon_sym_PLUS] = ACTIONS(378),
    [anon_sym_DASH] = ACTIONS(378),
    [anon_sym_BANG] = ACTIONS(380),
    [anon_sym_TILDE] = ACTIONS(380),
    [anon_sym_PLUS_PLUS] = ACTIONS(382),
    [anon_sym_DASH_DASH] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(384),
    [anon_sym_module] = ACTIONS(384),
    [anon_sym_record] = ACTIONS(384),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [108] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(534),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym_block] = STATE(508),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [109] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(597),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1244),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(397),
    [sym_array_access] = STATE(397),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym_block] = STATE(508),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1244),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(374),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(376),
    [anon_sym_PLUS] = ACTIONS(378),
    [anon_sym_DASH] = ACTIONS(378),
    [anon_sym_BANG] = ACTIONS(380),
    [anon_sym_TILDE] = ACTIONS(380),
    [anon_sym_PLUS_PLUS] = ACTIONS(382),
    [anon_sym_DASH_DASH] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(384),
    [anon_sym_module] = ACTIONS(384),
    [anon_sym_record] = ACTIONS(384),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [110] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(606),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym_array_initializer] = STATE(1167),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(351),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [111] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(581),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(386),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [112] = {
    [ts_builtin_sym_end] = ACTIONS(283),
    [sym_identifier] = ACTIONS(285),
    [sym_decimal_integer_literal] = ACTIONS(285),
    [sym_hex_integer_literal] = ACTIONS(285),
    [sym_octal_integer_literal] = ACTIONS(283),
    [sym_binary_integer_literal] = ACTIONS(283),
    [sym_decimal_floating_point_literal] = ACTIONS(283),
    [sym_hex_floating_point_literal] = ACTIONS(285),
    [sym_true] = ACTIONS(285),
    [sym_false] = ACTIONS(285),
    [sym_character_literal] = ACTIONS(283),
    [anon_sym_DQUOTE] = ACTIONS(285),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(283),
    [sym_null_literal] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_final] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(283),
    [anon_sym_DASH_DASH] = ACTIONS(283),
    [anon_sym_new] = ACTIONS(285),
    [anon_sym_class] = ACTIONS(285),
    [anon_sym_switch] = ACTIONS(285),
    [anon_sym_LBRACE] = ACTIONS(283),
    [anon_sym_RBRACE] = ACTIONS(283),
    [anon_sym_case] = ACTIONS(285),
    [anon_sym_default] = ACTIONS(285),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym_assert] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(285),
    [anon_sym_while] = ACTIONS(285),
    [anon_sym_break] = ACTIONS(285),
    [anon_sym_continue] = ACTIONS(285),
    [anon_sym_return] = ACTIONS(285),
    [anon_sym_yield] = ACTIONS(285),
    [anon_sym_synchronized] = ACTIONS(285),
    [anon_sym_throw] = ACTIONS(285),
    [anon_sym_try] = ACTIONS(285),
    [anon_sym_catch] = ACTIONS(285),
    [anon_sym_finally] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(285),
    [anon_sym_else] = ACTIONS(285),
    [anon_sym_for] = ACTIONS(285),
    [anon_sym_AT] = ACTIONS(285),
    [anon_sym_open] = ACTIONS(285),
    [anon_sym_module] = ACTIONS(285),
    [anon_sym_static] = ACTIONS(285),
    [anon_sym_package] = ACTIONS(285),
    [anon_sym_import] = ACTIONS(285),
    [anon_sym_enum] = ACTIONS(285),
    [anon_sym_public] = ACTIONS(285),
    [anon_sym_protected] = ACTIONS(285),
    [anon_sym_private] = ACTIONS(285),
    [anon_sym_abstract] = ACTIONS(285),
    [anon_sym_strictfp] = ACTIONS(285),
    [anon_sym_native] = ACTIONS(285),
    [anon_sym_transient] = ACTIONS(285),
    [anon_sym_volatile] = ACTIONS(285),
    [anon_sym_sealed] = ACTIONS(285),
    [anon_sym_non_DASHsealed] = ACTIONS(283),
    [anon_sym_record] = ACTIONS(285),
    [anon_sym_ATinterface] = ACTIONS(283),
    [anon_sym_interface] = ACTIONS(285),
    [anon_sym_byte] = ACTIONS(285),
    [anon_sym_short] = ACTIONS(285),
    [anon_sym_int] = ACTIONS(285),
    [anon_sym_long] = ACTIONS(285),
    [anon_sym_char] = ACTIONS(285),
    [anon_sym_float] = ACTIONS(285),
    [anon_sym_double] = ACTIONS(285),
    [sym_boolean_type] = ACTIONS(285),
    [sym_void_type] = ACTIONS(285),
    [sym_this] = ACTIONS(285),
    [sym_super] = ACTIONS(285),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [113] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(593),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(388),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [114] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(573),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [115] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(594),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [116] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(644),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_RBRACK] = ACTIONS(394),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [117] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(631),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_RBRACK] = ACTIONS(396),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [118] = {
    [ts_builtin_sym_end] = ACTIONS(267),
    [sym_identifier] = ACTIONS(269),
    [sym_decimal_integer_literal] = ACTIONS(269),
    [sym_hex_integer_literal] = ACTIONS(269),
    [sym_octal_integer_literal] = ACTIONS(267),
    [sym_binary_integer_literal] = ACTIONS(267),
    [sym_decimal_floating_point_literal] = ACTIONS(267),
    [sym_hex_floating_point_literal] = ACTIONS(269),
    [sym_true] = ACTIONS(269),
    [sym_false] = ACTIONS(269),
    [sym_character_literal] = ACTIONS(267),
    [anon_sym_DQUOTE] = ACTIONS(269),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(267),
    [sym_null_literal] = ACTIONS(269),
    [anon_sym_LPAREN] = ACTIONS(267),
    [anon_sym_PLUS] = ACTIONS(269),
    [anon_sym_DASH] = ACTIONS(269),
    [anon_sym_final] = ACTIONS(269),
    [anon_sym_BANG] = ACTIONS(267),
    [anon_sym_TILDE] = ACTIONS(267),
    [anon_sym_PLUS_PLUS] = ACTIONS(267),
    [anon_sym_DASH_DASH] = ACTIONS(267),
    [anon_sym_new] = ACTIONS(269),
    [anon_sym_class] = ACTIONS(269),
    [anon_sym_switch] = ACTIONS(269),
    [anon_sym_LBRACE] = ACTIONS(267),
    [anon_sym_RBRACE] = ACTIONS(267),
    [anon_sym_case] = ACTIONS(269),
    [anon_sym_default] = ACTIONS(269),
    [anon_sym_SEMI] = ACTIONS(267),
    [anon_sym_assert] = ACTIONS(269),
    [anon_sym_do] = ACTIONS(269),
    [anon_sym_while] = ACTIONS(269),
    [anon_sym_break] = ACTIONS(269),
    [anon_sym_continue] = ACTIONS(269),
    [anon_sym_return] = ACTIONS(269),
    [anon_sym_yield] = ACTIONS(269),
    [anon_sym_synchronized] = ACTIONS(269),
    [anon_sym_throw] = ACTIONS(269),
    [anon_sym_try] = ACTIONS(269),
    [anon_sym_catch] = ACTIONS(269),
    [anon_sym_finally] = ACTIONS(269),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_else] = ACTIONS(269),
    [anon_sym_for] = ACTIONS(269),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_open] = ACTIONS(269),
    [anon_sym_module] = ACTIONS(269),
    [anon_sym_static] = ACTIONS(269),
    [anon_sym_package] = ACTIONS(269),
    [anon_sym_import] = ACTIONS(269),
    [anon_sym_enum] = ACTIONS(269),
    [anon_sym_public] = ACTIONS(269),
    [anon_sym_protected] = ACTIONS(269),
    [anon_sym_private] = ACTIONS(269),
    [anon_sym_abstract] = ACTIONS(269),
    [anon_sym_strictfp] = ACTIONS(269),
    [anon_sym_native] = ACTIONS(269),
    [anon_sym_transient] = ACTIONS(269),
    [anon_sym_volatile] = ACTIONS(269),
    [anon_sym_sealed] = ACTIONS(269),
    [anon_sym_non_DASHsealed] = ACTIONS(267),
    [anon_sym_record] = ACTIONS(269),
    [anon_sym_ATinterface] = ACTIONS(267),
    [anon_sym_interface] = ACTIONS(269),
    [anon_sym_byte] = ACTIONS(269),
    [anon_sym_short] = ACTIONS(269),
    [anon_sym_int] = ACTIONS(269),
    [anon_sym_long] = ACTIONS(269),
    [anon_sym_char] = ACTIONS(269),
    [anon_sym_float] = ACTIONS(269),
    [anon_sym_double] = ACTIONS(269),
    [sym_boolean_type] = ACTIONS(269),
    [sym_void_type] = ACTIONS(269),
    [sym_this] = ACTIONS(269),
    [sym_super] = ACTIONS(269),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [119] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(642),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(398),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [120] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(554),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(400),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [121] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(591),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [122] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(564),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(404),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [123] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(646),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(406),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [124] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(563),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(408),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [125] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(624),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [126] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(634),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(412),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [127] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(586),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(414),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [128] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(644),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_RBRACK] = ACTIONS(416),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [129] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(587),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(418),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [130] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(585),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(420),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [131] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(631),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_RBRACK] = ACTIONS(422),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [132] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(569),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(424),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [133] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(640),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(426),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [134] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(584),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(428),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [135] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(639),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(430),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [136] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(570),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(432),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [137] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(632),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(434),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [138] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(622),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(436),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [139] = {
    [ts_builtin_sym_end] = ACTIONS(438),
    [sym_identifier] = ACTIONS(440),
    [sym_decimal_integer_literal] = ACTIONS(440),
    [sym_hex_integer_literal] = ACTIONS(440),
    [sym_octal_integer_literal] = ACTIONS(438),
    [sym_binary_integer_literal] = ACTIONS(438),
    [sym_decimal_floating_point_literal] = ACTIONS(438),
    [sym_hex_floating_point_literal] = ACTIONS(440),
    [sym_true] = ACTIONS(440),
    [sym_false] = ACTIONS(440),
    [sym_character_literal] = ACTIONS(438),
    [anon_sym_DQUOTE] = ACTIONS(440),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(438),
    [sym_null_literal] = ACTIONS(440),
    [anon_sym_LPAREN] = ACTIONS(438),
    [anon_sym_PLUS] = ACTIONS(440),
    [anon_sym_DASH] = ACTIONS(440),
    [anon_sym_final] = ACTIONS(440),
    [anon_sym_BANG] = ACTIONS(438),
    [anon_sym_TILDE] = ACTIONS(438),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_class] = ACTIONS(440),
    [anon_sym_switch] = ACTIONS(440),
    [anon_sym_LBRACE] = ACTIONS(438),
    [anon_sym_RBRACE] = ACTIONS(438),
    [anon_sym_case] = ACTIONS(440),
    [anon_sym_default] = ACTIONS(440),
    [anon_sym_SEMI] = ACTIONS(438),
    [anon_sym_assert] = ACTIONS(440),
    [anon_sym_do] = ACTIONS(440),
    [anon_sym_while] = ACTIONS(440),
    [anon_sym_break] = ACTIONS(440),
    [anon_sym_continue] = ACTIONS(440),
    [anon_sym_return] = ACTIONS(440),
    [anon_sym_yield] = ACTIONS(440),
    [anon_sym_synchronized] = ACTIONS(440),
    [anon_sym_throw] = ACTIONS(440),
    [anon_sym_try] = ACTIONS(440),
    [anon_sym_catch] = ACTIONS(440),
    [anon_sym_finally] = ACTIONS(440),
    [anon_sym_if] = ACTIONS(440),
    [anon_sym_else] = ACTIONS(440),
    [anon_sym_for] = ACTIONS(440),
    [anon_sym_AT] = ACTIONS(440),
    [anon_sym_open] = ACTIONS(440),
    [anon_sym_module] = ACTIONS(440),
    [anon_sym_static] = ACTIONS(440),
    [anon_sym_package] = ACTIONS(440),
    [anon_sym_import] = ACTIONS(440),
    [anon_sym_enum] = ACTIONS(440),
    [anon_sym_public] = ACTIONS(440),
    [anon_sym_protected] = ACTIONS(440),
    [anon_sym_private] = ACTIONS(440),
    [anon_sym_abstract] = ACTIONS(440),
    [anon_sym_strictfp] = ACTIONS(440),
    [anon_sym_native] = ACTIONS(440),
    [anon_sym_transient] = ACTIONS(440),
    [anon_sym_volatile] = ACTIONS(440),
    [anon_sym_sealed] = ACTIONS(440),
    [anon_sym_non_DASHsealed] = ACTIONS(438),
    [anon_sym_record] = ACTIONS(440),
    [anon_sym_ATinterface] = ACTIONS(438),
    [anon_sym_interface] = ACTIONS(440),
    [anon_sym_byte] = ACTIONS(440),
    [anon_sym_short] = ACTIONS(440),
    [anon_sym_int] = ACTIONS(440),
    [anon_sym_long] = ACTIONS(440),
    [anon_sym_char] = ACTIONS(440),
    [anon_sym_float] = ACTIONS(440),
    [anon_sym_double] = ACTIONS(440),
    [sym_boolean_type] = ACTIONS(440),
    [sym_void_type] = ACTIONS(440),
    [sym_this] = ACTIONS(440),
    [sym_super] = ACTIONS(440),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [140] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(641),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [141] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(575),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(444),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [142] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(577),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(446),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [143] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(576),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(448),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [144] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(643),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [145] = {
    [ts_builtin_sym_end] = ACTIONS(450),
    [sym_identifier] = ACTIONS(452),
    [sym_decimal_integer_literal] = ACTIONS(452),
    [sym_hex_integer_literal] = ACTIONS(452),
    [sym_octal_integer_literal] = ACTIONS(450),
    [sym_binary_integer_literal] = ACTIONS(450),
    [sym_decimal_floating_point_literal] = ACTIONS(450),
    [sym_hex_floating_point_literal] = ACTIONS(452),
    [sym_true] = ACTIONS(452),
    [sym_false] = ACTIONS(452),
    [sym_character_literal] = ACTIONS(450),
    [anon_sym_DQUOTE] = ACTIONS(452),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(450),
    [sym_null_literal] = ACTIONS(452),
    [anon_sym_LPAREN] = ACTIONS(450),
    [anon_sym_LT] = ACTIONS(450),
    [anon_sym_PLUS] = ACTIONS(452),
    [anon_sym_DASH] = ACTIONS(452),
    [anon_sym_final] = ACTIONS(452),
    [anon_sym_BANG] = ACTIONS(450),
    [anon_sym_TILDE] = ACTIONS(450),
    [anon_sym_PLUS_PLUS] = ACTIONS(450),
    [anon_sym_DASH_DASH] = ACTIONS(450),
    [anon_sym_new] = ACTIONS(452),
    [anon_sym_class] = ACTIONS(452),
    [anon_sym_switch] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(450),
    [anon_sym_RBRACE] = ACTIONS(450),
    [anon_sym_case] = ACTIONS(452),
    [anon_sym_default] = ACTIONS(452),
    [anon_sym_SEMI] = ACTIONS(450),
    [anon_sym_assert] = ACTIONS(452),
    [anon_sym_do] = ACTIONS(452),
    [anon_sym_while] = ACTIONS(452),
    [anon_sym_break] = ACTIONS(452),
    [anon_sym_continue] = ACTIONS(452),
    [anon_sym_return] = ACTIONS(452),
    [anon_sym_yield] = ACTIONS(452),
    [anon_sym_synchronized] = ACTIONS(452),
    [anon_sym_throw] = ACTIONS(452),
    [anon_sym_try] = ACTIONS(452),
    [anon_sym_if] = ACTIONS(452),
    [anon_sym_else] = ACTIONS(452),
    [anon_sym_for] = ACTIONS(452),
    [anon_sym_AT] = ACTIONS(452),
    [anon_sym_open] = ACTIONS(452),
    [anon_sym_module] = ACTIONS(452),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_package] = ACTIONS(452),
    [anon_sym_import] = ACTIONS(452),
    [anon_sym_enum] = ACTIONS(452),
    [anon_sym_public] = ACTIONS(452),
    [anon_sym_protected] = ACTIONS(452),
    [anon_sym_private] = ACTIONS(452),
    [anon_sym_abstract] = ACTIONS(452),
    [anon_sym_strictfp] = ACTIONS(452),
    [anon_sym_native] = ACTIONS(452),
    [anon_sym_transient] = ACTIONS(452),
    [anon_sym_volatile] = ACTIONS(452),
    [anon_sym_sealed] = ACTIONS(452),
    [anon_sym_non_DASHsealed] = ACTIONS(450),
    [anon_sym_record] = ACTIONS(452),
    [anon_sym_ATinterface] = ACTIONS(450),
    [anon_sym_interface] = ACTIONS(452),
    [anon_sym_byte] = ACTIONS(452),
    [anon_sym_short] = ACTIONS(452),
    [anon_sym_int] = ACTIONS(452),
    [anon_sym_long] = ACTIONS(452),
    [anon_sym_char] = ACTIONS(452),
    [anon_sym_float] = ACTIONS(452),
    [anon_sym_double] = ACTIONS(452),
    [sym_boolean_type] = ACTIONS(452),
    [sym_void_type] = ACTIONS(452),
    [sym_this] = ACTIONS(452),
    [sym_super] = ACTIONS(452),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [146] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(546),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [147] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(540),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [148] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(510),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [149] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(542),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [150] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(545),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [151] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(529),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [152] = {
    [ts_builtin_sym_end] = ACTIONS(454),
    [sym_identifier] = ACTIONS(456),
    [sym_decimal_integer_literal] = ACTIONS(456),
    [sym_hex_integer_literal] = ACTIONS(456),
    [sym_octal_integer_literal] = ACTIONS(454),
    [sym_binary_integer_literal] = ACTIONS(454),
    [sym_decimal_floating_point_literal] = ACTIONS(454),
    [sym_hex_floating_point_literal] = ACTIONS(456),
    [sym_true] = ACTIONS(456),
    [sym_false] = ACTIONS(456),
    [sym_character_literal] = ACTIONS(454),
    [anon_sym_DQUOTE] = ACTIONS(456),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(454),
    [sym_null_literal] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(454),
    [anon_sym_LT] = ACTIONS(454),
    [anon_sym_PLUS] = ACTIONS(456),
    [anon_sym_DASH] = ACTIONS(456),
    [anon_sym_final] = ACTIONS(456),
    [anon_sym_BANG] = ACTIONS(454),
    [anon_sym_TILDE] = ACTIONS(454),
    [anon_sym_PLUS_PLUS] = ACTIONS(454),
    [anon_sym_DASH_DASH] = ACTIONS(454),
    [anon_sym_new] = ACTIONS(456),
    [anon_sym_class] = ACTIONS(456),
    [anon_sym_switch] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(454),
    [anon_sym_RBRACE] = ACTIONS(454),
    [anon_sym_case] = ACTIONS(456),
    [anon_sym_default] = ACTIONS(456),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_assert] = ACTIONS(456),
    [anon_sym_do] = ACTIONS(456),
    [anon_sym_while] = ACTIONS(456),
    [anon_sym_break] = ACTIONS(456),
    [anon_sym_continue] = ACTIONS(456),
    [anon_sym_return] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(456),
    [anon_sym_synchronized] = ACTIONS(456),
    [anon_sym_throw] = ACTIONS(456),
    [anon_sym_try] = ACTIONS(456),
    [anon_sym_if] = ACTIONS(456),
    [anon_sym_else] = ACTIONS(456),
    [anon_sym_for] = ACTIONS(456),
    [anon_sym_AT] = ACTIONS(456),
    [anon_sym_open] = ACTIONS(456),
    [anon_sym_module] = ACTIONS(456),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_package] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(456),
    [anon_sym_enum] = ACTIONS(456),
    [anon_sym_public] = ACTIONS(456),
    [anon_sym_protected] = ACTIONS(456),
    [anon_sym_private] = ACTIONS(456),
    [anon_sym_abstract] = ACTIONS(456),
    [anon_sym_strictfp] = ACTIONS(456),
    [anon_sym_native] = ACTIONS(456),
    [anon_sym_transient] = ACTIONS(456),
    [anon_sym_volatile] = ACTIONS(456),
    [anon_sym_sealed] = ACTIONS(456),
    [anon_sym_non_DASHsealed] = ACTIONS(454),
    [anon_sym_record] = ACTIONS(456),
    [anon_sym_ATinterface] = ACTIONS(454),
    [anon_sym_interface] = ACTIONS(456),
    [anon_sym_byte] = ACTIONS(456),
    [anon_sym_short] = ACTIONS(456),
    [anon_sym_int] = ACTIONS(456),
    [anon_sym_long] = ACTIONS(456),
    [anon_sym_char] = ACTIONS(456),
    [anon_sym_float] = ACTIONS(456),
    [anon_sym_double] = ACTIONS(456),
    [sym_boolean_type] = ACTIONS(456),
    [sym_void_type] = ACTIONS(456),
    [sym_this] = ACTIONS(456),
    [sym_super] = ACTIONS(456),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [153] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(625),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [154] = {
    [ts_builtin_sym_end] = ACTIONS(458),
    [sym_identifier] = ACTIONS(460),
    [sym_decimal_integer_literal] = ACTIONS(460),
    [sym_hex_integer_literal] = ACTIONS(460),
    [sym_octal_integer_literal] = ACTIONS(458),
    [sym_binary_integer_literal] = ACTIONS(458),
    [sym_decimal_floating_point_literal] = ACTIONS(458),
    [sym_hex_floating_point_literal] = ACTIONS(460),
    [sym_true] = ACTIONS(460),
    [sym_false] = ACTIONS(460),
    [sym_character_literal] = ACTIONS(458),
    [anon_sym_DQUOTE] = ACTIONS(460),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(458),
    [sym_null_literal] = ACTIONS(460),
    [anon_sym_LPAREN] = ACTIONS(458),
    [anon_sym_LT] = ACTIONS(458),
    [anon_sym_PLUS] = ACTIONS(460),
    [anon_sym_DASH] = ACTIONS(460),
    [anon_sym_final] = ACTIONS(460),
    [anon_sym_BANG] = ACTIONS(458),
    [anon_sym_TILDE] = ACTIONS(458),
    [anon_sym_PLUS_PLUS] = ACTIONS(458),
    [anon_sym_DASH_DASH] = ACTIONS(458),
    [anon_sym_new] = ACTIONS(460),
    [anon_sym_class] = ACTIONS(460),
    [anon_sym_switch] = ACTIONS(460),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_RBRACE] = ACTIONS(458),
    [anon_sym_case] = ACTIONS(460),
    [anon_sym_default] = ACTIONS(460),
    [anon_sym_SEMI] = ACTIONS(458),
    [anon_sym_assert] = ACTIONS(460),
    [anon_sym_do] = ACTIONS(460),
    [anon_sym_while] = ACTIONS(460),
    [anon_sym_break] = ACTIONS(460),
    [anon_sym_continue] = ACTIONS(460),
    [anon_sym_return] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(460),
    [anon_sym_synchronized] = ACTIONS(460),
    [anon_sym_throw] = ACTIONS(460),
    [anon_sym_try] = ACTIONS(460),
    [anon_sym_if] = ACTIONS(460),
    [anon_sym_else] = ACTIONS(460),
    [anon_sym_for] = ACTIONS(460),
    [anon_sym_AT] = ACTIONS(460),
    [anon_sym_open] = ACTIONS(460),
    [anon_sym_module] = ACTIONS(460),
    [anon_sym_static] = ACTIONS(460),
    [anon_sym_package] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(460),
    [anon_sym_enum] = ACTIONS(460),
    [anon_sym_public] = ACTIONS(460),
    [anon_sym_protected] = ACTIONS(460),
    [anon_sym_private] = ACTIONS(460),
    [anon_sym_abstract] = ACTIONS(460),
    [anon_sym_strictfp] = ACTIONS(460),
    [anon_sym_native] = ACTIONS(460),
    [anon_sym_transient] = ACTIONS(460),
    [anon_sym_volatile] = ACTIONS(460),
    [anon_sym_sealed] = ACTIONS(460),
    [anon_sym_non_DASHsealed] = ACTIONS(458),
    [anon_sym_record] = ACTIONS(460),
    [anon_sym_ATinterface] = ACTIONS(458),
    [anon_sym_interface] = ACTIONS(460),
    [anon_sym_byte] = ACTIONS(460),
    [anon_sym_short] = ACTIONS(460),
    [anon_sym_int] = ACTIONS(460),
    [anon_sym_long] = ACTIONS(460),
    [anon_sym_char] = ACTIONS(460),
    [anon_sym_float] = ACTIONS(460),
    [anon_sym_double] = ACTIONS(460),
    [sym_boolean_type] = ACTIONS(460),
    [sym_void_type] = ACTIONS(460),
    [sym_this] = ACTIONS(460),
    [sym_super] = ACTIONS(460),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [155] = {
    [ts_builtin_sym_end] = ACTIONS(462),
    [sym_identifier] = ACTIONS(464),
    [sym_decimal_integer_literal] = ACTIONS(464),
    [sym_hex_integer_literal] = ACTIONS(464),
    [sym_octal_integer_literal] = ACTIONS(462),
    [sym_binary_integer_literal] = ACTIONS(462),
    [sym_decimal_floating_point_literal] = ACTIONS(462),
    [sym_hex_floating_point_literal] = ACTIONS(464),
    [sym_true] = ACTIONS(464),
    [sym_false] = ACTIONS(464),
    [sym_character_literal] = ACTIONS(462),
    [anon_sym_DQUOTE] = ACTIONS(464),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(462),
    [sym_null_literal] = ACTIONS(464),
    [anon_sym_LPAREN] = ACTIONS(462),
    [anon_sym_LT] = ACTIONS(462),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_final] = ACTIONS(464),
    [anon_sym_BANG] = ACTIONS(462),
    [anon_sym_TILDE] = ACTIONS(462),
    [anon_sym_PLUS_PLUS] = ACTIONS(462),
    [anon_sym_DASH_DASH] = ACTIONS(462),
    [anon_sym_new] = ACTIONS(464),
    [anon_sym_class] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(464),
    [anon_sym_LBRACE] = ACTIONS(462),
    [anon_sym_RBRACE] = ACTIONS(462),
    [anon_sym_case] = ACTIONS(464),
    [anon_sym_default] = ACTIONS(464),
    [anon_sym_SEMI] = ACTIONS(462),
    [anon_sym_assert] = ACTIONS(464),
    [anon_sym_do] = ACTIONS(464),
    [anon_sym_while] = ACTIONS(464),
    [anon_sym_break] = ACTIONS(464),
    [anon_sym_continue] = ACTIONS(464),
    [anon_sym_return] = ACTIONS(464),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_synchronized] = ACTIONS(464),
    [anon_sym_throw] = ACTIONS(464),
    [anon_sym_try] = ACTIONS(464),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_else] = ACTIONS(464),
    [anon_sym_for] = ACTIONS(464),
    [anon_sym_AT] = ACTIONS(464),
    [anon_sym_open] = ACTIONS(464),
    [anon_sym_module] = ACTIONS(464),
    [anon_sym_static] = ACTIONS(464),
    [anon_sym_package] = ACTIONS(464),
    [anon_sym_import] = ACTIONS(464),
    [anon_sym_enum] = ACTIONS(464),
    [anon_sym_public] = ACTIONS(464),
    [anon_sym_protected] = ACTIONS(464),
    [anon_sym_private] = ACTIONS(464),
    [anon_sym_abstract] = ACTIONS(464),
    [anon_sym_strictfp] = ACTIONS(464),
    [anon_sym_native] = ACTIONS(464),
    [anon_sym_transient] = ACTIONS(464),
    [anon_sym_volatile] = ACTIONS(464),
    [anon_sym_sealed] = ACTIONS(464),
    [anon_sym_non_DASHsealed] = ACTIONS(462),
    [anon_sym_record] = ACTIONS(464),
    [anon_sym_ATinterface] = ACTIONS(462),
    [anon_sym_interface] = ACTIONS(464),
    [anon_sym_byte] = ACTIONS(464),
    [anon_sym_short] = ACTIONS(464),
    [anon_sym_int] = ACTIONS(464),
    [anon_sym_long] = ACTIONS(464),
    [anon_sym_char] = ACTIONS(464),
    [anon_sym_float] = ACTIONS(464),
    [anon_sym_double] = ACTIONS(464),
    [sym_boolean_type] = ACTIONS(464),
    [sym_void_type] = ACTIONS(464),
    [sym_this] = ACTIONS(464),
    [sym_super] = ACTIONS(464),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [156] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(617),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [157] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(528),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [158] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(618),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [159] = {
    [ts_builtin_sym_end] = ACTIONS(466),
    [sym_identifier] = ACTIONS(468),
    [sym_decimal_integer_literal] = ACTIONS(468),
    [sym_hex_integer_literal] = ACTIONS(468),
    [sym_octal_integer_literal] = ACTIONS(466),
    [sym_binary_integer_literal] = ACTIONS(466),
    [sym_decimal_floating_point_literal] = ACTIONS(466),
    [sym_hex_floating_point_literal] = ACTIONS(468),
    [sym_true] = ACTIONS(468),
    [sym_false] = ACTIONS(468),
    [sym_character_literal] = ACTIONS(466),
    [anon_sym_DQUOTE] = ACTIONS(468),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(466),
    [sym_null_literal] = ACTIONS(468),
    [anon_sym_LPAREN] = ACTIONS(466),
    [anon_sym_LT] = ACTIONS(466),
    [anon_sym_PLUS] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(468),
    [anon_sym_final] = ACTIONS(468),
    [anon_sym_BANG] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(466),
    [anon_sym_PLUS_PLUS] = ACTIONS(466),
    [anon_sym_DASH_DASH] = ACTIONS(466),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_class] = ACTIONS(468),
    [anon_sym_switch] = ACTIONS(468),
    [anon_sym_LBRACE] = ACTIONS(466),
    [anon_sym_RBRACE] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(468),
    [anon_sym_SEMI] = ACTIONS(466),
    [anon_sym_assert] = ACTIONS(468),
    [anon_sym_do] = ACTIONS(468),
    [anon_sym_while] = ACTIONS(468),
    [anon_sym_break] = ACTIONS(468),
    [anon_sym_continue] = ACTIONS(468),
    [anon_sym_return] = ACTIONS(468),
    [anon_sym_yield] = ACTIONS(468),
    [anon_sym_synchronized] = ACTIONS(468),
    [anon_sym_throw] = ACTIONS(468),
    [anon_sym_try] = ACTIONS(468),
    [anon_sym_if] = ACTIONS(468),
    [anon_sym_else] = ACTIONS(468),
    [anon_sym_for] = ACTIONS(468),
    [anon_sym_AT] = ACTIONS(468),
    [anon_sym_open] = ACTIONS(468),
    [anon_sym_module] = ACTIONS(468),
    [anon_sym_static] = ACTIONS(468),
    [anon_sym_package] = ACTIONS(468),
    [anon_sym_import] = ACTIONS(468),
    [anon_sym_enum] = ACTIONS(468),
    [anon_sym_public] = ACTIONS(468),
    [anon_sym_protected] = ACTIONS(468),
    [anon_sym_private] = ACTIONS(468),
    [anon_sym_abstract] = ACTIONS(468),
    [anon_sym_strictfp] = ACTIONS(468),
    [anon_sym_native] = ACTIONS(468),
    [anon_sym_transient] = ACTIONS(468),
    [anon_sym_volatile] = ACTIONS(468),
    [anon_sym_sealed] = ACTIONS(468),
    [anon_sym_non_DASHsealed] = ACTIONS(466),
    [anon_sym_record] = ACTIONS(468),
    [anon_sym_ATinterface] = ACTIONS(466),
    [anon_sym_interface] = ACTIONS(468),
    [anon_sym_byte] = ACTIONS(468),
    [anon_sym_short] = ACTIONS(468),
    [anon_sym_int] = ACTIONS(468),
    [anon_sym_long] = ACTIONS(468),
    [anon_sym_char] = ACTIONS(468),
    [anon_sym_float] = ACTIONS(468),
    [anon_sym_double] = ACTIONS(468),
    [sym_boolean_type] = ACTIONS(468),
    [sym_void_type] = ACTIONS(468),
    [sym_this] = ACTIONS(468),
    [sym_super] = ACTIONS(468),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [160] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(628),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [161] = {
    [ts_builtin_sym_end] = ACTIONS(470),
    [sym_identifier] = ACTIONS(472),
    [sym_decimal_integer_literal] = ACTIONS(472),
    [sym_hex_integer_literal] = ACTIONS(472),
    [sym_octal_integer_literal] = ACTIONS(470),
    [sym_binary_integer_literal] = ACTIONS(470),
    [sym_decimal_floating_point_literal] = ACTIONS(470),
    [sym_hex_floating_point_literal] = ACTIONS(472),
    [sym_true] = ACTIONS(472),
    [sym_false] = ACTIONS(472),
    [sym_character_literal] = ACTIONS(470),
    [anon_sym_DQUOTE] = ACTIONS(472),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(470),
    [sym_null_literal] = ACTIONS(472),
    [anon_sym_LPAREN] = ACTIONS(470),
    [anon_sym_LT] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_final] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_TILDE] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(470),
    [anon_sym_DASH_DASH] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(472),
    [anon_sym_class] = ACTIONS(472),
    [anon_sym_switch] = ACTIONS(472),
    [anon_sym_LBRACE] = ACTIONS(470),
    [anon_sym_RBRACE] = ACTIONS(470),
    [anon_sym_case] = ACTIONS(472),
    [anon_sym_default] = ACTIONS(472),
    [anon_sym_SEMI] = ACTIONS(470),
    [anon_sym_assert] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(472),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_break] = ACTIONS(472),
    [anon_sym_continue] = ACTIONS(472),
    [anon_sym_return] = ACTIONS(472),
    [anon_sym_yield] = ACTIONS(472),
    [anon_sym_synchronized] = ACTIONS(472),
    [anon_sym_throw] = ACTIONS(472),
    [anon_sym_try] = ACTIONS(472),
    [anon_sym_if] = ACTIONS(472),
    [anon_sym_else] = ACTIONS(472),
    [anon_sym_for] = ACTIONS(472),
    [anon_sym_AT] = ACTIONS(472),
    [anon_sym_open] = ACTIONS(472),
    [anon_sym_module] = ACTIONS(472),
    [anon_sym_static] = ACTIONS(472),
    [anon_sym_package] = ACTIONS(472),
    [anon_sym_import] = ACTIONS(472),
    [anon_sym_enum] = ACTIONS(472),
    [anon_sym_public] = ACTIONS(472),
    [anon_sym_protected] = ACTIONS(472),
    [anon_sym_private] = ACTIONS(472),
    [anon_sym_abstract] = ACTIONS(472),
    [anon_sym_strictfp] = ACTIONS(472),
    [anon_sym_native] = ACTIONS(472),
    [anon_sym_transient] = ACTIONS(472),
    [anon_sym_volatile] = ACTIONS(472),
    [anon_sym_sealed] = ACTIONS(472),
    [anon_sym_non_DASHsealed] = ACTIONS(470),
    [anon_sym_record] = ACTIONS(472),
    [anon_sym_ATinterface] = ACTIONS(470),
    [anon_sym_interface] = ACTIONS(472),
    [anon_sym_byte] = ACTIONS(472),
    [anon_sym_short] = ACTIONS(472),
    [anon_sym_int] = ACTIONS(472),
    [anon_sym_long] = ACTIONS(472),
    [anon_sym_char] = ACTIONS(472),
    [anon_sym_float] = ACTIONS(472),
    [anon_sym_double] = ACTIONS(472),
    [sym_boolean_type] = ACTIONS(472),
    [sym_void_type] = ACTIONS(472),
    [sym_this] = ACTIONS(472),
    [sym_super] = ACTIONS(472),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [162] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(610),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [163] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(509),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [164] = {
    [ts_builtin_sym_end] = ACTIONS(474),
    [sym_identifier] = ACTIONS(476),
    [sym_decimal_integer_literal] = ACTIONS(476),
    [sym_hex_integer_literal] = ACTIONS(476),
    [sym_octal_integer_literal] = ACTIONS(474),
    [sym_binary_integer_literal] = ACTIONS(474),
    [sym_decimal_floating_point_literal] = ACTIONS(474),
    [sym_hex_floating_point_literal] = ACTIONS(476),
    [sym_true] = ACTIONS(476),
    [sym_false] = ACTIONS(476),
    [sym_character_literal] = ACTIONS(474),
    [anon_sym_DQUOTE] = ACTIONS(476),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(474),
    [sym_null_literal] = ACTIONS(476),
    [anon_sym_LPAREN] = ACTIONS(474),
    [anon_sym_LT] = ACTIONS(474),
    [anon_sym_PLUS] = ACTIONS(476),
    [anon_sym_DASH] = ACTIONS(476),
    [anon_sym_final] = ACTIONS(476),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [anon_sym_new] = ACTIONS(476),
    [anon_sym_class] = ACTIONS(476),
    [anon_sym_switch] = ACTIONS(476),
    [anon_sym_LBRACE] = ACTIONS(474),
    [anon_sym_RBRACE] = ACTIONS(474),
    [anon_sym_case] = ACTIONS(476),
    [anon_sym_default] = ACTIONS(476),
    [anon_sym_SEMI] = ACTIONS(474),
    [anon_sym_assert] = ACTIONS(476),
    [anon_sym_do] = ACTIONS(476),
    [anon_sym_while] = ACTIONS(476),
    [anon_sym_break] = ACTIONS(476),
    [anon_sym_continue] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(476),
    [anon_sym_yield] = ACTIONS(476),
    [anon_sym_synchronized] = ACTIONS(476),
    [anon_sym_throw] = ACTIONS(476),
    [anon_sym_try] = ACTIONS(476),
    [anon_sym_if] = ACTIONS(476),
    [anon_sym_else] = ACTIONS(476),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_AT] = ACTIONS(476),
    [anon_sym_open] = ACTIONS(476),
    [anon_sym_module] = ACTIONS(476),
    [anon_sym_static] = ACTIONS(476),
    [anon_sym_package] = ACTIONS(476),
    [anon_sym_import] = ACTIONS(476),
    [anon_sym_enum] = ACTIONS(476),
    [anon_sym_public] = ACTIONS(476),
    [anon_sym_protected] = ACTIONS(476),
    [anon_sym_private] = ACTIONS(476),
    [anon_sym_abstract] = ACTIONS(476),
    [anon_sym_strictfp] = ACTIONS(476),
    [anon_sym_native] = ACTIONS(476),
    [anon_sym_transient] = ACTIONS(476),
    [anon_sym_volatile] = ACTIONS(476),
    [anon_sym_sealed] = ACTIONS(476),
    [anon_sym_non_DASHsealed] = ACTIONS(474),
    [anon_sym_record] = ACTIONS(476),
    [anon_sym_ATinterface] = ACTIONS(474),
    [anon_sym_interface] = ACTIONS(476),
    [anon_sym_byte] = ACTIONS(476),
    [anon_sym_short] = ACTIONS(476),
    [anon_sym_int] = ACTIONS(476),
    [anon_sym_long] = ACTIONS(476),
    [anon_sym_char] = ACTIONS(476),
    [anon_sym_float] = ACTIONS(476),
    [anon_sym_double] = ACTIONS(476),
    [sym_boolean_type] = ACTIONS(476),
    [sym_void_type] = ACTIONS(476),
    [sym_this] = ACTIONS(476),
    [sym_super] = ACTIONS(476),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [165] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(512),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [166] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(552),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1244),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(397),
    [sym_array_access] = STATE(397),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1244),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(374),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(376),
    [anon_sym_PLUS] = ACTIONS(378),
    [anon_sym_DASH] = ACTIONS(378),
    [anon_sym_BANG] = ACTIONS(380),
    [anon_sym_TILDE] = ACTIONS(380),
    [anon_sym_PLUS_PLUS] = ACTIONS(382),
    [anon_sym_DASH_DASH] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(384),
    [anon_sym_module] = ACTIONS(384),
    [anon_sym_record] = ACTIONS(384),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [167] = {
    [ts_builtin_sym_end] = ACTIONS(478),
    [sym_identifier] = ACTIONS(480),
    [sym_decimal_integer_literal] = ACTIONS(480),
    [sym_hex_integer_literal] = ACTIONS(480),
    [sym_octal_integer_literal] = ACTIONS(478),
    [sym_binary_integer_literal] = ACTIONS(478),
    [sym_decimal_floating_point_literal] = ACTIONS(478),
    [sym_hex_floating_point_literal] = ACTIONS(480),
    [sym_true] = ACTIONS(480),
    [sym_false] = ACTIONS(480),
    [sym_character_literal] = ACTIONS(478),
    [anon_sym_DQUOTE] = ACTIONS(480),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(478),
    [sym_null_literal] = ACTIONS(480),
    [anon_sym_LPAREN] = ACTIONS(478),
    [anon_sym_LT] = ACTIONS(478),
    [anon_sym_PLUS] = ACTIONS(480),
    [anon_sym_DASH] = ACTIONS(480),
    [anon_sym_final] = ACTIONS(480),
    [anon_sym_BANG] = ACTIONS(478),
    [anon_sym_TILDE] = ACTIONS(478),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [anon_sym_new] = ACTIONS(480),
    [anon_sym_class] = ACTIONS(480),
    [anon_sym_switch] = ACTIONS(480),
    [anon_sym_LBRACE] = ACTIONS(478),
    [anon_sym_RBRACE] = ACTIONS(478),
    [anon_sym_case] = ACTIONS(480),
    [anon_sym_default] = ACTIONS(480),
    [anon_sym_SEMI] = ACTIONS(478),
    [anon_sym_assert] = ACTIONS(480),
    [anon_sym_do] = ACTIONS(480),
    [anon_sym_while] = ACTIONS(480),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(480),
    [anon_sym_return] = ACTIONS(480),
    [anon_sym_yield] = ACTIONS(480),
    [anon_sym_synchronized] = ACTIONS(480),
    [anon_sym_throw] = ACTIONS(480),
    [anon_sym_try] = ACTIONS(480),
    [anon_sym_if] = ACTIONS(480),
    [anon_sym_else] = ACTIONS(480),
    [anon_sym_for] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(480),
    [anon_sym_open] = ACTIONS(480),
    [anon_sym_module] = ACTIONS(480),
    [anon_sym_static] = ACTIONS(480),
    [anon_sym_package] = ACTIONS(480),
    [anon_sym_import] = ACTIONS(480),
    [anon_sym_enum] = ACTIONS(480),
    [anon_sym_public] = ACTIONS(480),
    [anon_sym_protected] = ACTIONS(480),
    [anon_sym_private] = ACTIONS(480),
    [anon_sym_abstract] = ACTIONS(480),
    [anon_sym_strictfp] = ACTIONS(480),
    [anon_sym_native] = ACTIONS(480),
    [anon_sym_transient] = ACTIONS(480),
    [anon_sym_volatile] = ACTIONS(480),
    [anon_sym_sealed] = ACTIONS(480),
    [anon_sym_non_DASHsealed] = ACTIONS(478),
    [anon_sym_record] = ACTIONS(480),
    [anon_sym_ATinterface] = ACTIONS(478),
    [anon_sym_interface] = ACTIONS(480),
    [anon_sym_byte] = ACTIONS(480),
    [anon_sym_short] = ACTIONS(480),
    [anon_sym_int] = ACTIONS(480),
    [anon_sym_long] = ACTIONS(480),
    [anon_sym_char] = ACTIONS(480),
    [anon_sym_float] = ACTIONS(480),
    [anon_sym_double] = ACTIONS(480),
    [sym_boolean_type] = ACTIONS(480),
    [sym_void_type] = ACTIONS(480),
    [sym_this] = ACTIONS(480),
    [sym_super] = ACTIONS(480),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [168] = {
    [ts_builtin_sym_end] = ACTIONS(482),
    [sym_identifier] = ACTIONS(484),
    [sym_decimal_integer_literal] = ACTIONS(484),
    [sym_hex_integer_literal] = ACTIONS(484),
    [sym_octal_integer_literal] = ACTIONS(482),
    [sym_binary_integer_literal] = ACTIONS(482),
    [sym_decimal_floating_point_literal] = ACTIONS(482),
    [sym_hex_floating_point_literal] = ACTIONS(484),
    [sym_true] = ACTIONS(484),
    [sym_false] = ACTIONS(484),
    [sym_character_literal] = ACTIONS(482),
    [anon_sym_DQUOTE] = ACTIONS(484),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(482),
    [sym_null_literal] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(482),
    [anon_sym_LT] = ACTIONS(482),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_final] = ACTIONS(484),
    [anon_sym_BANG] = ACTIONS(482),
    [anon_sym_TILDE] = ACTIONS(482),
    [anon_sym_PLUS_PLUS] = ACTIONS(482),
    [anon_sym_DASH_DASH] = ACTIONS(482),
    [anon_sym_new] = ACTIONS(484),
    [anon_sym_class] = ACTIONS(484),
    [anon_sym_switch] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(482),
    [anon_sym_RBRACE] = ACTIONS(482),
    [anon_sym_case] = ACTIONS(484),
    [anon_sym_default] = ACTIONS(484),
    [anon_sym_SEMI] = ACTIONS(482),
    [anon_sym_assert] = ACTIONS(484),
    [anon_sym_do] = ACTIONS(484),
    [anon_sym_while] = ACTIONS(484),
    [anon_sym_break] = ACTIONS(484),
    [anon_sym_continue] = ACTIONS(484),
    [anon_sym_return] = ACTIONS(484),
    [anon_sym_yield] = ACTIONS(484),
    [anon_sym_synchronized] = ACTIONS(484),
    [anon_sym_throw] = ACTIONS(484),
    [anon_sym_try] = ACTIONS(484),
    [anon_sym_if] = ACTIONS(484),
    [anon_sym_else] = ACTIONS(484),
    [anon_sym_for] = ACTIONS(484),
    [anon_sym_AT] = ACTIONS(484),
    [anon_sym_open] = ACTIONS(484),
    [anon_sym_module] = ACTIONS(484),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_package] = ACTIONS(484),
    [anon_sym_import] = ACTIONS(484),
    [anon_sym_enum] = ACTIONS(484),
    [anon_sym_public] = ACTIONS(484),
    [anon_sym_protected] = ACTIONS(484),
    [anon_sym_private] = ACTIONS(484),
    [anon_sym_abstract] = ACTIONS(484),
    [anon_sym_strictfp] = ACTIONS(484),
    [anon_sym_native] = ACTIONS(484),
    [anon_sym_transient] = ACTIONS(484),
    [anon_sym_volatile] = ACTIONS(484),
    [anon_sym_sealed] = ACTIONS(484),
    [anon_sym_non_DASHsealed] = ACTIONS(482),
    [anon_sym_record] = ACTIONS(484),
    [anon_sym_ATinterface] = ACTIONS(482),
    [anon_sym_interface] = ACTIONS(484),
    [anon_sym_byte] = ACTIONS(484),
    [anon_sym_short] = ACTIONS(484),
    [anon_sym_int] = ACTIONS(484),
    [anon_sym_long] = ACTIONS(484),
    [anon_sym_char] = ACTIONS(484),
    [anon_sym_float] = ACTIONS(484),
    [anon_sym_double] = ACTIONS(484),
    [sym_boolean_type] = ACTIONS(484),
    [sym_void_type] = ACTIONS(484),
    [sym_this] = ACTIONS(484),
    [sym_super] = ACTIONS(484),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [169] = {
    [ts_builtin_sym_end] = ACTIONS(486),
    [sym_identifier] = ACTIONS(488),
    [sym_decimal_integer_literal] = ACTIONS(488),
    [sym_hex_integer_literal] = ACTIONS(488),
    [sym_octal_integer_literal] = ACTIONS(486),
    [sym_binary_integer_literal] = ACTIONS(486),
    [sym_decimal_floating_point_literal] = ACTIONS(486),
    [sym_hex_floating_point_literal] = ACTIONS(488),
    [sym_true] = ACTIONS(488),
    [sym_false] = ACTIONS(488),
    [sym_character_literal] = ACTIONS(486),
    [anon_sym_DQUOTE] = ACTIONS(488),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(486),
    [sym_null_literal] = ACTIONS(488),
    [anon_sym_LPAREN] = ACTIONS(486),
    [anon_sym_LT] = ACTIONS(486),
    [anon_sym_PLUS] = ACTIONS(488),
    [anon_sym_DASH] = ACTIONS(488),
    [anon_sym_final] = ACTIONS(488),
    [anon_sym_BANG] = ACTIONS(486),
    [anon_sym_TILDE] = ACTIONS(486),
    [anon_sym_PLUS_PLUS] = ACTIONS(486),
    [anon_sym_DASH_DASH] = ACTIONS(486),
    [anon_sym_new] = ACTIONS(488),
    [anon_sym_class] = ACTIONS(488),
    [anon_sym_switch] = ACTIONS(488),
    [anon_sym_LBRACE] = ACTIONS(486),
    [anon_sym_RBRACE] = ACTIONS(486),
    [anon_sym_case] = ACTIONS(488),
    [anon_sym_default] = ACTIONS(488),
    [anon_sym_SEMI] = ACTIONS(486),
    [anon_sym_assert] = ACTIONS(488),
    [anon_sym_do] = ACTIONS(488),
    [anon_sym_while] = ACTIONS(488),
    [anon_sym_break] = ACTIONS(488),
    [anon_sym_continue] = ACTIONS(488),
    [anon_sym_return] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_synchronized] = ACTIONS(488),
    [anon_sym_throw] = ACTIONS(488),
    [anon_sym_try] = ACTIONS(488),
    [anon_sym_if] = ACTIONS(488),
    [anon_sym_else] = ACTIONS(488),
    [anon_sym_for] = ACTIONS(488),
    [anon_sym_AT] = ACTIONS(488),
    [anon_sym_open] = ACTIONS(488),
    [anon_sym_module] = ACTIONS(488),
    [anon_sym_static] = ACTIONS(488),
    [anon_sym_package] = ACTIONS(488),
    [anon_sym_import] = ACTIONS(488),
    [anon_sym_enum] = ACTIONS(488),
    [anon_sym_public] = ACTIONS(488),
    [anon_sym_protected] = ACTIONS(488),
    [anon_sym_private] = ACTIONS(488),
    [anon_sym_abstract] = ACTIONS(488),
    [anon_sym_strictfp] = ACTIONS(488),
    [anon_sym_native] = ACTIONS(488),
    [anon_sym_transient] = ACTIONS(488),
    [anon_sym_volatile] = ACTIONS(488),
    [anon_sym_sealed] = ACTIONS(488),
    [anon_sym_non_DASHsealed] = ACTIONS(486),
    [anon_sym_record] = ACTIONS(488),
    [anon_sym_ATinterface] = ACTIONS(486),
    [anon_sym_interface] = ACTIONS(488),
    [anon_sym_byte] = ACTIONS(488),
    [anon_sym_short] = ACTIONS(488),
    [anon_sym_int] = ACTIONS(488),
    [anon_sym_long] = ACTIONS(488),
    [anon_sym_char] = ACTIONS(488),
    [anon_sym_float] = ACTIONS(488),
    [anon_sym_double] = ACTIONS(488),
    [sym_boolean_type] = ACTIONS(488),
    [sym_void_type] = ACTIONS(488),
    [sym_this] = ACTIONS(488),
    [sym_super] = ACTIONS(488),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [170] = {
    [ts_builtin_sym_end] = ACTIONS(490),
    [sym_identifier] = ACTIONS(492),
    [sym_decimal_integer_literal] = ACTIONS(492),
    [sym_hex_integer_literal] = ACTIONS(492),
    [sym_octal_integer_literal] = ACTIONS(490),
    [sym_binary_integer_literal] = ACTIONS(490),
    [sym_decimal_floating_point_literal] = ACTIONS(490),
    [sym_hex_floating_point_literal] = ACTIONS(492),
    [sym_true] = ACTIONS(492),
    [sym_false] = ACTIONS(492),
    [sym_character_literal] = ACTIONS(490),
    [anon_sym_DQUOTE] = ACTIONS(492),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(490),
    [sym_null_literal] = ACTIONS(492),
    [anon_sym_LPAREN] = ACTIONS(490),
    [anon_sym_LT] = ACTIONS(490),
    [anon_sym_PLUS] = ACTIONS(492),
    [anon_sym_DASH] = ACTIONS(492),
    [anon_sym_final] = ACTIONS(492),
    [anon_sym_BANG] = ACTIONS(490),
    [anon_sym_TILDE] = ACTIONS(490),
    [anon_sym_PLUS_PLUS] = ACTIONS(490),
    [anon_sym_DASH_DASH] = ACTIONS(490),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_class] = ACTIONS(492),
    [anon_sym_switch] = ACTIONS(492),
    [anon_sym_LBRACE] = ACTIONS(490),
    [anon_sym_RBRACE] = ACTIONS(490),
    [anon_sym_case] = ACTIONS(492),
    [anon_sym_default] = ACTIONS(492),
    [anon_sym_SEMI] = ACTIONS(490),
    [anon_sym_assert] = ACTIONS(492),
    [anon_sym_do] = ACTIONS(492),
    [anon_sym_while] = ACTIONS(492),
    [anon_sym_break] = ACTIONS(492),
    [anon_sym_continue] = ACTIONS(492),
    [anon_sym_return] = ACTIONS(492),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_synchronized] = ACTIONS(492),
    [anon_sym_throw] = ACTIONS(492),
    [anon_sym_try] = ACTIONS(492),
    [anon_sym_if] = ACTIONS(492),
    [anon_sym_else] = ACTIONS(492),
    [anon_sym_for] = ACTIONS(492),
    [anon_sym_AT] = ACTIONS(492),
    [anon_sym_open] = ACTIONS(492),
    [anon_sym_module] = ACTIONS(492),
    [anon_sym_static] = ACTIONS(492),
    [anon_sym_package] = ACTIONS(492),
    [anon_sym_import] = ACTIONS(492),
    [anon_sym_enum] = ACTIONS(492),
    [anon_sym_public] = ACTIONS(492),
    [anon_sym_protected] = ACTIONS(492),
    [anon_sym_private] = ACTIONS(492),
    [anon_sym_abstract] = ACTIONS(492),
    [anon_sym_strictfp] = ACTIONS(492),
    [anon_sym_native] = ACTIONS(492),
    [anon_sym_transient] = ACTIONS(492),
    [anon_sym_volatile] = ACTIONS(492),
    [anon_sym_sealed] = ACTIONS(492),
    [anon_sym_non_DASHsealed] = ACTIONS(490),
    [anon_sym_record] = ACTIONS(492),
    [anon_sym_ATinterface] = ACTIONS(490),
    [anon_sym_interface] = ACTIONS(492),
    [anon_sym_byte] = ACTIONS(492),
    [anon_sym_short] = ACTIONS(492),
    [anon_sym_int] = ACTIONS(492),
    [anon_sym_long] = ACTIONS(492),
    [anon_sym_char] = ACTIONS(492),
    [anon_sym_float] = ACTIONS(492),
    [anon_sym_double] = ACTIONS(492),
    [sym_boolean_type] = ACTIONS(492),
    [sym_void_type] = ACTIONS(492),
    [sym_this] = ACTIONS(492),
    [sym_super] = ACTIONS(492),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [171] = {
    [ts_builtin_sym_end] = ACTIONS(494),
    [sym_identifier] = ACTIONS(496),
    [sym_decimal_integer_literal] = ACTIONS(496),
    [sym_hex_integer_literal] = ACTIONS(496),
    [sym_octal_integer_literal] = ACTIONS(494),
    [sym_binary_integer_literal] = ACTIONS(494),
    [sym_decimal_floating_point_literal] = ACTIONS(494),
    [sym_hex_floating_point_literal] = ACTIONS(496),
    [sym_true] = ACTIONS(496),
    [sym_false] = ACTIONS(496),
    [sym_character_literal] = ACTIONS(494),
    [anon_sym_DQUOTE] = ACTIONS(496),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(494),
    [sym_null_literal] = ACTIONS(496),
    [anon_sym_LPAREN] = ACTIONS(494),
    [anon_sym_LT] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_final] = ACTIONS(496),
    [anon_sym_BANG] = ACTIONS(494),
    [anon_sym_TILDE] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(494),
    [anon_sym_DASH_DASH] = ACTIONS(494),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_class] = ACTIONS(496),
    [anon_sym_switch] = ACTIONS(496),
    [anon_sym_LBRACE] = ACTIONS(494),
    [anon_sym_RBRACE] = ACTIONS(494),
    [anon_sym_case] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(496),
    [anon_sym_SEMI] = ACTIONS(494),
    [anon_sym_assert] = ACTIONS(496),
    [anon_sym_do] = ACTIONS(496),
    [anon_sym_while] = ACTIONS(496),
    [anon_sym_break] = ACTIONS(496),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_return] = ACTIONS(496),
    [anon_sym_yield] = ACTIONS(496),
    [anon_sym_synchronized] = ACTIONS(496),
    [anon_sym_throw] = ACTIONS(496),
    [anon_sym_try] = ACTIONS(496),
    [anon_sym_if] = ACTIONS(496),
    [anon_sym_else] = ACTIONS(496),
    [anon_sym_for] = ACTIONS(496),
    [anon_sym_AT] = ACTIONS(496),
    [anon_sym_open] = ACTIONS(496),
    [anon_sym_module] = ACTIONS(496),
    [anon_sym_static] = ACTIONS(496),
    [anon_sym_package] = ACTIONS(496),
    [anon_sym_import] = ACTIONS(496),
    [anon_sym_enum] = ACTIONS(496),
    [anon_sym_public] = ACTIONS(496),
    [anon_sym_protected] = ACTIONS(496),
    [anon_sym_private] = ACTIONS(496),
    [anon_sym_abstract] = ACTIONS(496),
    [anon_sym_strictfp] = ACTIONS(496),
    [anon_sym_native] = ACTIONS(496),
    [anon_sym_transient] = ACTIONS(496),
    [anon_sym_volatile] = ACTIONS(496),
    [anon_sym_sealed] = ACTIONS(496),
    [anon_sym_non_DASHsealed] = ACTIONS(494),
    [anon_sym_record] = ACTIONS(496),
    [anon_sym_ATinterface] = ACTIONS(494),
    [anon_sym_interface] = ACTIONS(496),
    [anon_sym_byte] = ACTIONS(496),
    [anon_sym_short] = ACTIONS(496),
    [anon_sym_int] = ACTIONS(496),
    [anon_sym_long] = ACTIONS(496),
    [anon_sym_char] = ACTIONS(496),
    [anon_sym_float] = ACTIONS(496),
    [anon_sym_double] = ACTIONS(496),
    [sym_boolean_type] = ACTIONS(496),
    [sym_void_type] = ACTIONS(496),
    [sym_this] = ACTIONS(496),
    [sym_super] = ACTIONS(496),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [172] = {
    [ts_builtin_sym_end] = ACTIONS(498),
    [sym_identifier] = ACTIONS(500),
    [sym_decimal_integer_literal] = ACTIONS(500),
    [sym_hex_integer_literal] = ACTIONS(500),
    [sym_octal_integer_literal] = ACTIONS(498),
    [sym_binary_integer_literal] = ACTIONS(498),
    [sym_decimal_floating_point_literal] = ACTIONS(498),
    [sym_hex_floating_point_literal] = ACTIONS(500),
    [sym_true] = ACTIONS(500),
    [sym_false] = ACTIONS(500),
    [sym_character_literal] = ACTIONS(498),
    [anon_sym_DQUOTE] = ACTIONS(500),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(498),
    [sym_null_literal] = ACTIONS(500),
    [anon_sym_LPAREN] = ACTIONS(498),
    [anon_sym_LT] = ACTIONS(498),
    [anon_sym_PLUS] = ACTIONS(500),
    [anon_sym_DASH] = ACTIONS(500),
    [anon_sym_final] = ACTIONS(500),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(498),
    [anon_sym_DASH_DASH] = ACTIONS(498),
    [anon_sym_new] = ACTIONS(500),
    [anon_sym_class] = ACTIONS(500),
    [anon_sym_switch] = ACTIONS(500),
    [anon_sym_LBRACE] = ACTIONS(498),
    [anon_sym_RBRACE] = ACTIONS(498),
    [anon_sym_case] = ACTIONS(500),
    [anon_sym_default] = ACTIONS(500),
    [anon_sym_SEMI] = ACTIONS(498),
    [anon_sym_assert] = ACTIONS(500),
    [anon_sym_do] = ACTIONS(500),
    [anon_sym_while] = ACTIONS(500),
    [anon_sym_break] = ACTIONS(500),
    [anon_sym_continue] = ACTIONS(500),
    [anon_sym_return] = ACTIONS(500),
    [anon_sym_yield] = ACTIONS(500),
    [anon_sym_synchronized] = ACTIONS(500),
    [anon_sym_throw] = ACTIONS(500),
    [anon_sym_try] = ACTIONS(500),
    [anon_sym_if] = ACTIONS(500),
    [anon_sym_else] = ACTIONS(500),
    [anon_sym_for] = ACTIONS(500),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_open] = ACTIONS(500),
    [anon_sym_module] = ACTIONS(500),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_package] = ACTIONS(500),
    [anon_sym_import] = ACTIONS(500),
    [anon_sym_enum] = ACTIONS(500),
    [anon_sym_public] = ACTIONS(500),
    [anon_sym_protected] = ACTIONS(500),
    [anon_sym_private] = ACTIONS(500),
    [anon_sym_abstract] = ACTIONS(500),
    [anon_sym_strictfp] = ACTIONS(500),
    [anon_sym_native] = ACTIONS(500),
    [anon_sym_transient] = ACTIONS(500),
    [anon_sym_volatile] = ACTIONS(500),
    [anon_sym_sealed] = ACTIONS(500),
    [anon_sym_non_DASHsealed] = ACTIONS(498),
    [anon_sym_record] = ACTIONS(500),
    [anon_sym_ATinterface] = ACTIONS(498),
    [anon_sym_interface] = ACTIONS(500),
    [anon_sym_byte] = ACTIONS(500),
    [anon_sym_short] = ACTIONS(500),
    [anon_sym_int] = ACTIONS(500),
    [anon_sym_long] = ACTIONS(500),
    [anon_sym_char] = ACTIONS(500),
    [anon_sym_float] = ACTIONS(500),
    [anon_sym_double] = ACTIONS(500),
    [sym_boolean_type] = ACTIONS(500),
    [sym_void_type] = ACTIONS(500),
    [sym_this] = ACTIONS(500),
    [sym_super] = ACTIONS(500),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [173] = {
    [ts_builtin_sym_end] = ACTIONS(502),
    [sym_identifier] = ACTIONS(504),
    [sym_decimal_integer_literal] = ACTIONS(504),
    [sym_hex_integer_literal] = ACTIONS(504),
    [sym_octal_integer_literal] = ACTIONS(502),
    [sym_binary_integer_literal] = ACTIONS(502),
    [sym_decimal_floating_point_literal] = ACTIONS(502),
    [sym_hex_floating_point_literal] = ACTIONS(504),
    [sym_true] = ACTIONS(504),
    [sym_false] = ACTIONS(504),
    [sym_character_literal] = ACTIONS(502),
    [anon_sym_DQUOTE] = ACTIONS(504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(502),
    [sym_null_literal] = ACTIONS(504),
    [anon_sym_LPAREN] = ACTIONS(502),
    [anon_sym_LT] = ACTIONS(502),
    [anon_sym_PLUS] = ACTIONS(504),
    [anon_sym_DASH] = ACTIONS(504),
    [anon_sym_final] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(502),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [anon_sym_new] = ACTIONS(504),
    [anon_sym_class] = ACTIONS(504),
    [anon_sym_switch] = ACTIONS(504),
    [anon_sym_LBRACE] = ACTIONS(502),
    [anon_sym_RBRACE] = ACTIONS(502),
    [anon_sym_case] = ACTIONS(504),
    [anon_sym_default] = ACTIONS(504),
    [anon_sym_SEMI] = ACTIONS(502),
    [anon_sym_assert] = ACTIONS(504),
    [anon_sym_do] = ACTIONS(504),
    [anon_sym_while] = ACTIONS(504),
    [anon_sym_break] = ACTIONS(504),
    [anon_sym_continue] = ACTIONS(504),
    [anon_sym_return] = ACTIONS(504),
    [anon_sym_yield] = ACTIONS(504),
    [anon_sym_synchronized] = ACTIONS(504),
    [anon_sym_throw] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(504),
    [anon_sym_if] = ACTIONS(504),
    [anon_sym_else] = ACTIONS(504),
    [anon_sym_for] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(504),
    [anon_sym_open] = ACTIONS(504),
    [anon_sym_module] = ACTIONS(504),
    [anon_sym_static] = ACTIONS(504),
    [anon_sym_package] = ACTIONS(504),
    [anon_sym_import] = ACTIONS(504),
    [anon_sym_enum] = ACTIONS(504),
    [anon_sym_public] = ACTIONS(504),
    [anon_sym_protected] = ACTIONS(504),
    [anon_sym_private] = ACTIONS(504),
    [anon_sym_abstract] = ACTIONS(504),
    [anon_sym_strictfp] = ACTIONS(504),
    [anon_sym_native] = ACTIONS(504),
    [anon_sym_transient] = ACTIONS(504),
    [anon_sym_volatile] = ACTIONS(504),
    [anon_sym_sealed] = ACTIONS(504),
    [anon_sym_non_DASHsealed] = ACTIONS(502),
    [anon_sym_record] = ACTIONS(504),
    [anon_sym_ATinterface] = ACTIONS(502),
    [anon_sym_interface] = ACTIONS(504),
    [anon_sym_byte] = ACTIONS(504),
    [anon_sym_short] = ACTIONS(504),
    [anon_sym_int] = ACTIONS(504),
    [anon_sym_long] = ACTIONS(504),
    [anon_sym_char] = ACTIONS(504),
    [anon_sym_float] = ACTIONS(504),
    [anon_sym_double] = ACTIONS(504),
    [sym_boolean_type] = ACTIONS(504),
    [sym_void_type] = ACTIONS(504),
    [sym_this] = ACTIONS(504),
    [sym_super] = ACTIONS(504),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [174] = {
    [ts_builtin_sym_end] = ACTIONS(506),
    [sym_identifier] = ACTIONS(508),
    [sym_decimal_integer_literal] = ACTIONS(508),
    [sym_hex_integer_literal] = ACTIONS(508),
    [sym_octal_integer_literal] = ACTIONS(506),
    [sym_binary_integer_literal] = ACTIONS(506),
    [sym_decimal_floating_point_literal] = ACTIONS(506),
    [sym_hex_floating_point_literal] = ACTIONS(508),
    [sym_true] = ACTIONS(508),
    [sym_false] = ACTIONS(508),
    [sym_character_literal] = ACTIONS(506),
    [anon_sym_DQUOTE] = ACTIONS(508),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(506),
    [sym_null_literal] = ACTIONS(508),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(506),
    [anon_sym_PLUS] = ACTIONS(508),
    [anon_sym_DASH] = ACTIONS(508),
    [anon_sym_final] = ACTIONS(508),
    [anon_sym_BANG] = ACTIONS(506),
    [anon_sym_TILDE] = ACTIONS(506),
    [anon_sym_PLUS_PLUS] = ACTIONS(506),
    [anon_sym_DASH_DASH] = ACTIONS(506),
    [anon_sym_new] = ACTIONS(508),
    [anon_sym_class] = ACTIONS(508),
    [anon_sym_switch] = ACTIONS(508),
    [anon_sym_LBRACE] = ACTIONS(506),
    [anon_sym_RBRACE] = ACTIONS(506),
    [anon_sym_case] = ACTIONS(508),
    [anon_sym_default] = ACTIONS(508),
    [anon_sym_SEMI] = ACTIONS(506),
    [anon_sym_assert] = ACTIONS(508),
    [anon_sym_do] = ACTIONS(508),
    [anon_sym_while] = ACTIONS(508),
    [anon_sym_break] = ACTIONS(508),
    [anon_sym_continue] = ACTIONS(508),
    [anon_sym_return] = ACTIONS(508),
    [anon_sym_yield] = ACTIONS(508),
    [anon_sym_synchronized] = ACTIONS(508),
    [anon_sym_throw] = ACTIONS(508),
    [anon_sym_try] = ACTIONS(508),
    [anon_sym_if] = ACTIONS(508),
    [anon_sym_else] = ACTIONS(508),
    [anon_sym_for] = ACTIONS(508),
    [anon_sym_AT] = ACTIONS(508),
    [anon_sym_open] = ACTIONS(508),
    [anon_sym_module] = ACTIONS(508),
    [anon_sym_static] = ACTIONS(508),
    [anon_sym_package] = ACTIONS(508),
    [anon_sym_import] = ACTIONS(508),
    [anon_sym_enum] = ACTIONS(508),
    [anon_sym_public] = ACTIONS(508),
    [anon_sym_protected] = ACTIONS(508),
    [anon_sym_private] = ACTIONS(508),
    [anon_sym_abstract] = ACTIONS(508),
    [anon_sym_strictfp] = ACTIONS(508),
    [anon_sym_native] = ACTIONS(508),
    [anon_sym_transient] = ACTIONS(508),
    [anon_sym_volatile] = ACTIONS(508),
    [anon_sym_sealed] = ACTIONS(508),
    [anon_sym_non_DASHsealed] = ACTIONS(506),
    [anon_sym_record] = ACTIONS(508),
    [anon_sym_ATinterface] = ACTIONS(506),
    [anon_sym_interface] = ACTIONS(508),
    [anon_sym_byte] = ACTIONS(508),
    [anon_sym_short] = ACTIONS(508),
    [anon_sym_int] = ACTIONS(508),
    [anon_sym_long] = ACTIONS(508),
    [anon_sym_char] = ACTIONS(508),
    [anon_sym_float] = ACTIONS(508),
    [anon_sym_double] = ACTIONS(508),
    [sym_boolean_type] = ACTIONS(508),
    [sym_void_type] = ACTIONS(508),
    [sym_this] = ACTIONS(508),
    [sym_super] = ACTIONS(508),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [175] = {
    [ts_builtin_sym_end] = ACTIONS(510),
    [sym_identifier] = ACTIONS(512),
    [sym_decimal_integer_literal] = ACTIONS(512),
    [sym_hex_integer_literal] = ACTIONS(512),
    [sym_octal_integer_literal] = ACTIONS(510),
    [sym_binary_integer_literal] = ACTIONS(510),
    [sym_decimal_floating_point_literal] = ACTIONS(510),
    [sym_hex_floating_point_literal] = ACTIONS(512),
    [sym_true] = ACTIONS(512),
    [sym_false] = ACTIONS(512),
    [sym_character_literal] = ACTIONS(510),
    [anon_sym_DQUOTE] = ACTIONS(512),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(510),
    [sym_null_literal] = ACTIONS(512),
    [anon_sym_LPAREN] = ACTIONS(510),
    [anon_sym_LT] = ACTIONS(510),
    [anon_sym_PLUS] = ACTIONS(512),
    [anon_sym_DASH] = ACTIONS(512),
    [anon_sym_final] = ACTIONS(512),
    [anon_sym_BANG] = ACTIONS(510),
    [anon_sym_TILDE] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(510),
    [anon_sym_DASH_DASH] = ACTIONS(510),
    [anon_sym_new] = ACTIONS(512),
    [anon_sym_class] = ACTIONS(512),
    [anon_sym_switch] = ACTIONS(512),
    [anon_sym_LBRACE] = ACTIONS(510),
    [anon_sym_RBRACE] = ACTIONS(510),
    [anon_sym_case] = ACTIONS(512),
    [anon_sym_default] = ACTIONS(512),
    [anon_sym_SEMI] = ACTIONS(510),
    [anon_sym_assert] = ACTIONS(512),
    [anon_sym_do] = ACTIONS(512),
    [anon_sym_while] = ACTIONS(512),
    [anon_sym_break] = ACTIONS(512),
    [anon_sym_continue] = ACTIONS(512),
    [anon_sym_return] = ACTIONS(512),
    [anon_sym_yield] = ACTIONS(512),
    [anon_sym_synchronized] = ACTIONS(512),
    [anon_sym_throw] = ACTIONS(512),
    [anon_sym_try] = ACTIONS(512),
    [anon_sym_if] = ACTIONS(512),
    [anon_sym_else] = ACTIONS(512),
    [anon_sym_for] = ACTIONS(512),
    [anon_sym_AT] = ACTIONS(512),
    [anon_sym_open] = ACTIONS(512),
    [anon_sym_module] = ACTIONS(512),
    [anon_sym_static] = ACTIONS(512),
    [anon_sym_package] = ACTIONS(512),
    [anon_sym_import] = ACTIONS(512),
    [anon_sym_enum] = ACTIONS(512),
    [anon_sym_public] = ACTIONS(512),
    [anon_sym_protected] = ACTIONS(512),
    [anon_sym_private] = ACTIONS(512),
    [anon_sym_abstract] = ACTIONS(512),
    [anon_sym_strictfp] = ACTIONS(512),
    [anon_sym_native] = ACTIONS(512),
    [anon_sym_transient] = ACTIONS(512),
    [anon_sym_volatile] = ACTIONS(512),
    [anon_sym_sealed] = ACTIONS(512),
    [anon_sym_non_DASHsealed] = ACTIONS(510),
    [anon_sym_record] = ACTIONS(512),
    [anon_sym_ATinterface] = ACTIONS(510),
    [anon_sym_interface] = ACTIONS(512),
    [anon_sym_byte] = ACTIONS(512),
    [anon_sym_short] = ACTIONS(512),
    [anon_sym_int] = ACTIONS(512),
    [anon_sym_long] = ACTIONS(512),
    [anon_sym_char] = ACTIONS(512),
    [anon_sym_float] = ACTIONS(512),
    [anon_sym_double] = ACTIONS(512),
    [sym_boolean_type] = ACTIONS(512),
    [sym_void_type] = ACTIONS(512),
    [sym_this] = ACTIONS(512),
    [sym_super] = ACTIONS(512),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [176] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(612),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [177] = {
    [ts_builtin_sym_end] = ACTIONS(514),
    [sym_identifier] = ACTIONS(516),
    [sym_decimal_integer_literal] = ACTIONS(516),
    [sym_hex_integer_literal] = ACTIONS(516),
    [sym_octal_integer_literal] = ACTIONS(514),
    [sym_binary_integer_literal] = ACTIONS(514),
    [sym_decimal_floating_point_literal] = ACTIONS(514),
    [sym_hex_floating_point_literal] = ACTIONS(516),
    [sym_true] = ACTIONS(516),
    [sym_false] = ACTIONS(516),
    [sym_character_literal] = ACTIONS(514),
    [anon_sym_DQUOTE] = ACTIONS(516),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(514),
    [sym_null_literal] = ACTIONS(516),
    [anon_sym_LPAREN] = ACTIONS(514),
    [anon_sym_LT] = ACTIONS(514),
    [anon_sym_PLUS] = ACTIONS(516),
    [anon_sym_DASH] = ACTIONS(516),
    [anon_sym_final] = ACTIONS(516),
    [anon_sym_BANG] = ACTIONS(514),
    [anon_sym_TILDE] = ACTIONS(514),
    [anon_sym_PLUS_PLUS] = ACTIONS(514),
    [anon_sym_DASH_DASH] = ACTIONS(514),
    [anon_sym_new] = ACTIONS(516),
    [anon_sym_class] = ACTIONS(516),
    [anon_sym_switch] = ACTIONS(516),
    [anon_sym_LBRACE] = ACTIONS(514),
    [anon_sym_RBRACE] = ACTIONS(514),
    [anon_sym_case] = ACTIONS(516),
    [anon_sym_default] = ACTIONS(516),
    [anon_sym_SEMI] = ACTIONS(514),
    [anon_sym_assert] = ACTIONS(516),
    [anon_sym_do] = ACTIONS(516),
    [anon_sym_while] = ACTIONS(516),
    [anon_sym_break] = ACTIONS(516),
    [anon_sym_continue] = ACTIONS(516),
    [anon_sym_return] = ACTIONS(516),
    [anon_sym_yield] = ACTIONS(516),
    [anon_sym_synchronized] = ACTIONS(516),
    [anon_sym_throw] = ACTIONS(516),
    [anon_sym_try] = ACTIONS(516),
    [anon_sym_if] = ACTIONS(516),
    [anon_sym_else] = ACTIONS(516),
    [anon_sym_for] = ACTIONS(516),
    [anon_sym_AT] = ACTIONS(516),
    [anon_sym_open] = ACTIONS(516),
    [anon_sym_module] = ACTIONS(516),
    [anon_sym_static] = ACTIONS(516),
    [anon_sym_package] = ACTIONS(516),
    [anon_sym_import] = ACTIONS(516),
    [anon_sym_enum] = ACTIONS(516),
    [anon_sym_public] = ACTIONS(516),
    [anon_sym_protected] = ACTIONS(516),
    [anon_sym_private] = ACTIONS(516),
    [anon_sym_abstract] = ACTIONS(516),
    [anon_sym_strictfp] = ACTIONS(516),
    [anon_sym_native] = ACTIONS(516),
    [anon_sym_transient] = ACTIONS(516),
    [anon_sym_volatile] = ACTIONS(516),
    [anon_sym_sealed] = ACTIONS(516),
    [anon_sym_non_DASHsealed] = ACTIONS(514),
    [anon_sym_record] = ACTIONS(516),
    [anon_sym_ATinterface] = ACTIONS(514),
    [anon_sym_interface] = ACTIONS(516),
    [anon_sym_byte] = ACTIONS(516),
    [anon_sym_short] = ACTIONS(516),
    [anon_sym_int] = ACTIONS(516),
    [anon_sym_long] = ACTIONS(516),
    [anon_sym_char] = ACTIONS(516),
    [anon_sym_float] = ACTIONS(516),
    [anon_sym_double] = ACTIONS(516),
    [sym_boolean_type] = ACTIONS(516),
    [sym_void_type] = ACTIONS(516),
    [sym_this] = ACTIONS(516),
    [sym_super] = ACTIONS(516),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [178] = {
    [ts_builtin_sym_end] = ACTIONS(518),
    [sym_identifier] = ACTIONS(520),
    [sym_decimal_integer_literal] = ACTIONS(520),
    [sym_hex_integer_literal] = ACTIONS(520),
    [sym_octal_integer_literal] = ACTIONS(518),
    [sym_binary_integer_literal] = ACTIONS(518),
    [sym_decimal_floating_point_literal] = ACTIONS(518),
    [sym_hex_floating_point_literal] = ACTIONS(520),
    [sym_true] = ACTIONS(520),
    [sym_false] = ACTIONS(520),
    [sym_character_literal] = ACTIONS(518),
    [anon_sym_DQUOTE] = ACTIONS(520),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(518),
    [sym_null_literal] = ACTIONS(520),
    [anon_sym_LPAREN] = ACTIONS(518),
    [anon_sym_LT] = ACTIONS(518),
    [anon_sym_PLUS] = ACTIONS(520),
    [anon_sym_DASH] = ACTIONS(520),
    [anon_sym_final] = ACTIONS(520),
    [anon_sym_BANG] = ACTIONS(518),
    [anon_sym_TILDE] = ACTIONS(518),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_new] = ACTIONS(520),
    [anon_sym_class] = ACTIONS(520),
    [anon_sym_switch] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(518),
    [anon_sym_RBRACE] = ACTIONS(518),
    [anon_sym_case] = ACTIONS(520),
    [anon_sym_default] = ACTIONS(520),
    [anon_sym_SEMI] = ACTIONS(518),
    [anon_sym_assert] = ACTIONS(520),
    [anon_sym_do] = ACTIONS(520),
    [anon_sym_while] = ACTIONS(520),
    [anon_sym_break] = ACTIONS(520),
    [anon_sym_continue] = ACTIONS(520),
    [anon_sym_return] = ACTIONS(520),
    [anon_sym_yield] = ACTIONS(520),
    [anon_sym_synchronized] = ACTIONS(520),
    [anon_sym_throw] = ACTIONS(520),
    [anon_sym_try] = ACTIONS(520),
    [anon_sym_if] = ACTIONS(520),
    [anon_sym_else] = ACTIONS(520),
    [anon_sym_for] = ACTIONS(520),
    [anon_sym_AT] = ACTIONS(520),
    [anon_sym_open] = ACTIONS(520),
    [anon_sym_module] = ACTIONS(520),
    [anon_sym_static] = ACTIONS(520),
    [anon_sym_package] = ACTIONS(520),
    [anon_sym_import] = ACTIONS(520),
    [anon_sym_enum] = ACTIONS(520),
    [anon_sym_public] = ACTIONS(520),
    [anon_sym_protected] = ACTIONS(520),
    [anon_sym_private] = ACTIONS(520),
    [anon_sym_abstract] = ACTIONS(520),
    [anon_sym_strictfp] = ACTIONS(520),
    [anon_sym_native] = ACTIONS(520),
    [anon_sym_transient] = ACTIONS(520),
    [anon_sym_volatile] = ACTIONS(520),
    [anon_sym_sealed] = ACTIONS(520),
    [anon_sym_non_DASHsealed] = ACTIONS(518),
    [anon_sym_record] = ACTIONS(520),
    [anon_sym_ATinterface] = ACTIONS(518),
    [anon_sym_interface] = ACTIONS(520),
    [anon_sym_byte] = ACTIONS(520),
    [anon_sym_short] = ACTIONS(520),
    [anon_sym_int] = ACTIONS(520),
    [anon_sym_long] = ACTIONS(520),
    [anon_sym_char] = ACTIONS(520),
    [anon_sym_float] = ACTIONS(520),
    [anon_sym_double] = ACTIONS(520),
    [sym_boolean_type] = ACTIONS(520),
    [sym_void_type] = ACTIONS(520),
    [sym_this] = ACTIONS(520),
    [sym_super] = ACTIONS(520),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [179] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(630),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [180] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(629),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [181] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(607),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [182] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(539),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [183] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(568),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [184] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(518),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [185] = {
    [ts_builtin_sym_end] = ACTIONS(522),
    [sym_identifier] = ACTIONS(524),
    [sym_decimal_integer_literal] = ACTIONS(524),
    [sym_hex_integer_literal] = ACTIONS(524),
    [sym_octal_integer_literal] = ACTIONS(522),
    [sym_binary_integer_literal] = ACTIONS(522),
    [sym_decimal_floating_point_literal] = ACTIONS(522),
    [sym_hex_floating_point_literal] = ACTIONS(524),
    [sym_true] = ACTIONS(524),
    [sym_false] = ACTIONS(524),
    [sym_character_literal] = ACTIONS(522),
    [anon_sym_DQUOTE] = ACTIONS(524),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(522),
    [sym_null_literal] = ACTIONS(524),
    [anon_sym_LPAREN] = ACTIONS(522),
    [anon_sym_LT] = ACTIONS(522),
    [anon_sym_PLUS] = ACTIONS(524),
    [anon_sym_DASH] = ACTIONS(524),
    [anon_sym_final] = ACTIONS(524),
    [anon_sym_BANG] = ACTIONS(522),
    [anon_sym_TILDE] = ACTIONS(522),
    [anon_sym_PLUS_PLUS] = ACTIONS(522),
    [anon_sym_DASH_DASH] = ACTIONS(522),
    [anon_sym_new] = ACTIONS(524),
    [anon_sym_class] = ACTIONS(524),
    [anon_sym_switch] = ACTIONS(524),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_RBRACE] = ACTIONS(522),
    [anon_sym_case] = ACTIONS(524),
    [anon_sym_default] = ACTIONS(524),
    [anon_sym_SEMI] = ACTIONS(522),
    [anon_sym_assert] = ACTIONS(524),
    [anon_sym_do] = ACTIONS(524),
    [anon_sym_while] = ACTIONS(524),
    [anon_sym_break] = ACTIONS(524),
    [anon_sym_continue] = ACTIONS(524),
    [anon_sym_return] = ACTIONS(524),
    [anon_sym_yield] = ACTIONS(524),
    [anon_sym_synchronized] = ACTIONS(524),
    [anon_sym_throw] = ACTIONS(524),
    [anon_sym_try] = ACTIONS(524),
    [anon_sym_if] = ACTIONS(524),
    [anon_sym_else] = ACTIONS(524),
    [anon_sym_for] = ACTIONS(524),
    [anon_sym_AT] = ACTIONS(524),
    [anon_sym_open] = ACTIONS(524),
    [anon_sym_module] = ACTIONS(524),
    [anon_sym_static] = ACTIONS(524),
    [anon_sym_package] = ACTIONS(524),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_enum] = ACTIONS(524),
    [anon_sym_public] = ACTIONS(524),
    [anon_sym_protected] = ACTIONS(524),
    [anon_sym_private] = ACTIONS(524),
    [anon_sym_abstract] = ACTIONS(524),
    [anon_sym_strictfp] = ACTIONS(524),
    [anon_sym_native] = ACTIONS(524),
    [anon_sym_transient] = ACTIONS(524),
    [anon_sym_volatile] = ACTIONS(524),
    [anon_sym_sealed] = ACTIONS(524),
    [anon_sym_non_DASHsealed] = ACTIONS(522),
    [anon_sym_record] = ACTIONS(524),
    [anon_sym_ATinterface] = ACTIONS(522),
    [anon_sym_interface] = ACTIONS(524),
    [anon_sym_byte] = ACTIONS(524),
    [anon_sym_short] = ACTIONS(524),
    [anon_sym_int] = ACTIONS(524),
    [anon_sym_long] = ACTIONS(524),
    [anon_sym_char] = ACTIONS(524),
    [anon_sym_float] = ACTIONS(524),
    [anon_sym_double] = ACTIONS(524),
    [sym_boolean_type] = ACTIONS(524),
    [sym_void_type] = ACTIONS(524),
    [sym_this] = ACTIONS(524),
    [sym_super] = ACTIONS(524),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [186] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(619),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [187] = {
    [ts_builtin_sym_end] = ACTIONS(526),
    [sym_identifier] = ACTIONS(528),
    [sym_decimal_integer_literal] = ACTIONS(528),
    [sym_hex_integer_literal] = ACTIONS(528),
    [sym_octal_integer_literal] = ACTIONS(526),
    [sym_binary_integer_literal] = ACTIONS(526),
    [sym_decimal_floating_point_literal] = ACTIONS(526),
    [sym_hex_floating_point_literal] = ACTIONS(528),
    [sym_true] = ACTIONS(528),
    [sym_false] = ACTIONS(528),
    [sym_character_literal] = ACTIONS(526),
    [anon_sym_DQUOTE] = ACTIONS(528),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(526),
    [sym_null_literal] = ACTIONS(528),
    [anon_sym_LPAREN] = ACTIONS(526),
    [anon_sym_LT] = ACTIONS(526),
    [anon_sym_PLUS] = ACTIONS(528),
    [anon_sym_DASH] = ACTIONS(528),
    [anon_sym_final] = ACTIONS(528),
    [anon_sym_BANG] = ACTIONS(526),
    [anon_sym_TILDE] = ACTIONS(526),
    [anon_sym_PLUS_PLUS] = ACTIONS(526),
    [anon_sym_DASH_DASH] = ACTIONS(526),
    [anon_sym_new] = ACTIONS(528),
    [anon_sym_class] = ACTIONS(528),
    [anon_sym_switch] = ACTIONS(528),
    [anon_sym_LBRACE] = ACTIONS(526),
    [anon_sym_RBRACE] = ACTIONS(526),
    [anon_sym_case] = ACTIONS(528),
    [anon_sym_default] = ACTIONS(528),
    [anon_sym_SEMI] = ACTIONS(526),
    [anon_sym_assert] = ACTIONS(528),
    [anon_sym_do] = ACTIONS(528),
    [anon_sym_while] = ACTIONS(528),
    [anon_sym_break] = ACTIONS(528),
    [anon_sym_continue] = ACTIONS(528),
    [anon_sym_return] = ACTIONS(528),
    [anon_sym_yield] = ACTIONS(528),
    [anon_sym_synchronized] = ACTIONS(528),
    [anon_sym_throw] = ACTIONS(528),
    [anon_sym_try] = ACTIONS(528),
    [anon_sym_if] = ACTIONS(528),
    [anon_sym_else] = ACTIONS(528),
    [anon_sym_for] = ACTIONS(528),
    [anon_sym_AT] = ACTIONS(528),
    [anon_sym_open] = ACTIONS(528),
    [anon_sym_module] = ACTIONS(528),
    [anon_sym_static] = ACTIONS(528),
    [anon_sym_package] = ACTIONS(528),
    [anon_sym_import] = ACTIONS(528),
    [anon_sym_enum] = ACTIONS(528),
    [anon_sym_public] = ACTIONS(528),
    [anon_sym_protected] = ACTIONS(528),
    [anon_sym_private] = ACTIONS(528),
    [anon_sym_abstract] = ACTIONS(528),
    [anon_sym_strictfp] = ACTIONS(528),
    [anon_sym_native] = ACTIONS(528),
    [anon_sym_transient] = ACTIONS(528),
    [anon_sym_volatile] = ACTIONS(528),
    [anon_sym_sealed] = ACTIONS(528),
    [anon_sym_non_DASHsealed] = ACTIONS(526),
    [anon_sym_record] = ACTIONS(528),
    [anon_sym_ATinterface] = ACTIONS(526),
    [anon_sym_interface] = ACTIONS(528),
    [anon_sym_byte] = ACTIONS(528),
    [anon_sym_short] = ACTIONS(528),
    [anon_sym_int] = ACTIONS(528),
    [anon_sym_long] = ACTIONS(528),
    [anon_sym_char] = ACTIONS(528),
    [anon_sym_float] = ACTIONS(528),
    [anon_sym_double] = ACTIONS(528),
    [sym_boolean_type] = ACTIONS(528),
    [sym_void_type] = ACTIONS(528),
    [sym_this] = ACTIONS(528),
    [sym_super] = ACTIONS(528),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [188] = {
    [ts_builtin_sym_end] = ACTIONS(530),
    [sym_identifier] = ACTIONS(532),
    [sym_decimal_integer_literal] = ACTIONS(532),
    [sym_hex_integer_literal] = ACTIONS(532),
    [sym_octal_integer_literal] = ACTIONS(530),
    [sym_binary_integer_literal] = ACTIONS(530),
    [sym_decimal_floating_point_literal] = ACTIONS(530),
    [sym_hex_floating_point_literal] = ACTIONS(532),
    [sym_true] = ACTIONS(532),
    [sym_false] = ACTIONS(532),
    [sym_character_literal] = ACTIONS(530),
    [anon_sym_DQUOTE] = ACTIONS(532),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(530),
    [sym_null_literal] = ACTIONS(532),
    [anon_sym_LPAREN] = ACTIONS(530),
    [anon_sym_LT] = ACTIONS(530),
    [anon_sym_PLUS] = ACTIONS(532),
    [anon_sym_DASH] = ACTIONS(532),
    [anon_sym_final] = ACTIONS(532),
    [anon_sym_BANG] = ACTIONS(530),
    [anon_sym_TILDE] = ACTIONS(530),
    [anon_sym_PLUS_PLUS] = ACTIONS(530),
    [anon_sym_DASH_DASH] = ACTIONS(530),
    [anon_sym_new] = ACTIONS(532),
    [anon_sym_class] = ACTIONS(532),
    [anon_sym_switch] = ACTIONS(532),
    [anon_sym_LBRACE] = ACTIONS(530),
    [anon_sym_RBRACE] = ACTIONS(530),
    [anon_sym_case] = ACTIONS(532),
    [anon_sym_default] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(530),
    [anon_sym_assert] = ACTIONS(532),
    [anon_sym_do] = ACTIONS(532),
    [anon_sym_while] = ACTIONS(532),
    [anon_sym_break] = ACTIONS(532),
    [anon_sym_continue] = ACTIONS(532),
    [anon_sym_return] = ACTIONS(532),
    [anon_sym_yield] = ACTIONS(532),
    [anon_sym_synchronized] = ACTIONS(532),
    [anon_sym_throw] = ACTIONS(532),
    [anon_sym_try] = ACTIONS(532),
    [anon_sym_if] = ACTIONS(532),
    [anon_sym_else] = ACTIONS(532),
    [anon_sym_for] = ACTIONS(532),
    [anon_sym_AT] = ACTIONS(532),
    [anon_sym_open] = ACTIONS(532),
    [anon_sym_module] = ACTIONS(532),
    [anon_sym_static] = ACTIONS(532),
    [anon_sym_package] = ACTIONS(532),
    [anon_sym_import] = ACTIONS(532),
    [anon_sym_enum] = ACTIONS(532),
    [anon_sym_public] = ACTIONS(532),
    [anon_sym_protected] = ACTIONS(532),
    [anon_sym_private] = ACTIONS(532),
    [anon_sym_abstract] = ACTIONS(532),
    [anon_sym_strictfp] = ACTIONS(532),
    [anon_sym_native] = ACTIONS(532),
    [anon_sym_transient] = ACTIONS(532),
    [anon_sym_volatile] = ACTIONS(532),
    [anon_sym_sealed] = ACTIONS(532),
    [anon_sym_non_DASHsealed] = ACTIONS(530),
    [anon_sym_record] = ACTIONS(532),
    [anon_sym_ATinterface] = ACTIONS(530),
    [anon_sym_interface] = ACTIONS(532),
    [anon_sym_byte] = ACTIONS(532),
    [anon_sym_short] = ACTIONS(532),
    [anon_sym_int] = ACTIONS(532),
    [anon_sym_long] = ACTIONS(532),
    [anon_sym_char] = ACTIONS(532),
    [anon_sym_float] = ACTIONS(532),
    [anon_sym_double] = ACTIONS(532),
    [sym_boolean_type] = ACTIONS(532),
    [sym_void_type] = ACTIONS(532),
    [sym_this] = ACTIONS(532),
    [sym_super] = ACTIONS(532),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [189] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(637),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [190] = {
    [ts_builtin_sym_end] = ACTIONS(534),
    [sym_identifier] = ACTIONS(536),
    [sym_decimal_integer_literal] = ACTIONS(536),
    [sym_hex_integer_literal] = ACTIONS(536),
    [sym_octal_integer_literal] = ACTIONS(534),
    [sym_binary_integer_literal] = ACTIONS(534),
    [sym_decimal_floating_point_literal] = ACTIONS(534),
    [sym_hex_floating_point_literal] = ACTIONS(536),
    [sym_true] = ACTIONS(536),
    [sym_false] = ACTIONS(536),
    [sym_character_literal] = ACTIONS(534),
    [anon_sym_DQUOTE] = ACTIONS(536),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(534),
    [sym_null_literal] = ACTIONS(536),
    [anon_sym_LPAREN] = ACTIONS(534),
    [anon_sym_LT] = ACTIONS(534),
    [anon_sym_PLUS] = ACTIONS(536),
    [anon_sym_DASH] = ACTIONS(536),
    [anon_sym_final] = ACTIONS(536),
    [anon_sym_BANG] = ACTIONS(534),
    [anon_sym_TILDE] = ACTIONS(534),
    [anon_sym_PLUS_PLUS] = ACTIONS(534),
    [anon_sym_DASH_DASH] = ACTIONS(534),
    [anon_sym_new] = ACTIONS(536),
    [anon_sym_class] = ACTIONS(536),
    [anon_sym_switch] = ACTIONS(536),
    [anon_sym_LBRACE] = ACTIONS(534),
    [anon_sym_RBRACE] = ACTIONS(534),
    [anon_sym_case] = ACTIONS(536),
    [anon_sym_default] = ACTIONS(536),
    [anon_sym_SEMI] = ACTIONS(534),
    [anon_sym_assert] = ACTIONS(536),
    [anon_sym_do] = ACTIONS(536),
    [anon_sym_while] = ACTIONS(536),
    [anon_sym_break] = ACTIONS(536),
    [anon_sym_continue] = ACTIONS(536),
    [anon_sym_return] = ACTIONS(536),
    [anon_sym_yield] = ACTIONS(536),
    [anon_sym_synchronized] = ACTIONS(536),
    [anon_sym_throw] = ACTIONS(536),
    [anon_sym_try] = ACTIONS(536),
    [anon_sym_if] = ACTIONS(536),
    [anon_sym_else] = ACTIONS(536),
    [anon_sym_for] = ACTIONS(536),
    [anon_sym_AT] = ACTIONS(536),
    [anon_sym_open] = ACTIONS(536),
    [anon_sym_module] = ACTIONS(536),
    [anon_sym_static] = ACTIONS(536),
    [anon_sym_package] = ACTIONS(536),
    [anon_sym_import] = ACTIONS(536),
    [anon_sym_enum] = ACTIONS(536),
    [anon_sym_public] = ACTIONS(536),
    [anon_sym_protected] = ACTIONS(536),
    [anon_sym_private] = ACTIONS(536),
    [anon_sym_abstract] = ACTIONS(536),
    [anon_sym_strictfp] = ACTIONS(536),
    [anon_sym_native] = ACTIONS(536),
    [anon_sym_transient] = ACTIONS(536),
    [anon_sym_volatile] = ACTIONS(536),
    [anon_sym_sealed] = ACTIONS(536),
    [anon_sym_non_DASHsealed] = ACTIONS(534),
    [anon_sym_record] = ACTIONS(536),
    [anon_sym_ATinterface] = ACTIONS(534),
    [anon_sym_interface] = ACTIONS(536),
    [anon_sym_byte] = ACTIONS(536),
    [anon_sym_short] = ACTIONS(536),
    [anon_sym_int] = ACTIONS(536),
    [anon_sym_long] = ACTIONS(536),
    [anon_sym_char] = ACTIONS(536),
    [anon_sym_float] = ACTIONS(536),
    [anon_sym_double] = ACTIONS(536),
    [sym_boolean_type] = ACTIONS(536),
    [sym_void_type] = ACTIONS(536),
    [sym_this] = ACTIONS(536),
    [sym_super] = ACTIONS(536),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [191] = {
    [ts_builtin_sym_end] = ACTIONS(538),
    [sym_identifier] = ACTIONS(540),
    [sym_decimal_integer_literal] = ACTIONS(540),
    [sym_hex_integer_literal] = ACTIONS(540),
    [sym_octal_integer_literal] = ACTIONS(538),
    [sym_binary_integer_literal] = ACTIONS(538),
    [sym_decimal_floating_point_literal] = ACTIONS(538),
    [sym_hex_floating_point_literal] = ACTIONS(540),
    [sym_true] = ACTIONS(540),
    [sym_false] = ACTIONS(540),
    [sym_character_literal] = ACTIONS(538),
    [anon_sym_DQUOTE] = ACTIONS(540),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(538),
    [sym_null_literal] = ACTIONS(540),
    [anon_sym_LPAREN] = ACTIONS(538),
    [anon_sym_LT] = ACTIONS(538),
    [anon_sym_PLUS] = ACTIONS(540),
    [anon_sym_DASH] = ACTIONS(540),
    [anon_sym_final] = ACTIONS(540),
    [anon_sym_BANG] = ACTIONS(538),
    [anon_sym_TILDE] = ACTIONS(538),
    [anon_sym_PLUS_PLUS] = ACTIONS(538),
    [anon_sym_DASH_DASH] = ACTIONS(538),
    [anon_sym_new] = ACTIONS(540),
    [anon_sym_class] = ACTIONS(540),
    [anon_sym_switch] = ACTIONS(540),
    [anon_sym_LBRACE] = ACTIONS(538),
    [anon_sym_RBRACE] = ACTIONS(538),
    [anon_sym_case] = ACTIONS(540),
    [anon_sym_default] = ACTIONS(540),
    [anon_sym_SEMI] = ACTIONS(538),
    [anon_sym_assert] = ACTIONS(540),
    [anon_sym_do] = ACTIONS(540),
    [anon_sym_while] = ACTIONS(540),
    [anon_sym_break] = ACTIONS(540),
    [anon_sym_continue] = ACTIONS(540),
    [anon_sym_return] = ACTIONS(540),
    [anon_sym_yield] = ACTIONS(540),
    [anon_sym_synchronized] = ACTIONS(540),
    [anon_sym_throw] = ACTIONS(540),
    [anon_sym_try] = ACTIONS(540),
    [anon_sym_if] = ACTIONS(540),
    [anon_sym_else] = ACTIONS(540),
    [anon_sym_for] = ACTIONS(540),
    [anon_sym_AT] = ACTIONS(540),
    [anon_sym_open] = ACTIONS(540),
    [anon_sym_module] = ACTIONS(540),
    [anon_sym_static] = ACTIONS(540),
    [anon_sym_package] = ACTIONS(540),
    [anon_sym_import] = ACTIONS(540),
    [anon_sym_enum] = ACTIONS(540),
    [anon_sym_public] = ACTIONS(540),
    [anon_sym_protected] = ACTIONS(540),
    [anon_sym_private] = ACTIONS(540),
    [anon_sym_abstract] = ACTIONS(540),
    [anon_sym_strictfp] = ACTIONS(540),
    [anon_sym_native] = ACTIONS(540),
    [anon_sym_transient] = ACTIONS(540),
    [anon_sym_volatile] = ACTIONS(540),
    [anon_sym_sealed] = ACTIONS(540),
    [anon_sym_non_DASHsealed] = ACTIONS(538),
    [anon_sym_record] = ACTIONS(540),
    [anon_sym_ATinterface] = ACTIONS(538),
    [anon_sym_interface] = ACTIONS(540),
    [anon_sym_byte] = ACTIONS(540),
    [anon_sym_short] = ACTIONS(540),
    [anon_sym_int] = ACTIONS(540),
    [anon_sym_long] = ACTIONS(540),
    [anon_sym_char] = ACTIONS(540),
    [anon_sym_float] = ACTIONS(540),
    [anon_sym_double] = ACTIONS(540),
    [sym_boolean_type] = ACTIONS(540),
    [sym_void_type] = ACTIONS(540),
    [sym_this] = ACTIONS(540),
    [sym_super] = ACTIONS(540),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [192] = {
    [ts_builtin_sym_end] = ACTIONS(542),
    [sym_identifier] = ACTIONS(544),
    [sym_decimal_integer_literal] = ACTIONS(544),
    [sym_hex_integer_literal] = ACTIONS(544),
    [sym_octal_integer_literal] = ACTIONS(542),
    [sym_binary_integer_literal] = ACTIONS(542),
    [sym_decimal_floating_point_literal] = ACTIONS(542),
    [sym_hex_floating_point_literal] = ACTIONS(544),
    [sym_true] = ACTIONS(544),
    [sym_false] = ACTIONS(544),
    [sym_character_literal] = ACTIONS(542),
    [anon_sym_DQUOTE] = ACTIONS(544),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(542),
    [sym_null_literal] = ACTIONS(544),
    [anon_sym_LPAREN] = ACTIONS(542),
    [anon_sym_LT] = ACTIONS(542),
    [anon_sym_PLUS] = ACTIONS(544),
    [anon_sym_DASH] = ACTIONS(544),
    [anon_sym_final] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(542),
    [anon_sym_TILDE] = ACTIONS(542),
    [anon_sym_PLUS_PLUS] = ACTIONS(542),
    [anon_sym_DASH_DASH] = ACTIONS(542),
    [anon_sym_new] = ACTIONS(544),
    [anon_sym_class] = ACTIONS(544),
    [anon_sym_switch] = ACTIONS(544),
    [anon_sym_LBRACE] = ACTIONS(542),
    [anon_sym_RBRACE] = ACTIONS(542),
    [anon_sym_case] = ACTIONS(544),
    [anon_sym_default] = ACTIONS(544),
    [anon_sym_SEMI] = ACTIONS(542),
    [anon_sym_assert] = ACTIONS(544),
    [anon_sym_do] = ACTIONS(544),
    [anon_sym_while] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(544),
    [anon_sym_continue] = ACTIONS(544),
    [anon_sym_return] = ACTIONS(544),
    [anon_sym_yield] = ACTIONS(544),
    [anon_sym_synchronized] = ACTIONS(544),
    [anon_sym_throw] = ACTIONS(544),
    [anon_sym_try] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(544),
    [anon_sym_else] = ACTIONS(544),
    [anon_sym_for] = ACTIONS(544),
    [anon_sym_AT] = ACTIONS(544),
    [anon_sym_open] = ACTIONS(544),
    [anon_sym_module] = ACTIONS(544),
    [anon_sym_static] = ACTIONS(544),
    [anon_sym_package] = ACTIONS(544),
    [anon_sym_import] = ACTIONS(544),
    [anon_sym_enum] = ACTIONS(544),
    [anon_sym_public] = ACTIONS(544),
    [anon_sym_protected] = ACTIONS(544),
    [anon_sym_private] = ACTIONS(544),
    [anon_sym_abstract] = ACTIONS(544),
    [anon_sym_strictfp] = ACTIONS(544),
    [anon_sym_native] = ACTIONS(544),
    [anon_sym_transient] = ACTIONS(544),
    [anon_sym_volatile] = ACTIONS(544),
    [anon_sym_sealed] = ACTIONS(544),
    [anon_sym_non_DASHsealed] = ACTIONS(542),
    [anon_sym_record] = ACTIONS(544),
    [anon_sym_ATinterface] = ACTIONS(542),
    [anon_sym_interface] = ACTIONS(544),
    [anon_sym_byte] = ACTIONS(544),
    [anon_sym_short] = ACTIONS(544),
    [anon_sym_int] = ACTIONS(544),
    [anon_sym_long] = ACTIONS(544),
    [anon_sym_char] = ACTIONS(544),
    [anon_sym_float] = ACTIONS(544),
    [anon_sym_double] = ACTIONS(544),
    [sym_boolean_type] = ACTIONS(544),
    [sym_void_type] = ACTIONS(544),
    [sym_this] = ACTIONS(544),
    [sym_super] = ACTIONS(544),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [193] = {
    [ts_builtin_sym_end] = ACTIONS(546),
    [sym_identifier] = ACTIONS(548),
    [sym_decimal_integer_literal] = ACTIONS(548),
    [sym_hex_integer_literal] = ACTIONS(548),
    [sym_octal_integer_literal] = ACTIONS(546),
    [sym_binary_integer_literal] = ACTIONS(546),
    [sym_decimal_floating_point_literal] = ACTIONS(546),
    [sym_hex_floating_point_literal] = ACTIONS(548),
    [sym_true] = ACTIONS(548),
    [sym_false] = ACTIONS(548),
    [sym_character_literal] = ACTIONS(546),
    [anon_sym_DQUOTE] = ACTIONS(548),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(546),
    [sym_null_literal] = ACTIONS(548),
    [anon_sym_LPAREN] = ACTIONS(546),
    [anon_sym_LT] = ACTIONS(546),
    [anon_sym_PLUS] = ACTIONS(548),
    [anon_sym_DASH] = ACTIONS(548),
    [anon_sym_final] = ACTIONS(548),
    [anon_sym_BANG] = ACTIONS(546),
    [anon_sym_TILDE] = ACTIONS(546),
    [anon_sym_PLUS_PLUS] = ACTIONS(546),
    [anon_sym_DASH_DASH] = ACTIONS(546),
    [anon_sym_new] = ACTIONS(548),
    [anon_sym_class] = ACTIONS(548),
    [anon_sym_switch] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(546),
    [anon_sym_RBRACE] = ACTIONS(546),
    [anon_sym_case] = ACTIONS(548),
    [anon_sym_default] = ACTIONS(548),
    [anon_sym_SEMI] = ACTIONS(546),
    [anon_sym_assert] = ACTIONS(548),
    [anon_sym_do] = ACTIONS(548),
    [anon_sym_while] = ACTIONS(548),
    [anon_sym_break] = ACTIONS(548),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_return] = ACTIONS(548),
    [anon_sym_yield] = ACTIONS(548),
    [anon_sym_synchronized] = ACTIONS(548),
    [anon_sym_throw] = ACTIONS(548),
    [anon_sym_try] = ACTIONS(548),
    [anon_sym_if] = ACTIONS(548),
    [anon_sym_else] = ACTIONS(548),
    [anon_sym_for] = ACTIONS(548),
    [anon_sym_AT] = ACTIONS(548),
    [anon_sym_open] = ACTIONS(548),
    [anon_sym_module] = ACTIONS(548),
    [anon_sym_static] = ACTIONS(548),
    [anon_sym_package] = ACTIONS(548),
    [anon_sym_import] = ACTIONS(548),
    [anon_sym_enum] = ACTIONS(548),
    [anon_sym_public] = ACTIONS(548),
    [anon_sym_protected] = ACTIONS(548),
    [anon_sym_private] = ACTIONS(548),
    [anon_sym_abstract] = ACTIONS(548),
    [anon_sym_strictfp] = ACTIONS(548),
    [anon_sym_native] = ACTIONS(548),
    [anon_sym_transient] = ACTIONS(548),
    [anon_sym_volatile] = ACTIONS(548),
    [anon_sym_sealed] = ACTIONS(548),
    [anon_sym_non_DASHsealed] = ACTIONS(546),
    [anon_sym_record] = ACTIONS(548),
    [anon_sym_ATinterface] = ACTIONS(546),
    [anon_sym_interface] = ACTIONS(548),
    [anon_sym_byte] = ACTIONS(548),
    [anon_sym_short] = ACTIONS(548),
    [anon_sym_int] = ACTIONS(548),
    [anon_sym_long] = ACTIONS(548),
    [anon_sym_char] = ACTIONS(548),
    [anon_sym_float] = ACTIONS(548),
    [anon_sym_double] = ACTIONS(548),
    [sym_boolean_type] = ACTIONS(548),
    [sym_void_type] = ACTIONS(548),
    [sym_this] = ACTIONS(548),
    [sym_super] = ACTIONS(548),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [194] = {
    [ts_builtin_sym_end] = ACTIONS(550),
    [sym_identifier] = ACTIONS(552),
    [sym_decimal_integer_literal] = ACTIONS(552),
    [sym_hex_integer_literal] = ACTIONS(552),
    [sym_octal_integer_literal] = ACTIONS(550),
    [sym_binary_integer_literal] = ACTIONS(550),
    [sym_decimal_floating_point_literal] = ACTIONS(550),
    [sym_hex_floating_point_literal] = ACTIONS(552),
    [sym_true] = ACTIONS(552),
    [sym_false] = ACTIONS(552),
    [sym_character_literal] = ACTIONS(550),
    [anon_sym_DQUOTE] = ACTIONS(552),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(550),
    [sym_null_literal] = ACTIONS(552),
    [anon_sym_LPAREN] = ACTIONS(550),
    [anon_sym_LT] = ACTIONS(550),
    [anon_sym_PLUS] = ACTIONS(552),
    [anon_sym_DASH] = ACTIONS(552),
    [anon_sym_final] = ACTIONS(552),
    [anon_sym_BANG] = ACTIONS(550),
    [anon_sym_TILDE] = ACTIONS(550),
    [anon_sym_PLUS_PLUS] = ACTIONS(550),
    [anon_sym_DASH_DASH] = ACTIONS(550),
    [anon_sym_new] = ACTIONS(552),
    [anon_sym_class] = ACTIONS(552),
    [anon_sym_switch] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(550),
    [anon_sym_RBRACE] = ACTIONS(550),
    [anon_sym_case] = ACTIONS(552),
    [anon_sym_default] = ACTIONS(552),
    [anon_sym_SEMI] = ACTIONS(550),
    [anon_sym_assert] = ACTIONS(552),
    [anon_sym_do] = ACTIONS(552),
    [anon_sym_while] = ACTIONS(552),
    [anon_sym_break] = ACTIONS(552),
    [anon_sym_continue] = ACTIONS(552),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_yield] = ACTIONS(552),
    [anon_sym_synchronized] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(552),
    [anon_sym_try] = ACTIONS(552),
    [anon_sym_if] = ACTIONS(552),
    [anon_sym_else] = ACTIONS(552),
    [anon_sym_for] = ACTIONS(552),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_open] = ACTIONS(552),
    [anon_sym_module] = ACTIONS(552),
    [anon_sym_static] = ACTIONS(552),
    [anon_sym_package] = ACTIONS(552),
    [anon_sym_import] = ACTIONS(552),
    [anon_sym_enum] = ACTIONS(552),
    [anon_sym_public] = ACTIONS(552),
    [anon_sym_protected] = ACTIONS(552),
    [anon_sym_private] = ACTIONS(552),
    [anon_sym_abstract] = ACTIONS(552),
    [anon_sym_strictfp] = ACTIONS(552),
    [anon_sym_native] = ACTIONS(552),
    [anon_sym_transient] = ACTIONS(552),
    [anon_sym_volatile] = ACTIONS(552),
    [anon_sym_sealed] = ACTIONS(552),
    [anon_sym_non_DASHsealed] = ACTIONS(550),
    [anon_sym_record] = ACTIONS(552),
    [anon_sym_ATinterface] = ACTIONS(550),
    [anon_sym_interface] = ACTIONS(552),
    [anon_sym_byte] = ACTIONS(552),
    [anon_sym_short] = ACTIONS(552),
    [anon_sym_int] = ACTIONS(552),
    [anon_sym_long] = ACTIONS(552),
    [anon_sym_char] = ACTIONS(552),
    [anon_sym_float] = ACTIONS(552),
    [anon_sym_double] = ACTIONS(552),
    [sym_boolean_type] = ACTIONS(552),
    [sym_void_type] = ACTIONS(552),
    [sym_this] = ACTIONS(552),
    [sym_super] = ACTIONS(552),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [195] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(519),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [196] = {
    [ts_builtin_sym_end] = ACTIONS(554),
    [sym_identifier] = ACTIONS(556),
    [sym_decimal_integer_literal] = ACTIONS(556),
    [sym_hex_integer_literal] = ACTIONS(556),
    [sym_octal_integer_literal] = ACTIONS(554),
    [sym_binary_integer_literal] = ACTIONS(554),
    [sym_decimal_floating_point_literal] = ACTIONS(554),
    [sym_hex_floating_point_literal] = ACTIONS(556),
    [sym_true] = ACTIONS(556),
    [sym_false] = ACTIONS(556),
    [sym_character_literal] = ACTIONS(554),
    [anon_sym_DQUOTE] = ACTIONS(556),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(554),
    [sym_null_literal] = ACTIONS(556),
    [anon_sym_LPAREN] = ACTIONS(554),
    [anon_sym_LT] = ACTIONS(554),
    [anon_sym_PLUS] = ACTIONS(556),
    [anon_sym_DASH] = ACTIONS(556),
    [anon_sym_final] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(554),
    [anon_sym_PLUS_PLUS] = ACTIONS(554),
    [anon_sym_DASH_DASH] = ACTIONS(554),
    [anon_sym_new] = ACTIONS(556),
    [anon_sym_class] = ACTIONS(556),
    [anon_sym_switch] = ACTIONS(556),
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_RBRACE] = ACTIONS(554),
    [anon_sym_case] = ACTIONS(556),
    [anon_sym_default] = ACTIONS(556),
    [anon_sym_SEMI] = ACTIONS(554),
    [anon_sym_assert] = ACTIONS(556),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_while] = ACTIONS(556),
    [anon_sym_break] = ACTIONS(556),
    [anon_sym_continue] = ACTIONS(556),
    [anon_sym_return] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(556),
    [anon_sym_synchronized] = ACTIONS(556),
    [anon_sym_throw] = ACTIONS(556),
    [anon_sym_try] = ACTIONS(556),
    [anon_sym_if] = ACTIONS(556),
    [anon_sym_else] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(556),
    [anon_sym_AT] = ACTIONS(556),
    [anon_sym_open] = ACTIONS(556),
    [anon_sym_module] = ACTIONS(556),
    [anon_sym_static] = ACTIONS(556),
    [anon_sym_package] = ACTIONS(556),
    [anon_sym_import] = ACTIONS(556),
    [anon_sym_enum] = ACTIONS(556),
    [anon_sym_public] = ACTIONS(556),
    [anon_sym_protected] = ACTIONS(556),
    [anon_sym_private] = ACTIONS(556),
    [anon_sym_abstract] = ACTIONS(556),
    [anon_sym_strictfp] = ACTIONS(556),
    [anon_sym_native] = ACTIONS(556),
    [anon_sym_transient] = ACTIONS(556),
    [anon_sym_volatile] = ACTIONS(556),
    [anon_sym_sealed] = ACTIONS(556),
    [anon_sym_non_DASHsealed] = ACTIONS(554),
    [anon_sym_record] = ACTIONS(556),
    [anon_sym_ATinterface] = ACTIONS(554),
    [anon_sym_interface] = ACTIONS(556),
    [anon_sym_byte] = ACTIONS(556),
    [anon_sym_short] = ACTIONS(556),
    [anon_sym_int] = ACTIONS(556),
    [anon_sym_long] = ACTIONS(556),
    [anon_sym_char] = ACTIONS(556),
    [anon_sym_float] = ACTIONS(556),
    [anon_sym_double] = ACTIONS(556),
    [sym_boolean_type] = ACTIONS(556),
    [sym_void_type] = ACTIONS(556),
    [sym_this] = ACTIONS(556),
    [sym_super] = ACTIONS(556),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [197] = {
    [ts_builtin_sym_end] = ACTIONS(558),
    [sym_identifier] = ACTIONS(560),
    [sym_decimal_integer_literal] = ACTIONS(560),
    [sym_hex_integer_literal] = ACTIONS(560),
    [sym_octal_integer_literal] = ACTIONS(558),
    [sym_binary_integer_literal] = ACTIONS(558),
    [sym_decimal_floating_point_literal] = ACTIONS(558),
    [sym_hex_floating_point_literal] = ACTIONS(560),
    [sym_true] = ACTIONS(560),
    [sym_false] = ACTIONS(560),
    [sym_character_literal] = ACTIONS(558),
    [anon_sym_DQUOTE] = ACTIONS(560),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(558),
    [sym_null_literal] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(558),
    [anon_sym_LT] = ACTIONS(558),
    [anon_sym_PLUS] = ACTIONS(560),
    [anon_sym_DASH] = ACTIONS(560),
    [anon_sym_final] = ACTIONS(560),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_PLUS_PLUS] = ACTIONS(558),
    [anon_sym_DASH_DASH] = ACTIONS(558),
    [anon_sym_new] = ACTIONS(560),
    [anon_sym_class] = ACTIONS(560),
    [anon_sym_switch] = ACTIONS(560),
    [anon_sym_LBRACE] = ACTIONS(558),
    [anon_sym_RBRACE] = ACTIONS(558),
    [anon_sym_case] = ACTIONS(560),
    [anon_sym_default] = ACTIONS(560),
    [anon_sym_SEMI] = ACTIONS(558),
    [anon_sym_assert] = ACTIONS(560),
    [anon_sym_do] = ACTIONS(560),
    [anon_sym_while] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(560),
    [anon_sym_continue] = ACTIONS(560),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(560),
    [anon_sym_synchronized] = ACTIONS(560),
    [anon_sym_throw] = ACTIONS(560),
    [anon_sym_try] = ACTIONS(560),
    [anon_sym_if] = ACTIONS(560),
    [anon_sym_else] = ACTIONS(560),
    [anon_sym_for] = ACTIONS(560),
    [anon_sym_AT] = ACTIONS(560),
    [anon_sym_open] = ACTIONS(560),
    [anon_sym_module] = ACTIONS(560),
    [anon_sym_static] = ACTIONS(560),
    [anon_sym_package] = ACTIONS(560),
    [anon_sym_import] = ACTIONS(560),
    [anon_sym_enum] = ACTIONS(560),
    [anon_sym_public] = ACTIONS(560),
    [anon_sym_protected] = ACTIONS(560),
    [anon_sym_private] = ACTIONS(560),
    [anon_sym_abstract] = ACTIONS(560),
    [anon_sym_strictfp] = ACTIONS(560),
    [anon_sym_native] = ACTIONS(560),
    [anon_sym_transient] = ACTIONS(560),
    [anon_sym_volatile] = ACTIONS(560),
    [anon_sym_sealed] = ACTIONS(560),
    [anon_sym_non_DASHsealed] = ACTIONS(558),
    [anon_sym_record] = ACTIONS(560),
    [anon_sym_ATinterface] = ACTIONS(558),
    [anon_sym_interface] = ACTIONS(560),
    [anon_sym_byte] = ACTIONS(560),
    [anon_sym_short] = ACTIONS(560),
    [anon_sym_int] = ACTIONS(560),
    [anon_sym_long] = ACTIONS(560),
    [anon_sym_char] = ACTIONS(560),
    [anon_sym_float] = ACTIONS(560),
    [anon_sym_double] = ACTIONS(560),
    [sym_boolean_type] = ACTIONS(560),
    [sym_void_type] = ACTIONS(560),
    [sym_this] = ACTIONS(560),
    [sym_super] = ACTIONS(560),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [198] = {
    [ts_builtin_sym_end] = ACTIONS(562),
    [sym_identifier] = ACTIONS(564),
    [sym_decimal_integer_literal] = ACTIONS(564),
    [sym_hex_integer_literal] = ACTIONS(564),
    [sym_octal_integer_literal] = ACTIONS(562),
    [sym_binary_integer_literal] = ACTIONS(562),
    [sym_decimal_floating_point_literal] = ACTIONS(562),
    [sym_hex_floating_point_literal] = ACTIONS(564),
    [sym_true] = ACTIONS(564),
    [sym_false] = ACTIONS(564),
    [sym_character_literal] = ACTIONS(562),
    [anon_sym_DQUOTE] = ACTIONS(564),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(562),
    [sym_null_literal] = ACTIONS(564),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_LT] = ACTIONS(562),
    [anon_sym_PLUS] = ACTIONS(564),
    [anon_sym_DASH] = ACTIONS(564),
    [anon_sym_final] = ACTIONS(564),
    [anon_sym_BANG] = ACTIONS(562),
    [anon_sym_TILDE] = ACTIONS(562),
    [anon_sym_PLUS_PLUS] = ACTIONS(562),
    [anon_sym_DASH_DASH] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(564),
    [anon_sym_class] = ACTIONS(564),
    [anon_sym_switch] = ACTIONS(564),
    [anon_sym_LBRACE] = ACTIONS(562),
    [anon_sym_RBRACE] = ACTIONS(562),
    [anon_sym_case] = ACTIONS(564),
    [anon_sym_default] = ACTIONS(564),
    [anon_sym_SEMI] = ACTIONS(562),
    [anon_sym_assert] = ACTIONS(564),
    [anon_sym_do] = ACTIONS(564),
    [anon_sym_while] = ACTIONS(564),
    [anon_sym_break] = ACTIONS(564),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_return] = ACTIONS(564),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_synchronized] = ACTIONS(564),
    [anon_sym_throw] = ACTIONS(564),
    [anon_sym_try] = ACTIONS(564),
    [anon_sym_if] = ACTIONS(564),
    [anon_sym_else] = ACTIONS(564),
    [anon_sym_for] = ACTIONS(564),
    [anon_sym_AT] = ACTIONS(564),
    [anon_sym_open] = ACTIONS(564),
    [anon_sym_module] = ACTIONS(564),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_package] = ACTIONS(564),
    [anon_sym_import] = ACTIONS(564),
    [anon_sym_enum] = ACTIONS(564),
    [anon_sym_public] = ACTIONS(564),
    [anon_sym_protected] = ACTIONS(564),
    [anon_sym_private] = ACTIONS(564),
    [anon_sym_abstract] = ACTIONS(564),
    [anon_sym_strictfp] = ACTIONS(564),
    [anon_sym_native] = ACTIONS(564),
    [anon_sym_transient] = ACTIONS(564),
    [anon_sym_volatile] = ACTIONS(564),
    [anon_sym_sealed] = ACTIONS(564),
    [anon_sym_non_DASHsealed] = ACTIONS(562),
    [anon_sym_record] = ACTIONS(564),
    [anon_sym_ATinterface] = ACTIONS(562),
    [anon_sym_interface] = ACTIONS(564),
    [anon_sym_byte] = ACTIONS(564),
    [anon_sym_short] = ACTIONS(564),
    [anon_sym_int] = ACTIONS(564),
    [anon_sym_long] = ACTIONS(564),
    [anon_sym_char] = ACTIONS(564),
    [anon_sym_float] = ACTIONS(564),
    [anon_sym_double] = ACTIONS(564),
    [sym_boolean_type] = ACTIONS(564),
    [sym_void_type] = ACTIONS(564),
    [sym_this] = ACTIONS(564),
    [sym_super] = ACTIONS(564),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [199] = {
    [ts_builtin_sym_end] = ACTIONS(566),
    [sym_identifier] = ACTIONS(568),
    [sym_decimal_integer_literal] = ACTIONS(568),
    [sym_hex_integer_literal] = ACTIONS(568),
    [sym_octal_integer_literal] = ACTIONS(566),
    [sym_binary_integer_literal] = ACTIONS(566),
    [sym_decimal_floating_point_literal] = ACTIONS(566),
    [sym_hex_floating_point_literal] = ACTIONS(568),
    [sym_true] = ACTIONS(568),
    [sym_false] = ACTIONS(568),
    [sym_character_literal] = ACTIONS(566),
    [anon_sym_DQUOTE] = ACTIONS(568),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(566),
    [sym_null_literal] = ACTIONS(568),
    [anon_sym_LPAREN] = ACTIONS(566),
    [anon_sym_LT] = ACTIONS(566),
    [anon_sym_PLUS] = ACTIONS(568),
    [anon_sym_DASH] = ACTIONS(568),
    [anon_sym_final] = ACTIONS(568),
    [anon_sym_BANG] = ACTIONS(566),
    [anon_sym_TILDE] = ACTIONS(566),
    [anon_sym_PLUS_PLUS] = ACTIONS(566),
    [anon_sym_DASH_DASH] = ACTIONS(566),
    [anon_sym_new] = ACTIONS(568),
    [anon_sym_class] = ACTIONS(568),
    [anon_sym_switch] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(566),
    [anon_sym_RBRACE] = ACTIONS(566),
    [anon_sym_case] = ACTIONS(568),
    [anon_sym_default] = ACTIONS(568),
    [anon_sym_SEMI] = ACTIONS(566),
    [anon_sym_assert] = ACTIONS(568),
    [anon_sym_do] = ACTIONS(568),
    [anon_sym_while] = ACTIONS(568),
    [anon_sym_break] = ACTIONS(568),
    [anon_sym_continue] = ACTIONS(568),
    [anon_sym_return] = ACTIONS(568),
    [anon_sym_yield] = ACTIONS(568),
    [anon_sym_synchronized] = ACTIONS(568),
    [anon_sym_throw] = ACTIONS(568),
    [anon_sym_try] = ACTIONS(568),
    [anon_sym_if] = ACTIONS(568),
    [anon_sym_else] = ACTIONS(568),
    [anon_sym_for] = ACTIONS(568),
    [anon_sym_AT] = ACTIONS(568),
    [anon_sym_open] = ACTIONS(568),
    [anon_sym_module] = ACTIONS(568),
    [anon_sym_static] = ACTIONS(568),
    [anon_sym_package] = ACTIONS(568),
    [anon_sym_import] = ACTIONS(568),
    [anon_sym_enum] = ACTIONS(568),
    [anon_sym_public] = ACTIONS(568),
    [anon_sym_protected] = ACTIONS(568),
    [anon_sym_private] = ACTIONS(568),
    [anon_sym_abstract] = ACTIONS(568),
    [anon_sym_strictfp] = ACTIONS(568),
    [anon_sym_native] = ACTIONS(568),
    [anon_sym_transient] = ACTIONS(568),
    [anon_sym_volatile] = ACTIONS(568),
    [anon_sym_sealed] = ACTIONS(568),
    [anon_sym_non_DASHsealed] = ACTIONS(566),
    [anon_sym_record] = ACTIONS(568),
    [anon_sym_ATinterface] = ACTIONS(566),
    [anon_sym_interface] = ACTIONS(568),
    [anon_sym_byte] = ACTIONS(568),
    [anon_sym_short] = ACTIONS(568),
    [anon_sym_int] = ACTIONS(568),
    [anon_sym_long] = ACTIONS(568),
    [anon_sym_char] = ACTIONS(568),
    [anon_sym_float] = ACTIONS(568),
    [anon_sym_double] = ACTIONS(568),
    [sym_boolean_type] = ACTIONS(568),
    [sym_void_type] = ACTIONS(568),
    [sym_this] = ACTIONS(568),
    [sym_super] = ACTIONS(568),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [200] = {
    [ts_builtin_sym_end] = ACTIONS(570),
    [sym_identifier] = ACTIONS(572),
    [sym_decimal_integer_literal] = ACTIONS(572),
    [sym_hex_integer_literal] = ACTIONS(572),
    [sym_octal_integer_literal] = ACTIONS(570),
    [sym_binary_integer_literal] = ACTIONS(570),
    [sym_decimal_floating_point_literal] = ACTIONS(570),
    [sym_hex_floating_point_literal] = ACTIONS(572),
    [sym_true] = ACTIONS(572),
    [sym_false] = ACTIONS(572),
    [sym_character_literal] = ACTIONS(570),
    [anon_sym_DQUOTE] = ACTIONS(572),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(570),
    [sym_null_literal] = ACTIONS(572),
    [anon_sym_LPAREN] = ACTIONS(570),
    [anon_sym_LT] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_final] = ACTIONS(572),
    [anon_sym_BANG] = ACTIONS(570),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS_PLUS] = ACTIONS(570),
    [anon_sym_DASH_DASH] = ACTIONS(570),
    [anon_sym_new] = ACTIONS(572),
    [anon_sym_class] = ACTIONS(572),
    [anon_sym_switch] = ACTIONS(572),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_RBRACE] = ACTIONS(570),
    [anon_sym_case] = ACTIONS(572),
    [anon_sym_default] = ACTIONS(572),
    [anon_sym_SEMI] = ACTIONS(570),
    [anon_sym_assert] = ACTIONS(572),
    [anon_sym_do] = ACTIONS(572),
    [anon_sym_while] = ACTIONS(572),
    [anon_sym_break] = ACTIONS(572),
    [anon_sym_continue] = ACTIONS(572),
    [anon_sym_return] = ACTIONS(572),
    [anon_sym_yield] = ACTIONS(572),
    [anon_sym_synchronized] = ACTIONS(572),
    [anon_sym_throw] = ACTIONS(572),
    [anon_sym_try] = ACTIONS(572),
    [anon_sym_if] = ACTIONS(572),
    [anon_sym_else] = ACTIONS(572),
    [anon_sym_for] = ACTIONS(572),
    [anon_sym_AT] = ACTIONS(572),
    [anon_sym_open] = ACTIONS(572),
    [anon_sym_module] = ACTIONS(572),
    [anon_sym_static] = ACTIONS(572),
    [anon_sym_package] = ACTIONS(572),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_enum] = ACTIONS(572),
    [anon_sym_public] = ACTIONS(572),
    [anon_sym_protected] = ACTIONS(572),
    [anon_sym_private] = ACTIONS(572),
    [anon_sym_abstract] = ACTIONS(572),
    [anon_sym_strictfp] = ACTIONS(572),
    [anon_sym_native] = ACTIONS(572),
    [anon_sym_transient] = ACTIONS(572),
    [anon_sym_volatile] = ACTIONS(572),
    [anon_sym_sealed] = ACTIONS(572),
    [anon_sym_non_DASHsealed] = ACTIONS(570),
    [anon_sym_record] = ACTIONS(572),
    [anon_sym_ATinterface] = ACTIONS(570),
    [anon_sym_interface] = ACTIONS(572),
    [anon_sym_byte] = ACTIONS(572),
    [anon_sym_short] = ACTIONS(572),
    [anon_sym_int] = ACTIONS(572),
    [anon_sym_long] = ACTIONS(572),
    [anon_sym_char] = ACTIONS(572),
    [anon_sym_float] = ACTIONS(572),
    [anon_sym_double] = ACTIONS(572),
    [sym_boolean_type] = ACTIONS(572),
    [sym_void_type] = ACTIONS(572),
    [sym_this] = ACTIONS(572),
    [sym_super] = ACTIONS(572),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [201] = {
    [ts_builtin_sym_end] = ACTIONS(574),
    [sym_identifier] = ACTIONS(576),
    [sym_decimal_integer_literal] = ACTIONS(576),
    [sym_hex_integer_literal] = ACTIONS(576),
    [sym_octal_integer_literal] = ACTIONS(574),
    [sym_binary_integer_literal] = ACTIONS(574),
    [sym_decimal_floating_point_literal] = ACTIONS(574),
    [sym_hex_floating_point_literal] = ACTIONS(576),
    [sym_true] = ACTIONS(576),
    [sym_false] = ACTIONS(576),
    [sym_character_literal] = ACTIONS(574),
    [anon_sym_DQUOTE] = ACTIONS(576),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(574),
    [sym_null_literal] = ACTIONS(576),
    [anon_sym_LPAREN] = ACTIONS(574),
    [anon_sym_LT] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(576),
    [anon_sym_DASH] = ACTIONS(576),
    [anon_sym_final] = ACTIONS(576),
    [anon_sym_BANG] = ACTIONS(574),
    [anon_sym_TILDE] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_new] = ACTIONS(576),
    [anon_sym_class] = ACTIONS(576),
    [anon_sym_switch] = ACTIONS(576),
    [anon_sym_LBRACE] = ACTIONS(574),
    [anon_sym_RBRACE] = ACTIONS(574),
    [anon_sym_case] = ACTIONS(576),
    [anon_sym_default] = ACTIONS(576),
    [anon_sym_SEMI] = ACTIONS(574),
    [anon_sym_assert] = ACTIONS(576),
    [anon_sym_do] = ACTIONS(576),
    [anon_sym_while] = ACTIONS(576),
    [anon_sym_break] = ACTIONS(576),
    [anon_sym_continue] = ACTIONS(576),
    [anon_sym_return] = ACTIONS(576),
    [anon_sym_yield] = ACTIONS(576),
    [anon_sym_synchronized] = ACTIONS(576),
    [anon_sym_throw] = ACTIONS(576),
    [anon_sym_try] = ACTIONS(576),
    [anon_sym_if] = ACTIONS(576),
    [anon_sym_else] = ACTIONS(576),
    [anon_sym_for] = ACTIONS(576),
    [anon_sym_AT] = ACTIONS(576),
    [anon_sym_open] = ACTIONS(576),
    [anon_sym_module] = ACTIONS(576),
    [anon_sym_static] = ACTIONS(576),
    [anon_sym_package] = ACTIONS(576),
    [anon_sym_import] = ACTIONS(576),
    [anon_sym_enum] = ACTIONS(576),
    [anon_sym_public] = ACTIONS(576),
    [anon_sym_protected] = ACTIONS(576),
    [anon_sym_private] = ACTIONS(576),
    [anon_sym_abstract] = ACTIONS(576),
    [anon_sym_strictfp] = ACTIONS(576),
    [anon_sym_native] = ACTIONS(576),
    [anon_sym_transient] = ACTIONS(576),
    [anon_sym_volatile] = ACTIONS(576),
    [anon_sym_sealed] = ACTIONS(576),
    [anon_sym_non_DASHsealed] = ACTIONS(574),
    [anon_sym_record] = ACTIONS(576),
    [anon_sym_ATinterface] = ACTIONS(574),
    [anon_sym_interface] = ACTIONS(576),
    [anon_sym_byte] = ACTIONS(576),
    [anon_sym_short] = ACTIONS(576),
    [anon_sym_int] = ACTIONS(576),
    [anon_sym_long] = ACTIONS(576),
    [anon_sym_char] = ACTIONS(576),
    [anon_sym_float] = ACTIONS(576),
    [anon_sym_double] = ACTIONS(576),
    [sym_boolean_type] = ACTIONS(576),
    [sym_void_type] = ACTIONS(576),
    [sym_this] = ACTIONS(576),
    [sym_super] = ACTIONS(576),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [202] = {
    [ts_builtin_sym_end] = ACTIONS(578),
    [sym_identifier] = ACTIONS(580),
    [sym_decimal_integer_literal] = ACTIONS(580),
    [sym_hex_integer_literal] = ACTIONS(580),
    [sym_octal_integer_literal] = ACTIONS(578),
    [sym_binary_integer_literal] = ACTIONS(578),
    [sym_decimal_floating_point_literal] = ACTIONS(578),
    [sym_hex_floating_point_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(580),
    [sym_false] = ACTIONS(580),
    [sym_character_literal] = ACTIONS(578),
    [anon_sym_DQUOTE] = ACTIONS(580),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(578),
    [sym_null_literal] = ACTIONS(580),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_LT] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(580),
    [anon_sym_DASH] = ACTIONS(580),
    [anon_sym_final] = ACTIONS(580),
    [anon_sym_BANG] = ACTIONS(578),
    [anon_sym_TILDE] = ACTIONS(578),
    [anon_sym_PLUS_PLUS] = ACTIONS(578),
    [anon_sym_DASH_DASH] = ACTIONS(578),
    [anon_sym_new] = ACTIONS(580),
    [anon_sym_class] = ACTIONS(580),
    [anon_sym_switch] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(578),
    [anon_sym_RBRACE] = ACTIONS(578),
    [anon_sym_case] = ACTIONS(580),
    [anon_sym_default] = ACTIONS(580),
    [anon_sym_SEMI] = ACTIONS(578),
    [anon_sym_assert] = ACTIONS(580),
    [anon_sym_do] = ACTIONS(580),
    [anon_sym_while] = ACTIONS(580),
    [anon_sym_break] = ACTIONS(580),
    [anon_sym_continue] = ACTIONS(580),
    [anon_sym_return] = ACTIONS(580),
    [anon_sym_yield] = ACTIONS(580),
    [anon_sym_synchronized] = ACTIONS(580),
    [anon_sym_throw] = ACTIONS(580),
    [anon_sym_try] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(580),
    [anon_sym_else] = ACTIONS(580),
    [anon_sym_for] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(580),
    [anon_sym_open] = ACTIONS(580),
    [anon_sym_module] = ACTIONS(580),
    [anon_sym_static] = ACTIONS(580),
    [anon_sym_package] = ACTIONS(580),
    [anon_sym_import] = ACTIONS(580),
    [anon_sym_enum] = ACTIONS(580),
    [anon_sym_public] = ACTIONS(580),
    [anon_sym_protected] = ACTIONS(580),
    [anon_sym_private] = ACTIONS(580),
    [anon_sym_abstract] = ACTIONS(580),
    [anon_sym_strictfp] = ACTIONS(580),
    [anon_sym_native] = ACTIONS(580),
    [anon_sym_transient] = ACTIONS(580),
    [anon_sym_volatile] = ACTIONS(580),
    [anon_sym_sealed] = ACTIONS(580),
    [anon_sym_non_DASHsealed] = ACTIONS(578),
    [anon_sym_record] = ACTIONS(580),
    [anon_sym_ATinterface] = ACTIONS(578),
    [anon_sym_interface] = ACTIONS(580),
    [anon_sym_byte] = ACTIONS(580),
    [anon_sym_short] = ACTIONS(580),
    [anon_sym_int] = ACTIONS(580),
    [anon_sym_long] = ACTIONS(580),
    [anon_sym_char] = ACTIONS(580),
    [anon_sym_float] = ACTIONS(580),
    [anon_sym_double] = ACTIONS(580),
    [sym_boolean_type] = ACTIONS(580),
    [sym_void_type] = ACTIONS(580),
    [sym_this] = ACTIONS(580),
    [sym_super] = ACTIONS(580),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [203] = {
    [ts_builtin_sym_end] = ACTIONS(582),
    [sym_identifier] = ACTIONS(584),
    [sym_decimal_integer_literal] = ACTIONS(584),
    [sym_hex_integer_literal] = ACTIONS(584),
    [sym_octal_integer_literal] = ACTIONS(582),
    [sym_binary_integer_literal] = ACTIONS(582),
    [sym_decimal_floating_point_literal] = ACTIONS(582),
    [sym_hex_floating_point_literal] = ACTIONS(584),
    [sym_true] = ACTIONS(584),
    [sym_false] = ACTIONS(584),
    [sym_character_literal] = ACTIONS(582),
    [anon_sym_DQUOTE] = ACTIONS(584),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(582),
    [sym_null_literal] = ACTIONS(584),
    [anon_sym_LPAREN] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_final] = ACTIONS(584),
    [anon_sym_BANG] = ACTIONS(582),
    [anon_sym_TILDE] = ACTIONS(582),
    [anon_sym_PLUS_PLUS] = ACTIONS(582),
    [anon_sym_DASH_DASH] = ACTIONS(582),
    [anon_sym_new] = ACTIONS(584),
    [anon_sym_class] = ACTIONS(584),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(582),
    [anon_sym_RBRACE] = ACTIONS(582),
    [anon_sym_case] = ACTIONS(584),
    [anon_sym_default] = ACTIONS(584),
    [anon_sym_SEMI] = ACTIONS(582),
    [anon_sym_assert] = ACTIONS(584),
    [anon_sym_do] = ACTIONS(584),
    [anon_sym_while] = ACTIONS(584),
    [anon_sym_break] = ACTIONS(584),
    [anon_sym_continue] = ACTIONS(584),
    [anon_sym_return] = ACTIONS(584),
    [anon_sym_yield] = ACTIONS(584),
    [anon_sym_synchronized] = ACTIONS(584),
    [anon_sym_throw] = ACTIONS(584),
    [anon_sym_try] = ACTIONS(584),
    [anon_sym_if] = ACTIONS(584),
    [anon_sym_else] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(584),
    [anon_sym_AT] = ACTIONS(584),
    [anon_sym_open] = ACTIONS(584),
    [anon_sym_module] = ACTIONS(584),
    [anon_sym_static] = ACTIONS(584),
    [anon_sym_package] = ACTIONS(584),
    [anon_sym_import] = ACTIONS(584),
    [anon_sym_enum] = ACTIONS(584),
    [anon_sym_public] = ACTIONS(584),
    [anon_sym_protected] = ACTIONS(584),
    [anon_sym_private] = ACTIONS(584),
    [anon_sym_abstract] = ACTIONS(584),
    [anon_sym_strictfp] = ACTIONS(584),
    [anon_sym_native] = ACTIONS(584),
    [anon_sym_transient] = ACTIONS(584),
    [anon_sym_volatile] = ACTIONS(584),
    [anon_sym_sealed] = ACTIONS(584),
    [anon_sym_non_DASHsealed] = ACTIONS(582),
    [anon_sym_record] = ACTIONS(584),
    [anon_sym_ATinterface] = ACTIONS(582),
    [anon_sym_interface] = ACTIONS(584),
    [anon_sym_byte] = ACTIONS(584),
    [anon_sym_short] = ACTIONS(584),
    [anon_sym_int] = ACTIONS(584),
    [anon_sym_long] = ACTIONS(584),
    [anon_sym_char] = ACTIONS(584),
    [anon_sym_float] = ACTIONS(584),
    [anon_sym_double] = ACTIONS(584),
    [sym_boolean_type] = ACTIONS(584),
    [sym_void_type] = ACTIONS(584),
    [sym_this] = ACTIONS(584),
    [sym_super] = ACTIONS(584),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [204] = {
    [ts_builtin_sym_end] = ACTIONS(586),
    [sym_identifier] = ACTIONS(588),
    [sym_decimal_integer_literal] = ACTIONS(588),
    [sym_hex_integer_literal] = ACTIONS(588),
    [sym_octal_integer_literal] = ACTIONS(586),
    [sym_binary_integer_literal] = ACTIONS(586),
    [sym_decimal_floating_point_literal] = ACTIONS(586),
    [sym_hex_floating_point_literal] = ACTIONS(588),
    [sym_true] = ACTIONS(588),
    [sym_false] = ACTIONS(588),
    [sym_character_literal] = ACTIONS(586),
    [anon_sym_DQUOTE] = ACTIONS(588),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(586),
    [sym_null_literal] = ACTIONS(588),
    [anon_sym_LPAREN] = ACTIONS(586),
    [anon_sym_LT] = ACTIONS(586),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_final] = ACTIONS(588),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(586),
    [anon_sym_DASH_DASH] = ACTIONS(586),
    [anon_sym_new] = ACTIONS(588),
    [anon_sym_class] = ACTIONS(588),
    [anon_sym_switch] = ACTIONS(588),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_RBRACE] = ACTIONS(586),
    [anon_sym_case] = ACTIONS(588),
    [anon_sym_default] = ACTIONS(588),
    [anon_sym_SEMI] = ACTIONS(586),
    [anon_sym_assert] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_break] = ACTIONS(588),
    [anon_sym_continue] = ACTIONS(588),
    [anon_sym_return] = ACTIONS(588),
    [anon_sym_yield] = ACTIONS(588),
    [anon_sym_synchronized] = ACTIONS(588),
    [anon_sym_throw] = ACTIONS(588),
    [anon_sym_try] = ACTIONS(588),
    [anon_sym_if] = ACTIONS(588),
    [anon_sym_else] = ACTIONS(588),
    [anon_sym_for] = ACTIONS(588),
    [anon_sym_AT] = ACTIONS(588),
    [anon_sym_open] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(588),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_package] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(588),
    [anon_sym_enum] = ACTIONS(588),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(588),
    [anon_sym_strictfp] = ACTIONS(588),
    [anon_sym_native] = ACTIONS(588),
    [anon_sym_transient] = ACTIONS(588),
    [anon_sym_volatile] = ACTIONS(588),
    [anon_sym_sealed] = ACTIONS(588),
    [anon_sym_non_DASHsealed] = ACTIONS(586),
    [anon_sym_record] = ACTIONS(588),
    [anon_sym_ATinterface] = ACTIONS(586),
    [anon_sym_interface] = ACTIONS(588),
    [anon_sym_byte] = ACTIONS(588),
    [anon_sym_short] = ACTIONS(588),
    [anon_sym_int] = ACTIONS(588),
    [anon_sym_long] = ACTIONS(588),
    [anon_sym_char] = ACTIONS(588),
    [anon_sym_float] = ACTIONS(588),
    [anon_sym_double] = ACTIONS(588),
    [sym_boolean_type] = ACTIONS(588),
    [sym_void_type] = ACTIONS(588),
    [sym_this] = ACTIONS(588),
    [sym_super] = ACTIONS(588),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [205] = {
    [ts_builtin_sym_end] = ACTIONS(590),
    [sym_identifier] = ACTIONS(592),
    [sym_decimal_integer_literal] = ACTIONS(592),
    [sym_hex_integer_literal] = ACTIONS(592),
    [sym_octal_integer_literal] = ACTIONS(590),
    [sym_binary_integer_literal] = ACTIONS(590),
    [sym_decimal_floating_point_literal] = ACTIONS(590),
    [sym_hex_floating_point_literal] = ACTIONS(592),
    [sym_true] = ACTIONS(592),
    [sym_false] = ACTIONS(592),
    [sym_character_literal] = ACTIONS(590),
    [anon_sym_DQUOTE] = ACTIONS(592),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(590),
    [sym_null_literal] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(590),
    [anon_sym_LT] = ACTIONS(590),
    [anon_sym_PLUS] = ACTIONS(592),
    [anon_sym_DASH] = ACTIONS(592),
    [anon_sym_final] = ACTIONS(592),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(592),
    [anon_sym_class] = ACTIONS(592),
    [anon_sym_switch] = ACTIONS(592),
    [anon_sym_LBRACE] = ACTIONS(590),
    [anon_sym_RBRACE] = ACTIONS(590),
    [anon_sym_case] = ACTIONS(592),
    [anon_sym_default] = ACTIONS(592),
    [anon_sym_SEMI] = ACTIONS(590),
    [anon_sym_assert] = ACTIONS(592),
    [anon_sym_do] = ACTIONS(592),
    [anon_sym_while] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(592),
    [anon_sym_continue] = ACTIONS(592),
    [anon_sym_return] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(592),
    [anon_sym_synchronized] = ACTIONS(592),
    [anon_sym_throw] = ACTIONS(592),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_if] = ACTIONS(592),
    [anon_sym_else] = ACTIONS(592),
    [anon_sym_for] = ACTIONS(592),
    [anon_sym_AT] = ACTIONS(592),
    [anon_sym_open] = ACTIONS(592),
    [anon_sym_module] = ACTIONS(592),
    [anon_sym_static] = ACTIONS(592),
    [anon_sym_package] = ACTIONS(592),
    [anon_sym_import] = ACTIONS(592),
    [anon_sym_enum] = ACTIONS(592),
    [anon_sym_public] = ACTIONS(592),
    [anon_sym_protected] = ACTIONS(592),
    [anon_sym_private] = ACTIONS(592),
    [anon_sym_abstract] = ACTIONS(592),
    [anon_sym_strictfp] = ACTIONS(592),
    [anon_sym_native] = ACTIONS(592),
    [anon_sym_transient] = ACTIONS(592),
    [anon_sym_volatile] = ACTIONS(592),
    [anon_sym_sealed] = ACTIONS(592),
    [anon_sym_non_DASHsealed] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_ATinterface] = ACTIONS(590),
    [anon_sym_interface] = ACTIONS(592),
    [anon_sym_byte] = ACTIONS(592),
    [anon_sym_short] = ACTIONS(592),
    [anon_sym_int] = ACTIONS(592),
    [anon_sym_long] = ACTIONS(592),
    [anon_sym_char] = ACTIONS(592),
    [anon_sym_float] = ACTIONS(592),
    [anon_sym_double] = ACTIONS(592),
    [sym_boolean_type] = ACTIONS(592),
    [sym_void_type] = ACTIONS(592),
    [sym_this] = ACTIONS(592),
    [sym_super] = ACTIONS(592),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [206] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(567),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1244),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(397),
    [sym_array_access] = STATE(397),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1244),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(374),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(376),
    [anon_sym_PLUS] = ACTIONS(378),
    [anon_sym_DASH] = ACTIONS(378),
    [anon_sym_BANG] = ACTIONS(380),
    [anon_sym_TILDE] = ACTIONS(380),
    [anon_sym_PLUS_PLUS] = ACTIONS(382),
    [anon_sym_DASH_DASH] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(384),
    [anon_sym_module] = ACTIONS(384),
    [anon_sym_record] = ACTIONS(384),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [207] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(598),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1244),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(397),
    [sym_array_access] = STATE(397),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1244),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(374),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(376),
    [anon_sym_PLUS] = ACTIONS(378),
    [anon_sym_DASH] = ACTIONS(378),
    [anon_sym_BANG] = ACTIONS(380),
    [anon_sym_TILDE] = ACTIONS(380),
    [anon_sym_PLUS_PLUS] = ACTIONS(382),
    [anon_sym_DASH_DASH] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(384),
    [anon_sym_module] = ACTIONS(384),
    [anon_sym_record] = ACTIONS(384),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [208] = {
    [ts_builtin_sym_end] = ACTIONS(594),
    [sym_identifier] = ACTIONS(596),
    [sym_decimal_integer_literal] = ACTIONS(596),
    [sym_hex_integer_literal] = ACTIONS(596),
    [sym_octal_integer_literal] = ACTIONS(594),
    [sym_binary_integer_literal] = ACTIONS(594),
    [sym_decimal_floating_point_literal] = ACTIONS(594),
    [sym_hex_floating_point_literal] = ACTIONS(596),
    [sym_true] = ACTIONS(596),
    [sym_false] = ACTIONS(596),
    [sym_character_literal] = ACTIONS(594),
    [anon_sym_DQUOTE] = ACTIONS(596),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(594),
    [sym_null_literal] = ACTIONS(596),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LT] = ACTIONS(594),
    [anon_sym_PLUS] = ACTIONS(596),
    [anon_sym_DASH] = ACTIONS(596),
    [anon_sym_final] = ACTIONS(596),
    [anon_sym_BANG] = ACTIONS(594),
    [anon_sym_TILDE] = ACTIONS(594),
    [anon_sym_PLUS_PLUS] = ACTIONS(594),
    [anon_sym_DASH_DASH] = ACTIONS(594),
    [anon_sym_new] = ACTIONS(596),
    [anon_sym_class] = ACTIONS(596),
    [anon_sym_switch] = ACTIONS(596),
    [anon_sym_LBRACE] = ACTIONS(594),
    [anon_sym_RBRACE] = ACTIONS(594),
    [anon_sym_case] = ACTIONS(596),
    [anon_sym_default] = ACTIONS(596),
    [anon_sym_SEMI] = ACTIONS(594),
    [anon_sym_assert] = ACTIONS(596),
    [anon_sym_do] = ACTIONS(596),
    [anon_sym_while] = ACTIONS(596),
    [anon_sym_break] = ACTIONS(596),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_return] = ACTIONS(596),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_synchronized] = ACTIONS(596),
    [anon_sym_throw] = ACTIONS(596),
    [anon_sym_try] = ACTIONS(596),
    [anon_sym_if] = ACTIONS(596),
    [anon_sym_else] = ACTIONS(596),
    [anon_sym_for] = ACTIONS(596),
    [anon_sym_AT] = ACTIONS(596),
    [anon_sym_open] = ACTIONS(596),
    [anon_sym_module] = ACTIONS(596),
    [anon_sym_static] = ACTIONS(596),
    [anon_sym_package] = ACTIONS(596),
    [anon_sym_import] = ACTIONS(596),
    [anon_sym_enum] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(596),
    [anon_sym_protected] = ACTIONS(596),
    [anon_sym_private] = ACTIONS(596),
    [anon_sym_abstract] = ACTIONS(596),
    [anon_sym_strictfp] = ACTIONS(596),
    [anon_sym_native] = ACTIONS(596),
    [anon_sym_transient] = ACTIONS(596),
    [anon_sym_volatile] = ACTIONS(596),
    [anon_sym_sealed] = ACTIONS(596),
    [anon_sym_non_DASHsealed] = ACTIONS(594),
    [anon_sym_record] = ACTIONS(596),
    [anon_sym_ATinterface] = ACTIONS(594),
    [anon_sym_interface] = ACTIONS(596),
    [anon_sym_byte] = ACTIONS(596),
    [anon_sym_short] = ACTIONS(596),
    [anon_sym_int] = ACTIONS(596),
    [anon_sym_long] = ACTIONS(596),
    [anon_sym_char] = ACTIONS(596),
    [anon_sym_float] = ACTIONS(596),
    [anon_sym_double] = ACTIONS(596),
    [sym_boolean_type] = ACTIONS(596),
    [sym_void_type] = ACTIONS(596),
    [sym_this] = ACTIONS(596),
    [sym_super] = ACTIONS(596),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [209] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(512),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1244),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(397),
    [sym_array_access] = STATE(397),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1244),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(374),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(376),
    [anon_sym_PLUS] = ACTIONS(378),
    [anon_sym_DASH] = ACTIONS(378),
    [anon_sym_BANG] = ACTIONS(380),
    [anon_sym_TILDE] = ACTIONS(380),
    [anon_sym_PLUS_PLUS] = ACTIONS(382),
    [anon_sym_DASH_DASH] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(384),
    [anon_sym_module] = ACTIONS(384),
    [anon_sym_record] = ACTIONS(384),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [210] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(509),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1244),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(397),
    [sym_array_access] = STATE(397),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1244),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(374),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(376),
    [anon_sym_PLUS] = ACTIONS(378),
    [anon_sym_DASH] = ACTIONS(378),
    [anon_sym_BANG] = ACTIONS(380),
    [anon_sym_TILDE] = ACTIONS(380),
    [anon_sym_PLUS_PLUS] = ACTIONS(382),
    [anon_sym_DASH_DASH] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(384),
    [anon_sym_module] = ACTIONS(384),
    [anon_sym_record] = ACTIONS(384),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [211] = {
    [ts_builtin_sym_end] = ACTIONS(598),
    [sym_identifier] = ACTIONS(600),
    [sym_decimal_integer_literal] = ACTIONS(600),
    [sym_hex_integer_literal] = ACTIONS(600),
    [sym_octal_integer_literal] = ACTIONS(598),
    [sym_binary_integer_literal] = ACTIONS(598),
    [sym_decimal_floating_point_literal] = ACTIONS(598),
    [sym_hex_floating_point_literal] = ACTIONS(600),
    [sym_true] = ACTIONS(600),
    [sym_false] = ACTIONS(600),
    [sym_character_literal] = ACTIONS(598),
    [anon_sym_DQUOTE] = ACTIONS(600),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(598),
    [sym_null_literal] = ACTIONS(600),
    [anon_sym_LPAREN] = ACTIONS(598),
    [anon_sym_LT] = ACTIONS(598),
    [anon_sym_PLUS] = ACTIONS(600),
    [anon_sym_DASH] = ACTIONS(600),
    [anon_sym_final] = ACTIONS(600),
    [anon_sym_BANG] = ACTIONS(598),
    [anon_sym_TILDE] = ACTIONS(598),
    [anon_sym_PLUS_PLUS] = ACTIONS(598),
    [anon_sym_DASH_DASH] = ACTIONS(598),
    [anon_sym_new] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(600),
    [anon_sym_switch] = ACTIONS(600),
    [anon_sym_LBRACE] = ACTIONS(598),
    [anon_sym_RBRACE] = ACTIONS(598),
    [anon_sym_case] = ACTIONS(600),
    [anon_sym_default] = ACTIONS(600),
    [anon_sym_SEMI] = ACTIONS(598),
    [anon_sym_assert] = ACTIONS(600),
    [anon_sym_do] = ACTIONS(600),
    [anon_sym_while] = ACTIONS(600),
    [anon_sym_break] = ACTIONS(600),
    [anon_sym_continue] = ACTIONS(600),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_yield] = ACTIONS(600),
    [anon_sym_synchronized] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(600),
    [anon_sym_try] = ACTIONS(600),
    [anon_sym_if] = ACTIONS(600),
    [anon_sym_else] = ACTIONS(600),
    [anon_sym_for] = ACTIONS(600),
    [anon_sym_AT] = ACTIONS(600),
    [anon_sym_open] = ACTIONS(600),
    [anon_sym_module] = ACTIONS(600),
    [anon_sym_static] = ACTIONS(600),
    [anon_sym_package] = ACTIONS(600),
    [anon_sym_import] = ACTIONS(600),
    [anon_sym_enum] = ACTIONS(600),
    [anon_sym_public] = ACTIONS(600),
    [anon_sym_protected] = ACTIONS(600),
    [anon_sym_private] = ACTIONS(600),
    [anon_sym_abstract] = ACTIONS(600),
    [anon_sym_strictfp] = ACTIONS(600),
    [anon_sym_native] = ACTIONS(600),
    [anon_sym_transient] = ACTIONS(600),
    [anon_sym_volatile] = ACTIONS(600),
    [anon_sym_sealed] = ACTIONS(600),
    [anon_sym_non_DASHsealed] = ACTIONS(598),
    [anon_sym_record] = ACTIONS(600),
    [anon_sym_ATinterface] = ACTIONS(598),
    [anon_sym_interface] = ACTIONS(600),
    [anon_sym_byte] = ACTIONS(600),
    [anon_sym_short] = ACTIONS(600),
    [anon_sym_int] = ACTIONS(600),
    [anon_sym_long] = ACTIONS(600),
    [anon_sym_char] = ACTIONS(600),
    [anon_sym_float] = ACTIONS(600),
    [anon_sym_double] = ACTIONS(600),
    [sym_boolean_type] = ACTIONS(600),
    [sym_void_type] = ACTIONS(600),
    [sym_this] = ACTIONS(600),
    [sym_super] = ACTIONS(600),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [212] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(602),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1244),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(397),
    [sym_array_access] = STATE(397),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1244),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(374),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(376),
    [anon_sym_PLUS] = ACTIONS(378),
    [anon_sym_DASH] = ACTIONS(378),
    [anon_sym_BANG] = ACTIONS(380),
    [anon_sym_TILDE] = ACTIONS(380),
    [anon_sym_PLUS_PLUS] = ACTIONS(382),
    [anon_sym_DASH_DASH] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(384),
    [anon_sym_module] = ACTIONS(384),
    [anon_sym_record] = ACTIONS(384),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [213] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(556),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1244),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(397),
    [sym_array_access] = STATE(397),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1244),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(374),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(376),
    [anon_sym_PLUS] = ACTIONS(378),
    [anon_sym_DASH] = ACTIONS(378),
    [anon_sym_BANG] = ACTIONS(380),
    [anon_sym_TILDE] = ACTIONS(380),
    [anon_sym_PLUS_PLUS] = ACTIONS(382),
    [anon_sym_DASH_DASH] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(384),
    [anon_sym_module] = ACTIONS(384),
    [anon_sym_record] = ACTIONS(384),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [214] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(557),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1244),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(397),
    [sym_array_access] = STATE(397),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1244),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(374),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(376),
    [anon_sym_PLUS] = ACTIONS(378),
    [anon_sym_DASH] = ACTIONS(378),
    [anon_sym_BANG] = ACTIONS(380),
    [anon_sym_TILDE] = ACTIONS(380),
    [anon_sym_PLUS_PLUS] = ACTIONS(382),
    [anon_sym_DASH_DASH] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(384),
    [anon_sym_module] = ACTIONS(384),
    [anon_sym_record] = ACTIONS(384),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [215] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(559),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1244),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(397),
    [sym_array_access] = STATE(397),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1244),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(374),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(376),
    [anon_sym_PLUS] = ACTIONS(378),
    [anon_sym_DASH] = ACTIONS(378),
    [anon_sym_BANG] = ACTIONS(380),
    [anon_sym_TILDE] = ACTIONS(380),
    [anon_sym_PLUS_PLUS] = ACTIONS(382),
    [anon_sym_DASH_DASH] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(384),
    [anon_sym_module] = ACTIONS(384),
    [anon_sym_record] = ACTIONS(384),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [216] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(565),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1244),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(397),
    [sym_array_access] = STATE(397),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1244),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(374),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(376),
    [anon_sym_PLUS] = ACTIONS(378),
    [anon_sym_DASH] = ACTIONS(378),
    [anon_sym_BANG] = ACTIONS(380),
    [anon_sym_TILDE] = ACTIONS(380),
    [anon_sym_PLUS_PLUS] = ACTIONS(382),
    [anon_sym_DASH_DASH] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(384),
    [anon_sym_module] = ACTIONS(384),
    [anon_sym_record] = ACTIONS(384),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [217] = {
    [ts_builtin_sym_end] = ACTIONS(602),
    [sym_identifier] = ACTIONS(604),
    [sym_decimal_integer_literal] = ACTIONS(604),
    [sym_hex_integer_literal] = ACTIONS(604),
    [sym_octal_integer_literal] = ACTIONS(602),
    [sym_binary_integer_literal] = ACTIONS(602),
    [sym_decimal_floating_point_literal] = ACTIONS(602),
    [sym_hex_floating_point_literal] = ACTIONS(604),
    [sym_true] = ACTIONS(604),
    [sym_false] = ACTIONS(604),
    [sym_character_literal] = ACTIONS(602),
    [anon_sym_DQUOTE] = ACTIONS(604),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(602),
    [sym_null_literal] = ACTIONS(604),
    [anon_sym_LPAREN] = ACTIONS(602),
    [anon_sym_LT] = ACTIONS(602),
    [anon_sym_PLUS] = ACTIONS(604),
    [anon_sym_DASH] = ACTIONS(604),
    [anon_sym_final] = ACTIONS(604),
    [anon_sym_BANG] = ACTIONS(602),
    [anon_sym_TILDE] = ACTIONS(602),
    [anon_sym_PLUS_PLUS] = ACTIONS(602),
    [anon_sym_DASH_DASH] = ACTIONS(602),
    [anon_sym_new] = ACTIONS(604),
    [anon_sym_class] = ACTIONS(604),
    [anon_sym_switch] = ACTIONS(604),
    [anon_sym_LBRACE] = ACTIONS(602),
    [anon_sym_RBRACE] = ACTIONS(602),
    [anon_sym_case] = ACTIONS(604),
    [anon_sym_default] = ACTIONS(604),
    [anon_sym_SEMI] = ACTIONS(602),
    [anon_sym_assert] = ACTIONS(604),
    [anon_sym_do] = ACTIONS(604),
    [anon_sym_while] = ACTIONS(604),
    [anon_sym_break] = ACTIONS(604),
    [anon_sym_continue] = ACTIONS(604),
    [anon_sym_return] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(604),
    [anon_sym_synchronized] = ACTIONS(604),
    [anon_sym_throw] = ACTIONS(604),
    [anon_sym_try] = ACTIONS(604),
    [anon_sym_if] = ACTIONS(604),
    [anon_sym_else] = ACTIONS(604),
    [anon_sym_for] = ACTIONS(604),
    [anon_sym_AT] = ACTIONS(604),
    [anon_sym_open] = ACTIONS(604),
    [anon_sym_module] = ACTIONS(604),
    [anon_sym_static] = ACTIONS(604),
    [anon_sym_package] = ACTIONS(604),
    [anon_sym_import] = ACTIONS(604),
    [anon_sym_enum] = ACTIONS(604),
    [anon_sym_public] = ACTIONS(604),
    [anon_sym_protected] = ACTIONS(604),
    [anon_sym_private] = ACTIONS(604),
    [anon_sym_abstract] = ACTIONS(604),
    [anon_sym_strictfp] = ACTIONS(604),
    [anon_sym_native] = ACTIONS(604),
    [anon_sym_transient] = ACTIONS(604),
    [anon_sym_volatile] = ACTIONS(604),
    [anon_sym_sealed] = ACTIONS(604),
    [anon_sym_non_DASHsealed] = ACTIONS(602),
    [anon_sym_record] = ACTIONS(604),
    [anon_sym_ATinterface] = ACTIONS(602),
    [anon_sym_interface] = ACTIONS(604),
    [anon_sym_byte] = ACTIONS(604),
    [anon_sym_short] = ACTIONS(604),
    [anon_sym_int] = ACTIONS(604),
    [anon_sym_long] = ACTIONS(604),
    [anon_sym_char] = ACTIONS(604),
    [anon_sym_float] = ACTIONS(604),
    [anon_sym_double] = ACTIONS(604),
    [sym_boolean_type] = ACTIONS(604),
    [sym_void_type] = ACTIONS(604),
    [sym_this] = ACTIONS(604),
    [sym_super] = ACTIONS(604),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [218] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(571),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1244),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(397),
    [sym_array_access] = STATE(397),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1244),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(374),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(376),
    [anon_sym_PLUS] = ACTIONS(378),
    [anon_sym_DASH] = ACTIONS(378),
    [anon_sym_BANG] = ACTIONS(380),
    [anon_sym_TILDE] = ACTIONS(380),
    [anon_sym_PLUS_PLUS] = ACTIONS(382),
    [anon_sym_DASH_DASH] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(384),
    [anon_sym_module] = ACTIONS(384),
    [anon_sym_record] = ACTIONS(384),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [219] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(531),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [220] = {
    [ts_builtin_sym_end] = ACTIONS(606),
    [sym_identifier] = ACTIONS(608),
    [sym_decimal_integer_literal] = ACTIONS(608),
    [sym_hex_integer_literal] = ACTIONS(608),
    [sym_octal_integer_literal] = ACTIONS(606),
    [sym_binary_integer_literal] = ACTIONS(606),
    [sym_decimal_floating_point_literal] = ACTIONS(606),
    [sym_hex_floating_point_literal] = ACTIONS(608),
    [sym_true] = ACTIONS(608),
    [sym_false] = ACTIONS(608),
    [sym_character_literal] = ACTIONS(606),
    [anon_sym_DQUOTE] = ACTIONS(608),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(606),
    [sym_null_literal] = ACTIONS(608),
    [anon_sym_LPAREN] = ACTIONS(606),
    [anon_sym_LT] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(608),
    [anon_sym_DASH] = ACTIONS(608),
    [anon_sym_final] = ACTIONS(608),
    [anon_sym_BANG] = ACTIONS(606),
    [anon_sym_TILDE] = ACTIONS(606),
    [anon_sym_PLUS_PLUS] = ACTIONS(606),
    [anon_sym_DASH_DASH] = ACTIONS(606),
    [anon_sym_new] = ACTIONS(608),
    [anon_sym_class] = ACTIONS(608),
    [anon_sym_switch] = ACTIONS(608),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_RBRACE] = ACTIONS(606),
    [anon_sym_case] = ACTIONS(608),
    [anon_sym_default] = ACTIONS(608),
    [anon_sym_SEMI] = ACTIONS(606),
    [anon_sym_assert] = ACTIONS(608),
    [anon_sym_do] = ACTIONS(608),
    [anon_sym_while] = ACTIONS(608),
    [anon_sym_break] = ACTIONS(608),
    [anon_sym_continue] = ACTIONS(608),
    [anon_sym_return] = ACTIONS(608),
    [anon_sym_yield] = ACTIONS(608),
    [anon_sym_synchronized] = ACTIONS(608),
    [anon_sym_throw] = ACTIONS(608),
    [anon_sym_try] = ACTIONS(608),
    [anon_sym_if] = ACTIONS(608),
    [anon_sym_else] = ACTIONS(608),
    [anon_sym_for] = ACTIONS(608),
    [anon_sym_AT] = ACTIONS(608),
    [anon_sym_open] = ACTIONS(608),
    [anon_sym_module] = ACTIONS(608),
    [anon_sym_static] = ACTIONS(608),
    [anon_sym_package] = ACTIONS(608),
    [anon_sym_import] = ACTIONS(608),
    [anon_sym_enum] = ACTIONS(608),
    [anon_sym_public] = ACTIONS(608),
    [anon_sym_protected] = ACTIONS(608),
    [anon_sym_private] = ACTIONS(608),
    [anon_sym_abstract] = ACTIONS(608),
    [anon_sym_strictfp] = ACTIONS(608),
    [anon_sym_native] = ACTIONS(608),
    [anon_sym_transient] = ACTIONS(608),
    [anon_sym_volatile] = ACTIONS(608),
    [anon_sym_sealed] = ACTIONS(608),
    [anon_sym_non_DASHsealed] = ACTIONS(606),
    [anon_sym_record] = ACTIONS(608),
    [anon_sym_ATinterface] = ACTIONS(606),
    [anon_sym_interface] = ACTIONS(608),
    [anon_sym_byte] = ACTIONS(608),
    [anon_sym_short] = ACTIONS(608),
    [anon_sym_int] = ACTIONS(608),
    [anon_sym_long] = ACTIONS(608),
    [anon_sym_char] = ACTIONS(608),
    [anon_sym_float] = ACTIONS(608),
    [anon_sym_double] = ACTIONS(608),
    [sym_boolean_type] = ACTIONS(608),
    [sym_void_type] = ACTIONS(608),
    [sym_this] = ACTIONS(608),
    [sym_super] = ACTIONS(608),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [221] = {
    [ts_builtin_sym_end] = ACTIONS(610),
    [sym_identifier] = ACTIONS(612),
    [sym_decimal_integer_literal] = ACTIONS(612),
    [sym_hex_integer_literal] = ACTIONS(612),
    [sym_octal_integer_literal] = ACTIONS(610),
    [sym_binary_integer_literal] = ACTIONS(610),
    [sym_decimal_floating_point_literal] = ACTIONS(610),
    [sym_hex_floating_point_literal] = ACTIONS(612),
    [sym_true] = ACTIONS(612),
    [sym_false] = ACTIONS(612),
    [sym_character_literal] = ACTIONS(610),
    [anon_sym_DQUOTE] = ACTIONS(612),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(610),
    [sym_null_literal] = ACTIONS(612),
    [anon_sym_LPAREN] = ACTIONS(610),
    [anon_sym_LT] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(612),
    [anon_sym_DASH] = ACTIONS(612),
    [anon_sym_final] = ACTIONS(612),
    [anon_sym_BANG] = ACTIONS(610),
    [anon_sym_TILDE] = ACTIONS(610),
    [anon_sym_PLUS_PLUS] = ACTIONS(610),
    [anon_sym_DASH_DASH] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(612),
    [anon_sym_class] = ACTIONS(612),
    [anon_sym_switch] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(610),
    [anon_sym_RBRACE] = ACTIONS(610),
    [anon_sym_case] = ACTIONS(612),
    [anon_sym_default] = ACTIONS(612),
    [anon_sym_SEMI] = ACTIONS(610),
    [anon_sym_assert] = ACTIONS(612),
    [anon_sym_do] = ACTIONS(612),
    [anon_sym_while] = ACTIONS(612),
    [anon_sym_break] = ACTIONS(612),
    [anon_sym_continue] = ACTIONS(612),
    [anon_sym_return] = ACTIONS(612),
    [anon_sym_yield] = ACTIONS(612),
    [anon_sym_synchronized] = ACTIONS(612),
    [anon_sym_throw] = ACTIONS(612),
    [anon_sym_try] = ACTIONS(612),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_else] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(612),
    [anon_sym_AT] = ACTIONS(612),
    [anon_sym_open] = ACTIONS(612),
    [anon_sym_module] = ACTIONS(612),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_package] = ACTIONS(612),
    [anon_sym_import] = ACTIONS(612),
    [anon_sym_enum] = ACTIONS(612),
    [anon_sym_public] = ACTIONS(612),
    [anon_sym_protected] = ACTIONS(612),
    [anon_sym_private] = ACTIONS(612),
    [anon_sym_abstract] = ACTIONS(612),
    [anon_sym_strictfp] = ACTIONS(612),
    [anon_sym_native] = ACTIONS(612),
    [anon_sym_transient] = ACTIONS(612),
    [anon_sym_volatile] = ACTIONS(612),
    [anon_sym_sealed] = ACTIONS(612),
    [anon_sym_non_DASHsealed] = ACTIONS(610),
    [anon_sym_record] = ACTIONS(612),
    [anon_sym_ATinterface] = ACTIONS(610),
    [anon_sym_interface] = ACTIONS(612),
    [anon_sym_byte] = ACTIONS(612),
    [anon_sym_short] = ACTIONS(612),
    [anon_sym_int] = ACTIONS(612),
    [anon_sym_long] = ACTIONS(612),
    [anon_sym_char] = ACTIONS(612),
    [anon_sym_float] = ACTIONS(612),
    [anon_sym_double] = ACTIONS(612),
    [sym_boolean_type] = ACTIONS(612),
    [sym_void_type] = ACTIONS(612),
    [sym_this] = ACTIONS(612),
    [sym_super] = ACTIONS(612),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [222] = {
    [ts_builtin_sym_end] = ACTIONS(614),
    [sym_identifier] = ACTIONS(616),
    [sym_decimal_integer_literal] = ACTIONS(616),
    [sym_hex_integer_literal] = ACTIONS(616),
    [sym_octal_integer_literal] = ACTIONS(614),
    [sym_binary_integer_literal] = ACTIONS(614),
    [sym_decimal_floating_point_literal] = ACTIONS(614),
    [sym_hex_floating_point_literal] = ACTIONS(616),
    [sym_true] = ACTIONS(616),
    [sym_false] = ACTIONS(616),
    [sym_character_literal] = ACTIONS(614),
    [anon_sym_DQUOTE] = ACTIONS(616),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(614),
    [sym_null_literal] = ACTIONS(616),
    [anon_sym_LPAREN] = ACTIONS(614),
    [anon_sym_LT] = ACTIONS(614),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_final] = ACTIONS(616),
    [anon_sym_BANG] = ACTIONS(614),
    [anon_sym_TILDE] = ACTIONS(614),
    [anon_sym_PLUS_PLUS] = ACTIONS(614),
    [anon_sym_DASH_DASH] = ACTIONS(614),
    [anon_sym_new] = ACTIONS(616),
    [anon_sym_class] = ACTIONS(616),
    [anon_sym_switch] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(614),
    [anon_sym_case] = ACTIONS(616),
    [anon_sym_default] = ACTIONS(616),
    [anon_sym_SEMI] = ACTIONS(614),
    [anon_sym_assert] = ACTIONS(616),
    [anon_sym_do] = ACTIONS(616),
    [anon_sym_while] = ACTIONS(616),
    [anon_sym_break] = ACTIONS(616),
    [anon_sym_continue] = ACTIONS(616),
    [anon_sym_return] = ACTIONS(616),
    [anon_sym_yield] = ACTIONS(616),
    [anon_sym_synchronized] = ACTIONS(616),
    [anon_sym_throw] = ACTIONS(616),
    [anon_sym_try] = ACTIONS(616),
    [anon_sym_if] = ACTIONS(616),
    [anon_sym_else] = ACTIONS(616),
    [anon_sym_for] = ACTIONS(616),
    [anon_sym_AT] = ACTIONS(616),
    [anon_sym_open] = ACTIONS(616),
    [anon_sym_module] = ACTIONS(616),
    [anon_sym_static] = ACTIONS(616),
    [anon_sym_package] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(616),
    [anon_sym_enum] = ACTIONS(616),
    [anon_sym_public] = ACTIONS(616),
    [anon_sym_protected] = ACTIONS(616),
    [anon_sym_private] = ACTIONS(616),
    [anon_sym_abstract] = ACTIONS(616),
    [anon_sym_strictfp] = ACTIONS(616),
    [anon_sym_native] = ACTIONS(616),
    [anon_sym_transient] = ACTIONS(616),
    [anon_sym_volatile] = ACTIONS(616),
    [anon_sym_sealed] = ACTIONS(616),
    [anon_sym_non_DASHsealed] = ACTIONS(614),
    [anon_sym_record] = ACTIONS(616),
    [anon_sym_ATinterface] = ACTIONS(614),
    [anon_sym_interface] = ACTIONS(616),
    [anon_sym_byte] = ACTIONS(616),
    [anon_sym_short] = ACTIONS(616),
    [anon_sym_int] = ACTIONS(616),
    [anon_sym_long] = ACTIONS(616),
    [anon_sym_char] = ACTIONS(616),
    [anon_sym_float] = ACTIONS(616),
    [anon_sym_double] = ACTIONS(616),
    [sym_boolean_type] = ACTIONS(616),
    [sym_void_type] = ACTIONS(616),
    [sym_this] = ACTIONS(616),
    [sym_super] = ACTIONS(616),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [223] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(510),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1244),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(397),
    [sym_array_access] = STATE(397),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1244),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(374),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(376),
    [anon_sym_PLUS] = ACTIONS(378),
    [anon_sym_DASH] = ACTIONS(378),
    [anon_sym_BANG] = ACTIONS(380),
    [anon_sym_TILDE] = ACTIONS(380),
    [anon_sym_PLUS_PLUS] = ACTIONS(382),
    [anon_sym_DASH_DASH] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(384),
    [anon_sym_module] = ACTIONS(384),
    [anon_sym_record] = ACTIONS(384),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [224] = {
    [ts_builtin_sym_end] = ACTIONS(618),
    [sym_identifier] = ACTIONS(620),
    [sym_decimal_integer_literal] = ACTIONS(620),
    [sym_hex_integer_literal] = ACTIONS(620),
    [sym_octal_integer_literal] = ACTIONS(618),
    [sym_binary_integer_literal] = ACTIONS(618),
    [sym_decimal_floating_point_literal] = ACTIONS(618),
    [sym_hex_floating_point_literal] = ACTIONS(620),
    [sym_true] = ACTIONS(620),
    [sym_false] = ACTIONS(620),
    [sym_character_literal] = ACTIONS(618),
    [anon_sym_DQUOTE] = ACTIONS(620),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(618),
    [sym_null_literal] = ACTIONS(620),
    [anon_sym_LPAREN] = ACTIONS(618),
    [anon_sym_LT] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_final] = ACTIONS(620),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_new] = ACTIONS(620),
    [anon_sym_class] = ACTIONS(620),
    [anon_sym_switch] = ACTIONS(620),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_RBRACE] = ACTIONS(618),
    [anon_sym_case] = ACTIONS(620),
    [anon_sym_default] = ACTIONS(620),
    [anon_sym_SEMI] = ACTIONS(618),
    [anon_sym_assert] = ACTIONS(620),
    [anon_sym_do] = ACTIONS(620),
    [anon_sym_while] = ACTIONS(620),
    [anon_sym_break] = ACTIONS(620),
    [anon_sym_continue] = ACTIONS(620),
    [anon_sym_return] = ACTIONS(620),
    [anon_sym_yield] = ACTIONS(620),
    [anon_sym_synchronized] = ACTIONS(620),
    [anon_sym_throw] = ACTIONS(620),
    [anon_sym_try] = ACTIONS(620),
    [anon_sym_if] = ACTIONS(620),
    [anon_sym_else] = ACTIONS(620),
    [anon_sym_for] = ACTIONS(620),
    [anon_sym_AT] = ACTIONS(620),
    [anon_sym_open] = ACTIONS(620),
    [anon_sym_module] = ACTIONS(620),
    [anon_sym_static] = ACTIONS(620),
    [anon_sym_package] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_enum] = ACTIONS(620),
    [anon_sym_public] = ACTIONS(620),
    [anon_sym_protected] = ACTIONS(620),
    [anon_sym_private] = ACTIONS(620),
    [anon_sym_abstract] = ACTIONS(620),
    [anon_sym_strictfp] = ACTIONS(620),
    [anon_sym_native] = ACTIONS(620),
    [anon_sym_transient] = ACTIONS(620),
    [anon_sym_volatile] = ACTIONS(620),
    [anon_sym_sealed] = ACTIONS(620),
    [anon_sym_non_DASHsealed] = ACTIONS(618),
    [anon_sym_record] = ACTIONS(620),
    [anon_sym_ATinterface] = ACTIONS(618),
    [anon_sym_interface] = ACTIONS(620),
    [anon_sym_byte] = ACTIONS(620),
    [anon_sym_short] = ACTIONS(620),
    [anon_sym_int] = ACTIONS(620),
    [anon_sym_long] = ACTIONS(620),
    [anon_sym_char] = ACTIONS(620),
    [anon_sym_float] = ACTIONS(620),
    [anon_sym_double] = ACTIONS(620),
    [sym_boolean_type] = ACTIONS(620),
    [sym_void_type] = ACTIONS(620),
    [sym_this] = ACTIONS(620),
    [sym_super] = ACTIONS(620),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [225] = {
    [ts_builtin_sym_end] = ACTIONS(622),
    [sym_identifier] = ACTIONS(624),
    [sym_decimal_integer_literal] = ACTIONS(624),
    [sym_hex_integer_literal] = ACTIONS(624),
    [sym_octal_integer_literal] = ACTIONS(622),
    [sym_binary_integer_literal] = ACTIONS(622),
    [sym_decimal_floating_point_literal] = ACTIONS(622),
    [sym_hex_floating_point_literal] = ACTIONS(624),
    [sym_true] = ACTIONS(624),
    [sym_false] = ACTIONS(624),
    [sym_character_literal] = ACTIONS(622),
    [anon_sym_DQUOTE] = ACTIONS(624),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(622),
    [sym_null_literal] = ACTIONS(624),
    [anon_sym_LPAREN] = ACTIONS(622),
    [anon_sym_LT] = ACTIONS(622),
    [anon_sym_PLUS] = ACTIONS(624),
    [anon_sym_DASH] = ACTIONS(624),
    [anon_sym_final] = ACTIONS(624),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [anon_sym_new] = ACTIONS(624),
    [anon_sym_class] = ACTIONS(624),
    [anon_sym_switch] = ACTIONS(624),
    [anon_sym_LBRACE] = ACTIONS(622),
    [anon_sym_RBRACE] = ACTIONS(622),
    [anon_sym_case] = ACTIONS(624),
    [anon_sym_default] = ACTIONS(624),
    [anon_sym_SEMI] = ACTIONS(622),
    [anon_sym_assert] = ACTIONS(624),
    [anon_sym_do] = ACTIONS(624),
    [anon_sym_while] = ACTIONS(624),
    [anon_sym_break] = ACTIONS(624),
    [anon_sym_continue] = ACTIONS(624),
    [anon_sym_return] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(624),
    [anon_sym_synchronized] = ACTIONS(624),
    [anon_sym_throw] = ACTIONS(624),
    [anon_sym_try] = ACTIONS(624),
    [anon_sym_if] = ACTIONS(624),
    [anon_sym_else] = ACTIONS(624),
    [anon_sym_for] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(624),
    [anon_sym_open] = ACTIONS(624),
    [anon_sym_module] = ACTIONS(624),
    [anon_sym_static] = ACTIONS(624),
    [anon_sym_package] = ACTIONS(624),
    [anon_sym_import] = ACTIONS(624),
    [anon_sym_enum] = ACTIONS(624),
    [anon_sym_public] = ACTIONS(624),
    [anon_sym_protected] = ACTIONS(624),
    [anon_sym_private] = ACTIONS(624),
    [anon_sym_abstract] = ACTIONS(624),
    [anon_sym_strictfp] = ACTIONS(624),
    [anon_sym_native] = ACTIONS(624),
    [anon_sym_transient] = ACTIONS(624),
    [anon_sym_volatile] = ACTIONS(624),
    [anon_sym_sealed] = ACTIONS(624),
    [anon_sym_non_DASHsealed] = ACTIONS(622),
    [anon_sym_record] = ACTIONS(624),
    [anon_sym_ATinterface] = ACTIONS(622),
    [anon_sym_interface] = ACTIONS(624),
    [anon_sym_byte] = ACTIONS(624),
    [anon_sym_short] = ACTIONS(624),
    [anon_sym_int] = ACTIONS(624),
    [anon_sym_long] = ACTIONS(624),
    [anon_sym_char] = ACTIONS(624),
    [anon_sym_float] = ACTIONS(624),
    [anon_sym_double] = ACTIONS(624),
    [sym_boolean_type] = ACTIONS(624),
    [sym_void_type] = ACTIONS(624),
    [sym_this] = ACTIONS(624),
    [sym_super] = ACTIONS(624),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [226] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(600),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1244),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(397),
    [sym_array_access] = STATE(397),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1244),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(374),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(376),
    [anon_sym_PLUS] = ACTIONS(378),
    [anon_sym_DASH] = ACTIONS(378),
    [anon_sym_BANG] = ACTIONS(380),
    [anon_sym_TILDE] = ACTIONS(380),
    [anon_sym_PLUS_PLUS] = ACTIONS(382),
    [anon_sym_DASH_DASH] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(384),
    [anon_sym_module] = ACTIONS(384),
    [anon_sym_record] = ACTIONS(384),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [227] = {
    [ts_builtin_sym_end] = ACTIONS(626),
    [sym_identifier] = ACTIONS(628),
    [sym_decimal_integer_literal] = ACTIONS(628),
    [sym_hex_integer_literal] = ACTIONS(628),
    [sym_octal_integer_literal] = ACTIONS(626),
    [sym_binary_integer_literal] = ACTIONS(626),
    [sym_decimal_floating_point_literal] = ACTIONS(626),
    [sym_hex_floating_point_literal] = ACTIONS(628),
    [sym_true] = ACTIONS(628),
    [sym_false] = ACTIONS(628),
    [sym_character_literal] = ACTIONS(626),
    [anon_sym_DQUOTE] = ACTIONS(628),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(626),
    [sym_null_literal] = ACTIONS(628),
    [anon_sym_LPAREN] = ACTIONS(626),
    [anon_sym_LT] = ACTIONS(626),
    [anon_sym_PLUS] = ACTIONS(628),
    [anon_sym_DASH] = ACTIONS(628),
    [anon_sym_final] = ACTIONS(628),
    [anon_sym_BANG] = ACTIONS(626),
    [anon_sym_TILDE] = ACTIONS(626),
    [anon_sym_PLUS_PLUS] = ACTIONS(626),
    [anon_sym_DASH_DASH] = ACTIONS(626),
    [anon_sym_new] = ACTIONS(628),
    [anon_sym_class] = ACTIONS(628),
    [anon_sym_switch] = ACTIONS(628),
    [anon_sym_LBRACE] = ACTIONS(626),
    [anon_sym_RBRACE] = ACTIONS(626),
    [anon_sym_case] = ACTIONS(628),
    [anon_sym_default] = ACTIONS(628),
    [anon_sym_SEMI] = ACTIONS(626),
    [anon_sym_assert] = ACTIONS(628),
    [anon_sym_do] = ACTIONS(628),
    [anon_sym_while] = ACTIONS(628),
    [anon_sym_break] = ACTIONS(628),
    [anon_sym_continue] = ACTIONS(628),
    [anon_sym_return] = ACTIONS(628),
    [anon_sym_yield] = ACTIONS(628),
    [anon_sym_synchronized] = ACTIONS(628),
    [anon_sym_throw] = ACTIONS(628),
    [anon_sym_try] = ACTIONS(628),
    [anon_sym_if] = ACTIONS(628),
    [anon_sym_else] = ACTIONS(628),
    [anon_sym_for] = ACTIONS(628),
    [anon_sym_AT] = ACTIONS(628),
    [anon_sym_open] = ACTIONS(628),
    [anon_sym_module] = ACTIONS(628),
    [anon_sym_static] = ACTIONS(628),
    [anon_sym_package] = ACTIONS(628),
    [anon_sym_import] = ACTIONS(628),
    [anon_sym_enum] = ACTIONS(628),
    [anon_sym_public] = ACTIONS(628),
    [anon_sym_protected] = ACTIONS(628),
    [anon_sym_private] = ACTIONS(628),
    [anon_sym_abstract] = ACTIONS(628),
    [anon_sym_strictfp] = ACTIONS(628),
    [anon_sym_native] = ACTIONS(628),
    [anon_sym_transient] = ACTIONS(628),
    [anon_sym_volatile] = ACTIONS(628),
    [anon_sym_sealed] = ACTIONS(628),
    [anon_sym_non_DASHsealed] = ACTIONS(626),
    [anon_sym_record] = ACTIONS(628),
    [anon_sym_ATinterface] = ACTIONS(626),
    [anon_sym_interface] = ACTIONS(628),
    [anon_sym_byte] = ACTIONS(628),
    [anon_sym_short] = ACTIONS(628),
    [anon_sym_int] = ACTIONS(628),
    [anon_sym_long] = ACTIONS(628),
    [anon_sym_char] = ACTIONS(628),
    [anon_sym_float] = ACTIONS(628),
    [anon_sym_double] = ACTIONS(628),
    [sym_boolean_type] = ACTIONS(628),
    [sym_void_type] = ACTIONS(628),
    [sym_this] = ACTIONS(628),
    [sym_super] = ACTIONS(628),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [228] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(592),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1244),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(397),
    [sym_array_access] = STATE(397),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1244),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(374),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(376),
    [anon_sym_PLUS] = ACTIONS(378),
    [anon_sym_DASH] = ACTIONS(378),
    [anon_sym_BANG] = ACTIONS(380),
    [anon_sym_TILDE] = ACTIONS(380),
    [anon_sym_PLUS_PLUS] = ACTIONS(382),
    [anon_sym_DASH_DASH] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(384),
    [anon_sym_module] = ACTIONS(384),
    [anon_sym_record] = ACTIONS(384),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [229] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(574),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1244),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(397),
    [sym_array_access] = STATE(397),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1244),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(374),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(376),
    [anon_sym_PLUS] = ACTIONS(378),
    [anon_sym_DASH] = ACTIONS(378),
    [anon_sym_BANG] = ACTIONS(380),
    [anon_sym_TILDE] = ACTIONS(380),
    [anon_sym_PLUS_PLUS] = ACTIONS(382),
    [anon_sym_DASH_DASH] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(384),
    [anon_sym_module] = ACTIONS(384),
    [anon_sym_record] = ACTIONS(384),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [230] = {
    [ts_builtin_sym_end] = ACTIONS(630),
    [sym_identifier] = ACTIONS(632),
    [sym_decimal_integer_literal] = ACTIONS(632),
    [sym_hex_integer_literal] = ACTIONS(632),
    [sym_octal_integer_literal] = ACTIONS(630),
    [sym_binary_integer_literal] = ACTIONS(630),
    [sym_decimal_floating_point_literal] = ACTIONS(630),
    [sym_hex_floating_point_literal] = ACTIONS(632),
    [sym_true] = ACTIONS(632),
    [sym_false] = ACTIONS(632),
    [sym_character_literal] = ACTIONS(630),
    [anon_sym_DQUOTE] = ACTIONS(632),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(630),
    [sym_null_literal] = ACTIONS(632),
    [anon_sym_LPAREN] = ACTIONS(630),
    [anon_sym_LT] = ACTIONS(630),
    [anon_sym_PLUS] = ACTIONS(632),
    [anon_sym_DASH] = ACTIONS(632),
    [anon_sym_final] = ACTIONS(632),
    [anon_sym_BANG] = ACTIONS(630),
    [anon_sym_TILDE] = ACTIONS(630),
    [anon_sym_PLUS_PLUS] = ACTIONS(630),
    [anon_sym_DASH_DASH] = ACTIONS(630),
    [anon_sym_new] = ACTIONS(632),
    [anon_sym_class] = ACTIONS(632),
    [anon_sym_switch] = ACTIONS(632),
    [anon_sym_LBRACE] = ACTIONS(630),
    [anon_sym_RBRACE] = ACTIONS(630),
    [anon_sym_case] = ACTIONS(632),
    [anon_sym_default] = ACTIONS(632),
    [anon_sym_SEMI] = ACTIONS(630),
    [anon_sym_assert] = ACTIONS(632),
    [anon_sym_do] = ACTIONS(632),
    [anon_sym_while] = ACTIONS(632),
    [anon_sym_break] = ACTIONS(632),
    [anon_sym_continue] = ACTIONS(632),
    [anon_sym_return] = ACTIONS(632),
    [anon_sym_yield] = ACTIONS(632),
    [anon_sym_synchronized] = ACTIONS(632),
    [anon_sym_throw] = ACTIONS(632),
    [anon_sym_try] = ACTIONS(632),
    [anon_sym_if] = ACTIONS(632),
    [anon_sym_else] = ACTIONS(632),
    [anon_sym_for] = ACTIONS(632),
    [anon_sym_AT] = ACTIONS(632),
    [anon_sym_open] = ACTIONS(632),
    [anon_sym_module] = ACTIONS(632),
    [anon_sym_static] = ACTIONS(632),
    [anon_sym_package] = ACTIONS(632),
    [anon_sym_import] = ACTIONS(632),
    [anon_sym_enum] = ACTIONS(632),
    [anon_sym_public] = ACTIONS(632),
    [anon_sym_protected] = ACTIONS(632),
    [anon_sym_private] = ACTIONS(632),
    [anon_sym_abstract] = ACTIONS(632),
    [anon_sym_strictfp] = ACTIONS(632),
    [anon_sym_native] = ACTIONS(632),
    [anon_sym_transient] = ACTIONS(632),
    [anon_sym_volatile] = ACTIONS(632),
    [anon_sym_sealed] = ACTIONS(632),
    [anon_sym_non_DASHsealed] = ACTIONS(630),
    [anon_sym_record] = ACTIONS(632),
    [anon_sym_ATinterface] = ACTIONS(630),
    [anon_sym_interface] = ACTIONS(632),
    [anon_sym_byte] = ACTIONS(632),
    [anon_sym_short] = ACTIONS(632),
    [anon_sym_int] = ACTIONS(632),
    [anon_sym_long] = ACTIONS(632),
    [anon_sym_char] = ACTIONS(632),
    [anon_sym_float] = ACTIONS(632),
    [anon_sym_double] = ACTIONS(632),
    [sym_boolean_type] = ACTIONS(632),
    [sym_void_type] = ACTIONS(632),
    [sym_this] = ACTIONS(632),
    [sym_super] = ACTIONS(632),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [231] = {
    [ts_builtin_sym_end] = ACTIONS(634),
    [sym_identifier] = ACTIONS(636),
    [sym_decimal_integer_literal] = ACTIONS(636),
    [sym_hex_integer_literal] = ACTIONS(636),
    [sym_octal_integer_literal] = ACTIONS(634),
    [sym_binary_integer_literal] = ACTIONS(634),
    [sym_decimal_floating_point_literal] = ACTIONS(634),
    [sym_hex_floating_point_literal] = ACTIONS(636),
    [sym_true] = ACTIONS(636),
    [sym_false] = ACTIONS(636),
    [sym_character_literal] = ACTIONS(634),
    [anon_sym_DQUOTE] = ACTIONS(636),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(634),
    [sym_null_literal] = ACTIONS(636),
    [anon_sym_LPAREN] = ACTIONS(634),
    [anon_sym_LT] = ACTIONS(634),
    [anon_sym_PLUS] = ACTIONS(636),
    [anon_sym_DASH] = ACTIONS(636),
    [anon_sym_final] = ACTIONS(636),
    [anon_sym_BANG] = ACTIONS(634),
    [anon_sym_TILDE] = ACTIONS(634),
    [anon_sym_PLUS_PLUS] = ACTIONS(634),
    [anon_sym_DASH_DASH] = ACTIONS(634),
    [anon_sym_new] = ACTIONS(636),
    [anon_sym_class] = ACTIONS(636),
    [anon_sym_switch] = ACTIONS(636),
    [anon_sym_LBRACE] = ACTIONS(634),
    [anon_sym_RBRACE] = ACTIONS(634),
    [anon_sym_case] = ACTIONS(636),
    [anon_sym_default] = ACTIONS(636),
    [anon_sym_SEMI] = ACTIONS(634),
    [anon_sym_assert] = ACTIONS(636),
    [anon_sym_do] = ACTIONS(636),
    [anon_sym_while] = ACTIONS(636),
    [anon_sym_break] = ACTIONS(636),
    [anon_sym_continue] = ACTIONS(636),
    [anon_sym_return] = ACTIONS(636),
    [anon_sym_yield] = ACTIONS(636),
    [anon_sym_synchronized] = ACTIONS(636),
    [anon_sym_throw] = ACTIONS(636),
    [anon_sym_try] = ACTIONS(636),
    [anon_sym_if] = ACTIONS(636),
    [anon_sym_else] = ACTIONS(636),
    [anon_sym_for] = ACTIONS(636),
    [anon_sym_AT] = ACTIONS(636),
    [anon_sym_open] = ACTIONS(636),
    [anon_sym_module] = ACTIONS(636),
    [anon_sym_static] = ACTIONS(636),
    [anon_sym_package] = ACTIONS(636),
    [anon_sym_import] = ACTIONS(636),
    [anon_sym_enum] = ACTIONS(636),
    [anon_sym_public] = ACTIONS(636),
    [anon_sym_protected] = ACTIONS(636),
    [anon_sym_private] = ACTIONS(636),
    [anon_sym_abstract] = ACTIONS(636),
    [anon_sym_strictfp] = ACTIONS(636),
    [anon_sym_native] = ACTIONS(636),
    [anon_sym_transient] = ACTIONS(636),
    [anon_sym_volatile] = ACTIONS(636),
    [anon_sym_sealed] = ACTIONS(636),
    [anon_sym_non_DASHsealed] = ACTIONS(634),
    [anon_sym_record] = ACTIONS(636),
    [anon_sym_ATinterface] = ACTIONS(634),
    [anon_sym_interface] = ACTIONS(636),
    [anon_sym_byte] = ACTIONS(636),
    [anon_sym_short] = ACTIONS(636),
    [anon_sym_int] = ACTIONS(636),
    [anon_sym_long] = ACTIONS(636),
    [anon_sym_char] = ACTIONS(636),
    [anon_sym_float] = ACTIONS(636),
    [anon_sym_double] = ACTIONS(636),
    [sym_boolean_type] = ACTIONS(636),
    [sym_void_type] = ACTIONS(636),
    [sym_this] = ACTIONS(636),
    [sym_super] = ACTIONS(636),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [232] = {
    [ts_builtin_sym_end] = ACTIONS(638),
    [sym_identifier] = ACTIONS(640),
    [sym_decimal_integer_literal] = ACTIONS(640),
    [sym_hex_integer_literal] = ACTIONS(640),
    [sym_octal_integer_literal] = ACTIONS(638),
    [sym_binary_integer_literal] = ACTIONS(638),
    [sym_decimal_floating_point_literal] = ACTIONS(638),
    [sym_hex_floating_point_literal] = ACTIONS(640),
    [sym_true] = ACTIONS(640),
    [sym_false] = ACTIONS(640),
    [sym_character_literal] = ACTIONS(638),
    [anon_sym_DQUOTE] = ACTIONS(640),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(638),
    [sym_null_literal] = ACTIONS(640),
    [anon_sym_LPAREN] = ACTIONS(638),
    [anon_sym_LT] = ACTIONS(638),
    [anon_sym_PLUS] = ACTIONS(640),
    [anon_sym_DASH] = ACTIONS(640),
    [anon_sym_final] = ACTIONS(640),
    [anon_sym_BANG] = ACTIONS(638),
    [anon_sym_TILDE] = ACTIONS(638),
    [anon_sym_PLUS_PLUS] = ACTIONS(638),
    [anon_sym_DASH_DASH] = ACTIONS(638),
    [anon_sym_new] = ACTIONS(640),
    [anon_sym_class] = ACTIONS(640),
    [anon_sym_switch] = ACTIONS(640),
    [anon_sym_LBRACE] = ACTIONS(638),
    [anon_sym_RBRACE] = ACTIONS(638),
    [anon_sym_case] = ACTIONS(640),
    [anon_sym_default] = ACTIONS(640),
    [anon_sym_SEMI] = ACTIONS(638),
    [anon_sym_assert] = ACTIONS(640),
    [anon_sym_do] = ACTIONS(640),
    [anon_sym_while] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(640),
    [anon_sym_continue] = ACTIONS(640),
    [anon_sym_return] = ACTIONS(640),
    [anon_sym_yield] = ACTIONS(640),
    [anon_sym_synchronized] = ACTIONS(640),
    [anon_sym_throw] = ACTIONS(640),
    [anon_sym_try] = ACTIONS(640),
    [anon_sym_if] = ACTIONS(640),
    [anon_sym_else] = ACTIONS(640),
    [anon_sym_for] = ACTIONS(640),
    [anon_sym_AT] = ACTIONS(640),
    [anon_sym_open] = ACTIONS(640),
    [anon_sym_module] = ACTIONS(640),
    [anon_sym_static] = ACTIONS(640),
    [anon_sym_package] = ACTIONS(640),
    [anon_sym_import] = ACTIONS(640),
    [anon_sym_enum] = ACTIONS(640),
    [anon_sym_public] = ACTIONS(640),
    [anon_sym_protected] = ACTIONS(640),
    [anon_sym_private] = ACTIONS(640),
    [anon_sym_abstract] = ACTIONS(640),
    [anon_sym_strictfp] = ACTIONS(640),
    [anon_sym_native] = ACTIONS(640),
    [anon_sym_transient] = ACTIONS(640),
    [anon_sym_volatile] = ACTIONS(640),
    [anon_sym_sealed] = ACTIONS(640),
    [anon_sym_non_DASHsealed] = ACTIONS(638),
    [anon_sym_record] = ACTIONS(640),
    [anon_sym_ATinterface] = ACTIONS(638),
    [anon_sym_interface] = ACTIONS(640),
    [anon_sym_byte] = ACTIONS(640),
    [anon_sym_short] = ACTIONS(640),
    [anon_sym_int] = ACTIONS(640),
    [anon_sym_long] = ACTIONS(640),
    [anon_sym_char] = ACTIONS(640),
    [anon_sym_float] = ACTIONS(640),
    [anon_sym_double] = ACTIONS(640),
    [sym_boolean_type] = ACTIONS(640),
    [sym_void_type] = ACTIONS(640),
    [sym_this] = ACTIONS(640),
    [sym_super] = ACTIONS(640),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [233] = {
    [ts_builtin_sym_end] = ACTIONS(642),
    [sym_identifier] = ACTIONS(644),
    [sym_decimal_integer_literal] = ACTIONS(644),
    [sym_hex_integer_literal] = ACTIONS(644),
    [sym_octal_integer_literal] = ACTIONS(642),
    [sym_binary_integer_literal] = ACTIONS(642),
    [sym_decimal_floating_point_literal] = ACTIONS(642),
    [sym_hex_floating_point_literal] = ACTIONS(644),
    [sym_true] = ACTIONS(644),
    [sym_false] = ACTIONS(644),
    [sym_character_literal] = ACTIONS(642),
    [anon_sym_DQUOTE] = ACTIONS(644),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(642),
    [sym_null_literal] = ACTIONS(644),
    [anon_sym_LPAREN] = ACTIONS(642),
    [anon_sym_LT] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(644),
    [anon_sym_DASH] = ACTIONS(644),
    [anon_sym_final] = ACTIONS(644),
    [anon_sym_BANG] = ACTIONS(642),
    [anon_sym_TILDE] = ACTIONS(642),
    [anon_sym_PLUS_PLUS] = ACTIONS(642),
    [anon_sym_DASH_DASH] = ACTIONS(642),
    [anon_sym_new] = ACTIONS(644),
    [anon_sym_class] = ACTIONS(644),
    [anon_sym_switch] = ACTIONS(644),
    [anon_sym_LBRACE] = ACTIONS(642),
    [anon_sym_RBRACE] = ACTIONS(642),
    [anon_sym_case] = ACTIONS(644),
    [anon_sym_default] = ACTIONS(644),
    [anon_sym_SEMI] = ACTIONS(642),
    [anon_sym_assert] = ACTIONS(644),
    [anon_sym_do] = ACTIONS(644),
    [anon_sym_while] = ACTIONS(644),
    [anon_sym_break] = ACTIONS(644),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_return] = ACTIONS(644),
    [anon_sym_yield] = ACTIONS(644),
    [anon_sym_synchronized] = ACTIONS(644),
    [anon_sym_throw] = ACTIONS(644),
    [anon_sym_try] = ACTIONS(644),
    [anon_sym_if] = ACTIONS(644),
    [anon_sym_else] = ACTIONS(644),
    [anon_sym_for] = ACTIONS(644),
    [anon_sym_AT] = ACTIONS(644),
    [anon_sym_open] = ACTIONS(644),
    [anon_sym_module] = ACTIONS(644),
    [anon_sym_static] = ACTIONS(644),
    [anon_sym_package] = ACTIONS(644),
    [anon_sym_import] = ACTIONS(644),
    [anon_sym_enum] = ACTIONS(644),
    [anon_sym_public] = ACTIONS(644),
    [anon_sym_protected] = ACTIONS(644),
    [anon_sym_private] = ACTIONS(644),
    [anon_sym_abstract] = ACTIONS(644),
    [anon_sym_strictfp] = ACTIONS(644),
    [anon_sym_native] = ACTIONS(644),
    [anon_sym_transient] = ACTIONS(644),
    [anon_sym_volatile] = ACTIONS(644),
    [anon_sym_sealed] = ACTIONS(644),
    [anon_sym_non_DASHsealed] = ACTIONS(642),
    [anon_sym_record] = ACTIONS(644),
    [anon_sym_ATinterface] = ACTIONS(642),
    [anon_sym_interface] = ACTIONS(644),
    [anon_sym_byte] = ACTIONS(644),
    [anon_sym_short] = ACTIONS(644),
    [anon_sym_int] = ACTIONS(644),
    [anon_sym_long] = ACTIONS(644),
    [anon_sym_char] = ACTIONS(644),
    [anon_sym_float] = ACTIONS(644),
    [anon_sym_double] = ACTIONS(644),
    [sym_boolean_type] = ACTIONS(644),
    [sym_void_type] = ACTIONS(644),
    [sym_this] = ACTIONS(644),
    [sym_super] = ACTIONS(644),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [234] = {
    [ts_builtin_sym_end] = ACTIONS(646),
    [sym_identifier] = ACTIONS(648),
    [sym_decimal_integer_literal] = ACTIONS(648),
    [sym_hex_integer_literal] = ACTIONS(648),
    [sym_octal_integer_literal] = ACTIONS(646),
    [sym_binary_integer_literal] = ACTIONS(646),
    [sym_decimal_floating_point_literal] = ACTIONS(646),
    [sym_hex_floating_point_literal] = ACTIONS(648),
    [sym_true] = ACTIONS(648),
    [sym_false] = ACTIONS(648),
    [sym_character_literal] = ACTIONS(646),
    [anon_sym_DQUOTE] = ACTIONS(648),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(646),
    [sym_null_literal] = ACTIONS(648),
    [anon_sym_LPAREN] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(646),
    [anon_sym_PLUS] = ACTIONS(648),
    [anon_sym_DASH] = ACTIONS(648),
    [anon_sym_final] = ACTIONS(648),
    [anon_sym_BANG] = ACTIONS(646),
    [anon_sym_TILDE] = ACTIONS(646),
    [anon_sym_PLUS_PLUS] = ACTIONS(646),
    [anon_sym_DASH_DASH] = ACTIONS(646),
    [anon_sym_new] = ACTIONS(648),
    [anon_sym_class] = ACTIONS(648),
    [anon_sym_switch] = ACTIONS(648),
    [anon_sym_LBRACE] = ACTIONS(646),
    [anon_sym_RBRACE] = ACTIONS(646),
    [anon_sym_case] = ACTIONS(648),
    [anon_sym_default] = ACTIONS(648),
    [anon_sym_SEMI] = ACTIONS(646),
    [anon_sym_assert] = ACTIONS(648),
    [anon_sym_do] = ACTIONS(648),
    [anon_sym_while] = ACTIONS(648),
    [anon_sym_break] = ACTIONS(648),
    [anon_sym_continue] = ACTIONS(648),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_yield] = ACTIONS(648),
    [anon_sym_synchronized] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(648),
    [anon_sym_try] = ACTIONS(648),
    [anon_sym_if] = ACTIONS(648),
    [anon_sym_else] = ACTIONS(648),
    [anon_sym_for] = ACTIONS(648),
    [anon_sym_AT] = ACTIONS(648),
    [anon_sym_open] = ACTIONS(648),
    [anon_sym_module] = ACTIONS(648),
    [anon_sym_static] = ACTIONS(648),
    [anon_sym_package] = ACTIONS(648),
    [anon_sym_import] = ACTIONS(648),
    [anon_sym_enum] = ACTIONS(648),
    [anon_sym_public] = ACTIONS(648),
    [anon_sym_protected] = ACTIONS(648),
    [anon_sym_private] = ACTIONS(648),
    [anon_sym_abstract] = ACTIONS(648),
    [anon_sym_strictfp] = ACTIONS(648),
    [anon_sym_native] = ACTIONS(648),
    [anon_sym_transient] = ACTIONS(648),
    [anon_sym_volatile] = ACTIONS(648),
    [anon_sym_sealed] = ACTIONS(648),
    [anon_sym_non_DASHsealed] = ACTIONS(646),
    [anon_sym_record] = ACTIONS(648),
    [anon_sym_ATinterface] = ACTIONS(646),
    [anon_sym_interface] = ACTIONS(648),
    [anon_sym_byte] = ACTIONS(648),
    [anon_sym_short] = ACTIONS(648),
    [anon_sym_int] = ACTIONS(648),
    [anon_sym_long] = ACTIONS(648),
    [anon_sym_char] = ACTIONS(648),
    [anon_sym_float] = ACTIONS(648),
    [anon_sym_double] = ACTIONS(648),
    [sym_boolean_type] = ACTIONS(648),
    [sym_void_type] = ACTIONS(648),
    [sym_this] = ACTIONS(648),
    [sym_super] = ACTIONS(648),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [235] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(589),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [236] = {
    [ts_builtin_sym_end] = ACTIONS(650),
    [sym_identifier] = ACTIONS(652),
    [sym_decimal_integer_literal] = ACTIONS(652),
    [sym_hex_integer_literal] = ACTIONS(652),
    [sym_octal_integer_literal] = ACTIONS(650),
    [sym_binary_integer_literal] = ACTIONS(650),
    [sym_decimal_floating_point_literal] = ACTIONS(650),
    [sym_hex_floating_point_literal] = ACTIONS(652),
    [sym_true] = ACTIONS(652),
    [sym_false] = ACTIONS(652),
    [sym_character_literal] = ACTIONS(650),
    [anon_sym_DQUOTE] = ACTIONS(652),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(650),
    [sym_null_literal] = ACTIONS(652),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_LT] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(652),
    [anon_sym_DASH] = ACTIONS(652),
    [anon_sym_final] = ACTIONS(652),
    [anon_sym_BANG] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(650),
    [anon_sym_DASH_DASH] = ACTIONS(650),
    [anon_sym_new] = ACTIONS(652),
    [anon_sym_class] = ACTIONS(652),
    [anon_sym_switch] = ACTIONS(652),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_case] = ACTIONS(652),
    [anon_sym_default] = ACTIONS(652),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_assert] = ACTIONS(652),
    [anon_sym_do] = ACTIONS(652),
    [anon_sym_while] = ACTIONS(652),
    [anon_sym_break] = ACTIONS(652),
    [anon_sym_continue] = ACTIONS(652),
    [anon_sym_return] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(652),
    [anon_sym_synchronized] = ACTIONS(652),
    [anon_sym_throw] = ACTIONS(652),
    [anon_sym_try] = ACTIONS(652),
    [anon_sym_if] = ACTIONS(652),
    [anon_sym_else] = ACTIONS(652),
    [anon_sym_for] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(652),
    [anon_sym_open] = ACTIONS(652),
    [anon_sym_module] = ACTIONS(652),
    [anon_sym_static] = ACTIONS(652),
    [anon_sym_package] = ACTIONS(652),
    [anon_sym_import] = ACTIONS(652),
    [anon_sym_enum] = ACTIONS(652),
    [anon_sym_public] = ACTIONS(652),
    [anon_sym_protected] = ACTIONS(652),
    [anon_sym_private] = ACTIONS(652),
    [anon_sym_abstract] = ACTIONS(652),
    [anon_sym_strictfp] = ACTIONS(652),
    [anon_sym_native] = ACTIONS(652),
    [anon_sym_transient] = ACTIONS(652),
    [anon_sym_volatile] = ACTIONS(652),
    [anon_sym_sealed] = ACTIONS(652),
    [anon_sym_non_DASHsealed] = ACTIONS(650),
    [anon_sym_record] = ACTIONS(652),
    [anon_sym_ATinterface] = ACTIONS(650),
    [anon_sym_interface] = ACTIONS(652),
    [anon_sym_byte] = ACTIONS(652),
    [anon_sym_short] = ACTIONS(652),
    [anon_sym_int] = ACTIONS(652),
    [anon_sym_long] = ACTIONS(652),
    [anon_sym_char] = ACTIONS(652),
    [anon_sym_float] = ACTIONS(652),
    [anon_sym_double] = ACTIONS(652),
    [sym_boolean_type] = ACTIONS(652),
    [sym_void_type] = ACTIONS(652),
    [sym_this] = ACTIONS(652),
    [sym_super] = ACTIONS(652),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [237] = {
    [ts_builtin_sym_end] = ACTIONS(654),
    [sym_identifier] = ACTIONS(656),
    [sym_decimal_integer_literal] = ACTIONS(656),
    [sym_hex_integer_literal] = ACTIONS(656),
    [sym_octal_integer_literal] = ACTIONS(654),
    [sym_binary_integer_literal] = ACTIONS(654),
    [sym_decimal_floating_point_literal] = ACTIONS(654),
    [sym_hex_floating_point_literal] = ACTIONS(656),
    [sym_true] = ACTIONS(656),
    [sym_false] = ACTIONS(656),
    [sym_character_literal] = ACTIONS(654),
    [anon_sym_DQUOTE] = ACTIONS(656),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(654),
    [sym_null_literal] = ACTIONS(656),
    [anon_sym_LPAREN] = ACTIONS(654),
    [anon_sym_LT] = ACTIONS(654),
    [anon_sym_PLUS] = ACTIONS(656),
    [anon_sym_DASH] = ACTIONS(656),
    [anon_sym_final] = ACTIONS(656),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_PLUS_PLUS] = ACTIONS(654),
    [anon_sym_DASH_DASH] = ACTIONS(654),
    [anon_sym_new] = ACTIONS(656),
    [anon_sym_class] = ACTIONS(656),
    [anon_sym_switch] = ACTIONS(656),
    [anon_sym_LBRACE] = ACTIONS(654),
    [anon_sym_RBRACE] = ACTIONS(654),
    [anon_sym_case] = ACTIONS(656),
    [anon_sym_default] = ACTIONS(656),
    [anon_sym_SEMI] = ACTIONS(654),
    [anon_sym_assert] = ACTIONS(656),
    [anon_sym_do] = ACTIONS(656),
    [anon_sym_while] = ACTIONS(656),
    [anon_sym_break] = ACTIONS(656),
    [anon_sym_continue] = ACTIONS(656),
    [anon_sym_return] = ACTIONS(656),
    [anon_sym_yield] = ACTIONS(656),
    [anon_sym_synchronized] = ACTIONS(656),
    [anon_sym_throw] = ACTIONS(656),
    [anon_sym_try] = ACTIONS(656),
    [anon_sym_if] = ACTIONS(656),
    [anon_sym_else] = ACTIONS(656),
    [anon_sym_for] = ACTIONS(656),
    [anon_sym_AT] = ACTIONS(656),
    [anon_sym_open] = ACTIONS(656),
    [anon_sym_module] = ACTIONS(656),
    [anon_sym_static] = ACTIONS(656),
    [anon_sym_package] = ACTIONS(656),
    [anon_sym_import] = ACTIONS(656),
    [anon_sym_enum] = ACTIONS(656),
    [anon_sym_public] = ACTIONS(656),
    [anon_sym_protected] = ACTIONS(656),
    [anon_sym_private] = ACTIONS(656),
    [anon_sym_abstract] = ACTIONS(656),
    [anon_sym_strictfp] = ACTIONS(656),
    [anon_sym_native] = ACTIONS(656),
    [anon_sym_transient] = ACTIONS(656),
    [anon_sym_volatile] = ACTIONS(656),
    [anon_sym_sealed] = ACTIONS(656),
    [anon_sym_non_DASHsealed] = ACTIONS(654),
    [anon_sym_record] = ACTIONS(656),
    [anon_sym_ATinterface] = ACTIONS(654),
    [anon_sym_interface] = ACTIONS(656),
    [anon_sym_byte] = ACTIONS(656),
    [anon_sym_short] = ACTIONS(656),
    [anon_sym_int] = ACTIONS(656),
    [anon_sym_long] = ACTIONS(656),
    [anon_sym_char] = ACTIONS(656),
    [anon_sym_float] = ACTIONS(656),
    [anon_sym_double] = ACTIONS(656),
    [sym_boolean_type] = ACTIONS(656),
    [sym_void_type] = ACTIONS(656),
    [sym_this] = ACTIONS(656),
    [sym_super] = ACTIONS(656),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [238] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(645),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [239] = {
    [ts_builtin_sym_end] = ACTIONS(658),
    [sym_identifier] = ACTIONS(660),
    [sym_decimal_integer_literal] = ACTIONS(660),
    [sym_hex_integer_literal] = ACTIONS(660),
    [sym_octal_integer_literal] = ACTIONS(658),
    [sym_binary_integer_literal] = ACTIONS(658),
    [sym_decimal_floating_point_literal] = ACTIONS(658),
    [sym_hex_floating_point_literal] = ACTIONS(660),
    [sym_true] = ACTIONS(660),
    [sym_false] = ACTIONS(660),
    [sym_character_literal] = ACTIONS(658),
    [anon_sym_DQUOTE] = ACTIONS(660),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(658),
    [sym_null_literal] = ACTIONS(660),
    [anon_sym_LPAREN] = ACTIONS(658),
    [anon_sym_LT] = ACTIONS(658),
    [anon_sym_PLUS] = ACTIONS(660),
    [anon_sym_DASH] = ACTIONS(660),
    [anon_sym_final] = ACTIONS(660),
    [anon_sym_BANG] = ACTIONS(658),
    [anon_sym_TILDE] = ACTIONS(658),
    [anon_sym_PLUS_PLUS] = ACTIONS(658),
    [anon_sym_DASH_DASH] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(660),
    [anon_sym_class] = ACTIONS(660),
    [anon_sym_switch] = ACTIONS(660),
    [anon_sym_LBRACE] = ACTIONS(658),
    [anon_sym_RBRACE] = ACTIONS(658),
    [anon_sym_case] = ACTIONS(660),
    [anon_sym_default] = ACTIONS(660),
    [anon_sym_SEMI] = ACTIONS(658),
    [anon_sym_assert] = ACTIONS(660),
    [anon_sym_do] = ACTIONS(660),
    [anon_sym_while] = ACTIONS(660),
    [anon_sym_break] = ACTIONS(660),
    [anon_sym_continue] = ACTIONS(660),
    [anon_sym_return] = ACTIONS(660),
    [anon_sym_yield] = ACTIONS(660),
    [anon_sym_synchronized] = ACTIONS(660),
    [anon_sym_throw] = ACTIONS(660),
    [anon_sym_try] = ACTIONS(660),
    [anon_sym_if] = ACTIONS(660),
    [anon_sym_else] = ACTIONS(660),
    [anon_sym_for] = ACTIONS(660),
    [anon_sym_AT] = ACTIONS(660),
    [anon_sym_open] = ACTIONS(660),
    [anon_sym_module] = ACTIONS(660),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_package] = ACTIONS(660),
    [anon_sym_import] = ACTIONS(660),
    [anon_sym_enum] = ACTIONS(660),
    [anon_sym_public] = ACTIONS(660),
    [anon_sym_protected] = ACTIONS(660),
    [anon_sym_private] = ACTIONS(660),
    [anon_sym_abstract] = ACTIONS(660),
    [anon_sym_strictfp] = ACTIONS(660),
    [anon_sym_native] = ACTIONS(660),
    [anon_sym_transient] = ACTIONS(660),
    [anon_sym_volatile] = ACTIONS(660),
    [anon_sym_sealed] = ACTIONS(660),
    [anon_sym_non_DASHsealed] = ACTIONS(658),
    [anon_sym_record] = ACTIONS(660),
    [anon_sym_ATinterface] = ACTIONS(658),
    [anon_sym_interface] = ACTIONS(660),
    [anon_sym_byte] = ACTIONS(660),
    [anon_sym_short] = ACTIONS(660),
    [anon_sym_int] = ACTIONS(660),
    [anon_sym_long] = ACTIONS(660),
    [anon_sym_char] = ACTIONS(660),
    [anon_sym_float] = ACTIONS(660),
    [anon_sym_double] = ACTIONS(660),
    [sym_boolean_type] = ACTIONS(660),
    [sym_void_type] = ACTIONS(660),
    [sym_this] = ACTIONS(660),
    [sym_super] = ACTIONS(660),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [240] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(518),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1244),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(397),
    [sym_array_access] = STATE(397),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1244),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(374),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(376),
    [anon_sym_PLUS] = ACTIONS(378),
    [anon_sym_DASH] = ACTIONS(378),
    [anon_sym_BANG] = ACTIONS(380),
    [anon_sym_TILDE] = ACTIONS(380),
    [anon_sym_PLUS_PLUS] = ACTIONS(382),
    [anon_sym_DASH_DASH] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(384),
    [anon_sym_module] = ACTIONS(384),
    [anon_sym_record] = ACTIONS(384),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [241] = {
    [ts_builtin_sym_end] = ACTIONS(662),
    [sym_identifier] = ACTIONS(664),
    [sym_decimal_integer_literal] = ACTIONS(664),
    [sym_hex_integer_literal] = ACTIONS(664),
    [sym_octal_integer_literal] = ACTIONS(662),
    [sym_binary_integer_literal] = ACTIONS(662),
    [sym_decimal_floating_point_literal] = ACTIONS(662),
    [sym_hex_floating_point_literal] = ACTIONS(664),
    [sym_true] = ACTIONS(664),
    [sym_false] = ACTIONS(664),
    [sym_character_literal] = ACTIONS(662),
    [anon_sym_DQUOTE] = ACTIONS(664),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(662),
    [sym_null_literal] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(662),
    [anon_sym_LT] = ACTIONS(662),
    [anon_sym_PLUS] = ACTIONS(664),
    [anon_sym_DASH] = ACTIONS(664),
    [anon_sym_final] = ACTIONS(664),
    [anon_sym_BANG] = ACTIONS(662),
    [anon_sym_TILDE] = ACTIONS(662),
    [anon_sym_PLUS_PLUS] = ACTIONS(662),
    [anon_sym_DASH_DASH] = ACTIONS(662),
    [anon_sym_new] = ACTIONS(664),
    [anon_sym_class] = ACTIONS(664),
    [anon_sym_switch] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(662),
    [anon_sym_RBRACE] = ACTIONS(662),
    [anon_sym_case] = ACTIONS(664),
    [anon_sym_default] = ACTIONS(664),
    [anon_sym_SEMI] = ACTIONS(662),
    [anon_sym_assert] = ACTIONS(664),
    [anon_sym_do] = ACTIONS(664),
    [anon_sym_while] = ACTIONS(664),
    [anon_sym_break] = ACTIONS(664),
    [anon_sym_continue] = ACTIONS(664),
    [anon_sym_return] = ACTIONS(664),
    [anon_sym_yield] = ACTIONS(664),
    [anon_sym_synchronized] = ACTIONS(664),
    [anon_sym_throw] = ACTIONS(664),
    [anon_sym_try] = ACTIONS(664),
    [anon_sym_if] = ACTIONS(664),
    [anon_sym_else] = ACTIONS(664),
    [anon_sym_for] = ACTIONS(664),
    [anon_sym_AT] = ACTIONS(664),
    [anon_sym_open] = ACTIONS(664),
    [anon_sym_module] = ACTIONS(664),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_package] = ACTIONS(664),
    [anon_sym_import] = ACTIONS(664),
    [anon_sym_enum] = ACTIONS(664),
    [anon_sym_public] = ACTIONS(664),
    [anon_sym_protected] = ACTIONS(664),
    [anon_sym_private] = ACTIONS(664),
    [anon_sym_abstract] = ACTIONS(664),
    [anon_sym_strictfp] = ACTIONS(664),
    [anon_sym_native] = ACTIONS(664),
    [anon_sym_transient] = ACTIONS(664),
    [anon_sym_volatile] = ACTIONS(664),
    [anon_sym_sealed] = ACTIONS(664),
    [anon_sym_non_DASHsealed] = ACTIONS(662),
    [anon_sym_record] = ACTIONS(664),
    [anon_sym_ATinterface] = ACTIONS(662),
    [anon_sym_interface] = ACTIONS(664),
    [anon_sym_byte] = ACTIONS(664),
    [anon_sym_short] = ACTIONS(664),
    [anon_sym_int] = ACTIONS(664),
    [anon_sym_long] = ACTIONS(664),
    [anon_sym_char] = ACTIONS(664),
    [anon_sym_float] = ACTIONS(664),
    [anon_sym_double] = ACTIONS(664),
    [sym_boolean_type] = ACTIONS(664),
    [sym_void_type] = ACTIONS(664),
    [sym_this] = ACTIONS(664),
    [sym_super] = ACTIONS(664),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [242] = {
    [ts_builtin_sym_end] = ACTIONS(666),
    [sym_identifier] = ACTIONS(668),
    [sym_decimal_integer_literal] = ACTIONS(668),
    [sym_hex_integer_literal] = ACTIONS(668),
    [sym_octal_integer_literal] = ACTIONS(666),
    [sym_binary_integer_literal] = ACTIONS(666),
    [sym_decimal_floating_point_literal] = ACTIONS(666),
    [sym_hex_floating_point_literal] = ACTIONS(668),
    [sym_true] = ACTIONS(668),
    [sym_false] = ACTIONS(668),
    [sym_character_literal] = ACTIONS(666),
    [anon_sym_DQUOTE] = ACTIONS(668),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(666),
    [sym_null_literal] = ACTIONS(668),
    [anon_sym_LPAREN] = ACTIONS(666),
    [anon_sym_LT] = ACTIONS(666),
    [anon_sym_PLUS] = ACTIONS(668),
    [anon_sym_DASH] = ACTIONS(668),
    [anon_sym_final] = ACTIONS(668),
    [anon_sym_BANG] = ACTIONS(666),
    [anon_sym_TILDE] = ACTIONS(666),
    [anon_sym_PLUS_PLUS] = ACTIONS(666),
    [anon_sym_DASH_DASH] = ACTIONS(666),
    [anon_sym_new] = ACTIONS(668),
    [anon_sym_class] = ACTIONS(668),
    [anon_sym_switch] = ACTIONS(668),
    [anon_sym_LBRACE] = ACTIONS(666),
    [anon_sym_RBRACE] = ACTIONS(666),
    [anon_sym_case] = ACTIONS(668),
    [anon_sym_default] = ACTIONS(668),
    [anon_sym_SEMI] = ACTIONS(666),
    [anon_sym_assert] = ACTIONS(668),
    [anon_sym_do] = ACTIONS(668),
    [anon_sym_while] = ACTIONS(668),
    [anon_sym_break] = ACTIONS(668),
    [anon_sym_continue] = ACTIONS(668),
    [anon_sym_return] = ACTIONS(668),
    [anon_sym_yield] = ACTIONS(668),
    [anon_sym_synchronized] = ACTIONS(668),
    [anon_sym_throw] = ACTIONS(668),
    [anon_sym_try] = ACTIONS(668),
    [anon_sym_if] = ACTIONS(668),
    [anon_sym_else] = ACTIONS(668),
    [anon_sym_for] = ACTIONS(668),
    [anon_sym_AT] = ACTIONS(668),
    [anon_sym_open] = ACTIONS(668),
    [anon_sym_module] = ACTIONS(668),
    [anon_sym_static] = ACTIONS(668),
    [anon_sym_package] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(668),
    [anon_sym_enum] = ACTIONS(668),
    [anon_sym_public] = ACTIONS(668),
    [anon_sym_protected] = ACTIONS(668),
    [anon_sym_private] = ACTIONS(668),
    [anon_sym_abstract] = ACTIONS(668),
    [anon_sym_strictfp] = ACTIONS(668),
    [anon_sym_native] = ACTIONS(668),
    [anon_sym_transient] = ACTIONS(668),
    [anon_sym_volatile] = ACTIONS(668),
    [anon_sym_sealed] = ACTIONS(668),
    [anon_sym_non_DASHsealed] = ACTIONS(666),
    [anon_sym_record] = ACTIONS(668),
    [anon_sym_ATinterface] = ACTIONS(666),
    [anon_sym_interface] = ACTIONS(668),
    [anon_sym_byte] = ACTIONS(668),
    [anon_sym_short] = ACTIONS(668),
    [anon_sym_int] = ACTIONS(668),
    [anon_sym_long] = ACTIONS(668),
    [anon_sym_char] = ACTIONS(668),
    [anon_sym_float] = ACTIONS(668),
    [anon_sym_double] = ACTIONS(668),
    [sym_boolean_type] = ACTIONS(668),
    [sym_void_type] = ACTIONS(668),
    [sym_this] = ACTIONS(668),
    [sym_super] = ACTIONS(668),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [243] = {
    [ts_builtin_sym_end] = ACTIONS(670),
    [sym_identifier] = ACTIONS(672),
    [sym_decimal_integer_literal] = ACTIONS(672),
    [sym_hex_integer_literal] = ACTIONS(672),
    [sym_octal_integer_literal] = ACTIONS(670),
    [sym_binary_integer_literal] = ACTIONS(670),
    [sym_decimal_floating_point_literal] = ACTIONS(670),
    [sym_hex_floating_point_literal] = ACTIONS(672),
    [sym_true] = ACTIONS(672),
    [sym_false] = ACTIONS(672),
    [sym_character_literal] = ACTIONS(670),
    [anon_sym_DQUOTE] = ACTIONS(672),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(670),
    [sym_null_literal] = ACTIONS(672),
    [anon_sym_LPAREN] = ACTIONS(670),
    [anon_sym_LT] = ACTIONS(670),
    [anon_sym_PLUS] = ACTIONS(672),
    [anon_sym_DASH] = ACTIONS(672),
    [anon_sym_final] = ACTIONS(672),
    [anon_sym_BANG] = ACTIONS(670),
    [anon_sym_TILDE] = ACTIONS(670),
    [anon_sym_PLUS_PLUS] = ACTIONS(670),
    [anon_sym_DASH_DASH] = ACTIONS(670),
    [anon_sym_new] = ACTIONS(672),
    [anon_sym_class] = ACTIONS(672),
    [anon_sym_switch] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_RBRACE] = ACTIONS(670),
    [anon_sym_case] = ACTIONS(672),
    [anon_sym_default] = ACTIONS(672),
    [anon_sym_SEMI] = ACTIONS(670),
    [anon_sym_assert] = ACTIONS(672),
    [anon_sym_do] = ACTIONS(672),
    [anon_sym_while] = ACTIONS(672),
    [anon_sym_break] = ACTIONS(672),
    [anon_sym_continue] = ACTIONS(672),
    [anon_sym_return] = ACTIONS(672),
    [anon_sym_yield] = ACTIONS(672),
    [anon_sym_synchronized] = ACTIONS(672),
    [anon_sym_throw] = ACTIONS(672),
    [anon_sym_try] = ACTIONS(672),
    [anon_sym_if] = ACTIONS(672),
    [anon_sym_else] = ACTIONS(672),
    [anon_sym_for] = ACTIONS(672),
    [anon_sym_AT] = ACTIONS(672),
    [anon_sym_open] = ACTIONS(672),
    [anon_sym_module] = ACTIONS(672),
    [anon_sym_static] = ACTIONS(672),
    [anon_sym_package] = ACTIONS(672),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_enum] = ACTIONS(672),
    [anon_sym_public] = ACTIONS(672),
    [anon_sym_protected] = ACTIONS(672),
    [anon_sym_private] = ACTIONS(672),
    [anon_sym_abstract] = ACTIONS(672),
    [anon_sym_strictfp] = ACTIONS(672),
    [anon_sym_native] = ACTIONS(672),
    [anon_sym_transient] = ACTIONS(672),
    [anon_sym_volatile] = ACTIONS(672),
    [anon_sym_sealed] = ACTIONS(672),
    [anon_sym_non_DASHsealed] = ACTIONS(670),
    [anon_sym_record] = ACTIONS(672),
    [anon_sym_ATinterface] = ACTIONS(670),
    [anon_sym_interface] = ACTIONS(672),
    [anon_sym_byte] = ACTIONS(672),
    [anon_sym_short] = ACTIONS(672),
    [anon_sym_int] = ACTIONS(672),
    [anon_sym_long] = ACTIONS(672),
    [anon_sym_char] = ACTIONS(672),
    [anon_sym_float] = ACTIONS(672),
    [anon_sym_double] = ACTIONS(672),
    [sym_boolean_type] = ACTIONS(672),
    [sym_void_type] = ACTIONS(672),
    [sym_this] = ACTIONS(672),
    [sym_super] = ACTIONS(672),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [244] = {
    [ts_builtin_sym_end] = ACTIONS(674),
    [sym_identifier] = ACTIONS(676),
    [sym_decimal_integer_literal] = ACTIONS(676),
    [sym_hex_integer_literal] = ACTIONS(676),
    [sym_octal_integer_literal] = ACTIONS(674),
    [sym_binary_integer_literal] = ACTIONS(674),
    [sym_decimal_floating_point_literal] = ACTIONS(674),
    [sym_hex_floating_point_literal] = ACTIONS(676),
    [sym_true] = ACTIONS(676),
    [sym_false] = ACTIONS(676),
    [sym_character_literal] = ACTIONS(674),
    [anon_sym_DQUOTE] = ACTIONS(676),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(674),
    [sym_null_literal] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_LT] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(676),
    [anon_sym_final] = ACTIONS(676),
    [anon_sym_BANG] = ACTIONS(674),
    [anon_sym_TILDE] = ACTIONS(674),
    [anon_sym_PLUS_PLUS] = ACTIONS(674),
    [anon_sym_DASH_DASH] = ACTIONS(674),
    [anon_sym_new] = ACTIONS(676),
    [anon_sym_class] = ACTIONS(676),
    [anon_sym_switch] = ACTIONS(676),
    [anon_sym_LBRACE] = ACTIONS(674),
    [anon_sym_RBRACE] = ACTIONS(674),
    [anon_sym_case] = ACTIONS(676),
    [anon_sym_default] = ACTIONS(676),
    [anon_sym_SEMI] = ACTIONS(674),
    [anon_sym_assert] = ACTIONS(676),
    [anon_sym_do] = ACTIONS(676),
    [anon_sym_while] = ACTIONS(676),
    [anon_sym_break] = ACTIONS(676),
    [anon_sym_continue] = ACTIONS(676),
    [anon_sym_return] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(676),
    [anon_sym_synchronized] = ACTIONS(676),
    [anon_sym_throw] = ACTIONS(676),
    [anon_sym_try] = ACTIONS(676),
    [anon_sym_if] = ACTIONS(676),
    [anon_sym_else] = ACTIONS(676),
    [anon_sym_for] = ACTIONS(676),
    [anon_sym_AT] = ACTIONS(676),
    [anon_sym_open] = ACTIONS(676),
    [anon_sym_module] = ACTIONS(676),
    [anon_sym_static] = ACTIONS(676),
    [anon_sym_package] = ACTIONS(676),
    [anon_sym_import] = ACTIONS(676),
    [anon_sym_enum] = ACTIONS(676),
    [anon_sym_public] = ACTIONS(676),
    [anon_sym_protected] = ACTIONS(676),
    [anon_sym_private] = ACTIONS(676),
    [anon_sym_abstract] = ACTIONS(676),
    [anon_sym_strictfp] = ACTIONS(676),
    [anon_sym_native] = ACTIONS(676),
    [anon_sym_transient] = ACTIONS(676),
    [anon_sym_volatile] = ACTIONS(676),
    [anon_sym_sealed] = ACTIONS(676),
    [anon_sym_non_DASHsealed] = ACTIONS(674),
    [anon_sym_record] = ACTIONS(676),
    [anon_sym_ATinterface] = ACTIONS(674),
    [anon_sym_interface] = ACTIONS(676),
    [anon_sym_byte] = ACTIONS(676),
    [anon_sym_short] = ACTIONS(676),
    [anon_sym_int] = ACTIONS(676),
    [anon_sym_long] = ACTIONS(676),
    [anon_sym_char] = ACTIONS(676),
    [anon_sym_float] = ACTIONS(676),
    [anon_sym_double] = ACTIONS(676),
    [sym_boolean_type] = ACTIONS(676),
    [sym_void_type] = ACTIONS(676),
    [sym_this] = ACTIONS(676),
    [sym_super] = ACTIONS(676),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [245] = {
    [ts_builtin_sym_end] = ACTIONS(678),
    [sym_identifier] = ACTIONS(680),
    [sym_decimal_integer_literal] = ACTIONS(680),
    [sym_hex_integer_literal] = ACTIONS(680),
    [sym_octal_integer_literal] = ACTIONS(678),
    [sym_binary_integer_literal] = ACTIONS(678),
    [sym_decimal_floating_point_literal] = ACTIONS(678),
    [sym_hex_floating_point_literal] = ACTIONS(680),
    [sym_true] = ACTIONS(680),
    [sym_false] = ACTIONS(680),
    [sym_character_literal] = ACTIONS(678),
    [anon_sym_DQUOTE] = ACTIONS(680),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(678),
    [sym_null_literal] = ACTIONS(680),
    [anon_sym_LPAREN] = ACTIONS(678),
    [anon_sym_LT] = ACTIONS(678),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_final] = ACTIONS(680),
    [anon_sym_BANG] = ACTIONS(678),
    [anon_sym_TILDE] = ACTIONS(678),
    [anon_sym_PLUS_PLUS] = ACTIONS(678),
    [anon_sym_DASH_DASH] = ACTIONS(678),
    [anon_sym_new] = ACTIONS(680),
    [anon_sym_class] = ACTIONS(680),
    [anon_sym_switch] = ACTIONS(680),
    [anon_sym_LBRACE] = ACTIONS(678),
    [anon_sym_RBRACE] = ACTIONS(678),
    [anon_sym_case] = ACTIONS(680),
    [anon_sym_default] = ACTIONS(680),
    [anon_sym_SEMI] = ACTIONS(678),
    [anon_sym_assert] = ACTIONS(680),
    [anon_sym_do] = ACTIONS(680),
    [anon_sym_while] = ACTIONS(680),
    [anon_sym_break] = ACTIONS(680),
    [anon_sym_continue] = ACTIONS(680),
    [anon_sym_return] = ACTIONS(680),
    [anon_sym_yield] = ACTIONS(680),
    [anon_sym_synchronized] = ACTIONS(680),
    [anon_sym_throw] = ACTIONS(680),
    [anon_sym_try] = ACTIONS(680),
    [anon_sym_if] = ACTIONS(680),
    [anon_sym_else] = ACTIONS(680),
    [anon_sym_for] = ACTIONS(680),
    [anon_sym_AT] = ACTIONS(680),
    [anon_sym_open] = ACTIONS(680),
    [anon_sym_module] = ACTIONS(680),
    [anon_sym_static] = ACTIONS(680),
    [anon_sym_package] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(680),
    [anon_sym_enum] = ACTIONS(680),
    [anon_sym_public] = ACTIONS(680),
    [anon_sym_protected] = ACTIONS(680),
    [anon_sym_private] = ACTIONS(680),
    [anon_sym_abstract] = ACTIONS(680),
    [anon_sym_strictfp] = ACTIONS(680),
    [anon_sym_native] = ACTIONS(680),
    [anon_sym_transient] = ACTIONS(680),
    [anon_sym_volatile] = ACTIONS(680),
    [anon_sym_sealed] = ACTIONS(680),
    [anon_sym_non_DASHsealed] = ACTIONS(678),
    [anon_sym_record] = ACTIONS(680),
    [anon_sym_ATinterface] = ACTIONS(678),
    [anon_sym_interface] = ACTIONS(680),
    [anon_sym_byte] = ACTIONS(680),
    [anon_sym_short] = ACTIONS(680),
    [anon_sym_int] = ACTIONS(680),
    [anon_sym_long] = ACTIONS(680),
    [anon_sym_char] = ACTIONS(680),
    [anon_sym_float] = ACTIONS(680),
    [anon_sym_double] = ACTIONS(680),
    [sym_boolean_type] = ACTIONS(680),
    [sym_void_type] = ACTIONS(680),
    [sym_this] = ACTIONS(680),
    [sym_super] = ACTIONS(680),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [246] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(579),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1244),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(397),
    [sym_array_access] = STATE(397),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1244),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(374),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(376),
    [anon_sym_PLUS] = ACTIONS(378),
    [anon_sym_DASH] = ACTIONS(378),
    [anon_sym_BANG] = ACTIONS(380),
    [anon_sym_TILDE] = ACTIONS(380),
    [anon_sym_PLUS_PLUS] = ACTIONS(382),
    [anon_sym_DASH_DASH] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(384),
    [anon_sym_module] = ACTIONS(384),
    [anon_sym_record] = ACTIONS(384),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [247] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(580),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1244),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(397),
    [sym_array_access] = STATE(397),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1244),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(374),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(376),
    [anon_sym_PLUS] = ACTIONS(378),
    [anon_sym_DASH] = ACTIONS(378),
    [anon_sym_BANG] = ACTIONS(380),
    [anon_sym_TILDE] = ACTIONS(380),
    [anon_sym_PLUS_PLUS] = ACTIONS(382),
    [anon_sym_DASH_DASH] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(384),
    [anon_sym_module] = ACTIONS(384),
    [anon_sym_record] = ACTIONS(384),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [248] = {
    [ts_builtin_sym_end] = ACTIONS(682),
    [sym_identifier] = ACTIONS(684),
    [sym_decimal_integer_literal] = ACTIONS(684),
    [sym_hex_integer_literal] = ACTIONS(684),
    [sym_octal_integer_literal] = ACTIONS(682),
    [sym_binary_integer_literal] = ACTIONS(682),
    [sym_decimal_floating_point_literal] = ACTIONS(682),
    [sym_hex_floating_point_literal] = ACTIONS(684),
    [sym_true] = ACTIONS(684),
    [sym_false] = ACTIONS(684),
    [sym_character_literal] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(682),
    [sym_null_literal] = ACTIONS(684),
    [anon_sym_LPAREN] = ACTIONS(682),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_PLUS] = ACTIONS(684),
    [anon_sym_DASH] = ACTIONS(684),
    [anon_sym_final] = ACTIONS(684),
    [anon_sym_BANG] = ACTIONS(682),
    [anon_sym_TILDE] = ACTIONS(682),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_new] = ACTIONS(684),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_switch] = ACTIONS(684),
    [anon_sym_LBRACE] = ACTIONS(682),
    [anon_sym_RBRACE] = ACTIONS(682),
    [anon_sym_case] = ACTIONS(684),
    [anon_sym_default] = ACTIONS(684),
    [anon_sym_SEMI] = ACTIONS(682),
    [anon_sym_assert] = ACTIONS(684),
    [anon_sym_do] = ACTIONS(684),
    [anon_sym_while] = ACTIONS(684),
    [anon_sym_break] = ACTIONS(684),
    [anon_sym_continue] = ACTIONS(684),
    [anon_sym_return] = ACTIONS(684),
    [anon_sym_yield] = ACTIONS(684),
    [anon_sym_synchronized] = ACTIONS(684),
    [anon_sym_throw] = ACTIONS(684),
    [anon_sym_try] = ACTIONS(684),
    [anon_sym_if] = ACTIONS(684),
    [anon_sym_else] = ACTIONS(684),
    [anon_sym_for] = ACTIONS(684),
    [anon_sym_AT] = ACTIONS(684),
    [anon_sym_open] = ACTIONS(684),
    [anon_sym_module] = ACTIONS(684),
    [anon_sym_static] = ACTIONS(684),
    [anon_sym_package] = ACTIONS(684),
    [anon_sym_import] = ACTIONS(684),
    [anon_sym_enum] = ACTIONS(684),
    [anon_sym_public] = ACTIONS(684),
    [anon_sym_protected] = ACTIONS(684),
    [anon_sym_private] = ACTIONS(684),
    [anon_sym_abstract] = ACTIONS(684),
    [anon_sym_strictfp] = ACTIONS(684),
    [anon_sym_native] = ACTIONS(684),
    [anon_sym_transient] = ACTIONS(684),
    [anon_sym_volatile] = ACTIONS(684),
    [anon_sym_sealed] = ACTIONS(684),
    [anon_sym_non_DASHsealed] = ACTIONS(682),
    [anon_sym_record] = ACTIONS(684),
    [anon_sym_ATinterface] = ACTIONS(682),
    [anon_sym_interface] = ACTIONS(684),
    [anon_sym_byte] = ACTIONS(684),
    [anon_sym_short] = ACTIONS(684),
    [anon_sym_int] = ACTIONS(684),
    [anon_sym_long] = ACTIONS(684),
    [anon_sym_char] = ACTIONS(684),
    [anon_sym_float] = ACTIONS(684),
    [anon_sym_double] = ACTIONS(684),
    [sym_boolean_type] = ACTIONS(684),
    [sym_void_type] = ACTIONS(684),
    [sym_this] = ACTIONS(684),
    [sym_super] = ACTIONS(684),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [249] = {
    [ts_builtin_sym_end] = ACTIONS(686),
    [sym_identifier] = ACTIONS(688),
    [sym_decimal_integer_literal] = ACTIONS(688),
    [sym_hex_integer_literal] = ACTIONS(688),
    [sym_octal_integer_literal] = ACTIONS(686),
    [sym_binary_integer_literal] = ACTIONS(686),
    [sym_decimal_floating_point_literal] = ACTIONS(686),
    [sym_hex_floating_point_literal] = ACTIONS(688),
    [sym_true] = ACTIONS(688),
    [sym_false] = ACTIONS(688),
    [sym_character_literal] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(688),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(686),
    [sym_null_literal] = ACTIONS(688),
    [anon_sym_LPAREN] = ACTIONS(686),
    [anon_sym_LT] = ACTIONS(686),
    [anon_sym_PLUS] = ACTIONS(688),
    [anon_sym_DASH] = ACTIONS(688),
    [anon_sym_final] = ACTIONS(688),
    [anon_sym_BANG] = ACTIONS(686),
    [anon_sym_TILDE] = ACTIONS(686),
    [anon_sym_PLUS_PLUS] = ACTIONS(686),
    [anon_sym_DASH_DASH] = ACTIONS(686),
    [anon_sym_new] = ACTIONS(688),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_switch] = ACTIONS(688),
    [anon_sym_LBRACE] = ACTIONS(686),
    [anon_sym_RBRACE] = ACTIONS(686),
    [anon_sym_case] = ACTIONS(688),
    [anon_sym_default] = ACTIONS(688),
    [anon_sym_SEMI] = ACTIONS(686),
    [anon_sym_assert] = ACTIONS(688),
    [anon_sym_do] = ACTIONS(688),
    [anon_sym_while] = ACTIONS(688),
    [anon_sym_break] = ACTIONS(688),
    [anon_sym_continue] = ACTIONS(688),
    [anon_sym_return] = ACTIONS(688),
    [anon_sym_yield] = ACTIONS(688),
    [anon_sym_synchronized] = ACTIONS(688),
    [anon_sym_throw] = ACTIONS(688),
    [anon_sym_try] = ACTIONS(688),
    [anon_sym_if] = ACTIONS(688),
    [anon_sym_else] = ACTIONS(688),
    [anon_sym_for] = ACTIONS(688),
    [anon_sym_AT] = ACTIONS(688),
    [anon_sym_open] = ACTIONS(688),
    [anon_sym_module] = ACTIONS(688),
    [anon_sym_static] = ACTIONS(688),
    [anon_sym_package] = ACTIONS(688),
    [anon_sym_import] = ACTIONS(688),
    [anon_sym_enum] = ACTIONS(688),
    [anon_sym_public] = ACTIONS(688),
    [anon_sym_protected] = ACTIONS(688),
    [anon_sym_private] = ACTIONS(688),
    [anon_sym_abstract] = ACTIONS(688),
    [anon_sym_strictfp] = ACTIONS(688),
    [anon_sym_native] = ACTIONS(688),
    [anon_sym_transient] = ACTIONS(688),
    [anon_sym_volatile] = ACTIONS(688),
    [anon_sym_sealed] = ACTIONS(688),
    [anon_sym_non_DASHsealed] = ACTIONS(686),
    [anon_sym_record] = ACTIONS(688),
    [anon_sym_ATinterface] = ACTIONS(686),
    [anon_sym_interface] = ACTIONS(688),
    [anon_sym_byte] = ACTIONS(688),
    [anon_sym_short] = ACTIONS(688),
    [anon_sym_int] = ACTIONS(688),
    [anon_sym_long] = ACTIONS(688),
    [anon_sym_char] = ACTIONS(688),
    [anon_sym_float] = ACTIONS(688),
    [anon_sym_double] = ACTIONS(688),
    [sym_boolean_type] = ACTIONS(688),
    [sym_void_type] = ACTIONS(688),
    [sym_this] = ACTIONS(688),
    [sym_super] = ACTIONS(688),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [250] = {
    [ts_builtin_sym_end] = ACTIONS(690),
    [sym_identifier] = ACTIONS(692),
    [sym_decimal_integer_literal] = ACTIONS(692),
    [sym_hex_integer_literal] = ACTIONS(692),
    [sym_octal_integer_literal] = ACTIONS(690),
    [sym_binary_integer_literal] = ACTIONS(690),
    [sym_decimal_floating_point_literal] = ACTIONS(690),
    [sym_hex_floating_point_literal] = ACTIONS(692),
    [sym_true] = ACTIONS(692),
    [sym_false] = ACTIONS(692),
    [sym_character_literal] = ACTIONS(690),
    [anon_sym_DQUOTE] = ACTIONS(692),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(690),
    [sym_null_literal] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_final] = ACTIONS(692),
    [anon_sym_BANG] = ACTIONS(690),
    [anon_sym_TILDE] = ACTIONS(690),
    [anon_sym_PLUS_PLUS] = ACTIONS(690),
    [anon_sym_DASH_DASH] = ACTIONS(690),
    [anon_sym_new] = ACTIONS(692),
    [anon_sym_class] = ACTIONS(692),
    [anon_sym_switch] = ACTIONS(692),
    [anon_sym_LBRACE] = ACTIONS(690),
    [anon_sym_RBRACE] = ACTIONS(690),
    [anon_sym_case] = ACTIONS(692),
    [anon_sym_default] = ACTIONS(692),
    [anon_sym_SEMI] = ACTIONS(690),
    [anon_sym_assert] = ACTIONS(692),
    [anon_sym_do] = ACTIONS(692),
    [anon_sym_while] = ACTIONS(692),
    [anon_sym_break] = ACTIONS(692),
    [anon_sym_continue] = ACTIONS(692),
    [anon_sym_return] = ACTIONS(692),
    [anon_sym_yield] = ACTIONS(692),
    [anon_sym_synchronized] = ACTIONS(692),
    [anon_sym_throw] = ACTIONS(692),
    [anon_sym_try] = ACTIONS(692),
    [anon_sym_if] = ACTIONS(692),
    [anon_sym_else] = ACTIONS(692),
    [anon_sym_for] = ACTIONS(692),
    [anon_sym_AT] = ACTIONS(692),
    [anon_sym_open] = ACTIONS(692),
    [anon_sym_module] = ACTIONS(692),
    [anon_sym_static] = ACTIONS(692),
    [anon_sym_package] = ACTIONS(692),
    [anon_sym_import] = ACTIONS(692),
    [anon_sym_enum] = ACTIONS(692),
    [anon_sym_public] = ACTIONS(692),
    [anon_sym_protected] = ACTIONS(692),
    [anon_sym_private] = ACTIONS(692),
    [anon_sym_abstract] = ACTIONS(692),
    [anon_sym_strictfp] = ACTIONS(692),
    [anon_sym_native] = ACTIONS(692),
    [anon_sym_transient] = ACTIONS(692),
    [anon_sym_volatile] = ACTIONS(692),
    [anon_sym_sealed] = ACTIONS(692),
    [anon_sym_non_DASHsealed] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_ATinterface] = ACTIONS(690),
    [anon_sym_interface] = ACTIONS(692),
    [anon_sym_byte] = ACTIONS(692),
    [anon_sym_short] = ACTIONS(692),
    [anon_sym_int] = ACTIONS(692),
    [anon_sym_long] = ACTIONS(692),
    [anon_sym_char] = ACTIONS(692),
    [anon_sym_float] = ACTIONS(692),
    [anon_sym_double] = ACTIONS(692),
    [sym_boolean_type] = ACTIONS(692),
    [sym_void_type] = ACTIONS(692),
    [sym_this] = ACTIONS(692),
    [sym_super] = ACTIONS(692),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [251] = {
    [ts_builtin_sym_end] = ACTIONS(694),
    [sym_identifier] = ACTIONS(696),
    [sym_decimal_integer_literal] = ACTIONS(696),
    [sym_hex_integer_literal] = ACTIONS(696),
    [sym_octal_integer_literal] = ACTIONS(694),
    [sym_binary_integer_literal] = ACTIONS(694),
    [sym_decimal_floating_point_literal] = ACTIONS(694),
    [sym_hex_floating_point_literal] = ACTIONS(696),
    [sym_true] = ACTIONS(696),
    [sym_false] = ACTIONS(696),
    [sym_character_literal] = ACTIONS(694),
    [anon_sym_DQUOTE] = ACTIONS(696),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(694),
    [sym_null_literal] = ACTIONS(696),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LT] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_final] = ACTIONS(696),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(694),
    [anon_sym_new] = ACTIONS(696),
    [anon_sym_class] = ACTIONS(696),
    [anon_sym_switch] = ACTIONS(696),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_case] = ACTIONS(696),
    [anon_sym_default] = ACTIONS(696),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_assert] = ACTIONS(696),
    [anon_sym_do] = ACTIONS(696),
    [anon_sym_while] = ACTIONS(696),
    [anon_sym_break] = ACTIONS(696),
    [anon_sym_continue] = ACTIONS(696),
    [anon_sym_return] = ACTIONS(696),
    [anon_sym_yield] = ACTIONS(696),
    [anon_sym_synchronized] = ACTIONS(696),
    [anon_sym_throw] = ACTIONS(696),
    [anon_sym_try] = ACTIONS(696),
    [anon_sym_if] = ACTIONS(696),
    [anon_sym_else] = ACTIONS(696),
    [anon_sym_for] = ACTIONS(696),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_open] = ACTIONS(696),
    [anon_sym_module] = ACTIONS(696),
    [anon_sym_static] = ACTIONS(696),
    [anon_sym_package] = ACTIONS(696),
    [anon_sym_import] = ACTIONS(696),
    [anon_sym_enum] = ACTIONS(696),
    [anon_sym_public] = ACTIONS(696),
    [anon_sym_protected] = ACTIONS(696),
    [anon_sym_private] = ACTIONS(696),
    [anon_sym_abstract] = ACTIONS(696),
    [anon_sym_strictfp] = ACTIONS(696),
    [anon_sym_native] = ACTIONS(696),
    [anon_sym_transient] = ACTIONS(696),
    [anon_sym_volatile] = ACTIONS(696),
    [anon_sym_sealed] = ACTIONS(696),
    [anon_sym_non_DASHsealed] = ACTIONS(694),
    [anon_sym_record] = ACTIONS(696),
    [anon_sym_ATinterface] = ACTIONS(694),
    [anon_sym_interface] = ACTIONS(696),
    [anon_sym_byte] = ACTIONS(696),
    [anon_sym_short] = ACTIONS(696),
    [anon_sym_int] = ACTIONS(696),
    [anon_sym_long] = ACTIONS(696),
    [anon_sym_char] = ACTIONS(696),
    [anon_sym_float] = ACTIONS(696),
    [anon_sym_double] = ACTIONS(696),
    [sym_boolean_type] = ACTIONS(696),
    [sym_void_type] = ACTIONS(696),
    [sym_this] = ACTIONS(696),
    [sym_super] = ACTIONS(696),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [252] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(537),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [253] = {
    [ts_builtin_sym_end] = ACTIONS(698),
    [sym_identifier] = ACTIONS(700),
    [sym_decimal_integer_literal] = ACTIONS(700),
    [sym_hex_integer_literal] = ACTIONS(700),
    [sym_octal_integer_literal] = ACTIONS(698),
    [sym_binary_integer_literal] = ACTIONS(698),
    [sym_decimal_floating_point_literal] = ACTIONS(698),
    [sym_hex_floating_point_literal] = ACTIONS(700),
    [sym_true] = ACTIONS(700),
    [sym_false] = ACTIONS(700),
    [sym_character_literal] = ACTIONS(698),
    [anon_sym_DQUOTE] = ACTIONS(700),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(698),
    [sym_null_literal] = ACTIONS(700),
    [anon_sym_LPAREN] = ACTIONS(698),
    [anon_sym_LT] = ACTIONS(698),
    [anon_sym_PLUS] = ACTIONS(700),
    [anon_sym_DASH] = ACTIONS(700),
    [anon_sym_final] = ACTIONS(700),
    [anon_sym_BANG] = ACTIONS(698),
    [anon_sym_TILDE] = ACTIONS(698),
    [anon_sym_PLUS_PLUS] = ACTIONS(698),
    [anon_sym_DASH_DASH] = ACTIONS(698),
    [anon_sym_new] = ACTIONS(700),
    [anon_sym_class] = ACTIONS(700),
    [anon_sym_switch] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(698),
    [anon_sym_RBRACE] = ACTIONS(698),
    [anon_sym_case] = ACTIONS(700),
    [anon_sym_default] = ACTIONS(700),
    [anon_sym_SEMI] = ACTIONS(698),
    [anon_sym_assert] = ACTIONS(700),
    [anon_sym_do] = ACTIONS(700),
    [anon_sym_while] = ACTIONS(700),
    [anon_sym_break] = ACTIONS(700),
    [anon_sym_continue] = ACTIONS(700),
    [anon_sym_return] = ACTIONS(700),
    [anon_sym_yield] = ACTIONS(700),
    [anon_sym_synchronized] = ACTIONS(700),
    [anon_sym_throw] = ACTIONS(700),
    [anon_sym_try] = ACTIONS(700),
    [anon_sym_if] = ACTIONS(700),
    [anon_sym_else] = ACTIONS(700),
    [anon_sym_for] = ACTIONS(700),
    [anon_sym_AT] = ACTIONS(700),
    [anon_sym_open] = ACTIONS(700),
    [anon_sym_module] = ACTIONS(700),
    [anon_sym_static] = ACTIONS(700),
    [anon_sym_package] = ACTIONS(700),
    [anon_sym_import] = ACTIONS(700),
    [anon_sym_enum] = ACTIONS(700),
    [anon_sym_public] = ACTIONS(700),
    [anon_sym_protected] = ACTIONS(700),
    [anon_sym_private] = ACTIONS(700),
    [anon_sym_abstract] = ACTIONS(700),
    [anon_sym_strictfp] = ACTIONS(700),
    [anon_sym_native] = ACTIONS(700),
    [anon_sym_transient] = ACTIONS(700),
    [anon_sym_volatile] = ACTIONS(700),
    [anon_sym_sealed] = ACTIONS(700),
    [anon_sym_non_DASHsealed] = ACTIONS(698),
    [anon_sym_record] = ACTIONS(700),
    [anon_sym_ATinterface] = ACTIONS(698),
    [anon_sym_interface] = ACTIONS(700),
    [anon_sym_byte] = ACTIONS(700),
    [anon_sym_short] = ACTIONS(700),
    [anon_sym_int] = ACTIONS(700),
    [anon_sym_long] = ACTIONS(700),
    [anon_sym_char] = ACTIONS(700),
    [anon_sym_float] = ACTIONS(700),
    [anon_sym_double] = ACTIONS(700),
    [sym_boolean_type] = ACTIONS(700),
    [sym_void_type] = ACTIONS(700),
    [sym_this] = ACTIONS(700),
    [sym_super] = ACTIONS(700),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [254] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(644),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [255] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(631),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [256] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(519),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1244),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(397),
    [sym_array_access] = STATE(397),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1244),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(374),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(376),
    [anon_sym_PLUS] = ACTIONS(378),
    [anon_sym_DASH] = ACTIONS(378),
    [anon_sym_BANG] = ACTIONS(380),
    [anon_sym_TILDE] = ACTIONS(380),
    [anon_sym_PLUS_PLUS] = ACTIONS(382),
    [anon_sym_DASH_DASH] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(384),
    [anon_sym_module] = ACTIONS(384),
    [anon_sym_record] = ACTIONS(384),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [257] = {
    [ts_builtin_sym_end] = ACTIONS(702),
    [sym_identifier] = ACTIONS(704),
    [sym_decimal_integer_literal] = ACTIONS(704),
    [sym_hex_integer_literal] = ACTIONS(704),
    [sym_octal_integer_literal] = ACTIONS(702),
    [sym_binary_integer_literal] = ACTIONS(702),
    [sym_decimal_floating_point_literal] = ACTIONS(702),
    [sym_hex_floating_point_literal] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_character_literal] = ACTIONS(702),
    [anon_sym_DQUOTE] = ACTIONS(704),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(702),
    [sym_null_literal] = ACTIONS(704),
    [anon_sym_LPAREN] = ACTIONS(702),
    [anon_sym_LT] = ACTIONS(702),
    [anon_sym_PLUS] = ACTIONS(704),
    [anon_sym_DASH] = ACTIONS(704),
    [anon_sym_final] = ACTIONS(704),
    [anon_sym_BANG] = ACTIONS(702),
    [anon_sym_TILDE] = ACTIONS(702),
    [anon_sym_PLUS_PLUS] = ACTIONS(702),
    [anon_sym_DASH_DASH] = ACTIONS(702),
    [anon_sym_new] = ACTIONS(704),
    [anon_sym_class] = ACTIONS(704),
    [anon_sym_switch] = ACTIONS(704),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(702),
    [anon_sym_case] = ACTIONS(704),
    [anon_sym_default] = ACTIONS(704),
    [anon_sym_SEMI] = ACTIONS(702),
    [anon_sym_assert] = ACTIONS(704),
    [anon_sym_do] = ACTIONS(704),
    [anon_sym_while] = ACTIONS(704),
    [anon_sym_break] = ACTIONS(704),
    [anon_sym_continue] = ACTIONS(704),
    [anon_sym_return] = ACTIONS(704),
    [anon_sym_yield] = ACTIONS(704),
    [anon_sym_synchronized] = ACTIONS(704),
    [anon_sym_throw] = ACTIONS(704),
    [anon_sym_try] = ACTIONS(704),
    [anon_sym_if] = ACTIONS(704),
    [anon_sym_else] = ACTIONS(704),
    [anon_sym_for] = ACTIONS(704),
    [anon_sym_AT] = ACTIONS(704),
    [anon_sym_open] = ACTIONS(704),
    [anon_sym_module] = ACTIONS(704),
    [anon_sym_static] = ACTIONS(704),
    [anon_sym_package] = ACTIONS(704),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_enum] = ACTIONS(704),
    [anon_sym_public] = ACTIONS(704),
    [anon_sym_protected] = ACTIONS(704),
    [anon_sym_private] = ACTIONS(704),
    [anon_sym_abstract] = ACTIONS(704),
    [anon_sym_strictfp] = ACTIONS(704),
    [anon_sym_native] = ACTIONS(704),
    [anon_sym_transient] = ACTIONS(704),
    [anon_sym_volatile] = ACTIONS(704),
    [anon_sym_sealed] = ACTIONS(704),
    [anon_sym_non_DASHsealed] = ACTIONS(702),
    [anon_sym_record] = ACTIONS(704),
    [anon_sym_ATinterface] = ACTIONS(702),
    [anon_sym_interface] = ACTIONS(704),
    [anon_sym_byte] = ACTIONS(704),
    [anon_sym_short] = ACTIONS(704),
    [anon_sym_int] = ACTIONS(704),
    [anon_sym_long] = ACTIONS(704),
    [anon_sym_char] = ACTIONS(704),
    [anon_sym_float] = ACTIONS(704),
    [anon_sym_double] = ACTIONS(704),
    [sym_boolean_type] = ACTIONS(704),
    [sym_void_type] = ACTIONS(704),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [258] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(621),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [259] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(626),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [260] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(544),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [261] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(616),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [262] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(530),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [263] = {
    [ts_builtin_sym_end] = ACTIONS(706),
    [sym_identifier] = ACTIONS(708),
    [sym_decimal_integer_literal] = ACTIONS(708),
    [sym_hex_integer_literal] = ACTIONS(708),
    [sym_octal_integer_literal] = ACTIONS(706),
    [sym_binary_integer_literal] = ACTIONS(706),
    [sym_decimal_floating_point_literal] = ACTIONS(706),
    [sym_hex_floating_point_literal] = ACTIONS(708),
    [sym_true] = ACTIONS(708),
    [sym_false] = ACTIONS(708),
    [sym_character_literal] = ACTIONS(706),
    [anon_sym_DQUOTE] = ACTIONS(708),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(706),
    [sym_null_literal] = ACTIONS(708),
    [anon_sym_LPAREN] = ACTIONS(706),
    [anon_sym_LT] = ACTIONS(706),
    [anon_sym_PLUS] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(708),
    [anon_sym_final] = ACTIONS(708),
    [anon_sym_BANG] = ACTIONS(706),
    [anon_sym_TILDE] = ACTIONS(706),
    [anon_sym_PLUS_PLUS] = ACTIONS(706),
    [anon_sym_DASH_DASH] = ACTIONS(706),
    [anon_sym_new] = ACTIONS(708),
    [anon_sym_class] = ACTIONS(708),
    [anon_sym_switch] = ACTIONS(708),
    [anon_sym_LBRACE] = ACTIONS(706),
    [anon_sym_RBRACE] = ACTIONS(706),
    [anon_sym_case] = ACTIONS(708),
    [anon_sym_default] = ACTIONS(708),
    [anon_sym_SEMI] = ACTIONS(706),
    [anon_sym_assert] = ACTIONS(708),
    [anon_sym_do] = ACTIONS(708),
    [anon_sym_while] = ACTIONS(708),
    [anon_sym_break] = ACTIONS(708),
    [anon_sym_continue] = ACTIONS(708),
    [anon_sym_return] = ACTIONS(708),
    [anon_sym_yield] = ACTIONS(708),
    [anon_sym_synchronized] = ACTIONS(708),
    [anon_sym_throw] = ACTIONS(708),
    [anon_sym_try] = ACTIONS(708),
    [anon_sym_if] = ACTIONS(708),
    [anon_sym_else] = ACTIONS(708),
    [anon_sym_for] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(708),
    [anon_sym_open] = ACTIONS(708),
    [anon_sym_module] = ACTIONS(708),
    [anon_sym_static] = ACTIONS(708),
    [anon_sym_package] = ACTIONS(708),
    [anon_sym_import] = ACTIONS(708),
    [anon_sym_enum] = ACTIONS(708),
    [anon_sym_public] = ACTIONS(708),
    [anon_sym_protected] = ACTIONS(708),
    [anon_sym_private] = ACTIONS(708),
    [anon_sym_abstract] = ACTIONS(708),
    [anon_sym_strictfp] = ACTIONS(708),
    [anon_sym_native] = ACTIONS(708),
    [anon_sym_transient] = ACTIONS(708),
    [anon_sym_volatile] = ACTIONS(708),
    [anon_sym_sealed] = ACTIONS(708),
    [anon_sym_non_DASHsealed] = ACTIONS(706),
    [anon_sym_record] = ACTIONS(708),
    [anon_sym_ATinterface] = ACTIONS(706),
    [anon_sym_interface] = ACTIONS(708),
    [anon_sym_byte] = ACTIONS(708),
    [anon_sym_short] = ACTIONS(708),
    [anon_sym_int] = ACTIONS(708),
    [anon_sym_long] = ACTIONS(708),
    [anon_sym_char] = ACTIONS(708),
    [anon_sym_float] = ACTIONS(708),
    [anon_sym_double] = ACTIONS(708),
    [sym_boolean_type] = ACTIONS(708),
    [sym_void_type] = ACTIONS(708),
    [sym_this] = ACTIONS(708),
    [sym_super] = ACTIONS(708),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [264] = {
    [ts_builtin_sym_end] = ACTIONS(710),
    [sym_identifier] = ACTIONS(712),
    [sym_decimal_integer_literal] = ACTIONS(712),
    [sym_hex_integer_literal] = ACTIONS(712),
    [sym_octal_integer_literal] = ACTIONS(710),
    [sym_binary_integer_literal] = ACTIONS(710),
    [sym_decimal_floating_point_literal] = ACTIONS(710),
    [sym_hex_floating_point_literal] = ACTIONS(712),
    [sym_true] = ACTIONS(712),
    [sym_false] = ACTIONS(712),
    [sym_character_literal] = ACTIONS(710),
    [anon_sym_DQUOTE] = ACTIONS(712),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(710),
    [sym_null_literal] = ACTIONS(712),
    [anon_sym_LPAREN] = ACTIONS(710),
    [anon_sym_LT] = ACTIONS(710),
    [anon_sym_PLUS] = ACTIONS(712),
    [anon_sym_DASH] = ACTIONS(712),
    [anon_sym_final] = ACTIONS(712),
    [anon_sym_BANG] = ACTIONS(710),
    [anon_sym_TILDE] = ACTIONS(710),
    [anon_sym_PLUS_PLUS] = ACTIONS(710),
    [anon_sym_DASH_DASH] = ACTIONS(710),
    [anon_sym_new] = ACTIONS(712),
    [anon_sym_class] = ACTIONS(712),
    [anon_sym_switch] = ACTIONS(712),
    [anon_sym_LBRACE] = ACTIONS(710),
    [anon_sym_RBRACE] = ACTIONS(710),
    [anon_sym_case] = ACTIONS(712),
    [anon_sym_default] = ACTIONS(712),
    [anon_sym_SEMI] = ACTIONS(710),
    [anon_sym_assert] = ACTIONS(712),
    [anon_sym_do] = ACTIONS(712),
    [anon_sym_while] = ACTIONS(712),
    [anon_sym_break] = ACTIONS(712),
    [anon_sym_continue] = ACTIONS(712),
    [anon_sym_return] = ACTIONS(712),
    [anon_sym_yield] = ACTIONS(712),
    [anon_sym_synchronized] = ACTIONS(712),
    [anon_sym_throw] = ACTIONS(712),
    [anon_sym_try] = ACTIONS(712),
    [anon_sym_if] = ACTIONS(712),
    [anon_sym_else] = ACTIONS(712),
    [anon_sym_for] = ACTIONS(712),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_open] = ACTIONS(712),
    [anon_sym_module] = ACTIONS(712),
    [anon_sym_static] = ACTIONS(712),
    [anon_sym_package] = ACTIONS(712),
    [anon_sym_import] = ACTIONS(712),
    [anon_sym_enum] = ACTIONS(712),
    [anon_sym_public] = ACTIONS(712),
    [anon_sym_protected] = ACTIONS(712),
    [anon_sym_private] = ACTIONS(712),
    [anon_sym_abstract] = ACTIONS(712),
    [anon_sym_strictfp] = ACTIONS(712),
    [anon_sym_native] = ACTIONS(712),
    [anon_sym_transient] = ACTIONS(712),
    [anon_sym_volatile] = ACTIONS(712),
    [anon_sym_sealed] = ACTIONS(712),
    [anon_sym_non_DASHsealed] = ACTIONS(710),
    [anon_sym_record] = ACTIONS(712),
    [anon_sym_ATinterface] = ACTIONS(710),
    [anon_sym_interface] = ACTIONS(712),
    [anon_sym_byte] = ACTIONS(712),
    [anon_sym_short] = ACTIONS(712),
    [anon_sym_int] = ACTIONS(712),
    [anon_sym_long] = ACTIONS(712),
    [anon_sym_char] = ACTIONS(712),
    [anon_sym_float] = ACTIONS(712),
    [anon_sym_double] = ACTIONS(712),
    [sym_boolean_type] = ACTIONS(712),
    [sym_void_type] = ACTIONS(712),
    [sym_this] = ACTIONS(712),
    [sym_super] = ACTIONS(712),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [265] = {
    [ts_builtin_sym_end] = ACTIONS(714),
    [sym_identifier] = ACTIONS(716),
    [sym_decimal_integer_literal] = ACTIONS(716),
    [sym_hex_integer_literal] = ACTIONS(716),
    [sym_octal_integer_literal] = ACTIONS(714),
    [sym_binary_integer_literal] = ACTIONS(714),
    [sym_decimal_floating_point_literal] = ACTIONS(714),
    [sym_hex_floating_point_literal] = ACTIONS(716),
    [sym_true] = ACTIONS(716),
    [sym_false] = ACTIONS(716),
    [sym_character_literal] = ACTIONS(714),
    [anon_sym_DQUOTE] = ACTIONS(716),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(714),
    [sym_null_literal] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(714),
    [anon_sym_LT] = ACTIONS(714),
    [anon_sym_PLUS] = ACTIONS(716),
    [anon_sym_DASH] = ACTIONS(716),
    [anon_sym_final] = ACTIONS(716),
    [anon_sym_BANG] = ACTIONS(714),
    [anon_sym_TILDE] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(714),
    [anon_sym_new] = ACTIONS(716),
    [anon_sym_class] = ACTIONS(716),
    [anon_sym_switch] = ACTIONS(716),
    [anon_sym_LBRACE] = ACTIONS(714),
    [anon_sym_RBRACE] = ACTIONS(714),
    [anon_sym_case] = ACTIONS(716),
    [anon_sym_default] = ACTIONS(716),
    [anon_sym_SEMI] = ACTIONS(714),
    [anon_sym_assert] = ACTIONS(716),
    [anon_sym_do] = ACTIONS(716),
    [anon_sym_while] = ACTIONS(716),
    [anon_sym_break] = ACTIONS(716),
    [anon_sym_continue] = ACTIONS(716),
    [anon_sym_return] = ACTIONS(716),
    [anon_sym_yield] = ACTIONS(716),
    [anon_sym_synchronized] = ACTIONS(716),
    [anon_sym_throw] = ACTIONS(716),
    [anon_sym_try] = ACTIONS(716),
    [anon_sym_if] = ACTIONS(716),
    [anon_sym_else] = ACTIONS(716),
    [anon_sym_for] = ACTIONS(716),
    [anon_sym_AT] = ACTIONS(716),
    [anon_sym_open] = ACTIONS(716),
    [anon_sym_module] = ACTIONS(716),
    [anon_sym_static] = ACTIONS(716),
    [anon_sym_package] = ACTIONS(716),
    [anon_sym_import] = ACTIONS(716),
    [anon_sym_enum] = ACTIONS(716),
    [anon_sym_public] = ACTIONS(716),
    [anon_sym_protected] = ACTIONS(716),
    [anon_sym_private] = ACTIONS(716),
    [anon_sym_abstract] = ACTIONS(716),
    [anon_sym_strictfp] = ACTIONS(716),
    [anon_sym_native] = ACTIONS(716),
    [anon_sym_transient] = ACTIONS(716),
    [anon_sym_volatile] = ACTIONS(716),
    [anon_sym_sealed] = ACTIONS(716),
    [anon_sym_non_DASHsealed] = ACTIONS(714),
    [anon_sym_record] = ACTIONS(716),
    [anon_sym_ATinterface] = ACTIONS(714),
    [anon_sym_interface] = ACTIONS(716),
    [anon_sym_byte] = ACTIONS(716),
    [anon_sym_short] = ACTIONS(716),
    [anon_sym_int] = ACTIONS(716),
    [anon_sym_long] = ACTIONS(716),
    [anon_sym_char] = ACTIONS(716),
    [anon_sym_float] = ACTIONS(716),
    [anon_sym_double] = ACTIONS(716),
    [sym_boolean_type] = ACTIONS(716),
    [sym_void_type] = ACTIONS(716),
    [sym_this] = ACTIONS(716),
    [sym_super] = ACTIONS(716),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [266] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(532),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [267] = {
    [ts_builtin_sym_end] = ACTIONS(718),
    [sym_identifier] = ACTIONS(720),
    [sym_decimal_integer_literal] = ACTIONS(720),
    [sym_hex_integer_literal] = ACTIONS(720),
    [sym_octal_integer_literal] = ACTIONS(718),
    [sym_binary_integer_literal] = ACTIONS(718),
    [sym_decimal_floating_point_literal] = ACTIONS(718),
    [sym_hex_floating_point_literal] = ACTIONS(720),
    [sym_true] = ACTIONS(720),
    [sym_false] = ACTIONS(720),
    [sym_character_literal] = ACTIONS(718),
    [anon_sym_DQUOTE] = ACTIONS(720),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(718),
    [sym_null_literal] = ACTIONS(720),
    [anon_sym_LPAREN] = ACTIONS(718),
    [anon_sym_LT] = ACTIONS(718),
    [anon_sym_PLUS] = ACTIONS(720),
    [anon_sym_DASH] = ACTIONS(720),
    [anon_sym_final] = ACTIONS(720),
    [anon_sym_BANG] = ACTIONS(718),
    [anon_sym_TILDE] = ACTIONS(718),
    [anon_sym_PLUS_PLUS] = ACTIONS(718),
    [anon_sym_DASH_DASH] = ACTIONS(718),
    [anon_sym_new] = ACTIONS(720),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_switch] = ACTIONS(720),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_RBRACE] = ACTIONS(718),
    [anon_sym_case] = ACTIONS(720),
    [anon_sym_default] = ACTIONS(720),
    [anon_sym_SEMI] = ACTIONS(718),
    [anon_sym_assert] = ACTIONS(720),
    [anon_sym_do] = ACTIONS(720),
    [anon_sym_while] = ACTIONS(720),
    [anon_sym_break] = ACTIONS(720),
    [anon_sym_continue] = ACTIONS(720),
    [anon_sym_return] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(720),
    [anon_sym_synchronized] = ACTIONS(720),
    [anon_sym_throw] = ACTIONS(720),
    [anon_sym_try] = ACTIONS(720),
    [anon_sym_if] = ACTIONS(720),
    [anon_sym_else] = ACTIONS(720),
    [anon_sym_for] = ACTIONS(720),
    [anon_sym_AT] = ACTIONS(720),
    [anon_sym_open] = ACTIONS(720),
    [anon_sym_module] = ACTIONS(720),
    [anon_sym_static] = ACTIONS(720),
    [anon_sym_package] = ACTIONS(720),
    [anon_sym_import] = ACTIONS(720),
    [anon_sym_enum] = ACTIONS(720),
    [anon_sym_public] = ACTIONS(720),
    [anon_sym_protected] = ACTIONS(720),
    [anon_sym_private] = ACTIONS(720),
    [anon_sym_abstract] = ACTIONS(720),
    [anon_sym_strictfp] = ACTIONS(720),
    [anon_sym_native] = ACTIONS(720),
    [anon_sym_transient] = ACTIONS(720),
    [anon_sym_volatile] = ACTIONS(720),
    [anon_sym_sealed] = ACTIONS(720),
    [anon_sym_non_DASHsealed] = ACTIONS(718),
    [anon_sym_record] = ACTIONS(720),
    [anon_sym_ATinterface] = ACTIONS(718),
    [anon_sym_interface] = ACTIONS(720),
    [anon_sym_byte] = ACTIONS(720),
    [anon_sym_short] = ACTIONS(720),
    [anon_sym_int] = ACTIONS(720),
    [anon_sym_long] = ACTIONS(720),
    [anon_sym_char] = ACTIONS(720),
    [anon_sym_float] = ACTIONS(720),
    [anon_sym_double] = ACTIONS(720),
    [sym_boolean_type] = ACTIONS(720),
    [sym_void_type] = ACTIONS(720),
    [sym_this] = ACTIONS(720),
    [sym_super] = ACTIONS(720),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [268] = {
    [ts_builtin_sym_end] = ACTIONS(722),
    [sym_identifier] = ACTIONS(724),
    [sym_decimal_integer_literal] = ACTIONS(724),
    [sym_hex_integer_literal] = ACTIONS(724),
    [sym_octal_integer_literal] = ACTIONS(722),
    [sym_binary_integer_literal] = ACTIONS(722),
    [sym_decimal_floating_point_literal] = ACTIONS(722),
    [sym_hex_floating_point_literal] = ACTIONS(724),
    [sym_true] = ACTIONS(724),
    [sym_false] = ACTIONS(724),
    [sym_character_literal] = ACTIONS(722),
    [anon_sym_DQUOTE] = ACTIONS(724),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(722),
    [sym_null_literal] = ACTIONS(724),
    [anon_sym_LPAREN] = ACTIONS(722),
    [anon_sym_LT] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(724),
    [anon_sym_DASH] = ACTIONS(724),
    [anon_sym_final] = ACTIONS(724),
    [anon_sym_BANG] = ACTIONS(722),
    [anon_sym_TILDE] = ACTIONS(722),
    [anon_sym_PLUS_PLUS] = ACTIONS(722),
    [anon_sym_DASH_DASH] = ACTIONS(722),
    [anon_sym_new] = ACTIONS(724),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_switch] = ACTIONS(724),
    [anon_sym_LBRACE] = ACTIONS(722),
    [anon_sym_RBRACE] = ACTIONS(722),
    [anon_sym_case] = ACTIONS(724),
    [anon_sym_default] = ACTIONS(724),
    [anon_sym_SEMI] = ACTIONS(722),
    [anon_sym_assert] = ACTIONS(724),
    [anon_sym_do] = ACTIONS(724),
    [anon_sym_while] = ACTIONS(724),
    [anon_sym_break] = ACTIONS(724),
    [anon_sym_continue] = ACTIONS(724),
    [anon_sym_return] = ACTIONS(724),
    [anon_sym_yield] = ACTIONS(724),
    [anon_sym_synchronized] = ACTIONS(724),
    [anon_sym_throw] = ACTIONS(724),
    [anon_sym_try] = ACTIONS(724),
    [anon_sym_if] = ACTIONS(724),
    [anon_sym_else] = ACTIONS(724),
    [anon_sym_for] = ACTIONS(724),
    [anon_sym_AT] = ACTIONS(724),
    [anon_sym_open] = ACTIONS(724),
    [anon_sym_module] = ACTIONS(724),
    [anon_sym_static] = ACTIONS(724),
    [anon_sym_package] = ACTIONS(724),
    [anon_sym_import] = ACTIONS(724),
    [anon_sym_enum] = ACTIONS(724),
    [anon_sym_public] = ACTIONS(724),
    [anon_sym_protected] = ACTIONS(724),
    [anon_sym_private] = ACTIONS(724),
    [anon_sym_abstract] = ACTIONS(724),
    [anon_sym_strictfp] = ACTIONS(724),
    [anon_sym_native] = ACTIONS(724),
    [anon_sym_transient] = ACTIONS(724),
    [anon_sym_volatile] = ACTIONS(724),
    [anon_sym_sealed] = ACTIONS(724),
    [anon_sym_non_DASHsealed] = ACTIONS(722),
    [anon_sym_record] = ACTIONS(724),
    [anon_sym_ATinterface] = ACTIONS(722),
    [anon_sym_interface] = ACTIONS(724),
    [anon_sym_byte] = ACTIONS(724),
    [anon_sym_short] = ACTIONS(724),
    [anon_sym_int] = ACTIONS(724),
    [anon_sym_long] = ACTIONS(724),
    [anon_sym_char] = ACTIONS(724),
    [anon_sym_float] = ACTIONS(724),
    [anon_sym_double] = ACTIONS(724),
    [sym_boolean_type] = ACTIONS(724),
    [sym_void_type] = ACTIONS(724),
    [sym_this] = ACTIONS(724),
    [sym_super] = ACTIONS(724),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [269] = {
    [ts_builtin_sym_end] = ACTIONS(726),
    [sym_identifier] = ACTIONS(728),
    [sym_decimal_integer_literal] = ACTIONS(728),
    [sym_hex_integer_literal] = ACTIONS(728),
    [sym_octal_integer_literal] = ACTIONS(726),
    [sym_binary_integer_literal] = ACTIONS(726),
    [sym_decimal_floating_point_literal] = ACTIONS(726),
    [sym_hex_floating_point_literal] = ACTIONS(728),
    [sym_true] = ACTIONS(728),
    [sym_false] = ACTIONS(728),
    [sym_character_literal] = ACTIONS(726),
    [anon_sym_DQUOTE] = ACTIONS(728),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(726),
    [sym_null_literal] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(726),
    [anon_sym_PLUS] = ACTIONS(728),
    [anon_sym_DASH] = ACTIONS(728),
    [anon_sym_final] = ACTIONS(728),
    [anon_sym_BANG] = ACTIONS(726),
    [anon_sym_TILDE] = ACTIONS(726),
    [anon_sym_PLUS_PLUS] = ACTIONS(726),
    [anon_sym_DASH_DASH] = ACTIONS(726),
    [anon_sym_new] = ACTIONS(728),
    [anon_sym_class] = ACTIONS(728),
    [anon_sym_switch] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(726),
    [anon_sym_RBRACE] = ACTIONS(726),
    [anon_sym_case] = ACTIONS(728),
    [anon_sym_default] = ACTIONS(728),
    [anon_sym_SEMI] = ACTIONS(726),
    [anon_sym_assert] = ACTIONS(728),
    [anon_sym_do] = ACTIONS(728),
    [anon_sym_while] = ACTIONS(728),
    [anon_sym_break] = ACTIONS(728),
    [anon_sym_continue] = ACTIONS(728),
    [anon_sym_return] = ACTIONS(728),
    [anon_sym_yield] = ACTIONS(728),
    [anon_sym_synchronized] = ACTIONS(728),
    [anon_sym_throw] = ACTIONS(728),
    [anon_sym_try] = ACTIONS(728),
    [anon_sym_if] = ACTIONS(728),
    [anon_sym_else] = ACTIONS(728),
    [anon_sym_for] = ACTIONS(728),
    [anon_sym_AT] = ACTIONS(728),
    [anon_sym_open] = ACTIONS(728),
    [anon_sym_module] = ACTIONS(728),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_package] = ACTIONS(728),
    [anon_sym_import] = ACTIONS(728),
    [anon_sym_enum] = ACTIONS(728),
    [anon_sym_public] = ACTIONS(728),
    [anon_sym_protected] = ACTIONS(728),
    [anon_sym_private] = ACTIONS(728),
    [anon_sym_abstract] = ACTIONS(728),
    [anon_sym_strictfp] = ACTIONS(728),
    [anon_sym_native] = ACTIONS(728),
    [anon_sym_transient] = ACTIONS(728),
    [anon_sym_volatile] = ACTIONS(728),
    [anon_sym_sealed] = ACTIONS(728),
    [anon_sym_non_DASHsealed] = ACTIONS(726),
    [anon_sym_record] = ACTIONS(728),
    [anon_sym_ATinterface] = ACTIONS(726),
    [anon_sym_interface] = ACTIONS(728),
    [anon_sym_byte] = ACTIONS(728),
    [anon_sym_short] = ACTIONS(728),
    [anon_sym_int] = ACTIONS(728),
    [anon_sym_long] = ACTIONS(728),
    [anon_sym_char] = ACTIONS(728),
    [anon_sym_float] = ACTIONS(728),
    [anon_sym_double] = ACTIONS(728),
    [sym_boolean_type] = ACTIONS(728),
    [sym_void_type] = ACTIONS(728),
    [sym_this] = ACTIONS(728),
    [sym_super] = ACTIONS(728),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [270] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_expression] = STATE(611),
    [sym_cast_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_instanceof_expression] = STATE(511),
    [sym_lambda_expression] = STATE(511),
    [sym_inferred_parameters] = STATE(1216),
    [sym_ternary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_primary_expression] = STATE(464),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(382),
    [sym_array_access] = STATE(382),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_switch_expression] = STATE(511),
    [sym__annotation] = STATE(672),
    [sym_marker_annotation] = STATE(672),
    [sym_annotation] = STATE(672),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(774),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [sym_formal_parameters] = STATE(1216),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(299),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(25),
    [anon_sym_new] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(327),
    [anon_sym_open] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_record] = ACTIONS(303),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [271] = {
    [ts_builtin_sym_end] = ACTIONS(730),
    [sym_identifier] = ACTIONS(732),
    [sym_decimal_integer_literal] = ACTIONS(732),
    [sym_hex_integer_literal] = ACTIONS(732),
    [sym_octal_integer_literal] = ACTIONS(730),
    [sym_binary_integer_literal] = ACTIONS(730),
    [sym_decimal_floating_point_literal] = ACTIONS(730),
    [sym_hex_floating_point_literal] = ACTIONS(732),
    [sym_true] = ACTIONS(732),
    [sym_false] = ACTIONS(732),
    [sym_character_literal] = ACTIONS(730),
    [anon_sym_DQUOTE] = ACTIONS(732),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(730),
    [sym_null_literal] = ACTIONS(732),
    [anon_sym_LPAREN] = ACTIONS(730),
    [anon_sym_LT] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_final] = ACTIONS(732),
    [anon_sym_BANG] = ACTIONS(730),
    [anon_sym_TILDE] = ACTIONS(730),
    [anon_sym_PLUS_PLUS] = ACTIONS(730),
    [anon_sym_DASH_DASH] = ACTIONS(730),
    [anon_sym_new] = ACTIONS(732),
    [anon_sym_class] = ACTIONS(732),
    [anon_sym_switch] = ACTIONS(732),
    [anon_sym_LBRACE] = ACTIONS(730),
    [anon_sym_RBRACE] = ACTIONS(730),
    [anon_sym_case] = ACTIONS(732),
    [anon_sym_default] = ACTIONS(732),
    [anon_sym_SEMI] = ACTIONS(730),
    [anon_sym_assert] = ACTIONS(732),
    [anon_sym_do] = ACTIONS(732),
    [anon_sym_while] = ACTIONS(732),
    [anon_sym_break] = ACTIONS(732),
    [anon_sym_continue] = ACTIONS(732),
    [anon_sym_return] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(732),
    [anon_sym_synchronized] = ACTIONS(732),
    [anon_sym_throw] = ACTIONS(732),
    [anon_sym_try] = ACTIONS(732),
    [anon_sym_if] = ACTIONS(732),
    [anon_sym_else] = ACTIONS(732),
    [anon_sym_for] = ACTIONS(732),
    [anon_sym_AT] = ACTIONS(732),
    [anon_sym_open] = ACTIONS(732),
    [anon_sym_module] = ACTIONS(732),
    [anon_sym_static] = ACTIONS(732),
    [anon_sym_package] = ACTIONS(732),
    [anon_sym_import] = ACTIONS(732),
    [anon_sym_enum] = ACTIONS(732),
    [anon_sym_public] = ACTIONS(732),
    [anon_sym_protected] = ACTIONS(732),
    [anon_sym_private] = ACTIONS(732),
    [anon_sym_abstract] = ACTIONS(732),
    [anon_sym_strictfp] = ACTIONS(732),
    [anon_sym_native] = ACTIONS(732),
    [anon_sym_transient] = ACTIONS(732),
    [anon_sym_volatile] = ACTIONS(732),
    [anon_sym_sealed] = ACTIONS(732),
    [anon_sym_non_DASHsealed] = ACTIONS(730),
    [anon_sym_record] = ACTIONS(732),
    [anon_sym_ATinterface] = ACTIONS(730),
    [anon_sym_interface] = ACTIONS(732),
    [anon_sym_byte] = ACTIONS(732),
    [anon_sym_short] = ACTIONS(732),
    [anon_sym_int] = ACTIONS(732),
    [anon_sym_long] = ACTIONS(732),
    [anon_sym_char] = ACTIONS(732),
    [anon_sym_float] = ACTIONS(732),
    [anon_sym_double] = ACTIONS(732),
    [sym_boolean_type] = ACTIONS(732),
    [sym_void_type] = ACTIONS(732),
    [sym_this] = ACTIONS(732),
    [sym_super] = ACTIONS(732),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [272] = {
    [ts_builtin_sym_end] = ACTIONS(734),
    [sym_identifier] = ACTIONS(736),
    [sym_decimal_integer_literal] = ACTIONS(736),
    [sym_hex_integer_literal] = ACTIONS(736),
    [sym_octal_integer_literal] = ACTIONS(734),
    [sym_binary_integer_literal] = ACTIONS(734),
    [sym_decimal_floating_point_literal] = ACTIONS(734),
    [sym_hex_floating_point_literal] = ACTIONS(736),
    [sym_true] = ACTIONS(736),
    [sym_false] = ACTIONS(736),
    [sym_character_literal] = ACTIONS(734),
    [anon_sym_DQUOTE] = ACTIONS(736),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(734),
    [sym_null_literal] = ACTIONS(736),
    [anon_sym_LPAREN] = ACTIONS(734),
    [anon_sym_PLUS] = ACTIONS(736),
    [anon_sym_DASH] = ACTIONS(736),
    [anon_sym_final] = ACTIONS(736),
    [anon_sym_BANG] = ACTIONS(734),
    [anon_sym_TILDE] = ACTIONS(734),
    [anon_sym_PLUS_PLUS] = ACTIONS(734),
    [anon_sym_DASH_DASH] = ACTIONS(734),
    [anon_sym_new] = ACTIONS(736),
    [anon_sym_class] = ACTIONS(736),
    [anon_sym_switch] = ACTIONS(736),
    [anon_sym_LBRACE] = ACTIONS(734),
    [anon_sym_RBRACE] = ACTIONS(734),
    [anon_sym_case] = ACTIONS(736),
    [anon_sym_default] = ACTIONS(736),
    [anon_sym_SEMI] = ACTIONS(734),
    [anon_sym_assert] = ACTIONS(736),
    [anon_sym_do] = ACTIONS(736),
    [anon_sym_while] = ACTIONS(736),
    [anon_sym_break] = ACTIONS(736),
    [anon_sym_continue] = ACTIONS(736),
    [anon_sym_return] = ACTIONS(736),
    [anon_sym_yield] = ACTIONS(736),
    [anon_sym_synchronized] = ACTIONS(736),
    [anon_sym_throw] = ACTIONS(736),
    [anon_sym_try] = ACTIONS(736),
    [anon_sym_if] = ACTIONS(736),
    [anon_sym_else] = ACTIONS(736),
    [anon_sym_for] = ACTIONS(736),
    [anon_sym_AT] = ACTIONS(736),
    [anon_sym_open] = ACTIONS(736),
    [anon_sym_module] = ACTIONS(736),
    [anon_sym_static] = ACTIONS(736),
    [anon_sym_package] = ACTIONS(736),
    [anon_sym_import] = ACTIONS(736),
    [anon_sym_enum] = ACTIONS(736),
    [anon_sym_public] = ACTIONS(736),
    [anon_sym_protected] = ACTIONS(736),
    [anon_sym_private] = ACTIONS(736),
    [anon_sym_abstract] = ACTIONS(736),
    [anon_sym_strictfp] = ACTIONS(736),
    [anon_sym_native] = ACTIONS(736),
    [anon_sym_transient] = ACTIONS(736),
    [anon_sym_volatile] = ACTIONS(736),
    [anon_sym_sealed] = ACTIONS(736),
    [anon_sym_non_DASHsealed] = ACTIONS(734),
    [anon_sym_record] = ACTIONS(736),
    [anon_sym_ATinterface] = ACTIONS(734),
    [anon_sym_interface] = ACTIONS(736),
    [anon_sym_byte] = ACTIONS(736),
    [anon_sym_short] = ACTIONS(736),
    [anon_sym_int] = ACTIONS(736),
    [anon_sym_long] = ACTIONS(736),
    [anon_sym_char] = ACTIONS(736),
    [anon_sym_float] = ACTIONS(736),
    [anon_sym_double] = ACTIONS(736),
    [sym_boolean_type] = ACTIONS(736),
    [sym_void_type] = ACTIONS(736),
    [sym_this] = ACTIONS(736),
    [sym_super] = ACTIONS(736),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [273] = {
    [ts_builtin_sym_end] = ACTIONS(738),
    [sym_identifier] = ACTIONS(740),
    [sym_decimal_integer_literal] = ACTIONS(740),
    [sym_hex_integer_literal] = ACTIONS(740),
    [sym_octal_integer_literal] = ACTIONS(738),
    [sym_binary_integer_literal] = ACTIONS(738),
    [sym_decimal_floating_point_literal] = ACTIONS(738),
    [sym_hex_floating_point_literal] = ACTIONS(740),
    [sym_true] = ACTIONS(740),
    [sym_false] = ACTIONS(740),
    [sym_character_literal] = ACTIONS(738),
    [anon_sym_DQUOTE] = ACTIONS(740),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(738),
    [sym_null_literal] = ACTIONS(740),
    [anon_sym_LPAREN] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_final] = ACTIONS(740),
    [anon_sym_BANG] = ACTIONS(738),
    [anon_sym_TILDE] = ACTIONS(738),
    [anon_sym_PLUS_PLUS] = ACTIONS(738),
    [anon_sym_DASH_DASH] = ACTIONS(738),
    [anon_sym_new] = ACTIONS(740),
    [anon_sym_class] = ACTIONS(740),
    [anon_sym_switch] = ACTIONS(740),
    [anon_sym_LBRACE] = ACTIONS(738),
    [anon_sym_RBRACE] = ACTIONS(738),
    [anon_sym_case] = ACTIONS(740),
    [anon_sym_default] = ACTIONS(740),
    [anon_sym_SEMI] = ACTIONS(738),
    [anon_sym_assert] = ACTIONS(740),
    [anon_sym_do] = ACTIONS(740),
    [anon_sym_while] = ACTIONS(740),
    [anon_sym_break] = ACTIONS(740),
    [anon_sym_continue] = ACTIONS(740),
    [anon_sym_return] = ACTIONS(740),
    [anon_sym_yield] = ACTIONS(740),
    [anon_sym_synchronized] = ACTIONS(740),
    [anon_sym_throw] = ACTIONS(740),
    [anon_sym_try] = ACTIONS(740),
    [anon_sym_if] = ACTIONS(740),
    [anon_sym_else] = ACTIONS(740),
    [anon_sym_for] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(740),
    [anon_sym_open] = ACTIONS(740),
    [anon_sym_module] = ACTIONS(740),
    [anon_sym_static] = ACTIONS(740),
    [anon_sym_package] = ACTIONS(740),
    [anon_sym_import] = ACTIONS(740),
    [anon_sym_enum] = ACTIONS(740),
    [anon_sym_public] = ACTIONS(740),
    [anon_sym_protected] = ACTIONS(740),
    [anon_sym_private] = ACTIONS(740),
    [anon_sym_abstract] = ACTIONS(740),
    [anon_sym_strictfp] = ACTIONS(740),
    [anon_sym_native] = ACTIONS(740),
    [anon_sym_transient] = ACTIONS(740),
    [anon_sym_volatile] = ACTIONS(740),
    [anon_sym_sealed] = ACTIONS(740),
    [anon_sym_non_DASHsealed] = ACTIONS(738),
    [anon_sym_record] = ACTIONS(740),
    [anon_sym_ATinterface] = ACTIONS(738),
    [anon_sym_interface] = ACTIONS(740),
    [anon_sym_byte] = ACTIONS(740),
    [anon_sym_short] = ACTIONS(740),
    [anon_sym_int] = ACTIONS(740),
    [anon_sym_long] = ACTIONS(740),
    [anon_sym_char] = ACTIONS(740),
    [anon_sym_float] = ACTIONS(740),
    [anon_sym_double] = ACTIONS(740),
    [sym_boolean_type] = ACTIONS(740),
    [sym_void_type] = ACTIONS(740),
    [sym_this] = ACTIONS(740),
    [sym_super] = ACTIONS(740),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [274] = {
    [ts_builtin_sym_end] = ACTIONS(742),
    [sym_identifier] = ACTIONS(744),
    [sym_decimal_integer_literal] = ACTIONS(744),
    [sym_hex_integer_literal] = ACTIONS(744),
    [sym_octal_integer_literal] = ACTIONS(742),
    [sym_binary_integer_literal] = ACTIONS(742),
    [sym_decimal_floating_point_literal] = ACTIONS(742),
    [sym_hex_floating_point_literal] = ACTIONS(744),
    [sym_true] = ACTIONS(744),
    [sym_false] = ACTIONS(744),
    [sym_character_literal] = ACTIONS(742),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(742),
    [sym_null_literal] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_final] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(742),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_PLUS_PLUS] = ACTIONS(742),
    [anon_sym_DASH_DASH] = ACTIONS(742),
    [anon_sym_new] = ACTIONS(744),
    [anon_sym_class] = ACTIONS(744),
    [anon_sym_switch] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_case] = ACTIONS(744),
    [anon_sym_default] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(742),
    [anon_sym_assert] = ACTIONS(744),
    [anon_sym_do] = ACTIONS(744),
    [anon_sym_while] = ACTIONS(744),
    [anon_sym_break] = ACTIONS(744),
    [anon_sym_continue] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(744),
    [anon_sym_yield] = ACTIONS(744),
    [anon_sym_synchronized] = ACTIONS(744),
    [anon_sym_throw] = ACTIONS(744),
    [anon_sym_try] = ACTIONS(744),
    [anon_sym_if] = ACTIONS(744),
    [anon_sym_else] = ACTIONS(744),
    [anon_sym_for] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_open] = ACTIONS(744),
    [anon_sym_module] = ACTIONS(744),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_package] = ACTIONS(744),
    [anon_sym_import] = ACTIONS(744),
    [anon_sym_enum] = ACTIONS(744),
    [anon_sym_public] = ACTIONS(744),
    [anon_sym_protected] = ACTIONS(744),
    [anon_sym_private] = ACTIONS(744),
    [anon_sym_abstract] = ACTIONS(744),
    [anon_sym_strictfp] = ACTIONS(744),
    [anon_sym_native] = ACTIONS(744),
    [anon_sym_transient] = ACTIONS(744),
    [anon_sym_volatile] = ACTIONS(744),
    [anon_sym_sealed] = ACTIONS(744),
    [anon_sym_non_DASHsealed] = ACTIONS(742),
    [anon_sym_record] = ACTIONS(744),
    [anon_sym_ATinterface] = ACTIONS(742),
    [anon_sym_interface] = ACTIONS(744),
    [anon_sym_byte] = ACTIONS(744),
    [anon_sym_short] = ACTIONS(744),
    [anon_sym_int] = ACTIONS(744),
    [anon_sym_long] = ACTIONS(744),
    [anon_sym_char] = ACTIONS(744),
    [anon_sym_float] = ACTIONS(744),
    [anon_sym_double] = ACTIONS(744),
    [sym_boolean_type] = ACTIONS(744),
    [sym_void_type] = ACTIONS(744),
    [sym_this] = ACTIONS(744),
    [sym_super] = ACTIONS(744),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [275] = {
    [ts_builtin_sym_end] = ACTIONS(746),
    [sym_identifier] = ACTIONS(748),
    [sym_decimal_integer_literal] = ACTIONS(748),
    [sym_hex_integer_literal] = ACTIONS(748),
    [sym_octal_integer_literal] = ACTIONS(746),
    [sym_binary_integer_literal] = ACTIONS(746),
    [sym_decimal_floating_point_literal] = ACTIONS(746),
    [sym_hex_floating_point_literal] = ACTIONS(748),
    [sym_true] = ACTIONS(748),
    [sym_false] = ACTIONS(748),
    [sym_character_literal] = ACTIONS(746),
    [anon_sym_DQUOTE] = ACTIONS(748),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(746),
    [sym_null_literal] = ACTIONS(748),
    [anon_sym_LPAREN] = ACTIONS(746),
    [anon_sym_PLUS] = ACTIONS(748),
    [anon_sym_DASH] = ACTIONS(748),
    [anon_sym_final] = ACTIONS(748),
    [anon_sym_BANG] = ACTIONS(746),
    [anon_sym_TILDE] = ACTIONS(746),
    [anon_sym_PLUS_PLUS] = ACTIONS(746),
    [anon_sym_DASH_DASH] = ACTIONS(746),
    [anon_sym_new] = ACTIONS(748),
    [anon_sym_class] = ACTIONS(748),
    [anon_sym_switch] = ACTIONS(748),
    [anon_sym_LBRACE] = ACTIONS(746),
    [anon_sym_RBRACE] = ACTIONS(746),
    [anon_sym_case] = ACTIONS(748),
    [anon_sym_default] = ACTIONS(748),
    [anon_sym_SEMI] = ACTIONS(746),
    [anon_sym_assert] = ACTIONS(748),
    [anon_sym_do] = ACTIONS(748),
    [anon_sym_while] = ACTIONS(748),
    [anon_sym_break] = ACTIONS(748),
    [anon_sym_continue] = ACTIONS(748),
    [anon_sym_return] = ACTIONS(748),
    [anon_sym_yield] = ACTIONS(748),
    [anon_sym_synchronized] = ACTIONS(748),
    [anon_sym_throw] = ACTIONS(748),
    [anon_sym_try] = ACTIONS(748),
    [anon_sym_if] = ACTIONS(748),
    [anon_sym_else] = ACTIONS(748),
    [anon_sym_for] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(748),
    [anon_sym_open] = ACTIONS(748),
    [anon_sym_module] = ACTIONS(748),
    [anon_sym_static] = ACTIONS(748),
    [anon_sym_package] = ACTIONS(748),
    [anon_sym_import] = ACTIONS(748),
    [anon_sym_enum] = ACTIONS(748),
    [anon_sym_public] = ACTIONS(748),
    [anon_sym_protected] = ACTIONS(748),
    [anon_sym_private] = ACTIONS(748),
    [anon_sym_abstract] = ACTIONS(748),
    [anon_sym_strictfp] = ACTIONS(748),
    [anon_sym_native] = ACTIONS(748),
    [anon_sym_transient] = ACTIONS(748),
    [anon_sym_volatile] = ACTIONS(748),
    [anon_sym_sealed] = ACTIONS(748),
    [anon_sym_non_DASHsealed] = ACTIONS(746),
    [anon_sym_record] = ACTIONS(748),
    [anon_sym_ATinterface] = ACTIONS(746),
    [anon_sym_interface] = ACTIONS(748),
    [anon_sym_byte] = ACTIONS(748),
    [anon_sym_short] = ACTIONS(748),
    [anon_sym_int] = ACTIONS(748),
    [anon_sym_long] = ACTIONS(748),
    [anon_sym_char] = ACTIONS(748),
    [anon_sym_float] = ACTIONS(748),
    [anon_sym_double] = ACTIONS(748),
    [sym_boolean_type] = ACTIONS(748),
    [sym_void_type] = ACTIONS(748),
    [sym_this] = ACTIONS(748),
    [sym_super] = ACTIONS(748),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [276] = {
    [ts_builtin_sym_end] = ACTIONS(750),
    [sym_identifier] = ACTIONS(752),
    [sym_decimal_integer_literal] = ACTIONS(752),
    [sym_hex_integer_literal] = ACTIONS(752),
    [sym_octal_integer_literal] = ACTIONS(750),
    [sym_binary_integer_literal] = ACTIONS(750),
    [sym_decimal_floating_point_literal] = ACTIONS(750),
    [sym_hex_floating_point_literal] = ACTIONS(752),
    [sym_true] = ACTIONS(752),
    [sym_false] = ACTIONS(752),
    [sym_character_literal] = ACTIONS(750),
    [anon_sym_DQUOTE] = ACTIONS(752),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(750),
    [sym_null_literal] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(750),
    [anon_sym_PLUS] = ACTIONS(752),
    [anon_sym_DASH] = ACTIONS(752),
    [anon_sym_final] = ACTIONS(752),
    [anon_sym_BANG] = ACTIONS(750),
    [anon_sym_TILDE] = ACTIONS(750),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [anon_sym_new] = ACTIONS(752),
    [anon_sym_class] = ACTIONS(752),
    [anon_sym_switch] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(750),
    [anon_sym_RBRACE] = ACTIONS(750),
    [anon_sym_case] = ACTIONS(752),
    [anon_sym_default] = ACTIONS(752),
    [anon_sym_SEMI] = ACTIONS(750),
    [anon_sym_assert] = ACTIONS(752),
    [anon_sym_do] = ACTIONS(752),
    [anon_sym_while] = ACTIONS(752),
    [anon_sym_break] = ACTIONS(752),
    [anon_sym_continue] = ACTIONS(752),
    [anon_sym_return] = ACTIONS(752),
    [anon_sym_yield] = ACTIONS(752),
    [anon_sym_synchronized] = ACTIONS(752),
    [anon_sym_throw] = ACTIONS(752),
    [anon_sym_try] = ACTIONS(752),
    [anon_sym_if] = ACTIONS(752),
    [anon_sym_else] = ACTIONS(752),
    [anon_sym_for] = ACTIONS(752),
    [anon_sym_AT] = ACTIONS(752),
    [anon_sym_open] = ACTIONS(752),
    [anon_sym_module] = ACTIONS(752),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_package] = ACTIONS(752),
    [anon_sym_import] = ACTIONS(752),
    [anon_sym_enum] = ACTIONS(752),
    [anon_sym_public] = ACTIONS(752),
    [anon_sym_protected] = ACTIONS(752),
    [anon_sym_private] = ACTIONS(752),
    [anon_sym_abstract] = ACTIONS(752),
    [anon_sym_strictfp] = ACTIONS(752),
    [anon_sym_native] = ACTIONS(752),
    [anon_sym_transient] = ACTIONS(752),
    [anon_sym_volatile] = ACTIONS(752),
    [anon_sym_sealed] = ACTIONS(752),
    [anon_sym_non_DASHsealed] = ACTIONS(750),
    [anon_sym_record] = ACTIONS(752),
    [anon_sym_ATinterface] = ACTIONS(750),
    [anon_sym_interface] = ACTIONS(752),
    [anon_sym_byte] = ACTIONS(752),
    [anon_sym_short] = ACTIONS(752),
    [anon_sym_int] = ACTIONS(752),
    [anon_sym_long] = ACTIONS(752),
    [anon_sym_char] = ACTIONS(752),
    [anon_sym_float] = ACTIONS(752),
    [anon_sym_double] = ACTIONS(752),
    [sym_boolean_type] = ACTIONS(752),
    [sym_void_type] = ACTIONS(752),
    [sym_this] = ACTIONS(752),
    [sym_super] = ACTIONS(752),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [277] = {
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym_identifier] = ACTIONS(361),
    [sym_decimal_integer_literal] = ACTIONS(361),
    [sym_hex_integer_literal] = ACTIONS(361),
    [sym_octal_integer_literal] = ACTIONS(359),
    [sym_binary_integer_literal] = ACTIONS(359),
    [sym_decimal_floating_point_literal] = ACTIONS(359),
    [sym_hex_floating_point_literal] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym_character_literal] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(359),
    [sym_null_literal] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_PLUS] = ACTIONS(361),
    [anon_sym_DASH] = ACTIONS(361),
    [anon_sym_final] = ACTIONS(361),
    [anon_sym_BANG] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(359),
    [anon_sym_DASH_DASH] = ACTIONS(359),
    [anon_sym_new] = ACTIONS(361),
    [anon_sym_class] = ACTIONS(361),
    [anon_sym_switch] = ACTIONS(361),
    [anon_sym_LBRACE] = ACTIONS(359),
    [anon_sym_RBRACE] = ACTIONS(359),
    [anon_sym_case] = ACTIONS(361),
    [anon_sym_default] = ACTIONS(361),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_assert] = ACTIONS(361),
    [anon_sym_do] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_break] = ACTIONS(361),
    [anon_sym_continue] = ACTIONS(361),
    [anon_sym_return] = ACTIONS(361),
    [anon_sym_yield] = ACTIONS(361),
    [anon_sym_synchronized] = ACTIONS(361),
    [anon_sym_throw] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_else] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_AT] = ACTIONS(361),
    [anon_sym_open] = ACTIONS(361),
    [anon_sym_module] = ACTIONS(361),
    [anon_sym_static] = ACTIONS(361),
    [anon_sym_package] = ACTIONS(361),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_enum] = ACTIONS(361),
    [anon_sym_public] = ACTIONS(361),
    [anon_sym_protected] = ACTIONS(361),
    [anon_sym_private] = ACTIONS(361),
    [anon_sym_abstract] = ACTIONS(361),
    [anon_sym_strictfp] = ACTIONS(361),
    [anon_sym_native] = ACTIONS(361),
    [anon_sym_transient] = ACTIONS(361),
    [anon_sym_volatile] = ACTIONS(361),
    [anon_sym_sealed] = ACTIONS(361),
    [anon_sym_non_DASHsealed] = ACTIONS(359),
    [anon_sym_record] = ACTIONS(361),
    [anon_sym_ATinterface] = ACTIONS(359),
    [anon_sym_interface] = ACTIONS(361),
    [anon_sym_byte] = ACTIONS(361),
    [anon_sym_short] = ACTIONS(361),
    [anon_sym_int] = ACTIONS(361),
    [anon_sym_long] = ACTIONS(361),
    [anon_sym_char] = ACTIONS(361),
    [anon_sym_float] = ACTIONS(361),
    [anon_sym_double] = ACTIONS(361),
    [sym_boolean_type] = ACTIONS(361),
    [sym_void_type] = ACTIONS(361),
    [sym_this] = ACTIONS(361),
    [sym_super] = ACTIONS(361),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [278] = {
    [ts_builtin_sym_end] = ACTIONS(754),
    [sym_identifier] = ACTIONS(756),
    [sym_decimal_integer_literal] = ACTIONS(756),
    [sym_hex_integer_literal] = ACTIONS(756),
    [sym_octal_integer_literal] = ACTIONS(754),
    [sym_binary_integer_literal] = ACTIONS(754),
    [sym_decimal_floating_point_literal] = ACTIONS(754),
    [sym_hex_floating_point_literal] = ACTIONS(756),
    [sym_true] = ACTIONS(756),
    [sym_false] = ACTIONS(756),
    [sym_character_literal] = ACTIONS(754),
    [anon_sym_DQUOTE] = ACTIONS(756),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(754),
    [sym_null_literal] = ACTIONS(756),
    [anon_sym_LPAREN] = ACTIONS(754),
    [anon_sym_PLUS] = ACTIONS(756),
    [anon_sym_DASH] = ACTIONS(756),
    [anon_sym_final] = ACTIONS(756),
    [anon_sym_BANG] = ACTIONS(754),
    [anon_sym_TILDE] = ACTIONS(754),
    [anon_sym_PLUS_PLUS] = ACTIONS(754),
    [anon_sym_DASH_DASH] = ACTIONS(754),
    [anon_sym_new] = ACTIONS(756),
    [anon_sym_class] = ACTIONS(756),
    [anon_sym_switch] = ACTIONS(756),
    [anon_sym_LBRACE] = ACTIONS(754),
    [anon_sym_RBRACE] = ACTIONS(754),
    [anon_sym_case] = ACTIONS(756),
    [anon_sym_default] = ACTIONS(756),
    [anon_sym_SEMI] = ACTIONS(754),
    [anon_sym_assert] = ACTIONS(756),
    [anon_sym_do] = ACTIONS(756),
    [anon_sym_while] = ACTIONS(756),
    [anon_sym_break] = ACTIONS(756),
    [anon_sym_continue] = ACTIONS(756),
    [anon_sym_return] = ACTIONS(756),
    [anon_sym_yield] = ACTIONS(756),
    [anon_sym_synchronized] = ACTIONS(756),
    [anon_sym_throw] = ACTIONS(756),
    [anon_sym_try] = ACTIONS(756),
    [anon_sym_if] = ACTIONS(756),
    [anon_sym_else] = ACTIONS(756),
    [anon_sym_for] = ACTIONS(756),
    [anon_sym_AT] = ACTIONS(756),
    [anon_sym_open] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_package] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(756),
    [anon_sym_enum] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_abstract] = ACTIONS(756),
    [anon_sym_strictfp] = ACTIONS(756),
    [anon_sym_native] = ACTIONS(756),
    [anon_sym_transient] = ACTIONS(756),
    [anon_sym_volatile] = ACTIONS(756),
    [anon_sym_sealed] = ACTIONS(756),
    [anon_sym_non_DASHsealed] = ACTIONS(754),
    [anon_sym_record] = ACTIONS(756),
    [anon_sym_ATinterface] = ACTIONS(754),
    [anon_sym_interface] = ACTIONS(756),
    [anon_sym_byte] = ACTIONS(756),
    [anon_sym_short] = ACTIONS(756),
    [anon_sym_int] = ACTIONS(756),
    [anon_sym_long] = ACTIONS(756),
    [anon_sym_char] = ACTIONS(756),
    [anon_sym_float] = ACTIONS(756),
    [anon_sym_double] = ACTIONS(756),
    [sym_boolean_type] = ACTIONS(756),
    [sym_void_type] = ACTIONS(756),
    [sym_this] = ACTIONS(756),
    [sym_super] = ACTIONS(756),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [279] = {
    [ts_builtin_sym_end] = ACTIONS(758),
    [sym_identifier] = ACTIONS(760),
    [sym_decimal_integer_literal] = ACTIONS(760),
    [sym_hex_integer_literal] = ACTIONS(760),
    [sym_octal_integer_literal] = ACTIONS(758),
    [sym_binary_integer_literal] = ACTIONS(758),
    [sym_decimal_floating_point_literal] = ACTIONS(758),
    [sym_hex_floating_point_literal] = ACTIONS(760),
    [sym_true] = ACTIONS(760),
    [sym_false] = ACTIONS(760),
    [sym_character_literal] = ACTIONS(758),
    [anon_sym_DQUOTE] = ACTIONS(760),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(758),
    [sym_null_literal] = ACTIONS(760),
    [anon_sym_LPAREN] = ACTIONS(758),
    [anon_sym_PLUS] = ACTIONS(760),
    [anon_sym_DASH] = ACTIONS(760),
    [anon_sym_final] = ACTIONS(760),
    [anon_sym_BANG] = ACTIONS(758),
    [anon_sym_TILDE] = ACTIONS(758),
    [anon_sym_PLUS_PLUS] = ACTIONS(758),
    [anon_sym_DASH_DASH] = ACTIONS(758),
    [anon_sym_new] = ACTIONS(760),
    [anon_sym_class] = ACTIONS(760),
    [anon_sym_switch] = ACTIONS(760),
    [anon_sym_LBRACE] = ACTIONS(758),
    [anon_sym_RBRACE] = ACTIONS(758),
    [anon_sym_case] = ACTIONS(760),
    [anon_sym_default] = ACTIONS(760),
    [anon_sym_SEMI] = ACTIONS(758),
    [anon_sym_assert] = ACTIONS(760),
    [anon_sym_do] = ACTIONS(760),
    [anon_sym_while] = ACTIONS(760),
    [anon_sym_break] = ACTIONS(760),
    [anon_sym_continue] = ACTIONS(760),
    [anon_sym_return] = ACTIONS(760),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_synchronized] = ACTIONS(760),
    [anon_sym_throw] = ACTIONS(760),
    [anon_sym_try] = ACTIONS(760),
    [anon_sym_if] = ACTIONS(760),
    [anon_sym_else] = ACTIONS(760),
    [anon_sym_for] = ACTIONS(760),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_open] = ACTIONS(760),
    [anon_sym_module] = ACTIONS(760),
    [anon_sym_static] = ACTIONS(760),
    [anon_sym_package] = ACTIONS(760),
    [anon_sym_import] = ACTIONS(760),
    [anon_sym_enum] = ACTIONS(760),
    [anon_sym_public] = ACTIONS(760),
    [anon_sym_protected] = ACTIONS(760),
    [anon_sym_private] = ACTIONS(760),
    [anon_sym_abstract] = ACTIONS(760),
    [anon_sym_strictfp] = ACTIONS(760),
    [anon_sym_native] = ACTIONS(760),
    [anon_sym_transient] = ACTIONS(760),
    [anon_sym_volatile] = ACTIONS(760),
    [anon_sym_sealed] = ACTIONS(760),
    [anon_sym_non_DASHsealed] = ACTIONS(758),
    [anon_sym_record] = ACTIONS(760),
    [anon_sym_ATinterface] = ACTIONS(758),
    [anon_sym_interface] = ACTIONS(760),
    [anon_sym_byte] = ACTIONS(760),
    [anon_sym_short] = ACTIONS(760),
    [anon_sym_int] = ACTIONS(760),
    [anon_sym_long] = ACTIONS(760),
    [anon_sym_char] = ACTIONS(760),
    [anon_sym_float] = ACTIONS(760),
    [anon_sym_double] = ACTIONS(760),
    [sym_boolean_type] = ACTIONS(760),
    [sym_void_type] = ACTIONS(760),
    [sym_this] = ACTIONS(760),
    [sym_super] = ACTIONS(760),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [280] = {
    [ts_builtin_sym_end] = ACTIONS(762),
    [sym_identifier] = ACTIONS(764),
    [sym_decimal_integer_literal] = ACTIONS(764),
    [sym_hex_integer_literal] = ACTIONS(764),
    [sym_octal_integer_literal] = ACTIONS(762),
    [sym_binary_integer_literal] = ACTIONS(762),
    [sym_decimal_floating_point_literal] = ACTIONS(762),
    [sym_hex_floating_point_literal] = ACTIONS(764),
    [sym_true] = ACTIONS(764),
    [sym_false] = ACTIONS(764),
    [sym_character_literal] = ACTIONS(762),
    [anon_sym_DQUOTE] = ACTIONS(764),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(762),
    [sym_null_literal] = ACTIONS(764),
    [anon_sym_LPAREN] = ACTIONS(762),
    [anon_sym_PLUS] = ACTIONS(764),
    [anon_sym_DASH] = ACTIONS(764),
    [anon_sym_final] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(762),
    [anon_sym_PLUS_PLUS] = ACTIONS(762),
    [anon_sym_DASH_DASH] = ACTIONS(762),
    [anon_sym_new] = ACTIONS(764),
    [anon_sym_class] = ACTIONS(764),
    [anon_sym_switch] = ACTIONS(764),
    [anon_sym_LBRACE] = ACTIONS(762),
    [anon_sym_RBRACE] = ACTIONS(762),
    [anon_sym_case] = ACTIONS(764),
    [anon_sym_default] = ACTIONS(764),
    [anon_sym_SEMI] = ACTIONS(762),
    [anon_sym_assert] = ACTIONS(764),
    [anon_sym_do] = ACTIONS(764),
    [anon_sym_while] = ACTIONS(764),
    [anon_sym_break] = ACTIONS(764),
    [anon_sym_continue] = ACTIONS(764),
    [anon_sym_return] = ACTIONS(764),
    [anon_sym_yield] = ACTIONS(764),
    [anon_sym_synchronized] = ACTIONS(764),
    [anon_sym_throw] = ACTIONS(764),
    [anon_sym_try] = ACTIONS(764),
    [anon_sym_if] = ACTIONS(764),
    [anon_sym_else] = ACTIONS(764),
    [anon_sym_for] = ACTIONS(764),
    [anon_sym_AT] = ACTIONS(764),
    [anon_sym_open] = ACTIONS(764),
    [anon_sym_module] = ACTIONS(764),
    [anon_sym_static] = ACTIONS(764),
    [anon_sym_package] = ACTIONS(764),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_enum] = ACTIONS(764),
    [anon_sym_public] = ACTIONS(764),
    [anon_sym_protected] = ACTIONS(764),
    [anon_sym_private] = ACTIONS(764),
    [anon_sym_abstract] = ACTIONS(764),
    [anon_sym_strictfp] = ACTIONS(764),
    [anon_sym_native] = ACTIONS(764),
    [anon_sym_transient] = ACTIONS(764),
    [anon_sym_volatile] = ACTIONS(764),
    [anon_sym_sealed] = ACTIONS(764),
    [anon_sym_non_DASHsealed] = ACTIONS(762),
    [anon_sym_record] = ACTIONS(764),
    [anon_sym_ATinterface] = ACTIONS(762),
    [anon_sym_interface] = ACTIONS(764),
    [anon_sym_byte] = ACTIONS(764),
    [anon_sym_short] = ACTIONS(764),
    [anon_sym_int] = ACTIONS(764),
    [anon_sym_long] = ACTIONS(764),
    [anon_sym_char] = ACTIONS(764),
    [anon_sym_float] = ACTIONS(764),
    [anon_sym_double] = ACTIONS(764),
    [sym_boolean_type] = ACTIONS(764),
    [sym_void_type] = ACTIONS(764),
    [sym_this] = ACTIONS(764),
    [sym_super] = ACTIONS(764),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [281] = {
    [ts_builtin_sym_end] = ACTIONS(766),
    [sym_identifier] = ACTIONS(768),
    [sym_decimal_integer_literal] = ACTIONS(768),
    [sym_hex_integer_literal] = ACTIONS(768),
    [sym_octal_integer_literal] = ACTIONS(766),
    [sym_binary_integer_literal] = ACTIONS(766),
    [sym_decimal_floating_point_literal] = ACTIONS(766),
    [sym_hex_floating_point_literal] = ACTIONS(768),
    [sym_true] = ACTIONS(768),
    [sym_false] = ACTIONS(768),
    [sym_character_literal] = ACTIONS(766),
    [anon_sym_DQUOTE] = ACTIONS(768),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(766),
    [sym_null_literal] = ACTIONS(768),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_final] = ACTIONS(768),
    [anon_sym_BANG] = ACTIONS(766),
    [anon_sym_TILDE] = ACTIONS(766),
    [anon_sym_PLUS_PLUS] = ACTIONS(766),
    [anon_sym_DASH_DASH] = ACTIONS(766),
    [anon_sym_new] = ACTIONS(768),
    [anon_sym_class] = ACTIONS(768),
    [anon_sym_switch] = ACTIONS(768),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_RBRACE] = ACTIONS(766),
    [anon_sym_case] = ACTIONS(768),
    [anon_sym_default] = ACTIONS(768),
    [anon_sym_SEMI] = ACTIONS(766),
    [anon_sym_assert] = ACTIONS(768),
    [anon_sym_do] = ACTIONS(768),
    [anon_sym_while] = ACTIONS(768),
    [anon_sym_break] = ACTIONS(768),
    [anon_sym_continue] = ACTIONS(768),
    [anon_sym_return] = ACTIONS(768),
    [anon_sym_yield] = ACTIONS(768),
    [anon_sym_synchronized] = ACTIONS(768),
    [anon_sym_throw] = ACTIONS(768),
    [anon_sym_try] = ACTIONS(768),
    [anon_sym_if] = ACTIONS(768),
    [anon_sym_else] = ACTIONS(768),
    [anon_sym_for] = ACTIONS(768),
    [anon_sym_AT] = ACTIONS(768),
    [anon_sym_open] = ACTIONS(768),
    [anon_sym_module] = ACTIONS(768),
    [anon_sym_static] = ACTIONS(768),
    [anon_sym_package] = ACTIONS(768),
    [anon_sym_import] = ACTIONS(768),
    [anon_sym_enum] = ACTIONS(768),
    [anon_sym_public] = ACTIONS(768),
    [anon_sym_protected] = ACTIONS(768),
    [anon_sym_private] = ACTIONS(768),
    [anon_sym_abstract] = ACTIONS(768),
    [anon_sym_strictfp] = ACTIONS(768),
    [anon_sym_native] = ACTIONS(768),
    [anon_sym_transient] = ACTIONS(768),
    [anon_sym_volatile] = ACTIONS(768),
    [anon_sym_sealed] = ACTIONS(768),
    [anon_sym_non_DASHsealed] = ACTIONS(766),
    [anon_sym_record] = ACTIONS(768),
    [anon_sym_ATinterface] = ACTIONS(766),
    [anon_sym_interface] = ACTIONS(768),
    [anon_sym_byte] = ACTIONS(768),
    [anon_sym_short] = ACTIONS(768),
    [anon_sym_int] = ACTIONS(768),
    [anon_sym_long] = ACTIONS(768),
    [anon_sym_char] = ACTIONS(768),
    [anon_sym_float] = ACTIONS(768),
    [anon_sym_double] = ACTIONS(768),
    [sym_boolean_type] = ACTIONS(768),
    [sym_void_type] = ACTIONS(768),
    [sym_this] = ACTIONS(768),
    [sym_super] = ACTIONS(768),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [282] = {
    [ts_builtin_sym_end] = ACTIONS(770),
    [sym_identifier] = ACTIONS(772),
    [sym_decimal_integer_literal] = ACTIONS(772),
    [sym_hex_integer_literal] = ACTIONS(772),
    [sym_octal_integer_literal] = ACTIONS(770),
    [sym_binary_integer_literal] = ACTIONS(770),
    [sym_decimal_floating_point_literal] = ACTIONS(770),
    [sym_hex_floating_point_literal] = ACTIONS(772),
    [sym_true] = ACTIONS(772),
    [sym_false] = ACTIONS(772),
    [sym_character_literal] = ACTIONS(770),
    [anon_sym_DQUOTE] = ACTIONS(772),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(770),
    [sym_null_literal] = ACTIONS(772),
    [anon_sym_LPAREN] = ACTIONS(770),
    [anon_sym_PLUS] = ACTIONS(772),
    [anon_sym_DASH] = ACTIONS(772),
    [anon_sym_final] = ACTIONS(772),
    [anon_sym_BANG] = ACTIONS(770),
    [anon_sym_TILDE] = ACTIONS(770),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [anon_sym_new] = ACTIONS(772),
    [anon_sym_class] = ACTIONS(772),
    [anon_sym_switch] = ACTIONS(772),
    [anon_sym_LBRACE] = ACTIONS(770),
    [anon_sym_RBRACE] = ACTIONS(770),
    [anon_sym_case] = ACTIONS(772),
    [anon_sym_default] = ACTIONS(772),
    [anon_sym_SEMI] = ACTIONS(770),
    [anon_sym_assert] = ACTIONS(772),
    [anon_sym_do] = ACTIONS(772),
    [anon_sym_while] = ACTIONS(772),
    [anon_sym_break] = ACTIONS(772),
    [anon_sym_continue] = ACTIONS(772),
    [anon_sym_return] = ACTIONS(772),
    [anon_sym_yield] = ACTIONS(772),
    [anon_sym_synchronized] = ACTIONS(772),
    [anon_sym_throw] = ACTIONS(772),
    [anon_sym_try] = ACTIONS(772),
    [anon_sym_if] = ACTIONS(772),
    [anon_sym_else] = ACTIONS(772),
    [anon_sym_for] = ACTIONS(772),
    [anon_sym_AT] = ACTIONS(772),
    [anon_sym_open] = ACTIONS(772),
    [anon_sym_module] = ACTIONS(772),
    [anon_sym_static] = ACTIONS(772),
    [anon_sym_package] = ACTIONS(772),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_enum] = ACTIONS(772),
    [anon_sym_public] = ACTIONS(772),
    [anon_sym_protected] = ACTIONS(772),
    [anon_sym_private] = ACTIONS(772),
    [anon_sym_abstract] = ACTIONS(772),
    [anon_sym_strictfp] = ACTIONS(772),
    [anon_sym_native] = ACTIONS(772),
    [anon_sym_transient] = ACTIONS(772),
    [anon_sym_volatile] = ACTIONS(772),
    [anon_sym_sealed] = ACTIONS(772),
    [anon_sym_non_DASHsealed] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_ATinterface] = ACTIONS(770),
    [anon_sym_interface] = ACTIONS(772),
    [anon_sym_byte] = ACTIONS(772),
    [anon_sym_short] = ACTIONS(772),
    [anon_sym_int] = ACTIONS(772),
    [anon_sym_long] = ACTIONS(772),
    [anon_sym_char] = ACTIONS(772),
    [anon_sym_float] = ACTIONS(772),
    [anon_sym_double] = ACTIONS(772),
    [sym_boolean_type] = ACTIONS(772),
    [sym_void_type] = ACTIONS(772),
    [sym_this] = ACTIONS(772),
    [sym_super] = ACTIONS(772),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [283] = {
    [ts_builtin_sym_end] = ACTIONS(774),
    [sym_identifier] = ACTIONS(776),
    [sym_decimal_integer_literal] = ACTIONS(776),
    [sym_hex_integer_literal] = ACTIONS(776),
    [sym_octal_integer_literal] = ACTIONS(774),
    [sym_binary_integer_literal] = ACTIONS(774),
    [sym_decimal_floating_point_literal] = ACTIONS(774),
    [sym_hex_floating_point_literal] = ACTIONS(776),
    [sym_true] = ACTIONS(776),
    [sym_false] = ACTIONS(776),
    [sym_character_literal] = ACTIONS(774),
    [anon_sym_DQUOTE] = ACTIONS(776),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(774),
    [sym_null_literal] = ACTIONS(776),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_PLUS] = ACTIONS(776),
    [anon_sym_DASH] = ACTIONS(776),
    [anon_sym_final] = ACTIONS(776),
    [anon_sym_BANG] = ACTIONS(774),
    [anon_sym_TILDE] = ACTIONS(774),
    [anon_sym_PLUS_PLUS] = ACTIONS(774),
    [anon_sym_DASH_DASH] = ACTIONS(774),
    [anon_sym_new] = ACTIONS(776),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_switch] = ACTIONS(776),
    [anon_sym_LBRACE] = ACTIONS(774),
    [anon_sym_RBRACE] = ACTIONS(774),
    [anon_sym_case] = ACTIONS(776),
    [anon_sym_default] = ACTIONS(776),
    [anon_sym_SEMI] = ACTIONS(774),
    [anon_sym_assert] = ACTIONS(776),
    [anon_sym_do] = ACTIONS(776),
    [anon_sym_while] = ACTIONS(776),
    [anon_sym_break] = ACTIONS(776),
    [anon_sym_continue] = ACTIONS(776),
    [anon_sym_return] = ACTIONS(776),
    [anon_sym_yield] = ACTIONS(776),
    [anon_sym_synchronized] = ACTIONS(776),
    [anon_sym_throw] = ACTIONS(776),
    [anon_sym_try] = ACTIONS(776),
    [anon_sym_if] = ACTIONS(776),
    [anon_sym_else] = ACTIONS(776),
    [anon_sym_for] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(776),
    [anon_sym_open] = ACTIONS(776),
    [anon_sym_module] = ACTIONS(776),
    [anon_sym_static] = ACTIONS(776),
    [anon_sym_package] = ACTIONS(776),
    [anon_sym_import] = ACTIONS(776),
    [anon_sym_enum] = ACTIONS(776),
    [anon_sym_public] = ACTIONS(776),
    [anon_sym_protected] = ACTIONS(776),
    [anon_sym_private] = ACTIONS(776),
    [anon_sym_abstract] = ACTIONS(776),
    [anon_sym_strictfp] = ACTIONS(776),
    [anon_sym_native] = ACTIONS(776),
    [anon_sym_transient] = ACTIONS(776),
    [anon_sym_volatile] = ACTIONS(776),
    [anon_sym_sealed] = ACTIONS(776),
    [anon_sym_non_DASHsealed] = ACTIONS(774),
    [anon_sym_record] = ACTIONS(776),
    [anon_sym_ATinterface] = ACTIONS(774),
    [anon_sym_interface] = ACTIONS(776),
    [anon_sym_byte] = ACTIONS(776),
    [anon_sym_short] = ACTIONS(776),
    [anon_sym_int] = ACTIONS(776),
    [anon_sym_long] = ACTIONS(776),
    [anon_sym_char] = ACTIONS(776),
    [anon_sym_float] = ACTIONS(776),
    [anon_sym_double] = ACTIONS(776),
    [sym_boolean_type] = ACTIONS(776),
    [sym_void_type] = ACTIONS(776),
    [sym_this] = ACTIONS(776),
    [sym_super] = ACTIONS(776),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [284] = {
    [ts_builtin_sym_end] = ACTIONS(778),
    [sym_identifier] = ACTIONS(780),
    [sym_decimal_integer_literal] = ACTIONS(780),
    [sym_hex_integer_literal] = ACTIONS(780),
    [sym_octal_integer_literal] = ACTIONS(778),
    [sym_binary_integer_literal] = ACTIONS(778),
    [sym_decimal_floating_point_literal] = ACTIONS(778),
    [sym_hex_floating_point_literal] = ACTIONS(780),
    [sym_true] = ACTIONS(780),
    [sym_false] = ACTIONS(780),
    [sym_character_literal] = ACTIONS(778),
    [anon_sym_DQUOTE] = ACTIONS(780),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(778),
    [sym_null_literal] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(778),
    [anon_sym_PLUS] = ACTIONS(780),
    [anon_sym_DASH] = ACTIONS(780),
    [anon_sym_final] = ACTIONS(780),
    [anon_sym_BANG] = ACTIONS(778),
    [anon_sym_TILDE] = ACTIONS(778),
    [anon_sym_PLUS_PLUS] = ACTIONS(778),
    [anon_sym_DASH_DASH] = ACTIONS(778),
    [anon_sym_new] = ACTIONS(780),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_switch] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(778),
    [anon_sym_RBRACE] = ACTIONS(778),
    [anon_sym_case] = ACTIONS(780),
    [anon_sym_default] = ACTIONS(780),
    [anon_sym_SEMI] = ACTIONS(778),
    [anon_sym_assert] = ACTIONS(780),
    [anon_sym_do] = ACTIONS(780),
    [anon_sym_while] = ACTIONS(780),
    [anon_sym_break] = ACTIONS(780),
    [anon_sym_continue] = ACTIONS(780),
    [anon_sym_return] = ACTIONS(780),
    [anon_sym_yield] = ACTIONS(780),
    [anon_sym_synchronized] = ACTIONS(780),
    [anon_sym_throw] = ACTIONS(780),
    [anon_sym_try] = ACTIONS(780),
    [anon_sym_if] = ACTIONS(780),
    [anon_sym_else] = ACTIONS(780),
    [anon_sym_for] = ACTIONS(780),
    [anon_sym_AT] = ACTIONS(780),
    [anon_sym_open] = ACTIONS(780),
    [anon_sym_module] = ACTIONS(780),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_package] = ACTIONS(780),
    [anon_sym_import] = ACTIONS(780),
    [anon_sym_enum] = ACTIONS(780),
    [anon_sym_public] = ACTIONS(780),
    [anon_sym_protected] = ACTIONS(780),
    [anon_sym_private] = ACTIONS(780),
    [anon_sym_abstract] = ACTIONS(780),
    [anon_sym_strictfp] = ACTIONS(780),
    [anon_sym_native] = ACTIONS(780),
    [anon_sym_transient] = ACTIONS(780),
    [anon_sym_volatile] = ACTIONS(780),
    [anon_sym_sealed] = ACTIONS(780),
    [anon_sym_non_DASHsealed] = ACTIONS(778),
    [anon_sym_record] = ACTIONS(780),
    [anon_sym_ATinterface] = ACTIONS(778),
    [anon_sym_interface] = ACTIONS(780),
    [anon_sym_byte] = ACTIONS(780),
    [anon_sym_short] = ACTIONS(780),
    [anon_sym_int] = ACTIONS(780),
    [anon_sym_long] = ACTIONS(780),
    [anon_sym_char] = ACTIONS(780),
    [anon_sym_float] = ACTIONS(780),
    [anon_sym_double] = ACTIONS(780),
    [sym_boolean_type] = ACTIONS(780),
    [sym_void_type] = ACTIONS(780),
    [sym_this] = ACTIONS(780),
    [sym_super] = ACTIONS(780),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [285] = {
    [ts_builtin_sym_end] = ACTIONS(782),
    [sym_identifier] = ACTIONS(784),
    [sym_decimal_integer_literal] = ACTIONS(784),
    [sym_hex_integer_literal] = ACTIONS(784),
    [sym_octal_integer_literal] = ACTIONS(782),
    [sym_binary_integer_literal] = ACTIONS(782),
    [sym_decimal_floating_point_literal] = ACTIONS(782),
    [sym_hex_floating_point_literal] = ACTIONS(784),
    [sym_true] = ACTIONS(784),
    [sym_false] = ACTIONS(784),
    [sym_character_literal] = ACTIONS(782),
    [anon_sym_DQUOTE] = ACTIONS(784),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(782),
    [sym_null_literal] = ACTIONS(784),
    [anon_sym_LPAREN] = ACTIONS(782),
    [anon_sym_PLUS] = ACTIONS(784),
    [anon_sym_DASH] = ACTIONS(784),
    [anon_sym_final] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(782),
    [anon_sym_TILDE] = ACTIONS(782),
    [anon_sym_PLUS_PLUS] = ACTIONS(782),
    [anon_sym_DASH_DASH] = ACTIONS(782),
    [anon_sym_new] = ACTIONS(784),
    [anon_sym_class] = ACTIONS(784),
    [anon_sym_switch] = ACTIONS(784),
    [anon_sym_LBRACE] = ACTIONS(782),
    [anon_sym_RBRACE] = ACTIONS(782),
    [anon_sym_case] = ACTIONS(784),
    [anon_sym_default] = ACTIONS(784),
    [anon_sym_SEMI] = ACTIONS(782),
    [anon_sym_assert] = ACTIONS(784),
    [anon_sym_do] = ACTIONS(784),
    [anon_sym_while] = ACTIONS(784),
    [anon_sym_break] = ACTIONS(784),
    [anon_sym_continue] = ACTIONS(784),
    [anon_sym_return] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_synchronized] = ACTIONS(784),
    [anon_sym_throw] = ACTIONS(784),
    [anon_sym_try] = ACTIONS(784),
    [anon_sym_if] = ACTIONS(784),
    [anon_sym_else] = ACTIONS(784),
    [anon_sym_for] = ACTIONS(784),
    [anon_sym_AT] = ACTIONS(784),
    [anon_sym_open] = ACTIONS(784),
    [anon_sym_module] = ACTIONS(784),
    [anon_sym_static] = ACTIONS(784),
    [anon_sym_package] = ACTIONS(784),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_enum] = ACTIONS(784),
    [anon_sym_public] = ACTIONS(784),
    [anon_sym_protected] = ACTIONS(784),
    [anon_sym_private] = ACTIONS(784),
    [anon_sym_abstract] = ACTIONS(784),
    [anon_sym_strictfp] = ACTIONS(784),
    [anon_sym_native] = ACTIONS(784),
    [anon_sym_transient] = ACTIONS(784),
    [anon_sym_volatile] = ACTIONS(784),
    [anon_sym_sealed] = ACTIONS(784),
    [anon_sym_non_DASHsealed] = ACTIONS(782),
    [anon_sym_record] = ACTIONS(784),
    [anon_sym_ATinterface] = ACTIONS(782),
    [anon_sym_interface] = ACTIONS(784),
    [anon_sym_byte] = ACTIONS(784),
    [anon_sym_short] = ACTIONS(784),
    [anon_sym_int] = ACTIONS(784),
    [anon_sym_long] = ACTIONS(784),
    [anon_sym_char] = ACTIONS(784),
    [anon_sym_float] = ACTIONS(784),
    [anon_sym_double] = ACTIONS(784),
    [sym_boolean_type] = ACTIONS(784),
    [sym_void_type] = ACTIONS(784),
    [sym_this] = ACTIONS(784),
    [sym_super] = ACTIONS(784),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [286] = {
    [ts_builtin_sym_end] = ACTIONS(786),
    [sym_identifier] = ACTIONS(788),
    [sym_decimal_integer_literal] = ACTIONS(788),
    [sym_hex_integer_literal] = ACTIONS(788),
    [sym_octal_integer_literal] = ACTIONS(786),
    [sym_binary_integer_literal] = ACTIONS(786),
    [sym_decimal_floating_point_literal] = ACTIONS(786),
    [sym_hex_floating_point_literal] = ACTIONS(788),
    [sym_true] = ACTIONS(788),
    [sym_false] = ACTIONS(788),
    [sym_character_literal] = ACTIONS(786),
    [anon_sym_DQUOTE] = ACTIONS(788),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(786),
    [sym_null_literal] = ACTIONS(788),
    [anon_sym_LPAREN] = ACTIONS(786),
    [anon_sym_PLUS] = ACTIONS(788),
    [anon_sym_DASH] = ACTIONS(788),
    [anon_sym_final] = ACTIONS(788),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_PLUS_PLUS] = ACTIONS(786),
    [anon_sym_DASH_DASH] = ACTIONS(786),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_class] = ACTIONS(788),
    [anon_sym_switch] = ACTIONS(788),
    [anon_sym_LBRACE] = ACTIONS(786),
    [anon_sym_RBRACE] = ACTIONS(786),
    [anon_sym_case] = ACTIONS(788),
    [anon_sym_default] = ACTIONS(788),
    [anon_sym_SEMI] = ACTIONS(786),
    [anon_sym_assert] = ACTIONS(788),
    [anon_sym_do] = ACTIONS(788),
    [anon_sym_while] = ACTIONS(788),
    [anon_sym_break] = ACTIONS(788),
    [anon_sym_continue] = ACTIONS(788),
    [anon_sym_return] = ACTIONS(788),
    [anon_sym_yield] = ACTIONS(788),
    [anon_sym_synchronized] = ACTIONS(788),
    [anon_sym_throw] = ACTIONS(788),
    [anon_sym_try] = ACTIONS(788),
    [anon_sym_if] = ACTIONS(788),
    [anon_sym_else] = ACTIONS(788),
    [anon_sym_for] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(788),
    [anon_sym_open] = ACTIONS(788),
    [anon_sym_module] = ACTIONS(788),
    [anon_sym_static] = ACTIONS(788),
    [anon_sym_package] = ACTIONS(788),
    [anon_sym_import] = ACTIONS(788),
    [anon_sym_enum] = ACTIONS(788),
    [anon_sym_public] = ACTIONS(788),
    [anon_sym_protected] = ACTIONS(788),
    [anon_sym_private] = ACTIONS(788),
    [anon_sym_abstract] = ACTIONS(788),
    [anon_sym_strictfp] = ACTIONS(788),
    [anon_sym_native] = ACTIONS(788),
    [anon_sym_transient] = ACTIONS(788),
    [anon_sym_volatile] = ACTIONS(788),
    [anon_sym_sealed] = ACTIONS(788),
    [anon_sym_non_DASHsealed] = ACTIONS(786),
    [anon_sym_record] = ACTIONS(788),
    [anon_sym_ATinterface] = ACTIONS(786),
    [anon_sym_interface] = ACTIONS(788),
    [anon_sym_byte] = ACTIONS(788),
    [anon_sym_short] = ACTIONS(788),
    [anon_sym_int] = ACTIONS(788),
    [anon_sym_long] = ACTIONS(788),
    [anon_sym_char] = ACTIONS(788),
    [anon_sym_float] = ACTIONS(788),
    [anon_sym_double] = ACTIONS(788),
    [sym_boolean_type] = ACTIONS(788),
    [sym_void_type] = ACTIONS(788),
    [sym_this] = ACTIONS(788),
    [sym_super] = ACTIONS(788),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [287] = {
    [ts_builtin_sym_end] = ACTIONS(790),
    [sym_identifier] = ACTIONS(792),
    [sym_decimal_integer_literal] = ACTIONS(792),
    [sym_hex_integer_literal] = ACTIONS(792),
    [sym_octal_integer_literal] = ACTIONS(790),
    [sym_binary_integer_literal] = ACTIONS(790),
    [sym_decimal_floating_point_literal] = ACTIONS(790),
    [sym_hex_floating_point_literal] = ACTIONS(792),
    [sym_true] = ACTIONS(792),
    [sym_false] = ACTIONS(792),
    [sym_character_literal] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(792),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(790),
    [sym_null_literal] = ACTIONS(792),
    [anon_sym_LPAREN] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_final] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_new] = ACTIONS(792),
    [anon_sym_class] = ACTIONS(792),
    [anon_sym_switch] = ACTIONS(792),
    [anon_sym_LBRACE] = ACTIONS(790),
    [anon_sym_RBRACE] = ACTIONS(790),
    [anon_sym_case] = ACTIONS(792),
    [anon_sym_default] = ACTIONS(792),
    [anon_sym_SEMI] = ACTIONS(790),
    [anon_sym_assert] = ACTIONS(792),
    [anon_sym_do] = ACTIONS(792),
    [anon_sym_while] = ACTIONS(792),
    [anon_sym_break] = ACTIONS(792),
    [anon_sym_continue] = ACTIONS(792),
    [anon_sym_return] = ACTIONS(792),
    [anon_sym_yield] = ACTIONS(792),
    [anon_sym_synchronized] = ACTIONS(792),
    [anon_sym_throw] = ACTIONS(792),
    [anon_sym_try] = ACTIONS(792),
    [anon_sym_if] = ACTIONS(792),
    [anon_sym_else] = ACTIONS(792),
    [anon_sym_for] = ACTIONS(792),
    [anon_sym_AT] = ACTIONS(792),
    [anon_sym_open] = ACTIONS(792),
    [anon_sym_module] = ACTIONS(792),
    [anon_sym_static] = ACTIONS(792),
    [anon_sym_package] = ACTIONS(792),
    [anon_sym_import] = ACTIONS(792),
    [anon_sym_enum] = ACTIONS(792),
    [anon_sym_public] = ACTIONS(792),
    [anon_sym_protected] = ACTIONS(792),
    [anon_sym_private] = ACTIONS(792),
    [anon_sym_abstract] = ACTIONS(792),
    [anon_sym_strictfp] = ACTIONS(792),
    [anon_sym_native] = ACTIONS(792),
    [anon_sym_transient] = ACTIONS(792),
    [anon_sym_volatile] = ACTIONS(792),
    [anon_sym_sealed] = ACTIONS(792),
    [anon_sym_non_DASHsealed] = ACTIONS(790),
    [anon_sym_record] = ACTIONS(792),
    [anon_sym_ATinterface] = ACTIONS(790),
    [anon_sym_interface] = ACTIONS(792),
    [anon_sym_byte] = ACTIONS(792),
    [anon_sym_short] = ACTIONS(792),
    [anon_sym_int] = ACTIONS(792),
    [anon_sym_long] = ACTIONS(792),
    [anon_sym_char] = ACTIONS(792),
    [anon_sym_float] = ACTIONS(792),
    [anon_sym_double] = ACTIONS(792),
    [sym_boolean_type] = ACTIONS(792),
    [sym_void_type] = ACTIONS(792),
    [sym_this] = ACTIONS(792),
    [sym_super] = ACTIONS(792),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [288] = {
    [ts_builtin_sym_end] = ACTIONS(794),
    [sym_identifier] = ACTIONS(796),
    [sym_decimal_integer_literal] = ACTIONS(796),
    [sym_hex_integer_literal] = ACTIONS(796),
    [sym_octal_integer_literal] = ACTIONS(794),
    [sym_binary_integer_literal] = ACTIONS(794),
    [sym_decimal_floating_point_literal] = ACTIONS(794),
    [sym_hex_floating_point_literal] = ACTIONS(796),
    [sym_true] = ACTIONS(796),
    [sym_false] = ACTIONS(796),
    [sym_character_literal] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(796),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(794),
    [sym_null_literal] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(794),
    [anon_sym_PLUS] = ACTIONS(796),
    [anon_sym_DASH] = ACTIONS(796),
    [anon_sym_final] = ACTIONS(796),
    [anon_sym_BANG] = ACTIONS(794),
    [anon_sym_TILDE] = ACTIONS(794),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [anon_sym_new] = ACTIONS(796),
    [anon_sym_class] = ACTIONS(796),
    [anon_sym_switch] = ACTIONS(796),
    [anon_sym_LBRACE] = ACTIONS(794),
    [anon_sym_RBRACE] = ACTIONS(794),
    [anon_sym_case] = ACTIONS(796),
    [anon_sym_default] = ACTIONS(796),
    [anon_sym_SEMI] = ACTIONS(794),
    [anon_sym_assert] = ACTIONS(796),
    [anon_sym_do] = ACTIONS(796),
    [anon_sym_while] = ACTIONS(796),
    [anon_sym_break] = ACTIONS(796),
    [anon_sym_continue] = ACTIONS(796),
    [anon_sym_return] = ACTIONS(796),
    [anon_sym_yield] = ACTIONS(796),
    [anon_sym_synchronized] = ACTIONS(796),
    [anon_sym_throw] = ACTIONS(796),
    [anon_sym_try] = ACTIONS(796),
    [anon_sym_if] = ACTIONS(796),
    [anon_sym_else] = ACTIONS(796),
    [anon_sym_for] = ACTIONS(796),
    [anon_sym_AT] = ACTIONS(796),
    [anon_sym_open] = ACTIONS(796),
    [anon_sym_module] = ACTIONS(796),
    [anon_sym_static] = ACTIONS(796),
    [anon_sym_package] = ACTIONS(796),
    [anon_sym_import] = ACTIONS(796),
    [anon_sym_enum] = ACTIONS(796),
    [anon_sym_public] = ACTIONS(796),
    [anon_sym_protected] = ACTIONS(796),
    [anon_sym_private] = ACTIONS(796),
    [anon_sym_abstract] = ACTIONS(796),
    [anon_sym_strictfp] = ACTIONS(796),
    [anon_sym_native] = ACTIONS(796),
    [anon_sym_transient] = ACTIONS(796),
    [anon_sym_volatile] = ACTIONS(796),
    [anon_sym_sealed] = ACTIONS(796),
    [anon_sym_non_DASHsealed] = ACTIONS(794),
    [anon_sym_record] = ACTIONS(796),
    [anon_sym_ATinterface] = ACTIONS(794),
    [anon_sym_interface] = ACTIONS(796),
    [anon_sym_byte] = ACTIONS(796),
    [anon_sym_short] = ACTIONS(796),
    [anon_sym_int] = ACTIONS(796),
    [anon_sym_long] = ACTIONS(796),
    [anon_sym_char] = ACTIONS(796),
    [anon_sym_float] = ACTIONS(796),
    [anon_sym_double] = ACTIONS(796),
    [sym_boolean_type] = ACTIONS(796),
    [sym_void_type] = ACTIONS(796),
    [sym_this] = ACTIONS(796),
    [sym_super] = ACTIONS(796),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [289] = {
    [ts_builtin_sym_end] = ACTIONS(798),
    [sym_identifier] = ACTIONS(800),
    [sym_decimal_integer_literal] = ACTIONS(800),
    [sym_hex_integer_literal] = ACTIONS(800),
    [sym_octal_integer_literal] = ACTIONS(798),
    [sym_binary_integer_literal] = ACTIONS(798),
    [sym_decimal_floating_point_literal] = ACTIONS(798),
    [sym_hex_floating_point_literal] = ACTIONS(800),
    [sym_true] = ACTIONS(800),
    [sym_false] = ACTIONS(800),
    [sym_character_literal] = ACTIONS(798),
    [anon_sym_DQUOTE] = ACTIONS(800),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(798),
    [sym_null_literal] = ACTIONS(800),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_final] = ACTIONS(800),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_new] = ACTIONS(800),
    [anon_sym_class] = ACTIONS(800),
    [anon_sym_switch] = ACTIONS(800),
    [anon_sym_LBRACE] = ACTIONS(798),
    [anon_sym_RBRACE] = ACTIONS(798),
    [anon_sym_case] = ACTIONS(800),
    [anon_sym_default] = ACTIONS(800),
    [anon_sym_SEMI] = ACTIONS(798),
    [anon_sym_assert] = ACTIONS(800),
    [anon_sym_do] = ACTIONS(800),
    [anon_sym_while] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_return] = ACTIONS(800),
    [anon_sym_yield] = ACTIONS(800),
    [anon_sym_synchronized] = ACTIONS(800),
    [anon_sym_throw] = ACTIONS(800),
    [anon_sym_try] = ACTIONS(800),
    [anon_sym_if] = ACTIONS(800),
    [anon_sym_else] = ACTIONS(800),
    [anon_sym_for] = ACTIONS(800),
    [anon_sym_AT] = ACTIONS(800),
    [anon_sym_open] = ACTIONS(800),
    [anon_sym_module] = ACTIONS(800),
    [anon_sym_static] = ACTIONS(800),
    [anon_sym_package] = ACTIONS(800),
    [anon_sym_import] = ACTIONS(800),
    [anon_sym_enum] = ACTIONS(800),
    [anon_sym_public] = ACTIONS(800),
    [anon_sym_protected] = ACTIONS(800),
    [anon_sym_private] = ACTIONS(800),
    [anon_sym_abstract] = ACTIONS(800),
    [anon_sym_strictfp] = ACTIONS(800),
    [anon_sym_native] = ACTIONS(800),
    [anon_sym_transient] = ACTIONS(800),
    [anon_sym_volatile] = ACTIONS(800),
    [anon_sym_sealed] = ACTIONS(800),
    [anon_sym_non_DASHsealed] = ACTIONS(798),
    [anon_sym_record] = ACTIONS(800),
    [anon_sym_ATinterface] = ACTIONS(798),
    [anon_sym_interface] = ACTIONS(800),
    [anon_sym_byte] = ACTIONS(800),
    [anon_sym_short] = ACTIONS(800),
    [anon_sym_int] = ACTIONS(800),
    [anon_sym_long] = ACTIONS(800),
    [anon_sym_char] = ACTIONS(800),
    [anon_sym_float] = ACTIONS(800),
    [anon_sym_double] = ACTIONS(800),
    [sym_boolean_type] = ACTIONS(800),
    [sym_void_type] = ACTIONS(800),
    [sym_this] = ACTIONS(800),
    [sym_super] = ACTIONS(800),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [290] = {
    [ts_builtin_sym_end] = ACTIONS(802),
    [sym_identifier] = ACTIONS(804),
    [sym_decimal_integer_literal] = ACTIONS(804),
    [sym_hex_integer_literal] = ACTIONS(804),
    [sym_octal_integer_literal] = ACTIONS(802),
    [sym_binary_integer_literal] = ACTIONS(802),
    [sym_decimal_floating_point_literal] = ACTIONS(802),
    [sym_hex_floating_point_literal] = ACTIONS(804),
    [sym_true] = ACTIONS(804),
    [sym_false] = ACTIONS(804),
    [sym_character_literal] = ACTIONS(802),
    [anon_sym_DQUOTE] = ACTIONS(804),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(802),
    [sym_null_literal] = ACTIONS(804),
    [anon_sym_LPAREN] = ACTIONS(802),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(804),
    [anon_sym_final] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(802),
    [anon_sym_TILDE] = ACTIONS(802),
    [anon_sym_PLUS_PLUS] = ACTIONS(802),
    [anon_sym_DASH_DASH] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(804),
    [anon_sym_class] = ACTIONS(804),
    [anon_sym_switch] = ACTIONS(804),
    [anon_sym_LBRACE] = ACTIONS(802),
    [anon_sym_RBRACE] = ACTIONS(802),
    [anon_sym_case] = ACTIONS(804),
    [anon_sym_default] = ACTIONS(804),
    [anon_sym_SEMI] = ACTIONS(802),
    [anon_sym_assert] = ACTIONS(804),
    [anon_sym_do] = ACTIONS(804),
    [anon_sym_while] = ACTIONS(804),
    [anon_sym_break] = ACTIONS(804),
    [anon_sym_continue] = ACTIONS(804),
    [anon_sym_return] = ACTIONS(804),
    [anon_sym_yield] = ACTIONS(804),
    [anon_sym_synchronized] = ACTIONS(804),
    [anon_sym_throw] = ACTIONS(804),
    [anon_sym_try] = ACTIONS(804),
    [anon_sym_if] = ACTIONS(804),
    [anon_sym_else] = ACTIONS(804),
    [anon_sym_for] = ACTIONS(804),
    [anon_sym_AT] = ACTIONS(804),
    [anon_sym_open] = ACTIONS(804),
    [anon_sym_module] = ACTIONS(804),
    [anon_sym_static] = ACTIONS(804),
    [anon_sym_package] = ACTIONS(804),
    [anon_sym_import] = ACTIONS(804),
    [anon_sym_enum] = ACTIONS(804),
    [anon_sym_public] = ACTIONS(804),
    [anon_sym_protected] = ACTIONS(804),
    [anon_sym_private] = ACTIONS(804),
    [anon_sym_abstract] = ACTIONS(804),
    [anon_sym_strictfp] = ACTIONS(804),
    [anon_sym_native] = ACTIONS(804),
    [anon_sym_transient] = ACTIONS(804),
    [anon_sym_volatile] = ACTIONS(804),
    [anon_sym_sealed] = ACTIONS(804),
    [anon_sym_non_DASHsealed] = ACTIONS(802),
    [anon_sym_record] = ACTIONS(804),
    [anon_sym_ATinterface] = ACTIONS(802),
    [anon_sym_interface] = ACTIONS(804),
    [anon_sym_byte] = ACTIONS(804),
    [anon_sym_short] = ACTIONS(804),
    [anon_sym_int] = ACTIONS(804),
    [anon_sym_long] = ACTIONS(804),
    [anon_sym_char] = ACTIONS(804),
    [anon_sym_float] = ACTIONS(804),
    [anon_sym_double] = ACTIONS(804),
    [sym_boolean_type] = ACTIONS(804),
    [sym_void_type] = ACTIONS(804),
    [sym_this] = ACTIONS(804),
    [sym_super] = ACTIONS(804),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [291] = {
    [ts_builtin_sym_end] = ACTIONS(337),
    [sym_identifier] = ACTIONS(339),
    [sym_decimal_integer_literal] = ACTIONS(339),
    [sym_hex_integer_literal] = ACTIONS(339),
    [sym_octal_integer_literal] = ACTIONS(337),
    [sym_binary_integer_literal] = ACTIONS(337),
    [sym_decimal_floating_point_literal] = ACTIONS(337),
    [sym_hex_floating_point_literal] = ACTIONS(339),
    [sym_true] = ACTIONS(339),
    [sym_false] = ACTIONS(339),
    [sym_character_literal] = ACTIONS(337),
    [anon_sym_DQUOTE] = ACTIONS(339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(337),
    [sym_null_literal] = ACTIONS(339),
    [anon_sym_LPAREN] = ACTIONS(337),
    [anon_sym_PLUS] = ACTIONS(339),
    [anon_sym_DASH] = ACTIONS(339),
    [anon_sym_final] = ACTIONS(339),
    [anon_sym_BANG] = ACTIONS(337),
    [anon_sym_TILDE] = ACTIONS(337),
    [anon_sym_PLUS_PLUS] = ACTIONS(337),
    [anon_sym_DASH_DASH] = ACTIONS(337),
    [anon_sym_new] = ACTIONS(339),
    [anon_sym_class] = ACTIONS(339),
    [anon_sym_switch] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(337),
    [anon_sym_RBRACE] = ACTIONS(337),
    [anon_sym_case] = ACTIONS(339),
    [anon_sym_default] = ACTIONS(339),
    [anon_sym_SEMI] = ACTIONS(337),
    [anon_sym_assert] = ACTIONS(339),
    [anon_sym_do] = ACTIONS(339),
    [anon_sym_while] = ACTIONS(339),
    [anon_sym_break] = ACTIONS(339),
    [anon_sym_continue] = ACTIONS(339),
    [anon_sym_return] = ACTIONS(339),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_synchronized] = ACTIONS(339),
    [anon_sym_throw] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(339),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_else] = ACTIONS(339),
    [anon_sym_for] = ACTIONS(339),
    [anon_sym_AT] = ACTIONS(339),
    [anon_sym_open] = ACTIONS(339),
    [anon_sym_module] = ACTIONS(339),
    [anon_sym_static] = ACTIONS(339),
    [anon_sym_package] = ACTIONS(339),
    [anon_sym_import] = ACTIONS(339),
    [anon_sym_enum] = ACTIONS(339),
    [anon_sym_public] = ACTIONS(339),
    [anon_sym_protected] = ACTIONS(339),
    [anon_sym_private] = ACTIONS(339),
    [anon_sym_abstract] = ACTIONS(339),
    [anon_sym_strictfp] = ACTIONS(339),
    [anon_sym_native] = ACTIONS(339),
    [anon_sym_transient] = ACTIONS(339),
    [anon_sym_volatile] = ACTIONS(339),
    [anon_sym_sealed] = ACTIONS(339),
    [anon_sym_non_DASHsealed] = ACTIONS(337),
    [anon_sym_record] = ACTIONS(339),
    [anon_sym_ATinterface] = ACTIONS(337),
    [anon_sym_interface] = ACTIONS(339),
    [anon_sym_byte] = ACTIONS(339),
    [anon_sym_short] = ACTIONS(339),
    [anon_sym_int] = ACTIONS(339),
    [anon_sym_long] = ACTIONS(339),
    [anon_sym_char] = ACTIONS(339),
    [anon_sym_float] = ACTIONS(339),
    [anon_sym_double] = ACTIONS(339),
    [sym_boolean_type] = ACTIONS(339),
    [sym_void_type] = ACTIONS(339),
    [sym_this] = ACTIONS(339),
    [sym_super] = ACTIONS(339),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [292] = {
    [ts_builtin_sym_end] = ACTIONS(806),
    [sym_identifier] = ACTIONS(808),
    [sym_decimal_integer_literal] = ACTIONS(808),
    [sym_hex_integer_literal] = ACTIONS(808),
    [sym_octal_integer_literal] = ACTIONS(806),
    [sym_binary_integer_literal] = ACTIONS(806),
    [sym_decimal_floating_point_literal] = ACTIONS(806),
    [sym_hex_floating_point_literal] = ACTIONS(808),
    [sym_true] = ACTIONS(808),
    [sym_false] = ACTIONS(808),
    [sym_character_literal] = ACTIONS(806),
    [anon_sym_DQUOTE] = ACTIONS(808),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(806),
    [sym_null_literal] = ACTIONS(808),
    [anon_sym_LPAREN] = ACTIONS(806),
    [anon_sym_PLUS] = ACTIONS(808),
    [anon_sym_DASH] = ACTIONS(808),
    [anon_sym_final] = ACTIONS(808),
    [anon_sym_BANG] = ACTIONS(806),
    [anon_sym_TILDE] = ACTIONS(806),
    [anon_sym_PLUS_PLUS] = ACTIONS(806),
    [anon_sym_DASH_DASH] = ACTIONS(806),
    [anon_sym_new] = ACTIONS(808),
    [anon_sym_class] = ACTIONS(808),
    [anon_sym_switch] = ACTIONS(808),
    [anon_sym_LBRACE] = ACTIONS(806),
    [anon_sym_RBRACE] = ACTIONS(806),
    [anon_sym_case] = ACTIONS(808),
    [anon_sym_default] = ACTIONS(808),
    [anon_sym_SEMI] = ACTIONS(806),
    [anon_sym_assert] = ACTIONS(808),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_while] = ACTIONS(808),
    [anon_sym_break] = ACTIONS(808),
    [anon_sym_continue] = ACTIONS(808),
    [anon_sym_return] = ACTIONS(808),
    [anon_sym_yield] = ACTIONS(808),
    [anon_sym_synchronized] = ACTIONS(808),
    [anon_sym_throw] = ACTIONS(808),
    [anon_sym_try] = ACTIONS(808),
    [anon_sym_if] = ACTIONS(808),
    [anon_sym_else] = ACTIONS(808),
    [anon_sym_for] = ACTIONS(808),
    [anon_sym_AT] = ACTIONS(808),
    [anon_sym_open] = ACTIONS(808),
    [anon_sym_module] = ACTIONS(808),
    [anon_sym_static] = ACTIONS(808),
    [anon_sym_package] = ACTIONS(808),
    [anon_sym_import] = ACTIONS(808),
    [anon_sym_enum] = ACTIONS(808),
    [anon_sym_public] = ACTIONS(808),
    [anon_sym_protected] = ACTIONS(808),
    [anon_sym_private] = ACTIONS(808),
    [anon_sym_abstract] = ACTIONS(808),
    [anon_sym_strictfp] = ACTIONS(808),
    [anon_sym_native] = ACTIONS(808),
    [anon_sym_transient] = ACTIONS(808),
    [anon_sym_volatile] = ACTIONS(808),
    [anon_sym_sealed] = ACTIONS(808),
    [anon_sym_non_DASHsealed] = ACTIONS(806),
    [anon_sym_record] = ACTIONS(808),
    [anon_sym_ATinterface] = ACTIONS(806),
    [anon_sym_interface] = ACTIONS(808),
    [anon_sym_byte] = ACTIONS(808),
    [anon_sym_short] = ACTIONS(808),
    [anon_sym_int] = ACTIONS(808),
    [anon_sym_long] = ACTIONS(808),
    [anon_sym_char] = ACTIONS(808),
    [anon_sym_float] = ACTIONS(808),
    [anon_sym_double] = ACTIONS(808),
    [sym_boolean_type] = ACTIONS(808),
    [sym_void_type] = ACTIONS(808),
    [sym_this] = ACTIONS(808),
    [sym_super] = ACTIONS(808),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [293] = {
    [ts_builtin_sym_end] = ACTIONS(810),
    [sym_identifier] = ACTIONS(812),
    [sym_decimal_integer_literal] = ACTIONS(812),
    [sym_hex_integer_literal] = ACTIONS(812),
    [sym_octal_integer_literal] = ACTIONS(810),
    [sym_binary_integer_literal] = ACTIONS(810),
    [sym_decimal_floating_point_literal] = ACTIONS(810),
    [sym_hex_floating_point_literal] = ACTIONS(812),
    [sym_true] = ACTIONS(812),
    [sym_false] = ACTIONS(812),
    [sym_character_literal] = ACTIONS(810),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(810),
    [sym_null_literal] = ACTIONS(812),
    [anon_sym_LPAREN] = ACTIONS(810),
    [anon_sym_PLUS] = ACTIONS(812),
    [anon_sym_DASH] = ACTIONS(812),
    [anon_sym_final] = ACTIONS(812),
    [anon_sym_BANG] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(810),
    [anon_sym_DASH_DASH] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_class] = ACTIONS(812),
    [anon_sym_switch] = ACTIONS(812),
    [anon_sym_LBRACE] = ACTIONS(810),
    [anon_sym_RBRACE] = ACTIONS(810),
    [anon_sym_case] = ACTIONS(812),
    [anon_sym_default] = ACTIONS(812),
    [anon_sym_SEMI] = ACTIONS(810),
    [anon_sym_assert] = ACTIONS(812),
    [anon_sym_do] = ACTIONS(812),
    [anon_sym_while] = ACTIONS(812),
    [anon_sym_break] = ACTIONS(812),
    [anon_sym_continue] = ACTIONS(812),
    [anon_sym_return] = ACTIONS(812),
    [anon_sym_yield] = ACTIONS(812),
    [anon_sym_synchronized] = ACTIONS(812),
    [anon_sym_throw] = ACTIONS(812),
    [anon_sym_try] = ACTIONS(812),
    [anon_sym_if] = ACTIONS(812),
    [anon_sym_else] = ACTIONS(812),
    [anon_sym_for] = ACTIONS(812),
    [anon_sym_AT] = ACTIONS(812),
    [anon_sym_open] = ACTIONS(812),
    [anon_sym_module] = ACTIONS(812),
    [anon_sym_static] = ACTIONS(812),
    [anon_sym_package] = ACTIONS(812),
    [anon_sym_import] = ACTIONS(812),
    [anon_sym_enum] = ACTIONS(812),
    [anon_sym_public] = ACTIONS(812),
    [anon_sym_protected] = ACTIONS(812),
    [anon_sym_private] = ACTIONS(812),
    [anon_sym_abstract] = ACTIONS(812),
    [anon_sym_strictfp] = ACTIONS(812),
    [anon_sym_native] = ACTIONS(812),
    [anon_sym_transient] = ACTIONS(812),
    [anon_sym_volatile] = ACTIONS(812),
    [anon_sym_sealed] = ACTIONS(812),
    [anon_sym_non_DASHsealed] = ACTIONS(810),
    [anon_sym_record] = ACTIONS(812),
    [anon_sym_ATinterface] = ACTIONS(810),
    [anon_sym_interface] = ACTIONS(812),
    [anon_sym_byte] = ACTIONS(812),
    [anon_sym_short] = ACTIONS(812),
    [anon_sym_int] = ACTIONS(812),
    [anon_sym_long] = ACTIONS(812),
    [anon_sym_char] = ACTIONS(812),
    [anon_sym_float] = ACTIONS(812),
    [anon_sym_double] = ACTIONS(812),
    [sym_boolean_type] = ACTIONS(812),
    [sym_void_type] = ACTIONS(812),
    [sym_this] = ACTIONS(812),
    [sym_super] = ACTIONS(812),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [294] = {
    [ts_builtin_sym_end] = ACTIONS(814),
    [sym_identifier] = ACTIONS(816),
    [sym_decimal_integer_literal] = ACTIONS(816),
    [sym_hex_integer_literal] = ACTIONS(816),
    [sym_octal_integer_literal] = ACTIONS(814),
    [sym_binary_integer_literal] = ACTIONS(814),
    [sym_decimal_floating_point_literal] = ACTIONS(814),
    [sym_hex_floating_point_literal] = ACTIONS(816),
    [sym_true] = ACTIONS(816),
    [sym_false] = ACTIONS(816),
    [sym_character_literal] = ACTIONS(814),
    [anon_sym_DQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(814),
    [sym_null_literal] = ACTIONS(816),
    [anon_sym_LPAREN] = ACTIONS(814),
    [anon_sym_PLUS] = ACTIONS(816),
    [anon_sym_DASH] = ACTIONS(816),
    [anon_sym_final] = ACTIONS(816),
    [anon_sym_BANG] = ACTIONS(814),
    [anon_sym_TILDE] = ACTIONS(814),
    [anon_sym_PLUS_PLUS] = ACTIONS(814),
    [anon_sym_DASH_DASH] = ACTIONS(814),
    [anon_sym_new] = ACTIONS(816),
    [anon_sym_class] = ACTIONS(816),
    [anon_sym_switch] = ACTIONS(816),
    [anon_sym_LBRACE] = ACTIONS(814),
    [anon_sym_RBRACE] = ACTIONS(814),
    [anon_sym_case] = ACTIONS(816),
    [anon_sym_default] = ACTIONS(816),
    [anon_sym_SEMI] = ACTIONS(814),
    [anon_sym_assert] = ACTIONS(816),
    [anon_sym_do] = ACTIONS(816),
    [anon_sym_while] = ACTIONS(816),
    [anon_sym_break] = ACTIONS(816),
    [anon_sym_continue] = ACTIONS(816),
    [anon_sym_return] = ACTIONS(816),
    [anon_sym_yield] = ACTIONS(816),
    [anon_sym_synchronized] = ACTIONS(816),
    [anon_sym_throw] = ACTIONS(816),
    [anon_sym_try] = ACTIONS(816),
    [anon_sym_if] = ACTIONS(816),
    [anon_sym_else] = ACTIONS(816),
    [anon_sym_for] = ACTIONS(816),
    [anon_sym_AT] = ACTIONS(816),
    [anon_sym_open] = ACTIONS(816),
    [anon_sym_module] = ACTIONS(816),
    [anon_sym_static] = ACTIONS(816),
    [anon_sym_package] = ACTIONS(816),
    [anon_sym_import] = ACTIONS(816),
    [anon_sym_enum] = ACTIONS(816),
    [anon_sym_public] = ACTIONS(816),
    [anon_sym_protected] = ACTIONS(816),
    [anon_sym_private] = ACTIONS(816),
    [anon_sym_abstract] = ACTIONS(816),
    [anon_sym_strictfp] = ACTIONS(816),
    [anon_sym_native] = ACTIONS(816),
    [anon_sym_transient] = ACTIONS(816),
    [anon_sym_volatile] = ACTIONS(816),
    [anon_sym_sealed] = ACTIONS(816),
    [anon_sym_non_DASHsealed] = ACTIONS(814),
    [anon_sym_record] = ACTIONS(816),
    [anon_sym_ATinterface] = ACTIONS(814),
    [anon_sym_interface] = ACTIONS(816),
    [anon_sym_byte] = ACTIONS(816),
    [anon_sym_short] = ACTIONS(816),
    [anon_sym_int] = ACTIONS(816),
    [anon_sym_long] = ACTIONS(816),
    [anon_sym_char] = ACTIONS(816),
    [anon_sym_float] = ACTIONS(816),
    [anon_sym_double] = ACTIONS(816),
    [sym_boolean_type] = ACTIONS(816),
    [sym_void_type] = ACTIONS(816),
    [sym_this] = ACTIONS(816),
    [sym_super] = ACTIONS(816),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [295] = {
    [ts_builtin_sym_end] = ACTIONS(818),
    [sym_identifier] = ACTIONS(820),
    [sym_decimal_integer_literal] = ACTIONS(820),
    [sym_hex_integer_literal] = ACTIONS(820),
    [sym_octal_integer_literal] = ACTIONS(818),
    [sym_binary_integer_literal] = ACTIONS(818),
    [sym_decimal_floating_point_literal] = ACTIONS(818),
    [sym_hex_floating_point_literal] = ACTIONS(820),
    [sym_true] = ACTIONS(820),
    [sym_false] = ACTIONS(820),
    [sym_character_literal] = ACTIONS(818),
    [anon_sym_DQUOTE] = ACTIONS(820),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [sym_null_literal] = ACTIONS(820),
    [anon_sym_LPAREN] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(820),
    [anon_sym_DASH] = ACTIONS(820),
    [anon_sym_final] = ACTIONS(820),
    [anon_sym_BANG] = ACTIONS(818),
    [anon_sym_TILDE] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(818),
    [anon_sym_DASH_DASH] = ACTIONS(818),
    [anon_sym_new] = ACTIONS(820),
    [anon_sym_class] = ACTIONS(820),
    [anon_sym_switch] = ACTIONS(820),
    [anon_sym_LBRACE] = ACTIONS(818),
    [anon_sym_RBRACE] = ACTIONS(818),
    [anon_sym_case] = ACTIONS(820),
    [anon_sym_default] = ACTIONS(820),
    [anon_sym_SEMI] = ACTIONS(818),
    [anon_sym_assert] = ACTIONS(820),
    [anon_sym_do] = ACTIONS(820),
    [anon_sym_while] = ACTIONS(820),
    [anon_sym_break] = ACTIONS(820),
    [anon_sym_continue] = ACTIONS(820),
    [anon_sym_return] = ACTIONS(820),
    [anon_sym_yield] = ACTIONS(820),
    [anon_sym_synchronized] = ACTIONS(820),
    [anon_sym_throw] = ACTIONS(820),
    [anon_sym_try] = ACTIONS(820),
    [anon_sym_if] = ACTIONS(820),
    [anon_sym_else] = ACTIONS(820),
    [anon_sym_for] = ACTIONS(820),
    [anon_sym_AT] = ACTIONS(820),
    [anon_sym_open] = ACTIONS(820),
    [anon_sym_module] = ACTIONS(820),
    [anon_sym_static] = ACTIONS(820),
    [anon_sym_package] = ACTIONS(820),
    [anon_sym_import] = ACTIONS(820),
    [anon_sym_enum] = ACTIONS(820),
    [anon_sym_public] = ACTIONS(820),
    [anon_sym_protected] = ACTIONS(820),
    [anon_sym_private] = ACTIONS(820),
    [anon_sym_abstract] = ACTIONS(820),
    [anon_sym_strictfp] = ACTIONS(820),
    [anon_sym_native] = ACTIONS(820),
    [anon_sym_transient] = ACTIONS(820),
    [anon_sym_volatile] = ACTIONS(820),
    [anon_sym_sealed] = ACTIONS(820),
    [anon_sym_non_DASHsealed] = ACTIONS(818),
    [anon_sym_record] = ACTIONS(820),
    [anon_sym_ATinterface] = ACTIONS(818),
    [anon_sym_interface] = ACTIONS(820),
    [anon_sym_byte] = ACTIONS(820),
    [anon_sym_short] = ACTIONS(820),
    [anon_sym_int] = ACTIONS(820),
    [anon_sym_long] = ACTIONS(820),
    [anon_sym_char] = ACTIONS(820),
    [anon_sym_float] = ACTIONS(820),
    [anon_sym_double] = ACTIONS(820),
    [sym_boolean_type] = ACTIONS(820),
    [sym_void_type] = ACTIONS(820),
    [sym_this] = ACTIONS(820),
    [sym_super] = ACTIONS(820),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [296] = {
    [ts_builtin_sym_end] = ACTIONS(822),
    [sym_identifier] = ACTIONS(824),
    [sym_decimal_integer_literal] = ACTIONS(824),
    [sym_hex_integer_literal] = ACTIONS(824),
    [sym_octal_integer_literal] = ACTIONS(822),
    [sym_binary_integer_literal] = ACTIONS(822),
    [sym_decimal_floating_point_literal] = ACTIONS(822),
    [sym_hex_floating_point_literal] = ACTIONS(824),
    [sym_true] = ACTIONS(824),
    [sym_false] = ACTIONS(824),
    [sym_character_literal] = ACTIONS(822),
    [anon_sym_DQUOTE] = ACTIONS(824),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(822),
    [sym_null_literal] = ACTIONS(824),
    [anon_sym_LPAREN] = ACTIONS(822),
    [anon_sym_PLUS] = ACTIONS(824),
    [anon_sym_DASH] = ACTIONS(824),
    [anon_sym_final] = ACTIONS(824),
    [anon_sym_BANG] = ACTIONS(822),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_PLUS_PLUS] = ACTIONS(822),
    [anon_sym_DASH_DASH] = ACTIONS(822),
    [anon_sym_new] = ACTIONS(824),
    [anon_sym_class] = ACTIONS(824),
    [anon_sym_switch] = ACTIONS(824),
    [anon_sym_LBRACE] = ACTIONS(822),
    [anon_sym_RBRACE] = ACTIONS(822),
    [anon_sym_case] = ACTIONS(824),
    [anon_sym_default] = ACTIONS(824),
    [anon_sym_SEMI] = ACTIONS(822),
    [anon_sym_assert] = ACTIONS(824),
    [anon_sym_do] = ACTIONS(824),
    [anon_sym_while] = ACTIONS(824),
    [anon_sym_break] = ACTIONS(824),
    [anon_sym_continue] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(824),
    [anon_sym_yield] = ACTIONS(824),
    [anon_sym_synchronized] = ACTIONS(824),
    [anon_sym_throw] = ACTIONS(824),
    [anon_sym_try] = ACTIONS(824),
    [anon_sym_if] = ACTIONS(824),
    [anon_sym_else] = ACTIONS(824),
    [anon_sym_for] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(824),
    [anon_sym_open] = ACTIONS(824),
    [anon_sym_module] = ACTIONS(824),
    [anon_sym_static] = ACTIONS(824),
    [anon_sym_package] = ACTIONS(824),
    [anon_sym_import] = ACTIONS(824),
    [anon_sym_enum] = ACTIONS(824),
    [anon_sym_public] = ACTIONS(824),
    [anon_sym_protected] = ACTIONS(824),
    [anon_sym_private] = ACTIONS(824),
    [anon_sym_abstract] = ACTIONS(824),
    [anon_sym_strictfp] = ACTIONS(824),
    [anon_sym_native] = ACTIONS(824),
    [anon_sym_transient] = ACTIONS(824),
    [anon_sym_volatile] = ACTIONS(824),
    [anon_sym_sealed] = ACTIONS(824),
    [anon_sym_non_DASHsealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(824),
    [anon_sym_ATinterface] = ACTIONS(822),
    [anon_sym_interface] = ACTIONS(824),
    [anon_sym_byte] = ACTIONS(824),
    [anon_sym_short] = ACTIONS(824),
    [anon_sym_int] = ACTIONS(824),
    [anon_sym_long] = ACTIONS(824),
    [anon_sym_char] = ACTIONS(824),
    [anon_sym_float] = ACTIONS(824),
    [anon_sym_double] = ACTIONS(824),
    [sym_boolean_type] = ACTIONS(824),
    [sym_void_type] = ACTIONS(824),
    [sym_this] = ACTIONS(824),
    [sym_super] = ACTIONS(824),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [297] = {
    [ts_builtin_sym_end] = ACTIONS(826),
    [sym_identifier] = ACTIONS(828),
    [sym_decimal_integer_literal] = ACTIONS(828),
    [sym_hex_integer_literal] = ACTIONS(828),
    [sym_octal_integer_literal] = ACTIONS(826),
    [sym_binary_integer_literal] = ACTIONS(826),
    [sym_decimal_floating_point_literal] = ACTIONS(826),
    [sym_hex_floating_point_literal] = ACTIONS(828),
    [sym_true] = ACTIONS(828),
    [sym_false] = ACTIONS(828),
    [sym_character_literal] = ACTIONS(826),
    [anon_sym_DQUOTE] = ACTIONS(828),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(826),
    [sym_null_literal] = ACTIONS(828),
    [anon_sym_LPAREN] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(828),
    [anon_sym_DASH] = ACTIONS(828),
    [anon_sym_final] = ACTIONS(828),
    [anon_sym_BANG] = ACTIONS(826),
    [anon_sym_TILDE] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(826),
    [anon_sym_DASH_DASH] = ACTIONS(826),
    [anon_sym_new] = ACTIONS(828),
    [anon_sym_class] = ACTIONS(828),
    [anon_sym_switch] = ACTIONS(828),
    [anon_sym_LBRACE] = ACTIONS(826),
    [anon_sym_RBRACE] = ACTIONS(826),
    [anon_sym_case] = ACTIONS(828),
    [anon_sym_default] = ACTIONS(828),
    [anon_sym_SEMI] = ACTIONS(826),
    [anon_sym_assert] = ACTIONS(828),
    [anon_sym_do] = ACTIONS(828),
    [anon_sym_while] = ACTIONS(828),
    [anon_sym_break] = ACTIONS(828),
    [anon_sym_continue] = ACTIONS(828),
    [anon_sym_return] = ACTIONS(828),
    [anon_sym_yield] = ACTIONS(828),
    [anon_sym_synchronized] = ACTIONS(828),
    [anon_sym_throw] = ACTIONS(828),
    [anon_sym_try] = ACTIONS(828),
    [anon_sym_if] = ACTIONS(828),
    [anon_sym_else] = ACTIONS(828),
    [anon_sym_for] = ACTIONS(828),
    [anon_sym_AT] = ACTIONS(828),
    [anon_sym_open] = ACTIONS(828),
    [anon_sym_module] = ACTIONS(828),
    [anon_sym_static] = ACTIONS(828),
    [anon_sym_package] = ACTIONS(828),
    [anon_sym_import] = ACTIONS(828),
    [anon_sym_enum] = ACTIONS(828),
    [anon_sym_public] = ACTIONS(828),
    [anon_sym_protected] = ACTIONS(828),
    [anon_sym_private] = ACTIONS(828),
    [anon_sym_abstract] = ACTIONS(828),
    [anon_sym_strictfp] = ACTIONS(828),
    [anon_sym_native] = ACTIONS(828),
    [anon_sym_transient] = ACTIONS(828),
    [anon_sym_volatile] = ACTIONS(828),
    [anon_sym_sealed] = ACTIONS(828),
    [anon_sym_non_DASHsealed] = ACTIONS(826),
    [anon_sym_record] = ACTIONS(828),
    [anon_sym_ATinterface] = ACTIONS(826),
    [anon_sym_interface] = ACTIONS(828),
    [anon_sym_byte] = ACTIONS(828),
    [anon_sym_short] = ACTIONS(828),
    [anon_sym_int] = ACTIONS(828),
    [anon_sym_long] = ACTIONS(828),
    [anon_sym_char] = ACTIONS(828),
    [anon_sym_float] = ACTIONS(828),
    [anon_sym_double] = ACTIONS(828),
    [sym_boolean_type] = ACTIONS(828),
    [sym_void_type] = ACTIONS(828),
    [sym_this] = ACTIONS(828),
    [sym_super] = ACTIONS(828),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [298] = {
    [ts_builtin_sym_end] = ACTIONS(830),
    [sym_identifier] = ACTIONS(832),
    [sym_decimal_integer_literal] = ACTIONS(832),
    [sym_hex_integer_literal] = ACTIONS(832),
    [sym_octal_integer_literal] = ACTIONS(830),
    [sym_binary_integer_literal] = ACTIONS(830),
    [sym_decimal_floating_point_literal] = ACTIONS(830),
    [sym_hex_floating_point_literal] = ACTIONS(832),
    [sym_true] = ACTIONS(832),
    [sym_false] = ACTIONS(832),
    [sym_character_literal] = ACTIONS(830),
    [anon_sym_DQUOTE] = ACTIONS(832),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(830),
    [sym_null_literal] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(830),
    [anon_sym_PLUS] = ACTIONS(832),
    [anon_sym_DASH] = ACTIONS(832),
    [anon_sym_final] = ACTIONS(832),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(830),
    [anon_sym_PLUS_PLUS] = ACTIONS(830),
    [anon_sym_DASH_DASH] = ACTIONS(830),
    [anon_sym_new] = ACTIONS(832),
    [anon_sym_class] = ACTIONS(832),
    [anon_sym_switch] = ACTIONS(832),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(830),
    [anon_sym_case] = ACTIONS(832),
    [anon_sym_default] = ACTIONS(832),
    [anon_sym_SEMI] = ACTIONS(830),
    [anon_sym_assert] = ACTIONS(832),
    [anon_sym_do] = ACTIONS(832),
    [anon_sym_while] = ACTIONS(832),
    [anon_sym_break] = ACTIONS(832),
    [anon_sym_continue] = ACTIONS(832),
    [anon_sym_return] = ACTIONS(832),
    [anon_sym_yield] = ACTIONS(832),
    [anon_sym_synchronized] = ACTIONS(832),
    [anon_sym_throw] = ACTIONS(832),
    [anon_sym_try] = ACTIONS(832),
    [anon_sym_if] = ACTIONS(832),
    [anon_sym_else] = ACTIONS(832),
    [anon_sym_for] = ACTIONS(832),
    [anon_sym_AT] = ACTIONS(832),
    [anon_sym_open] = ACTIONS(832),
    [anon_sym_module] = ACTIONS(832),
    [anon_sym_static] = ACTIONS(832),
    [anon_sym_package] = ACTIONS(832),
    [anon_sym_import] = ACTIONS(832),
    [anon_sym_enum] = ACTIONS(832),
    [anon_sym_public] = ACTIONS(832),
    [anon_sym_protected] = ACTIONS(832),
    [anon_sym_private] = ACTIONS(832),
    [anon_sym_abstract] = ACTIONS(832),
    [anon_sym_strictfp] = ACTIONS(832),
    [anon_sym_native] = ACTIONS(832),
    [anon_sym_transient] = ACTIONS(832),
    [anon_sym_volatile] = ACTIONS(832),
    [anon_sym_sealed] = ACTIONS(832),
    [anon_sym_non_DASHsealed] = ACTIONS(830),
    [anon_sym_record] = ACTIONS(832),
    [anon_sym_ATinterface] = ACTIONS(830),
    [anon_sym_interface] = ACTIONS(832),
    [anon_sym_byte] = ACTIONS(832),
    [anon_sym_short] = ACTIONS(832),
    [anon_sym_int] = ACTIONS(832),
    [anon_sym_long] = ACTIONS(832),
    [anon_sym_char] = ACTIONS(832),
    [anon_sym_float] = ACTIONS(832),
    [anon_sym_double] = ACTIONS(832),
    [sym_boolean_type] = ACTIONS(832),
    [sym_void_type] = ACTIONS(832),
    [sym_this] = ACTIONS(832),
    [sym_super] = ACTIONS(832),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [299] = {
    [ts_builtin_sym_end] = ACTIONS(834),
    [sym_identifier] = ACTIONS(836),
    [sym_decimal_integer_literal] = ACTIONS(836),
    [sym_hex_integer_literal] = ACTIONS(836),
    [sym_octal_integer_literal] = ACTIONS(834),
    [sym_binary_integer_literal] = ACTIONS(834),
    [sym_decimal_floating_point_literal] = ACTIONS(834),
    [sym_hex_floating_point_literal] = ACTIONS(836),
    [sym_true] = ACTIONS(836),
    [sym_false] = ACTIONS(836),
    [sym_character_literal] = ACTIONS(834),
    [anon_sym_DQUOTE] = ACTIONS(836),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(834),
    [sym_null_literal] = ACTIONS(836),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_PLUS] = ACTIONS(836),
    [anon_sym_DASH] = ACTIONS(836),
    [anon_sym_final] = ACTIONS(836),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_TILDE] = ACTIONS(834),
    [anon_sym_PLUS_PLUS] = ACTIONS(834),
    [anon_sym_DASH_DASH] = ACTIONS(834),
    [anon_sym_new] = ACTIONS(836),
    [anon_sym_class] = ACTIONS(836),
    [anon_sym_switch] = ACTIONS(836),
    [anon_sym_LBRACE] = ACTIONS(834),
    [anon_sym_RBRACE] = ACTIONS(834),
    [anon_sym_case] = ACTIONS(836),
    [anon_sym_default] = ACTIONS(836),
    [anon_sym_SEMI] = ACTIONS(834),
    [anon_sym_assert] = ACTIONS(836),
    [anon_sym_do] = ACTIONS(836),
    [anon_sym_while] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_return] = ACTIONS(836),
    [anon_sym_yield] = ACTIONS(836),
    [anon_sym_synchronized] = ACTIONS(836),
    [anon_sym_throw] = ACTIONS(836),
    [anon_sym_try] = ACTIONS(836),
    [anon_sym_if] = ACTIONS(836),
    [anon_sym_else] = ACTIONS(836),
    [anon_sym_for] = ACTIONS(836),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_open] = ACTIONS(836),
    [anon_sym_module] = ACTIONS(836),
    [anon_sym_static] = ACTIONS(836),
    [anon_sym_package] = ACTIONS(836),
    [anon_sym_import] = ACTIONS(836),
    [anon_sym_enum] = ACTIONS(836),
    [anon_sym_public] = ACTIONS(836),
    [anon_sym_protected] = ACTIONS(836),
    [anon_sym_private] = ACTIONS(836),
    [anon_sym_abstract] = ACTIONS(836),
    [anon_sym_strictfp] = ACTIONS(836),
    [anon_sym_native] = ACTIONS(836),
    [anon_sym_transient] = ACTIONS(836),
    [anon_sym_volatile] = ACTIONS(836),
    [anon_sym_sealed] = ACTIONS(836),
    [anon_sym_non_DASHsealed] = ACTIONS(834),
    [anon_sym_record] = ACTIONS(836),
    [anon_sym_ATinterface] = ACTIONS(834),
    [anon_sym_interface] = ACTIONS(836),
    [anon_sym_byte] = ACTIONS(836),
    [anon_sym_short] = ACTIONS(836),
    [anon_sym_int] = ACTIONS(836),
    [anon_sym_long] = ACTIONS(836),
    [anon_sym_char] = ACTIONS(836),
    [anon_sym_float] = ACTIONS(836),
    [anon_sym_double] = ACTIONS(836),
    [sym_boolean_type] = ACTIONS(836),
    [sym_void_type] = ACTIONS(836),
    [sym_this] = ACTIONS(836),
    [sym_super] = ACTIONS(836),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [300] = {
    [ts_builtin_sym_end] = ACTIONS(838),
    [sym_identifier] = ACTIONS(840),
    [sym_decimal_integer_literal] = ACTIONS(840),
    [sym_hex_integer_literal] = ACTIONS(840),
    [sym_octal_integer_literal] = ACTIONS(838),
    [sym_binary_integer_literal] = ACTIONS(838),
    [sym_decimal_floating_point_literal] = ACTIONS(838),
    [sym_hex_floating_point_literal] = ACTIONS(840),
    [sym_true] = ACTIONS(840),
    [sym_false] = ACTIONS(840),
    [sym_character_literal] = ACTIONS(838),
    [anon_sym_DQUOTE] = ACTIONS(840),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(838),
    [sym_null_literal] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(838),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(840),
    [anon_sym_final] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_PLUS_PLUS] = ACTIONS(838),
    [anon_sym_DASH_DASH] = ACTIONS(838),
    [anon_sym_new] = ACTIONS(840),
    [anon_sym_class] = ACTIONS(840),
    [anon_sym_switch] = ACTIONS(840),
    [anon_sym_LBRACE] = ACTIONS(838),
    [anon_sym_RBRACE] = ACTIONS(838),
    [anon_sym_case] = ACTIONS(840),
    [anon_sym_default] = ACTIONS(840),
    [anon_sym_SEMI] = ACTIONS(838),
    [anon_sym_assert] = ACTIONS(840),
    [anon_sym_do] = ACTIONS(840),
    [anon_sym_while] = ACTIONS(840),
    [anon_sym_break] = ACTIONS(840),
    [anon_sym_continue] = ACTIONS(840),
    [anon_sym_return] = ACTIONS(840),
    [anon_sym_yield] = ACTIONS(840),
    [anon_sym_synchronized] = ACTIONS(840),
    [anon_sym_throw] = ACTIONS(840),
    [anon_sym_try] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(840),
    [anon_sym_else] = ACTIONS(840),
    [anon_sym_for] = ACTIONS(840),
    [anon_sym_AT] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_module] = ACTIONS(840),
    [anon_sym_static] = ACTIONS(840),
    [anon_sym_package] = ACTIONS(840),
    [anon_sym_import] = ACTIONS(840),
    [anon_sym_enum] = ACTIONS(840),
    [anon_sym_public] = ACTIONS(840),
    [anon_sym_protected] = ACTIONS(840),
    [anon_sym_private] = ACTIONS(840),
    [anon_sym_abstract] = ACTIONS(840),
    [anon_sym_strictfp] = ACTIONS(840),
    [anon_sym_native] = ACTIONS(840),
    [anon_sym_transient] = ACTIONS(840),
    [anon_sym_volatile] = ACTIONS(840),
    [anon_sym_sealed] = ACTIONS(840),
    [anon_sym_non_DASHsealed] = ACTIONS(838),
    [anon_sym_record] = ACTIONS(840),
    [anon_sym_ATinterface] = ACTIONS(838),
    [anon_sym_interface] = ACTIONS(840),
    [anon_sym_byte] = ACTIONS(840),
    [anon_sym_short] = ACTIONS(840),
    [anon_sym_int] = ACTIONS(840),
    [anon_sym_long] = ACTIONS(840),
    [anon_sym_char] = ACTIONS(840),
    [anon_sym_float] = ACTIONS(840),
    [anon_sym_double] = ACTIONS(840),
    [sym_boolean_type] = ACTIONS(840),
    [sym_void_type] = ACTIONS(840),
    [sym_this] = ACTIONS(840),
    [sym_super] = ACTIONS(840),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [301] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_primary_expression] = STATE(1018),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(888),
    [sym_array_access] = STATE(481),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_resource] = STATE(1121),
    [sym__annotation] = STATE(608),
    [sym_marker_annotation] = STATE(608),
    [sym_annotation] = STATE(608),
    [sym_modifiers] = STATE(705),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(718),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [aux_sym_modifiers_repeat1] = STATE(533),
    [sym_identifier] = ACTIONS(842),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(844),
    [anon_sym_RPAREN] = ACTIONS(846),
    [anon_sym_final] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(848),
    [anon_sym_default] = ACTIONS(291),
    [anon_sym_synchronized] = ACTIONS(291),
    [anon_sym_AT] = ACTIONS(293),
    [anon_sym_open] = ACTIONS(850),
    [anon_sym_module] = ACTIONS(850),
    [anon_sym_static] = ACTIONS(291),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_protected] = ACTIONS(291),
    [anon_sym_private] = ACTIONS(291),
    [anon_sym_abstract] = ACTIONS(291),
    [anon_sym_strictfp] = ACTIONS(291),
    [anon_sym_native] = ACTIONS(291),
    [anon_sym_transient] = ACTIONS(291),
    [anon_sym_volatile] = ACTIONS(291),
    [anon_sym_sealed] = ACTIONS(291),
    [anon_sym_non_DASHsealed] = ACTIONS(297),
    [anon_sym_record] = ACTIONS(850),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [302] = {
    [ts_builtin_sym_end] = ACTIONS(852),
    [sym_identifier] = ACTIONS(854),
    [sym_decimal_integer_literal] = ACTIONS(854),
    [sym_hex_integer_literal] = ACTIONS(854),
    [sym_octal_integer_literal] = ACTIONS(852),
    [sym_binary_integer_literal] = ACTIONS(852),
    [sym_decimal_floating_point_literal] = ACTIONS(852),
    [sym_hex_floating_point_literal] = ACTIONS(854),
    [sym_true] = ACTIONS(854),
    [sym_false] = ACTIONS(854),
    [sym_character_literal] = ACTIONS(852),
    [anon_sym_DQUOTE] = ACTIONS(854),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(852),
    [sym_null_literal] = ACTIONS(854),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_final] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(852),
    [anon_sym_PLUS_PLUS] = ACTIONS(852),
    [anon_sym_DASH_DASH] = ACTIONS(852),
    [anon_sym_new] = ACTIONS(854),
    [anon_sym_class] = ACTIONS(854),
    [anon_sym_switch] = ACTIONS(854),
    [anon_sym_LBRACE] = ACTIONS(852),
    [anon_sym_RBRACE] = ACTIONS(852),
    [anon_sym_case] = ACTIONS(854),
    [anon_sym_default] = ACTIONS(854),
    [anon_sym_SEMI] = ACTIONS(852),
    [anon_sym_assert] = ACTIONS(854),
    [anon_sym_do] = ACTIONS(854),
    [anon_sym_while] = ACTIONS(854),
    [anon_sym_break] = ACTIONS(854),
    [anon_sym_continue] = ACTIONS(854),
    [anon_sym_return] = ACTIONS(854),
    [anon_sym_yield] = ACTIONS(854),
    [anon_sym_synchronized] = ACTIONS(854),
    [anon_sym_throw] = ACTIONS(854),
    [anon_sym_try] = ACTIONS(854),
    [anon_sym_if] = ACTIONS(854),
    [anon_sym_else] = ACTIONS(854),
    [anon_sym_for] = ACTIONS(854),
    [anon_sym_AT] = ACTIONS(854),
    [anon_sym_open] = ACTIONS(854),
    [anon_sym_module] = ACTIONS(854),
    [anon_sym_static] = ACTIONS(854),
    [anon_sym_package] = ACTIONS(854),
    [anon_sym_import] = ACTIONS(854),
    [anon_sym_enum] = ACTIONS(854),
    [anon_sym_public] = ACTIONS(854),
    [anon_sym_protected] = ACTIONS(854),
    [anon_sym_private] = ACTIONS(854),
    [anon_sym_abstract] = ACTIONS(854),
    [anon_sym_strictfp] = ACTIONS(854),
    [anon_sym_native] = ACTIONS(854),
    [anon_sym_transient] = ACTIONS(854),
    [anon_sym_volatile] = ACTIONS(854),
    [anon_sym_sealed] = ACTIONS(854),
    [anon_sym_non_DASHsealed] = ACTIONS(852),
    [anon_sym_record] = ACTIONS(854),
    [anon_sym_ATinterface] = ACTIONS(852),
    [anon_sym_interface] = ACTIONS(854),
    [anon_sym_byte] = ACTIONS(854),
    [anon_sym_short] = ACTIONS(854),
    [anon_sym_int] = ACTIONS(854),
    [anon_sym_long] = ACTIONS(854),
    [anon_sym_char] = ACTIONS(854),
    [anon_sym_float] = ACTIONS(854),
    [anon_sym_double] = ACTIONS(854),
    [sym_boolean_type] = ACTIONS(854),
    [sym_void_type] = ACTIONS(854),
    [sym_this] = ACTIONS(854),
    [sym_super] = ACTIONS(854),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [303] = {
    [ts_builtin_sym_end] = ACTIONS(856),
    [sym_identifier] = ACTIONS(858),
    [sym_decimal_integer_literal] = ACTIONS(858),
    [sym_hex_integer_literal] = ACTIONS(858),
    [sym_octal_integer_literal] = ACTIONS(856),
    [sym_binary_integer_literal] = ACTIONS(856),
    [sym_decimal_floating_point_literal] = ACTIONS(856),
    [sym_hex_floating_point_literal] = ACTIONS(858),
    [sym_true] = ACTIONS(858),
    [sym_false] = ACTIONS(858),
    [sym_character_literal] = ACTIONS(856),
    [anon_sym_DQUOTE] = ACTIONS(858),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(856),
    [sym_null_literal] = ACTIONS(858),
    [anon_sym_LPAREN] = ACTIONS(856),
    [anon_sym_PLUS] = ACTIONS(858),
    [anon_sym_DASH] = ACTIONS(858),
    [anon_sym_final] = ACTIONS(858),
    [anon_sym_BANG] = ACTIONS(856),
    [anon_sym_TILDE] = ACTIONS(856),
    [anon_sym_PLUS_PLUS] = ACTIONS(856),
    [anon_sym_DASH_DASH] = ACTIONS(856),
    [anon_sym_new] = ACTIONS(858),
    [anon_sym_class] = ACTIONS(858),
    [anon_sym_switch] = ACTIONS(858),
    [anon_sym_LBRACE] = ACTIONS(856),
    [anon_sym_RBRACE] = ACTIONS(856),
    [anon_sym_case] = ACTIONS(858),
    [anon_sym_default] = ACTIONS(858),
    [anon_sym_SEMI] = ACTIONS(856),
    [anon_sym_assert] = ACTIONS(858),
    [anon_sym_do] = ACTIONS(858),
    [anon_sym_while] = ACTIONS(858),
    [anon_sym_break] = ACTIONS(858),
    [anon_sym_continue] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(858),
    [anon_sym_yield] = ACTIONS(858),
    [anon_sym_synchronized] = ACTIONS(858),
    [anon_sym_throw] = ACTIONS(858),
    [anon_sym_try] = ACTIONS(858),
    [anon_sym_if] = ACTIONS(858),
    [anon_sym_else] = ACTIONS(858),
    [anon_sym_for] = ACTIONS(858),
    [anon_sym_AT] = ACTIONS(858),
    [anon_sym_open] = ACTIONS(858),
    [anon_sym_module] = ACTIONS(858),
    [anon_sym_static] = ACTIONS(858),
    [anon_sym_package] = ACTIONS(858),
    [anon_sym_import] = ACTIONS(858),
    [anon_sym_enum] = ACTIONS(858),
    [anon_sym_public] = ACTIONS(858),
    [anon_sym_protected] = ACTIONS(858),
    [anon_sym_private] = ACTIONS(858),
    [anon_sym_abstract] = ACTIONS(858),
    [anon_sym_strictfp] = ACTIONS(858),
    [anon_sym_native] = ACTIONS(858),
    [anon_sym_transient] = ACTIONS(858),
    [anon_sym_volatile] = ACTIONS(858),
    [anon_sym_sealed] = ACTIONS(858),
    [anon_sym_non_DASHsealed] = ACTIONS(856),
    [anon_sym_record] = ACTIONS(858),
    [anon_sym_ATinterface] = ACTIONS(856),
    [anon_sym_interface] = ACTIONS(858),
    [anon_sym_byte] = ACTIONS(858),
    [anon_sym_short] = ACTIONS(858),
    [anon_sym_int] = ACTIONS(858),
    [anon_sym_long] = ACTIONS(858),
    [anon_sym_char] = ACTIONS(858),
    [anon_sym_float] = ACTIONS(858),
    [anon_sym_double] = ACTIONS(858),
    [sym_boolean_type] = ACTIONS(858),
    [sym_void_type] = ACTIONS(858),
    [sym_this] = ACTIONS(858),
    [sym_super] = ACTIONS(858),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [304] = {
    [ts_builtin_sym_end] = ACTIONS(860),
    [sym_identifier] = ACTIONS(862),
    [sym_decimal_integer_literal] = ACTIONS(862),
    [sym_hex_integer_literal] = ACTIONS(862),
    [sym_octal_integer_literal] = ACTIONS(860),
    [sym_binary_integer_literal] = ACTIONS(860),
    [sym_decimal_floating_point_literal] = ACTIONS(860),
    [sym_hex_floating_point_literal] = ACTIONS(862),
    [sym_true] = ACTIONS(862),
    [sym_false] = ACTIONS(862),
    [sym_character_literal] = ACTIONS(860),
    [anon_sym_DQUOTE] = ACTIONS(862),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(860),
    [sym_null_literal] = ACTIONS(862),
    [anon_sym_LPAREN] = ACTIONS(860),
    [anon_sym_PLUS] = ACTIONS(862),
    [anon_sym_DASH] = ACTIONS(862),
    [anon_sym_final] = ACTIONS(862),
    [anon_sym_BANG] = ACTIONS(860),
    [anon_sym_TILDE] = ACTIONS(860),
    [anon_sym_PLUS_PLUS] = ACTIONS(860),
    [anon_sym_DASH_DASH] = ACTIONS(860),
    [anon_sym_new] = ACTIONS(862),
    [anon_sym_class] = ACTIONS(862),
    [anon_sym_switch] = ACTIONS(862),
    [anon_sym_LBRACE] = ACTIONS(860),
    [anon_sym_RBRACE] = ACTIONS(860),
    [anon_sym_case] = ACTIONS(862),
    [anon_sym_default] = ACTIONS(862),
    [anon_sym_SEMI] = ACTIONS(860),
    [anon_sym_assert] = ACTIONS(862),
    [anon_sym_do] = ACTIONS(862),
    [anon_sym_while] = ACTIONS(862),
    [anon_sym_break] = ACTIONS(862),
    [anon_sym_continue] = ACTIONS(862),
    [anon_sym_return] = ACTIONS(862),
    [anon_sym_yield] = ACTIONS(862),
    [anon_sym_synchronized] = ACTIONS(862),
    [anon_sym_throw] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(862),
    [anon_sym_if] = ACTIONS(862),
    [anon_sym_else] = ACTIONS(862),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_AT] = ACTIONS(862),
    [anon_sym_open] = ACTIONS(862),
    [anon_sym_module] = ACTIONS(862),
    [anon_sym_static] = ACTIONS(862),
    [anon_sym_package] = ACTIONS(862),
    [anon_sym_import] = ACTIONS(862),
    [anon_sym_enum] = ACTIONS(862),
    [anon_sym_public] = ACTIONS(862),
    [anon_sym_protected] = ACTIONS(862),
    [anon_sym_private] = ACTIONS(862),
    [anon_sym_abstract] = ACTIONS(862),
    [anon_sym_strictfp] = ACTIONS(862),
    [anon_sym_native] = ACTIONS(862),
    [anon_sym_transient] = ACTIONS(862),
    [anon_sym_volatile] = ACTIONS(862),
    [anon_sym_sealed] = ACTIONS(862),
    [anon_sym_non_DASHsealed] = ACTIONS(860),
    [anon_sym_record] = ACTIONS(862),
    [anon_sym_ATinterface] = ACTIONS(860),
    [anon_sym_interface] = ACTIONS(862),
    [anon_sym_byte] = ACTIONS(862),
    [anon_sym_short] = ACTIONS(862),
    [anon_sym_int] = ACTIONS(862),
    [anon_sym_long] = ACTIONS(862),
    [anon_sym_char] = ACTIONS(862),
    [anon_sym_float] = ACTIONS(862),
    [anon_sym_double] = ACTIONS(862),
    [sym_boolean_type] = ACTIONS(862),
    [sym_void_type] = ACTIONS(862),
    [sym_this] = ACTIONS(862),
    [sym_super] = ACTIONS(862),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [305] = {
    [ts_builtin_sym_end] = ACTIONS(864),
    [sym_identifier] = ACTIONS(866),
    [sym_decimal_integer_literal] = ACTIONS(866),
    [sym_hex_integer_literal] = ACTIONS(866),
    [sym_octal_integer_literal] = ACTIONS(864),
    [sym_binary_integer_literal] = ACTIONS(864),
    [sym_decimal_floating_point_literal] = ACTIONS(864),
    [sym_hex_floating_point_literal] = ACTIONS(866),
    [sym_true] = ACTIONS(866),
    [sym_false] = ACTIONS(866),
    [sym_character_literal] = ACTIONS(864),
    [anon_sym_DQUOTE] = ACTIONS(866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(864),
    [sym_null_literal] = ACTIONS(866),
    [anon_sym_LPAREN] = ACTIONS(864),
    [anon_sym_PLUS] = ACTIONS(866),
    [anon_sym_DASH] = ACTIONS(866),
    [anon_sym_final] = ACTIONS(866),
    [anon_sym_BANG] = ACTIONS(864),
    [anon_sym_TILDE] = ACTIONS(864),
    [anon_sym_PLUS_PLUS] = ACTIONS(864),
    [anon_sym_DASH_DASH] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_class] = ACTIONS(866),
    [anon_sym_switch] = ACTIONS(866),
    [anon_sym_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE] = ACTIONS(864),
    [anon_sym_case] = ACTIONS(866),
    [anon_sym_default] = ACTIONS(866),
    [anon_sym_SEMI] = ACTIONS(864),
    [anon_sym_assert] = ACTIONS(866),
    [anon_sym_do] = ACTIONS(866),
    [anon_sym_while] = ACTIONS(866),
    [anon_sym_break] = ACTIONS(866),
    [anon_sym_continue] = ACTIONS(866),
    [anon_sym_return] = ACTIONS(866),
    [anon_sym_yield] = ACTIONS(866),
    [anon_sym_synchronized] = ACTIONS(866),
    [anon_sym_throw] = ACTIONS(866),
    [anon_sym_try] = ACTIONS(866),
    [anon_sym_if] = ACTIONS(866),
    [anon_sym_else] = ACTIONS(866),
    [anon_sym_for] = ACTIONS(866),
    [anon_sym_AT] = ACTIONS(866),
    [anon_sym_open] = ACTIONS(866),
    [anon_sym_module] = ACTIONS(866),
    [anon_sym_static] = ACTIONS(866),
    [anon_sym_package] = ACTIONS(866),
    [anon_sym_import] = ACTIONS(866),
    [anon_sym_enum] = ACTIONS(866),
    [anon_sym_public] = ACTIONS(866),
    [anon_sym_protected] = ACTIONS(866),
    [anon_sym_private] = ACTIONS(866),
    [anon_sym_abstract] = ACTIONS(866),
    [anon_sym_strictfp] = ACTIONS(866),
    [anon_sym_native] = ACTIONS(866),
    [anon_sym_transient] = ACTIONS(866),
    [anon_sym_volatile] = ACTIONS(866),
    [anon_sym_sealed] = ACTIONS(866),
    [anon_sym_non_DASHsealed] = ACTIONS(864),
    [anon_sym_record] = ACTIONS(866),
    [anon_sym_ATinterface] = ACTIONS(864),
    [anon_sym_interface] = ACTIONS(866),
    [anon_sym_byte] = ACTIONS(866),
    [anon_sym_short] = ACTIONS(866),
    [anon_sym_int] = ACTIONS(866),
    [anon_sym_long] = ACTIONS(866),
    [anon_sym_char] = ACTIONS(866),
    [anon_sym_float] = ACTIONS(866),
    [anon_sym_double] = ACTIONS(866),
    [sym_boolean_type] = ACTIONS(866),
    [sym_void_type] = ACTIONS(866),
    [sym_this] = ACTIONS(866),
    [sym_super] = ACTIONS(866),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [306] = {
    [ts_builtin_sym_end] = ACTIONS(868),
    [sym_identifier] = ACTIONS(870),
    [sym_decimal_integer_literal] = ACTIONS(870),
    [sym_hex_integer_literal] = ACTIONS(870),
    [sym_octal_integer_literal] = ACTIONS(868),
    [sym_binary_integer_literal] = ACTIONS(868),
    [sym_decimal_floating_point_literal] = ACTIONS(868),
    [sym_hex_floating_point_literal] = ACTIONS(870),
    [sym_true] = ACTIONS(870),
    [sym_false] = ACTIONS(870),
    [sym_character_literal] = ACTIONS(868),
    [anon_sym_DQUOTE] = ACTIONS(870),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(868),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_PLUS] = ACTIONS(870),
    [anon_sym_DASH] = ACTIONS(870),
    [anon_sym_final] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(868),
    [anon_sym_TILDE] = ACTIONS(868),
    [anon_sym_PLUS_PLUS] = ACTIONS(868),
    [anon_sym_DASH_DASH] = ACTIONS(868),
    [anon_sym_new] = ACTIONS(870),
    [anon_sym_class] = ACTIONS(870),
    [anon_sym_switch] = ACTIONS(870),
    [anon_sym_LBRACE] = ACTIONS(868),
    [anon_sym_RBRACE] = ACTIONS(868),
    [anon_sym_case] = ACTIONS(870),
    [anon_sym_default] = ACTIONS(870),
    [anon_sym_SEMI] = ACTIONS(868),
    [anon_sym_assert] = ACTIONS(870),
    [anon_sym_do] = ACTIONS(870),
    [anon_sym_while] = ACTIONS(870),
    [anon_sym_break] = ACTIONS(870),
    [anon_sym_continue] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(870),
    [anon_sym_yield] = ACTIONS(870),
    [anon_sym_synchronized] = ACTIONS(870),
    [anon_sym_throw] = ACTIONS(870),
    [anon_sym_try] = ACTIONS(870),
    [anon_sym_if] = ACTIONS(870),
    [anon_sym_else] = ACTIONS(870),
    [anon_sym_for] = ACTIONS(870),
    [anon_sym_AT] = ACTIONS(870),
    [anon_sym_open] = ACTIONS(870),
    [anon_sym_module] = ACTIONS(870),
    [anon_sym_static] = ACTIONS(870),
    [anon_sym_package] = ACTIONS(870),
    [anon_sym_import] = ACTIONS(870),
    [anon_sym_enum] = ACTIONS(870),
    [anon_sym_public] = ACTIONS(870),
    [anon_sym_protected] = ACTIONS(870),
    [anon_sym_private] = ACTIONS(870),
    [anon_sym_abstract] = ACTIONS(870),
    [anon_sym_strictfp] = ACTIONS(870),
    [anon_sym_native] = ACTIONS(870),
    [anon_sym_transient] = ACTIONS(870),
    [anon_sym_volatile] = ACTIONS(870),
    [anon_sym_sealed] = ACTIONS(870),
    [anon_sym_non_DASHsealed] = ACTIONS(868),
    [anon_sym_record] = ACTIONS(870),
    [anon_sym_ATinterface] = ACTIONS(868),
    [anon_sym_interface] = ACTIONS(870),
    [anon_sym_byte] = ACTIONS(870),
    [anon_sym_short] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_long] = ACTIONS(870),
    [anon_sym_char] = ACTIONS(870),
    [anon_sym_float] = ACTIONS(870),
    [anon_sym_double] = ACTIONS(870),
    [sym_boolean_type] = ACTIONS(870),
    [sym_void_type] = ACTIONS(870),
    [sym_this] = ACTIONS(870),
    [sym_super] = ACTIONS(870),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [307] = {
    [ts_builtin_sym_end] = ACTIONS(872),
    [sym_identifier] = ACTIONS(874),
    [sym_decimal_integer_literal] = ACTIONS(874),
    [sym_hex_integer_literal] = ACTIONS(874),
    [sym_octal_integer_literal] = ACTIONS(872),
    [sym_binary_integer_literal] = ACTIONS(872),
    [sym_decimal_floating_point_literal] = ACTIONS(872),
    [sym_hex_floating_point_literal] = ACTIONS(874),
    [sym_true] = ACTIONS(874),
    [sym_false] = ACTIONS(874),
    [sym_character_literal] = ACTIONS(872),
    [anon_sym_DQUOTE] = ACTIONS(874),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(872),
    [sym_null_literal] = ACTIONS(874),
    [anon_sym_LPAREN] = ACTIONS(872),
    [anon_sym_PLUS] = ACTIONS(874),
    [anon_sym_DASH] = ACTIONS(874),
    [anon_sym_final] = ACTIONS(874),
    [anon_sym_BANG] = ACTIONS(872),
    [anon_sym_TILDE] = ACTIONS(872),
    [anon_sym_PLUS_PLUS] = ACTIONS(872),
    [anon_sym_DASH_DASH] = ACTIONS(872),
    [anon_sym_new] = ACTIONS(874),
    [anon_sym_class] = ACTIONS(874),
    [anon_sym_switch] = ACTIONS(874),
    [anon_sym_LBRACE] = ACTIONS(872),
    [anon_sym_RBRACE] = ACTIONS(872),
    [anon_sym_case] = ACTIONS(874),
    [anon_sym_default] = ACTIONS(874),
    [anon_sym_SEMI] = ACTIONS(872),
    [anon_sym_assert] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(874),
    [anon_sym_while] = ACTIONS(874),
    [anon_sym_break] = ACTIONS(874),
    [anon_sym_continue] = ACTIONS(874),
    [anon_sym_return] = ACTIONS(874),
    [anon_sym_yield] = ACTIONS(874),
    [anon_sym_synchronized] = ACTIONS(874),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_try] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_else] = ACTIONS(874),
    [anon_sym_for] = ACTIONS(874),
    [anon_sym_AT] = ACTIONS(874),
    [anon_sym_open] = ACTIONS(874),
    [anon_sym_module] = ACTIONS(874),
    [anon_sym_static] = ACTIONS(874),
    [anon_sym_package] = ACTIONS(874),
    [anon_sym_import] = ACTIONS(874),
    [anon_sym_enum] = ACTIONS(874),
    [anon_sym_public] = ACTIONS(874),
    [anon_sym_protected] = ACTIONS(874),
    [anon_sym_private] = ACTIONS(874),
    [anon_sym_abstract] = ACTIONS(874),
    [anon_sym_strictfp] = ACTIONS(874),
    [anon_sym_native] = ACTIONS(874),
    [anon_sym_transient] = ACTIONS(874),
    [anon_sym_volatile] = ACTIONS(874),
    [anon_sym_sealed] = ACTIONS(874),
    [anon_sym_non_DASHsealed] = ACTIONS(872),
    [anon_sym_record] = ACTIONS(874),
    [anon_sym_ATinterface] = ACTIONS(872),
    [anon_sym_interface] = ACTIONS(874),
    [anon_sym_byte] = ACTIONS(874),
    [anon_sym_short] = ACTIONS(874),
    [anon_sym_int] = ACTIONS(874),
    [anon_sym_long] = ACTIONS(874),
    [anon_sym_char] = ACTIONS(874),
    [anon_sym_float] = ACTIONS(874),
    [anon_sym_double] = ACTIONS(874),
    [sym_boolean_type] = ACTIONS(874),
    [sym_void_type] = ACTIONS(874),
    [sym_this] = ACTIONS(874),
    [sym_super] = ACTIONS(874),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [308] = {
    [ts_builtin_sym_end] = ACTIONS(876),
    [sym_identifier] = ACTIONS(878),
    [sym_decimal_integer_literal] = ACTIONS(878),
    [sym_hex_integer_literal] = ACTIONS(878),
    [sym_octal_integer_literal] = ACTIONS(876),
    [sym_binary_integer_literal] = ACTIONS(876),
    [sym_decimal_floating_point_literal] = ACTIONS(876),
    [sym_hex_floating_point_literal] = ACTIONS(878),
    [sym_true] = ACTIONS(878),
    [sym_false] = ACTIONS(878),
    [sym_character_literal] = ACTIONS(876),
    [anon_sym_DQUOTE] = ACTIONS(878),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(876),
    [sym_null_literal] = ACTIONS(878),
    [anon_sym_LPAREN] = ACTIONS(876),
    [anon_sym_PLUS] = ACTIONS(878),
    [anon_sym_DASH] = ACTIONS(878),
    [anon_sym_final] = ACTIONS(878),
    [anon_sym_BANG] = ACTIONS(876),
    [anon_sym_TILDE] = ACTIONS(876),
    [anon_sym_PLUS_PLUS] = ACTIONS(876),
    [anon_sym_DASH_DASH] = ACTIONS(876),
    [anon_sym_new] = ACTIONS(878),
    [anon_sym_class] = ACTIONS(878),
    [anon_sym_switch] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(876),
    [anon_sym_RBRACE] = ACTIONS(876),
    [anon_sym_case] = ACTIONS(878),
    [anon_sym_default] = ACTIONS(878),
    [anon_sym_SEMI] = ACTIONS(876),
    [anon_sym_assert] = ACTIONS(878),
    [anon_sym_do] = ACTIONS(878),
    [anon_sym_while] = ACTIONS(878),
    [anon_sym_break] = ACTIONS(878),
    [anon_sym_continue] = ACTIONS(878),
    [anon_sym_return] = ACTIONS(878),
    [anon_sym_yield] = ACTIONS(878),
    [anon_sym_synchronized] = ACTIONS(878),
    [anon_sym_throw] = ACTIONS(878),
    [anon_sym_try] = ACTIONS(878),
    [anon_sym_if] = ACTIONS(878),
    [anon_sym_else] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(878),
    [anon_sym_AT] = ACTIONS(878),
    [anon_sym_open] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(878),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_package] = ACTIONS(878),
    [anon_sym_import] = ACTIONS(878),
    [anon_sym_enum] = ACTIONS(878),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_abstract] = ACTIONS(878),
    [anon_sym_strictfp] = ACTIONS(878),
    [anon_sym_native] = ACTIONS(878),
    [anon_sym_transient] = ACTIONS(878),
    [anon_sym_volatile] = ACTIONS(878),
    [anon_sym_sealed] = ACTIONS(878),
    [anon_sym_non_DASHsealed] = ACTIONS(876),
    [anon_sym_record] = ACTIONS(878),
    [anon_sym_ATinterface] = ACTIONS(876),
    [anon_sym_interface] = ACTIONS(878),
    [anon_sym_byte] = ACTIONS(878),
    [anon_sym_short] = ACTIONS(878),
    [anon_sym_int] = ACTIONS(878),
    [anon_sym_long] = ACTIONS(878),
    [anon_sym_char] = ACTIONS(878),
    [anon_sym_float] = ACTIONS(878),
    [anon_sym_double] = ACTIONS(878),
    [sym_boolean_type] = ACTIONS(878),
    [sym_void_type] = ACTIONS(878),
    [sym_this] = ACTIONS(878),
    [sym_super] = ACTIONS(878),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [309] = {
    [ts_builtin_sym_end] = ACTIONS(880),
    [sym_identifier] = ACTIONS(882),
    [sym_decimal_integer_literal] = ACTIONS(882),
    [sym_hex_integer_literal] = ACTIONS(882),
    [sym_octal_integer_literal] = ACTIONS(880),
    [sym_binary_integer_literal] = ACTIONS(880),
    [sym_decimal_floating_point_literal] = ACTIONS(880),
    [sym_hex_floating_point_literal] = ACTIONS(882),
    [sym_true] = ACTIONS(882),
    [sym_false] = ACTIONS(882),
    [sym_character_literal] = ACTIONS(880),
    [anon_sym_DQUOTE] = ACTIONS(882),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(880),
    [sym_null_literal] = ACTIONS(882),
    [anon_sym_LPAREN] = ACTIONS(880),
    [anon_sym_PLUS] = ACTIONS(882),
    [anon_sym_DASH] = ACTIONS(882),
    [anon_sym_final] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(880),
    [anon_sym_TILDE] = ACTIONS(880),
    [anon_sym_PLUS_PLUS] = ACTIONS(880),
    [anon_sym_DASH_DASH] = ACTIONS(880),
    [anon_sym_new] = ACTIONS(882),
    [anon_sym_class] = ACTIONS(882),
    [anon_sym_switch] = ACTIONS(882),
    [anon_sym_LBRACE] = ACTIONS(880),
    [anon_sym_RBRACE] = ACTIONS(880),
    [anon_sym_case] = ACTIONS(882),
    [anon_sym_default] = ACTIONS(882),
    [anon_sym_SEMI] = ACTIONS(880),
    [anon_sym_assert] = ACTIONS(882),
    [anon_sym_do] = ACTIONS(882),
    [anon_sym_while] = ACTIONS(882),
    [anon_sym_break] = ACTIONS(882),
    [anon_sym_continue] = ACTIONS(882),
    [anon_sym_return] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(882),
    [anon_sym_synchronized] = ACTIONS(882),
    [anon_sym_throw] = ACTIONS(882),
    [anon_sym_try] = ACTIONS(882),
    [anon_sym_if] = ACTIONS(882),
    [anon_sym_else] = ACTIONS(882),
    [anon_sym_for] = ACTIONS(882),
    [anon_sym_AT] = ACTIONS(882),
    [anon_sym_open] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_package] = ACTIONS(882),
    [anon_sym_import] = ACTIONS(882),
    [anon_sym_enum] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_abstract] = ACTIONS(882),
    [anon_sym_strictfp] = ACTIONS(882),
    [anon_sym_native] = ACTIONS(882),
    [anon_sym_transient] = ACTIONS(882),
    [anon_sym_volatile] = ACTIONS(882),
    [anon_sym_sealed] = ACTIONS(882),
    [anon_sym_non_DASHsealed] = ACTIONS(880),
    [anon_sym_record] = ACTIONS(882),
    [anon_sym_ATinterface] = ACTIONS(880),
    [anon_sym_interface] = ACTIONS(882),
    [anon_sym_byte] = ACTIONS(882),
    [anon_sym_short] = ACTIONS(882),
    [anon_sym_int] = ACTIONS(882),
    [anon_sym_long] = ACTIONS(882),
    [anon_sym_char] = ACTIONS(882),
    [anon_sym_float] = ACTIONS(882),
    [anon_sym_double] = ACTIONS(882),
    [sym_boolean_type] = ACTIONS(882),
    [sym_void_type] = ACTIONS(882),
    [sym_this] = ACTIONS(882),
    [sym_super] = ACTIONS(882),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [310] = {
    [ts_builtin_sym_end] = ACTIONS(884),
    [sym_identifier] = ACTIONS(886),
    [sym_decimal_integer_literal] = ACTIONS(886),
    [sym_hex_integer_literal] = ACTIONS(886),
    [sym_octal_integer_literal] = ACTIONS(884),
    [sym_binary_integer_literal] = ACTIONS(884),
    [sym_decimal_floating_point_literal] = ACTIONS(884),
    [sym_hex_floating_point_literal] = ACTIONS(886),
    [sym_true] = ACTIONS(886),
    [sym_false] = ACTIONS(886),
    [sym_character_literal] = ACTIONS(884),
    [anon_sym_DQUOTE] = ACTIONS(886),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(884),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(884),
    [anon_sym_PLUS] = ACTIONS(886),
    [anon_sym_DASH] = ACTIONS(886),
    [anon_sym_final] = ACTIONS(886),
    [anon_sym_BANG] = ACTIONS(884),
    [anon_sym_TILDE] = ACTIONS(884),
    [anon_sym_PLUS_PLUS] = ACTIONS(884),
    [anon_sym_DASH_DASH] = ACTIONS(884),
    [anon_sym_new] = ACTIONS(886),
    [anon_sym_class] = ACTIONS(886),
    [anon_sym_switch] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(884),
    [anon_sym_RBRACE] = ACTIONS(884),
    [anon_sym_case] = ACTIONS(886),
    [anon_sym_default] = ACTIONS(886),
    [anon_sym_SEMI] = ACTIONS(884),
    [anon_sym_assert] = ACTIONS(886),
    [anon_sym_do] = ACTIONS(886),
    [anon_sym_while] = ACTIONS(886),
    [anon_sym_break] = ACTIONS(886),
    [anon_sym_continue] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(886),
    [anon_sym_yield] = ACTIONS(886),
    [anon_sym_synchronized] = ACTIONS(886),
    [anon_sym_throw] = ACTIONS(886),
    [anon_sym_try] = ACTIONS(886),
    [anon_sym_if] = ACTIONS(886),
    [anon_sym_else] = ACTIONS(886),
    [anon_sym_for] = ACTIONS(886),
    [anon_sym_AT] = ACTIONS(886),
    [anon_sym_open] = ACTIONS(886),
    [anon_sym_module] = ACTIONS(886),
    [anon_sym_static] = ACTIONS(886),
    [anon_sym_package] = ACTIONS(886),
    [anon_sym_import] = ACTIONS(886),
    [anon_sym_enum] = ACTIONS(886),
    [anon_sym_public] = ACTIONS(886),
    [anon_sym_protected] = ACTIONS(886),
    [anon_sym_private] = ACTIONS(886),
    [anon_sym_abstract] = ACTIONS(886),
    [anon_sym_strictfp] = ACTIONS(886),
    [anon_sym_native] = ACTIONS(886),
    [anon_sym_transient] = ACTIONS(886),
    [anon_sym_volatile] = ACTIONS(886),
    [anon_sym_sealed] = ACTIONS(886),
    [anon_sym_non_DASHsealed] = ACTIONS(884),
    [anon_sym_record] = ACTIONS(886),
    [anon_sym_ATinterface] = ACTIONS(884),
    [anon_sym_interface] = ACTIONS(886),
    [anon_sym_byte] = ACTIONS(886),
    [anon_sym_short] = ACTIONS(886),
    [anon_sym_int] = ACTIONS(886),
    [anon_sym_long] = ACTIONS(886),
    [anon_sym_char] = ACTIONS(886),
    [anon_sym_float] = ACTIONS(886),
    [anon_sym_double] = ACTIONS(886),
    [sym_boolean_type] = ACTIONS(886),
    [sym_void_type] = ACTIONS(886),
    [sym_this] = ACTIONS(886),
    [sym_super] = ACTIONS(886),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [311] = {
    [ts_builtin_sym_end] = ACTIONS(305),
    [sym_identifier] = ACTIONS(307),
    [sym_decimal_integer_literal] = ACTIONS(307),
    [sym_hex_integer_literal] = ACTIONS(307),
    [sym_octal_integer_literal] = ACTIONS(305),
    [sym_binary_integer_literal] = ACTIONS(305),
    [sym_decimal_floating_point_literal] = ACTIONS(305),
    [sym_hex_floating_point_literal] = ACTIONS(307),
    [sym_true] = ACTIONS(307),
    [sym_false] = ACTIONS(307),
    [sym_character_literal] = ACTIONS(305),
    [anon_sym_DQUOTE] = ACTIONS(307),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(305),
    [sym_null_literal] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(305),
    [anon_sym_PLUS] = ACTIONS(307),
    [anon_sym_DASH] = ACTIONS(307),
    [anon_sym_final] = ACTIONS(307),
    [anon_sym_BANG] = ACTIONS(305),
    [anon_sym_TILDE] = ACTIONS(305),
    [anon_sym_PLUS_PLUS] = ACTIONS(305),
    [anon_sym_DASH_DASH] = ACTIONS(305),
    [anon_sym_new] = ACTIONS(307),
    [anon_sym_class] = ACTIONS(307),
    [anon_sym_switch] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(305),
    [anon_sym_RBRACE] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_default] = ACTIONS(307),
    [anon_sym_SEMI] = ACTIONS(305),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_synchronized] = ACTIONS(307),
    [anon_sym_throw] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(307),
    [anon_sym_if] = ACTIONS(307),
    [anon_sym_else] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [anon_sym_open] = ACTIONS(307),
    [anon_sym_module] = ACTIONS(307),
    [anon_sym_static] = ACTIONS(307),
    [anon_sym_package] = ACTIONS(307),
    [anon_sym_import] = ACTIONS(307),
    [anon_sym_enum] = ACTIONS(307),
    [anon_sym_public] = ACTIONS(307),
    [anon_sym_protected] = ACTIONS(307),
    [anon_sym_private] = ACTIONS(307),
    [anon_sym_abstract] = ACTIONS(307),
    [anon_sym_strictfp] = ACTIONS(307),
    [anon_sym_native] = ACTIONS(307),
    [anon_sym_transient] = ACTIONS(307),
    [anon_sym_volatile] = ACTIONS(307),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(305),
    [anon_sym_record] = ACTIONS(307),
    [anon_sym_ATinterface] = ACTIONS(305),
    [anon_sym_interface] = ACTIONS(307),
    [anon_sym_byte] = ACTIONS(307),
    [anon_sym_short] = ACTIONS(307),
    [anon_sym_int] = ACTIONS(307),
    [anon_sym_long] = ACTIONS(307),
    [anon_sym_char] = ACTIONS(307),
    [anon_sym_float] = ACTIONS(307),
    [anon_sym_double] = ACTIONS(307),
    [sym_boolean_type] = ACTIONS(307),
    [sym_void_type] = ACTIONS(307),
    [sym_this] = ACTIONS(307),
    [sym_super] = ACTIONS(307),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [312] = {
    [ts_builtin_sym_end] = ACTIONS(888),
    [sym_identifier] = ACTIONS(890),
    [sym_decimal_integer_literal] = ACTIONS(890),
    [sym_hex_integer_literal] = ACTIONS(890),
    [sym_octal_integer_literal] = ACTIONS(888),
    [sym_binary_integer_literal] = ACTIONS(888),
    [sym_decimal_floating_point_literal] = ACTIONS(888),
    [sym_hex_floating_point_literal] = ACTIONS(890),
    [sym_true] = ACTIONS(890),
    [sym_false] = ACTIONS(890),
    [sym_character_literal] = ACTIONS(888),
    [anon_sym_DQUOTE] = ACTIONS(890),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(888),
    [sym_null_literal] = ACTIONS(890),
    [anon_sym_LPAREN] = ACTIONS(888),
    [anon_sym_PLUS] = ACTIONS(890),
    [anon_sym_DASH] = ACTIONS(890),
    [anon_sym_final] = ACTIONS(890),
    [anon_sym_BANG] = ACTIONS(888),
    [anon_sym_TILDE] = ACTIONS(888),
    [anon_sym_PLUS_PLUS] = ACTIONS(888),
    [anon_sym_DASH_DASH] = ACTIONS(888),
    [anon_sym_new] = ACTIONS(890),
    [anon_sym_class] = ACTIONS(890),
    [anon_sym_switch] = ACTIONS(890),
    [anon_sym_LBRACE] = ACTIONS(888),
    [anon_sym_RBRACE] = ACTIONS(888),
    [anon_sym_case] = ACTIONS(890),
    [anon_sym_default] = ACTIONS(890),
    [anon_sym_SEMI] = ACTIONS(888),
    [anon_sym_assert] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(890),
    [anon_sym_while] = ACTIONS(890),
    [anon_sym_break] = ACTIONS(890),
    [anon_sym_continue] = ACTIONS(890),
    [anon_sym_return] = ACTIONS(890),
    [anon_sym_yield] = ACTIONS(890),
    [anon_sym_synchronized] = ACTIONS(890),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_try] = ACTIONS(890),
    [anon_sym_if] = ACTIONS(890),
    [anon_sym_else] = ACTIONS(890),
    [anon_sym_for] = ACTIONS(890),
    [anon_sym_AT] = ACTIONS(890),
    [anon_sym_open] = ACTIONS(890),
    [anon_sym_module] = ACTIONS(890),
    [anon_sym_static] = ACTIONS(890),
    [anon_sym_package] = ACTIONS(890),
    [anon_sym_import] = ACTIONS(890),
    [anon_sym_enum] = ACTIONS(890),
    [anon_sym_public] = ACTIONS(890),
    [anon_sym_protected] = ACTIONS(890),
    [anon_sym_private] = ACTIONS(890),
    [anon_sym_abstract] = ACTIONS(890),
    [anon_sym_strictfp] = ACTIONS(890),
    [anon_sym_native] = ACTIONS(890),
    [anon_sym_transient] = ACTIONS(890),
    [anon_sym_volatile] = ACTIONS(890),
    [anon_sym_sealed] = ACTIONS(890),
    [anon_sym_non_DASHsealed] = ACTIONS(888),
    [anon_sym_record] = ACTIONS(890),
    [anon_sym_ATinterface] = ACTIONS(888),
    [anon_sym_interface] = ACTIONS(890),
    [anon_sym_byte] = ACTIONS(890),
    [anon_sym_short] = ACTIONS(890),
    [anon_sym_int] = ACTIONS(890),
    [anon_sym_long] = ACTIONS(890),
    [anon_sym_char] = ACTIONS(890),
    [anon_sym_float] = ACTIONS(890),
    [anon_sym_double] = ACTIONS(890),
    [sym_boolean_type] = ACTIONS(890),
    [sym_void_type] = ACTIONS(890),
    [sym_this] = ACTIONS(890),
    [sym_super] = ACTIONS(890),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [313] = {
    [ts_builtin_sym_end] = ACTIONS(892),
    [sym_identifier] = ACTIONS(894),
    [sym_decimal_integer_literal] = ACTIONS(894),
    [sym_hex_integer_literal] = ACTIONS(894),
    [sym_octal_integer_literal] = ACTIONS(892),
    [sym_binary_integer_literal] = ACTIONS(892),
    [sym_decimal_floating_point_literal] = ACTIONS(892),
    [sym_hex_floating_point_literal] = ACTIONS(894),
    [sym_true] = ACTIONS(894),
    [sym_false] = ACTIONS(894),
    [sym_character_literal] = ACTIONS(892),
    [anon_sym_DQUOTE] = ACTIONS(894),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(892),
    [sym_null_literal] = ACTIONS(894),
    [anon_sym_LPAREN] = ACTIONS(892),
    [anon_sym_PLUS] = ACTIONS(894),
    [anon_sym_DASH] = ACTIONS(894),
    [anon_sym_final] = ACTIONS(894),
    [anon_sym_BANG] = ACTIONS(892),
    [anon_sym_TILDE] = ACTIONS(892),
    [anon_sym_PLUS_PLUS] = ACTIONS(892),
    [anon_sym_DASH_DASH] = ACTIONS(892),
    [anon_sym_new] = ACTIONS(894),
    [anon_sym_class] = ACTIONS(894),
    [anon_sym_switch] = ACTIONS(894),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym_RBRACE] = ACTIONS(892),
    [anon_sym_case] = ACTIONS(894),
    [anon_sym_default] = ACTIONS(894),
    [anon_sym_SEMI] = ACTIONS(892),
    [anon_sym_assert] = ACTIONS(894),
    [anon_sym_do] = ACTIONS(894),
    [anon_sym_while] = ACTIONS(894),
    [anon_sym_break] = ACTIONS(894),
    [anon_sym_continue] = ACTIONS(894),
    [anon_sym_return] = ACTIONS(894),
    [anon_sym_yield] = ACTIONS(894),
    [anon_sym_synchronized] = ACTIONS(894),
    [anon_sym_throw] = ACTIONS(894),
    [anon_sym_try] = ACTIONS(894),
    [anon_sym_if] = ACTIONS(894),
    [anon_sym_else] = ACTIONS(894),
    [anon_sym_for] = ACTIONS(894),
    [anon_sym_AT] = ACTIONS(894),
    [anon_sym_open] = ACTIONS(894),
    [anon_sym_module] = ACTIONS(894),
    [anon_sym_static] = ACTIONS(894),
    [anon_sym_package] = ACTIONS(894),
    [anon_sym_import] = ACTIONS(894),
    [anon_sym_enum] = ACTIONS(894),
    [anon_sym_public] = ACTIONS(894),
    [anon_sym_protected] = ACTIONS(894),
    [anon_sym_private] = ACTIONS(894),
    [anon_sym_abstract] = ACTIONS(894),
    [anon_sym_strictfp] = ACTIONS(894),
    [anon_sym_native] = ACTIONS(894),
    [anon_sym_transient] = ACTIONS(894),
    [anon_sym_volatile] = ACTIONS(894),
    [anon_sym_sealed] = ACTIONS(894),
    [anon_sym_non_DASHsealed] = ACTIONS(892),
    [anon_sym_record] = ACTIONS(894),
    [anon_sym_ATinterface] = ACTIONS(892),
    [anon_sym_interface] = ACTIONS(894),
    [anon_sym_byte] = ACTIONS(894),
    [anon_sym_short] = ACTIONS(894),
    [anon_sym_int] = ACTIONS(894),
    [anon_sym_long] = ACTIONS(894),
    [anon_sym_char] = ACTIONS(894),
    [anon_sym_float] = ACTIONS(894),
    [anon_sym_double] = ACTIONS(894),
    [sym_boolean_type] = ACTIONS(894),
    [sym_void_type] = ACTIONS(894),
    [sym_this] = ACTIONS(894),
    [sym_super] = ACTIONS(894),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [314] = {
    [ts_builtin_sym_end] = ACTIONS(896),
    [sym_identifier] = ACTIONS(898),
    [sym_decimal_integer_literal] = ACTIONS(898),
    [sym_hex_integer_literal] = ACTIONS(898),
    [sym_octal_integer_literal] = ACTIONS(896),
    [sym_binary_integer_literal] = ACTIONS(896),
    [sym_decimal_floating_point_literal] = ACTIONS(896),
    [sym_hex_floating_point_literal] = ACTIONS(898),
    [sym_true] = ACTIONS(898),
    [sym_false] = ACTIONS(898),
    [sym_character_literal] = ACTIONS(896),
    [anon_sym_DQUOTE] = ACTIONS(898),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(896),
    [sym_null_literal] = ACTIONS(898),
    [anon_sym_LPAREN] = ACTIONS(896),
    [anon_sym_PLUS] = ACTIONS(898),
    [anon_sym_DASH] = ACTIONS(898),
    [anon_sym_final] = ACTIONS(898),
    [anon_sym_BANG] = ACTIONS(896),
    [anon_sym_TILDE] = ACTIONS(896),
    [anon_sym_PLUS_PLUS] = ACTIONS(896),
    [anon_sym_DASH_DASH] = ACTIONS(896),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_class] = ACTIONS(898),
    [anon_sym_switch] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(896),
    [anon_sym_RBRACE] = ACTIONS(896),
    [anon_sym_case] = ACTIONS(898),
    [anon_sym_default] = ACTIONS(898),
    [anon_sym_SEMI] = ACTIONS(896),
    [anon_sym_assert] = ACTIONS(898),
    [anon_sym_do] = ACTIONS(898),
    [anon_sym_while] = ACTIONS(898),
    [anon_sym_break] = ACTIONS(898),
    [anon_sym_continue] = ACTIONS(898),
    [anon_sym_return] = ACTIONS(898),
    [anon_sym_yield] = ACTIONS(898),
    [anon_sym_synchronized] = ACTIONS(898),
    [anon_sym_throw] = ACTIONS(898),
    [anon_sym_try] = ACTIONS(898),
    [anon_sym_if] = ACTIONS(898),
    [anon_sym_else] = ACTIONS(898),
    [anon_sym_for] = ACTIONS(898),
    [anon_sym_AT] = ACTIONS(898),
    [anon_sym_open] = ACTIONS(898),
    [anon_sym_module] = ACTIONS(898),
    [anon_sym_static] = ACTIONS(898),
    [anon_sym_package] = ACTIONS(898),
    [anon_sym_import] = ACTIONS(898),
    [anon_sym_enum] = ACTIONS(898),
    [anon_sym_public] = ACTIONS(898),
    [anon_sym_protected] = ACTIONS(898),
    [anon_sym_private] = ACTIONS(898),
    [anon_sym_abstract] = ACTIONS(898),
    [anon_sym_strictfp] = ACTIONS(898),
    [anon_sym_native] = ACTIONS(898),
    [anon_sym_transient] = ACTIONS(898),
    [anon_sym_volatile] = ACTIONS(898),
    [anon_sym_sealed] = ACTIONS(898),
    [anon_sym_non_DASHsealed] = ACTIONS(896),
    [anon_sym_record] = ACTIONS(898),
    [anon_sym_ATinterface] = ACTIONS(896),
    [anon_sym_interface] = ACTIONS(898),
    [anon_sym_byte] = ACTIONS(898),
    [anon_sym_short] = ACTIONS(898),
    [anon_sym_int] = ACTIONS(898),
    [anon_sym_long] = ACTIONS(898),
    [anon_sym_char] = ACTIONS(898),
    [anon_sym_float] = ACTIONS(898),
    [anon_sym_double] = ACTIONS(898),
    [sym_boolean_type] = ACTIONS(898),
    [sym_void_type] = ACTIONS(898),
    [sym_this] = ACTIONS(898),
    [sym_super] = ACTIONS(898),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [315] = {
    [ts_builtin_sym_end] = ACTIONS(900),
    [sym_identifier] = ACTIONS(902),
    [sym_decimal_integer_literal] = ACTIONS(902),
    [sym_hex_integer_literal] = ACTIONS(902),
    [sym_octal_integer_literal] = ACTIONS(900),
    [sym_binary_integer_literal] = ACTIONS(900),
    [sym_decimal_floating_point_literal] = ACTIONS(900),
    [sym_hex_floating_point_literal] = ACTIONS(902),
    [sym_true] = ACTIONS(902),
    [sym_false] = ACTIONS(902),
    [sym_character_literal] = ACTIONS(900),
    [anon_sym_DQUOTE] = ACTIONS(902),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(900),
    [sym_null_literal] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(900),
    [anon_sym_PLUS] = ACTIONS(902),
    [anon_sym_DASH] = ACTIONS(902),
    [anon_sym_final] = ACTIONS(902),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_PLUS_PLUS] = ACTIONS(900),
    [anon_sym_DASH_DASH] = ACTIONS(900),
    [anon_sym_new] = ACTIONS(902),
    [anon_sym_class] = ACTIONS(902),
    [anon_sym_switch] = ACTIONS(902),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_RBRACE] = ACTIONS(900),
    [anon_sym_case] = ACTIONS(902),
    [anon_sym_default] = ACTIONS(902),
    [anon_sym_SEMI] = ACTIONS(900),
    [anon_sym_assert] = ACTIONS(902),
    [anon_sym_do] = ACTIONS(902),
    [anon_sym_while] = ACTIONS(902),
    [anon_sym_break] = ACTIONS(902),
    [anon_sym_continue] = ACTIONS(902),
    [anon_sym_return] = ACTIONS(902),
    [anon_sym_yield] = ACTIONS(902),
    [anon_sym_synchronized] = ACTIONS(902),
    [anon_sym_throw] = ACTIONS(902),
    [anon_sym_try] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(902),
    [anon_sym_else] = ACTIONS(902),
    [anon_sym_for] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_module] = ACTIONS(902),
    [anon_sym_static] = ACTIONS(902),
    [anon_sym_package] = ACTIONS(902),
    [anon_sym_import] = ACTIONS(902),
    [anon_sym_enum] = ACTIONS(902),
    [anon_sym_public] = ACTIONS(902),
    [anon_sym_protected] = ACTIONS(902),
    [anon_sym_private] = ACTIONS(902),
    [anon_sym_abstract] = ACTIONS(902),
    [anon_sym_strictfp] = ACTIONS(902),
    [anon_sym_native] = ACTIONS(902),
    [anon_sym_transient] = ACTIONS(902),
    [anon_sym_volatile] = ACTIONS(902),
    [anon_sym_sealed] = ACTIONS(902),
    [anon_sym_non_DASHsealed] = ACTIONS(900),
    [anon_sym_record] = ACTIONS(902),
    [anon_sym_ATinterface] = ACTIONS(900),
    [anon_sym_interface] = ACTIONS(902),
    [anon_sym_byte] = ACTIONS(902),
    [anon_sym_short] = ACTIONS(902),
    [anon_sym_int] = ACTIONS(902),
    [anon_sym_long] = ACTIONS(902),
    [anon_sym_char] = ACTIONS(902),
    [anon_sym_float] = ACTIONS(902),
    [anon_sym_double] = ACTIONS(902),
    [sym_boolean_type] = ACTIONS(902),
    [sym_void_type] = ACTIONS(902),
    [sym_this] = ACTIONS(902),
    [sym_super] = ACTIONS(902),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [316] = {
    [ts_builtin_sym_end] = ACTIONS(904),
    [sym_identifier] = ACTIONS(906),
    [sym_decimal_integer_literal] = ACTIONS(906),
    [sym_hex_integer_literal] = ACTIONS(906),
    [sym_octal_integer_literal] = ACTIONS(904),
    [sym_binary_integer_literal] = ACTIONS(904),
    [sym_decimal_floating_point_literal] = ACTIONS(904),
    [sym_hex_floating_point_literal] = ACTIONS(906),
    [sym_true] = ACTIONS(906),
    [sym_false] = ACTIONS(906),
    [sym_character_literal] = ACTIONS(904),
    [anon_sym_DQUOTE] = ACTIONS(906),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(904),
    [sym_null_literal] = ACTIONS(906),
    [anon_sym_LPAREN] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(906),
    [anon_sym_DASH] = ACTIONS(906),
    [anon_sym_final] = ACTIONS(906),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_TILDE] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(904),
    [anon_sym_DASH_DASH] = ACTIONS(904),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_class] = ACTIONS(906),
    [anon_sym_switch] = ACTIONS(906),
    [anon_sym_LBRACE] = ACTIONS(904),
    [anon_sym_RBRACE] = ACTIONS(904),
    [anon_sym_case] = ACTIONS(906),
    [anon_sym_default] = ACTIONS(906),
    [anon_sym_SEMI] = ACTIONS(904),
    [anon_sym_assert] = ACTIONS(906),
    [anon_sym_do] = ACTIONS(906),
    [anon_sym_while] = ACTIONS(906),
    [anon_sym_break] = ACTIONS(906),
    [anon_sym_continue] = ACTIONS(906),
    [anon_sym_return] = ACTIONS(906),
    [anon_sym_yield] = ACTIONS(906),
    [anon_sym_synchronized] = ACTIONS(906),
    [anon_sym_throw] = ACTIONS(906),
    [anon_sym_try] = ACTIONS(906),
    [anon_sym_if] = ACTIONS(906),
    [anon_sym_else] = ACTIONS(906),
    [anon_sym_for] = ACTIONS(906),
    [anon_sym_AT] = ACTIONS(906),
    [anon_sym_open] = ACTIONS(906),
    [anon_sym_module] = ACTIONS(906),
    [anon_sym_static] = ACTIONS(906),
    [anon_sym_package] = ACTIONS(906),
    [anon_sym_import] = ACTIONS(906),
    [anon_sym_enum] = ACTIONS(906),
    [anon_sym_public] = ACTIONS(906),
    [anon_sym_protected] = ACTIONS(906),
    [anon_sym_private] = ACTIONS(906),
    [anon_sym_abstract] = ACTIONS(906),
    [anon_sym_strictfp] = ACTIONS(906),
    [anon_sym_native] = ACTIONS(906),
    [anon_sym_transient] = ACTIONS(906),
    [anon_sym_volatile] = ACTIONS(906),
    [anon_sym_sealed] = ACTIONS(906),
    [anon_sym_non_DASHsealed] = ACTIONS(904),
    [anon_sym_record] = ACTIONS(906),
    [anon_sym_ATinterface] = ACTIONS(904),
    [anon_sym_interface] = ACTIONS(906),
    [anon_sym_byte] = ACTIONS(906),
    [anon_sym_short] = ACTIONS(906),
    [anon_sym_int] = ACTIONS(906),
    [anon_sym_long] = ACTIONS(906),
    [anon_sym_char] = ACTIONS(906),
    [anon_sym_float] = ACTIONS(906),
    [anon_sym_double] = ACTIONS(906),
    [sym_boolean_type] = ACTIONS(906),
    [sym_void_type] = ACTIONS(906),
    [sym_this] = ACTIONS(906),
    [sym_super] = ACTIONS(906),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [317] = {
    [ts_builtin_sym_end] = ACTIONS(908),
    [sym_identifier] = ACTIONS(910),
    [sym_decimal_integer_literal] = ACTIONS(910),
    [sym_hex_integer_literal] = ACTIONS(910),
    [sym_octal_integer_literal] = ACTIONS(908),
    [sym_binary_integer_literal] = ACTIONS(908),
    [sym_decimal_floating_point_literal] = ACTIONS(908),
    [sym_hex_floating_point_literal] = ACTIONS(910),
    [sym_true] = ACTIONS(910),
    [sym_false] = ACTIONS(910),
    [sym_character_literal] = ACTIONS(908),
    [anon_sym_DQUOTE] = ACTIONS(910),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(908),
    [sym_null_literal] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(908),
    [anon_sym_PLUS] = ACTIONS(910),
    [anon_sym_DASH] = ACTIONS(910),
    [anon_sym_final] = ACTIONS(910),
    [anon_sym_BANG] = ACTIONS(908),
    [anon_sym_TILDE] = ACTIONS(908),
    [anon_sym_PLUS_PLUS] = ACTIONS(908),
    [anon_sym_DASH_DASH] = ACTIONS(908),
    [anon_sym_new] = ACTIONS(910),
    [anon_sym_class] = ACTIONS(910),
    [anon_sym_switch] = ACTIONS(910),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym_RBRACE] = ACTIONS(908),
    [anon_sym_case] = ACTIONS(910),
    [anon_sym_default] = ACTIONS(910),
    [anon_sym_SEMI] = ACTIONS(908),
    [anon_sym_assert] = ACTIONS(910),
    [anon_sym_do] = ACTIONS(910),
    [anon_sym_while] = ACTIONS(910),
    [anon_sym_break] = ACTIONS(910),
    [anon_sym_continue] = ACTIONS(910),
    [anon_sym_return] = ACTIONS(910),
    [anon_sym_yield] = ACTIONS(910),
    [anon_sym_synchronized] = ACTIONS(910),
    [anon_sym_throw] = ACTIONS(910),
    [anon_sym_try] = ACTIONS(910),
    [anon_sym_if] = ACTIONS(910),
    [anon_sym_else] = ACTIONS(910),
    [anon_sym_for] = ACTIONS(910),
    [anon_sym_AT] = ACTIONS(910),
    [anon_sym_open] = ACTIONS(910),
    [anon_sym_module] = ACTIONS(910),
    [anon_sym_static] = ACTIONS(910),
    [anon_sym_package] = ACTIONS(910),
    [anon_sym_import] = ACTIONS(910),
    [anon_sym_enum] = ACTIONS(910),
    [anon_sym_public] = ACTIONS(910),
    [anon_sym_protected] = ACTIONS(910),
    [anon_sym_private] = ACTIONS(910),
    [anon_sym_abstract] = ACTIONS(910),
    [anon_sym_strictfp] = ACTIONS(910),
    [anon_sym_native] = ACTIONS(910),
    [anon_sym_transient] = ACTIONS(910),
    [anon_sym_volatile] = ACTIONS(910),
    [anon_sym_sealed] = ACTIONS(910),
    [anon_sym_non_DASHsealed] = ACTIONS(908),
    [anon_sym_record] = ACTIONS(910),
    [anon_sym_ATinterface] = ACTIONS(908),
    [anon_sym_interface] = ACTIONS(910),
    [anon_sym_byte] = ACTIONS(910),
    [anon_sym_short] = ACTIONS(910),
    [anon_sym_int] = ACTIONS(910),
    [anon_sym_long] = ACTIONS(910),
    [anon_sym_char] = ACTIONS(910),
    [anon_sym_float] = ACTIONS(910),
    [anon_sym_double] = ACTIONS(910),
    [sym_boolean_type] = ACTIONS(910),
    [sym_void_type] = ACTIONS(910),
    [sym_this] = ACTIONS(910),
    [sym_super] = ACTIONS(910),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [318] = {
    [ts_builtin_sym_end] = ACTIONS(912),
    [sym_identifier] = ACTIONS(914),
    [sym_decimal_integer_literal] = ACTIONS(914),
    [sym_hex_integer_literal] = ACTIONS(914),
    [sym_octal_integer_literal] = ACTIONS(912),
    [sym_binary_integer_literal] = ACTIONS(912),
    [sym_decimal_floating_point_literal] = ACTIONS(912),
    [sym_hex_floating_point_literal] = ACTIONS(914),
    [sym_true] = ACTIONS(914),
    [sym_false] = ACTIONS(914),
    [sym_character_literal] = ACTIONS(912),
    [anon_sym_DQUOTE] = ACTIONS(914),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(912),
    [sym_null_literal] = ACTIONS(914),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_PLUS] = ACTIONS(914),
    [anon_sym_DASH] = ACTIONS(914),
    [anon_sym_final] = ACTIONS(914),
    [anon_sym_BANG] = ACTIONS(912),
    [anon_sym_TILDE] = ACTIONS(912),
    [anon_sym_PLUS_PLUS] = ACTIONS(912),
    [anon_sym_DASH_DASH] = ACTIONS(912),
    [anon_sym_new] = ACTIONS(914),
    [anon_sym_class] = ACTIONS(914),
    [anon_sym_switch] = ACTIONS(914),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(912),
    [anon_sym_case] = ACTIONS(914),
    [anon_sym_default] = ACTIONS(914),
    [anon_sym_SEMI] = ACTIONS(912),
    [anon_sym_assert] = ACTIONS(914),
    [anon_sym_do] = ACTIONS(914),
    [anon_sym_while] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_return] = ACTIONS(914),
    [anon_sym_yield] = ACTIONS(914),
    [anon_sym_synchronized] = ACTIONS(914),
    [anon_sym_throw] = ACTIONS(914),
    [anon_sym_try] = ACTIONS(914),
    [anon_sym_if] = ACTIONS(914),
    [anon_sym_else] = ACTIONS(914),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_AT] = ACTIONS(914),
    [anon_sym_open] = ACTIONS(914),
    [anon_sym_module] = ACTIONS(914),
    [anon_sym_static] = ACTIONS(914),
    [anon_sym_package] = ACTIONS(914),
    [anon_sym_import] = ACTIONS(914),
    [anon_sym_enum] = ACTIONS(914),
    [anon_sym_public] = ACTIONS(914),
    [anon_sym_protected] = ACTIONS(914),
    [anon_sym_private] = ACTIONS(914),
    [anon_sym_abstract] = ACTIONS(914),
    [anon_sym_strictfp] = ACTIONS(914),
    [anon_sym_native] = ACTIONS(914),
    [anon_sym_transient] = ACTIONS(914),
    [anon_sym_volatile] = ACTIONS(914),
    [anon_sym_sealed] = ACTIONS(914),
    [anon_sym_non_DASHsealed] = ACTIONS(912),
    [anon_sym_record] = ACTIONS(914),
    [anon_sym_ATinterface] = ACTIONS(912),
    [anon_sym_interface] = ACTIONS(914),
    [anon_sym_byte] = ACTIONS(914),
    [anon_sym_short] = ACTIONS(914),
    [anon_sym_int] = ACTIONS(914),
    [anon_sym_long] = ACTIONS(914),
    [anon_sym_char] = ACTIONS(914),
    [anon_sym_float] = ACTIONS(914),
    [anon_sym_double] = ACTIONS(914),
    [sym_boolean_type] = ACTIONS(914),
    [sym_void_type] = ACTIONS(914),
    [sym_this] = ACTIONS(914),
    [sym_super] = ACTIONS(914),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [319] = {
    [ts_builtin_sym_end] = ACTIONS(916),
    [sym_identifier] = ACTIONS(918),
    [sym_decimal_integer_literal] = ACTIONS(918),
    [sym_hex_integer_literal] = ACTIONS(918),
    [sym_octal_integer_literal] = ACTIONS(916),
    [sym_binary_integer_literal] = ACTIONS(916),
    [sym_decimal_floating_point_literal] = ACTIONS(916),
    [sym_hex_floating_point_literal] = ACTIONS(918),
    [sym_true] = ACTIONS(918),
    [sym_false] = ACTIONS(918),
    [sym_character_literal] = ACTIONS(916),
    [anon_sym_DQUOTE] = ACTIONS(918),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(916),
    [sym_null_literal] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(916),
    [anon_sym_PLUS] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(918),
    [anon_sym_final] = ACTIONS(918),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_PLUS_PLUS] = ACTIONS(916),
    [anon_sym_DASH_DASH] = ACTIONS(916),
    [anon_sym_new] = ACTIONS(918),
    [anon_sym_class] = ACTIONS(918),
    [anon_sym_switch] = ACTIONS(918),
    [anon_sym_LBRACE] = ACTIONS(916),
    [anon_sym_RBRACE] = ACTIONS(916),
    [anon_sym_case] = ACTIONS(918),
    [anon_sym_default] = ACTIONS(918),
    [anon_sym_SEMI] = ACTIONS(916),
    [anon_sym_assert] = ACTIONS(918),
    [anon_sym_do] = ACTIONS(918),
    [anon_sym_while] = ACTIONS(918),
    [anon_sym_break] = ACTIONS(918),
    [anon_sym_continue] = ACTIONS(918),
    [anon_sym_return] = ACTIONS(918),
    [anon_sym_yield] = ACTIONS(918),
    [anon_sym_synchronized] = ACTIONS(918),
    [anon_sym_throw] = ACTIONS(918),
    [anon_sym_try] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(918),
    [anon_sym_else] = ACTIONS(918),
    [anon_sym_for] = ACTIONS(918),
    [anon_sym_AT] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_module] = ACTIONS(918),
    [anon_sym_static] = ACTIONS(918),
    [anon_sym_package] = ACTIONS(918),
    [anon_sym_import] = ACTIONS(918),
    [anon_sym_enum] = ACTIONS(918),
    [anon_sym_public] = ACTIONS(918),
    [anon_sym_protected] = ACTIONS(918),
    [anon_sym_private] = ACTIONS(918),
    [anon_sym_abstract] = ACTIONS(918),
    [anon_sym_strictfp] = ACTIONS(918),
    [anon_sym_native] = ACTIONS(918),
    [anon_sym_transient] = ACTIONS(918),
    [anon_sym_volatile] = ACTIONS(918),
    [anon_sym_sealed] = ACTIONS(918),
    [anon_sym_non_DASHsealed] = ACTIONS(916),
    [anon_sym_record] = ACTIONS(918),
    [anon_sym_ATinterface] = ACTIONS(916),
    [anon_sym_interface] = ACTIONS(918),
    [anon_sym_byte] = ACTIONS(918),
    [anon_sym_short] = ACTIONS(918),
    [anon_sym_int] = ACTIONS(918),
    [anon_sym_long] = ACTIONS(918),
    [anon_sym_char] = ACTIONS(918),
    [anon_sym_float] = ACTIONS(918),
    [anon_sym_double] = ACTIONS(918),
    [sym_boolean_type] = ACTIONS(918),
    [sym_void_type] = ACTIONS(918),
    [sym_this] = ACTIONS(918),
    [sym_super] = ACTIONS(918),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [320] = {
    [ts_builtin_sym_end] = ACTIONS(920),
    [sym_identifier] = ACTIONS(922),
    [sym_decimal_integer_literal] = ACTIONS(922),
    [sym_hex_integer_literal] = ACTIONS(922),
    [sym_octal_integer_literal] = ACTIONS(920),
    [sym_binary_integer_literal] = ACTIONS(920),
    [sym_decimal_floating_point_literal] = ACTIONS(920),
    [sym_hex_floating_point_literal] = ACTIONS(922),
    [sym_true] = ACTIONS(922),
    [sym_false] = ACTIONS(922),
    [sym_character_literal] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(922),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(920),
    [sym_null_literal] = ACTIONS(922),
    [anon_sym_LPAREN] = ACTIONS(920),
    [anon_sym_PLUS] = ACTIONS(922),
    [anon_sym_DASH] = ACTIONS(922),
    [anon_sym_final] = ACTIONS(922),
    [anon_sym_BANG] = ACTIONS(920),
    [anon_sym_TILDE] = ACTIONS(920),
    [anon_sym_PLUS_PLUS] = ACTIONS(920),
    [anon_sym_DASH_DASH] = ACTIONS(920),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_class] = ACTIONS(922),
    [anon_sym_switch] = ACTIONS(922),
    [anon_sym_LBRACE] = ACTIONS(920),
    [anon_sym_RBRACE] = ACTIONS(920),
    [anon_sym_case] = ACTIONS(922),
    [anon_sym_default] = ACTIONS(922),
    [anon_sym_SEMI] = ACTIONS(920),
    [anon_sym_assert] = ACTIONS(922),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_while] = ACTIONS(922),
    [anon_sym_break] = ACTIONS(922),
    [anon_sym_continue] = ACTIONS(922),
    [anon_sym_return] = ACTIONS(922),
    [anon_sym_yield] = ACTIONS(922),
    [anon_sym_synchronized] = ACTIONS(922),
    [anon_sym_throw] = ACTIONS(922),
    [anon_sym_try] = ACTIONS(922),
    [anon_sym_if] = ACTIONS(922),
    [anon_sym_else] = ACTIONS(922),
    [anon_sym_for] = ACTIONS(922),
    [anon_sym_AT] = ACTIONS(922),
    [anon_sym_open] = ACTIONS(922),
    [anon_sym_module] = ACTIONS(922),
    [anon_sym_static] = ACTIONS(922),
    [anon_sym_package] = ACTIONS(922),
    [anon_sym_import] = ACTIONS(922),
    [anon_sym_enum] = ACTIONS(922),
    [anon_sym_public] = ACTIONS(922),
    [anon_sym_protected] = ACTIONS(922),
    [anon_sym_private] = ACTIONS(922),
    [anon_sym_abstract] = ACTIONS(922),
    [anon_sym_strictfp] = ACTIONS(922),
    [anon_sym_native] = ACTIONS(922),
    [anon_sym_transient] = ACTIONS(922),
    [anon_sym_volatile] = ACTIONS(922),
    [anon_sym_sealed] = ACTIONS(922),
    [anon_sym_non_DASHsealed] = ACTIONS(920),
    [anon_sym_record] = ACTIONS(922),
    [anon_sym_ATinterface] = ACTIONS(920),
    [anon_sym_interface] = ACTIONS(922),
    [anon_sym_byte] = ACTIONS(922),
    [anon_sym_short] = ACTIONS(922),
    [anon_sym_int] = ACTIONS(922),
    [anon_sym_long] = ACTIONS(922),
    [anon_sym_char] = ACTIONS(922),
    [anon_sym_float] = ACTIONS(922),
    [anon_sym_double] = ACTIONS(922),
    [sym_boolean_type] = ACTIONS(922),
    [sym_void_type] = ACTIONS(922),
    [sym_this] = ACTIONS(922),
    [sym_super] = ACTIONS(922),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [321] = {
    [ts_builtin_sym_end] = ACTIONS(924),
    [sym_identifier] = ACTIONS(926),
    [sym_decimal_integer_literal] = ACTIONS(926),
    [sym_hex_integer_literal] = ACTIONS(926),
    [sym_octal_integer_literal] = ACTIONS(924),
    [sym_binary_integer_literal] = ACTIONS(924),
    [sym_decimal_floating_point_literal] = ACTIONS(924),
    [sym_hex_floating_point_literal] = ACTIONS(926),
    [sym_true] = ACTIONS(926),
    [sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(926),
    [anon_sym_LPAREN] = ACTIONS(924),
    [anon_sym_PLUS] = ACTIONS(926),
    [anon_sym_DASH] = ACTIONS(926),
    [anon_sym_final] = ACTIONS(926),
    [anon_sym_BANG] = ACTIONS(924),
    [anon_sym_TILDE] = ACTIONS(924),
    [anon_sym_PLUS_PLUS] = ACTIONS(924),
    [anon_sym_DASH_DASH] = ACTIONS(924),
    [anon_sym_new] = ACTIONS(926),
    [anon_sym_class] = ACTIONS(926),
    [anon_sym_switch] = ACTIONS(926),
    [anon_sym_LBRACE] = ACTIONS(924),
    [anon_sym_RBRACE] = ACTIONS(924),
    [anon_sym_case] = ACTIONS(926),
    [anon_sym_default] = ACTIONS(926),
    [anon_sym_SEMI] = ACTIONS(924),
    [anon_sym_assert] = ACTIONS(926),
    [anon_sym_do] = ACTIONS(926),
    [anon_sym_while] = ACTIONS(926),
    [anon_sym_break] = ACTIONS(926),
    [anon_sym_continue] = ACTIONS(926),
    [anon_sym_return] = ACTIONS(926),
    [anon_sym_yield] = ACTIONS(926),
    [anon_sym_synchronized] = ACTIONS(926),
    [anon_sym_throw] = ACTIONS(926),
    [anon_sym_try] = ACTIONS(926),
    [anon_sym_if] = ACTIONS(926),
    [anon_sym_else] = ACTIONS(926),
    [anon_sym_for] = ACTIONS(926),
    [anon_sym_AT] = ACTIONS(926),
    [anon_sym_open] = ACTIONS(926),
    [anon_sym_module] = ACTIONS(926),
    [anon_sym_static] = ACTIONS(926),
    [anon_sym_package] = ACTIONS(926),
    [anon_sym_import] = ACTIONS(926),
    [anon_sym_enum] = ACTIONS(926),
    [anon_sym_public] = ACTIONS(926),
    [anon_sym_protected] = ACTIONS(926),
    [anon_sym_private] = ACTIONS(926),
    [anon_sym_abstract] = ACTIONS(926),
    [anon_sym_strictfp] = ACTIONS(926),
    [anon_sym_native] = ACTIONS(926),
    [anon_sym_transient] = ACTIONS(926),
    [anon_sym_volatile] = ACTIONS(926),
    [anon_sym_sealed] = ACTIONS(926),
    [anon_sym_non_DASHsealed] = ACTIONS(924),
    [anon_sym_record] = ACTIONS(926),
    [anon_sym_ATinterface] = ACTIONS(924),
    [anon_sym_interface] = ACTIONS(926),
    [anon_sym_byte] = ACTIONS(926),
    [anon_sym_short] = ACTIONS(926),
    [anon_sym_int] = ACTIONS(926),
    [anon_sym_long] = ACTIONS(926),
    [anon_sym_char] = ACTIONS(926),
    [anon_sym_float] = ACTIONS(926),
    [anon_sym_double] = ACTIONS(926),
    [sym_boolean_type] = ACTIONS(926),
    [sym_void_type] = ACTIONS(926),
    [sym_this] = ACTIONS(926),
    [sym_super] = ACTIONS(926),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [322] = {
    [ts_builtin_sym_end] = ACTIONS(928),
    [sym_identifier] = ACTIONS(930),
    [sym_decimal_integer_literal] = ACTIONS(930),
    [sym_hex_integer_literal] = ACTIONS(930),
    [sym_octal_integer_literal] = ACTIONS(928),
    [sym_binary_integer_literal] = ACTIONS(928),
    [sym_decimal_floating_point_literal] = ACTIONS(928),
    [sym_hex_floating_point_literal] = ACTIONS(930),
    [sym_true] = ACTIONS(930),
    [sym_false] = ACTIONS(930),
    [sym_character_literal] = ACTIONS(928),
    [anon_sym_DQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(928),
    [sym_null_literal] = ACTIONS(930),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_PLUS] = ACTIONS(930),
    [anon_sym_DASH] = ACTIONS(930),
    [anon_sym_final] = ACTIONS(930),
    [anon_sym_BANG] = ACTIONS(928),
    [anon_sym_TILDE] = ACTIONS(928),
    [anon_sym_PLUS_PLUS] = ACTIONS(928),
    [anon_sym_DASH_DASH] = ACTIONS(928),
    [anon_sym_new] = ACTIONS(930),
    [anon_sym_class] = ACTIONS(930),
    [anon_sym_switch] = ACTIONS(930),
    [anon_sym_LBRACE] = ACTIONS(928),
    [anon_sym_RBRACE] = ACTIONS(928),
    [anon_sym_case] = ACTIONS(930),
    [anon_sym_default] = ACTIONS(930),
    [anon_sym_SEMI] = ACTIONS(928),
    [anon_sym_assert] = ACTIONS(930),
    [anon_sym_do] = ACTIONS(930),
    [anon_sym_while] = ACTIONS(930),
    [anon_sym_break] = ACTIONS(930),
    [anon_sym_continue] = ACTIONS(930),
    [anon_sym_return] = ACTIONS(930),
    [anon_sym_yield] = ACTIONS(930),
    [anon_sym_synchronized] = ACTIONS(930),
    [anon_sym_throw] = ACTIONS(930),
    [anon_sym_try] = ACTIONS(930),
    [anon_sym_if] = ACTIONS(930),
    [anon_sym_else] = ACTIONS(930),
    [anon_sym_for] = ACTIONS(930),
    [anon_sym_AT] = ACTIONS(930),
    [anon_sym_open] = ACTIONS(930),
    [anon_sym_module] = ACTIONS(930),
    [anon_sym_static] = ACTIONS(930),
    [anon_sym_package] = ACTIONS(930),
    [anon_sym_import] = ACTIONS(930),
    [anon_sym_enum] = ACTIONS(930),
    [anon_sym_public] = ACTIONS(930),
    [anon_sym_protected] = ACTIONS(930),
    [anon_sym_private] = ACTIONS(930),
    [anon_sym_abstract] = ACTIONS(930),
    [anon_sym_strictfp] = ACTIONS(930),
    [anon_sym_native] = ACTIONS(930),
    [anon_sym_transient] = ACTIONS(930),
    [anon_sym_volatile] = ACTIONS(930),
    [anon_sym_sealed] = ACTIONS(930),
    [anon_sym_non_DASHsealed] = ACTIONS(928),
    [anon_sym_record] = ACTIONS(930),
    [anon_sym_ATinterface] = ACTIONS(928),
    [anon_sym_interface] = ACTIONS(930),
    [anon_sym_byte] = ACTIONS(930),
    [anon_sym_short] = ACTIONS(930),
    [anon_sym_int] = ACTIONS(930),
    [anon_sym_long] = ACTIONS(930),
    [anon_sym_char] = ACTIONS(930),
    [anon_sym_float] = ACTIONS(930),
    [anon_sym_double] = ACTIONS(930),
    [sym_boolean_type] = ACTIONS(930),
    [sym_void_type] = ACTIONS(930),
    [sym_this] = ACTIONS(930),
    [sym_super] = ACTIONS(930),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [323] = {
    [ts_builtin_sym_end] = ACTIONS(932),
    [sym_identifier] = ACTIONS(934),
    [sym_decimal_integer_literal] = ACTIONS(934),
    [sym_hex_integer_literal] = ACTIONS(934),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(932),
    [sym_decimal_floating_point_literal] = ACTIONS(932),
    [sym_hex_floating_point_literal] = ACTIONS(934),
    [sym_true] = ACTIONS(934),
    [sym_false] = ACTIONS(934),
    [sym_character_literal] = ACTIONS(932),
    [anon_sym_DQUOTE] = ACTIONS(934),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [sym_null_literal] = ACTIONS(934),
    [anon_sym_LPAREN] = ACTIONS(932),
    [anon_sym_PLUS] = ACTIONS(934),
    [anon_sym_DASH] = ACTIONS(934),
    [anon_sym_final] = ACTIONS(934),
    [anon_sym_BANG] = ACTIONS(932),
    [anon_sym_TILDE] = ACTIONS(932),
    [anon_sym_PLUS_PLUS] = ACTIONS(932),
    [anon_sym_DASH_DASH] = ACTIONS(932),
    [anon_sym_new] = ACTIONS(934),
    [anon_sym_class] = ACTIONS(934),
    [anon_sym_switch] = ACTIONS(934),
    [anon_sym_LBRACE] = ACTIONS(932),
    [anon_sym_RBRACE] = ACTIONS(932),
    [anon_sym_case] = ACTIONS(934),
    [anon_sym_default] = ACTIONS(934),
    [anon_sym_SEMI] = ACTIONS(932),
    [anon_sym_assert] = ACTIONS(934),
    [anon_sym_do] = ACTIONS(934),
    [anon_sym_while] = ACTIONS(934),
    [anon_sym_break] = ACTIONS(934),
    [anon_sym_continue] = ACTIONS(934),
    [anon_sym_return] = ACTIONS(934),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_synchronized] = ACTIONS(934),
    [anon_sym_throw] = ACTIONS(934),
    [anon_sym_try] = ACTIONS(934),
    [anon_sym_if] = ACTIONS(934),
    [anon_sym_else] = ACTIONS(934),
    [anon_sym_for] = ACTIONS(934),
    [anon_sym_AT] = ACTIONS(934),
    [anon_sym_open] = ACTIONS(934),
    [anon_sym_module] = ACTIONS(934),
    [anon_sym_static] = ACTIONS(934),
    [anon_sym_package] = ACTIONS(934),
    [anon_sym_import] = ACTIONS(934),
    [anon_sym_enum] = ACTIONS(934),
    [anon_sym_public] = ACTIONS(934),
    [anon_sym_protected] = ACTIONS(934),
    [anon_sym_private] = ACTIONS(934),
    [anon_sym_abstract] = ACTIONS(934),
    [anon_sym_strictfp] = ACTIONS(934),
    [anon_sym_native] = ACTIONS(934),
    [anon_sym_transient] = ACTIONS(934),
    [anon_sym_volatile] = ACTIONS(934),
    [anon_sym_sealed] = ACTIONS(934),
    [anon_sym_non_DASHsealed] = ACTIONS(932),
    [anon_sym_record] = ACTIONS(934),
    [anon_sym_ATinterface] = ACTIONS(932),
    [anon_sym_interface] = ACTIONS(934),
    [anon_sym_byte] = ACTIONS(934),
    [anon_sym_short] = ACTIONS(934),
    [anon_sym_int] = ACTIONS(934),
    [anon_sym_long] = ACTIONS(934),
    [anon_sym_char] = ACTIONS(934),
    [anon_sym_float] = ACTIONS(934),
    [anon_sym_double] = ACTIONS(934),
    [sym_boolean_type] = ACTIONS(934),
    [sym_void_type] = ACTIONS(934),
    [sym_this] = ACTIONS(934),
    [sym_super] = ACTIONS(934),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [324] = {
    [ts_builtin_sym_end] = ACTIONS(936),
    [sym_identifier] = ACTIONS(938),
    [sym_decimal_integer_literal] = ACTIONS(938),
    [sym_hex_integer_literal] = ACTIONS(938),
    [sym_octal_integer_literal] = ACTIONS(936),
    [sym_binary_integer_literal] = ACTIONS(936),
    [sym_decimal_floating_point_literal] = ACTIONS(936),
    [sym_hex_floating_point_literal] = ACTIONS(938),
    [sym_true] = ACTIONS(938),
    [sym_false] = ACTIONS(938),
    [sym_character_literal] = ACTIONS(936),
    [anon_sym_DQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(936),
    [sym_null_literal] = ACTIONS(938),
    [anon_sym_LPAREN] = ACTIONS(936),
    [anon_sym_PLUS] = ACTIONS(938),
    [anon_sym_DASH] = ACTIONS(938),
    [anon_sym_final] = ACTIONS(938),
    [anon_sym_BANG] = ACTIONS(936),
    [anon_sym_TILDE] = ACTIONS(936),
    [anon_sym_PLUS_PLUS] = ACTIONS(936),
    [anon_sym_DASH_DASH] = ACTIONS(936),
    [anon_sym_new] = ACTIONS(938),
    [anon_sym_class] = ACTIONS(938),
    [anon_sym_switch] = ACTIONS(938),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym_RBRACE] = ACTIONS(936),
    [anon_sym_case] = ACTIONS(938),
    [anon_sym_default] = ACTIONS(938),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym_assert] = ACTIONS(938),
    [anon_sym_do] = ACTIONS(938),
    [anon_sym_while] = ACTIONS(938),
    [anon_sym_break] = ACTIONS(938),
    [anon_sym_continue] = ACTIONS(938),
    [anon_sym_return] = ACTIONS(938),
    [anon_sym_yield] = ACTIONS(938),
    [anon_sym_synchronized] = ACTIONS(938),
    [anon_sym_throw] = ACTIONS(938),
    [anon_sym_try] = ACTIONS(938),
    [anon_sym_if] = ACTIONS(938),
    [anon_sym_else] = ACTIONS(938),
    [anon_sym_for] = ACTIONS(938),
    [anon_sym_AT] = ACTIONS(938),
    [anon_sym_open] = ACTIONS(938),
    [anon_sym_module] = ACTIONS(938),
    [anon_sym_static] = ACTIONS(938),
    [anon_sym_package] = ACTIONS(938),
    [anon_sym_import] = ACTIONS(938),
    [anon_sym_enum] = ACTIONS(938),
    [anon_sym_public] = ACTIONS(938),
    [anon_sym_protected] = ACTIONS(938),
    [anon_sym_private] = ACTIONS(938),
    [anon_sym_abstract] = ACTIONS(938),
    [anon_sym_strictfp] = ACTIONS(938),
    [anon_sym_native] = ACTIONS(938),
    [anon_sym_transient] = ACTIONS(938),
    [anon_sym_volatile] = ACTIONS(938),
    [anon_sym_sealed] = ACTIONS(938),
    [anon_sym_non_DASHsealed] = ACTIONS(936),
    [anon_sym_record] = ACTIONS(938),
    [anon_sym_ATinterface] = ACTIONS(936),
    [anon_sym_interface] = ACTIONS(938),
    [anon_sym_byte] = ACTIONS(938),
    [anon_sym_short] = ACTIONS(938),
    [anon_sym_int] = ACTIONS(938),
    [anon_sym_long] = ACTIONS(938),
    [anon_sym_char] = ACTIONS(938),
    [anon_sym_float] = ACTIONS(938),
    [anon_sym_double] = ACTIONS(938),
    [sym_boolean_type] = ACTIONS(938),
    [sym_void_type] = ACTIONS(938),
    [sym_this] = ACTIONS(938),
    [sym_super] = ACTIONS(938),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [325] = {
    [ts_builtin_sym_end] = ACTIONS(940),
    [sym_identifier] = ACTIONS(942),
    [sym_decimal_integer_literal] = ACTIONS(942),
    [sym_hex_integer_literal] = ACTIONS(942),
    [sym_octal_integer_literal] = ACTIONS(940),
    [sym_binary_integer_literal] = ACTIONS(940),
    [sym_decimal_floating_point_literal] = ACTIONS(940),
    [sym_hex_floating_point_literal] = ACTIONS(942),
    [sym_true] = ACTIONS(942),
    [sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [anon_sym_DQUOTE] = ACTIONS(942),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(940),
    [anon_sym_PLUS] = ACTIONS(942),
    [anon_sym_DASH] = ACTIONS(942),
    [anon_sym_final] = ACTIONS(942),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_PLUS_PLUS] = ACTIONS(940),
    [anon_sym_DASH_DASH] = ACTIONS(940),
    [anon_sym_new] = ACTIONS(942),
    [anon_sym_class] = ACTIONS(942),
    [anon_sym_switch] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(940),
    [anon_sym_RBRACE] = ACTIONS(940),
    [anon_sym_case] = ACTIONS(942),
    [anon_sym_default] = ACTIONS(942),
    [anon_sym_SEMI] = ACTIONS(940),
    [anon_sym_assert] = ACTIONS(942),
    [anon_sym_do] = ACTIONS(942),
    [anon_sym_while] = ACTIONS(942),
    [anon_sym_break] = ACTIONS(942),
    [anon_sym_continue] = ACTIONS(942),
    [anon_sym_return] = ACTIONS(942),
    [anon_sym_yield] = ACTIONS(942),
    [anon_sym_synchronized] = ACTIONS(942),
    [anon_sym_throw] = ACTIONS(942),
    [anon_sym_try] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(942),
    [anon_sym_else] = ACTIONS(942),
    [anon_sym_for] = ACTIONS(942),
    [anon_sym_AT] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_module] = ACTIONS(942),
    [anon_sym_static] = ACTIONS(942),
    [anon_sym_package] = ACTIONS(942),
    [anon_sym_import] = ACTIONS(942),
    [anon_sym_enum] = ACTIONS(942),
    [anon_sym_public] = ACTIONS(942),
    [anon_sym_protected] = ACTIONS(942),
    [anon_sym_private] = ACTIONS(942),
    [anon_sym_abstract] = ACTIONS(942),
    [anon_sym_strictfp] = ACTIONS(942),
    [anon_sym_native] = ACTIONS(942),
    [anon_sym_transient] = ACTIONS(942),
    [anon_sym_volatile] = ACTIONS(942),
    [anon_sym_sealed] = ACTIONS(942),
    [anon_sym_non_DASHsealed] = ACTIONS(940),
    [anon_sym_record] = ACTIONS(942),
    [anon_sym_ATinterface] = ACTIONS(940),
    [anon_sym_interface] = ACTIONS(942),
    [anon_sym_byte] = ACTIONS(942),
    [anon_sym_short] = ACTIONS(942),
    [anon_sym_int] = ACTIONS(942),
    [anon_sym_long] = ACTIONS(942),
    [anon_sym_char] = ACTIONS(942),
    [anon_sym_float] = ACTIONS(942),
    [anon_sym_double] = ACTIONS(942),
    [sym_boolean_type] = ACTIONS(942),
    [sym_void_type] = ACTIONS(942),
    [sym_this] = ACTIONS(942),
    [sym_super] = ACTIONS(942),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [326] = {
    [ts_builtin_sym_end] = ACTIONS(944),
    [sym_identifier] = ACTIONS(946),
    [sym_decimal_integer_literal] = ACTIONS(946),
    [sym_hex_integer_literal] = ACTIONS(946),
    [sym_octal_integer_literal] = ACTIONS(944),
    [sym_binary_integer_literal] = ACTIONS(944),
    [sym_decimal_floating_point_literal] = ACTIONS(944),
    [sym_hex_floating_point_literal] = ACTIONS(946),
    [sym_true] = ACTIONS(946),
    [sym_false] = ACTIONS(946),
    [sym_character_literal] = ACTIONS(944),
    [anon_sym_DQUOTE] = ACTIONS(946),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(944),
    [sym_null_literal] = ACTIONS(946),
    [anon_sym_LPAREN] = ACTIONS(944),
    [anon_sym_PLUS] = ACTIONS(946),
    [anon_sym_DASH] = ACTIONS(946),
    [anon_sym_final] = ACTIONS(946),
    [anon_sym_BANG] = ACTIONS(944),
    [anon_sym_TILDE] = ACTIONS(944),
    [anon_sym_PLUS_PLUS] = ACTIONS(944),
    [anon_sym_DASH_DASH] = ACTIONS(944),
    [anon_sym_new] = ACTIONS(946),
    [anon_sym_class] = ACTIONS(946),
    [anon_sym_switch] = ACTIONS(946),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(944),
    [anon_sym_case] = ACTIONS(946),
    [anon_sym_default] = ACTIONS(946),
    [anon_sym_SEMI] = ACTIONS(944),
    [anon_sym_assert] = ACTIONS(946),
    [anon_sym_do] = ACTIONS(946),
    [anon_sym_while] = ACTIONS(946),
    [anon_sym_break] = ACTIONS(946),
    [anon_sym_continue] = ACTIONS(946),
    [anon_sym_return] = ACTIONS(946),
    [anon_sym_yield] = ACTIONS(946),
    [anon_sym_synchronized] = ACTIONS(946),
    [anon_sym_throw] = ACTIONS(946),
    [anon_sym_try] = ACTIONS(946),
    [anon_sym_if] = ACTIONS(946),
    [anon_sym_else] = ACTIONS(946),
    [anon_sym_for] = ACTIONS(946),
    [anon_sym_AT] = ACTIONS(946),
    [anon_sym_open] = ACTIONS(946),
    [anon_sym_module] = ACTIONS(946),
    [anon_sym_static] = ACTIONS(946),
    [anon_sym_package] = ACTIONS(946),
    [anon_sym_import] = ACTIONS(946),
    [anon_sym_enum] = ACTIONS(946),
    [anon_sym_public] = ACTIONS(946),
    [anon_sym_protected] = ACTIONS(946),
    [anon_sym_private] = ACTIONS(946),
    [anon_sym_abstract] = ACTIONS(946),
    [anon_sym_strictfp] = ACTIONS(946),
    [anon_sym_native] = ACTIONS(946),
    [anon_sym_transient] = ACTIONS(946),
    [anon_sym_volatile] = ACTIONS(946),
    [anon_sym_sealed] = ACTIONS(946),
    [anon_sym_non_DASHsealed] = ACTIONS(944),
    [anon_sym_record] = ACTIONS(946),
    [anon_sym_ATinterface] = ACTIONS(944),
    [anon_sym_interface] = ACTIONS(946),
    [anon_sym_byte] = ACTIONS(946),
    [anon_sym_short] = ACTIONS(946),
    [anon_sym_int] = ACTIONS(946),
    [anon_sym_long] = ACTIONS(946),
    [anon_sym_char] = ACTIONS(946),
    [anon_sym_float] = ACTIONS(946),
    [anon_sym_double] = ACTIONS(946),
    [sym_boolean_type] = ACTIONS(946),
    [sym_void_type] = ACTIONS(946),
    [sym_this] = ACTIONS(946),
    [sym_super] = ACTIONS(946),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [327] = {
    [ts_builtin_sym_end] = ACTIONS(948),
    [sym_identifier] = ACTIONS(950),
    [sym_decimal_integer_literal] = ACTIONS(950),
    [sym_hex_integer_literal] = ACTIONS(950),
    [sym_octal_integer_literal] = ACTIONS(948),
    [sym_binary_integer_literal] = ACTIONS(948),
    [sym_decimal_floating_point_literal] = ACTIONS(948),
    [sym_hex_floating_point_literal] = ACTIONS(950),
    [sym_true] = ACTIONS(950),
    [sym_false] = ACTIONS(950),
    [sym_character_literal] = ACTIONS(948),
    [anon_sym_DQUOTE] = ACTIONS(950),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(948),
    [sym_null_literal] = ACTIONS(950),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_final] = ACTIONS(950),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS_PLUS] = ACTIONS(948),
    [anon_sym_DASH_DASH] = ACTIONS(948),
    [anon_sym_new] = ACTIONS(950),
    [anon_sym_class] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(950),
    [anon_sym_LBRACE] = ACTIONS(948),
    [anon_sym_RBRACE] = ACTIONS(948),
    [anon_sym_case] = ACTIONS(950),
    [anon_sym_default] = ACTIONS(950),
    [anon_sym_SEMI] = ACTIONS(948),
    [anon_sym_assert] = ACTIONS(950),
    [anon_sym_do] = ACTIONS(950),
    [anon_sym_while] = ACTIONS(950),
    [anon_sym_break] = ACTIONS(950),
    [anon_sym_continue] = ACTIONS(950),
    [anon_sym_return] = ACTIONS(950),
    [anon_sym_yield] = ACTIONS(950),
    [anon_sym_synchronized] = ACTIONS(950),
    [anon_sym_throw] = ACTIONS(950),
    [anon_sym_try] = ACTIONS(950),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_else] = ACTIONS(950),
    [anon_sym_for] = ACTIONS(950),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_open] = ACTIONS(950),
    [anon_sym_module] = ACTIONS(950),
    [anon_sym_static] = ACTIONS(950),
    [anon_sym_package] = ACTIONS(950),
    [anon_sym_import] = ACTIONS(950),
    [anon_sym_enum] = ACTIONS(950),
    [anon_sym_public] = ACTIONS(950),
    [anon_sym_protected] = ACTIONS(950),
    [anon_sym_private] = ACTIONS(950),
    [anon_sym_abstract] = ACTIONS(950),
    [anon_sym_strictfp] = ACTIONS(950),
    [anon_sym_native] = ACTIONS(950),
    [anon_sym_transient] = ACTIONS(950),
    [anon_sym_volatile] = ACTIONS(950),
    [anon_sym_sealed] = ACTIONS(950),
    [anon_sym_non_DASHsealed] = ACTIONS(948),
    [anon_sym_record] = ACTIONS(950),
    [anon_sym_ATinterface] = ACTIONS(948),
    [anon_sym_interface] = ACTIONS(950),
    [anon_sym_byte] = ACTIONS(950),
    [anon_sym_short] = ACTIONS(950),
    [anon_sym_int] = ACTIONS(950),
    [anon_sym_long] = ACTIONS(950),
    [anon_sym_char] = ACTIONS(950),
    [anon_sym_float] = ACTIONS(950),
    [anon_sym_double] = ACTIONS(950),
    [sym_boolean_type] = ACTIONS(950),
    [sym_void_type] = ACTIONS(950),
    [sym_this] = ACTIONS(950),
    [sym_super] = ACTIONS(950),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [328] = {
    [ts_builtin_sym_end] = ACTIONS(952),
    [sym_identifier] = ACTIONS(954),
    [sym_decimal_integer_literal] = ACTIONS(954),
    [sym_hex_integer_literal] = ACTIONS(954),
    [sym_octal_integer_literal] = ACTIONS(952),
    [sym_binary_integer_literal] = ACTIONS(952),
    [sym_decimal_floating_point_literal] = ACTIONS(952),
    [sym_hex_floating_point_literal] = ACTIONS(954),
    [sym_true] = ACTIONS(954),
    [sym_false] = ACTIONS(954),
    [sym_character_literal] = ACTIONS(952),
    [anon_sym_DQUOTE] = ACTIONS(954),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(952),
    [sym_null_literal] = ACTIONS(954),
    [anon_sym_LPAREN] = ACTIONS(952),
    [anon_sym_PLUS] = ACTIONS(954),
    [anon_sym_DASH] = ACTIONS(954),
    [anon_sym_final] = ACTIONS(954),
    [anon_sym_BANG] = ACTIONS(952),
    [anon_sym_TILDE] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_class] = ACTIONS(954),
    [anon_sym_switch] = ACTIONS(954),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym_RBRACE] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(954),
    [anon_sym_SEMI] = ACTIONS(952),
    [anon_sym_assert] = ACTIONS(954),
    [anon_sym_do] = ACTIONS(954),
    [anon_sym_while] = ACTIONS(954),
    [anon_sym_break] = ACTIONS(954),
    [anon_sym_continue] = ACTIONS(954),
    [anon_sym_return] = ACTIONS(954),
    [anon_sym_yield] = ACTIONS(954),
    [anon_sym_synchronized] = ACTIONS(954),
    [anon_sym_throw] = ACTIONS(954),
    [anon_sym_try] = ACTIONS(954),
    [anon_sym_if] = ACTIONS(954),
    [anon_sym_else] = ACTIONS(954),
    [anon_sym_for] = ACTIONS(954),
    [anon_sym_AT] = ACTIONS(954),
    [anon_sym_open] = ACTIONS(954),
    [anon_sym_module] = ACTIONS(954),
    [anon_sym_static] = ACTIONS(954),
    [anon_sym_package] = ACTIONS(954),
    [anon_sym_import] = ACTIONS(954),
    [anon_sym_enum] = ACTIONS(954),
    [anon_sym_public] = ACTIONS(954),
    [anon_sym_protected] = ACTIONS(954),
    [anon_sym_private] = ACTIONS(954),
    [anon_sym_abstract] = ACTIONS(954),
    [anon_sym_strictfp] = ACTIONS(954),
    [anon_sym_native] = ACTIONS(954),
    [anon_sym_transient] = ACTIONS(954),
    [anon_sym_volatile] = ACTIONS(954),
    [anon_sym_sealed] = ACTIONS(954),
    [anon_sym_non_DASHsealed] = ACTIONS(952),
    [anon_sym_record] = ACTIONS(954),
    [anon_sym_ATinterface] = ACTIONS(952),
    [anon_sym_interface] = ACTIONS(954),
    [anon_sym_byte] = ACTIONS(954),
    [anon_sym_short] = ACTIONS(954),
    [anon_sym_int] = ACTIONS(954),
    [anon_sym_long] = ACTIONS(954),
    [anon_sym_char] = ACTIONS(954),
    [anon_sym_float] = ACTIONS(954),
    [anon_sym_double] = ACTIONS(954),
    [sym_boolean_type] = ACTIONS(954),
    [sym_void_type] = ACTIONS(954),
    [sym_this] = ACTIONS(954),
    [sym_super] = ACTIONS(954),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [329] = {
    [ts_builtin_sym_end] = ACTIONS(956),
    [sym_identifier] = ACTIONS(958),
    [sym_decimal_integer_literal] = ACTIONS(958),
    [sym_hex_integer_literal] = ACTIONS(958),
    [sym_octal_integer_literal] = ACTIONS(956),
    [sym_binary_integer_literal] = ACTIONS(956),
    [sym_decimal_floating_point_literal] = ACTIONS(956),
    [sym_hex_floating_point_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(958),
    [sym_false] = ACTIONS(958),
    [sym_character_literal] = ACTIONS(956),
    [anon_sym_DQUOTE] = ACTIONS(958),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(956),
    [sym_null_literal] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(956),
    [anon_sym_PLUS] = ACTIONS(958),
    [anon_sym_DASH] = ACTIONS(958),
    [anon_sym_final] = ACTIONS(958),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_PLUS_PLUS] = ACTIONS(956),
    [anon_sym_DASH_DASH] = ACTIONS(956),
    [anon_sym_new] = ACTIONS(958),
    [anon_sym_class] = ACTIONS(958),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(956),
    [anon_sym_RBRACE] = ACTIONS(956),
    [anon_sym_case] = ACTIONS(958),
    [anon_sym_default] = ACTIONS(958),
    [anon_sym_SEMI] = ACTIONS(956),
    [anon_sym_assert] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(958),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_break] = ACTIONS(958),
    [anon_sym_continue] = ACTIONS(958),
    [anon_sym_return] = ACTIONS(958),
    [anon_sym_yield] = ACTIONS(958),
    [anon_sym_synchronized] = ACTIONS(958),
    [anon_sym_throw] = ACTIONS(958),
    [anon_sym_try] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(958),
    [anon_sym_else] = ACTIONS(958),
    [anon_sym_for] = ACTIONS(958),
    [anon_sym_AT] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_package] = ACTIONS(958),
    [anon_sym_import] = ACTIONS(958),
    [anon_sym_enum] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_abstract] = ACTIONS(958),
    [anon_sym_strictfp] = ACTIONS(958),
    [anon_sym_native] = ACTIONS(958),
    [anon_sym_transient] = ACTIONS(958),
    [anon_sym_volatile] = ACTIONS(958),
    [anon_sym_sealed] = ACTIONS(958),
    [anon_sym_non_DASHsealed] = ACTIONS(956),
    [anon_sym_record] = ACTIONS(958),
    [anon_sym_ATinterface] = ACTIONS(956),
    [anon_sym_interface] = ACTIONS(958),
    [anon_sym_byte] = ACTIONS(958),
    [anon_sym_short] = ACTIONS(958),
    [anon_sym_int] = ACTIONS(958),
    [anon_sym_long] = ACTIONS(958),
    [anon_sym_char] = ACTIONS(958),
    [anon_sym_float] = ACTIONS(958),
    [anon_sym_double] = ACTIONS(958),
    [sym_boolean_type] = ACTIONS(958),
    [sym_void_type] = ACTIONS(958),
    [sym_this] = ACTIONS(958),
    [sym_super] = ACTIONS(958),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [330] = {
    [ts_builtin_sym_end] = ACTIONS(960),
    [sym_identifier] = ACTIONS(962),
    [sym_decimal_integer_literal] = ACTIONS(962),
    [sym_hex_integer_literal] = ACTIONS(962),
    [sym_octal_integer_literal] = ACTIONS(960),
    [sym_binary_integer_literal] = ACTIONS(960),
    [sym_decimal_floating_point_literal] = ACTIONS(960),
    [sym_hex_floating_point_literal] = ACTIONS(962),
    [sym_true] = ACTIONS(962),
    [sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [anon_sym_DQUOTE] = ACTIONS(962),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(962),
    [anon_sym_LPAREN] = ACTIONS(960),
    [anon_sym_PLUS] = ACTIONS(962),
    [anon_sym_DASH] = ACTIONS(962),
    [anon_sym_final] = ACTIONS(962),
    [anon_sym_BANG] = ACTIONS(960),
    [anon_sym_TILDE] = ACTIONS(960),
    [anon_sym_PLUS_PLUS] = ACTIONS(960),
    [anon_sym_DASH_DASH] = ACTIONS(960),
    [anon_sym_new] = ACTIONS(962),
    [anon_sym_class] = ACTIONS(962),
    [anon_sym_switch] = ACTIONS(962),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_RBRACE] = ACTIONS(960),
    [anon_sym_case] = ACTIONS(962),
    [anon_sym_default] = ACTIONS(962),
    [anon_sym_SEMI] = ACTIONS(960),
    [anon_sym_assert] = ACTIONS(962),
    [anon_sym_do] = ACTIONS(962),
    [anon_sym_while] = ACTIONS(962),
    [anon_sym_break] = ACTIONS(962),
    [anon_sym_continue] = ACTIONS(962),
    [anon_sym_return] = ACTIONS(962),
    [anon_sym_yield] = ACTIONS(962),
    [anon_sym_synchronized] = ACTIONS(962),
    [anon_sym_throw] = ACTIONS(962),
    [anon_sym_try] = ACTIONS(962),
    [anon_sym_if] = ACTIONS(962),
    [anon_sym_else] = ACTIONS(962),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_AT] = ACTIONS(962),
    [anon_sym_open] = ACTIONS(962),
    [anon_sym_module] = ACTIONS(962),
    [anon_sym_static] = ACTIONS(962),
    [anon_sym_package] = ACTIONS(962),
    [anon_sym_import] = ACTIONS(962),
    [anon_sym_enum] = ACTIONS(962),
    [anon_sym_public] = ACTIONS(962),
    [anon_sym_protected] = ACTIONS(962),
    [anon_sym_private] = ACTIONS(962),
    [anon_sym_abstract] = ACTIONS(962),
    [anon_sym_strictfp] = ACTIONS(962),
    [anon_sym_native] = ACTIONS(962),
    [anon_sym_transient] = ACTIONS(962),
    [anon_sym_volatile] = ACTIONS(962),
    [anon_sym_sealed] = ACTIONS(962),
    [anon_sym_non_DASHsealed] = ACTIONS(960),
    [anon_sym_record] = ACTIONS(962),
    [anon_sym_ATinterface] = ACTIONS(960),
    [anon_sym_interface] = ACTIONS(962),
    [anon_sym_byte] = ACTIONS(962),
    [anon_sym_short] = ACTIONS(962),
    [anon_sym_int] = ACTIONS(962),
    [anon_sym_long] = ACTIONS(962),
    [anon_sym_char] = ACTIONS(962),
    [anon_sym_float] = ACTIONS(962),
    [anon_sym_double] = ACTIONS(962),
    [sym_boolean_type] = ACTIONS(962),
    [sym_void_type] = ACTIONS(962),
    [sym_this] = ACTIONS(962),
    [sym_super] = ACTIONS(962),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [331] = {
    [ts_builtin_sym_end] = ACTIONS(964),
    [sym_identifier] = ACTIONS(966),
    [sym_decimal_integer_literal] = ACTIONS(966),
    [sym_hex_integer_literal] = ACTIONS(966),
    [sym_octal_integer_literal] = ACTIONS(964),
    [sym_binary_integer_literal] = ACTIONS(964),
    [sym_decimal_floating_point_literal] = ACTIONS(964),
    [sym_hex_floating_point_literal] = ACTIONS(966),
    [sym_true] = ACTIONS(966),
    [sym_false] = ACTIONS(966),
    [sym_character_literal] = ACTIONS(964),
    [anon_sym_DQUOTE] = ACTIONS(966),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(964),
    [sym_null_literal] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_final] = ACTIONS(966),
    [anon_sym_BANG] = ACTIONS(964),
    [anon_sym_TILDE] = ACTIONS(964),
    [anon_sym_PLUS_PLUS] = ACTIONS(964),
    [anon_sym_DASH_DASH] = ACTIONS(964),
    [anon_sym_new] = ACTIONS(966),
    [anon_sym_class] = ACTIONS(966),
    [anon_sym_switch] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(964),
    [anon_sym_RBRACE] = ACTIONS(964),
    [anon_sym_case] = ACTIONS(966),
    [anon_sym_default] = ACTIONS(966),
    [anon_sym_SEMI] = ACTIONS(964),
    [anon_sym_assert] = ACTIONS(966),
    [anon_sym_do] = ACTIONS(966),
    [anon_sym_while] = ACTIONS(966),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(966),
    [anon_sym_return] = ACTIONS(966),
    [anon_sym_yield] = ACTIONS(966),
    [anon_sym_synchronized] = ACTIONS(966),
    [anon_sym_throw] = ACTIONS(966),
    [anon_sym_try] = ACTIONS(966),
    [anon_sym_if] = ACTIONS(966),
    [anon_sym_else] = ACTIONS(966),
    [anon_sym_for] = ACTIONS(966),
    [anon_sym_AT] = ACTIONS(966),
    [anon_sym_open] = ACTIONS(966),
    [anon_sym_module] = ACTIONS(966),
    [anon_sym_static] = ACTIONS(966),
    [anon_sym_package] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(966),
    [anon_sym_enum] = ACTIONS(966),
    [anon_sym_public] = ACTIONS(966),
    [anon_sym_protected] = ACTIONS(966),
    [anon_sym_private] = ACTIONS(966),
    [anon_sym_abstract] = ACTIONS(966),
    [anon_sym_strictfp] = ACTIONS(966),
    [anon_sym_native] = ACTIONS(966),
    [anon_sym_transient] = ACTIONS(966),
    [anon_sym_volatile] = ACTIONS(966),
    [anon_sym_sealed] = ACTIONS(966),
    [anon_sym_non_DASHsealed] = ACTIONS(964),
    [anon_sym_record] = ACTIONS(966),
    [anon_sym_ATinterface] = ACTIONS(964),
    [anon_sym_interface] = ACTIONS(966),
    [anon_sym_byte] = ACTIONS(966),
    [anon_sym_short] = ACTIONS(966),
    [anon_sym_int] = ACTIONS(966),
    [anon_sym_long] = ACTIONS(966),
    [anon_sym_char] = ACTIONS(966),
    [anon_sym_float] = ACTIONS(966),
    [anon_sym_double] = ACTIONS(966),
    [sym_boolean_type] = ACTIONS(966),
    [sym_void_type] = ACTIONS(966),
    [sym_this] = ACTIONS(966),
    [sym_super] = ACTIONS(966),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [332] = {
    [ts_builtin_sym_end] = ACTIONS(968),
    [sym_identifier] = ACTIONS(970),
    [sym_decimal_integer_literal] = ACTIONS(970),
    [sym_hex_integer_literal] = ACTIONS(970),
    [sym_octal_integer_literal] = ACTIONS(968),
    [sym_binary_integer_literal] = ACTIONS(968),
    [sym_decimal_floating_point_literal] = ACTIONS(968),
    [sym_hex_floating_point_literal] = ACTIONS(970),
    [sym_true] = ACTIONS(970),
    [sym_false] = ACTIONS(970),
    [sym_character_literal] = ACTIONS(968),
    [anon_sym_DQUOTE] = ACTIONS(970),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(968),
    [sym_null_literal] = ACTIONS(970),
    [anon_sym_LPAREN] = ACTIONS(968),
    [anon_sym_PLUS] = ACTIONS(970),
    [anon_sym_DASH] = ACTIONS(970),
    [anon_sym_final] = ACTIONS(970),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(968),
    [anon_sym_DASH_DASH] = ACTIONS(968),
    [anon_sym_new] = ACTIONS(970),
    [anon_sym_class] = ACTIONS(970),
    [anon_sym_switch] = ACTIONS(970),
    [anon_sym_LBRACE] = ACTIONS(968),
    [anon_sym_RBRACE] = ACTIONS(968),
    [anon_sym_case] = ACTIONS(970),
    [anon_sym_default] = ACTIONS(970),
    [anon_sym_SEMI] = ACTIONS(968),
    [anon_sym_assert] = ACTIONS(970),
    [anon_sym_do] = ACTIONS(970),
    [anon_sym_while] = ACTIONS(970),
    [anon_sym_break] = ACTIONS(970),
    [anon_sym_continue] = ACTIONS(970),
    [anon_sym_return] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_synchronized] = ACTIONS(970),
    [anon_sym_throw] = ACTIONS(970),
    [anon_sym_try] = ACTIONS(970),
    [anon_sym_if] = ACTIONS(970),
    [anon_sym_else] = ACTIONS(970),
    [anon_sym_for] = ACTIONS(970),
    [anon_sym_AT] = ACTIONS(970),
    [anon_sym_open] = ACTIONS(970),
    [anon_sym_module] = ACTIONS(970),
    [anon_sym_static] = ACTIONS(970),
    [anon_sym_package] = ACTIONS(970),
    [anon_sym_import] = ACTIONS(970),
    [anon_sym_enum] = ACTIONS(970),
    [anon_sym_public] = ACTIONS(970),
    [anon_sym_protected] = ACTIONS(970),
    [anon_sym_private] = ACTIONS(970),
    [anon_sym_abstract] = ACTIONS(970),
    [anon_sym_strictfp] = ACTIONS(970),
    [anon_sym_native] = ACTIONS(970),
    [anon_sym_transient] = ACTIONS(970),
    [anon_sym_volatile] = ACTIONS(970),
    [anon_sym_sealed] = ACTIONS(970),
    [anon_sym_non_DASHsealed] = ACTIONS(968),
    [anon_sym_record] = ACTIONS(970),
    [anon_sym_ATinterface] = ACTIONS(968),
    [anon_sym_interface] = ACTIONS(970),
    [anon_sym_byte] = ACTIONS(970),
    [anon_sym_short] = ACTIONS(970),
    [anon_sym_int] = ACTIONS(970),
    [anon_sym_long] = ACTIONS(970),
    [anon_sym_char] = ACTIONS(970),
    [anon_sym_float] = ACTIONS(970),
    [anon_sym_double] = ACTIONS(970),
    [sym_boolean_type] = ACTIONS(970),
    [sym_void_type] = ACTIONS(970),
    [sym_this] = ACTIONS(970),
    [sym_super] = ACTIONS(970),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [333] = {
    [ts_builtin_sym_end] = ACTIONS(972),
    [sym_identifier] = ACTIONS(974),
    [sym_decimal_integer_literal] = ACTIONS(974),
    [sym_hex_integer_literal] = ACTIONS(974),
    [sym_octal_integer_literal] = ACTIONS(972),
    [sym_binary_integer_literal] = ACTIONS(972),
    [sym_decimal_floating_point_literal] = ACTIONS(972),
    [sym_hex_floating_point_literal] = ACTIONS(974),
    [sym_true] = ACTIONS(974),
    [sym_false] = ACTIONS(974),
    [sym_character_literal] = ACTIONS(972),
    [anon_sym_DQUOTE] = ACTIONS(974),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(972),
    [sym_null_literal] = ACTIONS(974),
    [anon_sym_LPAREN] = ACTIONS(972),
    [anon_sym_PLUS] = ACTIONS(974),
    [anon_sym_DASH] = ACTIONS(974),
    [anon_sym_final] = ACTIONS(974),
    [anon_sym_BANG] = ACTIONS(972),
    [anon_sym_TILDE] = ACTIONS(972),
    [anon_sym_PLUS_PLUS] = ACTIONS(972),
    [anon_sym_DASH_DASH] = ACTIONS(972),
    [anon_sym_new] = ACTIONS(974),
    [anon_sym_class] = ACTIONS(974),
    [anon_sym_switch] = ACTIONS(974),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym_RBRACE] = ACTIONS(972),
    [anon_sym_case] = ACTIONS(974),
    [anon_sym_default] = ACTIONS(974),
    [anon_sym_SEMI] = ACTIONS(972),
    [anon_sym_assert] = ACTIONS(974),
    [anon_sym_do] = ACTIONS(974),
    [anon_sym_while] = ACTIONS(974),
    [anon_sym_break] = ACTIONS(974),
    [anon_sym_continue] = ACTIONS(974),
    [anon_sym_return] = ACTIONS(974),
    [anon_sym_yield] = ACTIONS(974),
    [anon_sym_synchronized] = ACTIONS(974),
    [anon_sym_throw] = ACTIONS(974),
    [anon_sym_try] = ACTIONS(974),
    [anon_sym_if] = ACTIONS(974),
    [anon_sym_else] = ACTIONS(974),
    [anon_sym_for] = ACTIONS(974),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_open] = ACTIONS(974),
    [anon_sym_module] = ACTIONS(974),
    [anon_sym_static] = ACTIONS(974),
    [anon_sym_package] = ACTIONS(974),
    [anon_sym_import] = ACTIONS(974),
    [anon_sym_enum] = ACTIONS(974),
    [anon_sym_public] = ACTIONS(974),
    [anon_sym_protected] = ACTIONS(974),
    [anon_sym_private] = ACTIONS(974),
    [anon_sym_abstract] = ACTIONS(974),
    [anon_sym_strictfp] = ACTIONS(974),
    [anon_sym_native] = ACTIONS(974),
    [anon_sym_transient] = ACTIONS(974),
    [anon_sym_volatile] = ACTIONS(974),
    [anon_sym_sealed] = ACTIONS(974),
    [anon_sym_non_DASHsealed] = ACTIONS(972),
    [anon_sym_record] = ACTIONS(974),
    [anon_sym_ATinterface] = ACTIONS(972),
    [anon_sym_interface] = ACTIONS(974),
    [anon_sym_byte] = ACTIONS(974),
    [anon_sym_short] = ACTIONS(974),
    [anon_sym_int] = ACTIONS(974),
    [anon_sym_long] = ACTIONS(974),
    [anon_sym_char] = ACTIONS(974),
    [anon_sym_float] = ACTIONS(974),
    [anon_sym_double] = ACTIONS(974),
    [sym_boolean_type] = ACTIONS(974),
    [sym_void_type] = ACTIONS(974),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(974),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [334] = {
    [ts_builtin_sym_end] = ACTIONS(976),
    [sym_identifier] = ACTIONS(978),
    [sym_decimal_integer_literal] = ACTIONS(978),
    [sym_hex_integer_literal] = ACTIONS(978),
    [sym_octal_integer_literal] = ACTIONS(976),
    [sym_binary_integer_literal] = ACTIONS(976),
    [sym_decimal_floating_point_literal] = ACTIONS(976),
    [sym_hex_floating_point_literal] = ACTIONS(978),
    [sym_true] = ACTIONS(978),
    [sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [anon_sym_DQUOTE] = ACTIONS(978),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(976),
    [anon_sym_PLUS] = ACTIONS(978),
    [anon_sym_DASH] = ACTIONS(978),
    [anon_sym_final] = ACTIONS(978),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_PLUS_PLUS] = ACTIONS(976),
    [anon_sym_DASH_DASH] = ACTIONS(976),
    [anon_sym_new] = ACTIONS(978),
    [anon_sym_class] = ACTIONS(978),
    [anon_sym_switch] = ACTIONS(978),
    [anon_sym_LBRACE] = ACTIONS(976),
    [anon_sym_RBRACE] = ACTIONS(976),
    [anon_sym_case] = ACTIONS(978),
    [anon_sym_default] = ACTIONS(978),
    [anon_sym_SEMI] = ACTIONS(976),
    [anon_sym_assert] = ACTIONS(978),
    [anon_sym_do] = ACTIONS(978),
    [anon_sym_while] = ACTIONS(978),
    [anon_sym_break] = ACTIONS(978),
    [anon_sym_continue] = ACTIONS(978),
    [anon_sym_return] = ACTIONS(978),
    [anon_sym_yield] = ACTIONS(978),
    [anon_sym_synchronized] = ACTIONS(978),
    [anon_sym_throw] = ACTIONS(978),
    [anon_sym_try] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(978),
    [anon_sym_else] = ACTIONS(978),
    [anon_sym_for] = ACTIONS(978),
    [anon_sym_AT] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_module] = ACTIONS(978),
    [anon_sym_static] = ACTIONS(978),
    [anon_sym_package] = ACTIONS(978),
    [anon_sym_import] = ACTIONS(978),
    [anon_sym_enum] = ACTIONS(978),
    [anon_sym_public] = ACTIONS(978),
    [anon_sym_protected] = ACTIONS(978),
    [anon_sym_private] = ACTIONS(978),
    [anon_sym_abstract] = ACTIONS(978),
    [anon_sym_strictfp] = ACTIONS(978),
    [anon_sym_native] = ACTIONS(978),
    [anon_sym_transient] = ACTIONS(978),
    [anon_sym_volatile] = ACTIONS(978),
    [anon_sym_sealed] = ACTIONS(978),
    [anon_sym_non_DASHsealed] = ACTIONS(976),
    [anon_sym_record] = ACTIONS(978),
    [anon_sym_ATinterface] = ACTIONS(976),
    [anon_sym_interface] = ACTIONS(978),
    [anon_sym_byte] = ACTIONS(978),
    [anon_sym_short] = ACTIONS(978),
    [anon_sym_int] = ACTIONS(978),
    [anon_sym_long] = ACTIONS(978),
    [anon_sym_char] = ACTIONS(978),
    [anon_sym_float] = ACTIONS(978),
    [anon_sym_double] = ACTIONS(978),
    [sym_boolean_type] = ACTIONS(978),
    [sym_void_type] = ACTIONS(978),
    [sym_this] = ACTIONS(978),
    [sym_super] = ACTIONS(978),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [335] = {
    [ts_builtin_sym_end] = ACTIONS(980),
    [sym_identifier] = ACTIONS(982),
    [sym_decimal_integer_literal] = ACTIONS(982),
    [sym_hex_integer_literal] = ACTIONS(982),
    [sym_octal_integer_literal] = ACTIONS(980),
    [sym_binary_integer_literal] = ACTIONS(980),
    [sym_decimal_floating_point_literal] = ACTIONS(980),
    [sym_hex_floating_point_literal] = ACTIONS(982),
    [sym_true] = ACTIONS(982),
    [sym_false] = ACTIONS(982),
    [sym_character_literal] = ACTIONS(980),
    [anon_sym_DQUOTE] = ACTIONS(982),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(980),
    [sym_null_literal] = ACTIONS(982),
    [anon_sym_LPAREN] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(982),
    [anon_sym_DASH] = ACTIONS(982),
    [anon_sym_final] = ACTIONS(982),
    [anon_sym_BANG] = ACTIONS(980),
    [anon_sym_TILDE] = ACTIONS(980),
    [anon_sym_PLUS_PLUS] = ACTIONS(980),
    [anon_sym_DASH_DASH] = ACTIONS(980),
    [anon_sym_new] = ACTIONS(982),
    [anon_sym_class] = ACTIONS(982),
    [anon_sym_switch] = ACTIONS(982),
    [anon_sym_LBRACE] = ACTIONS(980),
    [anon_sym_RBRACE] = ACTIONS(980),
    [anon_sym_case] = ACTIONS(982),
    [anon_sym_default] = ACTIONS(982),
    [anon_sym_SEMI] = ACTIONS(980),
    [anon_sym_assert] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(982),
    [anon_sym_while] = ACTIONS(982),
    [anon_sym_break] = ACTIONS(982),
    [anon_sym_continue] = ACTIONS(982),
    [anon_sym_return] = ACTIONS(982),
    [anon_sym_yield] = ACTIONS(982),
    [anon_sym_synchronized] = ACTIONS(982),
    [anon_sym_throw] = ACTIONS(982),
    [anon_sym_try] = ACTIONS(982),
    [anon_sym_if] = ACTIONS(982),
    [anon_sym_else] = ACTIONS(982),
    [anon_sym_for] = ACTIONS(982),
    [anon_sym_AT] = ACTIONS(982),
    [anon_sym_open] = ACTIONS(982),
    [anon_sym_module] = ACTIONS(982),
    [anon_sym_static] = ACTIONS(982),
    [anon_sym_package] = ACTIONS(982),
    [anon_sym_import] = ACTIONS(982),
    [anon_sym_enum] = ACTIONS(982),
    [anon_sym_public] = ACTIONS(982),
    [anon_sym_protected] = ACTIONS(982),
    [anon_sym_private] = ACTIONS(982),
    [anon_sym_abstract] = ACTIONS(982),
    [anon_sym_strictfp] = ACTIONS(982),
    [anon_sym_native] = ACTIONS(982),
    [anon_sym_transient] = ACTIONS(982),
    [anon_sym_volatile] = ACTIONS(982),
    [anon_sym_sealed] = ACTIONS(982),
    [anon_sym_non_DASHsealed] = ACTIONS(980),
    [anon_sym_record] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(980),
    [anon_sym_interface] = ACTIONS(982),
    [anon_sym_byte] = ACTIONS(982),
    [anon_sym_short] = ACTIONS(982),
    [anon_sym_int] = ACTIONS(982),
    [anon_sym_long] = ACTIONS(982),
    [anon_sym_char] = ACTIONS(982),
    [anon_sym_float] = ACTIONS(982),
    [anon_sym_double] = ACTIONS(982),
    [sym_boolean_type] = ACTIONS(982),
    [sym_void_type] = ACTIONS(982),
    [sym_this] = ACTIONS(982),
    [sym_super] = ACTIONS(982),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [336] = {
    [ts_builtin_sym_end] = ACTIONS(984),
    [sym_identifier] = ACTIONS(986),
    [sym_decimal_integer_literal] = ACTIONS(986),
    [sym_hex_integer_literal] = ACTIONS(986),
    [sym_octal_integer_literal] = ACTIONS(984),
    [sym_binary_integer_literal] = ACTIONS(984),
    [sym_decimal_floating_point_literal] = ACTIONS(984),
    [sym_hex_floating_point_literal] = ACTIONS(986),
    [sym_true] = ACTIONS(986),
    [sym_false] = ACTIONS(986),
    [sym_character_literal] = ACTIONS(984),
    [anon_sym_DQUOTE] = ACTIONS(986),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(984),
    [sym_null_literal] = ACTIONS(986),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_PLUS] = ACTIONS(986),
    [anon_sym_DASH] = ACTIONS(986),
    [anon_sym_final] = ACTIONS(986),
    [anon_sym_BANG] = ACTIONS(984),
    [anon_sym_TILDE] = ACTIONS(984),
    [anon_sym_PLUS_PLUS] = ACTIONS(984),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [anon_sym_new] = ACTIONS(986),
    [anon_sym_class] = ACTIONS(986),
    [anon_sym_switch] = ACTIONS(986),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_RBRACE] = ACTIONS(984),
    [anon_sym_case] = ACTIONS(986),
    [anon_sym_default] = ACTIONS(986),
    [anon_sym_SEMI] = ACTIONS(984),
    [anon_sym_assert] = ACTIONS(986),
    [anon_sym_do] = ACTIONS(986),
    [anon_sym_while] = ACTIONS(986),
    [anon_sym_break] = ACTIONS(986),
    [anon_sym_continue] = ACTIONS(986),
    [anon_sym_return] = ACTIONS(986),
    [anon_sym_yield] = ACTIONS(986),
    [anon_sym_synchronized] = ACTIONS(986),
    [anon_sym_throw] = ACTIONS(986),
    [anon_sym_try] = ACTIONS(986),
    [anon_sym_if] = ACTIONS(986),
    [anon_sym_else] = ACTIONS(986),
    [anon_sym_for] = ACTIONS(986),
    [anon_sym_AT] = ACTIONS(986),
    [anon_sym_open] = ACTIONS(986),
    [anon_sym_module] = ACTIONS(986),
    [anon_sym_static] = ACTIONS(986),
    [anon_sym_package] = ACTIONS(986),
    [anon_sym_import] = ACTIONS(986),
    [anon_sym_enum] = ACTIONS(986),
    [anon_sym_public] = ACTIONS(986),
    [anon_sym_protected] = ACTIONS(986),
    [anon_sym_private] = ACTIONS(986),
    [anon_sym_abstract] = ACTIONS(986),
    [anon_sym_strictfp] = ACTIONS(986),
    [anon_sym_native] = ACTIONS(986),
    [anon_sym_transient] = ACTIONS(986),
    [anon_sym_volatile] = ACTIONS(986),
    [anon_sym_sealed] = ACTIONS(986),
    [anon_sym_non_DASHsealed] = ACTIONS(984),
    [anon_sym_record] = ACTIONS(986),
    [anon_sym_ATinterface] = ACTIONS(984),
    [anon_sym_interface] = ACTIONS(986),
    [anon_sym_byte] = ACTIONS(986),
    [anon_sym_short] = ACTIONS(986),
    [anon_sym_int] = ACTIONS(986),
    [anon_sym_long] = ACTIONS(986),
    [anon_sym_char] = ACTIONS(986),
    [anon_sym_float] = ACTIONS(986),
    [anon_sym_double] = ACTIONS(986),
    [sym_boolean_type] = ACTIONS(986),
    [sym_void_type] = ACTIONS(986),
    [sym_this] = ACTIONS(986),
    [sym_super] = ACTIONS(986),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [337] = {
    [ts_builtin_sym_end] = ACTIONS(988),
    [sym_identifier] = ACTIONS(990),
    [sym_decimal_integer_literal] = ACTIONS(990),
    [sym_hex_integer_literal] = ACTIONS(990),
    [sym_octal_integer_literal] = ACTIONS(988),
    [sym_binary_integer_literal] = ACTIONS(988),
    [sym_decimal_floating_point_literal] = ACTIONS(988),
    [sym_hex_floating_point_literal] = ACTIONS(990),
    [sym_true] = ACTIONS(990),
    [sym_false] = ACTIONS(990),
    [sym_character_literal] = ACTIONS(988),
    [anon_sym_DQUOTE] = ACTIONS(990),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(988),
    [sym_null_literal] = ACTIONS(990),
    [anon_sym_LPAREN] = ACTIONS(988),
    [anon_sym_PLUS] = ACTIONS(990),
    [anon_sym_DASH] = ACTIONS(990),
    [anon_sym_final] = ACTIONS(990),
    [anon_sym_BANG] = ACTIONS(988),
    [anon_sym_TILDE] = ACTIONS(988),
    [anon_sym_PLUS_PLUS] = ACTIONS(988),
    [anon_sym_DASH_DASH] = ACTIONS(988),
    [anon_sym_new] = ACTIONS(990),
    [anon_sym_class] = ACTIONS(990),
    [anon_sym_switch] = ACTIONS(990),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym_RBRACE] = ACTIONS(988),
    [anon_sym_case] = ACTIONS(990),
    [anon_sym_default] = ACTIONS(990),
    [anon_sym_SEMI] = ACTIONS(988),
    [anon_sym_assert] = ACTIONS(990),
    [anon_sym_do] = ACTIONS(990),
    [anon_sym_while] = ACTIONS(990),
    [anon_sym_break] = ACTIONS(990),
    [anon_sym_continue] = ACTIONS(990),
    [anon_sym_return] = ACTIONS(990),
    [anon_sym_yield] = ACTIONS(990),
    [anon_sym_synchronized] = ACTIONS(990),
    [anon_sym_throw] = ACTIONS(990),
    [anon_sym_try] = ACTIONS(990),
    [anon_sym_if] = ACTIONS(990),
    [anon_sym_else] = ACTIONS(990),
    [anon_sym_for] = ACTIONS(990),
    [anon_sym_AT] = ACTIONS(990),
    [anon_sym_open] = ACTIONS(990),
    [anon_sym_module] = ACTIONS(990),
    [anon_sym_static] = ACTIONS(990),
    [anon_sym_package] = ACTIONS(990),
    [anon_sym_import] = ACTIONS(990),
    [anon_sym_enum] = ACTIONS(990),
    [anon_sym_public] = ACTIONS(990),
    [anon_sym_protected] = ACTIONS(990),
    [anon_sym_private] = ACTIONS(990),
    [anon_sym_abstract] = ACTIONS(990),
    [anon_sym_strictfp] = ACTIONS(990),
    [anon_sym_native] = ACTIONS(990),
    [anon_sym_transient] = ACTIONS(990),
    [anon_sym_volatile] = ACTIONS(990),
    [anon_sym_sealed] = ACTIONS(990),
    [anon_sym_non_DASHsealed] = ACTIONS(988),
    [anon_sym_record] = ACTIONS(990),
    [anon_sym_ATinterface] = ACTIONS(988),
    [anon_sym_interface] = ACTIONS(990),
    [anon_sym_byte] = ACTIONS(990),
    [anon_sym_short] = ACTIONS(990),
    [anon_sym_int] = ACTIONS(990),
    [anon_sym_long] = ACTIONS(990),
    [anon_sym_char] = ACTIONS(990),
    [anon_sym_float] = ACTIONS(990),
    [anon_sym_double] = ACTIONS(990),
    [sym_boolean_type] = ACTIONS(990),
    [sym_void_type] = ACTIONS(990),
    [sym_this] = ACTIONS(990),
    [sym_super] = ACTIONS(990),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [338] = {
    [sym_switch_label] = STATE(1268),
    [aux_sym_switch_block_statement_group_repeat1] = STATE(338),
    [sym_identifier] = ACTIONS(992),
    [sym_decimal_integer_literal] = ACTIONS(992),
    [sym_hex_integer_literal] = ACTIONS(992),
    [sym_octal_integer_literal] = ACTIONS(994),
    [sym_binary_integer_literal] = ACTIONS(994),
    [sym_decimal_floating_point_literal] = ACTIONS(994),
    [sym_hex_floating_point_literal] = ACTIONS(992),
    [sym_true] = ACTIONS(992),
    [sym_false] = ACTIONS(992),
    [sym_character_literal] = ACTIONS(994),
    [anon_sym_DQUOTE] = ACTIONS(992),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(994),
    [sym_null_literal] = ACTIONS(992),
    [anon_sym_LPAREN] = ACTIONS(994),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_final] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(994),
    [anon_sym_TILDE] = ACTIONS(994),
    [anon_sym_PLUS_PLUS] = ACTIONS(994),
    [anon_sym_DASH_DASH] = ACTIONS(994),
    [anon_sym_new] = ACTIONS(992),
    [anon_sym_class] = ACTIONS(992),
    [anon_sym_switch] = ACTIONS(992),
    [anon_sym_LBRACE] = ACTIONS(994),
    [anon_sym_RBRACE] = ACTIONS(994),
    [anon_sym_case] = ACTIONS(996),
    [anon_sym_default] = ACTIONS(999),
    [anon_sym_SEMI] = ACTIONS(994),
    [anon_sym_assert] = ACTIONS(992),
    [anon_sym_do] = ACTIONS(992),
    [anon_sym_while] = ACTIONS(992),
    [anon_sym_break] = ACTIONS(992),
    [anon_sym_continue] = ACTIONS(992),
    [anon_sym_return] = ACTIONS(992),
    [anon_sym_yield] = ACTIONS(992),
    [anon_sym_synchronized] = ACTIONS(992),
    [anon_sym_throw] = ACTIONS(992),
    [anon_sym_try] = ACTIONS(992),
    [anon_sym_if] = ACTIONS(992),
    [anon_sym_for] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(992),
    [anon_sym_open] = ACTIONS(992),
    [anon_sym_module] = ACTIONS(992),
    [anon_sym_static] = ACTIONS(992),
    [anon_sym_package] = ACTIONS(992),
    [anon_sym_import] = ACTIONS(992),
    [anon_sym_enum] = ACTIONS(992),
    [anon_sym_public] = ACTIONS(992),
    [anon_sym_protected] = ACTIONS(992),
    [anon_sym_private] = ACTIONS(992),
    [anon_sym_abstract] = ACTIONS(992),
    [anon_sym_strictfp] = ACTIONS(992),
    [anon_sym_native] = ACTIONS(992),
    [anon_sym_transient] = ACTIONS(992),
    [anon_sym_volatile] = ACTIONS(992),
    [anon_sym_sealed] = ACTIONS(992),
    [anon_sym_non_DASHsealed] = ACTIONS(994),
    [anon_sym_record] = ACTIONS(992),
    [anon_sym_ATinterface] = ACTIONS(994),
    [anon_sym_interface] = ACTIONS(992),
    [anon_sym_byte] = ACTIONS(992),
    [anon_sym_short] = ACTIONS(992),
    [anon_sym_int] = ACTIONS(992),
    [anon_sym_long] = ACTIONS(992),
    [anon_sym_char] = ACTIONS(992),
    [anon_sym_float] = ACTIONS(992),
    [anon_sym_double] = ACTIONS(992),
    [sym_boolean_type] = ACTIONS(992),
    [sym_void_type] = ACTIONS(992),
    [sym_this] = ACTIONS(992),
    [sym_super] = ACTIONS(992),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [339] = {
    [ts_builtin_sym_end] = ACTIONS(1002),
    [sym_identifier] = ACTIONS(1004),
    [sym_decimal_integer_literal] = ACTIONS(1004),
    [sym_hex_integer_literal] = ACTIONS(1004),
    [sym_octal_integer_literal] = ACTIONS(1002),
    [sym_binary_integer_literal] = ACTIONS(1002),
    [sym_decimal_floating_point_literal] = ACTIONS(1002),
    [sym_hex_floating_point_literal] = ACTIONS(1004),
    [sym_true] = ACTIONS(1004),
    [sym_false] = ACTIONS(1004),
    [sym_character_literal] = ACTIONS(1002),
    [anon_sym_DQUOTE] = ACTIONS(1004),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1002),
    [sym_null_literal] = ACTIONS(1004),
    [anon_sym_LPAREN] = ACTIONS(1002),
    [anon_sym_PLUS] = ACTIONS(1004),
    [anon_sym_DASH] = ACTIONS(1004),
    [anon_sym_final] = ACTIONS(1004),
    [anon_sym_BANG] = ACTIONS(1002),
    [anon_sym_TILDE] = ACTIONS(1002),
    [anon_sym_PLUS_PLUS] = ACTIONS(1002),
    [anon_sym_DASH_DASH] = ACTIONS(1002),
    [anon_sym_new] = ACTIONS(1004),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_switch] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1002),
    [anon_sym_RBRACE] = ACTIONS(1002),
    [anon_sym_case] = ACTIONS(1004),
    [anon_sym_default] = ACTIONS(1004),
    [anon_sym_SEMI] = ACTIONS(1002),
    [anon_sym_assert] = ACTIONS(1004),
    [anon_sym_do] = ACTIONS(1004),
    [anon_sym_while] = ACTIONS(1004),
    [anon_sym_break] = ACTIONS(1004),
    [anon_sym_continue] = ACTIONS(1004),
    [anon_sym_return] = ACTIONS(1004),
    [anon_sym_yield] = ACTIONS(1004),
    [anon_sym_synchronized] = ACTIONS(1004),
    [anon_sym_throw] = ACTIONS(1004),
    [anon_sym_try] = ACTIONS(1004),
    [anon_sym_if] = ACTIONS(1004),
    [anon_sym_else] = ACTIONS(1004),
    [anon_sym_for] = ACTIONS(1004),
    [anon_sym_AT] = ACTIONS(1004),
    [anon_sym_open] = ACTIONS(1004),
    [anon_sym_module] = ACTIONS(1004),
    [anon_sym_static] = ACTIONS(1004),
    [anon_sym_package] = ACTIONS(1004),
    [anon_sym_import] = ACTIONS(1004),
    [anon_sym_enum] = ACTIONS(1004),
    [anon_sym_public] = ACTIONS(1004),
    [anon_sym_protected] = ACTIONS(1004),
    [anon_sym_private] = ACTIONS(1004),
    [anon_sym_abstract] = ACTIONS(1004),
    [anon_sym_strictfp] = ACTIONS(1004),
    [anon_sym_native] = ACTIONS(1004),
    [anon_sym_transient] = ACTIONS(1004),
    [anon_sym_volatile] = ACTIONS(1004),
    [anon_sym_sealed] = ACTIONS(1004),
    [anon_sym_non_DASHsealed] = ACTIONS(1002),
    [anon_sym_record] = ACTIONS(1004),
    [anon_sym_ATinterface] = ACTIONS(1002),
    [anon_sym_interface] = ACTIONS(1004),
    [anon_sym_byte] = ACTIONS(1004),
    [anon_sym_short] = ACTIONS(1004),
    [anon_sym_int] = ACTIONS(1004),
    [anon_sym_long] = ACTIONS(1004),
    [anon_sym_char] = ACTIONS(1004),
    [anon_sym_float] = ACTIONS(1004),
    [anon_sym_double] = ACTIONS(1004),
    [sym_boolean_type] = ACTIONS(1004),
    [sym_void_type] = ACTIONS(1004),
    [sym_this] = ACTIONS(1004),
    [sym_super] = ACTIONS(1004),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [340] = {
    [ts_builtin_sym_end] = ACTIONS(1006),
    [sym_identifier] = ACTIONS(1008),
    [sym_decimal_integer_literal] = ACTIONS(1008),
    [sym_hex_integer_literal] = ACTIONS(1008),
    [sym_octal_integer_literal] = ACTIONS(1006),
    [sym_binary_integer_literal] = ACTIONS(1006),
    [sym_decimal_floating_point_literal] = ACTIONS(1006),
    [sym_hex_floating_point_literal] = ACTIONS(1008),
    [sym_true] = ACTIONS(1008),
    [sym_false] = ACTIONS(1008),
    [sym_character_literal] = ACTIONS(1006),
    [anon_sym_DQUOTE] = ACTIONS(1008),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1006),
    [sym_null_literal] = ACTIONS(1008),
    [anon_sym_LPAREN] = ACTIONS(1006),
    [anon_sym_PLUS] = ACTIONS(1008),
    [anon_sym_DASH] = ACTIONS(1008),
    [anon_sym_final] = ACTIONS(1008),
    [anon_sym_BANG] = ACTIONS(1006),
    [anon_sym_TILDE] = ACTIONS(1006),
    [anon_sym_PLUS_PLUS] = ACTIONS(1006),
    [anon_sym_DASH_DASH] = ACTIONS(1006),
    [anon_sym_new] = ACTIONS(1008),
    [anon_sym_class] = ACTIONS(1008),
    [anon_sym_switch] = ACTIONS(1008),
    [anon_sym_LBRACE] = ACTIONS(1006),
    [anon_sym_RBRACE] = ACTIONS(1006),
    [anon_sym_case] = ACTIONS(1008),
    [anon_sym_default] = ACTIONS(1008),
    [anon_sym_SEMI] = ACTIONS(1006),
    [anon_sym_assert] = ACTIONS(1008),
    [anon_sym_do] = ACTIONS(1008),
    [anon_sym_while] = ACTIONS(1008),
    [anon_sym_break] = ACTIONS(1008),
    [anon_sym_continue] = ACTIONS(1008),
    [anon_sym_return] = ACTIONS(1008),
    [anon_sym_yield] = ACTIONS(1008),
    [anon_sym_synchronized] = ACTIONS(1008),
    [anon_sym_throw] = ACTIONS(1008),
    [anon_sym_try] = ACTIONS(1008),
    [anon_sym_if] = ACTIONS(1008),
    [anon_sym_else] = ACTIONS(1008),
    [anon_sym_for] = ACTIONS(1008),
    [anon_sym_AT] = ACTIONS(1008),
    [anon_sym_open] = ACTIONS(1008),
    [anon_sym_module] = ACTIONS(1008),
    [anon_sym_static] = ACTIONS(1008),
    [anon_sym_package] = ACTIONS(1008),
    [anon_sym_import] = ACTIONS(1008),
    [anon_sym_enum] = ACTIONS(1008),
    [anon_sym_public] = ACTIONS(1008),
    [anon_sym_protected] = ACTIONS(1008),
    [anon_sym_private] = ACTIONS(1008),
    [anon_sym_abstract] = ACTIONS(1008),
    [anon_sym_strictfp] = ACTIONS(1008),
    [anon_sym_native] = ACTIONS(1008),
    [anon_sym_transient] = ACTIONS(1008),
    [anon_sym_volatile] = ACTIONS(1008),
    [anon_sym_sealed] = ACTIONS(1008),
    [anon_sym_non_DASHsealed] = ACTIONS(1006),
    [anon_sym_record] = ACTIONS(1008),
    [anon_sym_ATinterface] = ACTIONS(1006),
    [anon_sym_interface] = ACTIONS(1008),
    [anon_sym_byte] = ACTIONS(1008),
    [anon_sym_short] = ACTIONS(1008),
    [anon_sym_int] = ACTIONS(1008),
    [anon_sym_long] = ACTIONS(1008),
    [anon_sym_char] = ACTIONS(1008),
    [anon_sym_float] = ACTIONS(1008),
    [anon_sym_double] = ACTIONS(1008),
    [sym_boolean_type] = ACTIONS(1008),
    [sym_void_type] = ACTIONS(1008),
    [sym_this] = ACTIONS(1008),
    [sym_super] = ACTIONS(1008),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [341] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_primary_expression] = STATE(1018),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(888),
    [sym_array_access] = STATE(481),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_resource] = STATE(1121),
    [sym__annotation] = STATE(608),
    [sym_marker_annotation] = STATE(608),
    [sym_annotation] = STATE(608),
    [sym_modifiers] = STATE(705),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(718),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [aux_sym_modifiers_repeat1] = STATE(533),
    [sym_identifier] = ACTIONS(842),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(844),
    [anon_sym_RPAREN] = ACTIONS(1010),
    [anon_sym_final] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(848),
    [anon_sym_default] = ACTIONS(291),
    [anon_sym_synchronized] = ACTIONS(291),
    [anon_sym_AT] = ACTIONS(293),
    [anon_sym_open] = ACTIONS(850),
    [anon_sym_module] = ACTIONS(850),
    [anon_sym_static] = ACTIONS(291),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_protected] = ACTIONS(291),
    [anon_sym_private] = ACTIONS(291),
    [anon_sym_abstract] = ACTIONS(291),
    [anon_sym_strictfp] = ACTIONS(291),
    [anon_sym_native] = ACTIONS(291),
    [anon_sym_transient] = ACTIONS(291),
    [anon_sym_volatile] = ACTIONS(291),
    [anon_sym_sealed] = ACTIONS(291),
    [anon_sym_non_DASHsealed] = ACTIONS(297),
    [anon_sym_record] = ACTIONS(850),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [342] = {
    [ts_builtin_sym_end] = ACTIONS(1012),
    [sym_identifier] = ACTIONS(1014),
    [sym_decimal_integer_literal] = ACTIONS(1014),
    [sym_hex_integer_literal] = ACTIONS(1014),
    [sym_octal_integer_literal] = ACTIONS(1012),
    [sym_binary_integer_literal] = ACTIONS(1012),
    [sym_decimal_floating_point_literal] = ACTIONS(1012),
    [sym_hex_floating_point_literal] = ACTIONS(1014),
    [sym_true] = ACTIONS(1014),
    [sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [anon_sym_DQUOTE] = ACTIONS(1014),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1012),
    [anon_sym_PLUS] = ACTIONS(1014),
    [anon_sym_DASH] = ACTIONS(1014),
    [anon_sym_final] = ACTIONS(1014),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_PLUS_PLUS] = ACTIONS(1012),
    [anon_sym_DASH_DASH] = ACTIONS(1012),
    [anon_sym_new] = ACTIONS(1014),
    [anon_sym_class] = ACTIONS(1014),
    [anon_sym_switch] = ACTIONS(1014),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_RBRACE] = ACTIONS(1012),
    [anon_sym_case] = ACTIONS(1014),
    [anon_sym_default] = ACTIONS(1014),
    [anon_sym_SEMI] = ACTIONS(1012),
    [anon_sym_assert] = ACTIONS(1014),
    [anon_sym_do] = ACTIONS(1014),
    [anon_sym_while] = ACTIONS(1014),
    [anon_sym_break] = ACTIONS(1014),
    [anon_sym_continue] = ACTIONS(1014),
    [anon_sym_return] = ACTIONS(1014),
    [anon_sym_yield] = ACTIONS(1014),
    [anon_sym_synchronized] = ACTIONS(1014),
    [anon_sym_throw] = ACTIONS(1014),
    [anon_sym_try] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1014),
    [anon_sym_else] = ACTIONS(1014),
    [anon_sym_for] = ACTIONS(1014),
    [anon_sym_AT] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_module] = ACTIONS(1014),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_package] = ACTIONS(1014),
    [anon_sym_import] = ACTIONS(1014),
    [anon_sym_enum] = ACTIONS(1014),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_abstract] = ACTIONS(1014),
    [anon_sym_strictfp] = ACTIONS(1014),
    [anon_sym_native] = ACTIONS(1014),
    [anon_sym_transient] = ACTIONS(1014),
    [anon_sym_volatile] = ACTIONS(1014),
    [anon_sym_sealed] = ACTIONS(1014),
    [anon_sym_non_DASHsealed] = ACTIONS(1012),
    [anon_sym_record] = ACTIONS(1014),
    [anon_sym_ATinterface] = ACTIONS(1012),
    [anon_sym_interface] = ACTIONS(1014),
    [anon_sym_byte] = ACTIONS(1014),
    [anon_sym_short] = ACTIONS(1014),
    [anon_sym_int] = ACTIONS(1014),
    [anon_sym_long] = ACTIONS(1014),
    [anon_sym_char] = ACTIONS(1014),
    [anon_sym_float] = ACTIONS(1014),
    [anon_sym_double] = ACTIONS(1014),
    [sym_boolean_type] = ACTIONS(1014),
    [sym_void_type] = ACTIONS(1014),
    [sym_this] = ACTIONS(1014),
    [sym_super] = ACTIONS(1014),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [343] = {
    [ts_builtin_sym_end] = ACTIONS(1016),
    [sym_identifier] = ACTIONS(1018),
    [sym_decimal_integer_literal] = ACTIONS(1018),
    [sym_hex_integer_literal] = ACTIONS(1018),
    [sym_octal_integer_literal] = ACTIONS(1016),
    [sym_binary_integer_literal] = ACTIONS(1016),
    [sym_decimal_floating_point_literal] = ACTIONS(1016),
    [sym_hex_floating_point_literal] = ACTIONS(1018),
    [sym_true] = ACTIONS(1018),
    [sym_false] = ACTIONS(1018),
    [sym_character_literal] = ACTIONS(1016),
    [anon_sym_DQUOTE] = ACTIONS(1018),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1016),
    [sym_null_literal] = ACTIONS(1018),
    [anon_sym_LPAREN] = ACTIONS(1016),
    [anon_sym_PLUS] = ACTIONS(1018),
    [anon_sym_DASH] = ACTIONS(1018),
    [anon_sym_final] = ACTIONS(1018),
    [anon_sym_BANG] = ACTIONS(1016),
    [anon_sym_TILDE] = ACTIONS(1016),
    [anon_sym_PLUS_PLUS] = ACTIONS(1016),
    [anon_sym_DASH_DASH] = ACTIONS(1016),
    [anon_sym_new] = ACTIONS(1018),
    [anon_sym_class] = ACTIONS(1018),
    [anon_sym_switch] = ACTIONS(1018),
    [anon_sym_LBRACE] = ACTIONS(1016),
    [anon_sym_RBRACE] = ACTIONS(1016),
    [anon_sym_case] = ACTIONS(1018),
    [anon_sym_default] = ACTIONS(1018),
    [anon_sym_SEMI] = ACTIONS(1016),
    [anon_sym_assert] = ACTIONS(1018),
    [anon_sym_do] = ACTIONS(1018),
    [anon_sym_while] = ACTIONS(1018),
    [anon_sym_break] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1018),
    [anon_sym_return] = ACTIONS(1018),
    [anon_sym_yield] = ACTIONS(1018),
    [anon_sym_synchronized] = ACTIONS(1018),
    [anon_sym_throw] = ACTIONS(1018),
    [anon_sym_try] = ACTIONS(1018),
    [anon_sym_if] = ACTIONS(1018),
    [anon_sym_else] = ACTIONS(1018),
    [anon_sym_for] = ACTIONS(1018),
    [anon_sym_AT] = ACTIONS(1018),
    [anon_sym_open] = ACTIONS(1018),
    [anon_sym_module] = ACTIONS(1018),
    [anon_sym_static] = ACTIONS(1018),
    [anon_sym_package] = ACTIONS(1018),
    [anon_sym_import] = ACTIONS(1018),
    [anon_sym_enum] = ACTIONS(1018),
    [anon_sym_public] = ACTIONS(1018),
    [anon_sym_protected] = ACTIONS(1018),
    [anon_sym_private] = ACTIONS(1018),
    [anon_sym_abstract] = ACTIONS(1018),
    [anon_sym_strictfp] = ACTIONS(1018),
    [anon_sym_native] = ACTIONS(1018),
    [anon_sym_transient] = ACTIONS(1018),
    [anon_sym_volatile] = ACTIONS(1018),
    [anon_sym_sealed] = ACTIONS(1018),
    [anon_sym_non_DASHsealed] = ACTIONS(1016),
    [anon_sym_record] = ACTIONS(1018),
    [anon_sym_ATinterface] = ACTIONS(1016),
    [anon_sym_interface] = ACTIONS(1018),
    [anon_sym_byte] = ACTIONS(1018),
    [anon_sym_short] = ACTIONS(1018),
    [anon_sym_int] = ACTIONS(1018),
    [anon_sym_long] = ACTIONS(1018),
    [anon_sym_char] = ACTIONS(1018),
    [anon_sym_float] = ACTIONS(1018),
    [anon_sym_double] = ACTIONS(1018),
    [sym_boolean_type] = ACTIONS(1018),
    [sym_void_type] = ACTIONS(1018),
    [sym_this] = ACTIONS(1018),
    [sym_super] = ACTIONS(1018),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [344] = {
    [ts_builtin_sym_end] = ACTIONS(1020),
    [sym_identifier] = ACTIONS(1022),
    [sym_decimal_integer_literal] = ACTIONS(1022),
    [sym_hex_integer_literal] = ACTIONS(1022),
    [sym_octal_integer_literal] = ACTIONS(1020),
    [sym_binary_integer_literal] = ACTIONS(1020),
    [sym_decimal_floating_point_literal] = ACTIONS(1020),
    [sym_hex_floating_point_literal] = ACTIONS(1022),
    [sym_true] = ACTIONS(1022),
    [sym_false] = ACTIONS(1022),
    [sym_character_literal] = ACTIONS(1020),
    [anon_sym_DQUOTE] = ACTIONS(1022),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1020),
    [sym_null_literal] = ACTIONS(1022),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_PLUS] = ACTIONS(1022),
    [anon_sym_DASH] = ACTIONS(1022),
    [anon_sym_final] = ACTIONS(1022),
    [anon_sym_BANG] = ACTIONS(1020),
    [anon_sym_TILDE] = ACTIONS(1020),
    [anon_sym_PLUS_PLUS] = ACTIONS(1020),
    [anon_sym_DASH_DASH] = ACTIONS(1020),
    [anon_sym_new] = ACTIONS(1022),
    [anon_sym_class] = ACTIONS(1022),
    [anon_sym_switch] = ACTIONS(1022),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_RBRACE] = ACTIONS(1020),
    [anon_sym_case] = ACTIONS(1022),
    [anon_sym_default] = ACTIONS(1022),
    [anon_sym_SEMI] = ACTIONS(1020),
    [anon_sym_assert] = ACTIONS(1022),
    [anon_sym_do] = ACTIONS(1022),
    [anon_sym_while] = ACTIONS(1022),
    [anon_sym_break] = ACTIONS(1022),
    [anon_sym_continue] = ACTIONS(1022),
    [anon_sym_return] = ACTIONS(1022),
    [anon_sym_yield] = ACTIONS(1022),
    [anon_sym_synchronized] = ACTIONS(1022),
    [anon_sym_throw] = ACTIONS(1022),
    [anon_sym_try] = ACTIONS(1022),
    [anon_sym_if] = ACTIONS(1022),
    [anon_sym_else] = ACTIONS(1022),
    [anon_sym_for] = ACTIONS(1022),
    [anon_sym_AT] = ACTIONS(1022),
    [anon_sym_open] = ACTIONS(1022),
    [anon_sym_module] = ACTIONS(1022),
    [anon_sym_static] = ACTIONS(1022),
    [anon_sym_package] = ACTIONS(1022),
    [anon_sym_import] = ACTIONS(1022),
    [anon_sym_enum] = ACTIONS(1022),
    [anon_sym_public] = ACTIONS(1022),
    [anon_sym_protected] = ACTIONS(1022),
    [anon_sym_private] = ACTIONS(1022),
    [anon_sym_abstract] = ACTIONS(1022),
    [anon_sym_strictfp] = ACTIONS(1022),
    [anon_sym_native] = ACTIONS(1022),
    [anon_sym_transient] = ACTIONS(1022),
    [anon_sym_volatile] = ACTIONS(1022),
    [anon_sym_sealed] = ACTIONS(1022),
    [anon_sym_non_DASHsealed] = ACTIONS(1020),
    [anon_sym_record] = ACTIONS(1022),
    [anon_sym_ATinterface] = ACTIONS(1020),
    [anon_sym_interface] = ACTIONS(1022),
    [anon_sym_byte] = ACTIONS(1022),
    [anon_sym_short] = ACTIONS(1022),
    [anon_sym_int] = ACTIONS(1022),
    [anon_sym_long] = ACTIONS(1022),
    [anon_sym_char] = ACTIONS(1022),
    [anon_sym_float] = ACTIONS(1022),
    [anon_sym_double] = ACTIONS(1022),
    [sym_boolean_type] = ACTIONS(1022),
    [sym_void_type] = ACTIONS(1022),
    [sym_this] = ACTIONS(1022),
    [sym_super] = ACTIONS(1022),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [345] = {
    [ts_builtin_sym_end] = ACTIONS(1024),
    [sym_identifier] = ACTIONS(1026),
    [sym_decimal_integer_literal] = ACTIONS(1026),
    [sym_hex_integer_literal] = ACTIONS(1026),
    [sym_octal_integer_literal] = ACTIONS(1024),
    [sym_binary_integer_literal] = ACTIONS(1024),
    [sym_decimal_floating_point_literal] = ACTIONS(1024),
    [sym_hex_floating_point_literal] = ACTIONS(1026),
    [sym_true] = ACTIONS(1026),
    [sym_false] = ACTIONS(1026),
    [sym_character_literal] = ACTIONS(1024),
    [anon_sym_DQUOTE] = ACTIONS(1026),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1024),
    [sym_null_literal] = ACTIONS(1026),
    [anon_sym_LPAREN] = ACTIONS(1024),
    [anon_sym_PLUS] = ACTIONS(1026),
    [anon_sym_DASH] = ACTIONS(1026),
    [anon_sym_final] = ACTIONS(1026),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(1024),
    [anon_sym_DASH_DASH] = ACTIONS(1024),
    [anon_sym_new] = ACTIONS(1026),
    [anon_sym_class] = ACTIONS(1026),
    [anon_sym_switch] = ACTIONS(1026),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym_RBRACE] = ACTIONS(1024),
    [anon_sym_case] = ACTIONS(1026),
    [anon_sym_default] = ACTIONS(1026),
    [anon_sym_SEMI] = ACTIONS(1024),
    [anon_sym_assert] = ACTIONS(1026),
    [anon_sym_do] = ACTIONS(1026),
    [anon_sym_while] = ACTIONS(1026),
    [anon_sym_break] = ACTIONS(1026),
    [anon_sym_continue] = ACTIONS(1026),
    [anon_sym_return] = ACTIONS(1026),
    [anon_sym_yield] = ACTIONS(1026),
    [anon_sym_synchronized] = ACTIONS(1026),
    [anon_sym_throw] = ACTIONS(1026),
    [anon_sym_try] = ACTIONS(1026),
    [anon_sym_if] = ACTIONS(1026),
    [anon_sym_else] = ACTIONS(1028),
    [anon_sym_for] = ACTIONS(1026),
    [anon_sym_AT] = ACTIONS(1026),
    [anon_sym_open] = ACTIONS(1026),
    [anon_sym_module] = ACTIONS(1026),
    [anon_sym_static] = ACTIONS(1026),
    [anon_sym_package] = ACTIONS(1026),
    [anon_sym_import] = ACTIONS(1026),
    [anon_sym_enum] = ACTIONS(1026),
    [anon_sym_public] = ACTIONS(1026),
    [anon_sym_protected] = ACTIONS(1026),
    [anon_sym_private] = ACTIONS(1026),
    [anon_sym_abstract] = ACTIONS(1026),
    [anon_sym_strictfp] = ACTIONS(1026),
    [anon_sym_native] = ACTIONS(1026),
    [anon_sym_transient] = ACTIONS(1026),
    [anon_sym_volatile] = ACTIONS(1026),
    [anon_sym_sealed] = ACTIONS(1026),
    [anon_sym_non_DASHsealed] = ACTIONS(1024),
    [anon_sym_record] = ACTIONS(1026),
    [anon_sym_ATinterface] = ACTIONS(1024),
    [anon_sym_interface] = ACTIONS(1026),
    [anon_sym_byte] = ACTIONS(1026),
    [anon_sym_short] = ACTIONS(1026),
    [anon_sym_int] = ACTIONS(1026),
    [anon_sym_long] = ACTIONS(1026),
    [anon_sym_char] = ACTIONS(1026),
    [anon_sym_float] = ACTIONS(1026),
    [anon_sym_double] = ACTIONS(1026),
    [sym_boolean_type] = ACTIONS(1026),
    [sym_void_type] = ACTIONS(1026),
    [sym_this] = ACTIONS(1026),
    [sym_super] = ACTIONS(1026),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [346] = {
    [ts_builtin_sym_end] = ACTIONS(1030),
    [sym_identifier] = ACTIONS(1032),
    [sym_decimal_integer_literal] = ACTIONS(1032),
    [sym_hex_integer_literal] = ACTIONS(1032),
    [sym_octal_integer_literal] = ACTIONS(1030),
    [sym_binary_integer_literal] = ACTIONS(1030),
    [sym_decimal_floating_point_literal] = ACTIONS(1030),
    [sym_hex_floating_point_literal] = ACTIONS(1032),
    [sym_true] = ACTIONS(1032),
    [sym_false] = ACTIONS(1032),
    [sym_character_literal] = ACTIONS(1030),
    [anon_sym_DQUOTE] = ACTIONS(1032),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1030),
    [sym_null_literal] = ACTIONS(1032),
    [anon_sym_LPAREN] = ACTIONS(1030),
    [anon_sym_PLUS] = ACTIONS(1032),
    [anon_sym_DASH] = ACTIONS(1032),
    [anon_sym_final] = ACTIONS(1032),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_TILDE] = ACTIONS(1030),
    [anon_sym_PLUS_PLUS] = ACTIONS(1030),
    [anon_sym_DASH_DASH] = ACTIONS(1030),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_class] = ACTIONS(1032),
    [anon_sym_switch] = ACTIONS(1032),
    [anon_sym_LBRACE] = ACTIONS(1030),
    [anon_sym_RBRACE] = ACTIONS(1030),
    [anon_sym_case] = ACTIONS(1032),
    [anon_sym_default] = ACTIONS(1032),
    [anon_sym_SEMI] = ACTIONS(1030),
    [anon_sym_assert] = ACTIONS(1032),
    [anon_sym_do] = ACTIONS(1032),
    [anon_sym_while] = ACTIONS(1032),
    [anon_sym_break] = ACTIONS(1032),
    [anon_sym_continue] = ACTIONS(1032),
    [anon_sym_return] = ACTIONS(1032),
    [anon_sym_yield] = ACTIONS(1032),
    [anon_sym_synchronized] = ACTIONS(1032),
    [anon_sym_throw] = ACTIONS(1032),
    [anon_sym_try] = ACTIONS(1032),
    [anon_sym_if] = ACTIONS(1032),
    [anon_sym_else] = ACTIONS(1032),
    [anon_sym_for] = ACTIONS(1032),
    [anon_sym_AT] = ACTIONS(1032),
    [anon_sym_open] = ACTIONS(1032),
    [anon_sym_module] = ACTIONS(1032),
    [anon_sym_static] = ACTIONS(1032),
    [anon_sym_package] = ACTIONS(1032),
    [anon_sym_import] = ACTIONS(1032),
    [anon_sym_enum] = ACTIONS(1032),
    [anon_sym_public] = ACTIONS(1032),
    [anon_sym_protected] = ACTIONS(1032),
    [anon_sym_private] = ACTIONS(1032),
    [anon_sym_abstract] = ACTIONS(1032),
    [anon_sym_strictfp] = ACTIONS(1032),
    [anon_sym_native] = ACTIONS(1032),
    [anon_sym_transient] = ACTIONS(1032),
    [anon_sym_volatile] = ACTIONS(1032),
    [anon_sym_sealed] = ACTIONS(1032),
    [anon_sym_non_DASHsealed] = ACTIONS(1030),
    [anon_sym_record] = ACTIONS(1032),
    [anon_sym_ATinterface] = ACTIONS(1030),
    [anon_sym_interface] = ACTIONS(1032),
    [anon_sym_byte] = ACTIONS(1032),
    [anon_sym_short] = ACTIONS(1032),
    [anon_sym_int] = ACTIONS(1032),
    [anon_sym_long] = ACTIONS(1032),
    [anon_sym_char] = ACTIONS(1032),
    [anon_sym_float] = ACTIONS(1032),
    [anon_sym_double] = ACTIONS(1032),
    [sym_boolean_type] = ACTIONS(1032),
    [sym_void_type] = ACTIONS(1032),
    [sym_this] = ACTIONS(1032),
    [sym_super] = ACTIONS(1032),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [347] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_primary_expression] = STATE(1018),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(888),
    [sym_array_access] = STATE(481),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_resource] = STATE(1023),
    [sym__annotation] = STATE(608),
    [sym_marker_annotation] = STATE(608),
    [sym_annotation] = STATE(608),
    [sym_modifiers] = STATE(705),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(718),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [aux_sym_modifiers_repeat1] = STATE(533),
    [sym_identifier] = ACTIONS(842),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(844),
    [anon_sym_final] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(848),
    [anon_sym_default] = ACTIONS(291),
    [anon_sym_synchronized] = ACTIONS(291),
    [anon_sym_AT] = ACTIONS(293),
    [anon_sym_open] = ACTIONS(850),
    [anon_sym_module] = ACTIONS(850),
    [anon_sym_static] = ACTIONS(291),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_protected] = ACTIONS(291),
    [anon_sym_private] = ACTIONS(291),
    [anon_sym_abstract] = ACTIONS(291),
    [anon_sym_strictfp] = ACTIONS(291),
    [anon_sym_native] = ACTIONS(291),
    [anon_sym_transient] = ACTIONS(291),
    [anon_sym_volatile] = ACTIONS(291),
    [anon_sym_sealed] = ACTIONS(291),
    [anon_sym_non_DASHsealed] = ACTIONS(297),
    [anon_sym_record] = ACTIONS(850),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [348] = {
    [sym__literal] = STATE(481),
    [sym_string_literal] = STATE(472),
    [sym__string_literal] = STATE(480),
    [sym__multiline_string_literal] = STATE(480),
    [sym_primary_expression] = STATE(1018),
    [sym_array_creation_expression] = STATE(481),
    [sym_parenthesized_expression] = STATE(481),
    [sym_class_literal] = STATE(481),
    [sym_object_creation_expression] = STATE(481),
    [sym__unqualified_object_creation_expression] = STATE(465),
    [sym_field_access] = STATE(888),
    [sym_array_access] = STATE(481),
    [sym_method_invocation] = STATE(481),
    [sym_method_reference] = STATE(481),
    [sym_resource] = STATE(1121),
    [sym__annotation] = STATE(608),
    [sym_marker_annotation] = STATE(608),
    [sym_annotation] = STATE(608),
    [sym_modifiers] = STATE(705),
    [sym__type] = STATE(1237),
    [sym__unannotated_type] = STATE(718),
    [sym_annotated_type] = STATE(779),
    [sym_scoped_type_identifier] = STATE(726),
    [sym_generic_type] = STATE(754),
    [sym_array_type] = STATE(688),
    [sym_integral_type] = STATE(688),
    [sym_floating_point_type] = STATE(688),
    [aux_sym_array_creation_expression_repeat1] = STATE(672),
    [aux_sym_modifiers_repeat1] = STATE(533),
    [sym_identifier] = ACTIONS(842),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(844),
    [anon_sym_final] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(848),
    [anon_sym_default] = ACTIONS(291),
    [anon_sym_synchronized] = ACTIONS(291),
    [anon_sym_AT] = ACTIONS(293),
    [anon_sym_open] = ACTIONS(850),
    [anon_sym_module] = ACTIONS(850),
    [anon_sym_static] = ACTIONS(291),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_protected] = ACTIONS(291),
    [anon_sym_private] = ACTIONS(291),
    [anon_sym_abstract] = ACTIONS(291),
    [anon_sym_strictfp] = ACTIONS(291),
    [anon_sym_native] = ACTIONS(291),
    [anon_sym_transient] = ACTIONS(291),
    [anon_sym_volatile] = ACTIONS(291),
    [anon_sym_sealed] = ACTIONS(291),
    [anon_sym_non_DASHsealed] = ACTIONS(297),
    [anon_sym_record] = ACTIONS(850),
    [anon_sym_byte] = ACTIONS(81),
    [anon_sym_short] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_long] = ACTIONS(81),
    [anon_sym_char] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(83),
    [anon_sym_double] = ACTIONS(83),
    [sym_boolean_type] = ACTIONS(85),
    [sym_void_type] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(89),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [349] = {
    [sym_identifier] = ACTIONS(992),
    [sym_decimal_integer_literal] = ACTIONS(992),
    [sym_hex_integer_literal] = ACTIONS(992),
    [sym_octal_integer_literal] = ACTIONS(994),
    [sym_binary_integer_literal] = ACTIONS(994),
    [sym_decimal_floating_point_literal] = ACTIONS(994),
    [sym_hex_floating_point_literal] = ACTIONS(992),
    [sym_true] = ACTIONS(992),
    [sym_false] = ACTIONS(992),
    [sym_character_literal] = ACTIONS(994),
    [anon_sym_DQUOTE] = ACTIONS(992),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(994),
    [sym_null_literal] = ACTIONS(992),
    [anon_sym_LPAREN] = ACTIONS(994),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_final] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(994),
    [anon_sym_TILDE] = ACTIONS(994),
    [anon_sym_PLUS_PLUS] = ACTIONS(994),
    [anon_sym_DASH_DASH] = ACTIONS(994),
    [anon_sym_new] = ACTIONS(992),
    [anon_sym_class] = ACTIONS(992),
    [anon_sym_switch] = ACTIONS(992),
    [anon_sym_LBRACE] = ACTIONS(994),
    [anon_sym_RBRACE] = ACTIONS(994),
    [anon_sym_case] = ACTIONS(992),
    [anon_sym_default] = ACTIONS(992),
    [anon_sym_SEMI] = ACTIONS(994),
    [anon_sym_assert] = ACTIONS(992),
    [anon_sym_do] = ACTIONS(992),
    [anon_sym_while] = ACTIONS(992),
    [anon_sym_break] = ACTIONS(992),
    [anon_sym_continue] = ACTIONS(992),
    [anon_sym_return] = ACTIONS(992),
    [anon_sym_yield] = ACTIONS(992),
    [anon_sym_synchronized] = ACTIONS(992),
    [anon_sym_throw] = ACTIONS(992),
    [anon_sym_try] = ACTIONS(992),
    [anon_sym_if] = ACTIONS(992),
    [anon_sym_for] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(992),
    [anon_sym_open] = ACTIONS(992),
    [anon_sym_module] = ACTIONS(992),
    [anon_sym_static] = ACTIONS(992),
    [anon_sym_package] = ACTIONS(992),
    [anon_sym_import] = ACTIONS(992),
    [anon_sym_enum] = ACTIONS(992),
    [anon_sym_public] = ACTIONS(992),
    [anon_sym_protected] = ACTIONS(992),
    [anon_sym_private] = ACTIONS(992),
    [anon_sym_abstract] = ACTIONS(992),
    [anon_sym_strictfp] = ACTIONS(992),
    [anon_sym_native] = ACTIONS(992),
    [anon_sym_transient] = ACTIONS(992),
    [anon_sym_volatile] = ACTIONS(992),
    [anon_sym_sealed] = ACTIONS(992),
    [anon_sym_non_DASHsealed] = ACTIONS(994),
    [anon_sym_record] = ACTIONS(992),
    [anon_sym_ATinterface] = ACTIONS(994),
    [anon_sym_interface] = ACTIONS(992),
    [anon_sym_byte] = ACTIONS(992),
    [anon_sym_short] = ACTIONS(992),
    [anon_sym_int] = ACTIONS(992),
    [anon_sym_long] = ACTIONS(992),
    [anon_sym_char] = ACTIONS(992),
    [anon_sym_float] = ACTIONS(992),
    [anon_sym_double] = ACTIONS(992),
    [sym_boolean_type] = ACTIONS(992),
    [sym_void_type] = ACTIONS(992),
    [sym_this] = ACTIONS(992),
    [sym_super] = ACTIONS(992),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [350] = {
    [sym_identifier] = ACTIONS(1034),
    [sym_decimal_integer_literal] = ACTIONS(1034),
    [sym_hex_integer_literal] = ACTIONS(1034),
    [sym_octal_integer_literal] = ACTIONS(1036),
    [sym_binary_integer_literal] = ACTIONS(1036),
    [sym_decimal_floating_point_literal] = ACTIONS(1036),
    [sym_hex_floating_point_literal] = ACTIONS(1034),
    [sym_true] = ACTIONS(1034),
    [sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1036),
    [anon_sym_DQUOTE] = ACTIONS(1034),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1036),
    [sym_null_literal] = ACTIONS(1034),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_PLUS] = ACTIONS(1034),
    [anon_sym_DASH] = ACTIONS(1034),
    [anon_sym_final] = ACTIONS(1034),
    [anon_sym_BANG] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(1036),
    [anon_sym_PLUS_PLUS] = ACTIONS(1036),
    [anon_sym_DASH_DASH] = ACTIONS(1036),
    [anon_sym_new] = ACTIONS(1034),
    [anon_sym_class] = ACTIONS(1034),
    [anon_sym_switch] = ACTIONS(1034),
    [anon_sym_LBRACE] = ACTIONS(1036),
    [anon_sym_RBRACE] = ACTIONS(1036),
    [anon_sym_default] = ACTIONS(1034),
    [anon_sym_SEMI] = ACTIONS(1036),
    [anon_sym_assert] = ACTIONS(1034),
    [anon_sym_do] = ACTIONS(1034),
    [anon_sym_while] = ACTIONS(1034),
    [anon_sym_break] = ACTIONS(1034),
    [anon_sym_continue] = ACTIONS(1034),
    [anon_sym_return] = ACTIONS(1034),
    [anon_sym_yield] = ACTIONS(1034),
    [anon_sym_synchronized] = ACTIONS(1034),
    [anon_sym_throw] = ACTIONS(1034),
    [anon_sym_try] = ACTIONS(1034),
    [anon_sym_if] = ACTIONS(1034),
    [anon_sym_for] = ACTIONS(1034),
    [anon_sym_AT] = ACTIONS(1034),
    [anon_sym_open] = ACTIONS(1034),
    [anon_sym_module] = ACTIONS(1034),
    [anon_sym_static] = ACTIONS(1034),
    [anon_sym_package] = ACTIONS(1034),
    [anon_sym_import] = ACTIONS(1034),
    [anon_sym_enum] = ACTIONS(1034),
    [anon_sym_public] = ACTIONS(1034),
    [anon_sym_protected] = ACTIONS(1034),
    [anon_sym_private] = ACTIONS(1034),
    [anon_sym_abstract] = ACTIONS(1034),
    [anon_sym_strictfp] = ACTIONS(1034),
    [anon_sym_native] = ACTIONS(1034),
    [anon_sym_transient] = ACTIONS(1034),
    [anon_sym_volatile] = ACTIONS(1034),
    [anon_sym_sealed] = ACTIONS(1034),
    [anon_sym_non_DASHsealed] = ACTIONS(1036),
    [anon_sym_record] = ACTIONS(1034),
    [anon_sym_ATinterface] = ACTIONS(1036),
    [anon_sym_interface] = ACTIONS(1034),
    [anon_sym_byte] = ACTIONS(1034),
    [anon_sym_short] = ACTIONS(1034),
    [anon_sym_int] = ACTIONS(1034),
    [anon_sym_long] = ACTIONS(1034),
    [anon_sym_char] = ACTIONS(1034),
    [anon_sym_float] = ACTIONS(1034),
    [anon_sym_double] = ACTIONS(1034),
    [sym_boolean_type] = ACTIONS(1034),
    [sym_void_type] = ACTIONS(1034),
    [sym_this] = ACTIONS(1034),
    [sym_super] = ACTIONS(1034),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [351] = {
    [sym_identifier] = ACTIONS(1038),
    [sym_decimal_integer_literal] = ACTIONS(1038),
    [sym_hex_integer_literal] = ACTIONS(1038),
    [sym_octal_integer_literal] = ACTIONS(1040),
    [sym_binary_integer_literal] = ACTIONS(1040),
    [sym_decimal_floating_point_literal] = ACTIONS(1040),
    [sym_hex_floating_point_literal] = ACTIONS(1038),
    [sym_true] = ACTIONS(1038),
    [sym_false] = ACTIONS(1038),
    [sym_character_literal] = ACTIONS(1040),
    [anon_sym_DQUOTE] = ACTIONS(1038),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1040),
    [sym_null_literal] = ACTIONS(1038),
    [anon_sym_LPAREN] = ACTIONS(1040),
    [anon_sym_PLUS] = ACTIONS(1038),
    [anon_sym_DASH] = ACTIONS(1038),
    [anon_sym_final] = ACTIONS(1038),
    [anon_sym_BANG] = ACTIONS(1040),
    [anon_sym_TILDE] = ACTIONS(1040),
    [anon_sym_PLUS_PLUS] = ACTIONS(1040),
    [anon_sym_DASH_DASH] = ACTIONS(1040),
    [anon_sym_new] = ACTIONS(1038),
    [anon_sym_class] = ACTIONS(1038),
    [anon_sym_switch] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(1040),
    [anon_sym_RBRACE] = ACTIONS(1040),
    [anon_sym_default] = ACTIONS(1038),
    [anon_sym_SEMI] = ACTIONS(1040),
    [anon_sym_assert] = ACTIONS(1038),
    [anon_sym_do] = ACTIONS(1038),
    [anon_sym_while] = ACTIONS(1038),
    [anon_sym_break] = ACTIONS(1038),
    [anon_sym_continue] = ACTIONS(1038),
    [anon_sym_return] = ACTIONS(1038),
    [anon_sym_yield] = ACTIONS(1038),
    [anon_sym_synchronized] = ACTIONS(1038),
    [anon_sym_throw] = ACTIONS(1038),
    [anon_sym_try] = ACTIONS(1038),
    [anon_sym_if] = ACTIONS(1038),
    [anon_sym_for] = ACTIONS(1038),
    [anon_sym_AT] = ACTIONS(1038),
    [anon_sym_open] = ACTIONS(1038),
    [anon_sym_module] = ACTIONS(1038),
    [anon_sym_static] = ACTIONS(1038),
    [anon_sym_package] = ACTIONS(1038),
    [anon_sym_import] = ACTIONS(1038),
    [anon_sym_enum] = ACTIONS(1038),
    [anon_sym_public] = ACTIONS(1038),
    [anon_sym_protected] = ACTIONS(1038),
    [anon_sym_private] = ACTIONS(1038),
    [anon_sym_abstract] = ACTIONS(1038),
    [anon_sym_strictfp] = ACTIONS(1038),
    [anon_sym_native] = ACTIONS(1038),
    [anon_sym_transient] = ACTIONS(1038),
    [anon_sym_volatile] = ACTIONS(1038),
    [anon_sym_sealed] = ACTIONS(1038),
    [anon_sym_non_DASHsealed] = ACTIONS(1040),
    [anon_sym_record] = ACTIONS(1038),
    [anon_sym_ATinterface] = ACTIONS(1040),
    [anon_sym_interface] = ACTIONS(1038),
    [anon_sym_byte] = ACTIONS(1038),
    [anon_sym_short] = ACTIONS(1038),
    [anon_sym_int] = ACTIONS(1038),
    [anon_sym_long] = ACTIONS(1038),
    [anon_sym_char] = ACTIONS(1038),
    [anon_sym_float] = ACTIONS(1038),
    [anon_sym_double] = ACTIONS(1038),
    [sym_boolean_type] = ACTIONS(1038),
    [sym_void_type] = ACTIONS(1038),
    [sym_this] = ACTIONS(1038),
    [sym_super] = ACTIONS(1038),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [352] = {
    [sym_identifier] = ACTIONS(1042),
    [sym_decimal_integer_literal] = ACTIONS(1042),
    [sym_hex_integer_literal] = ACTIONS(1042),
    [sym_octal_integer_literal] = ACTIONS(1044),
    [sym_binary_integer_literal] = ACTIONS(1044),
    [sym_decimal_floating_point_literal] = ACTIONS(1044),
    [sym_hex_floating_point_literal] = ACTIONS(1042),
    [sym_true] = ACTIONS(1042),
    [sym_false] = ACTIONS(1042),
    [sym_character_literal] = ACTIONS(1044),
    [anon_sym_DQUOTE] = ACTIONS(1042),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1044),
    [sym_null_literal] = ACTIONS(1042),
    [anon_sym_LPAREN] = ACTIONS(1044),
    [anon_sym_PLUS] = ACTIONS(1042),
    [anon_sym_DASH] = ACTIONS(1042),
    [anon_sym_final] = ACTIONS(1042),
    [anon_sym_BANG] = ACTIONS(1044),
    [anon_sym_TILDE] = ACTIONS(1044),
    [anon_sym_PLUS_PLUS] = ACTIONS(1044),
    [anon_sym_DASH_DASH] = ACTIONS(1044),
    [anon_sym_new] = ACTIONS(1042),
    [anon_sym_class] = ACTIONS(1042),
    [anon_sym_switch] = ACTIONS(1042),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym_RBRACE] = ACTIONS(1044),
    [anon_sym_default] = ACTIONS(1042),
    [anon_sym_SEMI] = ACTIONS(1044),
    [anon_sym_assert] = ACTIONS(1042),
    [anon_sym_do] = ACTIONS(1042),
    [anon_sym_while] = ACTIONS(1042),
    [anon_sym_break] = ACTIONS(1042),
    [anon_sym_continue] = ACTIONS(1042),
    [anon_sym_return] = ACTIONS(1042),
    [anon_sym_yield] = ACTIONS(1042),
    [anon_sym_synchronized] = ACTIONS(1042),
    [anon_sym_throw] = ACTIONS(1042),
    [anon_sym_try] = ACTIONS(1042),
    [anon_sym_if] = ACTIONS(1042),
    [anon_sym_for] = ACTIONS(1042),
    [anon_sym_AT] = ACTIONS(1042),
    [anon_sym_open] = ACTIONS(1042),
    [anon_sym_module] = ACTIONS(1042),
    [anon_sym_static] = ACTIONS(1042),
    [anon_sym_package] = ACTIONS(1042),
    [anon_sym_import] = ACTIONS(1042),
    [anon_sym_enum] = ACTIONS(1042),
    [anon_sym_public] = ACTIONS(1042),
    [anon_sym_protected] = ACTIONS(1042),
    [anon_sym_private] = ACTIONS(1042),
    [anon_sym_abstract] = ACTIONS(1042),
    [anon_sym_strictfp] = ACTIONS(1042),
    [anon_sym_native] = ACTIONS(1042),
    [anon_sym_transient] = ACTIONS(1042),
    [anon_sym_volatile] = ACTIONS(1042),
    [anon_sym_sealed] = ACTIONS(1042),
    [anon_sym_non_DASHsealed] = ACTIONS(1044),
    [anon_sym_record] = ACTIONS(1042),
    [anon_sym_ATinterface] = ACTIONS(1044),
    [anon_sym_interface] = ACTIONS(1042),
    [anon_sym_byte] = ACTIONS(1042),
    [anon_sym_short] = ACTIONS(1042),
    [anon_sym_int] = ACTIONS(1042),
    [anon_sym_long] = ACTIONS(1042),
    [anon_sym_char] = ACTIONS(1042),
    [anon_sym_float] = ACTIONS(1042),
    [anon_sym_double] = ACTIONS(1042),
    [sym_boolean_type] = ACTIONS(1042),
    [sym_void_type] = ACTIONS(1042),
    [sym_this] = ACTIONS(1042),
    [sym_super] = ACTIONS(1042),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [353] = {
    [sym_identifier] = ACTIONS(1046),
    [sym_decimal_integer_literal] = ACTIONS(1046),
    [sym_hex_integer_literal] = ACTIONS(1046),
    [sym_octal_integer_literal] = ACTIONS(1048),
    [sym_binary_integer_literal] = ACTIONS(1048),
    [sym_decimal_floating_point_literal] = ACTIONS(1048),
    [sym_hex_floating_point_literal] = ACTIONS(1046),
    [sym_true] = ACTIONS(1046),
    [sym_false] = ACTIONS(1046),
    [sym_character_literal] = ACTIONS(1048),
    [anon_sym_DQUOTE] = ACTIONS(1046),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1046),
    [anon_sym_LPAREN] = ACTIONS(1048),
    [anon_sym_PLUS] = ACTIONS(1046),
    [anon_sym_DASH] = ACTIONS(1046),
    [anon_sym_final] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_PLUS_PLUS] = ACTIONS(1048),
    [anon_sym_DASH_DASH] = ACTIONS(1048),
    [anon_sym_new] = ACTIONS(1046),
    [anon_sym_class] = ACTIONS(1046),
    [anon_sym_switch] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1048),
    [anon_sym_RBRACE] = ACTIONS(1048),
    [anon_sym_default] = ACTIONS(1046),
    [anon_sym_SEMI] = ACTIONS(1048),
    [anon_sym_assert] = ACTIONS(1046),
    [anon_sym_do] = ACTIONS(1046),
    [anon_sym_while] = ACTIONS(1046),
    [anon_sym_break] = ACTIONS(1046),
    [anon_sym_continue] = ACTIONS(1046),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_yield] = ACTIONS(1046),
    [anon_sym_synchronized] = ACTIONS(1046),
    [anon_sym_throw] = ACTIONS(1046),
    [anon_sym_try] = ACTIONS(1046),
    [anon_sym_if] = ACTIONS(1046),
    [anon_sym_for] = ACTIONS(1046),
    [anon_sym_AT] = ACTIONS(1046),
    [anon_sym_open] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_package] = ACTIONS(1046),
    [anon_sym_import] = ACTIONS(1046),
    [anon_sym_enum] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_abstract] = ACTIONS(1046),
    [anon_sym_strictfp] = ACTIONS(1046),
    [anon_sym_native] = ACTIONS(1046),
    [anon_sym_transient] = ACTIONS(1046),
    [anon_sym_volatile] = ACTIONS(1046),
    [anon_sym_sealed] = ACTIONS(1046),
    [anon_sym_non_DASHsealed] = ACTIONS(1048),
    [anon_sym_record] = ACTIONS(1046),
    [anon_sym_ATinterface] = ACTIONS(1048),
    [anon_sym_interface] = ACTIONS(1046),
    [anon_sym_byte] = ACTIONS(1046),
    [anon_sym_short] = ACTIONS(1046),
    [anon_sym_int] = ACTIONS(1046),
    [anon_sym_long] = ACTIONS(1046),
    [anon_sym_char] = ACTIONS(1046),
    [anon_sym_float] = ACTIONS(1046),
    [anon_sym_double] = ACTIONS(1046),
    [sym_boolean_type] = ACTIONS(1046),
    [sym_void_type] = ACTIONS(1046),
    [sym_this] = ACTIONS(1046),
    [sym_super] = ACTIONS(1046),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [354] = {
    [sym_identifier] = ACTIONS(1050),
    [sym_decimal_integer_literal] = ACTIONS(1050),
    [sym_hex_integer_literal] = ACTIONS(1050),
    [sym_octal_integer_literal] = ACTIONS(1052),
    [sym_binary_integer_literal] = ACTIONS(1052),
    [sym_decimal_floating_point_literal] = ACTIONS(1052),
    [sym_hex_floating_point_literal] = ACTIONS(1050),
    [sym_true] = ACTIONS(1050),
    [sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1052),
    [anon_sym_DQUOTE] = ACTIONS(1050),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1052),
    [sym_null_literal] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1052),
    [anon_sym_PLUS] = ACTIONS(1050),
    [anon_sym_DASH] = ACTIONS(1050),
    [anon_sym_final] = ACTIONS(1050),
    [anon_sym_BANG] = ACTIONS(1052),
    [anon_sym_TILDE] = ACTIONS(1052),
    [anon_sym_PLUS_PLUS] = ACTIONS(1052),
    [anon_sym_DASH_DASH] = ACTIONS(1052),
    [anon_sym_new] = ACTIONS(1050),
    [anon_sym_class] = ACTIONS(1050),
    [anon_sym_switch] = ACTIONS(1050),
    [anon_sym_LBRACE] = ACTIONS(1052),
    [anon_sym_default] = ACTIONS(1050),
    [anon_sym_SEMI] = ACTIONS(1052),
    [anon_sym_assert] = ACTIONS(1050),
    [anon_sym_do] = ACTIONS(1050),
    [anon_sym_while] = ACTIONS(1050),
    [anon_sym_break] = ACTIONS(1050),
    [anon_sym_continue] = ACTIONS(1050),
    [anon_sym_return] = ACTIONS(1050),
    [anon_sym_yield] = ACTIONS(1050),
    [anon_sym_synchronized] = ACTIONS(1050),
    [anon_sym_throw] = ACTIONS(1050),
    [anon_sym_try] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1050),
    [anon_sym_for] = ACTIONS(1050),
    [anon_sym_AT] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_module] = ACTIONS(1050),
    [anon_sym_static] = ACTIONS(1050),
    [anon_sym_package] = ACTIONS(1050),
    [anon_sym_import] = ACTIONS(1050),
    [anon_sym_enum] = ACTIONS(1050),
    [anon_sym_public] = ACTIONS(1050),
    [anon_sym_protected] = ACTIONS(1050),
    [anon_sym_private] = ACTIONS(1050),
    [anon_sym_abstract] = ACTIONS(1050),
    [anon_sym_strictfp] = ACTIONS(1050),
    [anon_sym_native] = ACTIONS(1050),
    [anon_sym_transient] = ACTIONS(1050),
    [anon_sym_volatile] = ACTIONS(1050),
    [anon_sym_sealed] = ACTIONS(1050),
    [anon_sym_non_DASHsealed] = ACTIONS(1052),
    [anon_sym_record] = ACTIONS(1050),
    [anon_sym_ATinterface] = ACTIONS(1052),
    [anon_sym_interface] = ACTIONS(1050),
    [anon_sym_byte] = ACTIONS(1050),
    [anon_sym_short] = ACTIONS(1050),
    [anon_sym_int] = ACTIONS(1050),
    [anon_sym_long] = ACTIONS(1050),
    [anon_sym_char] = ACTIONS(1050),
    [anon_sym_float] = ACTIONS(1050),
    [anon_sym_double] = ACTIONS(1050),
    [sym_boolean_type] = ACTIONS(1050),
    [sym_void_type] = ACTIONS(1050),
    [sym_this] = ACTIONS(1050),
    [sym_super] = ACTIONS(1050),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 28,
    ACTIONS(29), 1,
      anon_sym_class,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(61), 1,
      anon_sym_AT,
    ACTIONS(71), 1,
      anon_sym_enum,
    ACTIONS(73), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(77), 1,
      anon_sym_ATinterface,
    ACTIONS(79), 1,
      anon_sym_interface,
    ACTIONS(1054), 1,
      sym_identifier,
    ACTIONS(1056), 1,
      anon_sym_LT,
    ACTIONS(1058), 1,
      anon_sym_RBRACE,
    ACTIONS(1060), 1,
      anon_sym_SEMI,
    ACTIONS(1062), 1,
      anon_sym_static,
    ACTIONS(1064), 1,
      anon_sym_record,
    STATE(613), 1,
      sym_modifiers,
    STATE(671), 1,
      sym_type_parameters,
    STATE(677), 1,
      sym_scoped_type_identifier,
    STATE(692), 1,
      sym_generic_type,
    STATE(711), 1,
      sym__unannotated_type,
    STATE(980), 1,
      sym__constructor_declarator,
    STATE(1039), 1,
      sym__method_header,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(83), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(85), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(688), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(428), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(81), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(21), 12,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
    STATE(359), 12,
      sym_block,
      sym_enum_declaration,
      sym_class_declaration,
      sym_static_initializer,
      sym_constructor_declaration,
      sym_field_declaration,
      sym_record_declaration,
      sym_annotation_type_declaration,
      sym_interface_declaration,
      sym_method_declaration,
      sym_compact_constructor_declaration,
      aux_sym_enum_body_declarations_repeat1,
  [119] = 28,
    ACTIONS(29), 1,
      anon_sym_class,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(61), 1,
      anon_sym_AT,
    ACTIONS(71), 1,
      anon_sym_enum,
    ACTIONS(73), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(77), 1,
      anon_sym_ATinterface,
    ACTIONS(79), 1,
      anon_sym_interface,
    ACTIONS(1054), 1,
      sym_identifier,
    ACTIONS(1056), 1,
      anon_sym_LT,
    ACTIONS(1062), 1,
      anon_sym_static,
    ACTIONS(1064), 1,
      anon_sym_record,
    ACTIONS(1066), 1,
      anon_sym_RBRACE,
    ACTIONS(1068), 1,
      anon_sym_SEMI,
    STATE(613), 1,
      sym_modifiers,
    STATE(671), 1,
      sym_type_parameters,
    STATE(677), 1,
      sym_scoped_type_identifier,
    STATE(692), 1,
      sym_generic_type,
    STATE(711), 1,
      sym__unannotated_type,
    STATE(980), 1,
      sym__constructor_declarator,
    STATE(1039), 1,
      sym__method_header,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(83), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(85), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(688), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(428), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(81), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(21), 12,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
    STATE(358), 12,
      sym_block,
      sym_enum_declaration,
      sym_class_declaration,
      sym_static_initializer,
      sym_constructor_declaration,
      sym_field_declaration,
      sym_record_declaration,
      sym_annotation_type_declaration,
      sym_interface_declaration,
      sym_method_declaration,
      sym_compact_constructor_declaration,
      aux_sym_enum_body_declarations_repeat1,
  [238] = 28,
    ACTIONS(1070), 1,
      sym_identifier,
    ACTIONS(1073), 1,
      anon_sym_LT,
    ACTIONS(1079), 1,
      anon_sym_class,
    ACTIONS(1082), 1,
      anon_sym_LBRACE,
    ACTIONS(1085), 1,
      anon_sym_RBRACE,
    ACTIONS(1087), 1,
      anon_sym_SEMI,
    ACTIONS(1090), 1,
      anon_sym_AT,
    ACTIONS(1093), 1,
      anon_sym_static,
    ACTIONS(1096), 1,
      anon_sym_enum,
    ACTIONS(1099), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(1102), 1,
      anon_sym_record,
    ACTIONS(1105), 1,
      anon_sym_ATinterface,
    ACTIONS(1108), 1,
      anon_sym_interface,
    STATE(613), 1,
      sym_modifiers,
    STATE(671), 1,
      sym_type_parameters,
    STATE(677), 1,
      sym_scoped_type_identifier,
    STATE(692), 1,
      sym_generic_type,
    STATE(711), 1,
      sym__unannotated_type,
    STATE(980), 1,
      sym__constructor_declarator,
    STATE(1039), 1,
      sym__method_header,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1114), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(1117), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(688), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(428), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(1111), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(1076), 12,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
    STATE(357), 12,
      sym_block,
      sym_enum_declaration,
      sym_class_declaration,
      sym_static_initializer,
      sym_constructor_declaration,
      sym_field_declaration,
      sym_record_declaration,
      sym_annotation_type_declaration,
      sym_interface_declaration,
      sym_method_declaration,
      sym_compact_constructor_declaration,
      aux_sym_enum_body_declarations_repeat1,
  [357] = 28,
    ACTIONS(29), 1,
      anon_sym_class,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(61), 1,
      anon_sym_AT,
    ACTIONS(71), 1,
      anon_sym_enum,
    ACTIONS(73), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(77), 1,
      anon_sym_ATinterface,
    ACTIONS(79), 1,
      anon_sym_interface,
    ACTIONS(1054), 1,
      sym_identifier,
    ACTIONS(1056), 1,
      anon_sym_LT,
    ACTIONS(1062), 1,
      anon_sym_static,
    ACTIONS(1064), 1,
      anon_sym_record,
    ACTIONS(1120), 1,
      anon_sym_RBRACE,
    ACTIONS(1122), 1,
      anon_sym_SEMI,
    STATE(613), 1,
      sym_modifiers,
    STATE(671), 1,
      sym_type_parameters,
    STATE(677), 1,
      sym_scoped_type_identifier,
    STATE(692), 1,
      sym_generic_type,
    STATE(711), 1,
      sym__unannotated_type,
    STATE(980), 1,
      sym__constructor_declarator,
    STATE(1039), 1,
      sym__method_header,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(83), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(85), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(688), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(428), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(81), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(21), 12,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
    STATE(357), 12,
      sym_block,
      sym_enum_declaration,
      sym_class_declaration,
      sym_static_initializer,
      sym_constructor_declaration,
      sym_field_declaration,
      sym_record_declaration,
      sym_annotation_type_declaration,
      sym_interface_declaration,
      sym_method_declaration,
      sym_compact_constructor_declaration,
      aux_sym_enum_body_declarations_repeat1,
  [476] = 28,
    ACTIONS(29), 1,
      anon_sym_class,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(61), 1,
      anon_sym_AT,
    ACTIONS(71), 1,
      anon_sym_enum,
    ACTIONS(73), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(77), 1,
      anon_sym_ATinterface,
    ACTIONS(79), 1,
      anon_sym_interface,
    ACTIONS(1054), 1,
      sym_identifier,
    ACTIONS(1056), 1,
      anon_sym_LT,
    ACTIONS(1062), 1,
      anon_sym_static,
    ACTIONS(1064), 1,
      anon_sym_record,
    ACTIONS(1122), 1,
      anon_sym_SEMI,
    ACTIONS(1124), 1,
      anon_sym_RBRACE,
    STATE(613), 1,
      sym_modifiers,
    STATE(671), 1,
      sym_type_parameters,
    STATE(677), 1,
      sym_scoped_type_identifier,
    STATE(692), 1,
      sym_generic_type,
    STATE(711), 1,
      sym__unannotated_type,
    STATE(980), 1,
      sym__constructor_declarator,
    STATE(1039), 1,
      sym__method_header,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(83), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(85), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(688), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(428), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(81), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(21), 12,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
    STATE(357), 12,
      sym_block,
      sym_enum_declaration,
      sym_class_declaration,
      sym_static_initializer,
      sym_constructor_declaration,
      sym_field_declaration,
      sym_record_declaration,
      sym_annotation_type_declaration,
      sym_interface_declaration,
      sym_method_declaration,
      sym_compact_constructor_declaration,
      aux_sym_enum_body_declarations_repeat1,
  [595] = 25,
    ACTIONS(29), 1,
      anon_sym_class,
    ACTIONS(61), 1,
      anon_sym_AT,
    ACTIONS(71), 1,
      anon_sym_enum,
    ACTIONS(73), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(77), 1,
      anon_sym_ATinterface,
    ACTIONS(79), 1,
      anon_sym_interface,
    ACTIONS(1056), 1,
      anon_sym_LT,
    ACTIONS(1064), 1,
      anon_sym_record,
    ACTIONS(1126), 1,
      sym_identifier,
    ACTIONS(1128), 1,
      anon_sym_RBRACE,
    ACTIONS(1130), 1,
      anon_sym_SEMI,
    STATE(627), 1,
      sym_modifiers,
    STATE(662), 1,
      sym_type_parameters,
    STATE(677), 1,
      sym_scoped_type_identifier,
    STATE(692), 1,
      sym_generic_type,
    STATE(707), 1,
      sym__unannotated_type,
    STATE(1039), 1,
      sym__method_header,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(83), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(85), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(688), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(428), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(81), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    STATE(361), 8,
      sym_enum_declaration,
      sym_class_declaration,
      sym_record_declaration,
      sym_annotation_type_declaration,
      sym_interface_declaration,
      sym_constant_declaration,
      sym_method_declaration,
      aux_sym_interface_body_repeat1,
    ACTIONS(21), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [702] = 25,
    ACTIONS(29), 1,
      anon_sym_class,
    ACTIONS(61), 1,
      anon_sym_AT,
    ACTIONS(71), 1,
      anon_sym_enum,
    ACTIONS(73), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(77), 1,
      anon_sym_ATinterface,
    ACTIONS(79), 1,
      anon_sym_interface,
    ACTIONS(1056), 1,
      anon_sym_LT,
    ACTIONS(1064), 1,
      anon_sym_record,
    ACTIONS(1126), 1,
      sym_identifier,
    ACTIONS(1132), 1,
      anon_sym_RBRACE,
    ACTIONS(1134), 1,
      anon_sym_SEMI,
    STATE(627), 1,
      sym_modifiers,
    STATE(662), 1,
      sym_type_parameters,
    STATE(677), 1,
      sym_scoped_type_identifier,
    STATE(692), 1,
      sym_generic_type,
    STATE(707), 1,
      sym__unannotated_type,
    STATE(1039), 1,
      sym__method_header,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(83), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(85), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(688), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(428), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(81), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    STATE(362), 8,
      sym_enum_declaration,
      sym_class_declaration,
      sym_record_declaration,
      sym_annotation_type_declaration,
      sym_interface_declaration,
      sym_constant_declaration,
      sym_method_declaration,
      aux_sym_interface_body_repeat1,
    ACTIONS(21), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [809] = 25,
    ACTIONS(1136), 1,
      sym_identifier,
    ACTIONS(1139), 1,
      anon_sym_LT,
    ACTIONS(1145), 1,
      anon_sym_class,
    ACTIONS(1148), 1,
      anon_sym_RBRACE,
    ACTIONS(1150), 1,
      anon_sym_SEMI,
    ACTIONS(1153), 1,
      anon_sym_AT,
    ACTIONS(1156), 1,
      anon_sym_enum,
    ACTIONS(1159), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(1162), 1,
      anon_sym_record,
    ACTIONS(1165), 1,
      anon_sym_ATinterface,
    ACTIONS(1168), 1,
      anon_sym_interface,
    STATE(627), 1,
      sym_modifiers,
    STATE(662), 1,
      sym_type_parameters,
    STATE(677), 1,
      sym_scoped_type_identifier,
    STATE(692), 1,
      sym_generic_type,
    STATE(707), 1,
      sym__unannotated_type,
    STATE(1039), 1,
      sym__method_header,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1174), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(1177), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(688), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(428), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(1171), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    STATE(362), 8,
      sym_enum_declaration,
      sym_class_declaration,
      sym_record_declaration,
      sym_annotation_type_declaration,
      sym_interface_declaration,
      sym_constant_declaration,
      sym_method_declaration,
      aux_sym_interface_body_repeat1,
    ACTIONS(1142), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [916] = 14,
    ACTIONS(1182), 1,
      anon_sym_LPAREN,
    ACTIONS(1188), 1,
      anon_sym_EQ,
    ACTIONS(1192), 1,
      anon_sym_LT,
    ACTIONS(1195), 1,
      anon_sym_DASH_GT,
    ACTIONS(1200), 1,
      anon_sym_DOT,
    ACTIONS(1204), 1,
      anon_sym_AT,
    STATE(471), 1,
      sym_argument_list,
    STATE(682), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1197), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(1180), 4,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1190), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1184), 14,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_COLON,
    ACTIONS(1186), 14,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [1000] = 18,
    ACTIONS(1182), 1,
      anon_sym_LPAREN,
    ACTIONS(1188), 1,
      anon_sym_EQ,
    ACTIONS(1192), 1,
      anon_sym_LT,
    ACTIONS(1195), 1,
      anon_sym_DASH_GT,
    ACTIONS(1206), 1,
      anon_sym_AMP,
    ACTIONS(1209), 1,
      anon_sym_RPAREN,
    ACTIONS(1213), 1,
      anon_sym_COMMA,
    ACTIONS(1215), 1,
      anon_sym_DOT,
    STATE(471), 1,
      sym_argument_list,
    STATE(682), 1,
      sym_type_arguments,
    STATE(1019), 1,
      aux_sym_inferred_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1197), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(1204), 2,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1180), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1186), 9,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1190), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1184), 12,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
  [1091] = 15,
    ACTIONS(1182), 1,
      anon_sym_LPAREN,
    ACTIONS(1188), 1,
      anon_sym_EQ,
    ACTIONS(1192), 1,
      anon_sym_LT,
    ACTIONS(1195), 1,
      anon_sym_DASH_GT,
    ACTIONS(1200), 1,
      anon_sym_DOT,
    ACTIONS(1204), 1,
      anon_sym_AT,
    ACTIONS(1219), 1,
      anon_sym_COLON,
    STATE(471), 1,
      sym_argument_list,
    STATE(682), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1197), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(1180), 4,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1186), 10,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
    ACTIONS(1190), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1184), 13,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
  [1173] = 15,
    ACTIONS(1182), 1,
      anon_sym_LPAREN,
    ACTIONS(1188), 1,
      anon_sym_EQ,
    ACTIONS(1192), 1,
      anon_sym_LT,
    ACTIONS(1195), 1,
      anon_sym_DASH_GT,
    ACTIONS(1200), 1,
      anon_sym_DOT,
    ACTIONS(1204), 1,
      anon_sym_AT,
    ACTIONS(1221), 1,
      anon_sym_COLON,
    STATE(471), 1,
      sym_argument_list,
    STATE(682), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1197), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(1180), 4,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1186), 10,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
    ACTIONS(1190), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1184), 13,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
  [1255] = 20,
    ACTIONS(29), 1,
      anon_sym_class,
    ACTIONS(61), 1,
      anon_sym_AT,
    ACTIONS(71), 1,
      anon_sym_enum,
    ACTIONS(73), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(77), 1,
      anon_sym_ATinterface,
    ACTIONS(79), 1,
      anon_sym_interface,
    ACTIONS(1126), 1,
      sym_identifier,
    ACTIONS(1223), 1,
      anon_sym_RBRACE,
    STATE(677), 1,
      sym_scoped_type_identifier,
    STATE(683), 1,
      sym_modifiers,
    STATE(692), 1,
      sym_generic_type,
    STATE(724), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(83), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(85), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(688), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(428), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(81), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    STATE(368), 7,
      sym_enum_declaration,
      sym_class_declaration,
      sym_annotation_type_declaration,
      sym_annotation_type_element_declaration,
      sym_interface_declaration,
      sym_constant_declaration,
      aux_sym_annotation_type_body_repeat1,
    ACTIONS(21), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [1346] = 20,
    ACTIONS(1225), 1,
      sym_identifier,
    ACTIONS(1231), 1,
      anon_sym_class,
    ACTIONS(1234), 1,
      anon_sym_RBRACE,
    ACTIONS(1236), 1,
      anon_sym_AT,
    ACTIONS(1239), 1,
      anon_sym_enum,
    ACTIONS(1242), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(1245), 1,
      anon_sym_ATinterface,
    ACTIONS(1248), 1,
      anon_sym_interface,
    STATE(677), 1,
      sym_scoped_type_identifier,
    STATE(683), 1,
      sym_modifiers,
    STATE(692), 1,
      sym_generic_type,
    STATE(724), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1254), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(1257), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(688), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(428), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(1251), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    STATE(368), 7,
      sym_enum_declaration,
      sym_class_declaration,
      sym_annotation_type_declaration,
      sym_annotation_type_element_declaration,
      sym_interface_declaration,
      sym_constant_declaration,
      aux_sym_annotation_type_body_repeat1,
    ACTIONS(1228), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [1437] = 20,
    ACTIONS(29), 1,
      anon_sym_class,
    ACTIONS(61), 1,
      anon_sym_AT,
    ACTIONS(71), 1,
      anon_sym_enum,
    ACTIONS(73), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(77), 1,
      anon_sym_ATinterface,
    ACTIONS(79), 1,
      anon_sym_interface,
    ACTIONS(1126), 1,
      sym_identifier,
    ACTIONS(1260), 1,
      anon_sym_RBRACE,
    STATE(677), 1,
      sym_scoped_type_identifier,
    STATE(683), 1,
      sym_modifiers,
    STATE(692), 1,
      sym_generic_type,
    STATE(724), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(83), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(85), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(688), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(428), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(81), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    STATE(367), 7,
      sym_enum_declaration,
      sym_class_declaration,
      sym_annotation_type_declaration,
      sym_annotation_type_element_declaration,
      sym_interface_declaration,
      sym_constant_declaration,
      aux_sym_annotation_type_body_repeat1,
    ACTIONS(21), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [1528] = 5,
    ACTIONS(1182), 1,
      anon_sym_LPAREN,
    STATE(461), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1262), 15,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_COLON,
    ACTIONS(1264), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [1588] = 5,
    ACTIONS(1182), 1,
      anon_sym_LPAREN,
    STATE(485), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1266), 15,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_COLON,
    ACTIONS(1268), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [1648] = 8,
    ACTIONS(1182), 1,
      anon_sym_LPAREN,
    ACTIONS(1274), 1,
      anon_sym_EQ,
    ACTIONS(1278), 1,
      anon_sym_DASH_GT,
    STATE(470), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1276), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1270), 14,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_COLON,
    ACTIONS(1272), 18,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [1714] = 5,
    ACTIONS(1182), 1,
      anon_sym_LPAREN,
    STATE(494), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1280), 15,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_COLON,
    ACTIONS(1282), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [1774] = 11,
    ACTIONS(1182), 1,
      anon_sym_LPAREN,
    ACTIONS(1274), 1,
      anon_sym_EQ,
    ACTIONS(1278), 1,
      anon_sym_DASH_GT,
    ACTIONS(1284), 1,
      sym_identifier,
    STATE(470), 1,
      sym_argument_list,
    STATE(985), 1,
      sym_scoped_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1286), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
    ACTIONS(1276), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1272), 13,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
    ACTIONS(1270), 14,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
  [1846] = 5,
    ACTIONS(1182), 1,
      anon_sym_LPAREN,
    STATE(493), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1288), 15,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_COLON,
    ACTIONS(1290), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [1906] = 13,
    ACTIONS(1182), 1,
      anon_sym_LPAREN,
    ACTIONS(1192), 1,
      anon_sym_LT,
    ACTIONS(1200), 1,
      anon_sym_DOT,
    ACTIONS(1204), 1,
      anon_sym_AT,
    ACTIONS(1292), 1,
      anon_sym_EQ,
    ACTIONS(1296), 1,
      anon_sym_DASH_GT,
    STATE(471), 1,
      sym_argument_list,
    STATE(682), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1197), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(1186), 11,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1294), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1184), 13,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_COLON,
  [1980] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1262), 15,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_COLON,
    ACTIONS(1264), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [2034] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1299), 15,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_COLON,
    ACTIONS(1301), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [2088] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1288), 15,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_COLON,
    ACTIONS(1290), 30,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [2142] = 13,
    ACTIONS(1182), 1,
      anon_sym_LPAREN,
    ACTIONS(1192), 1,
      anon_sym_LT,
    ACTIONS(1195), 1,
      anon_sym_DASH_GT,
    ACTIONS(1200), 1,
      anon_sym_DOT,
    ACTIONS(1204), 1,
      anon_sym_AT,
    ACTIONS(1303), 1,
      anon_sym_EQ,
    STATE(471), 1,
      sym_argument_list,
    STATE(682), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1197), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(1186), 11,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1190), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1184), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
  [2215] = 11,
    ACTIONS(1182), 1,
      anon_sym_LPAREN,
    ACTIONS(1213), 1,
      anon_sym_COMMA,
    ACTIONS(1274), 1,
      anon_sym_EQ,
    ACTIONS(1278), 1,
      anon_sym_DASH_GT,
    ACTIONS(1305), 1,
      anon_sym_RPAREN,
    STATE(470), 1,
      sym_argument_list,
    STATE(993), 1,
      aux_sym_inferred_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1276), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1270), 13,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(1272), 13,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [2284] = 5,
    ACTIONS(1188), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1190), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1184), 14,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_COLON,
    ACTIONS(1186), 18,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [2341] = 8,
    ACTIONS(1182), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_EQ,
    ACTIONS(1312), 1,
      anon_sym_DASH_GT,
    STATE(470), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1310), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1270), 14,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_COLON,
    ACTIONS(1272), 14,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [2403] = 9,
    ACTIONS(1182), 1,
      anon_sym_LPAREN,
    ACTIONS(1274), 1,
      anon_sym_EQ,
    ACTIONS(1278), 1,
      anon_sym_DASH_GT,
    ACTIONS(1315), 1,
      anon_sym_module,
    STATE(470), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1276), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1270), 13,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(1272), 14,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
  [2467] = 7,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1321), 1,
      anon_sym_LBRACK,
    STATE(386), 1,
      aux_sym_dimensions_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(815), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1317), 14,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_COLON,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1319), 22,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [2527] = 7,
    ACTIONS(1327), 1,
      anon_sym_LBRACK,
    ACTIONS(1330), 1,
      anon_sym_AT,
    STATE(386), 1,
      aux_sym_dimensions_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(815), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1323), 14,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_COLON,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1325), 22,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [2587] = 9,
    ACTIONS(1182), 1,
      anon_sym_LPAREN,
    ACTIONS(1274), 1,
      anon_sym_EQ,
    ACTIONS(1278), 1,
      anon_sym_DASH_GT,
    ACTIONS(1333), 1,
      sym_identifier,
    STATE(470), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1276), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1272), 13,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
    ACTIONS(1270), 14,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
  [2651] = 9,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1339), 1,
      anon_sym_LBRACK,
    STATE(385), 1,
      aux_sym_dimensions_repeat1,
    STATE(492), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(398), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(849), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1335), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1337), 23,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [2714] = 8,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1321), 1,
      anon_sym_LBRACK,
    STATE(385), 1,
      aux_sym_dimensions_repeat1,
    STATE(420), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(815), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1341), 13,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1343), 21,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [2775] = 8,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1321), 1,
      anon_sym_LBRACK,
    STATE(385), 1,
      aux_sym_dimensions_repeat1,
    STATE(420), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(815), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1345), 13,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1347), 21,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [2836] = 9,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1339), 1,
      anon_sym_LBRACK,
    STATE(385), 1,
      aux_sym_dimensions_repeat1,
    STATE(499), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(398), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(849), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1349), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1351), 23,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [2899] = 9,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1339), 1,
      anon_sym_LBRACK,
    STATE(385), 1,
      aux_sym_dimensions_repeat1,
    STATE(496), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(398), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(849), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1353), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1355), 23,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [2962] = 9,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1339), 1,
      anon_sym_LBRACK,
    STATE(385), 1,
      aux_sym_dimensions_repeat1,
    STATE(483), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(398), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(849), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1357), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1359), 23,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [3025] = 19,
    ACTIONS(289), 1,
      anon_sym_RPAREN,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(297), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(1126), 1,
      sym_identifier,
    STATE(399), 1,
      sym_receiver_parameter,
    STATE(533), 1,
      aux_sym_modifiers_repeat1,
    STATE(661), 1,
      aux_sym_array_creation_expression_repeat1,
    STATE(677), 1,
      sym_scoped_type_identifier,
    STATE(692), 1,
      sym_generic_type,
    STATE(713), 1,
      sym_modifiers,
    STATE(721), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(83), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(85), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(991), 2,
      sym_formal_parameter,
      sym_spread_parameter,
    STATE(608), 3,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
    STATE(688), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(81), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(291), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [3107] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1363), 8,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1361), 33,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_static,
      anon_sym_to,
      anon_sym_with,
      anon_sym_package,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [3157] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1367), 8,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1365), 33,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_static,
      anon_sym_to,
      anon_sym_with,
      anon_sym_package,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [3207] = 5,
    ACTIONS(1292), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1294), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1184), 14,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_COLON,
    ACTIONS(1186), 15,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [3261] = 7,
    ACTIONS(1373), 1,
      anon_sym_LBRACK,
    ACTIONS(1376), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(398), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(840), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1369), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1371), 23,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [3318] = 16,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(297), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(1126), 1,
      sym_identifier,
    ACTIONS(1379), 1,
      anon_sym_RPAREN,
    STATE(677), 1,
      sym_scoped_type_identifier,
    STATE(692), 1,
      sym_generic_type,
    STATE(713), 1,
      sym_modifiers,
    STATE(729), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(83), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(85), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1070), 2,
      sym_formal_parameter,
      sym_spread_parameter,
    STATE(688), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(533), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(81), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(291), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [3392] = 6,
    ACTIONS(1381), 1,
      anon_sym_LT,
    ACTIONS(1384), 1,
      anon_sym_DOT,
    STATE(417), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1180), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1204), 23,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
  [3445] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1386), 14,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_COLON,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1388), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
  [3492] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1323), 14,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_COLON,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1325), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
  [3539] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1016), 12,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_character_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(1018), 26,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      anon_sym_DQUOTE,
      sym_null_literal,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_new,
      anon_sym_switch,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_this,
      sym_super,
      sym_identifier,
  [3586] = 6,
    ACTIONS(1394), 1,
      anon_sym_LT,
    ACTIONS(1397), 1,
      anon_sym_DOT,
    STATE(418), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1390), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1392), 23,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
  [3639] = 16,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(297), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(1126), 1,
      sym_identifier,
    STATE(677), 1,
      sym_scoped_type_identifier,
    STATE(692), 1,
      sym_generic_type,
    STATE(699), 1,
      sym_modifiers,
    STATE(731), 1,
      sym__unannotated_type,
    STATE(896), 1,
      sym_catch_type,
    STATE(1280), 1,
      sym_catch_formal_parameter,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(83), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(85), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(688), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(533), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(81), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(291), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [3712] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(742), 12,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_character_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(744), 26,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      anon_sym_DQUOTE,
      sym_null_literal,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_new,
      anon_sym_switch,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_this,
      sym_super,
      sym_identifier,
  [3759] = 15,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(297), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(1126), 1,
      sym_identifier,
    STATE(677), 1,
      sym_scoped_type_identifier,
    STATE(692), 1,
      sym_generic_type,
    STATE(713), 1,
      sym_modifiers,
    STATE(729), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(83), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(85), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1105), 2,
      sym_formal_parameter,
      sym_spread_parameter,
    STATE(688), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(533), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(81), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(291), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [3830] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1399), 13,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1401), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
  [3876] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1403), 13,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1405), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
  [3922] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1407), 13,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1409), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
  [3968] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1411), 13,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1413), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
  [4014] = 6,
    ACTIONS(1417), 1,
      anon_sym_LPAREN,
    ACTIONS(1421), 1,
      anon_sym_DOT,
    STATE(433), 1,
      sym_annotation_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1419), 3,
      anon_sym_LT,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1415), 31,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_static,
      anon_sym_package,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [4066] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1423), 13,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1425), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
  [4112] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1427), 13,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1429), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
  [4158] = 4,
    ACTIONS(1397), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1390), 13,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1392), 23,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
  [4206] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1431), 13,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1433), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
  [4252] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1435), 13,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1437), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
  [4298] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1439), 13,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1441), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
  [4344] = 6,
    ACTIONS(1417), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_DOT,
    STATE(430), 1,
      sym_annotation_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1445), 3,
      anon_sym_LT,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1443), 31,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_static,
      anon_sym_package,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [4396] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1449), 13,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1451), 23,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
  [4441] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1453), 13,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1455), 23,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
  [4486] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1390), 13,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1392), 23,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
  [4531] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1457), 13,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1459), 23,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
  [4576] = 5,
    ACTIONS(1465), 1,
      anon_sym_LBRACE,
    STATE(501), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1461), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1463), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [4624] = 5,
    ACTIONS(1465), 1,
      anon_sym_LBRACE,
    STATE(463), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1467), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1469), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [4672] = 5,
    ACTIONS(1465), 1,
      anon_sym_LBRACE,
    STATE(502), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1471), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1473), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [4720] = 5,
    ACTIONS(1465), 1,
      anon_sym_LBRACE,
    STATE(491), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1475), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1477), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [4768] = 7,
    ACTIONS(61), 1,
      anon_sym_AT,
    ACTIONS(1485), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1481), 2,
      anon_sym_LT,
      anon_sym_ATinterface,
    STATE(429), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(1483), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
    ACTIONS(1479), 14,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [4820] = 7,
    ACTIONS(1494), 1,
      anon_sym_AT,
    ACTIONS(1497), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1489), 2,
      anon_sym_LT,
      anon_sym_ATinterface,
    STATE(429), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(1491), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
    ACTIONS(1487), 14,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [4872] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1502), 3,
      anon_sym_LT,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1500), 31,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_static,
      anon_sym_package,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [4915] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1506), 6,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1504), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [4958] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1508), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1510), 25,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [5001] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1514), 3,
      anon_sym_LT,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1512), 31,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_static,
      anon_sym_package,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [5044] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1518), 3,
      anon_sym_LT,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1516), 31,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_static,
      anon_sym_package,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [5087] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1522), 6,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1520), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [5130] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1526), 6,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1524), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [5173] = 5,
    ACTIONS(1528), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1534), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
    ACTIONS(1530), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
    ACTIONS(1532), 21,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [5220] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1538), 6,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1536), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [5263] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1540), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1542), 25,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [5306] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1546), 6,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1544), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [5349] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1550), 6,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1548), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [5392] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1554), 3,
      anon_sym_LT,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1552), 31,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_static,
      anon_sym_package,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [5435] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1558), 6,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1556), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [5478] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1562), 6,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1560), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [5521] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1564), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1566), 25,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
  [5564] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1568), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1570), 25,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
  [5607] = 5,
    ACTIONS(1572), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1578), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
    ACTIONS(1574), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
    ACTIONS(1576), 21,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [5654] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1582), 6,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1580), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [5697] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1586), 6,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1584), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [5740] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1590), 6,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1588), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [5783] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1341), 13,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1343), 21,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [5826] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1594), 6,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1592), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [5869] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1596), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1598), 25,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [5912] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1602), 3,
      anon_sym_LT,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1600), 31,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_static,
      anon_sym_package,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [5955] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1606), 6,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1604), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [5998] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1610), 6,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1608), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [6041] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1614), 6,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1612), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [6084] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1616), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1618), 25,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [6127] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1622), 6,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1620), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [6170] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1624), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1626), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [6212] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1628), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1630), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [6254] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1632), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1634), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [6296] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1636), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1638), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [6338] = 6,
    ACTIONS(1640), 1,
      anon_sym_LBRACK,
    ACTIONS(1642), 1,
      anon_sym_DOT,
    ACTIONS(1644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(309), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(311), 21,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [6386] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1646), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1648), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [6428] = 5,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1657), 2,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1655), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_package,
    ACTIONS(1650), 11,
      anon_sym_AT,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
    ACTIONS(1653), 17,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
  [6474] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1659), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1661), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [6516] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1663), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1665), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [6558] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1669), 5,
      anon_sym_LT,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1667), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [6600] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1671), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1673), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [6642] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1675), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1677), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [6684] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1679), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1681), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [6726] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1683), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1685), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [6768] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1687), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1689), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [6810] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1691), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1693), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [6852] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1695), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1697), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [6894] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1699), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1701), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [6936] = 5,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    STATE(448), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1657), 3,
      anon_sym_LT,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1653), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [6982] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1703), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1705), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [7024] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1707), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1709), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [7066] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1184), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1186), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [7108] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1711), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1713), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [7150] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1715), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1717), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [7192] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1719), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1721), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [7234] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1723), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1725), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [7276] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1727), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1729), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [7318] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1731), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1733), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [7360] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1735), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1737), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [7402] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1739), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1741), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [7444] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1743), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1745), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [7486] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1747), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1749), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [7528] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1751), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1753), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [7570] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1755), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1757), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [7612] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1759), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1761), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [7654] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1763), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1765), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [7696] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1767), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1769), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [7738] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1771), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1773), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [7780] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1777), 5,
      anon_sym_LT,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1775), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [7822] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1779), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1781), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [7864] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1783), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1785), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [7906] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1787), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1789), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [7948] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1791), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1793), 24,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [7990] = 5,
    ACTIONS(844), 1,
      anon_sym_LPAREN,
    STATE(1100), 1,
      sym_parenthesized_expression,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1657), 2,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1653), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [8035] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1409), 12,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1407), 19,
      anon_sym_new,
      anon_sym_DOT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_this,
      sym_super,
      sym_identifier,
  [8075] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1405), 12,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1403), 19,
      anon_sym_new,
      anon_sym_DOT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_this,
      sym_super,
      sym_identifier,
  [8115] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1429), 12,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1427), 19,
      anon_sym_new,
      anon_sym_DOT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_this,
      sym_super,
      sym_identifier,
  [8155] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1797), 3,
      anon_sym_RBRACE,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1795), 27,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [8194] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1799), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(1801), 22,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [8233] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1803), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(1805), 22,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [8272] = 4,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1807), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(1809), 20,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [8313] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(309), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(311), 22,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [8352] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1813), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(1815), 22,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [8391] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1819), 3,
      anon_sym_RBRACE,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1817), 27,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [8430] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1821), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(1823), 22,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [8469] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1825), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(1827), 22,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [8508] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1831), 3,
      anon_sym_RBRACE,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1829), 27,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [8547] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1835), 3,
      anon_sym_RBRACE,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1833), 27,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [8586] = 4,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1837), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(1839), 20,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [8627] = 4,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1841), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(1843), 20,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [8668] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1845), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(1847), 22,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [8707] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1849), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(1851), 22,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [8746] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1855), 3,
      anon_sym_RBRACE,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1853), 27,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [8785] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1859), 3,
      anon_sym_RBRACE,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1857), 27,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [8824] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1863), 3,
      anon_sym_RBRACE,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1861), 27,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [8863] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1867), 3,
      anon_sym_RBRACE,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1865), 27,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [8902] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1813), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(1815), 22,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [8941] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1869), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(1871), 22,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [8980] = 18,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1875), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [9048] = 7,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1807), 5,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(1809), 17,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [9094] = 9,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1807), 4,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(1809), 15,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [9144] = 15,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1809), 9,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [9206] = 13,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1807), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1809), 10,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [9264] = 6,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1907), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(541), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(1479), 10,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
    ACTIONS(1905), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [9308] = 18,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1801), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [9376] = 6,
    ACTIONS(1909), 1,
      anon_sym_LPAREN,
    ACTIONS(1911), 1,
      anon_sym_DOT,
    STATE(595), 1,
      sym_annotation_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1445), 3,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_non_DASHsealed,
    ACTIONS(1443), 23,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [9420] = 6,
    ACTIONS(1909), 1,
      anon_sym_LPAREN,
    ACTIONS(1913), 1,
      anon_sym_DOT,
    STATE(583), 1,
      sym_annotation_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1419), 3,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_non_DASHsealed,
    ACTIONS(1415), 23,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [9464] = 18,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1915), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [9532] = 18,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1871), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [9600] = 18,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1917), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [9668] = 6,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1807), 7,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(1809), 17,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [9712] = 6,
    ACTIONS(1922), 1,
      anon_sym_AT,
    ACTIONS(1925), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(541), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(1487), 10,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
    ACTIONS(1919), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [9756] = 15,
    ACTIONS(1807), 1,
      anon_sym_PIPE,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1809), 9,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [9818] = 5,
    ACTIONS(1182), 1,
      anon_sym_LPAREN,
    STATE(1248), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1184), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(1186), 19,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
  [9860] = 12,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1807), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1809), 12,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [9916] = 14,
    ACTIONS(1807), 1,
      anon_sym_PIPE,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1809), 10,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [9976] = 16,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1809), 8,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [10040] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1363), 5,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_non_DASHsealed,
    ACTIONS(1361), 23,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [10077] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1367), 5,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_non_DASHsealed,
    ACTIONS(1365), 23,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [10114] = 7,
    ACTIONS(1330), 1,
      anon_sym_AT,
    ACTIONS(1928), 1,
      anon_sym_LBRACK,
    STATE(549), 1,
      aux_sym_dimensions_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(818), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1325), 10,
      anon_sym_AMP,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1323), 11,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_default,
      anon_sym_open,
      anon_sym_module,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      anon_sym_throws,
      sym_this,
      sym_identifier,
  [10159] = 7,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(549), 1,
      aux_sym_dimensions_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(818), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1319), 10,
      anon_sym_AMP,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1317), 11,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_default,
      anon_sym_open,
      anon_sym_module,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      anon_sym_throws,
      sym_this,
      sym_identifier,
  [10204] = 18,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1933), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [10270] = 20,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1935), 1,
      anon_sym_AMP,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1951), 1,
      anon_sym_SLASH,
    ACTIONS(1953), 1,
      anon_sym_PIPE,
    ACTIONS(1955), 1,
      anon_sym_CARET,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_COMMA,
    ACTIONS(1965), 1,
      anon_sym_QMARK,
    STATE(964), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1939), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1941), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1947), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1957), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1961), 2,
      anon_sym_DASH_GT,
      anon_sym_COLON,
  [10340] = 6,
    ACTIONS(1640), 1,
      anon_sym_LBRACK,
    ACTIONS(1644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1967), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(309), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(311), 16,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
  [10382] = 20,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(1969), 1,
      anon_sym_RPAREN,
    ACTIONS(1971), 1,
      anon_sym_COMMA,
    STATE(990), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [10451] = 4,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(305), 2,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(309), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(311), 16,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
  [10488] = 9,
    ACTIONS(1951), 1,
      anon_sym_SLASH,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1947), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1957), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1807), 4,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(1809), 12,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
  [10535] = 12,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1951), 1,
      anon_sym_SLASH,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1807), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1939), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1947), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1957), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1809), 9,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
  [10588] = 18,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1973), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [10653] = 15,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1935), 1,
      anon_sym_AMP,
    ACTIONS(1951), 1,
      anon_sym_SLASH,
    ACTIONS(1953), 1,
      anon_sym_PIPE,
    ACTIONS(1955), 1,
      anon_sym_CARET,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1939), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1941), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1947), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1957), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1809), 6,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
  [10712] = 12,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(297), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(1975), 1,
      sym_identifier,
    ACTIONS(1977), 1,
      anon_sym_COMMA,
    ACTIONS(1979), 1,
      anon_sym_RBRACE,
    ACTIONS(1981), 1,
      anon_sym_SEMI,
    STATE(887), 1,
      sym_enum_constant,
    STATE(1240), 1,
      sym_modifiers,
    STATE(1241), 1,
      sym_enum_body_declarations,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(533), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(291), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [10765] = 20,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(1983), 1,
      anon_sym_COMMA,
    ACTIONS(1985), 1,
      anon_sym_SEMI,
    STATE(1082), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [10834] = 20,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(1983), 1,
      anon_sym_COMMA,
    ACTIONS(1987), 1,
      anon_sym_SEMI,
    STATE(1066), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [10903] = 20,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(1971), 1,
      anon_sym_COMMA,
    ACTIONS(1989), 1,
      anon_sym_RPAREN,
    STATE(1017), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [10972] = 20,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(1971), 1,
      anon_sym_COMMA,
    ACTIONS(1991), 1,
      anon_sym_RPAREN,
    STATE(1032), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [11041] = 16,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1935), 1,
      anon_sym_AMP,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1951), 1,
      anon_sym_SLASH,
    ACTIONS(1953), 1,
      anon_sym_PIPE,
    ACTIONS(1955), 1,
      anon_sym_CARET,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1939), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1941), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1947), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1957), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1809), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
  [11102] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1995), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_non_DASHsealed,
    ACTIONS(1993), 23,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [11137] = 18,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1935), 1,
      anon_sym_AMP,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1951), 1,
      anon_sym_SLASH,
    ACTIONS(1953), 1,
      anon_sym_PIPE,
    ACTIONS(1955), 1,
      anon_sym_CARET,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1965), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1939), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1941), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1947), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1957), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1875), 3,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_COLON,
  [11202] = 18,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1997), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
  [11267] = 20,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(1971), 1,
      anon_sym_COMMA,
    ACTIONS(1999), 1,
      anon_sym_RPAREN,
    STATE(1052), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [11336] = 20,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(1971), 1,
      anon_sym_COMMA,
    ACTIONS(2001), 1,
      anon_sym_RPAREN,
    STATE(1065), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [11405] = 6,
    ACTIONS(1951), 1,
      anon_sym_SLASH,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1807), 7,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(1809), 14,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
  [11446] = 20,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(2003), 1,
      anon_sym_COMMA,
    ACTIONS(2005), 1,
      anon_sym_RBRACE,
    STATE(1014), 1,
      aux_sym_array_initializer_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [11515] = 20,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(1971), 1,
      anon_sym_COMMA,
    ACTIONS(2007), 1,
      anon_sym_RPAREN,
    STATE(1064), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [11584] = 15,
    ACTIONS(1807), 1,
      anon_sym_PIPE,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1935), 1,
      anon_sym_AMP,
    ACTIONS(1951), 1,
      anon_sym_SLASH,
    ACTIONS(1955), 1,
      anon_sym_CARET,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1939), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1941), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1947), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1957), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1809), 6,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
  [11643] = 20,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(1971), 1,
      anon_sym_COMMA,
    ACTIONS(2009), 1,
      anon_sym_RPAREN,
    STATE(1061), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [11712] = 20,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(1971), 1,
      anon_sym_COMMA,
    ACTIONS(2011), 1,
      anon_sym_RPAREN,
    STATE(1059), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [11781] = 20,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(1971), 1,
      anon_sym_COMMA,
    ACTIONS(2013), 1,
      anon_sym_RPAREN,
    STATE(1050), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [11850] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2017), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_non_DASHsealed,
    ACTIONS(2015), 23,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [11885] = 14,
    ACTIONS(1807), 1,
      anon_sym_PIPE,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1935), 1,
      anon_sym_AMP,
    ACTIONS(1951), 1,
      anon_sym_SLASH,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1939), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1941), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1947), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1957), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1809), 7,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
  [11942] = 7,
    ACTIONS(1951), 1,
      anon_sym_SLASH,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1947), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1807), 5,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(1809), 14,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
  [11985] = 20,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(1971), 1,
      anon_sym_COMMA,
    ACTIONS(2019), 1,
      anon_sym_RPAREN,
    STATE(1072), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [12054] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1602), 3,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_non_DASHsealed,
    ACTIONS(1600), 23,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [12089] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1514), 3,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_non_DASHsealed,
    ACTIONS(1512), 23,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [12124] = 20,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(1971), 1,
      anon_sym_COMMA,
    ACTIONS(2021), 1,
      anon_sym_RPAREN,
    STATE(1047), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [12193] = 20,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(1971), 1,
      anon_sym_COMMA,
    ACTIONS(2023), 1,
      anon_sym_RPAREN,
    STATE(1044), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [12262] = 20,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(1971), 1,
      anon_sym_COMMA,
    ACTIONS(2025), 1,
      anon_sym_RPAREN,
    STATE(1034), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [12331] = 20,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(1971), 1,
      anon_sym_COMMA,
    ACTIONS(2027), 1,
      anon_sym_RPAREN,
    STATE(1031), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [12400] = 15,
    ACTIONS(327), 1,
      anon_sym_AT,
    ACTIONS(1126), 1,
      sym_identifier,
    ACTIONS(2029), 1,
      anon_sym_GT,
    ACTIONS(2031), 1,
      anon_sym_QMARK,
    STATE(677), 1,
      sym_scoped_type_identifier,
    STATE(692), 1,
      sym_generic_type,
    STATE(703), 1,
      sym__unannotated_type,
    STATE(779), 1,
      sym_annotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(83), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(85), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(986), 2,
      sym_wildcard,
      sym__type,
    STATE(688), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(658), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(81), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [12459] = 20,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(1961), 1,
      anon_sym_COLON,
    ACTIONS(2033), 1,
      anon_sym_COMMA,
    STATE(1029), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [12528] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1518), 3,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_non_DASHsealed,
    ACTIONS(1516), 23,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [12563] = 20,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(1971), 1,
      anon_sym_COMMA,
    ACTIONS(2035), 1,
      anon_sym_RPAREN,
    STATE(988), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [12632] = 18,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1935), 1,
      anon_sym_AMP,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1951), 1,
      anon_sym_SLASH,
    ACTIONS(1953), 1,
      anon_sym_PIPE,
    ACTIONS(1955), 1,
      anon_sym_CARET,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1965), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1939), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1941), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1947), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1957), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1997), 3,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_COLON,
  [12697] = 20,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(1971), 1,
      anon_sym_COMMA,
    ACTIONS(2037), 1,
      anon_sym_RPAREN,
    STATE(1075), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [12766] = 20,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(2033), 1,
      anon_sym_COMMA,
    ACTIONS(2039), 1,
      anon_sym_RPAREN,
    STATE(1078), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [12835] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1502), 3,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_non_DASHsealed,
    ACTIONS(1500), 23,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [12870] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2043), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_non_DASHsealed,
    ACTIONS(2041), 23,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [12905] = 18,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1935), 1,
      anon_sym_AMP,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1951), 1,
      anon_sym_SLASH,
    ACTIONS(1953), 1,
      anon_sym_PIPE,
    ACTIONS(1955), 1,
      anon_sym_CARET,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1965), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1939), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1941), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1947), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1957), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1801), 3,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_COLON,
  [12970] = 18,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1935), 1,
      anon_sym_AMP,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1951), 1,
      anon_sym_SLASH,
    ACTIONS(1953), 1,
      anon_sym_PIPE,
    ACTIONS(1955), 1,
      anon_sym_CARET,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1965), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1939), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1941), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1947), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1957), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1917), 3,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_COLON,
  [13035] = 18,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1935), 1,
      anon_sym_AMP,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1951), 1,
      anon_sym_SLASH,
    ACTIONS(1953), 1,
      anon_sym_PIPE,
    ACTIONS(1955), 1,
      anon_sym_CARET,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1965), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1939), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1941), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1947), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1957), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1871), 3,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_COLON,
  [13100] = 18,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1935), 1,
      anon_sym_AMP,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1951), 1,
      anon_sym_SLASH,
    ACTIONS(1953), 1,
      anon_sym_PIPE,
    ACTIONS(1955), 1,
      anon_sym_CARET,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1965), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1939), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1941), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1947), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1957), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1915), 3,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_COLON,
  [13165] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2047), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_non_DASHsealed,
    ACTIONS(2045), 23,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [13200] = 13,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1951), 1,
      anon_sym_SLASH,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1807), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1939), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1941), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1947), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1957), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1809), 7,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
  [13255] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1554), 3,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_non_DASHsealed,
    ACTIONS(1552), 23,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [13290] = 15,
    ACTIONS(327), 1,
      anon_sym_AT,
    ACTIONS(1126), 1,
      sym_identifier,
    ACTIONS(2031), 1,
      anon_sym_QMARK,
    ACTIONS(2049), 1,
      anon_sym_GT,
    STATE(677), 1,
      sym_scoped_type_identifier,
    STATE(692), 1,
      sym_generic_type,
    STATE(703), 1,
      sym__unannotated_type,
    STATE(779), 1,
      sym_annotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(83), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(85), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1083), 2,
      sym_wildcard,
      sym__type,
    STATE(688), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(658), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(81), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [13349] = 11,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(297), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(1975), 1,
      sym_identifier,
    ACTIONS(1981), 1,
      anon_sym_SEMI,
    ACTIONS(2051), 1,
      anon_sym_RBRACE,
    STATE(1079), 1,
      sym_enum_constant,
    STATE(1229), 1,
      sym_enum_body_declarations,
    STATE(1240), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(533), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(291), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [13399] = 18,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2053), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [13463] = 18,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2055), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [13527] = 5,
    ACTIONS(1657), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(2057), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1650), 10,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
    ACTIONS(1653), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [13565] = 14,
    ACTIONS(327), 1,
      anon_sym_AT,
    ACTIONS(1126), 1,
      sym_identifier,
    ACTIONS(2031), 1,
      anon_sym_QMARK,
    STATE(677), 1,
      sym_scoped_type_identifier,
    STATE(692), 1,
      sym_generic_type,
    STATE(703), 1,
      sym__unannotated_type,
    STATE(779), 1,
      sym_annotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(83), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(85), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1172), 2,
      sym_wildcard,
      sym__type,
    STATE(688), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(658), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(81), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [13621] = 18,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2060), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [13685] = 18,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2062), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [13749] = 19,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(2064), 1,
      anon_sym_COLON,
    ACTIONS(2066), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [13815] = 18,
    ACTIONS(1056), 1,
      anon_sym_LT,
    ACTIONS(2068), 1,
      sym_identifier,
    ACTIONS(2070), 1,
      anon_sym_class,
    ACTIONS(2072), 1,
      anon_sym_enum,
    ACTIONS(2074), 1,
      anon_sym_record,
    ACTIONS(2076), 1,
      anon_sym_ATinterface,
    ACTIONS(2078), 1,
      anon_sym_interface,
    STATE(671), 1,
      sym_type_parameters,
    STATE(677), 1,
      sym_scoped_type_identifier,
    STATE(692), 1,
      sym_generic_type,
    STATE(701), 1,
      sym__unannotated_type,
    STATE(952), 1,
      sym__constructor_declarator,
    STATE(1028), 1,
      sym__method_header,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(83), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(85), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(688), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(81), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [13879] = 18,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1933), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [13943] = 11,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(297), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(1975), 1,
      sym_identifier,
    ACTIONS(1981), 1,
      anon_sym_SEMI,
    ACTIONS(2080), 1,
      anon_sym_RBRACE,
    STATE(1079), 1,
      sym_enum_constant,
    STATE(1240), 1,
      sym_modifiers,
    STATE(1252), 1,
      sym_enum_body_declarations,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(533), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(291), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [13993] = 18,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2082), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [14057] = 18,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(2084), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [14120] = 18,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(2086), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [14183] = 18,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(2088), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [14246] = 14,
    ACTIONS(327), 1,
      anon_sym_AT,
    ACTIONS(1126), 1,
      sym_identifier,
    STATE(677), 1,
      sym_scoped_type_identifier,
    STATE(692), 1,
      sym_generic_type,
    STATE(703), 1,
      sym__unannotated_type,
    STATE(779), 1,
      sym_annotated_type,
    STATE(982), 1,
      sym__type,
    STATE(1135), 1,
      sym_type_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(83), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(85), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(688), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(672), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(81), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [14301] = 18,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(2090), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [14364] = 18,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(2092), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [14427] = 14,
    ACTIONS(327), 1,
      anon_sym_AT,
    ACTIONS(1126), 1,
      sym_identifier,
    STATE(677), 1,
      sym_scoped_type_identifier,
    STATE(692), 1,
      sym_generic_type,
    STATE(703), 1,
      sym__unannotated_type,
    STATE(779), 1,
      sym_annotated_type,
    STATE(982), 1,
      sym__type,
    STATE(1258), 1,
      sym_type_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(83), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(85), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(688), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(672), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(81), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [14482] = 18,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(2094), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [14545] = 18,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(2096), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [14608] = 18,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(2098), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [14671] = 17,
    ACTIONS(1056), 1,
      anon_sym_LT,
    ACTIONS(1126), 1,
      sym_identifier,
    ACTIONS(2070), 1,
      anon_sym_class,
    ACTIONS(2072), 1,
      anon_sym_enum,
    ACTIONS(2074), 1,
      anon_sym_record,
    ACTIONS(2076), 1,
      anon_sym_ATinterface,
    ACTIONS(2078), 1,
      anon_sym_interface,
    STATE(662), 1,
      sym_type_parameters,
    STATE(677), 1,
      sym_scoped_type_identifier,
    STATE(692), 1,
      sym_generic_type,
    STATE(704), 1,
      sym__unannotated_type,
    STATE(1028), 1,
      sym__method_header,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(83), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(85), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(688), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(81), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [14732] = 18,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(2100), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [14795] = 18,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(2102), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [14858] = 18,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(2104), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [14921] = 18,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(2106), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [14984] = 18,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(2108), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [15047] = 14,
    ACTIONS(327), 1,
      anon_sym_AT,
    ACTIONS(1126), 1,
      sym_identifier,
    ACTIONS(2110), 1,
      anon_sym_open,
    ACTIONS(2112), 1,
      anon_sym_module,
    ACTIONS(2114), 1,
      anon_sym_package,
    STATE(677), 1,
      sym_scoped_type_identifier,
    STATE(692), 1,
      sym_generic_type,
    STATE(696), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(83), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(85), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(688), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(689), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(81), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [15102] = 18,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(2116), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [15165] = 14,
    ACTIONS(327), 1,
      anon_sym_AT,
    ACTIONS(2118), 1,
      sym_identifier,
    ACTIONS(2120), 1,
      anon_sym_final,
    STATE(389), 1,
      sym__unannotated_type,
    STATE(404), 1,
      sym_scoped_type_identifier,
    STATE(415), 1,
      sym_generic_type,
    STATE(447), 1,
      sym__type,
    STATE(451), 1,
      sym_annotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2124), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(2126), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(422), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(670), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(2122), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [15220] = 18,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(2128), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [15283] = 18,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(2130), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [15346] = 14,
    ACTIONS(327), 1,
      anon_sym_AT,
    ACTIONS(1126), 1,
      sym_identifier,
    STATE(677), 1,
      sym_scoped_type_identifier,
    STATE(692), 1,
      sym_generic_type,
    STATE(703), 1,
      sym__unannotated_type,
    STATE(779), 1,
      sym_annotated_type,
    STATE(982), 1,
      sym__type,
    STATE(1184), 1,
      sym_type_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(83), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(85), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(688), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(672), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(81), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [15401] = 18,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(2132), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [15464] = 18,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(2134), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [15527] = 18,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(2136), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [15590] = 18,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(2138), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [15653] = 18,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(2140), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [15716] = 18,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(2142), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [15779] = 18,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(2144), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [15842] = 18,
    ACTIONS(1873), 1,
      anon_sym_AMP,
    ACTIONS(1883), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1891), 1,
      anon_sym_SLASH,
    ACTIONS(1893), 1,
      anon_sym_PIPE,
    ACTIONS(1895), 1,
      anon_sym_CARET,
    ACTIONS(1899), 1,
      anon_sym_GT_GT,
    ACTIONS(1901), 1,
      anon_sym_instanceof,
    ACTIONS(1903), 1,
      anon_sym_QMARK,
    ACTIONS(2146), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1811), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1877), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1879), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1881), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1889), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [15905] = 13,
    ACTIONS(327), 1,
      anon_sym_AT,
    ACTIONS(1126), 1,
      sym_identifier,
    STATE(677), 1,
      sym_scoped_type_identifier,
    STATE(692), 1,
      sym_generic_type,
    STATE(703), 1,
      sym__unannotated_type,
    STATE(779), 1,
      sym_annotated_type,
    STATE(1007), 1,
      sym__type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(83), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(85), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(688), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(672), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(81), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [15957] = 13,
    ACTIONS(327), 1,
      anon_sym_AT,
    ACTIONS(1126), 1,
      sym_identifier,
    STATE(677), 1,
      sym_scoped_type_identifier,
    STATE(692), 1,
      sym_generic_type,
    STATE(703), 1,
      sym__unannotated_type,
    STATE(779), 1,
      sym_annotated_type,
    STATE(979), 1,
      sym__type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(83), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(85), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(688), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(672), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(81), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [16009] = 13,
    ACTIONS(327), 1,
      anon_sym_AT,
    ACTIONS(1126), 1,
      sym_identifier,
    STATE(677), 1,
      sym_scoped_type_identifier,
    STATE(692), 1,
      sym_generic_type,
    STATE(703), 1,
      sym__unannotated_type,
    STATE(779), 1,
      sym_annotated_type,
    STATE(1186), 1,
      sym__type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(83), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(85), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(688), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(672), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(81), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [16061] = 13,
    ACTIONS(327), 1,
      anon_sym_AT,
    ACTIONS(1126), 1,
      sym_identifier,
    STATE(677), 1,
      sym_scoped_type_identifier,
    STATE(692), 1,
      sym_generic_type,
    STATE(703), 1,
      sym__unannotated_type,
    STATE(779), 1,
      sym_annotated_type,
    STATE(1117), 1,
      sym__type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(83), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(85), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(688), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(672), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(81), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [16113] = 13,
    ACTIONS(327), 1,
      anon_sym_AT,
    ACTIONS(1126), 1,
      sym_identifier,
    STATE(677), 1,
      sym_scoped_type_identifier,
    STATE(692), 1,
      sym_generic_type,
    STATE(703), 1,
      sym__unannotated_type,
    STATE(779), 1,
      sym_annotated_type,
    STATE(931), 1,
      sym__type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(83), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(85), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(688), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(672), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(81), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [16165] = 13,
    ACTIONS(327), 1,
      anon_sym_AT,
    ACTIONS(1126), 1,
      sym_identifier,
    STATE(677), 1,
      sym_scoped_type_identifier,
    STATE(692), 1,
      sym_generic_type,
    STATE(703), 1,
      sym__unannotated_type,
    STATE(779), 1,
      sym_annotated_type,
    STATE(1022), 1,
      sym__type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(83), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(85), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(688), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(672), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(81), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [16217] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1323), 11,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_default,
      anon_sym_open,
      anon_sym_module,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      anon_sym_throws,
      sym_this,
      sym_identifier,
    ACTIONS(1325), 12,
      anon_sym_AMP,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
  [16249] = 13,
    ACTIONS(327), 1,
      anon_sym_AT,
    ACTIONS(2118), 1,
      sym_identifier,
    STATE(389), 1,
      sym__unannotated_type,
    STATE(404), 1,
      sym_scoped_type_identifier,
    STATE(415), 1,
      sym_generic_type,
    STATE(437), 1,
      sym__type,
    STATE(451), 1,
      sym_annotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2124), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(2126), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(422), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(670), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(2122), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [16301] = 13,
    ACTIONS(327), 1,
      anon_sym_AT,
    ACTIONS(1126), 1,
      sym_identifier,
    STATE(677), 1,
      sym_scoped_type_identifier,
    STATE(692), 1,
      sym_generic_type,
    STATE(703), 1,
      sym__unannotated_type,
    STATE(779), 1,
      sym_annotated_type,
    STATE(957), 1,
      sym__type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(83), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(85), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(688), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(672), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(81), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [16353] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1386), 11,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_default,
      anon_sym_open,
      anon_sym_module,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      anon_sym_throws,
      sym_this,
      sym_identifier,
    ACTIONS(1388), 12,
      anon_sym_AMP,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
  [16385] = 6,
    ACTIONS(2148), 1,
      anon_sym_LPAREN,
    ACTIONS(2150), 1,
      anon_sym_DOT,
    STATE(693), 1,
      sym_annotation_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1445), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(1443), 13,
      anon_sym_open,
      anon_sym_module,
      anon_sym_package,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [16422] = 12,
    ACTIONS(327), 1,
      anon_sym_AT,
    ACTIONS(1126), 1,
      sym_identifier,
    ACTIONS(2152), 1,
      anon_sym_QMARK,
    STATE(677), 1,
      sym_scoped_type_identifier,
    STATE(692), 1,
      sym_generic_type,
    STATE(696), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(83), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(85), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(688), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(689), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(81), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [16471] = 6,
    ACTIONS(2148), 1,
      anon_sym_LPAREN,
    ACTIONS(2154), 1,
      anon_sym_DOT,
    STATE(691), 1,
      sym_annotation_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1419), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(1415), 13,
      anon_sym_open,
      anon_sym_module,
      anon_sym_package,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [16508] = 8,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(297), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(1975), 1,
      sym_identifier,
    STATE(1079), 1,
      sym_enum_constant,
    STATE(1240), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(533), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(291), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [16549] = 11,
    ACTIONS(327), 1,
      anon_sym_AT,
    ACTIONS(1126), 1,
      sym_identifier,
    STATE(677), 1,
      sym_scoped_type_identifier,
    STATE(692), 1,
      sym_generic_type,
    STATE(770), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(83), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(85), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(688), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(689), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(81), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [16595] = 11,
    ACTIONS(327), 1,
      anon_sym_AT,
    ACTIONS(1126), 1,
      sym_identifier,
    STATE(677), 1,
      sym_scoped_type_identifier,
    STATE(692), 1,
      sym_generic_type,
    STATE(736), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(83), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(85), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(688), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(666), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(81), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [16641] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1431), 8,
      anon_sym_DOT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1433), 13,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
  [16671] = 11,
    ACTIONS(327), 1,
      anon_sym_AT,
    ACTIONS(1126), 1,
      sym_identifier,
    STATE(677), 1,
      sym_scoped_type_identifier,
    STATE(692), 1,
      sym_generic_type,
    STATE(740), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(83), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(85), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(688), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(689), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(81), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [16717] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1423), 8,
      anon_sym_DOT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1425), 13,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
  [16747] = 11,
    ACTIONS(327), 1,
      anon_sym_AT,
    ACTIONS(1126), 1,
      sym_identifier,
    STATE(677), 1,
      sym_scoped_type_identifier,
    STATE(692), 1,
      sym_generic_type,
    STATE(748), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(83), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(85), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(688), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(689), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(81), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [16793] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1411), 8,
      anon_sym_DOT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1413), 13,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
  [16823] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1367), 8,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(1365), 13,
      anon_sym_open,
      anon_sym_module,
      anon_sym_package,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [16853] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1399), 8,
      anon_sym_DOT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1401), 13,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
  [16883] = 11,
    ACTIONS(327), 1,
      anon_sym_AT,
    ACTIONS(2118), 1,
      sym_identifier,
    STATE(390), 1,
      sym__unannotated_type,
    STATE(404), 1,
      sym_scoped_type_identifier,
    STATE(415), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2124), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(2126), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(422), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(689), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(2122), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [16929] = 11,
    ACTIONS(327), 1,
      anon_sym_AT,
    ACTIONS(2156), 1,
      sym_identifier,
    STATE(677), 1,
      sym_scoped_type_identifier,
    STATE(692), 1,
      sym_generic_type,
    STATE(736), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(83), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(85), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(688), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(666), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(81), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [16975] = 11,
    ACTIONS(327), 1,
      anon_sym_AT,
    ACTIONS(1126), 1,
      sym_identifier,
    STATE(677), 1,
      sym_scoped_type_identifier,
    STATE(692), 1,
      sym_generic_type,
    STATE(696), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(83), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(85), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(688), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(689), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(81), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [17021] = 6,
    ACTIONS(95), 1,
      anon_sym_LT,
    ACTIONS(2158), 1,
      anon_sym_DOT,
    STATE(682), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1180), 7,
      anon_sym_open,
      anon_sym_module,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1204), 11,
      anon_sym_AMP,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
  [17057] = 14,
    ACTIONS(1126), 1,
      sym_identifier,
    ACTIONS(2070), 1,
      anon_sym_class,
    ACTIONS(2072), 1,
      anon_sym_enum,
    ACTIONS(2074), 1,
      anon_sym_record,
    ACTIONS(2076), 1,
      anon_sym_ATinterface,
    ACTIONS(2078), 1,
      anon_sym_interface,
    STATE(677), 1,
      sym_scoped_type_identifier,
    STATE(692), 1,
      sym_generic_type,
    STATE(722), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(83), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(85), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(688), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(81), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [17109] = 12,
    ACTIONS(95), 1,
      anon_sym_LT,
    ACTIONS(327), 1,
      anon_sym_AT,
    ACTIONS(2160), 1,
      sym_identifier,
    STATE(714), 1,
      sym_scoped_type_identifier,
    STATE(727), 1,
      sym_type_arguments,
    STATE(741), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(83), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(2162), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(756), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(685), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(81), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [17157] = 12,
    ACTIONS(95), 1,
      anon_sym_LT,
    ACTIONS(327), 1,
      anon_sym_AT,
    ACTIONS(2164), 1,
      sym_identifier,
    STATE(725), 1,
      sym_scoped_type_identifier,
    STATE(727), 1,
      sym_type_arguments,
    STATE(750), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(83), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(2166), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(753), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(687), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(81), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [17205] = 6,
    ACTIONS(95), 1,
      anon_sym_LT,
    ACTIONS(2168), 1,
      anon_sym_DOT,
    STATE(679), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1390), 7,
      anon_sym_open,
      anon_sym_module,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1392), 11,
      anon_sym_AMP,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
  [17241] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1363), 8,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(1361), 13,
      anon_sym_open,
      anon_sym_module,
      anon_sym_package,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [17271] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1439), 8,
      anon_sym_DOT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1441), 12,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
  [17300] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1457), 8,
      anon_sym_DOT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1459), 12,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
  [17329] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1453), 8,
      anon_sym_DOT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1455), 12,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
  [17358] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1435), 8,
      anon_sym_DOT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1437), 12,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
  [17387] = 13,
    ACTIONS(1126), 1,
      sym_identifier,
    ACTIONS(2070), 1,
      anon_sym_class,
    ACTIONS(2072), 1,
      anon_sym_enum,
    ACTIONS(2076), 1,
      anon_sym_ATinterface,
    ACTIONS(2078), 1,
      anon_sym_interface,
    STATE(677), 1,
      sym_scoped_type_identifier,
    STATE(692), 1,
      sym_generic_type,
    STATE(715), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(83), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(85), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(688), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(81), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [17436] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1518), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(1516), 13,
      anon_sym_open,
      anon_sym_module,
      anon_sym_package,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [17464] = 10,
    ACTIONS(327), 1,
      anon_sym_AT,
    ACTIONS(2170), 1,
      sym_identifier,
    STATE(747), 1,
      sym_scoped_type_identifier,
    STATE(767), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(83), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(2172), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(775), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(689), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(81), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [17506] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1602), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(1600), 13,
      anon_sym_open,
      anon_sym_module,
      anon_sym_package,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [17534] = 10,
    ACTIONS(327), 1,
      anon_sym_AT,
    ACTIONS(2174), 1,
      sym_identifier,
    STATE(732), 1,
      sym_scoped_type_identifier,
    STATE(765), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(83), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(2176), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(773), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(689), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(81), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [17576] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1390), 8,
      anon_sym_DOT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1392), 11,
      anon_sym_AMP,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
  [17604] = 5,
    ACTIONS(2180), 1,
      anon_sym_QMARK,
    ACTIONS(2182), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(689), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(2178), 13,
      anon_sym_open,
      anon_sym_module,
      anon_sym_package,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [17636] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1449), 8,
      anon_sym_DOT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1451), 11,
      anon_sym_AMP,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
  [17664] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1514), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(1512), 13,
      anon_sym_open,
      anon_sym_module,
      anon_sym_package,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [17692] = 4,
    ACTIONS(2168), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1390), 7,
      anon_sym_open,
      anon_sym_module,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1392), 11,
      anon_sym_AMP,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
  [17722] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1502), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(1500), 13,
      anon_sym_open,
      anon_sym_module,
      anon_sym_package,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [17750] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1554), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(1552), 13,
      anon_sym_open,
      anon_sym_module,
      anon_sym_package,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [17778] = 13,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2187), 1,
      anon_sym_DOT,
    ACTIONS(2191), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2193), 1,
      sym_this,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(690), 1,
      sym_dimensions,
    STATE(1204), 1,
      sym__variable_declarator_id,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1343), 3,
      anon_sym_AMP,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
    ACTIONS(2189), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
    STATE(818), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [17826] = 7,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(690), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(818), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1347), 9,
      anon_sym_AMP,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_implements,
      anon_sym_permits,
  [17860] = 13,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1343), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2195), 1,
      sym_identifier,
    ACTIONS(2197), 1,
      anon_sym_DOT,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(690), 1,
      sym_dimensions,
    STATE(922), 1,
      sym__variable_declarator_id,
    STATE(1046), 1,
      sym_variable_declarator,
    STATE(1238), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2189), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
    STATE(818), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [17906] = 13,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1343), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2195), 1,
      sym_identifier,
    ACTIONS(2197), 1,
      anon_sym_DOT,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(690), 1,
      sym_dimensions,
    STATE(923), 1,
      sym__variable_declarator_id,
    STATE(1046), 1,
      sym_variable_declarator,
    STATE(1270), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2189), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
    STATE(818), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [17952] = 10,
    ACTIONS(1126), 1,
      sym_identifier,
    STATE(677), 1,
      sym_scoped_type_identifier,
    STATE(692), 1,
      sym_generic_type,
    STATE(731), 1,
      sym__unannotated_type,
    STATE(886), 1,
      sym_catch_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(83), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(85), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(688), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(81), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [17992] = 13,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1343), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2195), 1,
      sym_identifier,
    ACTIONS(2197), 1,
      anon_sym_DOT,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(690), 1,
      sym_dimensions,
    STATE(946), 1,
      sym__variable_declarator_id,
    STATE(1046), 1,
      sym_variable_declarator,
    STATE(1238), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2189), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
    STATE(818), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [18038] = 12,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      sym_identifier,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(690), 1,
      sym_dimensions,
    STATE(913), 1,
      sym__method_declarator,
    STATE(923), 1,
      sym__variable_declarator_id,
    STATE(1046), 1,
      sym_variable_declarator,
    STATE(1243), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2201), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
    STATE(818), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [18081] = 9,
    ACTIONS(1126), 1,
      sym_identifier,
    STATE(677), 1,
      sym_scoped_type_identifier,
    STATE(692), 1,
      sym_generic_type,
    STATE(737), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(83), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(85), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(688), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(81), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [18118] = 7,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(690), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(818), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1343), 8,
      anon_sym_AMP,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_implements,
      anon_sym_permits,
  [18151] = 12,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      sym_identifier,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(690), 1,
      sym_dimensions,
    STATE(913), 1,
      sym__method_declarator,
    STATE(923), 1,
      sym__variable_declarator_id,
    STATE(1046), 1,
      sym_variable_declarator,
    STATE(1230), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2201), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
    STATE(818), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [18194] = 9,
    ACTIONS(1126), 1,
      sym_identifier,
    STATE(677), 1,
      sym_scoped_type_identifier,
    STATE(692), 1,
      sym_generic_type,
    STATE(751), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(83), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(85), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(688), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(81), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [18231] = 9,
    ACTIONS(1126), 1,
      sym_identifier,
    STATE(677), 1,
      sym_scoped_type_identifier,
    STATE(692), 1,
      sym_generic_type,
    STATE(719), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(83), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(85), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(688), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(81), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [18268] = 12,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      sym_identifier,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(690), 1,
      sym_dimensions,
    STATE(913), 1,
      sym__method_declarator,
    STATE(923), 1,
      sym__variable_declarator_id,
    STATE(1046), 1,
      sym_variable_declarator,
    STATE(1269), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2201), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
    STATE(818), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [18311] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2205), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_AT,
    ACTIONS(2203), 13,
      anon_sym_extends,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [18336] = 9,
    ACTIONS(1126), 1,
      sym_identifier,
    STATE(677), 1,
      sym_scoped_type_identifier,
    STATE(692), 1,
      sym_generic_type,
    STATE(717), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(83), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(85), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(688), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(81), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [18373] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2209), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_AT,
    ACTIONS(2207), 13,
      anon_sym_extends,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [18398] = 12,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      sym_identifier,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(690), 1,
      sym_dimensions,
    STATE(913), 1,
      sym__method_declarator,
    STATE(923), 1,
      sym__variable_declarator_id,
    STATE(1046), 1,
      sym_variable_declarator,
    STATE(1262), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2201), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
    STATE(818), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [18441] = 10,
    ACTIONS(95), 1,
      anon_sym_LT,
    ACTIONS(2211), 1,
      sym_identifier,
    STATE(727), 1,
      sym_type_arguments,
    STATE(891), 1,
      sym_scoped_type_identifier,
    STATE(1025), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(83), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(2213), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1210), 2,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(81), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [18480] = 9,
    ACTIONS(1126), 1,
      sym_identifier,
    STATE(677), 1,
      sym_scoped_type_identifier,
    STATE(692), 1,
      sym_generic_type,
    STATE(728), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(83), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(85), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(688), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(81), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [18517] = 12,
    ACTIONS(95), 1,
      anon_sym_LT,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1182), 1,
      anon_sym_LPAREN,
    ACTIONS(2215), 1,
      anon_sym_LBRACK,
    ACTIONS(2217), 1,
      anon_sym_DOT,
    STATE(425), 1,
      sym_argument_list,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(679), 1,
      sym_type_arguments,
    STATE(1156), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(388), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(814), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [18559] = 11,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2219), 1,
      sym_identifier,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(690), 1,
      sym_dimensions,
    STATE(923), 1,
      sym__variable_declarator_id,
    STATE(1046), 1,
      sym_variable_declarator,
    STATE(1230), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2189), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
    STATE(818), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [18599] = 12,
    ACTIONS(95), 1,
      anon_sym_LT,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1182), 1,
      anon_sym_LPAREN,
    ACTIONS(2215), 1,
      anon_sym_LBRACK,
    ACTIONS(2221), 1,
      anon_sym_DOT,
    STATE(427), 1,
      sym_argument_list,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(682), 1,
      sym_type_arguments,
    STATE(1154), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(393), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(814), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [18641] = 11,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2195), 1,
      sym_identifier,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(690), 1,
      sym_dimensions,
    STATE(978), 1,
      sym__variable_declarator_id,
    STATE(1046), 1,
      sym_variable_declarator,
    STATE(1225), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2189), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
    STATE(818), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [18681] = 11,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1343), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2195), 1,
      sym_identifier,
    ACTIONS(2197), 1,
      anon_sym_DOT,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(690), 1,
      sym_dimensions,
    STATE(1254), 1,
      sym__variable_declarator_id,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2189), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
    STATE(818), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [18721] = 11,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2195), 1,
      sym_identifier,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(690), 1,
      sym_dimensions,
    STATE(949), 1,
      sym__variable_declarator_id,
    STATE(1046), 1,
      sym_variable_declarator,
    STATE(1225), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2189), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
    STATE(818), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [18761] = 12,
    ACTIONS(95), 1,
      anon_sym_LT,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1182), 1,
      anon_sym_LPAREN,
    ACTIONS(2215), 1,
      anon_sym_LBRACK,
    ACTIONS(2221), 1,
      anon_sym_DOT,
    STATE(427), 1,
      sym_argument_list,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(682), 1,
      sym_type_arguments,
    STATE(1154), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(760), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(814), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [18803] = 11,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2191), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2193), 1,
      sym_this,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(690), 1,
      sym_dimensions,
    STATE(1204), 1,
      sym__variable_declarator_id,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2189), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
    STATE(818), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [18843] = 11,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2195), 1,
      sym_identifier,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(690), 1,
      sym_dimensions,
    STATE(923), 1,
      sym__variable_declarator_id,
    STATE(1046), 1,
      sym_variable_declarator,
    STATE(1265), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2189), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
    STATE(818), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [18883] = 4,
    ACTIONS(2223), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1933), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1655), 10,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [18909] = 11,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2225), 1,
      sym_identifier,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(690), 1,
      sym_dimensions,
    STATE(923), 1,
      sym__variable_declarator_id,
    STATE(1046), 1,
      sym_variable_declarator,
    STATE(1269), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2189), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
    STATE(818), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [18949] = 12,
    ACTIONS(95), 1,
      anon_sym_LT,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1182), 1,
      anon_sym_LPAREN,
    ACTIONS(2215), 1,
      anon_sym_LBRACK,
    ACTIONS(2217), 1,
      anon_sym_DOT,
    STATE(425), 1,
      sym_argument_list,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(679), 1,
      sym_type_arguments,
    STATE(1156), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(758), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(814), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [18991] = 6,
    ACTIONS(95), 1,
      anon_sym_LT,
    ACTIONS(2227), 1,
      anon_sym_DOT,
    STATE(679), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1390), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1392), 6,
      anon_sym_AMP,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
  [19020] = 8,
    ACTIONS(2230), 1,
      sym_identifier,
    STATE(890), 1,
      sym_scoped_type_identifier,
    STATE(1024), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(83), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(2232), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1152), 2,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(81), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [19053] = 10,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2195), 1,
      sym_identifier,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(690), 1,
      sym_dimensions,
    STATE(1118), 1,
      sym__variable_declarator_id,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2189), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
    STATE(818), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [19090] = 10,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2191), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2195), 1,
      sym_identifier,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(690), 1,
      sym_dimensions,
    STATE(1204), 1,
      sym__variable_declarator_id,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2189), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
    STATE(818), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [19127] = 10,
    ACTIONS(95), 1,
      anon_sym_LT,
    ACTIONS(1182), 1,
      anon_sym_LPAREN,
    ACTIONS(1200), 1,
      anon_sym_DOT,
    ACTIONS(1204), 1,
      anon_sym_AT,
    STATE(471), 1,
      sym_argument_list,
    STATE(682), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1197), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(2236), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(1180), 4,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
      sym_identifier,
  [19164] = 9,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(690), 1,
      sym_dimensions,
    STATE(844), 1,
      aux_sym_catch_type_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2238), 4,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
      sym_identifier,
    STATE(818), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [19199] = 10,
    ACTIONS(95), 1,
      anon_sym_LT,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(2215), 1,
      anon_sym_LBRACK,
    ACTIONS(2217), 1,
      anon_sym_DOT,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(679), 1,
      sym_type_arguments,
    STATE(1129), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(755), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(814), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [19235] = 7,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(903), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(818), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(2242), 5,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
  [19265] = 10,
    ACTIONS(95), 1,
      anon_sym_LT,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(2215), 1,
      anon_sym_LBRACK,
    ACTIONS(2221), 1,
      anon_sym_DOT,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(682), 1,
      sym_type_arguments,
    STATE(1130), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(752), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(814), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [19301] = 10,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(95), 1,
      anon_sym_LT,
    ACTIONS(2221), 1,
      anon_sym_DOT,
    ACTIONS(2244), 1,
      anon_sym_LPAREN,
    STATE(449), 1,
      sym_block,
    STATE(682), 1,
      sym_type_arguments,
    STATE(1160), 1,
      sym_formal_parameters,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1204), 2,
      anon_sym_LBRACK,
      anon_sym_AT,
    ACTIONS(1180), 4,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
      sym_identifier,
  [19337] = 9,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2246), 1,
      sym_identifier,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(690), 1,
      sym_dimensions,
    STATE(966), 1,
      sym__method_declarator,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2248), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
    STATE(818), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [19371] = 8,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2252), 1,
      anon_sym_PIPE,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(690), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2250), 4,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
      sym_identifier,
    STATE(818), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [19403] = 9,
    ACTIONS(2254), 1,
      anon_sym_RBRACE,
    ACTIONS(2256), 1,
      anon_sym_requires,
    ACTIONS(2259), 1,
      anon_sym_exports,
    ACTIONS(2262), 1,
      anon_sym_opens,
    ACTIONS(2265), 1,
      anon_sym_uses,
    ACTIONS(2268), 1,
      anon_sym_provides,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(738), 2,
      sym_module_directive,
      aux_sym_module_body_repeat1,
    STATE(870), 5,
      sym_requires_module_directive,
      sym_exports_module_directive,
      sym_opens_module_directive,
      sym_uses_module_directive,
      sym_provides_module_directive,
  [19437] = 10,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(95), 1,
      anon_sym_LT,
    ACTIONS(2221), 1,
      anon_sym_DOT,
    ACTIONS(2244), 1,
      anon_sym_LPAREN,
    STATE(444), 1,
      sym_block,
    STATE(682), 1,
      sym_type_arguments,
    STATE(1160), 1,
      sym_formal_parameters,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1204), 2,
      anon_sym_LBRACK,
      anon_sym_AT,
    ACTIONS(1180), 4,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
      sym_identifier,
  [19473] = 9,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2271), 1,
      sym_identifier,
    ACTIONS(2273), 1,
      sym_this,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(690), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1347), 3,
      anon_sym_AMP,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
    STATE(818), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [19507] = 10,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1182), 1,
      anon_sym_LPAREN,
    ACTIONS(2215), 1,
      anon_sym_LBRACK,
    ACTIONS(2217), 1,
      anon_sym_DOT,
    STATE(425), 1,
      sym_argument_list,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(1156), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(388), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(814), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [19543] = 9,
    ACTIONS(2275), 1,
      anon_sym_RBRACE,
    ACTIONS(2277), 1,
      anon_sym_requires,
    ACTIONS(2279), 1,
      anon_sym_exports,
    ACTIONS(2281), 1,
      anon_sym_opens,
    ACTIONS(2283), 1,
      anon_sym_uses,
    ACTIONS(2285), 1,
      anon_sym_provides,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(738), 2,
      sym_module_directive,
      aux_sym_module_body_repeat1,
    STATE(870), 5,
      sym_requires_module_directive,
      sym_exports_module_directive,
      sym_opens_module_directive,
      sym_uses_module_directive,
      sym_provides_module_directive,
  [19577] = 9,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2244), 1,
      anon_sym_LPAREN,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(761), 1,
      sym_formal_parameters,
    STATE(903), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2242), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(818), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [19611] = 7,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(906), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(818), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(2287), 5,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
  [19641] = 9,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2244), 1,
      anon_sym_LPAREN,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(768), 1,
      sym_formal_parameters,
    STATE(906), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2287), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(818), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [19675] = 10,
    ACTIONS(95), 1,
      anon_sym_LT,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(2215), 1,
      anon_sym_LBRACK,
    ACTIONS(2221), 1,
      anon_sym_DOT,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(682), 1,
      sym_type_arguments,
    STATE(1130), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(392), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(814), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [19711] = 10,
    ACTIONS(95), 1,
      anon_sym_LT,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(2215), 1,
      anon_sym_LBRACK,
    ACTIONS(2217), 1,
      anon_sym_DOT,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(679), 1,
      sym_type_arguments,
    STATE(1129), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(391), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(814), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [19747] = 9,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2246), 1,
      sym_identifier,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(690), 1,
      sym_dimensions,
    STATE(961), 1,
      sym__method_declarator,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2248), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
    STATE(818), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [19781] = 9,
    ACTIONS(2277), 1,
      anon_sym_requires,
    ACTIONS(2279), 1,
      anon_sym_exports,
    ACTIONS(2281), 1,
      anon_sym_opens,
    ACTIONS(2283), 1,
      anon_sym_uses,
    ACTIONS(2285), 1,
      anon_sym_provides,
    ACTIONS(2289), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(742), 2,
      sym_module_directive,
      aux_sym_module_body_repeat1,
    STATE(870), 5,
      sym_requires_module_directive,
      sym_exports_module_directive,
      sym_opens_module_directive,
      sym_uses_module_directive,
      sym_provides_module_directive,
  [19815] = 10,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1182), 1,
      anon_sym_LPAREN,
    ACTIONS(2215), 1,
      anon_sym_LBRACK,
    ACTIONS(2217), 1,
      anon_sym_DOT,
    STATE(425), 1,
      sym_argument_list,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(1156), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(758), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(814), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [19851] = 9,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2195), 1,
      sym_identifier,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(690), 1,
      sym_dimensions,
    STATE(1279), 1,
      sym__variable_declarator_id,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2189), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
    STATE(818), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [19885] = 8,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(2215), 1,
      anon_sym_LBRACK,
    STATE(496), 1,
      sym_dimensions,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1355), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
    STATE(398), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(814), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [19916] = 9,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1182), 1,
      anon_sym_LPAREN,
    ACTIONS(2215), 1,
      anon_sym_LBRACK,
    STATE(425), 1,
      sym_argument_list,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(1156), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(758), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(814), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [19949] = 4,
    ACTIONS(2227), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1390), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1392), 6,
      anon_sym_AMP,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
  [19972] = 8,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(2215), 1,
      anon_sym_LBRACK,
    STATE(499), 1,
      sym_dimensions,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1351), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
    STATE(398), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(814), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [20003] = 9,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1182), 1,
      anon_sym_LPAREN,
    ACTIONS(2215), 1,
      anon_sym_LBRACK,
    STATE(425), 1,
      sym_argument_list,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(1156), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(388), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(814), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [20036] = 8,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2291), 1,
      anon_sym_LPAREN,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(906), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2287), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(818), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [20067] = 8,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(2215), 1,
      anon_sym_LBRACK,
    STATE(492), 1,
      sym_dimensions,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1337), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
    STATE(398), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(814), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [20098] = 8,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2293), 1,
      anon_sym_LPAREN,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(906), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2287), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(818), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [20129] = 8,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(2215), 1,
      anon_sym_LBRACK,
    STATE(483), 1,
      sym_dimensions,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1359), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
    STATE(398), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(814), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [20160] = 7,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(1086), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2295), 3,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_throws,
    STATE(818), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [20188] = 8,
    ACTIONS(95), 1,
      anon_sym_LT,
    ACTIONS(2221), 1,
      anon_sym_DOT,
    ACTIONS(2244), 1,
      anon_sym_LPAREN,
    STATE(682), 1,
      sym_type_arguments,
    STATE(1174), 1,
      sym_formal_parameters,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1204), 2,
      anon_sym_LBRACK,
      anon_sym_AT,
    ACTIONS(1180), 4,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
      sym_identifier,
  [20218] = 8,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2297), 1,
      anon_sym_DOT,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(906), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2287), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(818), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [20248] = 9,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2299), 1,
      anon_sym_default,
    ACTIONS(2301), 1,
      anon_sym_SEMI,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(1020), 1,
      sym_dimensions,
    STATE(1261), 1,
      sym__default_value,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(818), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [20280] = 8,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(2215), 1,
      anon_sym_LBRACK,
    ACTIONS(2217), 1,
      anon_sym_DOT,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(1129), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(755), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(814), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [20310] = 9,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2299), 1,
      anon_sym_default,
    ACTIONS(2303), 1,
      anon_sym_SEMI,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(1055), 1,
      sym_dimensions,
    STATE(1276), 1,
      sym__default_value,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(818), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [20342] = 8,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(2215), 1,
      anon_sym_LBRACK,
    ACTIONS(2217), 1,
      anon_sym_DOT,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(1129), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(391), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(814), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [20372] = 7,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(1085), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2305), 3,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_throws,
    STATE(818), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [20400] = 9,
    ACTIONS(95), 1,
      anon_sym_LT,
    ACTIONS(2307), 1,
      sym_identifier,
    ACTIONS(2309), 1,
      anon_sym_new,
    ACTIONS(2313), 1,
      sym_this,
    ACTIONS(2315), 1,
      sym_super,
    STATE(489), 1,
      sym__unqualified_object_creation_expression,
    STATE(883), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2311), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
  [20431] = 8,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2271), 1,
      sym_identifier,
    ACTIONS(2273), 1,
      sym_this,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(690), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(818), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [20460] = 9,
    ACTIONS(95), 1,
      anon_sym_LT,
    ACTIONS(2307), 1,
      sym_identifier,
    ACTIONS(2309), 1,
      anon_sym_new,
    ACTIONS(2313), 1,
      sym_this,
    ACTIONS(2317), 1,
      sym_super,
    STATE(489), 1,
      sym__unqualified_object_creation_expression,
    STATE(950), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2311), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
  [20491] = 11,
    ACTIONS(1056), 1,
      anon_sym_LT,
    ACTIONS(1465), 1,
      anon_sym_LBRACE,
    ACTIONS(2319), 1,
      anon_sym_extends,
    ACTIONS(2321), 1,
      anon_sym_implements,
    ACTIONS(2323), 1,
      anon_sym_permits,
    STATE(236), 1,
      sym_class_body,
    STATE(782), 1,
      sym_type_parameters,
    STATE(829), 1,
      sym_superclass,
    STATE(970), 1,
      sym_super_interfaces,
    STATE(1138), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [20526] = 7,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(2215), 1,
      anon_sym_LBRACK,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(1129), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(755), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(814), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [20553] = 8,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(1343), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2197), 1,
      anon_sym_DOT,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(690), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(818), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [20582] = 7,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(2215), 1,
      anon_sym_LBRACK,
    STATE(550), 1,
      aux_sym_dimensions_repeat1,
    STATE(1129), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(391), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(814), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [20609] = 11,
    ACTIONS(1056), 1,
      anon_sym_LT,
    ACTIONS(1465), 1,
      anon_sym_LBRACE,
    ACTIONS(2319), 1,
      anon_sym_extends,
    ACTIONS(2321), 1,
      anon_sym_implements,
    ACTIONS(2323), 1,
      anon_sym_permits,
    STATE(269), 1,
      sym_class_body,
    STATE(784), 1,
      sym_type_parameters,
    STATE(805), 1,
      sym_superclass,
    STATE(955), 1,
      sym_super_interfaces,
    STATE(1211), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [20644] = 7,
    ACTIONS(2325), 1,
      sym_identifier,
    STATE(778), 1,
      aux_sym_requires_module_directive_repeat1,
    STATE(862), 1,
      sym_requires_modifier,
    STATE(1111), 1,
      sym_scoped_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2329), 2,
      anon_sym_transitive,
      anon_sym_static,
    ACTIONS(2327), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
  [20670] = 9,
    ACTIONS(2331), 1,
      sym_identifier,
    ACTIONS(2333), 1,
      anon_sym_open,
    ACTIONS(2335), 1,
      anon_sym_module,
    ACTIONS(2337), 1,
      anon_sym_record,
    STATE(781), 1,
      aux_sym_requires_module_directive_repeat1,
    STATE(862), 1,
      sym_requires_modifier,
    STATE(1195), 1,
      sym_scoped_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2329), 2,
      anon_sym_transitive,
      anon_sym_static,
  [20700] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1343), 9,
      anon_sym_AMP,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_implements,
      anon_sym_permits,
  [20716] = 8,
    ACTIONS(2339), 1,
      anon_sym_RBRACE,
    ACTIONS(2341), 1,
      anon_sym_case,
    ACTIONS(2343), 1,
      anon_sym_default,
    STATE(2), 1,
      aux_sym_switch_block_statement_group_repeat1,
    STATE(1146), 1,
      sym_switch_label,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(792), 2,
      sym_switch_block_statement_group,
      aux_sym_switch_block_repeat1,
    STATE(851), 2,
      sym_switch_rule,
      aux_sym_switch_block_repeat2,
  [20744] = 5,
    STATE(781), 1,
      aux_sym_requires_module_directive_repeat1,
    STATE(862), 1,
      sym_requires_modifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2347), 2,
      anon_sym_transitive,
      anon_sym_static,
    ACTIONS(2345), 4,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
      sym_identifier,
  [20765] = 9,
    ACTIONS(1465), 1,
      anon_sym_LBRACE,
    ACTIONS(2319), 1,
      anon_sym_extends,
    ACTIONS(2321), 1,
      anon_sym_implements,
    ACTIONS(2323), 1,
      anon_sym_permits,
    STATE(171), 1,
      sym_class_body,
    STATE(801), 1,
      sym_superclass,
    STATE(974), 1,
      sym_super_interfaces,
    STATE(1096), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [20794] = 9,
    ACTIONS(1056), 1,
      anon_sym_LT,
    ACTIONS(2323), 1,
      anon_sym_permits,
    ACTIONS(2350), 1,
      anon_sym_extends,
    ACTIONS(2352), 1,
      anon_sym_LBRACE,
    STATE(251), 1,
      sym_interface_body,
    STATE(852), 1,
      sym_type_parameters,
    STATE(967), 1,
      sym_extends_interfaces,
    STATE(1110), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [20823] = 9,
    ACTIONS(1465), 1,
      anon_sym_LBRACE,
    ACTIONS(2319), 1,
      anon_sym_extends,
    ACTIONS(2321), 1,
      anon_sym_implements,
    ACTIONS(2323), 1,
      anon_sym_permits,
    STATE(217), 1,
      sym_class_body,
    STATE(836), 1,
      sym_superclass,
    STATE(930), 1,
      sym_super_interfaces,
    STATE(1134), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [20852] = 6,
    ACTIONS(2354), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(2356), 1,
      aux_sym__multiline_string_fragment_token1,
    ACTIONS(2358), 1,
      aux_sym__multiline_string_fragment_token2,
    ACTIONS(2360), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    ACTIONS(2362), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(789), 3,
      sym__multiline_string_fragment,
      sym__escape_sequence,
      aux_sym__multiline_string_literal_repeat1,
  [20875] = 6,
    ACTIONS(2364), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(2366), 1,
      aux_sym__multiline_string_fragment_token1,
    ACTIONS(2369), 1,
      aux_sym__multiline_string_fragment_token2,
    ACTIONS(2362), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2372), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(786), 3,
      sym__multiline_string_fragment,
      sym__escape_sequence,
      aux_sym__multiline_string_literal_repeat1,
  [20898] = 9,
    ACTIONS(1056), 1,
      anon_sym_LT,
    ACTIONS(2323), 1,
      anon_sym_permits,
    ACTIONS(2350), 1,
      anon_sym_extends,
    ACTIONS(2352), 1,
      anon_sym_LBRACE,
    STATE(268), 1,
      sym_interface_body,
    STATE(869), 1,
      sym_type_parameters,
    STATE(965), 1,
      sym_extends_interfaces,
    STATE(1201), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [20927] = 7,
    ACTIONS(95), 1,
      anon_sym_LT,
    ACTIONS(2307), 1,
      sym_identifier,
    ACTIONS(2313), 1,
      sym_this,
    ACTIONS(2317), 1,
      sym_super,
    STATE(950), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2311), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
  [20952] = 6,
    ACTIONS(2356), 1,
      aux_sym__multiline_string_fragment_token1,
    ACTIONS(2358), 1,
      aux_sym__multiline_string_fragment_token2,
    ACTIONS(2375), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(2362), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2377), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(786), 3,
      sym__multiline_string_fragment,
      sym__escape_sequence,
      aux_sym__multiline_string_literal_repeat1,
  [20975] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2379), 7,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_implements,
      anon_sym_throws,
  [20989] = 6,
    ACTIONS(95), 1,
      anon_sym_LT,
    ACTIONS(2381), 1,
      sym_identifier,
    ACTIONS(2385), 1,
      sym_this,
    STATE(928), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2383), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
  [21011] = 7,
    ACTIONS(2343), 1,
      anon_sym_default,
    ACTIONS(2387), 1,
      anon_sym_RBRACE,
    ACTIONS(2389), 1,
      anon_sym_case,
    STATE(2), 1,
      aux_sym_switch_block_statement_group_repeat1,
    STATE(1268), 1,
      sym_switch_label,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(800), 2,
      sym_switch_block_statement_group,
      aux_sym_switch_block_repeat1,
  [21035] = 6,
    ACTIONS(1182), 1,
      anon_sym_LPAREN,
    ACTIONS(1465), 1,
      anon_sym_LBRACE,
    STATE(901), 1,
      sym_argument_list,
    STATE(1054), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2391), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [21057] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2393), 7,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_implements,
      anon_sym_throws,
  [21071] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2395), 7,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_implements,
      anon_sym_throws,
  [21085] = 6,
    ACTIONS(1182), 1,
      anon_sym_LPAREN,
    ACTIONS(1465), 1,
      anon_sym_LBRACE,
    STATE(898), 1,
      sym_argument_list,
    STATE(1080), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2397), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [21107] = 5,
    ACTIONS(327), 1,
      anon_sym_AT,
    ACTIONS(2399), 1,
      sym_identifier,
    STATE(1026), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(860), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [21127] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2401), 7,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_implements,
      anon_sym_throws,
  [21141] = 5,
    ACTIONS(327), 1,
      anon_sym_AT,
    ACTIONS(2399), 1,
      sym_identifier,
    STATE(1097), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(860), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [21161] = 7,
    ACTIONS(2403), 1,
      anon_sym_RBRACE,
    ACTIONS(2405), 1,
      anon_sym_case,
    ACTIONS(2408), 1,
      anon_sym_default,
    STATE(2), 1,
      aux_sym_switch_block_statement_group_repeat1,
    STATE(1268), 1,
      sym_switch_label,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(800), 2,
      sym_switch_block_statement_group,
      aux_sym_switch_block_repeat1,
  [21185] = 7,
    ACTIONS(1465), 1,
      anon_sym_LBRACE,
    ACTIONS(2321), 1,
      anon_sym_implements,
    ACTIONS(2323), 1,
      anon_sym_permits,
    STATE(198), 1,
      sym_class_body,
    STATE(925), 1,
      sym_super_interfaces,
    STATE(1132), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [21208] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2411), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [21221] = 4,
    ACTIONS(327), 1,
      anon_sym_AT,
    ACTIONS(2413), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(871), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [21238] = 4,
    ACTIONS(2417), 1,
      aux_sym__multiline_string_fragment_token1,
    STATE(868), 1,
      aux_sym__multiline_string_fragment_repeat1,
    ACTIONS(2362), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2415), 4,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      aux_sym__multiline_string_fragment_token2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
  [21255] = 7,
    ACTIONS(1465), 1,
      anon_sym_LBRACE,
    ACTIONS(2321), 1,
      anon_sym_implements,
    ACTIONS(2323), 1,
      anon_sym_permits,
    STATE(188), 1,
      sym_class_body,
    STATE(975), 1,
      sym_super_interfaces,
    STATE(1163), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [21278] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2419), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [21291] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2421), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [21304] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2421), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [21317] = 5,
    ACTIONS(2195), 1,
      sym_identifier,
    STATE(923), 1,
      sym__variable_declarator_id,
    STATE(1109), 1,
      sym_variable_declarator,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2189), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
  [21336] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2423), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [21349] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2425), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [21362] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2423), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [21375] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2423), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [21388] = 4,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(2427), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(855), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [21405] = 4,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(2429), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(855), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [21422] = 4,
    ACTIONS(327), 1,
      anon_sym_AT,
    ACTIONS(2431), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(858), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [21439] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2433), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [21452] = 4,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(2435), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(855), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [21469] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2437), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [21482] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2439), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [21495] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2441), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [21508] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2443), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [21521] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2445), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [21534] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2447), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [21547] = 4,
    ACTIONS(327), 1,
      anon_sym_AT,
    ACTIONS(2449), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(689), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [21564] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2451), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [21577] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2453), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [21590] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2455), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [21603] = 7,
    ACTIONS(1465), 1,
      anon_sym_LBRACE,
    ACTIONS(2321), 1,
      anon_sym_implements,
    ACTIONS(2323), 1,
      anon_sym_permits,
    STATE(170), 1,
      sym_class_body,
    STATE(971), 1,
      sym_super_interfaces,
    STATE(1140), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [21626] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2457), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [21639] = 5,
    ACTIONS(2459), 1,
      sym_identifier,
    ACTIONS(2463), 1,
      anon_sym_static,
    STATE(1157), 1,
      sym_scoped_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2461), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
  [21658] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2465), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [21671] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2467), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [21684] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2469), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [21697] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2471), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [21710] = 7,
    ACTIONS(1465), 1,
      anon_sym_LBRACE,
    ACTIONS(2321), 1,
      anon_sym_implements,
    ACTIONS(2323), 1,
      anon_sym_permits,
    STATE(237), 1,
      sym_class_body,
    STATE(953), 1,
      sym_super_interfaces,
    STATE(1178), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [21733] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2473), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [21746] = 4,
    ACTIONS(327), 1,
      anon_sym_AT,
    ACTIONS(2475), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(689), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [21763] = 6,
    ACTIONS(2477), 1,
      anon_sym_RBRACE,
    ACTIONS(2479), 1,
      anon_sym_case,
    ACTIONS(2482), 1,
      anon_sym_default,
    STATE(1271), 1,
      sym_switch_label,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(839), 2,
      sym_switch_rule,
      aux_sym_switch_block_repeat2,
  [21784] = 4,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(2485), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(855), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [21801] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2487), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [21814] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2489), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [21827] = 4,
    ACTIONS(2491), 1,
      anon_sym_PIPE,
    STATE(843), 1,
      aux_sym_catch_type_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2250), 4,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
      sym_identifier,
  [21844] = 4,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    STATE(843), 1,
      aux_sym_catch_type_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2494), 4,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
      sym_identifier,
  [21861] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2496), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [21874] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2498), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [21887] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2500), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [21900] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2502), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [21913] = 4,
    ACTIONS(293), 1,
      anon_sym_AT,
    ACTIONS(2504), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(855), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [21930] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2506), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [21943] = 6,
    ACTIONS(2341), 1,
      anon_sym_case,
    ACTIONS(2343), 1,
      anon_sym_default,
    ACTIONS(2387), 1,
      anon_sym_RBRACE,
    STATE(1271), 1,
      sym_switch_label,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(839), 2,
      sym_switch_rule,
      aux_sym_switch_block_repeat2,
  [21964] = 7,
    ACTIONS(2323), 1,
      anon_sym_permits,
    ACTIONS(2350), 1,
      anon_sym_extends,
    ACTIONS(2352), 1,
      anon_sym_LBRACE,
    STATE(248), 1,
      sym_interface_body,
    STATE(919), 1,
      sym_extends_interfaces,
    STATE(1191), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [21987] = 5,
    ACTIONS(2195), 1,
      sym_identifier,
    STATE(923), 1,
      sym__variable_declarator_id,
    STATE(1188), 1,
      sym_variable_declarator,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2189), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
  [22006] = 4,
    ACTIONS(2510), 1,
      aux_sym__multiline_string_fragment_token1,
    STATE(854), 1,
      aux_sym__multiline_string_fragment_repeat1,
    ACTIONS(2362), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2508), 4,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      aux_sym__multiline_string_fragment_token2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
  [22023] = 4,
    ACTIONS(2180), 1,
      anon_sym_LBRACK,
    ACTIONS(2513), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(855), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [22040] = 4,
    ACTIONS(327), 1,
      anon_sym_AT,
    ACTIONS(2516), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(825), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [22057] = 4,
    ACTIONS(327), 1,
      anon_sym_AT,
    ACTIONS(2518), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(838), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [22074] = 4,
    ACTIONS(327), 1,
      anon_sym_AT,
    ACTIONS(2520), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(689), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [22091] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2522), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [22104] = 4,
    ACTIONS(327), 1,
      anon_sym_AT,
    ACTIONS(2524), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(689), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [22121] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2526), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [22134] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2528), 6,
      anon_sym_open,
      anon_sym_module,
      anon_sym_transitive,
      anon_sym_static,
      anon_sym_record,
      sym_identifier,
  [22147] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2530), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [22160] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2532), 6,
      anon_sym_open,
      anon_sym_module,
      anon_sym_transitive,
      anon_sym_static,
      anon_sym_record,
      sym_identifier,
  [22173] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2534), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [22186] = 5,
    ACTIONS(2195), 1,
      sym_identifier,
    STATE(923), 1,
      sym__variable_declarator_id,
    STATE(1102), 1,
      sym_variable_declarator,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2189), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
  [22205] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2536), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [22218] = 4,
    ACTIONS(2540), 1,
      aux_sym__multiline_string_fragment_token1,
    STATE(854), 1,
      aux_sym__multiline_string_fragment_repeat1,
    ACTIONS(2362), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2538), 4,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      aux_sym__multiline_string_fragment_token2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
  [22235] = 7,
    ACTIONS(2323), 1,
      anon_sym_permits,
    ACTIONS(2350), 1,
      anon_sym_extends,
    ACTIONS(2352), 1,
      anon_sym_LBRACE,
    STATE(232), 1,
      sym_interface_body,
    STATE(954), 1,
      sym_extends_interfaces,
    STATE(1153), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [22258] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2542), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [22271] = 4,
    ACTIONS(327), 1,
      anon_sym_AT,
    ACTIONS(2544), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(689), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [22288] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2546), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [22301] = 4,
    ACTIONS(2548), 1,
      sym_identifier,
    STATE(659), 1,
      sym_scoped_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2550), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
  [22317] = 4,
    ACTIONS(2552), 1,
      sym_identifier,
    STATE(935), 1,
      sym_scoped_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2554), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
  [22333] = 4,
    ACTIONS(2556), 1,
      sym_identifier,
    STATE(536), 1,
      sym_scoped_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2558), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
  [22349] = 4,
    STATE(1139), 1,
      sym__wildcard_bounds,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2560), 2,
      anon_sym_GT,
      anon_sym_COMMA,
    ACTIONS(2562), 2,
      anon_sym_extends,
      sym_super,
  [22365] = 4,
    ACTIONS(2564), 1,
      sym_identifier,
    STATE(1120), 1,
      sym_scoped_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2566), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
  [22381] = 4,
    ACTIONS(2568), 1,
      sym_identifier,
    STATE(1115), 1,
      sym_scoped_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2570), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
  [22397] = 4,
    ACTIONS(1182), 1,
      anon_sym_LPAREN,
    STATE(470), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1272), 3,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [22413] = 4,
    ACTIONS(2572), 1,
      sym_identifier,
    STATE(1038), 1,
      sym_scoped_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2574), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
  [22429] = 4,
    ACTIONS(2576), 1,
      anon_sym_COMMA,
    STATE(881), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2579), 3,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_permits,
  [22445] = 4,
    ACTIONS(2581), 1,
      sym_identifier,
    STATE(412), 1,
      sym_scoped_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2583), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
  [22461] = 4,
    ACTIONS(2585), 1,
      sym_identifier,
    ACTIONS(2589), 1,
      sym_super,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2587), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
  [22477] = 4,
    ACTIONS(2591), 1,
      sym_identifier,
    STATE(1049), 1,
      sym_scoped_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2593), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
  [22493] = 4,
    ACTIONS(2595), 1,
      sym_identifier,
    STATE(1126), 1,
      sym_scoped_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2597), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
  [22509] = 4,
    ACTIONS(2195), 1,
      sym_identifier,
    STATE(1249), 1,
      sym__variable_declarator_id,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2189), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
  [22525] = 6,
    ACTIONS(1981), 1,
      anon_sym_SEMI,
    ACTIONS(2599), 1,
      anon_sym_COMMA,
    ACTIONS(2601), 1,
      anon_sym_RBRACE,
    STATE(907), 1,
      aux_sym_enum_body_repeat1,
    STATE(1275), 1,
      sym_enum_body_declarations,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [22545] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2236), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(1186), 3,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [22559] = 4,
    ACTIONS(2603), 1,
      sym_identifier,
    STATE(1067), 1,
      sym_scoped_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2605), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
  [22575] = 6,
    ACTIONS(95), 1,
      anon_sym_LT,
    ACTIONS(1182), 1,
      anon_sym_LPAREN,
    ACTIONS(2217), 1,
      anon_sym_DOT,
    STATE(426), 1,
      sym_argument_list,
    STATE(679), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [22595] = 6,
    ACTIONS(95), 1,
      anon_sym_LT,
    ACTIONS(1182), 1,
      anon_sym_LPAREN,
    ACTIONS(2217), 1,
      anon_sym_DOT,
    STATE(425), 1,
      sym_argument_list,
    STATE(679), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [22615] = 6,
    ACTIONS(95), 1,
      anon_sym_LT,
    ACTIONS(1182), 1,
      anon_sym_LPAREN,
    ACTIONS(2221), 1,
      anon_sym_DOT,
    STATE(424), 1,
      sym_argument_list,
    STATE(682), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [22635] = 6,
    ACTIONS(95), 1,
      anon_sym_LT,
    ACTIONS(1182), 1,
      anon_sym_LPAREN,
    ACTIONS(2221), 1,
      anon_sym_DOT,
    STATE(427), 1,
      sym_argument_list,
    STATE(682), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [22655] = 4,
    ACTIONS(2607), 1,
      sym_identifier,
    STATE(1069), 1,
      sym_scoped_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2609), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
  [22671] = 4,
    ACTIONS(2611), 1,
      sym_identifier,
    STATE(1101), 1,
      sym_scoped_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2613), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
  [22687] = 4,
    ACTIONS(2195), 1,
      sym_identifier,
    STATE(1217), 1,
      sym__variable_declarator_id,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2189), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
  [22703] = 4,
    ACTIONS(2615), 1,
      sym_identifier,
    STATE(933), 1,
      sym_scoped_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2617), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
  [22719] = 4,
    ACTIONS(1465), 1,
      anon_sym_LBRACE,
    STATE(1027), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2619), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [22735] = 5,
    ACTIONS(2621), 1,
      anon_sym_catch,
    ACTIONS(2623), 1,
      anon_sym_finally,
    STATE(291), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(92), 2,
      sym_catch_clause,
      aux_sym_try_statement_repeat1,
  [22753] = 4,
    ACTIONS(2625), 1,
      sym_identifier,
    STATE(989), 1,
      sym_scoped_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2627), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
  [22769] = 4,
    ACTIONS(1465), 1,
      anon_sym_LBRACE,
    STATE(1077), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2629), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [22785] = 4,
    ACTIONS(2631), 1,
      sym_identifier,
    STATE(1093), 1,
      sym_scoped_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2633), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
  [22801] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2635), 5,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
  [22813] = 4,
    ACTIONS(2637), 1,
      sym_identifier,
    STATE(1116), 1,
      sym_scoped_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2639), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
  [22829] = 4,
    ACTIONS(2641), 1,
      sym_identifier,
    STATE(943), 1,
      sym_scoped_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2643), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
  [22845] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2645), 5,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
  [22857] = 6,
    ACTIONS(1981), 1,
      anon_sym_SEMI,
    ACTIONS(2051), 1,
      anon_sym_RBRACE,
    ACTIONS(2647), 1,
      anon_sym_COMMA,
    STATE(915), 1,
      aux_sym_enum_body_repeat1,
    STATE(1229), 1,
      sym_enum_body_declarations,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [22877] = 2,
    ACTIONS(2362), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2415), 5,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      aux_sym__multiline_string_fragment_token1,
      aux_sym__multiline_string_fragment_token2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
  [22889] = 4,
    STATE(1169), 1,
      sym__wildcard_bounds,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2562), 2,
      anon_sym_extends,
      sym_super,
    ACTIONS(2649), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [22905] = 4,
    ACTIONS(2651), 1,
      sym_identifier,
    STATE(941), 1,
      sym_scoped_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2653), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
  [22921] = 4,
    ACTIONS(2655), 1,
      sym_identifier,
    STATE(939), 1,
      sym_scoped_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2657), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
  [22937] = 4,
    ACTIONS(2659), 1,
      sym_identifier,
    STATE(937), 1,
      sym_scoped_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2661), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
  [22953] = 4,
    ACTIONS(2665), 1,
      anon_sym_throws,
    STATE(1190), 1,
      sym_throws,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2663), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [22968] = 4,
    ACTIONS(2667), 1,
      anon_sym_COMMA,
    STATE(914), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1997), 2,
      anon_sym_DASH_GT,
      anon_sym_COLON,
  [22983] = 4,
    ACTIONS(2670), 1,
      anon_sym_COMMA,
    STATE(915), 1,
      aux_sym_enum_body_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2673), 2,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [22998] = 5,
    ACTIONS(1056), 1,
      anon_sym_LT,
    ACTIONS(2244), 1,
      anon_sym_LPAREN,
    STATE(958), 1,
      sym_formal_parameters,
    STATE(1207), 1,
      sym_type_parameters,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [23015] = 4,
    ACTIONS(2675), 1,
      anon_sym_COMMA,
    STATE(917), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1997), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [23030] = 4,
    ACTIONS(2678), 1,
      anon_sym_DQUOTE,
    STATE(920), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(2362), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2680), 2,
      sym_string_fragment,
      sym_escape_sequence,
  [23045] = 5,
    ACTIONS(2323), 1,
      anon_sym_permits,
    ACTIONS(2352), 1,
      anon_sym_LBRACE,
    STATE(201), 1,
      sym_interface_body,
    STATE(1125), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [23062] = 4,
    ACTIONS(2682), 1,
      anon_sym_DQUOTE,
    STATE(962), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(2362), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2684), 2,
      sym_string_fragment,
      sym_escape_sequence,
  [23077] = 4,
    ACTIONS(95), 1,
      anon_sym_LT,
    STATE(1106), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2686), 2,
      anon_sym_new,
      sym_identifier,
  [23092] = 4,
    ACTIONS(2688), 1,
      anon_sym_EQ,
    ACTIONS(2692), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2690), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [23107] = 3,
    ACTIONS(2688), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2690), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [23120] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2694), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [23131] = 5,
    ACTIONS(1465), 1,
      anon_sym_LBRACE,
    ACTIONS(2323), 1,
      anon_sym_permits,
    STATE(263), 1,
      sym_class_body,
    STATE(1193), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [23148] = 4,
    ACTIONS(2696), 1,
      anon_sym_COMMA,
    STATE(881), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2698), 2,
      anon_sym_LBRACE,
      anon_sym_permits,
  [23163] = 5,
    ACTIONS(2321), 1,
      anon_sym_implements,
    ACTIONS(2700), 1,
      anon_sym_LBRACE,
    STATE(257), 1,
      sym_enum_body,
    STATE(1114), 1,
      sym_super_interfaces,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [23180] = 3,
    ACTIONS(2702), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2704), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
  [23193] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2706), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [23204] = 5,
    ACTIONS(1465), 1,
      anon_sym_LBRACE,
    ACTIONS(2323), 1,
      anon_sym_permits,
    STATE(227), 1,
      sym_class_body,
    STATE(1177), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [23221] = 4,
    ACTIONS(2696), 1,
      anon_sym_COMMA,
    STATE(951), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2708), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [23236] = 5,
    ACTIONS(1447), 1,
      anon_sym_DOT,
    ACTIONS(2710), 1,
      anon_sym_COMMA,
    ACTIONS(2712), 1,
      anon_sym_SEMI,
    STATE(992), 1,
      aux_sym_exports_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [23253] = 5,
    ACTIONS(1421), 1,
      anon_sym_DOT,
    ACTIONS(2710), 1,
      anon_sym_COMMA,
    ACTIONS(2714), 1,
      anon_sym_SEMI,
    STATE(994), 1,
      aux_sym_exports_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [23270] = 5,
    ACTIONS(1447), 1,
      anon_sym_DOT,
    ACTIONS(2710), 1,
      anon_sym_COMMA,
    ACTIONS(2716), 1,
      anon_sym_SEMI,
    STATE(996), 1,
      aux_sym_exports_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [23287] = 5,
    ACTIONS(1421), 1,
      anon_sym_DOT,
    ACTIONS(2710), 1,
      anon_sym_COMMA,
    ACTIONS(2718), 1,
      anon_sym_SEMI,
    STATE(998), 1,
      aux_sym_exports_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [23304] = 5,
    ACTIONS(1447), 1,
      anon_sym_DOT,
    ACTIONS(2710), 1,
      anon_sym_COMMA,
    ACTIONS(2720), 1,
      anon_sym_SEMI,
    STATE(1000), 1,
      aux_sym_exports_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [23321] = 5,
    ACTIONS(1421), 1,
      anon_sym_DOT,
    ACTIONS(2710), 1,
      anon_sym_COMMA,
    ACTIONS(2722), 1,
      anon_sym_SEMI,
    STATE(1002), 1,
      aux_sym_exports_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [23338] = 5,
    ACTIONS(1447), 1,
      anon_sym_DOT,
    ACTIONS(2710), 1,
      anon_sym_COMMA,
    ACTIONS(2724), 1,
      anon_sym_SEMI,
    STATE(1004), 1,
      aux_sym_exports_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [23355] = 5,
    ACTIONS(1421), 1,
      anon_sym_DOT,
    ACTIONS(2710), 1,
      anon_sym_COMMA,
    ACTIONS(2726), 1,
      anon_sym_SEMI,
    STATE(1006), 1,
      aux_sym_exports_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [23372] = 5,
    ACTIONS(1447), 1,
      anon_sym_DOT,
    ACTIONS(2728), 1,
      anon_sym_COMMA,
    ACTIONS(2730), 1,
      anon_sym_SEMI,
    STATE(1009), 1,
      aux_sym_provides_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [23389] = 5,
    ACTIONS(1421), 1,
      anon_sym_DOT,
    ACTIONS(2728), 1,
      anon_sym_COMMA,
    ACTIONS(2732), 1,
      anon_sym_SEMI,
    STATE(1011), 1,
      aux_sym_provides_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [23406] = 5,
    ACTIONS(1447), 1,
      anon_sym_DOT,
    ACTIONS(2728), 1,
      anon_sym_COMMA,
    ACTIONS(2734), 1,
      anon_sym_SEMI,
    STATE(1013), 1,
      aux_sym_provides_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [23423] = 5,
    ACTIONS(1421), 1,
      anon_sym_DOT,
    ACTIONS(2728), 1,
      anon_sym_COMMA,
    ACTIONS(2736), 1,
      anon_sym_SEMI,
    STATE(1015), 1,
      aux_sym_provides_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [23440] = 5,
    ACTIONS(1056), 1,
      anon_sym_LT,
    ACTIONS(2244), 1,
      anon_sym_LPAREN,
    STATE(973), 1,
      sym_formal_parameters,
    STATE(1113), 1,
      sym_type_parameters,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [23457] = 4,
    ACTIONS(2740), 1,
      anon_sym_extends,
    STATE(1162), 1,
      sym_type_bound,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2738), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [23472] = 4,
    ACTIONS(2688), 1,
      anon_sym_EQ,
    ACTIONS(2742), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2690), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [23487] = 5,
    ACTIONS(1465), 1,
      anon_sym_LBRACE,
    ACTIONS(2321), 1,
      anon_sym_implements,
    STATE(203), 1,
      sym_class_body,
    STATE(1173), 1,
      sym_super_interfaces,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [23504] = 5,
    ACTIONS(2321), 1,
      anon_sym_implements,
    ACTIONS(2700), 1,
      anon_sym_LBRACE,
    STATE(145), 1,
      sym_enum_body,
    STATE(1209), 1,
      sym_super_interfaces,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [23521] = 4,
    ACTIONS(2688), 1,
      anon_sym_EQ,
    ACTIONS(2744), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2690), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [23536] = 3,
    ACTIONS(2585), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2587), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
  [23549] = 4,
    ACTIONS(2696), 1,
      anon_sym_COMMA,
    STATE(881), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2746), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [23564] = 5,
    ACTIONS(2665), 1,
      anon_sym_throws,
    ACTIONS(2748), 1,
      anon_sym_LBRACE,
    STATE(443), 1,
      sym_constructor_body,
    STATE(1170), 1,
      sym_throws,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [23581] = 5,
    ACTIONS(1465), 1,
      anon_sym_LBRACE,
    ACTIONS(2323), 1,
      anon_sym_permits,
    STATE(152), 1,
      sym_class_body,
    STATE(1149), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [23598] = 5,
    ACTIONS(2323), 1,
      anon_sym_permits,
    ACTIONS(2352), 1,
      anon_sym_LBRACE,
    STATE(197), 1,
      sym_interface_body,
    STATE(1171), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [23615] = 5,
    ACTIONS(1465), 1,
      anon_sym_LBRACE,
    ACTIONS(2323), 1,
      anon_sym_permits,
    STATE(220), 1,
      sym_class_body,
    STATE(1137), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [23632] = 4,
    ACTIONS(2740), 1,
      anon_sym_extends,
    STATE(1168), 1,
      sym_type_bound,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2750), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [23647] = 4,
    ACTIONS(2752), 1,
      anon_sym_AMP,
    STATE(972), 1,
      aux_sym_type_bound_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2754), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [23662] = 5,
    ACTIONS(1465), 1,
      anon_sym_LBRACE,
    ACTIONS(2321), 1,
      anon_sym_implements,
    STATE(231), 1,
      sym_class_body,
    STATE(1148), 1,
      sym_super_interfaces,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [23679] = 5,
    ACTIONS(1465), 1,
      anon_sym_LBRACE,
    ACTIONS(2321), 1,
      anon_sym_implements,
    STATE(175), 1,
      sym_class_body,
    STATE(1122), 1,
      sym_super_interfaces,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [23696] = 5,
    ACTIONS(1644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2756), 1,
      anon_sym_AMP,
    ACTIONS(2758), 1,
      anon_sym_RPAREN,
    STATE(1084), 1,
      aux_sym_cast_expression_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [23713] = 4,
    ACTIONS(2665), 1,
      anon_sym_throws,
    STATE(1144), 1,
      sym_throws,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2760), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [23728] = 4,
    ACTIONS(2762), 1,
      anon_sym_DQUOTE,
    STATE(962), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(2362), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2764), 2,
      sym_string_fragment,
      sym_escape_sequence,
  [23743] = 4,
    ACTIONS(2767), 1,
      anon_sym_AMP,
    STATE(963), 1,
      aux_sym_type_bound_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2770), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [23758] = 4,
    ACTIONS(1963), 1,
      anon_sym_COMMA,
    STATE(914), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2772), 2,
      anon_sym_DASH_GT,
      anon_sym_COLON,
  [23773] = 5,
    ACTIONS(2323), 1,
      anon_sym_permits,
    ACTIONS(2352), 1,
      anon_sym_LBRACE,
    STATE(234), 1,
      sym_interface_body,
    STATE(1161), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [23790] = 4,
    ACTIONS(2665), 1,
      anon_sym_throws,
    STATE(1166), 1,
      sym_throws,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2774), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [23805] = 5,
    ACTIONS(2323), 1,
      anon_sym_permits,
    ACTIONS(2352), 1,
      anon_sym_LBRACE,
    STATE(250), 1,
      sym_interface_body,
    STATE(1192), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [23822] = 5,
    ACTIONS(1182), 1,
      anon_sym_LPAREN,
    ACTIONS(1644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2776), 1,
      anon_sym_DOT,
    STATE(1248), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [23839] = 5,
    ACTIONS(2778), 1,
      anon_sym_LPAREN,
    ACTIONS(2780), 1,
      anon_sym_LBRACE,
    STATE(899), 1,
      sym_block,
    STATE(1194), 1,
      sym_resource_specification,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [23856] = 5,
    ACTIONS(1465), 1,
      anon_sym_LBRACE,
    ACTIONS(2323), 1,
      anon_sym_permits,
    STATE(168), 1,
      sym_class_body,
    STATE(1141), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [23873] = 5,
    ACTIONS(1465), 1,
      anon_sym_LBRACE,
    ACTIONS(2323), 1,
      anon_sym_permits,
    STATE(192), 1,
      sym_class_body,
    STATE(1123), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [23890] = 4,
    ACTIONS(2752), 1,
      anon_sym_AMP,
    STATE(963), 1,
      aux_sym_type_bound_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2782), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [23905] = 5,
    ACTIONS(1465), 1,
      anon_sym_LBRACE,
    ACTIONS(2321), 1,
      anon_sym_implements,
    STATE(239), 1,
      sym_class_body,
    STATE(1183), 1,
      sym_super_interfaces,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [23922] = 5,
    ACTIONS(1465), 1,
      anon_sym_LBRACE,
    ACTIONS(2323), 1,
      anon_sym_permits,
    STATE(196), 1,
      sym_class_body,
    STATE(1124), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [23939] = 5,
    ACTIONS(1465), 1,
      anon_sym_LBRACE,
    ACTIONS(2323), 1,
      anon_sym_permits,
    STATE(222), 1,
      sym_class_body,
    STATE(1176), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [23956] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2784), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [23967] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2786), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [23978] = 4,
    ACTIONS(2688), 1,
      anon_sym_EQ,
    ACTIONS(2788), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2690), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [23993] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2579), 4,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_permits,
  [24004] = 5,
    ACTIONS(2665), 1,
      anon_sym_throws,
    ACTIONS(2748), 1,
      anon_sym_LBRACE,
    STATE(450), 1,
      sym_constructor_body,
    STATE(1133), 1,
      sym_throws,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24021] = 5,
    ACTIONS(1644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2756), 1,
      anon_sym_AMP,
    ACTIONS(2790), 1,
      anon_sym_RPAREN,
    STATE(1030), 1,
      aux_sym_cast_expression_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24038] = 4,
    ACTIONS(2696), 1,
      anon_sym_COMMA,
    STATE(926), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2792), 2,
      anon_sym_LBRACE,
      anon_sym_permits,
  [24053] = 3,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2796), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_record,
  [24066] = 4,
    ACTIONS(1447), 1,
      anon_sym_DOT,
    ACTIONS(2798), 1,
      anon_sym_LBRACE,
    STATE(325), 1,
      sym_module_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24080] = 4,
    ACTIONS(1421), 1,
      anon_sym_DOT,
    ACTIONS(2798), 1,
      anon_sym_LBRACE,
    STATE(281), 1,
      sym_module_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24094] = 4,
    ACTIONS(2800), 1,
      anon_sym_GT,
    ACTIONS(2802), 1,
      anon_sym_COMMA,
    STATE(1036), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24108] = 4,
    ACTIONS(2804), 1,
      sym_identifier,
    ACTIONS(2806), 1,
      anon_sym_STAR,
    STATE(1278), 1,
      sym_asterisk,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24122] = 4,
    ACTIONS(1971), 1,
      anon_sym_COMMA,
    ACTIONS(2808), 1,
      anon_sym_RPAREN,
    STATE(1076), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24136] = 4,
    ACTIONS(1421), 1,
      anon_sym_DOT,
    ACTIONS(2798), 1,
      anon_sym_LBRACE,
    STATE(298), 1,
      sym_module_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24150] = 4,
    ACTIONS(1971), 1,
      anon_sym_COMMA,
    ACTIONS(2810), 1,
      anon_sym_RPAREN,
    STATE(1076), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24164] = 4,
    ACTIONS(1379), 1,
      anon_sym_RPAREN,
    ACTIONS(2812), 1,
      anon_sym_COMMA,
    STATE(1043), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24178] = 4,
    ACTIONS(2710), 1,
      anon_sym_COMMA,
    ACTIONS(2814), 1,
      anon_sym_SEMI,
    STATE(1040), 1,
      aux_sym_exports_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24192] = 4,
    ACTIONS(1213), 1,
      anon_sym_COMMA,
    ACTIONS(2816), 1,
      anon_sym_RPAREN,
    STATE(1062), 1,
      aux_sym_inferred_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24206] = 4,
    ACTIONS(2710), 1,
      anon_sym_COMMA,
    ACTIONS(2818), 1,
      anon_sym_SEMI,
    STATE(1040), 1,
      aux_sym_exports_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24220] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1973), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [24230] = 4,
    ACTIONS(2710), 1,
      anon_sym_COMMA,
    ACTIONS(2820), 1,
      anon_sym_SEMI,
    STATE(1040), 1,
      aux_sym_exports_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24244] = 4,
    ACTIONS(2822), 1,
      anon_sym_RPAREN,
    ACTIONS(2824), 1,
      anon_sym_COMMA,
    STATE(1001), 1,
      aux_sym_annotation_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24258] = 4,
    ACTIONS(2710), 1,
      anon_sym_COMMA,
    ACTIONS(2826), 1,
      anon_sym_SEMI,
    STATE(1040), 1,
      aux_sym_exports_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24272] = 4,
    ACTIONS(2828), 1,
      anon_sym_COMMA,
    ACTIONS(2831), 1,
      anon_sym_SEMI,
    STATE(999), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24286] = 4,
    ACTIONS(2710), 1,
      anon_sym_COMMA,
    ACTIONS(2833), 1,
      anon_sym_SEMI,
    STATE(1040), 1,
      aux_sym_exports_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24300] = 4,
    ACTIONS(2824), 1,
      anon_sym_COMMA,
    ACTIONS(2835), 1,
      anon_sym_RPAREN,
    STATE(1053), 1,
      aux_sym_annotation_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24314] = 4,
    ACTIONS(2710), 1,
      anon_sym_COMMA,
    ACTIONS(2837), 1,
      anon_sym_SEMI,
    STATE(1040), 1,
      aux_sym_exports_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24328] = 4,
    ACTIONS(2839), 1,
      anon_sym_GT,
    ACTIONS(2841), 1,
      anon_sym_COMMA,
    STATE(1003), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24342] = 4,
    ACTIONS(2710), 1,
      anon_sym_COMMA,
    ACTIONS(2844), 1,
      anon_sym_SEMI,
    STATE(1040), 1,
      aux_sym_exports_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24356] = 4,
    ACTIONS(1182), 1,
      anon_sym_LPAREN,
    ACTIONS(2846), 1,
      anon_sym_DOT,
    STATE(1263), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24370] = 4,
    ACTIONS(2710), 1,
      anon_sym_COMMA,
    ACTIONS(2848), 1,
      anon_sym_SEMI,
    STATE(1040), 1,
      aux_sym_exports_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24384] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2770), 3,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_COMMA,
  [24394] = 4,
    ACTIONS(2850), 1,
      anon_sym_GT,
    ACTIONS(2852), 1,
      anon_sym_COMMA,
    STATE(1008), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24408] = 4,
    ACTIONS(2728), 1,
      anon_sym_COMMA,
    ACTIONS(2855), 1,
      anon_sym_SEMI,
    STATE(1051), 1,
      aux_sym_provides_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24422] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2857), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [24432] = 4,
    ACTIONS(2728), 1,
      anon_sym_COMMA,
    ACTIONS(2859), 1,
      anon_sym_SEMI,
    STATE(1051), 1,
      aux_sym_provides_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24446] = 4,
    ACTIONS(2003), 1,
      anon_sym_COMMA,
    ACTIONS(2005), 1,
      anon_sym_RBRACE,
    STATE(1014), 1,
      aux_sym_array_initializer_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24460] = 4,
    ACTIONS(2728), 1,
      anon_sym_COMMA,
    ACTIONS(2861), 1,
      anon_sym_SEMI,
    STATE(1051), 1,
      aux_sym_provides_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24474] = 4,
    ACTIONS(372), 1,
      anon_sym_RBRACE,
    ACTIONS(2863), 1,
      anon_sym_COMMA,
    STATE(1090), 1,
      aux_sym_array_initializer_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24488] = 4,
    ACTIONS(2728), 1,
      anon_sym_COMMA,
    ACTIONS(2865), 1,
      anon_sym_SEMI,
    STATE(1051), 1,
      aux_sym_provides_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24502] = 4,
    ACTIONS(2867), 1,
      anon_sym_GT,
    ACTIONS(2869), 1,
      anon_sym_COMMA,
    STATE(1008), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24516] = 4,
    ACTIONS(1971), 1,
      anon_sym_COMMA,
    ACTIONS(2871), 1,
      anon_sym_RPAREN,
    STATE(1076), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24530] = 4,
    ACTIONS(1640), 1,
      anon_sym_LBRACK,
    ACTIONS(1642), 1,
      anon_sym_DOT,
    ACTIONS(1644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24544] = 4,
    ACTIONS(1213), 1,
      anon_sym_COMMA,
    ACTIONS(2873), 1,
      anon_sym_RPAREN,
    STATE(1062), 1,
      aux_sym_inferred_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24558] = 4,
    ACTIONS(2299), 1,
      anon_sym_default,
    ACTIONS(2875), 1,
      anon_sym_SEMI,
    STATE(1285), 1,
      sym__default_value,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24572] = 4,
    ACTIONS(1010), 1,
      anon_sym_RPAREN,
    ACTIONS(2877), 1,
      anon_sym_SEMI,
    STATE(1063), 1,
      aux_sym_resource_specification_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24586] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2879), 3,
      anon_sym_LBRACE,
      anon_sym_implements,
      anon_sym_permits,
  [24596] = 4,
    ACTIONS(2881), 1,
      anon_sym_RPAREN,
    ACTIONS(2883), 1,
      anon_sym_SEMI,
    STATE(1021), 1,
      aux_sym_resource_specification_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24610] = 4,
    ACTIONS(1182), 1,
      anon_sym_LPAREN,
    ACTIONS(2217), 1,
      anon_sym_DOT,
    STATE(426), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24624] = 4,
    ACTIONS(1182), 1,
      anon_sym_LPAREN,
    ACTIONS(2217), 1,
      anon_sym_DOT,
    STATE(425), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24638] = 4,
    ACTIONS(2869), 1,
      anon_sym_COMMA,
    ACTIONS(2885), 1,
      anon_sym_GT,
    STATE(1016), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24652] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2887), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [24662] = 4,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(2889), 1,
      anon_sym_SEMI,
    STATE(440), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24676] = 4,
    ACTIONS(2033), 1,
      anon_sym_COMMA,
    ACTIONS(2772), 1,
      anon_sym_COLON,
    STATE(917), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24690] = 4,
    ACTIONS(2756), 1,
      anon_sym_AMP,
    ACTIONS(2891), 1,
      anon_sym_RPAREN,
    STATE(1060), 1,
      aux_sym_cast_expression_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24704] = 4,
    ACTIONS(1971), 1,
      anon_sym_COMMA,
    ACTIONS(2893), 1,
      anon_sym_RPAREN,
    STATE(1076), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24718] = 4,
    ACTIONS(1971), 1,
      anon_sym_COMMA,
    ACTIONS(2895), 1,
      anon_sym_RPAREN,
    STATE(1076), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24732] = 4,
    ACTIONS(2824), 1,
      anon_sym_COMMA,
    ACTIONS(2897), 1,
      anon_sym_RPAREN,
    STATE(1053), 1,
      aux_sym_annotation_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24746] = 4,
    ACTIONS(1971), 1,
      anon_sym_COMMA,
    ACTIONS(2899), 1,
      anon_sym_RPAREN,
    STATE(1076), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24760] = 4,
    ACTIONS(355), 1,
      anon_sym_RBRACE,
    ACTIONS(2901), 1,
      anon_sym_COMMA,
    STATE(1041), 1,
      aux_sym_element_value_array_initializer_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24774] = 4,
    ACTIONS(2802), 1,
      anon_sym_COMMA,
    ACTIONS(2903), 1,
      anon_sym_GT,
    STATE(1003), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24788] = 3,
    ACTIONS(1447), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2905), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [24800] = 3,
    ACTIONS(1421), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2907), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [24812] = 4,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(2909), 1,
      anon_sym_SEMI,
    STATE(431), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24826] = 4,
    ACTIONS(2911), 1,
      anon_sym_COMMA,
    ACTIONS(2914), 1,
      anon_sym_SEMI,
    STATE(1040), 1,
      aux_sym_exports_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24840] = 4,
    ACTIONS(2916), 1,
      anon_sym_COMMA,
    ACTIONS(2919), 1,
      anon_sym_RBRACE,
    STATE(1041), 1,
      aux_sym_element_value_array_initializer_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24854] = 4,
    ACTIONS(2824), 1,
      anon_sym_COMMA,
    ACTIONS(2921), 1,
      anon_sym_RPAREN,
    STATE(1033), 1,
      aux_sym_annotation_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24868] = 4,
    ACTIONS(2812), 1,
      anon_sym_COMMA,
    ACTIONS(2923), 1,
      anon_sym_RPAREN,
    STATE(1058), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24882] = 4,
    ACTIONS(1971), 1,
      anon_sym_COMMA,
    ACTIONS(2925), 1,
      anon_sym_RPAREN,
    STATE(1076), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24896] = 4,
    ACTIONS(1447), 1,
      anon_sym_DOT,
    ACTIONS(2798), 1,
      anon_sym_LBRACE,
    STATE(280), 1,
      sym_module_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24910] = 4,
    ACTIONS(2927), 1,
      anon_sym_COMMA,
    ACTIONS(2929), 1,
      anon_sym_SEMI,
    STATE(1071), 1,
      aux_sym__variable_declarator_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24924] = 4,
    ACTIONS(1971), 1,
      anon_sym_COMMA,
    ACTIONS(2931), 1,
      anon_sym_RPAREN,
    STATE(1076), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24938] = 3,
    ACTIONS(1447), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2933), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [24950] = 3,
    ACTIONS(1421), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2935), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [24962] = 4,
    ACTIONS(1971), 1,
      anon_sym_COMMA,
    ACTIONS(2937), 1,
      anon_sym_RPAREN,
    STATE(1076), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24976] = 4,
    ACTIONS(2939), 1,
      anon_sym_COMMA,
    ACTIONS(2942), 1,
      anon_sym_SEMI,
    STATE(1051), 1,
      aux_sym_provides_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24990] = 4,
    ACTIONS(1971), 1,
      anon_sym_COMMA,
    ACTIONS(2944), 1,
      anon_sym_RPAREN,
    STATE(1076), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25004] = 4,
    ACTIONS(2946), 1,
      anon_sym_RPAREN,
    ACTIONS(2948), 1,
      anon_sym_COMMA,
    STATE(1053), 1,
      aux_sym_annotation_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25018] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2951), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [25028] = 4,
    ACTIONS(2299), 1,
      anon_sym_default,
    ACTIONS(2953), 1,
      anon_sym_SEMI,
    STATE(1291), 1,
      sym__default_value,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25042] = 4,
    ACTIONS(2802), 1,
      anon_sym_COMMA,
    ACTIONS(2955), 1,
      anon_sym_GT,
    STATE(1003), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25056] = 4,
    ACTIONS(2812), 1,
      anon_sym_COMMA,
    ACTIONS(2957), 1,
      anon_sym_RPAREN,
    STATE(1058), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25070] = 4,
    ACTIONS(2959), 1,
      anon_sym_RPAREN,
    ACTIONS(2961), 1,
      anon_sym_COMMA,
    STATE(1058), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25084] = 4,
    ACTIONS(1971), 1,
      anon_sym_COMMA,
    ACTIONS(2964), 1,
      anon_sym_RPAREN,
    STATE(1076), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25098] = 4,
    ACTIONS(2966), 1,
      anon_sym_AMP,
    ACTIONS(2969), 1,
      anon_sym_RPAREN,
    STATE(1060), 1,
      aux_sym_cast_expression_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25112] = 4,
    ACTIONS(1971), 1,
      anon_sym_COMMA,
    ACTIONS(2971), 1,
      anon_sym_RPAREN,
    STATE(1076), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25126] = 4,
    ACTIONS(2973), 1,
      anon_sym_RPAREN,
    ACTIONS(2975), 1,
      anon_sym_COMMA,
    STATE(1062), 1,
      aux_sym_inferred_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25140] = 4,
    ACTIONS(2978), 1,
      anon_sym_RPAREN,
    ACTIONS(2980), 1,
      anon_sym_SEMI,
    STATE(1063), 1,
      aux_sym_resource_specification_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25154] = 4,
    ACTIONS(1971), 1,
      anon_sym_COMMA,
    ACTIONS(2983), 1,
      anon_sym_RPAREN,
    STATE(1076), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25168] = 4,
    ACTIONS(1971), 1,
      anon_sym_COMMA,
    ACTIONS(2985), 1,
      anon_sym_RPAREN,
    STATE(1076), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25182] = 4,
    ACTIONS(1983), 1,
      anon_sym_COMMA,
    ACTIONS(2987), 1,
      anon_sym_SEMI,
    STATE(999), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25196] = 4,
    ACTIONS(1421), 1,
      anon_sym_DOT,
    ACTIONS(2989), 1,
      anon_sym_SEMI,
    ACTIONS(2991), 1,
      anon_sym_to,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25210] = 4,
    ACTIONS(1447), 1,
      anon_sym_DOT,
    ACTIONS(2993), 1,
      anon_sym_SEMI,
    ACTIONS(2995), 1,
      anon_sym_to,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25224] = 4,
    ACTIONS(1421), 1,
      anon_sym_DOT,
    ACTIONS(2997), 1,
      anon_sym_SEMI,
    ACTIONS(2999), 1,
      anon_sym_to,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25238] = 4,
    ACTIONS(2812), 1,
      anon_sym_COMMA,
    ACTIONS(2923), 1,
      anon_sym_RPAREN,
    STATE(1057), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25252] = 4,
    ACTIONS(2927), 1,
      anon_sym_COMMA,
    ACTIONS(3001), 1,
      anon_sym_SEMI,
    STATE(1092), 1,
      aux_sym__variable_declarator_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25266] = 4,
    ACTIONS(1971), 1,
      anon_sym_COMMA,
    ACTIONS(3003), 1,
      anon_sym_RPAREN,
    STATE(1076), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25280] = 4,
    ACTIONS(1447), 1,
      anon_sym_DOT,
    ACTIONS(3005), 1,
      anon_sym_SEMI,
    ACTIONS(3007), 1,
      anon_sym_to,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25294] = 4,
    ACTIONS(2824), 1,
      anon_sym_COMMA,
    ACTIONS(3009), 1,
      anon_sym_RPAREN,
    STATE(1081), 1,
      aux_sym_annotation_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25308] = 4,
    ACTIONS(1971), 1,
      anon_sym_COMMA,
    ACTIONS(3011), 1,
      anon_sym_RPAREN,
    STATE(1076), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25322] = 4,
    ACTIONS(3013), 1,
      anon_sym_RPAREN,
    ACTIONS(3015), 1,
      anon_sym_COMMA,
    STATE(1076), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25336] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3018), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [25346] = 4,
    ACTIONS(2033), 1,
      anon_sym_COMMA,
    ACTIONS(3020), 1,
      anon_sym_RPAREN,
    STATE(917), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25360] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2673), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [25370] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3022), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [25380] = 4,
    ACTIONS(2824), 1,
      anon_sym_COMMA,
    ACTIONS(3024), 1,
      anon_sym_RPAREN,
    STATE(1053), 1,
      aux_sym_annotation_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25394] = 4,
    ACTIONS(1983), 1,
      anon_sym_COMMA,
    ACTIONS(3026), 1,
      anon_sym_SEMI,
    STATE(999), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25408] = 4,
    ACTIONS(2802), 1,
      anon_sym_COMMA,
    ACTIONS(3028), 1,
      anon_sym_GT,
    STATE(1056), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25422] = 4,
    ACTIONS(2756), 1,
      anon_sym_AMP,
    ACTIONS(3030), 1,
      anon_sym_RPAREN,
    STATE(1060), 1,
      aux_sym_cast_expression_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25436] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3032), 3,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_throws,
  [25446] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3034), 3,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_throws,
  [25456] = 4,
    ACTIONS(3036), 1,
      anon_sym_COMMA,
    ACTIONS(3038), 1,
      anon_sym_RBRACE,
    STATE(1035), 1,
      aux_sym_element_value_array_initializer_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25470] = 4,
    ACTIONS(1981), 1,
      anon_sym_SEMI,
    ACTIONS(2601), 1,
      anon_sym_RBRACE,
    STATE(1275), 1,
      sym_enum_body_declarations,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25484] = 4,
    ACTIONS(2806), 1,
      anon_sym_STAR,
    ACTIONS(3040), 1,
      sym_identifier,
    STATE(1251), 1,
      sym_asterisk,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25498] = 4,
    ACTIONS(2053), 1,
      anon_sym_RBRACE,
    ACTIONS(3042), 1,
      anon_sym_COMMA,
    STATE(1090), 1,
      aux_sym_array_initializer_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25512] = 4,
    ACTIONS(2804), 1,
      sym_identifier,
    ACTIONS(2806), 1,
      anon_sym_STAR,
    STATE(1245), 1,
      sym_asterisk,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25526] = 4,
    ACTIONS(3045), 1,
      anon_sym_COMMA,
    ACTIONS(3048), 1,
      anon_sym_SEMI,
    STATE(1092), 1,
      aux_sym__variable_declarator_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25540] = 4,
    ACTIONS(1421), 1,
      anon_sym_DOT,
    ACTIONS(2798), 1,
      anon_sym_LBRACE,
    STATE(337), 1,
      sym_module_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25554] = 4,
    ACTIONS(1447), 1,
      anon_sym_DOT,
    ACTIONS(2798), 1,
      anon_sym_LBRACE,
    STATE(322), 1,
      sym_module_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25568] = 4,
    ACTIONS(2806), 1,
      anon_sym_STAR,
    ACTIONS(3040), 1,
      sym_identifier,
    STATE(1277), 1,
      sym_asterisk,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25582] = 3,
    ACTIONS(1465), 1,
      anon_sym_LBRACE,
    STATE(194), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25593] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2850), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [25602] = 3,
    ACTIONS(3050), 1,
      anon_sym_LBRACE,
    STATE(267), 1,
      sym_annotation_type_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25613] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3052), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [25622] = 3,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    STATE(316), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25633] = 3,
    ACTIONS(1421), 1,
      anon_sym_DOT,
    ACTIONS(3054), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25644] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3056), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [25653] = 3,
    ACTIONS(3058), 1,
      anon_sym_DOT,
    ACTIONS(3060), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25664] = 3,
    ACTIONS(1447), 1,
      anon_sym_DOT,
    ACTIONS(3062), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25675] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2959), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [25684] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3064), 2,
      anon_sym_new,
      sym_identifier,
  [25693] = 3,
    ACTIONS(3066), 1,
      sym_identifier,
    STATE(1200), 1,
      sym_element_value_pair,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25704] = 3,
    ACTIONS(1447), 1,
      anon_sym_DOT,
    ACTIONS(3068), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25715] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3070), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [25724] = 3,
    ACTIONS(2352), 1,
      anon_sym_LBRACE,
    STATE(249), 1,
      sym_interface_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25735] = 3,
    ACTIONS(1421), 1,
      anon_sym_DOT,
    ACTIONS(3072), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25746] = 3,
    ACTIONS(1447), 1,
      anon_sym_DOT,
    ACTIONS(3074), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25757] = 3,
    ACTIONS(2244), 1,
      anon_sym_LPAREN,
    STATE(959), 1,
      sym_formal_parameters,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25768] = 3,
    ACTIONS(2700), 1,
      anon_sym_LBRACE,
    STATE(225), 1,
      sym_enum_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25779] = 3,
    ACTIONS(1421), 1,
      anon_sym_DOT,
    ACTIONS(3076), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25790] = 3,
    ACTIONS(3078), 1,
      anon_sym_DOT,
    ACTIONS(3080), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25801] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3082), 2,
      anon_sym_AMP,
      anon_sym_RPAREN,
  [25810] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3084), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [25819] = 3,
    ACTIONS(1447), 1,
      anon_sym_DOT,
    ACTIONS(3086), 1,
      anon_sym_with,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25830] = 3,
    ACTIONS(1421), 1,
      anon_sym_DOT,
    ACTIONS(3088), 1,
      anon_sym_with,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25841] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2978), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [25850] = 3,
    ACTIONS(1465), 1,
      anon_sym_LBRACE,
    STATE(243), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25861] = 3,
    ACTIONS(1465), 1,
      anon_sym_LBRACE,
    STATE(271), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25872] = 3,
    ACTIONS(1465), 1,
      anon_sym_LBRACE,
    STATE(265), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25883] = 3,
    ACTIONS(2352), 1,
      anon_sym_LBRACE,
    STATE(242), 1,
      sym_interface_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25894] = 3,
    ACTIONS(1421), 1,
      anon_sym_DOT,
    ACTIONS(3090), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25905] = 3,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    STATE(335), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25916] = 3,
    ACTIONS(844), 1,
      anon_sym_LPAREN,
    STATE(1206), 1,
      sym_parenthesized_expression,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25927] = 3,
    ACTIONS(351), 1,
      anon_sym_LBRACE,
    STATE(500), 1,
      sym_array_initializer,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25938] = 3,
    ACTIONS(351), 1,
      anon_sym_LBRACE,
    STATE(497), 1,
      sym_array_initializer,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25949] = 3,
    ACTIONS(1182), 1,
      anon_sym_LPAREN,
    STATE(1297), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25960] = 3,
    ACTIONS(1465), 1,
      anon_sym_LBRACE,
    STATE(264), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25971] = 3,
    ACTIONS(2748), 1,
      anon_sym_LBRACE,
    STATE(436), 1,
      sym_constructor_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25982] = 3,
    ACTIONS(1465), 1,
      anon_sym_LBRACE,
    STATE(224), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25993] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3092), 2,
      anon_sym_LBRACE,
      anon_sym_permits,
  [26002] = 3,
    ACTIONS(844), 1,
      anon_sym_LPAREN,
    STATE(1256), 1,
      sym_parenthesized_expression,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26013] = 3,
    ACTIONS(1465), 1,
      anon_sym_LBRACE,
    STATE(208), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26024] = 3,
    ACTIONS(1465), 1,
      anon_sym_LBRACE,
    STATE(167), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26035] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2649), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [26044] = 3,
    ACTIONS(1465), 1,
      anon_sym_LBRACE,
    STATE(190), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26055] = 3,
    ACTIONS(1465), 1,
      anon_sym_LBRACE,
    STATE(185), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26066] = 3,
    ACTIONS(3094), 1,
      anon_sym_LPAREN,
    STATE(66), 1,
      sym_condition,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26077] = 3,
    ACTIONS(1447), 1,
      anon_sym_DOT,
    ACTIONS(3096), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26088] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3098), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [26097] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3100), 2,
      anon_sym_DASH_GT,
      anon_sym_COLON,
  [26106] = 3,
    ACTIONS(3102), 1,
      anon_sym_DASH_GT,
    ACTIONS(3104), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26117] = 3,
    ACTIONS(3106), 1,
      sym_identifier,
    ACTIONS(3108), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26128] = 3,
    ACTIONS(1465), 1,
      anon_sym_LBRACE,
    STATE(202), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26139] = 3,
    ACTIONS(1465), 1,
      anon_sym_LBRACE,
    STATE(174), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26150] = 3,
    ACTIONS(3110), 1,
      sym_identifier,
    ACTIONS(3112), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26161] = 3,
    ACTIONS(3050), 1,
      anon_sym_LBRACE,
    STATE(253), 1,
      sym_annotation_type_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26172] = 3,
    ACTIONS(1182), 1,
      anon_sym_LPAREN,
    STATE(426), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26183] = 3,
    ACTIONS(2352), 1,
      anon_sym_LBRACE,
    STATE(200), 1,
      sym_interface_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26194] = 3,
    ACTIONS(351), 1,
      anon_sym_LBRACE,
    STATE(467), 1,
      sym_array_initializer,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26205] = 3,
    ACTIONS(1024), 1,
      anon_sym_while,
    ACTIONS(3114), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26216] = 3,
    ACTIONS(351), 1,
      anon_sym_LBRACE,
    STATE(477), 1,
      sym_array_initializer,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26227] = 3,
    ACTIONS(3116), 1,
      anon_sym_DOT,
    ACTIONS(3118), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26238] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2919), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [26247] = 3,
    ACTIONS(3120), 1,
      anon_sym_DOT,
    ACTIONS(3122), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26258] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3124), 2,
      anon_sym_LBRACE,
      anon_sym_throws,
  [26267] = 3,
    ACTIONS(2352), 1,
      anon_sym_LBRACE,
    STATE(191), 1,
      sym_interface_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26278] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3126), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [26287] = 3,
    ACTIONS(1465), 1,
      anon_sym_LBRACE,
    STATE(211), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26298] = 3,
    ACTIONS(1182), 1,
      anon_sym_LPAREN,
    STATE(1257), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26309] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2973), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [26318] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3128), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [26327] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2053), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [26336] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3130), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [26345] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3132), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [26354] = 3,
    ACTIONS(2748), 1,
      anon_sym_LBRACE,
    STATE(459), 1,
      sym_constructor_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26365] = 3,
    ACTIONS(2352), 1,
      anon_sym_LBRACE,
    STATE(164), 1,
      sym_interface_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26376] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2839), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [26385] = 3,
    ACTIONS(1465), 1,
      anon_sym_LBRACE,
    STATE(161), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26396] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3134), 2,
      anon_sym_LBRACE,
      anon_sym_throws,
  [26405] = 3,
    ACTIONS(2244), 1,
      anon_sym_LPAREN,
    STATE(761), 1,
      sym_formal_parameters,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26416] = 3,
    ACTIONS(1465), 1,
      anon_sym_LBRACE,
    STATE(159), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26427] = 3,
    ACTIONS(1465), 1,
      anon_sym_LBRACE,
    STATE(155), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26438] = 3,
    ACTIONS(1465), 1,
      anon_sym_LBRACE,
    STATE(154), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26449] = 3,
    ACTIONS(3094), 1,
      anon_sym_LPAREN,
    STATE(56), 1,
      sym_condition,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26460] = 3,
    ACTIONS(3094), 1,
      anon_sym_LPAREN,
    STATE(57), 1,
      sym_condition,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26471] = 3,
    ACTIONS(1182), 1,
      anon_sym_LPAREN,
    STATE(462), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26482] = 3,
    ACTIONS(1182), 1,
      anon_sym_LPAREN,
    STATE(468), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26493] = 3,
    ACTIONS(1465), 1,
      anon_sym_LBRACE,
    STATE(177), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26504] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3136), 2,
      anon_sym_LBRACE,
      anon_sym_permits,
  [26513] = 3,
    ACTIONS(2244), 1,
      anon_sym_LPAREN,
    STATE(768), 1,
      sym_formal_parameters,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26524] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3138), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [26533] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3140), 2,
      sym_this,
      sym_super,
  [26542] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3142), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [26551] = 3,
    ACTIONS(3094), 1,
      anon_sym_LPAREN,
    STATE(53), 1,
      sym_condition,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26562] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3144), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [26571] = 3,
    ACTIONS(2352), 1,
      anon_sym_LBRACE,
    STATE(199), 1,
      sym_interface_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26582] = 3,
    ACTIONS(2352), 1,
      anon_sym_LBRACE,
    STATE(204), 1,
      sym_interface_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26593] = 3,
    ACTIONS(1465), 1,
      anon_sym_LBRACE,
    STATE(187), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26604] = 3,
    ACTIONS(2780), 1,
      anon_sym_LBRACE,
    STATE(93), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26615] = 3,
    ACTIONS(1421), 1,
      anon_sym_DOT,
    ACTIONS(3146), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26626] = 3,
    ACTIONS(1421), 1,
      anon_sym_DOT,
    ACTIONS(3148), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26637] = 3,
    ACTIONS(1447), 1,
      anon_sym_DOT,
    ACTIONS(3150), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26648] = 3,
    ACTIONS(1447), 1,
      anon_sym_DOT,
    ACTIONS(3152), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26659] = 3,
    ACTIONS(1447), 1,
      anon_sym_DOT,
    ACTIONS(3154), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26670] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2946), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [26679] = 3,
    ACTIONS(2352), 1,
      anon_sym_LBRACE,
    STATE(233), 1,
      sym_interface_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26690] = 3,
    ACTIONS(2780), 1,
      anon_sym_LBRACE,
    STATE(139), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26701] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3156), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [26710] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3158), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [26719] = 3,
    ACTIONS(1182), 1,
      anon_sym_LPAREN,
    STATE(460), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26730] = 3,
    ACTIONS(3160), 1,
      anon_sym_LBRACE,
    STATE(80), 1,
      sym_switch_block,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26741] = 3,
    ACTIONS(2244), 1,
      anon_sym_LPAREN,
    STATE(947), 1,
      sym_formal_parameters,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26752] = 3,
    ACTIONS(1182), 1,
      anon_sym_LPAREN,
    STATE(482), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26763] = 3,
    ACTIONS(2700), 1,
      anon_sym_LBRACE,
    STATE(230), 1,
      sym_enum_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26774] = 3,
    ACTIONS(1182), 1,
      anon_sym_LPAREN,
    STATE(425), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26785] = 3,
    ACTIONS(1465), 1,
      anon_sym_LBRACE,
    STATE(221), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26796] = 3,
    ACTIONS(1644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2776), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26807] = 2,
    ACTIONS(3162), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26815] = 2,
    ACTIONS(3164), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26823] = 2,
    ACTIONS(3166), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26831] = 2,
    ACTIONS(1195), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26839] = 2,
    ACTIONS(3168), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26847] = 2,
    ACTIONS(3170), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26855] = 2,
    ACTIONS(3172), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26863] = 2,
    ACTIONS(3174), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26871] = 2,
    ACTIONS(3176), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26879] = 2,
    ACTIONS(2921), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26887] = 2,
    ACTIONS(3178), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26895] = 2,
    ACTIONS(396), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26903] = 2,
    ACTIONS(3180), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26911] = 2,
    ACTIONS(3182), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26919] = 2,
    ACTIONS(3184), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26927] = 2,
    ACTIONS(3186), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26935] = 2,
    ACTIONS(2080), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26943] = 2,
    ACTIONS(3188), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26951] = 2,
    ACTIONS(3190), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26959] = 2,
    ACTIONS(3192), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26967] = 2,
    ACTIONS(3194), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26975] = 2,
    ACTIONS(3196), 1,
      sym_this,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26983] = 2,
    ACTIONS(2822), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26991] = 2,
    ACTIONS(3198), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26999] = 2,
    ACTIONS(1644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27007] = 2,
    ACTIONS(3200), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27015] = 2,
    ACTIONS(416), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27023] = 2,
    ACTIONS(3202), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27031] = 2,
    ACTIONS(2601), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27039] = 2,
    ACTIONS(3204), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27047] = 2,
    ACTIONS(3206), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27055] = 2,
    ACTIONS(3208), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27063] = 2,
    ACTIONS(3210), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27071] = 2,
    ACTIONS(2005), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27079] = 2,
    ACTIONS(3212), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27087] = 2,
    ACTIONS(3214), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27095] = 2,
    ACTIONS(3216), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27103] = 2,
    ACTIONS(3009), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27111] = 2,
    ACTIONS(3218), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27119] = 2,
    ACTIONS(3220), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27127] = 2,
    ACTIONS(3222), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27135] = 2,
    ACTIONS(3224), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27143] = 2,
    ACTIONS(3226), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27151] = 2,
    ACTIONS(3228), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27159] = 2,
    ACTIONS(3230), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27167] = 2,
    ACTIONS(3232), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27175] = 2,
    ACTIONS(3234), 1,
      anon_sym_module,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27183] = 2,
    ACTIONS(3236), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27191] = 2,
    ACTIONS(3238), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27199] = 2,
    ACTIONS(3240), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27207] = 2,
    ACTIONS(3242), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27215] = 2,
    ACTIONS(3244), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27223] = 2,
    ACTIONS(3246), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27231] = 2,
    ACTIONS(3248), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27239] = 2,
    ACTIONS(2804), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27247] = 2,
    ACTIONS(3104), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27255] = 2,
    ACTIONS(3250), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27263] = 2,
    ACTIONS(3252), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27271] = 2,
    ACTIONS(3102), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27279] = 2,
    ACTIONS(3254), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27287] = 2,
    ACTIONS(3040), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27295] = 2,
    ACTIONS(3256), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27303] = 2,
    ACTIONS(2051), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27311] = 2,
    ACTIONS(3258), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27319] = 2,
    ACTIONS(3260), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27327] = 2,
    ACTIONS(3262), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27335] = 2,
    ACTIONS(3264), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27343] = 2,
    ACTIONS(3266), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27351] = 2,
    ACTIONS(3268), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27359] = 2,
    ACTIONS(3270), 1,
      anon_sym_class,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27367] = 2,
    ACTIONS(394), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27375] = 2,
    ACTIONS(3272), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27383] = 2,
    ACTIONS(3274), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27391] = 2,
    ACTIONS(3276), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27399] = 2,
    ACTIONS(422), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27407] = 2,
    ACTIONS(3278), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27415] = 2,
    ACTIONS(3280), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27423] = 2,
    ACTIONS(3282), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27431] = 2,
    ACTIONS(3284), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27439] = 2,
    ACTIONS(3286), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27447] = 2,
    ACTIONS(2846), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27455] = 2,
    ACTIONS(3288), 1,
      sym_this,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27463] = 2,
    ACTIONS(3290), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27471] = 2,
    ACTIONS(3292), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27479] = 2,
    ACTIONS(3294), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27487] = 2,
    ACTIONS(3038), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27495] = 2,
    ACTIONS(3296), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(355)] = 0,
  [SMALL_STATE(356)] = 119,
  [SMALL_STATE(357)] = 238,
  [SMALL_STATE(358)] = 357,
  [SMALL_STATE(359)] = 476,
  [SMALL_STATE(360)] = 595,
  [SMALL_STATE(361)] = 702,
  [SMALL_STATE(362)] = 809,
  [SMALL_STATE(363)] = 916,
  [SMALL_STATE(364)] = 1000,
  [SMALL_STATE(365)] = 1091,
  [SMALL_STATE(366)] = 1173,
  [SMALL_STATE(367)] = 1255,
  [SMALL_STATE(368)] = 1346,
  [SMALL_STATE(369)] = 1437,
  [SMALL_STATE(370)] = 1528,
  [SMALL_STATE(371)] = 1588,
  [SMALL_STATE(372)] = 1648,
  [SMALL_STATE(373)] = 1714,
  [SMALL_STATE(374)] = 1774,
  [SMALL_STATE(375)] = 1846,
  [SMALL_STATE(376)] = 1906,
  [SMALL_STATE(377)] = 1980,
  [SMALL_STATE(378)] = 2034,
  [SMALL_STATE(379)] = 2088,
  [SMALL_STATE(380)] = 2142,
  [SMALL_STATE(381)] = 2215,
  [SMALL_STATE(382)] = 2284,
  [SMALL_STATE(383)] = 2341,
  [SMALL_STATE(384)] = 2403,
  [SMALL_STATE(385)] = 2467,
  [SMALL_STATE(386)] = 2527,
  [SMALL_STATE(387)] = 2587,
  [SMALL_STATE(388)] = 2651,
  [SMALL_STATE(389)] = 2714,
  [SMALL_STATE(390)] = 2775,
  [SMALL_STATE(391)] = 2836,
  [SMALL_STATE(392)] = 2899,
  [SMALL_STATE(393)] = 2962,
  [SMALL_STATE(394)] = 3025,
  [SMALL_STATE(395)] = 3107,
  [SMALL_STATE(396)] = 3157,
  [SMALL_STATE(397)] = 3207,
  [SMALL_STATE(398)] = 3261,
  [SMALL_STATE(399)] = 3318,
  [SMALL_STATE(400)] = 3392,
  [SMALL_STATE(401)] = 3445,
  [SMALL_STATE(402)] = 3492,
  [SMALL_STATE(403)] = 3539,
  [SMALL_STATE(404)] = 3586,
  [SMALL_STATE(405)] = 3639,
  [SMALL_STATE(406)] = 3712,
  [SMALL_STATE(407)] = 3759,
  [SMALL_STATE(408)] = 3830,
  [SMALL_STATE(409)] = 3876,
  [SMALL_STATE(410)] = 3922,
  [SMALL_STATE(411)] = 3968,
  [SMALL_STATE(412)] = 4014,
  [SMALL_STATE(413)] = 4066,
  [SMALL_STATE(414)] = 4112,
  [SMALL_STATE(415)] = 4158,
  [SMALL_STATE(416)] = 4206,
  [SMALL_STATE(417)] = 4252,
  [SMALL_STATE(418)] = 4298,
  [SMALL_STATE(419)] = 4344,
  [SMALL_STATE(420)] = 4396,
  [SMALL_STATE(421)] = 4441,
  [SMALL_STATE(422)] = 4486,
  [SMALL_STATE(423)] = 4531,
  [SMALL_STATE(424)] = 4576,
  [SMALL_STATE(425)] = 4624,
  [SMALL_STATE(426)] = 4672,
  [SMALL_STATE(427)] = 4720,
  [SMALL_STATE(428)] = 4768,
  [SMALL_STATE(429)] = 4820,
  [SMALL_STATE(430)] = 4872,
  [SMALL_STATE(431)] = 4915,
  [SMALL_STATE(432)] = 4958,
  [SMALL_STATE(433)] = 5001,
  [SMALL_STATE(434)] = 5044,
  [SMALL_STATE(435)] = 5087,
  [SMALL_STATE(436)] = 5130,
  [SMALL_STATE(437)] = 5173,
  [SMALL_STATE(438)] = 5220,
  [SMALL_STATE(439)] = 5263,
  [SMALL_STATE(440)] = 5306,
  [SMALL_STATE(441)] = 5349,
  [SMALL_STATE(442)] = 5392,
  [SMALL_STATE(443)] = 5435,
  [SMALL_STATE(444)] = 5478,
  [SMALL_STATE(445)] = 5521,
  [SMALL_STATE(446)] = 5564,
  [SMALL_STATE(447)] = 5607,
  [SMALL_STATE(448)] = 5654,
  [SMALL_STATE(449)] = 5697,
  [SMALL_STATE(450)] = 5740,
  [SMALL_STATE(451)] = 5783,
  [SMALL_STATE(452)] = 5826,
  [SMALL_STATE(453)] = 5869,
  [SMALL_STATE(454)] = 5912,
  [SMALL_STATE(455)] = 5955,
  [SMALL_STATE(456)] = 5998,
  [SMALL_STATE(457)] = 6041,
  [SMALL_STATE(458)] = 6084,
  [SMALL_STATE(459)] = 6127,
  [SMALL_STATE(460)] = 6170,
  [SMALL_STATE(461)] = 6212,
  [SMALL_STATE(462)] = 6254,
  [SMALL_STATE(463)] = 6296,
  [SMALL_STATE(464)] = 6338,
  [SMALL_STATE(465)] = 6386,
  [SMALL_STATE(466)] = 6428,
  [SMALL_STATE(467)] = 6474,
  [SMALL_STATE(468)] = 6516,
  [SMALL_STATE(469)] = 6558,
  [SMALL_STATE(470)] = 6600,
  [SMALL_STATE(471)] = 6642,
  [SMALL_STATE(472)] = 6684,
  [SMALL_STATE(473)] = 6726,
  [SMALL_STATE(474)] = 6768,
  [SMALL_STATE(475)] = 6810,
  [SMALL_STATE(476)] = 6852,
  [SMALL_STATE(477)] = 6894,
  [SMALL_STATE(478)] = 6936,
  [SMALL_STATE(479)] = 6982,
  [SMALL_STATE(480)] = 7024,
  [SMALL_STATE(481)] = 7066,
  [SMALL_STATE(482)] = 7108,
  [SMALL_STATE(483)] = 7150,
  [SMALL_STATE(484)] = 7192,
  [SMALL_STATE(485)] = 7234,
  [SMALL_STATE(486)] = 7276,
  [SMALL_STATE(487)] = 7318,
  [SMALL_STATE(488)] = 7360,
  [SMALL_STATE(489)] = 7402,
  [SMALL_STATE(490)] = 7444,
  [SMALL_STATE(491)] = 7486,
  [SMALL_STATE(492)] = 7528,
  [SMALL_STATE(493)] = 7570,
  [SMALL_STATE(494)] = 7612,
  [SMALL_STATE(495)] = 7654,
  [SMALL_STATE(496)] = 7696,
  [SMALL_STATE(497)] = 7738,
  [SMALL_STATE(498)] = 7780,
  [SMALL_STATE(499)] = 7822,
  [SMALL_STATE(500)] = 7864,
  [SMALL_STATE(501)] = 7906,
  [SMALL_STATE(502)] = 7948,
  [SMALL_STATE(503)] = 7990,
  [SMALL_STATE(504)] = 8035,
  [SMALL_STATE(505)] = 8075,
  [SMALL_STATE(506)] = 8115,
  [SMALL_STATE(507)] = 8155,
  [SMALL_STATE(508)] = 8194,
  [SMALL_STATE(509)] = 8233,
  [SMALL_STATE(510)] = 8272,
  [SMALL_STATE(511)] = 8313,
  [SMALL_STATE(512)] = 8352,
  [SMALL_STATE(513)] = 8391,
  [SMALL_STATE(514)] = 8430,
  [SMALL_STATE(515)] = 8469,
  [SMALL_STATE(516)] = 8508,
  [SMALL_STATE(517)] = 8547,
  [SMALL_STATE(518)] = 8586,
  [SMALL_STATE(519)] = 8627,
  [SMALL_STATE(520)] = 8668,
  [SMALL_STATE(521)] = 8707,
  [SMALL_STATE(522)] = 8746,
  [SMALL_STATE(523)] = 8785,
  [SMALL_STATE(524)] = 8824,
  [SMALL_STATE(525)] = 8863,
  [SMALL_STATE(526)] = 8902,
  [SMALL_STATE(527)] = 8941,
  [SMALL_STATE(528)] = 8980,
  [SMALL_STATE(529)] = 9048,
  [SMALL_STATE(530)] = 9094,
  [SMALL_STATE(531)] = 9144,
  [SMALL_STATE(532)] = 9206,
  [SMALL_STATE(533)] = 9264,
  [SMALL_STATE(534)] = 9308,
  [SMALL_STATE(535)] = 9376,
  [SMALL_STATE(536)] = 9420,
  [SMALL_STATE(537)] = 9464,
  [SMALL_STATE(538)] = 9532,
  [SMALL_STATE(539)] = 9600,
  [SMALL_STATE(540)] = 9668,
  [SMALL_STATE(541)] = 9712,
  [SMALL_STATE(542)] = 9756,
  [SMALL_STATE(543)] = 9818,
  [SMALL_STATE(544)] = 9860,
  [SMALL_STATE(545)] = 9916,
  [SMALL_STATE(546)] = 9976,
  [SMALL_STATE(547)] = 10040,
  [SMALL_STATE(548)] = 10077,
  [SMALL_STATE(549)] = 10114,
  [SMALL_STATE(550)] = 10159,
  [SMALL_STATE(551)] = 10204,
  [SMALL_STATE(552)] = 10270,
  [SMALL_STATE(553)] = 10340,
  [SMALL_STATE(554)] = 10382,
  [SMALL_STATE(555)] = 10451,
  [SMALL_STATE(556)] = 10488,
  [SMALL_STATE(557)] = 10535,
  [SMALL_STATE(558)] = 10588,
  [SMALL_STATE(559)] = 10653,
  [SMALL_STATE(560)] = 10712,
  [SMALL_STATE(561)] = 10765,
  [SMALL_STATE(562)] = 10834,
  [SMALL_STATE(563)] = 10903,
  [SMALL_STATE(564)] = 10972,
  [SMALL_STATE(565)] = 11041,
  [SMALL_STATE(566)] = 11102,
  [SMALL_STATE(567)] = 11137,
  [SMALL_STATE(568)] = 11202,
  [SMALL_STATE(569)] = 11267,
  [SMALL_STATE(570)] = 11336,
  [SMALL_STATE(571)] = 11405,
  [SMALL_STATE(572)] = 11446,
  [SMALL_STATE(573)] = 11515,
  [SMALL_STATE(574)] = 11584,
  [SMALL_STATE(575)] = 11643,
  [SMALL_STATE(576)] = 11712,
  [SMALL_STATE(577)] = 11781,
  [SMALL_STATE(578)] = 11850,
  [SMALL_STATE(579)] = 11885,
  [SMALL_STATE(580)] = 11942,
  [SMALL_STATE(581)] = 11985,
  [SMALL_STATE(582)] = 12054,
  [SMALL_STATE(583)] = 12089,
  [SMALL_STATE(584)] = 12124,
  [SMALL_STATE(585)] = 12193,
  [SMALL_STATE(586)] = 12262,
  [SMALL_STATE(587)] = 12331,
  [SMALL_STATE(588)] = 12400,
  [SMALL_STATE(589)] = 12459,
  [SMALL_STATE(590)] = 12528,
  [SMALL_STATE(591)] = 12563,
  [SMALL_STATE(592)] = 12632,
  [SMALL_STATE(593)] = 12697,
  [SMALL_STATE(594)] = 12766,
  [SMALL_STATE(595)] = 12835,
  [SMALL_STATE(596)] = 12870,
  [SMALL_STATE(597)] = 12905,
  [SMALL_STATE(598)] = 12970,
  [SMALL_STATE(599)] = 13035,
  [SMALL_STATE(600)] = 13100,
  [SMALL_STATE(601)] = 13165,
  [SMALL_STATE(602)] = 13200,
  [SMALL_STATE(603)] = 13255,
  [SMALL_STATE(604)] = 13290,
  [SMALL_STATE(605)] = 13349,
  [SMALL_STATE(606)] = 13399,
  [SMALL_STATE(607)] = 13463,
  [SMALL_STATE(608)] = 13527,
  [SMALL_STATE(609)] = 13565,
  [SMALL_STATE(610)] = 13621,
  [SMALL_STATE(611)] = 13685,
  [SMALL_STATE(612)] = 13749,
  [SMALL_STATE(613)] = 13815,
  [SMALL_STATE(614)] = 13879,
  [SMALL_STATE(615)] = 13943,
  [SMALL_STATE(616)] = 13993,
  [SMALL_STATE(617)] = 14057,
  [SMALL_STATE(618)] = 14120,
  [SMALL_STATE(619)] = 14183,
  [SMALL_STATE(620)] = 14246,
  [SMALL_STATE(621)] = 14301,
  [SMALL_STATE(622)] = 14364,
  [SMALL_STATE(623)] = 14427,
  [SMALL_STATE(624)] = 14482,
  [SMALL_STATE(625)] = 14545,
  [SMALL_STATE(626)] = 14608,
  [SMALL_STATE(627)] = 14671,
  [SMALL_STATE(628)] = 14732,
  [SMALL_STATE(629)] = 14795,
  [SMALL_STATE(630)] = 14858,
  [SMALL_STATE(631)] = 14921,
  [SMALL_STATE(632)] = 14984,
  [SMALL_STATE(633)] = 15047,
  [SMALL_STATE(634)] = 15102,
  [SMALL_STATE(635)] = 15165,
  [SMALL_STATE(636)] = 15220,
  [SMALL_STATE(637)] = 15283,
  [SMALL_STATE(638)] = 15346,
  [SMALL_STATE(639)] = 15401,
  [SMALL_STATE(640)] = 15464,
  [SMALL_STATE(641)] = 15527,
  [SMALL_STATE(642)] = 15590,
  [SMALL_STATE(643)] = 15653,
  [SMALL_STATE(644)] = 15716,
  [SMALL_STATE(645)] = 15779,
  [SMALL_STATE(646)] = 15842,
  [SMALL_STATE(647)] = 15905,
  [SMALL_STATE(648)] = 15957,
  [SMALL_STATE(649)] = 16009,
  [SMALL_STATE(650)] = 16061,
  [SMALL_STATE(651)] = 16113,
  [SMALL_STATE(652)] = 16165,
  [SMALL_STATE(653)] = 16217,
  [SMALL_STATE(654)] = 16249,
  [SMALL_STATE(655)] = 16301,
  [SMALL_STATE(656)] = 16353,
  [SMALL_STATE(657)] = 16385,
  [SMALL_STATE(658)] = 16422,
  [SMALL_STATE(659)] = 16471,
  [SMALL_STATE(660)] = 16508,
  [SMALL_STATE(661)] = 16549,
  [SMALL_STATE(662)] = 16595,
  [SMALL_STATE(663)] = 16641,
  [SMALL_STATE(664)] = 16671,
  [SMALL_STATE(665)] = 16717,
  [SMALL_STATE(666)] = 16747,
  [SMALL_STATE(667)] = 16793,
  [SMALL_STATE(668)] = 16823,
  [SMALL_STATE(669)] = 16853,
  [SMALL_STATE(670)] = 16883,
  [SMALL_STATE(671)] = 16929,
  [SMALL_STATE(672)] = 16975,
  [SMALL_STATE(673)] = 17021,
  [SMALL_STATE(674)] = 17057,
  [SMALL_STATE(675)] = 17109,
  [SMALL_STATE(676)] = 17157,
  [SMALL_STATE(677)] = 17205,
  [SMALL_STATE(678)] = 17241,
  [SMALL_STATE(679)] = 17271,
  [SMALL_STATE(680)] = 17300,
  [SMALL_STATE(681)] = 17329,
  [SMALL_STATE(682)] = 17358,
  [SMALL_STATE(683)] = 17387,
  [SMALL_STATE(684)] = 17436,
  [SMALL_STATE(685)] = 17464,
  [SMALL_STATE(686)] = 17506,
  [SMALL_STATE(687)] = 17534,
  [SMALL_STATE(688)] = 17576,
  [SMALL_STATE(689)] = 17604,
  [SMALL_STATE(690)] = 17636,
  [SMALL_STATE(691)] = 17664,
  [SMALL_STATE(692)] = 17692,
  [SMALL_STATE(693)] = 17722,
  [SMALL_STATE(694)] = 17750,
  [SMALL_STATE(695)] = 17778,
  [SMALL_STATE(696)] = 17826,
  [SMALL_STATE(697)] = 17860,
  [SMALL_STATE(698)] = 17906,
  [SMALL_STATE(699)] = 17952,
  [SMALL_STATE(700)] = 17992,
  [SMALL_STATE(701)] = 18038,
  [SMALL_STATE(702)] = 18081,
  [SMALL_STATE(703)] = 18118,
  [SMALL_STATE(704)] = 18151,
  [SMALL_STATE(705)] = 18194,
  [SMALL_STATE(706)] = 18231,
  [SMALL_STATE(707)] = 18268,
  [SMALL_STATE(708)] = 18311,
  [SMALL_STATE(709)] = 18336,
  [SMALL_STATE(710)] = 18373,
  [SMALL_STATE(711)] = 18398,
  [SMALL_STATE(712)] = 18441,
  [SMALL_STATE(713)] = 18480,
  [SMALL_STATE(714)] = 18517,
  [SMALL_STATE(715)] = 18559,
  [SMALL_STATE(716)] = 18599,
  [SMALL_STATE(717)] = 18641,
  [SMALL_STATE(718)] = 18681,
  [SMALL_STATE(719)] = 18721,
  [SMALL_STATE(720)] = 18761,
  [SMALL_STATE(721)] = 18803,
  [SMALL_STATE(722)] = 18843,
  [SMALL_STATE(723)] = 18883,
  [SMALL_STATE(724)] = 18909,
  [SMALL_STATE(725)] = 18949,
  [SMALL_STATE(726)] = 18991,
  [SMALL_STATE(727)] = 19020,
  [SMALL_STATE(728)] = 19053,
  [SMALL_STATE(729)] = 19090,
  [SMALL_STATE(730)] = 19127,
  [SMALL_STATE(731)] = 19164,
  [SMALL_STATE(732)] = 19199,
  [SMALL_STATE(733)] = 19235,
  [SMALL_STATE(734)] = 19265,
  [SMALL_STATE(735)] = 19301,
  [SMALL_STATE(736)] = 19337,
  [SMALL_STATE(737)] = 19371,
  [SMALL_STATE(738)] = 19403,
  [SMALL_STATE(739)] = 19437,
  [SMALL_STATE(740)] = 19473,
  [SMALL_STATE(741)] = 19507,
  [SMALL_STATE(742)] = 19543,
  [SMALL_STATE(743)] = 19577,
  [SMALL_STATE(744)] = 19611,
  [SMALL_STATE(745)] = 19641,
  [SMALL_STATE(746)] = 19675,
  [SMALL_STATE(747)] = 19711,
  [SMALL_STATE(748)] = 19747,
  [SMALL_STATE(749)] = 19781,
  [SMALL_STATE(750)] = 19815,
  [SMALL_STATE(751)] = 19851,
  [SMALL_STATE(752)] = 19885,
  [SMALL_STATE(753)] = 19916,
  [SMALL_STATE(754)] = 19949,
  [SMALL_STATE(755)] = 19972,
  [SMALL_STATE(756)] = 20003,
  [SMALL_STATE(757)] = 20036,
  [SMALL_STATE(758)] = 20067,
  [SMALL_STATE(759)] = 20098,
  [SMALL_STATE(760)] = 20129,
  [SMALL_STATE(761)] = 20160,
  [SMALL_STATE(762)] = 20188,
  [SMALL_STATE(763)] = 20218,
  [SMALL_STATE(764)] = 20248,
  [SMALL_STATE(765)] = 20280,
  [SMALL_STATE(766)] = 20310,
  [SMALL_STATE(767)] = 20342,
  [SMALL_STATE(768)] = 20372,
  [SMALL_STATE(769)] = 20400,
  [SMALL_STATE(770)] = 20431,
  [SMALL_STATE(771)] = 20460,
  [SMALL_STATE(772)] = 20491,
  [SMALL_STATE(773)] = 20526,
  [SMALL_STATE(774)] = 20553,
  [SMALL_STATE(775)] = 20582,
  [SMALL_STATE(776)] = 20609,
  [SMALL_STATE(777)] = 20644,
  [SMALL_STATE(778)] = 20670,
  [SMALL_STATE(779)] = 20700,
  [SMALL_STATE(780)] = 20716,
  [SMALL_STATE(781)] = 20744,
  [SMALL_STATE(782)] = 20765,
  [SMALL_STATE(783)] = 20794,
  [SMALL_STATE(784)] = 20823,
  [SMALL_STATE(785)] = 20852,
  [SMALL_STATE(786)] = 20875,
  [SMALL_STATE(787)] = 20898,
  [SMALL_STATE(788)] = 20927,
  [SMALL_STATE(789)] = 20952,
  [SMALL_STATE(790)] = 20975,
  [SMALL_STATE(791)] = 20989,
  [SMALL_STATE(792)] = 21011,
  [SMALL_STATE(793)] = 21035,
  [SMALL_STATE(794)] = 21057,
  [SMALL_STATE(795)] = 21071,
  [SMALL_STATE(796)] = 21085,
  [SMALL_STATE(797)] = 21107,
  [SMALL_STATE(798)] = 21127,
  [SMALL_STATE(799)] = 21141,
  [SMALL_STATE(800)] = 21161,
  [SMALL_STATE(801)] = 21185,
  [SMALL_STATE(802)] = 21208,
  [SMALL_STATE(803)] = 21221,
  [SMALL_STATE(804)] = 21238,
  [SMALL_STATE(805)] = 21255,
  [SMALL_STATE(806)] = 21278,
  [SMALL_STATE(807)] = 21291,
  [SMALL_STATE(808)] = 21304,
  [SMALL_STATE(809)] = 21317,
  [SMALL_STATE(810)] = 21336,
  [SMALL_STATE(811)] = 21349,
  [SMALL_STATE(812)] = 21362,
  [SMALL_STATE(813)] = 21375,
  [SMALL_STATE(814)] = 21388,
  [SMALL_STATE(815)] = 21405,
  [SMALL_STATE(816)] = 21422,
  [SMALL_STATE(817)] = 21439,
  [SMALL_STATE(818)] = 21452,
  [SMALL_STATE(819)] = 21469,
  [SMALL_STATE(820)] = 21482,
  [SMALL_STATE(821)] = 21495,
  [SMALL_STATE(822)] = 21508,
  [SMALL_STATE(823)] = 21521,
  [SMALL_STATE(824)] = 21534,
  [SMALL_STATE(825)] = 21547,
  [SMALL_STATE(826)] = 21564,
  [SMALL_STATE(827)] = 21577,
  [SMALL_STATE(828)] = 21590,
  [SMALL_STATE(829)] = 21603,
  [SMALL_STATE(830)] = 21626,
  [SMALL_STATE(831)] = 21639,
  [SMALL_STATE(832)] = 21658,
  [SMALL_STATE(833)] = 21671,
  [SMALL_STATE(834)] = 21684,
  [SMALL_STATE(835)] = 21697,
  [SMALL_STATE(836)] = 21710,
  [SMALL_STATE(837)] = 21733,
  [SMALL_STATE(838)] = 21746,
  [SMALL_STATE(839)] = 21763,
  [SMALL_STATE(840)] = 21784,
  [SMALL_STATE(841)] = 21801,
  [SMALL_STATE(842)] = 21814,
  [SMALL_STATE(843)] = 21827,
  [SMALL_STATE(844)] = 21844,
  [SMALL_STATE(845)] = 21861,
  [SMALL_STATE(846)] = 21874,
  [SMALL_STATE(847)] = 21887,
  [SMALL_STATE(848)] = 21900,
  [SMALL_STATE(849)] = 21913,
  [SMALL_STATE(850)] = 21930,
  [SMALL_STATE(851)] = 21943,
  [SMALL_STATE(852)] = 21964,
  [SMALL_STATE(853)] = 21987,
  [SMALL_STATE(854)] = 22006,
  [SMALL_STATE(855)] = 22023,
  [SMALL_STATE(856)] = 22040,
  [SMALL_STATE(857)] = 22057,
  [SMALL_STATE(858)] = 22074,
  [SMALL_STATE(859)] = 22091,
  [SMALL_STATE(860)] = 22104,
  [SMALL_STATE(861)] = 22121,
  [SMALL_STATE(862)] = 22134,
  [SMALL_STATE(863)] = 22147,
  [SMALL_STATE(864)] = 22160,
  [SMALL_STATE(865)] = 22173,
  [SMALL_STATE(866)] = 22186,
  [SMALL_STATE(867)] = 22205,
  [SMALL_STATE(868)] = 22218,
  [SMALL_STATE(869)] = 22235,
  [SMALL_STATE(870)] = 22258,
  [SMALL_STATE(871)] = 22271,
  [SMALL_STATE(872)] = 22288,
  [SMALL_STATE(873)] = 22301,
  [SMALL_STATE(874)] = 22317,
  [SMALL_STATE(875)] = 22333,
  [SMALL_STATE(876)] = 22349,
  [SMALL_STATE(877)] = 22365,
  [SMALL_STATE(878)] = 22381,
  [SMALL_STATE(879)] = 22397,
  [SMALL_STATE(880)] = 22413,
  [SMALL_STATE(881)] = 22429,
  [SMALL_STATE(882)] = 22445,
  [SMALL_STATE(883)] = 22461,
  [SMALL_STATE(884)] = 22477,
  [SMALL_STATE(885)] = 22493,
  [SMALL_STATE(886)] = 22509,
  [SMALL_STATE(887)] = 22525,
  [SMALL_STATE(888)] = 22545,
  [SMALL_STATE(889)] = 22559,
  [SMALL_STATE(890)] = 22575,
  [SMALL_STATE(891)] = 22595,
  [SMALL_STATE(892)] = 22615,
  [SMALL_STATE(893)] = 22635,
  [SMALL_STATE(894)] = 22655,
  [SMALL_STATE(895)] = 22671,
  [SMALL_STATE(896)] = 22687,
  [SMALL_STATE(897)] = 22703,
  [SMALL_STATE(898)] = 22719,
  [SMALL_STATE(899)] = 22735,
  [SMALL_STATE(900)] = 22753,
  [SMALL_STATE(901)] = 22769,
  [SMALL_STATE(902)] = 22785,
  [SMALL_STATE(903)] = 22801,
  [SMALL_STATE(904)] = 22813,
  [SMALL_STATE(905)] = 22829,
  [SMALL_STATE(906)] = 22845,
  [SMALL_STATE(907)] = 22857,
  [SMALL_STATE(908)] = 22877,
  [SMALL_STATE(909)] = 22889,
  [SMALL_STATE(910)] = 22905,
  [SMALL_STATE(911)] = 22921,
  [SMALL_STATE(912)] = 22937,
  [SMALL_STATE(913)] = 22953,
  [SMALL_STATE(914)] = 22968,
  [SMALL_STATE(915)] = 22983,
  [SMALL_STATE(916)] = 22998,
  [SMALL_STATE(917)] = 23015,
  [SMALL_STATE(918)] = 23030,
  [SMALL_STATE(919)] = 23045,
  [SMALL_STATE(920)] = 23062,
  [SMALL_STATE(921)] = 23077,
  [SMALL_STATE(922)] = 23092,
  [SMALL_STATE(923)] = 23107,
  [SMALL_STATE(924)] = 23120,
  [SMALL_STATE(925)] = 23131,
  [SMALL_STATE(926)] = 23148,
  [SMALL_STATE(927)] = 23163,
  [SMALL_STATE(928)] = 23180,
  [SMALL_STATE(929)] = 23193,
  [SMALL_STATE(930)] = 23204,
  [SMALL_STATE(931)] = 23221,
  [SMALL_STATE(932)] = 23236,
  [SMALL_STATE(933)] = 23253,
  [SMALL_STATE(934)] = 23270,
  [SMALL_STATE(935)] = 23287,
  [SMALL_STATE(936)] = 23304,
  [SMALL_STATE(937)] = 23321,
  [SMALL_STATE(938)] = 23338,
  [SMALL_STATE(939)] = 23355,
  [SMALL_STATE(940)] = 23372,
  [SMALL_STATE(941)] = 23389,
  [SMALL_STATE(942)] = 23406,
  [SMALL_STATE(943)] = 23423,
  [SMALL_STATE(944)] = 23440,
  [SMALL_STATE(945)] = 23457,
  [SMALL_STATE(946)] = 23472,
  [SMALL_STATE(947)] = 23487,
  [SMALL_STATE(948)] = 23504,
  [SMALL_STATE(949)] = 23521,
  [SMALL_STATE(950)] = 23536,
  [SMALL_STATE(951)] = 23549,
  [SMALL_STATE(952)] = 23564,
  [SMALL_STATE(953)] = 23581,
  [SMALL_STATE(954)] = 23598,
  [SMALL_STATE(955)] = 23615,
  [SMALL_STATE(956)] = 23632,
  [SMALL_STATE(957)] = 23647,
  [SMALL_STATE(958)] = 23662,
  [SMALL_STATE(959)] = 23679,
  [SMALL_STATE(960)] = 23696,
  [SMALL_STATE(961)] = 23713,
  [SMALL_STATE(962)] = 23728,
  [SMALL_STATE(963)] = 23743,
  [SMALL_STATE(964)] = 23758,
  [SMALL_STATE(965)] = 23773,
  [SMALL_STATE(966)] = 23790,
  [SMALL_STATE(967)] = 23805,
  [SMALL_STATE(968)] = 23822,
  [SMALL_STATE(969)] = 23839,
  [SMALL_STATE(970)] = 23856,
  [SMALL_STATE(971)] = 23873,
  [SMALL_STATE(972)] = 23890,
  [SMALL_STATE(973)] = 23905,
  [SMALL_STATE(974)] = 23922,
  [SMALL_STATE(975)] = 23939,
  [SMALL_STATE(976)] = 23956,
  [SMALL_STATE(977)] = 23967,
  [SMALL_STATE(978)] = 23978,
  [SMALL_STATE(979)] = 23993,
  [SMALL_STATE(980)] = 24004,
  [SMALL_STATE(981)] = 24021,
  [SMALL_STATE(982)] = 24038,
  [SMALL_STATE(983)] = 24053,
  [SMALL_STATE(984)] = 24066,
  [SMALL_STATE(985)] = 24080,
  [SMALL_STATE(986)] = 24094,
  [SMALL_STATE(987)] = 24108,
  [SMALL_STATE(988)] = 24122,
  [SMALL_STATE(989)] = 24136,
  [SMALL_STATE(990)] = 24150,
  [SMALL_STATE(991)] = 24164,
  [SMALL_STATE(992)] = 24178,
  [SMALL_STATE(993)] = 24192,
  [SMALL_STATE(994)] = 24206,
  [SMALL_STATE(995)] = 24220,
  [SMALL_STATE(996)] = 24230,
  [SMALL_STATE(997)] = 24244,
  [SMALL_STATE(998)] = 24258,
  [SMALL_STATE(999)] = 24272,
  [SMALL_STATE(1000)] = 24286,
  [SMALL_STATE(1001)] = 24300,
  [SMALL_STATE(1002)] = 24314,
  [SMALL_STATE(1003)] = 24328,
  [SMALL_STATE(1004)] = 24342,
  [SMALL_STATE(1005)] = 24356,
  [SMALL_STATE(1006)] = 24370,
  [SMALL_STATE(1007)] = 24384,
  [SMALL_STATE(1008)] = 24394,
  [SMALL_STATE(1009)] = 24408,
  [SMALL_STATE(1010)] = 24422,
  [SMALL_STATE(1011)] = 24432,
  [SMALL_STATE(1012)] = 24446,
  [SMALL_STATE(1013)] = 24460,
  [SMALL_STATE(1014)] = 24474,
  [SMALL_STATE(1015)] = 24488,
  [SMALL_STATE(1016)] = 24502,
  [SMALL_STATE(1017)] = 24516,
  [SMALL_STATE(1018)] = 24530,
  [SMALL_STATE(1019)] = 24544,
  [SMALL_STATE(1020)] = 24558,
  [SMALL_STATE(1021)] = 24572,
  [SMALL_STATE(1022)] = 24586,
  [SMALL_STATE(1023)] = 24596,
  [SMALL_STATE(1024)] = 24610,
  [SMALL_STATE(1025)] = 24624,
  [SMALL_STATE(1026)] = 24638,
  [SMALL_STATE(1027)] = 24652,
  [SMALL_STATE(1028)] = 24662,
  [SMALL_STATE(1029)] = 24676,
  [SMALL_STATE(1030)] = 24690,
  [SMALL_STATE(1031)] = 24704,
  [SMALL_STATE(1032)] = 24718,
  [SMALL_STATE(1033)] = 24732,
  [SMALL_STATE(1034)] = 24746,
  [SMALL_STATE(1035)] = 24760,
  [SMALL_STATE(1036)] = 24774,
  [SMALL_STATE(1037)] = 24788,
  [SMALL_STATE(1038)] = 24800,
  [SMALL_STATE(1039)] = 24812,
  [SMALL_STATE(1040)] = 24826,
  [SMALL_STATE(1041)] = 24840,
  [SMALL_STATE(1042)] = 24854,
  [SMALL_STATE(1043)] = 24868,
  [SMALL_STATE(1044)] = 24882,
  [SMALL_STATE(1045)] = 24896,
  [SMALL_STATE(1046)] = 24910,
  [SMALL_STATE(1047)] = 24924,
  [SMALL_STATE(1048)] = 24938,
  [SMALL_STATE(1049)] = 24950,
  [SMALL_STATE(1050)] = 24962,
  [SMALL_STATE(1051)] = 24976,
  [SMALL_STATE(1052)] = 24990,
  [SMALL_STATE(1053)] = 25004,
  [SMALL_STATE(1054)] = 25018,
  [SMALL_STATE(1055)] = 25028,
  [SMALL_STATE(1056)] = 25042,
  [SMALL_STATE(1057)] = 25056,
  [SMALL_STATE(1058)] = 25070,
  [SMALL_STATE(1059)] = 25084,
  [SMALL_STATE(1060)] = 25098,
  [SMALL_STATE(1061)] = 25112,
  [SMALL_STATE(1062)] = 25126,
  [SMALL_STATE(1063)] = 25140,
  [SMALL_STATE(1064)] = 25154,
  [SMALL_STATE(1065)] = 25168,
  [SMALL_STATE(1066)] = 25182,
  [SMALL_STATE(1067)] = 25196,
  [SMALL_STATE(1068)] = 25210,
  [SMALL_STATE(1069)] = 25224,
  [SMALL_STATE(1070)] = 25238,
  [SMALL_STATE(1071)] = 25252,
  [SMALL_STATE(1072)] = 25266,
  [SMALL_STATE(1073)] = 25280,
  [SMALL_STATE(1074)] = 25294,
  [SMALL_STATE(1075)] = 25308,
  [SMALL_STATE(1076)] = 25322,
  [SMALL_STATE(1077)] = 25336,
  [SMALL_STATE(1078)] = 25346,
  [SMALL_STATE(1079)] = 25360,
  [SMALL_STATE(1080)] = 25370,
  [SMALL_STATE(1081)] = 25380,
  [SMALL_STATE(1082)] = 25394,
  [SMALL_STATE(1083)] = 25408,
  [SMALL_STATE(1084)] = 25422,
  [SMALL_STATE(1085)] = 25436,
  [SMALL_STATE(1086)] = 25446,
  [SMALL_STATE(1087)] = 25456,
  [SMALL_STATE(1088)] = 25470,
  [SMALL_STATE(1089)] = 25484,
  [SMALL_STATE(1090)] = 25498,
  [SMALL_STATE(1091)] = 25512,
  [SMALL_STATE(1092)] = 25526,
  [SMALL_STATE(1093)] = 25540,
  [SMALL_STATE(1094)] = 25554,
  [SMALL_STATE(1095)] = 25568,
  [SMALL_STATE(1096)] = 25582,
  [SMALL_STATE(1097)] = 25593,
  [SMALL_STATE(1098)] = 25602,
  [SMALL_STATE(1099)] = 25613,
  [SMALL_STATE(1100)] = 25622,
  [SMALL_STATE(1101)] = 25633,
  [SMALL_STATE(1102)] = 25644,
  [SMALL_STATE(1103)] = 25653,
  [SMALL_STATE(1104)] = 25664,
  [SMALL_STATE(1105)] = 25675,
  [SMALL_STATE(1106)] = 25684,
  [SMALL_STATE(1107)] = 25693,
  [SMALL_STATE(1108)] = 25704,
  [SMALL_STATE(1109)] = 25715,
  [SMALL_STATE(1110)] = 25724,
  [SMALL_STATE(1111)] = 25735,
  [SMALL_STATE(1112)] = 25746,
  [SMALL_STATE(1113)] = 25757,
  [SMALL_STATE(1114)] = 25768,
  [SMALL_STATE(1115)] = 25779,
  [SMALL_STATE(1116)] = 25790,
  [SMALL_STATE(1117)] = 25801,
  [SMALL_STATE(1118)] = 25810,
  [SMALL_STATE(1119)] = 25819,
  [SMALL_STATE(1120)] = 25830,
  [SMALL_STATE(1121)] = 25841,
  [SMALL_STATE(1122)] = 25850,
  [SMALL_STATE(1123)] = 25861,
  [SMALL_STATE(1124)] = 25872,
  [SMALL_STATE(1125)] = 25883,
  [SMALL_STATE(1126)] = 25894,
  [SMALL_STATE(1127)] = 25905,
  [SMALL_STATE(1128)] = 25916,
  [SMALL_STATE(1129)] = 25927,
  [SMALL_STATE(1130)] = 25938,
  [SMALL_STATE(1131)] = 25949,
  [SMALL_STATE(1132)] = 25960,
  [SMALL_STATE(1133)] = 25971,
  [SMALL_STATE(1134)] = 25982,
  [SMALL_STATE(1135)] = 25993,
  [SMALL_STATE(1136)] = 26002,
  [SMALL_STATE(1137)] = 26013,
  [SMALL_STATE(1138)] = 26024,
  [SMALL_STATE(1139)] = 26035,
  [SMALL_STATE(1140)] = 26044,
  [SMALL_STATE(1141)] = 26055,
  [SMALL_STATE(1142)] = 26066,
  [SMALL_STATE(1143)] = 26077,
  [SMALL_STATE(1144)] = 26088,
  [SMALL_STATE(1145)] = 26097,
  [SMALL_STATE(1146)] = 26106,
  [SMALL_STATE(1147)] = 26117,
  [SMALL_STATE(1148)] = 26128,
  [SMALL_STATE(1149)] = 26139,
  [SMALL_STATE(1150)] = 26150,
  [SMALL_STATE(1151)] = 26161,
  [SMALL_STATE(1152)] = 26172,
  [SMALL_STATE(1153)] = 26183,
  [SMALL_STATE(1154)] = 26194,
  [SMALL_STATE(1155)] = 26205,
  [SMALL_STATE(1156)] = 26216,
  [SMALL_STATE(1157)] = 26227,
  [SMALL_STATE(1158)] = 26238,
  [SMALL_STATE(1159)] = 26247,
  [SMALL_STATE(1160)] = 26258,
  [SMALL_STATE(1161)] = 26267,
  [SMALL_STATE(1162)] = 26278,
  [SMALL_STATE(1163)] = 26287,
  [SMALL_STATE(1164)] = 26298,
  [SMALL_STATE(1165)] = 26309,
  [SMALL_STATE(1166)] = 26318,
  [SMALL_STATE(1167)] = 26327,
  [SMALL_STATE(1168)] = 26336,
  [SMALL_STATE(1169)] = 26345,
  [SMALL_STATE(1170)] = 26354,
  [SMALL_STATE(1171)] = 26365,
  [SMALL_STATE(1172)] = 26376,
  [SMALL_STATE(1173)] = 26385,
  [SMALL_STATE(1174)] = 26396,
  [SMALL_STATE(1175)] = 26405,
  [SMALL_STATE(1176)] = 26416,
  [SMALL_STATE(1177)] = 26427,
  [SMALL_STATE(1178)] = 26438,
  [SMALL_STATE(1179)] = 26449,
  [SMALL_STATE(1180)] = 26460,
  [SMALL_STATE(1181)] = 26471,
  [SMALL_STATE(1182)] = 26482,
  [SMALL_STATE(1183)] = 26493,
  [SMALL_STATE(1184)] = 26504,
  [SMALL_STATE(1185)] = 26513,
  [SMALL_STATE(1186)] = 26524,
  [SMALL_STATE(1187)] = 26533,
  [SMALL_STATE(1188)] = 26542,
  [SMALL_STATE(1189)] = 26551,
  [SMALL_STATE(1190)] = 26562,
  [SMALL_STATE(1191)] = 26571,
  [SMALL_STATE(1192)] = 26582,
  [SMALL_STATE(1193)] = 26593,
  [SMALL_STATE(1194)] = 26604,
  [SMALL_STATE(1195)] = 26615,
  [SMALL_STATE(1196)] = 26626,
  [SMALL_STATE(1197)] = 26637,
  [SMALL_STATE(1198)] = 26648,
  [SMALL_STATE(1199)] = 26659,
  [SMALL_STATE(1200)] = 26670,
  [SMALL_STATE(1201)] = 26679,
  [SMALL_STATE(1202)] = 26690,
  [SMALL_STATE(1203)] = 26701,
  [SMALL_STATE(1204)] = 26710,
  [SMALL_STATE(1205)] = 26719,
  [SMALL_STATE(1206)] = 26730,
  [SMALL_STATE(1207)] = 26741,
  [SMALL_STATE(1208)] = 26752,
  [SMALL_STATE(1209)] = 26763,
  [SMALL_STATE(1210)] = 26774,
  [SMALL_STATE(1211)] = 26785,
  [SMALL_STATE(1212)] = 26796,
  [SMALL_STATE(1213)] = 26807,
  [SMALL_STATE(1214)] = 26815,
  [SMALL_STATE(1215)] = 26823,
  [SMALL_STATE(1216)] = 26831,
  [SMALL_STATE(1217)] = 26839,
  [SMALL_STATE(1218)] = 26847,
  [SMALL_STATE(1219)] = 26855,
  [SMALL_STATE(1220)] = 26863,
  [SMALL_STATE(1221)] = 26871,
  [SMALL_STATE(1222)] = 26879,
  [SMALL_STATE(1223)] = 26887,
  [SMALL_STATE(1224)] = 26895,
  [SMALL_STATE(1225)] = 26903,
  [SMALL_STATE(1226)] = 26911,
  [SMALL_STATE(1227)] = 26919,
  [SMALL_STATE(1228)] = 26927,
  [SMALL_STATE(1229)] = 26935,
  [SMALL_STATE(1230)] = 26943,
  [SMALL_STATE(1231)] = 26951,
  [SMALL_STATE(1232)] = 26959,
  [SMALL_STATE(1233)] = 26967,
  [SMALL_STATE(1234)] = 26975,
  [SMALL_STATE(1235)] = 26983,
  [SMALL_STATE(1236)] = 26991,
  [SMALL_STATE(1237)] = 26999,
  [SMALL_STATE(1238)] = 27007,
  [SMALL_STATE(1239)] = 27015,
  [SMALL_STATE(1240)] = 27023,
  [SMALL_STATE(1241)] = 27031,
  [SMALL_STATE(1242)] = 27039,
  [SMALL_STATE(1243)] = 27047,
  [SMALL_STATE(1244)] = 27055,
  [SMALL_STATE(1245)] = 27063,
  [SMALL_STATE(1246)] = 27071,
  [SMALL_STATE(1247)] = 27079,
  [SMALL_STATE(1248)] = 27087,
  [SMALL_STATE(1249)] = 27095,
  [SMALL_STATE(1250)] = 27103,
  [SMALL_STATE(1251)] = 27111,
  [SMALL_STATE(1252)] = 27119,
  [SMALL_STATE(1253)] = 27127,
  [SMALL_STATE(1254)] = 27135,
  [SMALL_STATE(1255)] = 27143,
  [SMALL_STATE(1256)] = 27151,
  [SMALL_STATE(1257)] = 27159,
  [SMALL_STATE(1258)] = 27167,
  [SMALL_STATE(1259)] = 27175,
  [SMALL_STATE(1260)] = 27183,
  [SMALL_STATE(1261)] = 27191,
  [SMALL_STATE(1262)] = 27199,
  [SMALL_STATE(1263)] = 27207,
  [SMALL_STATE(1264)] = 27215,
  [SMALL_STATE(1265)] = 27223,
  [SMALL_STATE(1266)] = 27231,
  [SMALL_STATE(1267)] = 27239,
  [SMALL_STATE(1268)] = 27247,
  [SMALL_STATE(1269)] = 27255,
  [SMALL_STATE(1270)] = 27263,
  [SMALL_STATE(1271)] = 27271,
  [SMALL_STATE(1272)] = 27279,
  [SMALL_STATE(1273)] = 27287,
  [SMALL_STATE(1274)] = 27295,
  [SMALL_STATE(1275)] = 27303,
  [SMALL_STATE(1276)] = 27311,
  [SMALL_STATE(1277)] = 27319,
  [SMALL_STATE(1278)] = 27327,
  [SMALL_STATE(1279)] = 27335,
  [SMALL_STATE(1280)] = 27343,
  [SMALL_STATE(1281)] = 27351,
  [SMALL_STATE(1282)] = 27359,
  [SMALL_STATE(1283)] = 27367,
  [SMALL_STATE(1284)] = 27375,
  [SMALL_STATE(1285)] = 27383,
  [SMALL_STATE(1286)] = 27391,
  [SMALL_STATE(1287)] = 27399,
  [SMALL_STATE(1288)] = 27407,
  [SMALL_STATE(1289)] = 27415,
  [SMALL_STATE(1290)] = 27423,
  [SMALL_STATE(1291)] = 27431,
  [SMALL_STATE(1292)] = 27439,
  [SMALL_STATE(1293)] = 27447,
  [SMALL_STATE(1294)] = 27455,
  [SMALL_STATE(1295)] = 27463,
  [SMALL_STATE(1296)] = 27471,
  [SMALL_STATE(1297)] = 27479,
  [SMALL_STATE(1298)] = 27487,
  [SMALL_STATE(1299)] = 27495,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(366),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(918),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1128),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(72),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1147),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1150),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(503),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(969),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1189),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1227),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(374),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(831),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1221),
  [73] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(680),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(481),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1212),
  [91] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block_statement_group, 1),
  [93] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block_statement_group, 1),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(543),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(968),
  [103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2),
  [105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(366),
  [108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(472),
  [111] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(472),
  [114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(918),
  [117] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(785),
  [120] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(83),
  [123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(163),
  [126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(428),
  [129] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(163),
  [132] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(165),
  [135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(675),
  [138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1272),
  [141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1128),
  [144] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7),
  [147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2),
  [149] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(311),
  [152] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(176),
  [155] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(72),
  [158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1142),
  [161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1147),
  [164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1150),
  [167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(119),
  [170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(179),
  [173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(503),
  [176] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(186),
  [179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(969),
  [182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1189),
  [185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1227),
  [188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(882),
  [191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(384),
  [194] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(374),
  [197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(885),
  [200] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(831),
  [203] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1221),
  [206] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(428),
  [209] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(387),
  [212] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1219),
  [215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1218),
  [218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(680),
  [221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(681),
  [224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(688),
  [227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(481),
  [230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1212),
  [233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block_statement_group, 2),
  [235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block_statement_group, 2),
  [237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(365),
  [253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1179),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 3),
  [261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 3),
  [263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 2),
  [265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 2),
  [267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2),
  [269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2),
  [271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 3),
  [273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 3),
  [275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 2),
  [277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 2),
  [279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_expression, 3, .production_id = 21),
  [281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_expression, 3, .production_id = 21),
  [283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3),
  [285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 3),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(364),
  [289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(533),
  [293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(381),
  [297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1),
  [307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1),
  [309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1),
  [311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1),
  [313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1), REDUCE(sym_statement, 1),
  [316] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1), REDUCE(sym_statement, 1),
  [319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 23),
  [339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 23),
  [341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1264),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1127),
  [345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_with_resources_statement, 3, .production_id = 24),
  [347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_with_resources_statement, 3, .production_id = 24),
  [349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_with_resources_statement, 4, .production_id = 24),
  [361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_with_resources_statement, 4, .production_id = 24),
  [363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2),
  [365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2),
  [367] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(1264),
  [370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(376),
  [376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, .production_id = 163),
  [440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, .production_id = 163),
  [442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, .production_id = 62),
  [452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, .production_id = 62),
  [454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 177),
  [456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 177),
  [458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 178),
  [460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 178),
  [462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 179),
  [464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 179),
  [466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 180),
  [468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 180),
  [470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 7, .production_id = 181),
  [472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 7, .production_id = 181),
  [474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 7, .production_id = 182),
  [476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 7, .production_id = 182),
  [478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 58),
  [480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 58),
  [482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 57),
  [484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 57),
  [486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 3),
  [488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 3),
  [490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 56),
  [492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 56),
  [494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 55),
  [496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 55),
  [498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 6),
  [500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 6),
  [502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 5),
  [504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 5),
  [506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 8, .production_id = 201),
  [508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 8, .production_id = 201),
  [510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 5, .production_id = 101),
  [512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 5, .production_id = 101),
  [514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 5, .production_id = 102),
  [516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 5, .production_id = 102),
  [518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_body, 3),
  [520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_body, 3),
  [522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 95),
  [524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 95),
  [526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 161),
  [528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 161),
  [530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 113),
  [532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 113),
  [534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 94),
  [536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 94),
  [538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 6, .production_id = 156),
  [540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 6, .production_id = 156),
  [542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 93),
  [544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 93),
  [546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_body, 3),
  [548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_body, 3),
  [550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 92),
  [552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 92),
  [554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 91),
  [556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 91),
  [558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 6, .production_id = 155),
  [560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 6, .production_id = 155),
  [562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 90),
  [564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 90),
  [566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, .production_id = 92),
  [568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, .production_id = 92),
  [570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 6, .production_id = 149),
  [572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 6, .production_id = 149),
  [574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, .production_id = 103),
  [576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, .production_id = 103),
  [578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 6, .production_id = 154),
  [580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 6, .production_id = 154),
  [582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 6, .production_id = 153),
  [584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 6, .production_id = 153),
  [586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, .production_id = 104),
  [588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, .production_id = 104),
  [590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 2),
  [592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 2),
  [594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 152),
  [596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 152),
  [598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 151),
  [600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 151),
  [602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 112),
  [604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 112),
  [606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 114),
  [608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 114),
  [610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 115),
  [612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 115),
  [614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 150),
  [616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 150),
  [618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 149),
  [620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 149),
  [622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, .production_id = 57),
  [624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, .production_id = 57),
  [626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 148),
  [628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 148),
  [630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, .production_id = 114),
  [632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, .production_id = 114),
  [634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 5, .production_id = 116),
  [636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 5, .production_id = 116),
  [638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, .production_id = 112),
  [640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, .production_id = 112),
  [642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, .production_id = 115),
  [644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, .production_id = 115),
  [646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, .production_id = 117),
  [648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, .production_id = 117),
  [650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, .production_id = 20),
  [652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, .production_id = 20),
  [654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 147),
  [656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 147),
  [658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 4, .production_id = 64),
  [660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 4, .production_id = 64),
  [662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_body, 2),
  [664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_body, 2),
  [666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 6, .production_id = 144),
  [668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 6, .production_id = 144),
  [670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 6, .production_id = 143),
  [672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 6, .production_id = 143),
  [674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_body, 2),
  [676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_body, 2),
  [678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4),
  [680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4),
  [682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, .production_id = 55),
  [684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, .production_id = 55),
  [686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, .production_id = 58),
  [688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, .production_id = 58),
  [690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, .production_id = 65),
  [692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, .production_id = 65),
  [694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 3, .production_id = 20),
  [696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 3, .production_id = 20),
  [698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_declaration, 3, .production_id = 20),
  [700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_declaration, 3, .production_id = 20),
  [702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 3, .production_id = 20),
  [704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 3, .production_id = 20),
  [706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 127),
  [708] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 127),
  [710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 128),
  [712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 128),
  [714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 129),
  [716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 129),
  [718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_declaration, 4, .production_id = 62),
  [720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_declaration, 4, .production_id = 62),
  [722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, .production_id = 62),
  [724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, .production_id = 62),
  [726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 62),
  [728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 62),
  [730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 130),
  [732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 130),
  [734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, .production_id = 236),
  [736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, .production_id = 236),
  [738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, .production_id = 186),
  [740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, .production_id = 186),
  [742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_variable_declaration, 4, .production_id = 73),
  [744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_variable_declaration, 4, .production_id = 73),
  [746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, .production_id = 204),
  [748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, .production_id = 204),
  [750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, .production_id = 205),
  [752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, .production_id = 205),
  [754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, .production_id = 133),
  [756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, .production_id = 133),
  [758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2),
  [760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2),
  [762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_declaration, 3, .production_id = 30),
  [764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_declaration, 3, .production_id = 30),
  [766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_declaration, 3, .production_id = 20),
  [768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_declaration, 3, .production_id = 20),
  [770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_declaration, 3, .production_id = 14),
  [772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_declaration, 3, .production_id = 14),
  [774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_declaration, 3),
  [776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_declaration, 3),
  [778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2),
  [780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2),
  [782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 3, .production_id = 14),
  [784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_declaration, 3, .production_id = 14),
  [786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2),
  [788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2),
  [790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2),
  [794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 97),
  [796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 97),
  [798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 3),
  [800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_declaration, 3),
  [802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 171),
  [804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 171),
  [806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_with_resources_statement, 5, .production_id = 24),
  [808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_with_resources_statement, 5, .production_id = 24),
  [810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_body, 3),
  [812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_body, 3),
  [814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 5, .production_id = 14),
  [816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_declaration, 5, .production_id = 14),
  [818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_declaration, 4, .production_id = 63),
  [820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_declaration, 4, .production_id = 63),
  [822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 170),
  [824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 170),
  [826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_declaration, 4),
  [828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_declaration, 4),
  [830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_declaration, 5, .production_id = 119),
  [832] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_declaration, 5, .production_id = 119),
  [834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, .production_id = 206),
  [836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, .production_id = 206),
  [838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, .production_id = 134),
  [840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, .production_id = 134),
  [842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(730),
  [844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(676),
  [850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 169),
  [854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 169),
  [856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 5),
  [858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_declaration, 5),
  [860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, .production_id = 207),
  [862] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, .production_id = 207),
  [864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enhanced_for_statement, 9, .production_id = 208),
  [866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enhanced_for_statement, 9, .production_id = 208),
  [868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, .production_id = 96),
  [870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, .production_id = 96),
  [872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 168),
  [874] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 168),
  [876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, .production_id = 209),
  [878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, .production_id = 209),
  [880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_statement, 5),
  [882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assert_statement, 5),
  [884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, .production_id = 184),
  [886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, .production_id = 184),
  [888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, .production_id = 185),
  [890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, .production_id = 185),
  [892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 6, .production_id = 63),
  [894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_declaration, 6, .production_id = 63),
  [896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3),
  [898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3),
  [900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3),
  [902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3),
  [904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_synchronized_statement, 3, .production_id = 22),
  [906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_synchronized_statement, 3, .production_id = 22),
  [908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 6),
  [910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_declaration, 6),
  [912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 165),
  [914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 165),
  [916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_statement, 3),
  [918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_statement, 3),
  [920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3),
  [922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3),
  [924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3),
  [926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3),
  [928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_declaration, 4, .production_id = 61),
  [930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_declaration, 4, .production_id = 61),
  [932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3),
  [934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3),
  [936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, .production_id = 21),
  [938] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, .production_id = 21),
  [940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_declaration, 5, .production_id = 118),
  [942] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_declaration, 5, .production_id = 118),
  [944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_statement, 3),
  [946] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assert_statement, 3),
  [948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, .production_id = 203),
  [950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, .production_id = 203),
  [952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, .production_id = 229),
  [954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, .production_id = 229),
  [956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, .production_id = 187),
  [958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, .production_id = 187),
  [960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, .production_id = 188),
  [962] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, .production_id = 188),
  [964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, .production_id = 230),
  [966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, .production_id = 230),
  [968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enhanced_for_statement, 8, .production_id = 189),
  [970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enhanced_for_statement, 8, .production_id = 189),
  [972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, .production_id = 190),
  [974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, .production_id = 190),
  [976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, .production_id = 191),
  [978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, .production_id = 191),
  [980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2),
  [982] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2),
  [984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, .production_id = 231),
  [986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, .production_id = 231),
  [988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_declaration, 4, .production_id = 62),
  [990] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_declaration, 4, .production_id = 62),
  [992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat1, 2),
  [994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_statement_group_repeat1, 2),
  [996] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat1, 2), SHIFT_REPEAT(235),
  [999] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat1, 2), SHIFT_REPEAT(1145),
  [1002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, .production_id = 23),
  [1004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, .production_id = 23),
  [1006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_body, 2),
  [1008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_body, 2),
  [1010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [1012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 4, .production_id = 63),
  [1014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_declaration, 4, .production_id = 63),
  [1016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_variable_declaration, 3, .production_id = 40),
  [1018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_variable_declaration, 3, .production_id = 40),
  [1020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 4),
  [1022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_declaration, 4),
  [1024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, .production_id = 25),
  [1026] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 25),
  [1028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22),
  [1030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 1),
  [1032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 1),
  [1034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_constructor_invocation, 4, .production_id = 202),
  [1036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_constructor_invocation, 4, .production_id = 202),
  [1038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_constructor_invocation, 6, .production_id = 235),
  [1040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_constructor_invocation, 6, .production_id = 235),
  [1042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_constructor_invocation, 3, .production_id = 183),
  [1044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_constructor_invocation, 3, .production_id = 183),
  [1046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_constructor_invocation, 5, .production_id = 228),
  [1048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_constructor_invocation, 5, .production_id = 228),
  [1050] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_condition, 3),
  [1052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition, 3),
  [1054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [1056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [1058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [1060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [1062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [1064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1260),
  [1066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body_declarations, 1),
  [1068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [1070] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2), SHIFT_REPEAT(735),
  [1073] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2), SHIFT_REPEAT(797),
  [1076] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2), SHIFT_REPEAT(428),
  [1079] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2), SHIFT_REPEAT(1272),
  [1082] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2), SHIFT_REPEAT(7),
  [1085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2),
  [1087] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2), SHIFT_REPEAT(357),
  [1090] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2), SHIFT_REPEAT(882),
  [1093] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2), SHIFT_REPEAT(478),
  [1096] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2), SHIFT_REPEAT(1221),
  [1099] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2), SHIFT_REPEAT(428),
  [1102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2), SHIFT_REPEAT(1260),
  [1105] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2), SHIFT_REPEAT(1219),
  [1108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2), SHIFT_REPEAT(1218),
  [1111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2), SHIFT_REPEAT(680),
  [1114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2), SHIFT_REPEAT(681),
  [1117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2), SHIFT_REPEAT(688),
  [1120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body_declarations, 2),
  [1122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [1124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [1126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(673),
  [1128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [1130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [1132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [1134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [1136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_body_repeat1, 2), SHIFT_REPEAT(673),
  [1139] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_body_repeat1, 2), SHIFT_REPEAT(797),
  [1142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_body_repeat1, 2), SHIFT_REPEAT(428),
  [1145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_body_repeat1, 2), SHIFT_REPEAT(1272),
  [1148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_interface_body_repeat1, 2),
  [1150] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_body_repeat1, 2), SHIFT_REPEAT(362),
  [1153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_body_repeat1, 2), SHIFT_REPEAT(882),
  [1156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_body_repeat1, 2), SHIFT_REPEAT(1221),
  [1159] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_body_repeat1, 2), SHIFT_REPEAT(428),
  [1162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_body_repeat1, 2), SHIFT_REPEAT(1260),
  [1165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_body_repeat1, 2), SHIFT_REPEAT(1219),
  [1168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_body_repeat1, 2), SHIFT_REPEAT(1218),
  [1171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_body_repeat1, 2), SHIFT_REPEAT(680),
  [1174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_body_repeat1, 2), SHIFT_REPEAT(681),
  [1177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_body_repeat1, 2), SHIFT_REPEAT(688),
  [1180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unannotated_type, 1, .production_id = 2),
  [1182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [1184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1),
  [1186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1),
  [1188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [1190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [1192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), SHIFT(588),
  [1195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [1197] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__unannotated_type, 1, .production_id = 2),
  [1200] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__unannotated_type, 1, .production_id = 2), SHIFT(803),
  [1204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unannotated_type, 1, .production_id = 2),
  [1206] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__unannotated_type, 1, .production_id = 2),
  [1209] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__unannotated_type, 1, .production_id = 2), SHIFT(1220),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [1215] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__unannotated_type, 1, .production_id = 2), SHIFT(803),
  [1219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(55),
  [1221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18),
  [1223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [1225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2), SHIFT_REPEAT(673),
  [1228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2), SHIFT_REPEAT(428),
  [1231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2), SHIFT_REPEAT(1272),
  [1234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2),
  [1236] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2), SHIFT_REPEAT(882),
  [1239] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2), SHIFT_REPEAT(1221),
  [1242] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2), SHIFT_REPEAT(428),
  [1245] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2), SHIFT_REPEAT(1219),
  [1248] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2), SHIFT_REPEAT(1218),
  [1251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2), SHIFT_REPEAT(680),
  [1254] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2), SHIFT_REPEAT(681),
  [1257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2), SHIFT_REPEAT(688),
  [1260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [1262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_access, 3, .production_id = 32),
  [1264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_access, 3, .production_id = 32),
  [1266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_access, 3, .production_id = 31),
  [1268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_access, 3, .production_id = 31),
  [1270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1),
  [1272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1),
  [1274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [1276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [1278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [1280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_access, 5, .production_id = 105),
  [1282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_access, 5, .production_id = 105),
  [1284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [1286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1045),
  [1288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_access, 5, .production_id = 106),
  [1290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_access, 5, .production_id = 106),
  [1292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [1294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [1296] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), SHIFT(109),
  [1299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_access, 4, .production_id = 72),
  [1301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_access, 4, .production_id = 72),
  [1303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(101),
  [1305] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(1231),
  [1308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [1310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [1312] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(107),
  [1315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [1317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dimensions, 1),
  [1319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dimensions, 1),
  [1321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [1323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_dimensions_repeat1, 2),
  [1325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dimensions_repeat1, 2),
  [1327] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dimensions_repeat1, 2), SHIFT_REPEAT(1239),
  [1330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dimensions_repeat1, 2), SHIFT_REPEAT(875),
  [1333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(944),
  [1335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, .production_id = 17),
  [1337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, .production_id = 17),
  [1339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [1341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 1),
  [1343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1),
  [1345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotated_type, 2),
  [1347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotated_type, 2),
  [1349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, .production_id = 53),
  [1351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, .production_id = 53),
  [1353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, .production_id = 54),
  [1355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, .production_id = 54),
  [1357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, .production_id = 19),
  [1359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, .production_id = 19),
  [1361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_identifier, 3, .production_id = 59),
  [1363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_identifier, 3, .production_id = 59),
  [1365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_identifier, 3, .production_id = 60),
  [1367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_identifier, 3, .production_id = 60),
  [1369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_creation_expression_repeat2, 2),
  [1371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat2, 2),
  [1373] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat2, 2), SHIFT_REPEAT(254),
  [1376] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat2, 2), SHIFT_REPEAT(875),
  [1379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [1381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__unannotated_type, 1, .production_id = 2), SHIFT(604),
  [1384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [1386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_dimensions_repeat1, 3),
  [1388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dimensions_repeat1, 3),
  [1390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unannotated_type, 1),
  [1392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unannotated_type, 1),
  [1394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__unannotated_type, 1), SHIFT(604),
  [1397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [1399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_type_identifier, 3, .production_id = 42),
  [1401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_type_identifier, 3, .production_id = 42),
  [1403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 2),
  [1405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 2),
  [1407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4),
  [1409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4),
  [1411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_type_identifier, 4, .production_id = 77),
  [1413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_type_identifier, 4, .production_id = 77),
  [1415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_marker_annotation, 2, .production_id = 6),
  [1417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [1419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_marker_annotation, 2, .production_id = 6),
  [1421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [1423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_type_identifier, 4, .production_id = 68),
  [1425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_type_identifier, 4, .production_id = 68),
  [1427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3),
  [1429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3),
  [1431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_type_identifier, 3, .production_id = 35),
  [1433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_type_identifier, 3, .production_id = 35),
  [1435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, .dynamic_precedence = 10, .production_id = 2),
  [1437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, .dynamic_precedence = 10, .production_id = 2),
  [1439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, .dynamic_precedence = 10),
  [1441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, .dynamic_precedence = 10),
  [1443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_marker_annotation, 2, .production_id = 5),
  [1445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_marker_annotation, 2, .production_id = 5),
  [1447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [1449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 2, .production_id = 11),
  [1451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 2, .production_id = 11),
  [1453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_floating_point_type, 1),
  [1455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_floating_point_type, 1),
  [1457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_integral_type, 1),
  [1459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_integral_type, 1),
  [1461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 4, .production_id = 52),
  [1463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 4, .production_id = 52),
  [1465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [1467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 3, .production_id = 16),
  [1469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 3, .production_id = 16),
  [1471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 4, .production_id = 51),
  [1473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 4, .production_id = 51),
  [1475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 3, .production_id = 18),
  [1477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 3, .production_id = 18),
  [1479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_modifiers, 1),
  [1481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_modifiers, 1),
  [1483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [1485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [1487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2),
  [1489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2),
  [1491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2), SHIFT_REPEAT(429),
  [1494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2), SHIFT_REPEAT(882),
  [1497] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2), SHIFT_REPEAT(429),
  [1500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation, 3, .production_id = 26),
  [1502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation, 3, .production_id = 26),
  [1504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 2, .production_id = 89),
  [1506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, .production_id = 89),
  [1508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2),
  [1510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2),
  [1512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation, 3, .production_id = 27),
  [1514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation, 3, .production_id = 27),
  [1516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_argument_list, 3),
  [1518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_argument_list, 3),
  [1520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, .production_id = 40),
  [1522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, .production_id = 40),
  [1524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 3, .production_id = 125),
  [1526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 3, .production_id = 125),
  [1528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(514),
  [1530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instanceof_expression, 4, .production_id = 69),
  [1532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instanceof_expression, 4, .production_id = 69),
  [1534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(515),
  [1536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_body, 2),
  [1538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_body, 2),
  [1540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4),
  [1542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4),
  [1544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 3, .production_id = 122),
  [1546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, .production_id = 122),
  [1548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 3, .production_id = 121),
  [1550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, .production_id = 121),
  [1552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_argument_list, 4),
  [1554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_argument_list, 4),
  [1556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 3, .production_id = 120),
  [1558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 3, .production_id = 120),
  [1560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compact_constructor_declaration, 3, .production_id = 20),
  [1562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compact_constructor_declaration, 3, .production_id = 20),
  [1564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dimensions_expr, 3),
  [1566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dimensions_expr, 3),
  [1568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dimensions_expr, 4),
  [1570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dimensions_expr, 4),
  [1572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [1574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instanceof_expression, 3, .production_id = 36),
  [1576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instanceof_expression, 3, .production_id = 36),
  [1578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(520),
  [1580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_initializer, 2),
  [1582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_initializer, 2),
  [1584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compact_constructor_declaration, 2, .production_id = 84),
  [1586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compact_constructor_declaration, 2, .production_id = 84),
  [1588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 2, .production_id = 86),
  [1590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 2, .production_id = 86),
  [1592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_body, 4),
  [1594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_body, 4),
  [1596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [1598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [1600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_argument_list, 2),
  [1602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_argument_list, 2),
  [1604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 2, .production_id = 88),
  [1606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, .production_id = 88),
  [1608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_body, 3),
  [1610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_body, 3),
  [1612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, .production_id = 73),
  [1614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, .production_id = 73),
  [1616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3),
  [1618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3),
  [1620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 4, .production_id = 157),
  [1622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 4, .production_id = 157),
  [1624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_invocation, 5, .production_id = 107),
  [1626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_invocation, 5, .production_id = 107),
  [1628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_invocation, 4, .production_id = 67),
  [1630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_invocation, 4, .production_id = 67),
  [1632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_invocation, 7, .production_id = 176),
  [1634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_invocation, 7, .production_id = 176),
  [1636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 4, .production_id = 16),
  [1638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 4, .production_id = 16),
  [1640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [1642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [1644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [1646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 1, .production_id = 3),
  [1648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 1, .production_id = 3),
  [1650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_creation_expression_repeat1, 1), REDUCE(aux_sym_modifiers_repeat1, 1),
  [1653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 1),
  [1655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_creation_expression_repeat1, 1),
  [1657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 1),
  [1659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, .production_id = 49),
  [1661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, .production_id = 49),
  [1663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_invocation, 7, .production_id = 175),
  [1665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_invocation, 7, .production_id = 175),
  [1667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constant_declaration, 4, .production_id = 73),
  [1669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_declaration, 4, .production_id = 73),
  [1671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_invocation, 2, .production_id = 7),
  [1673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_invocation, 2, .production_id = 7),
  [1675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_invocation, 2, .production_id = 8),
  [1677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_invocation, 2, .production_id = 8),
  [1679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__literal, 1),
  [1681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__literal, 1),
  [1683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_reference, 3),
  [1685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_reference, 3),
  [1687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_reference, 4),
  [1689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_reference, 4),
  [1691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string_literal, 3),
  [1693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string_literal, 3),
  [1695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_initializer, 4),
  [1697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_initializer, 4),
  [1699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, .production_id = 47),
  [1701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, .production_id = 47),
  [1703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_initializer, 5),
  [1705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_initializer, 5),
  [1707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 1),
  [1709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 1),
  [1711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_invocation, 5, .production_id = 108),
  [1713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_invocation, 5, .production_id = 108),
  [1715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, .production_id = 50),
  [1717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, .production_id = 50),
  [1719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__multiline_string_literal, 2),
  [1721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__multiline_string_literal, 2),
  [1723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_invocation, 4, .production_id = 66),
  [1725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_invocation, 4, .production_id = 66),
  [1727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__multiline_string_literal, 3),
  [1729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__multiline_string_literal, 3),
  [1731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string_literal, 2),
  [1733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string_literal, 2),
  [1735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_literal, 3, .dynamic_precedence = 17),
  [1737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_literal, 3, .dynamic_precedence = 17),
  [1739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 3, .production_id = 37),
  [1741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 3, .production_id = 37),
  [1743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_initializer, 2),
  [1745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_initializer, 2),
  [1747] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 4, .production_id = 18),
  [1749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 4, .production_id = 18),
  [1751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, .production_id = 48),
  [1753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, .production_id = 48),
  [1755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_invocation, 6, .production_id = 146),
  [1757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_invocation, 6, .production_id = 146),
  [1759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_invocation, 6, .production_id = 145),
  [1761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_invocation, 6, .production_id = 145),
  [1763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_initializer, 3),
  [1765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_initializer, 3),
  [1767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, .production_id = 82),
  [1769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, .production_id = 82),
  [1771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, .production_id = 81),
  [1773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, .production_id = 81),
  [1775] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constant_declaration, 3, .production_id = 40),
  [1777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_declaration, 3, .production_id = 40),
  [1779] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, .production_id = 80),
  [1781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, .production_id = 80),
  [1783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, .production_id = 79),
  [1785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, .production_id = 79),
  [1787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 5, .production_id = 52),
  [1789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 5, .production_id = 52),
  [1791] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 5, .production_id = 51),
  [1793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 5, .production_id = 51),
  [1795] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_element_declaration, 7, .production_id = 234),
  [1797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_element_declaration, 7, .production_id = 234),
  [1799] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 3, .production_id = 34),
  [1801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 3, .production_id = 34),
  [1803] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 4),
  [1805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, .production_id = 4),
  [1807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 33),
  [1809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 33),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [1813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2),
  [1815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2),
  [1817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_element_declaration, 5, .production_id = 200),
  [1819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_element_declaration, 5, .production_id = 200),
  [1821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instanceof_expression, 5, .production_id = 110),
  [1823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instanceof_expression, 5, .production_id = 110),
  [1825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instanceof_expression, 5, .production_id = 109),
  [1827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instanceof_expression, 5, .production_id = 109),
  [1829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_element_declaration, 8, .production_id = 237),
  [1831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_element_declaration, 8, .production_id = 237),
  [1833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_element_declaration, 7, .production_id = 233),
  [1835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_element_declaration, 7, .production_id = 233),
  [1837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 5, .production_id = 78),
  [1839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 5, .production_id = 78),
  [1841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, .production_id = 45),
  [1843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, .production_id = 45),
  [1845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instanceof_expression, 4, .production_id = 70),
  [1847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instanceof_expression, 4, .production_id = 70),
  [1849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instanceof_expression, 4, .production_id = 71),
  [1851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instanceof_expression, 4, .production_id = 71),
  [1853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_element_declaration, 7, .production_id = 232),
  [1855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_element_declaration, 7, .production_id = 232),
  [1857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_element_declaration, 6, .production_id = 227),
  [1859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_element_declaration, 6, .production_id = 227),
  [1861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_element_declaration, 6, .production_id = 226),
  [1863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_element_declaration, 6, .production_id = 226),
  [1865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_element_declaration, 6, .production_id = 224),
  [1867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_element_declaration, 6, .production_id = 224),
  [1869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 3, .production_id = 29),
  [1871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 3, .production_id = 29),
  [1873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [1875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 28),
  [1877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [1879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [1881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [1887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(147),
  [1889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [1891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(148),
  [1893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [1895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [1897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [1899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [1901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [1903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [1905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(541),
  [1907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [1909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [1911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [1913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [1915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, .production_id = 111),
  [1917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 33),
  [1919] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2), SHIFT_REPEAT(541),
  [1922] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2), SHIFT_REPEAT(875),
  [1925] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2), SHIFT_REPEAT(541),
  [1928] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dimensions_repeat1, 2), SHIFT_REPEAT(1283),
  [1931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [1933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__element_value, 1),
  [1935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [1937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [1939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [1941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [1947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [1949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [1951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [1953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [1955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [1957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [1959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [1961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_label, 2),
  [1963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [1965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [1967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [1969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [1971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [1973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 3, .production_id = 76),
  [1975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(793),
  [1977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [1979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [1981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [1983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [1985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [1987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [1989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [1991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [1993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_receiver_parameter, 4),
  [1995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_receiver_parameter, 4),
  [1997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2),
  [1999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [2001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [2003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [2005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [2007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [2009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [2011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [2013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [2015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_receiver_parameter, 5),
  [2017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_receiver_parameter, 5),
  [2019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [2021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [2023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [2025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [2027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [2029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [2031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [2033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [2035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [2037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [2039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [2041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_receiver_parameter, 2),
  [2043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_receiver_parameter, 2),
  [2045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_receiver_parameter, 3),
  [2047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_receiver_parameter, 3),
  [2049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [2051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [2053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_initializer_repeat1, 2),
  [2055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2, .production_id = 98),
  [2057] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 1), REDUCE(aux_sym_modifiers_repeat1, 1),
  [2060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource, 4, .production_id = 131),
  [2062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat2, 2, .production_id = 166),
  [2064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [2066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [2068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(739),
  [2070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [2072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1290),
  [2074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1289),
  [2076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [2078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1286),
  [2080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [2082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource, 5, .production_id = 162),
  [2084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [2086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [2088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [2090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [2092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [2094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [2096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [2098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [2100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [2102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [2104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [2106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [2108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [2110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1259),
  [2112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [2114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [2116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [2118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [2120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(654),
  [2122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [2124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [2126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [2128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [2130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [2132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [2134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [2136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [2138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [2140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [2142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [2144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [2146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [2148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [2150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [2152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [2154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [2156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(762),
  [2158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(803),
  [2160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [2162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(756),
  [2164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [2166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(753),
  [2168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(816),
  [2170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(746),
  [2172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(775),
  [2174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [2176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(773),
  [2178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2),
  [2180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2),
  [2182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2), SHIFT_REPEAT(873),
  [2185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(763),
  [2187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1282),
  [2189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(733),
  [2191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [2193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(596),
  [2195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [2197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [2199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(745),
  [2201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [2203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 3),
  [2205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 3),
  [2207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 4),
  [2209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 4),
  [2211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(893),
  [2213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1210),
  [2215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [2217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [2219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [2221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [2223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 1),
  [2225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(757),
  [2227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__unannotated_type, 1), SHIFT(816),
  [2230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(892),
  [2232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1152),
  [2234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [2236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource, 1),
  [2238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_type, 1),
  [2240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [2242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_declarator_id, 1, .production_id = 9),
  [2244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [2246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1185),
  [2248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1175),
  [2250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_catch_type_repeat1, 2),
  [2252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_catch_type_repeat1, 2),
  [2254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_body_repeat1, 2),
  [2256] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_body_repeat1, 2), SHIFT_REPEAT(777),
  [2259] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_body_repeat1, 2), SHIFT_REPEAT(894),
  [2262] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_body_repeat1, 2), SHIFT_REPEAT(889),
  [2265] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_body_repeat1, 2), SHIFT_REPEAT(878),
  [2268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_body_repeat1, 2), SHIFT_REPEAT(877),
  [2271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [2273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(601),
  [2275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [2277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [2279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [2281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [2283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [2285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [2287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_declarator_id, 1, .production_id = 10),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [2291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [2293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [2295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_declarator, 2, .production_id = 126),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [2299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [2301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [2303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [2305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_declarator, 2, .production_id = 85),
  [2307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(370),
  [2309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(712),
  [2311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(371),
  [2313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [2315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1005),
  [2317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1293),
  [2319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [2321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [2323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [2325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1111),
  [2327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1108),
  [2329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [2331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [2333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [2335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [2337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1197),
  [2339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [2341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [2343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [2345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_requires_module_directive_repeat1, 2, .production_id = 138),
  [2347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requires_module_directive_repeat1, 2, .production_id = 138), SHIFT_REPEAT(864),
  [2350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [2352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [2354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [2356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [2358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(804),
  [2360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(789),
  [2362] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [2364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__multiline_string_literal_repeat1, 2),
  [2366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__multiline_string_literal_repeat1, 2), SHIFT_REPEAT(908),
  [2369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__multiline_string_literal_repeat1, 2), SHIFT_REPEAT(804),
  [2372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__multiline_string_literal_repeat1, 2), SHIFT_REPEAT(786),
  [2375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [2377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(786),
  [2379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3),
  [2381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(375),
  [2383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(373),
  [2385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [2387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [2389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [2391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_constant, 1, .production_id = 10),
  [2393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5),
  [2395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4),
  [2397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_constant, 2, .production_id = 6),
  [2399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [2401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2),
  [2403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2),
  [2405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(235),
  [2408] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(1145),
  [2411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_provides_module_directive, 5, .production_id = 198),
  [2413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [2415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__multiline_string_fragment, 1),
  [2417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [2419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exports_module_directive, 6, .production_id = 212),
  [2421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_module_directive, 4, .production_id = 173),
  [2423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_module_directive, 4, .production_id = 172),
  [2425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exports_module_directive, 6, .production_id = 214),
  [2427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [2429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [2431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [2433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_opens_module_directive, 5, .production_id = 194),
  [2435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [2437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exports_module_directive, 6, .production_id = 215),
  [2439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_module_directive, 3, .production_id = 136),
  [2441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_module_directive, 3, .production_id = 137),
  [2443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_provides_module_directive, 5, .production_id = 199),
  [2445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exports_module_directive, 6, .production_id = 216),
  [2447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_opens_module_directive, 6, .production_id = 212),
  [2449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [2451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_opens_module_directive, 6, .production_id = 214),
  [2453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exports_module_directive, 3, .production_id = 139),
  [2455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exports_module_directive, 3, .production_id = 140),
  [2457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_opens_module_directive, 3, .production_id = 139),
  [2459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1157),
  [2461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1159),
  [2463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [2465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_opens_module_directive, 3, .production_id = 140),
  [2467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_opens_module_directive, 6, .production_id = 215),
  [2469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_uses_module_directive, 3, .production_id = 141),
  [2471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_uses_module_directive, 3, .production_id = 44),
  [2473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_opens_module_directive, 6, .production_id = 216),
  [2475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [2477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat2, 2),
  [2479] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat2, 2), SHIFT_REPEAT(166),
  [2482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat2, 2), SHIFT_REPEAT(1145),
  [2485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [2487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_provides_module_directive, 5, .production_id = 197),
  [2489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_provides_module_directive, 5, .production_id = 196),
  [2491] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_catch_type_repeat1, 2), SHIFT_REPEAT(702),
  [2494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_type, 2),
  [2496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_provides_module_directive, 6, .production_id = 219),
  [2498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_provides_module_directive, 6, .production_id = 221),
  [2500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_provides_module_directive, 6, .production_id = 222),
  [2502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_provides_module_directive, 6, .production_id = 223),
  [2504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [2506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_opens_module_directive, 5, .production_id = 195),
  [2508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__multiline_string_fragment_repeat1, 2),
  [2510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__multiline_string_fragment_repeat1, 2), SHIFT_REPEAT(854),
  [2513] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2), SHIFT_REPEAT(875),
  [2516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [2518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [2520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [2522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exports_module_directive, 5, .production_id = 192),
  [2524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [2526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exports_module_directive, 5, .production_id = 193),
  [2528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_requires_module_directive_repeat1, 1, .production_id = 100),
  [2530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exports_module_directive, 5, .production_id = 194),
  [2532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_modifier, 1),
  [2534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exports_module_directive, 5, .production_id = 195),
  [2536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_opens_module_directive, 5, .production_id = 192),
  [2538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__multiline_string_fragment, 2),
  [2540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(854),
  [2542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_directive, 1),
  [2544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [2546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_opens_module_directive, 5, .production_id = 193),
  [2548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(659),
  [2550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(657),
  [2552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(935),
  [2554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(934),
  [2556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(536),
  [2558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(535),
  [2560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wildcard, 1),
  [2562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [2564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1120),
  [2566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1119),
  [2568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1115),
  [2570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1112),
  [2572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1038),
  [2574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1037),
  [2576] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2), SHIFT_REPEAT(648),
  [2579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2),
  [2581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [2583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [2585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1208),
  [2587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1205),
  [2589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1131),
  [2591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1049),
  [2593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1048),
  [2595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1126),
  [2597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1143),
  [2599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [2601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [2603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1067),
  [2605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1068),
  [2607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1069),
  [2609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1073),
  [2611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [2613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1104),
  [2615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(933),
  [2617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [2619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_constant, 3, .production_id = 27),
  [2621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [2623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [2625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [2627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(984),
  [2629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_constant, 2, .production_id = 8),
  [2631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1093),
  [2633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1094),
  [2635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_declarator_id, 2, .production_id = 38),
  [2637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1116),
  [2639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1103),
  [2641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(943),
  [2643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(942),
  [2645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_declarator_id, 2, .production_id = 39),
  [2647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [2649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wildcard, 2),
  [2651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(941),
  [2653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(940),
  [2655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(939),
  [2657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(938),
  [2659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(937),
  [2661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(936),
  [2663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_header, 2, .production_id = 87),
  [2665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [2667] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(228),
  [2670] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2), SHIFT_REPEAT(660),
  [2673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2),
  [2675] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(183),
  [2678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [2680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [2682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [2684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [2686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(473),
  [2688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [2690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 1, .production_id = 13),
  [2692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [2694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element_value_array_initializer, 4),
  [2696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [2698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 2),
  [2700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [2702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1181),
  [2704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1182),
  [2706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element_value_array_initializer, 3),
  [2708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throws, 2),
  [2710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [2712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [2714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [2716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [2718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [2720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [2722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [2724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [2726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [2728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [2730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [2732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [2734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [2736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [2738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 1, .production_id = 2),
  [2740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [2742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [2744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [2746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throws, 3),
  [2748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [2750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, .production_id = 83),
  [2752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [2754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_bound, 2),
  [2756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [2758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [2760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_header, 4, .production_id = 158),
  [2762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__string_literal_repeat1, 2),
  [2764] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__string_literal_repeat1, 2), SHIFT_REPEAT(962),
  [2767] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_bound_repeat1, 2), SHIFT_REPEAT(647),
  [2770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_bound_repeat1, 2),
  [2772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_label, 3),
  [2774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_header, 3, .production_id = 124),
  [2776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [2778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [2780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [2782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_bound, 3),
  [2784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element_value_array_initializer, 2),
  [2786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element_value_array_initializer, 5),
  [2788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [2790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [2792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 1),
  [2794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [2796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1099),
  [2798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [2800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [2802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [2804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [2806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [2808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [2810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [2812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [2814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [2816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [2818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [2820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [2822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [2824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [2826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [2828] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2, .production_id = 99), SHIFT_REPEAT(181),
  [2831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2, .production_id = 99),
  [2833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [2835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [2839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2),
  [2841] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2), SHIFT_REPEAT(609),
  [2844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [2846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [2848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [2850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2),
  [2852] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2), SHIFT_REPEAT(799),
  [2855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [2857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_rule, 3),
  [2859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [2861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [2863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [2865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [2867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [2869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [2871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [2873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [2875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [2877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [2879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_superclass, 2),
  [2881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [2883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [2885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [2887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_constant, 4, .production_id = 174),
  [2889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [2891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [2893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [2895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [2897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [2899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [2901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [2903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [2905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_exports_module_directive_repeat1, 2, .production_id = 210),
  [2907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_exports_module_directive_repeat1, 2, .production_id = 211),
  [2909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [2911] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exports_module_directive_repeat1, 2, .production_id = 213), SHIFT_REPEAT(880),
  [2914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_exports_module_directive_repeat1, 2, .production_id = 213),
  [2916] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_element_value_array_initializer_repeat1, 2), SHIFT_REPEAT(103),
  [2919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_element_value_array_initializer_repeat1, 2),
  [2921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [2923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [2925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [2927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [2929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_declarator_list, 1, .production_id = 12),
  [2931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [2933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_provides_module_directive_repeat1, 2, .production_id = 217),
  [2935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_provides_module_directive_repeat1, 2, .production_id = 218),
  [2937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [2939] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_provides_module_directive_repeat1, 2, .production_id = 220), SHIFT_REPEAT(884),
  [2942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_provides_module_directive_repeat1, 2, .production_id = 220),
  [2944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [2946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_annotation_argument_list_repeat1, 2),
  [2948] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_argument_list_repeat1, 2), SHIFT_REPEAT(1107),
  [2951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_constant, 2, .production_id = 84),
  [2953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [2955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [2957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [2959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2),
  [2961] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2), SHIFT_REPEAT(407),
  [2964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [2966] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_cast_expression_repeat1, 2, .production_id = 46), SHIFT_REPEAT(650),
  [2969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_cast_expression_repeat1, 2, .production_id = 46),
  [2971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [2973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_inferred_parameters_repeat1, 2),
  [2975] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_inferred_parameters_repeat1, 2), SHIFT_REPEAT(983),
  [2978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_resource_specification_repeat1, 2),
  [2980] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_resource_specification_repeat1, 2), SHIFT_REPEAT(348),
  [2983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [2985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [2987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [2989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [2991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [2993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [2995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [2997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [2999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [3001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_declarator_list, 2, .production_id = 41),
  [3003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [3005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [3007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [3009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [3011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [3013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat2, 2, .production_id = 167),
  [3015] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat2, 2, .production_id = 167), SHIFT_REPEAT(270),
  [3018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_constant, 3, .production_id = 142),
  [3020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [3022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_constant, 3, .production_id = 20),
  [3024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [3026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [3028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [3030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [3032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_declarator, 3, .production_id = 160),
  [3034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_declarator, 3, .production_id = 159),
  [3036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [3038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [3040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [3042] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_initializer_repeat1, 2), SHIFT_REPEAT(110),
  [3045] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__variable_declarator_list_repeat1, 2, .production_id = 75), SHIFT_REPEAT(866),
  [3048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__variable_declarator_list_repeat1, 2, .production_id = 75),
  [3050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [3052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_inferred_parameters_repeat1, 2, .production_id = 14),
  [3054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [3056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__variable_declarator_list_repeat1, 2, .production_id = 74),
  [3058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [3060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [3062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [3064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [3066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [3068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [3070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_parameter, 3),
  [3072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [3074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [3076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [3078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [3080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [3082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_cast_expression_repeat1, 2, .production_id = 44),
  [3084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameter, 3, .production_id = 43),
  [3086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [3088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [3090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [3092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_super_interfaces, 2),
  [3094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [3096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [3098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_header, 5, .production_id = 158),
  [3100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_label, 1),
  [3102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [3104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [3106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [3108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [3110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [3112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [3114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [3116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [3118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [3120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [3122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [3124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_declarator, 2, .production_id = 85),
  [3126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, .production_id = 2),
  [3128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_header, 4, .production_id = 124),
  [3130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, .production_id = 83),
  [3132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wildcard, 3),
  [3134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_declarator, 3, .production_id = 123),
  [3136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_interfaces, 2),
  [3138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__wildcard_bounds, 2),
  [3140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [3142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_parameter, 4),
  [3144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_header, 3, .production_id = 87),
  [3146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [3148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [3150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [3152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [3154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [3156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element_value_pair, 3, .production_id = 135),
  [3158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameter, 2, .production_id = 15),
  [3160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [3162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [3164] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [3166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [3168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_formal_parameter, 2, .production_id = 132),
  [3170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [3172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [3174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inferred_parameters, 3),
  [3176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [3178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [3180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [3182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [3184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [3186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [3188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [3190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inferred_parameters, 3, .production_id = 14),
  [3192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [3194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [3196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [3198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [3200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [3202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [3204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource_specification, 5),
  [3206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [3208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [3210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [3212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asterisk, 1),
  [3214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [3216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_formal_parameter, 3, .production_id = 164),
  [3218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [3220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [3222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [3224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [3226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource_specification, 3),
  [3228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [3230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [3232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_permits, 2),
  [3234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [3236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [3238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [3240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [3242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [3244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [3246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [3248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inferred_parameters, 4, .production_id = 14),
  [3250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [3252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [3254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [3256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource_specification, 4),
  [3258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [3260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [3262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [3264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [3266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [3268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inferred_parameters, 4),
  [3270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [3272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [3274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [3276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [3278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [3280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [3282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [3284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [3286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [3288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [3290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__default_value, 2, .production_id = 225),
  [3292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [3294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [3296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_java(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
