#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2226
#define LARGE_STATE_COUNT 175
#define SYMBOL_COUNT 245
#define ALIAS_COUNT 5
#define TOKEN_COUNT 106
#define EXTERNAL_TOKEN_COUNT 10
#define FIELD_COUNT 36
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 134

enum {
  sym_identifier = 1,
  anon_sym_SEMI = 2,
  anon_sym_import = 3,
  anon_sym_DOT = 4,
  anon_sym_from = 5,
  anon_sym___future__ = 6,
  anon_sym_LPAREN = 7,
  anon_sym_RPAREN = 8,
  anon_sym_COMMA = 9,
  anon_sym_as = 10,
  anon_sym_STAR = 11,
  anon_sym_print = 12,
  anon_sym_GT_GT = 13,
  anon_sym_assert = 14,
  anon_sym_COLON_EQ = 15,
  anon_sym_return = 16,
  anon_sym_del = 17,
  anon_sym_raise = 18,
  anon_sym_pass = 19,
  anon_sym_break = 20,
  anon_sym_continue = 21,
  anon_sym_if = 22,
  anon_sym_COLON = 23,
  anon_sym_elif = 24,
  anon_sym_else = 25,
  anon_sym_match = 26,
  anon_sym_case = 27,
  anon_sym_async = 28,
  anon_sym_for = 29,
  anon_sym_in = 30,
  anon_sym_while = 31,
  anon_sym_try = 32,
  anon_sym_except = 33,
  anon_sym_except_STAR = 34,
  anon_sym_finally = 35,
  anon_sym_with = 36,
  anon_sym_def = 37,
  anon_sym_DASH_GT = 38,
  anon_sym_STAR_STAR = 39,
  anon_sym_global = 40,
  anon_sym_nonlocal = 41,
  anon_sym_exec = 42,
  anon_sym_class = 43,
  anon_sym_AT = 44,
  anon_sym_LBRACK = 45,
  anon_sym_RBRACK = 46,
  anon_sym_EQ = 47,
  anon_sym_not = 48,
  anon_sym_and = 49,
  anon_sym_or = 50,
  anon_sym_PLUS = 51,
  anon_sym_DASH = 52,
  anon_sym_SLASH = 53,
  anon_sym_PERCENT = 54,
  anon_sym_SLASH_SLASH = 55,
  anon_sym_PIPE = 56,
  anon_sym_AMP = 57,
  anon_sym_CARET = 58,
  anon_sym_LT_LT = 59,
  anon_sym_TILDE = 60,
  anon_sym_LT = 61,
  anon_sym_LT_EQ = 62,
  anon_sym_EQ_EQ = 63,
  anon_sym_BANG_EQ = 64,
  anon_sym_GT_EQ = 65,
  anon_sym_GT = 66,
  anon_sym_LT_GT = 67,
  anon_sym_is = 68,
  anon_sym_lambda = 69,
  anon_sym_PLUS_EQ = 70,
  anon_sym_DASH_EQ = 71,
  anon_sym_STAR_EQ = 72,
  anon_sym_SLASH_EQ = 73,
  anon_sym_AT_EQ = 74,
  anon_sym_SLASH_SLASH_EQ = 75,
  anon_sym_PERCENT_EQ = 76,
  anon_sym_STAR_STAR_EQ = 77,
  anon_sym_GT_GT_EQ = 78,
  anon_sym_LT_LT_EQ = 79,
  anon_sym_AMP_EQ = 80,
  anon_sym_CARET_EQ = 81,
  anon_sym_PIPE_EQ = 82,
  anon_sym_yield = 83,
  sym_ellipsis = 84,
  anon_sym_LBRACE = 85,
  anon_sym_RBRACE = 86,
  anon_sym_LBRACE2 = 87,
  sym__escape_interpolation = 88,
  sym_escape_sequence = 89,
  sym__not_escape_sequence = 90,
  aux_sym_format_specifier_token1 = 91,
  sym_type_conversion = 92,
  sym_integer = 93,
  sym_float = 94,
  anon_sym_await = 95,
  sym_true = 96,
  sym_false = 97,
  sym_none = 98,
  sym_comment = 99,
  sym__newline = 100,
  sym__indent = 101,
  sym__dedent = 102,
  sym__string_start = 103,
  sym__string_content = 104,
  sym__string_end = 105,
  sym_module = 106,
  sym__statement = 107,
  sym__simple_statements = 108,
  sym_import_statement = 109,
  sym_import_prefix = 110,
  sym_relative_import = 111,
  sym_future_import_statement = 112,
  sym_import_from_statement = 113,
  sym__import_list = 114,
  sym_aliased_import = 115,
  sym_wildcard_import = 116,
  sym_print_statement = 117,
  sym_chevron = 118,
  sym_assert_statement = 119,
  sym_expression_statement = 120,
  sym_named_expression = 121,
  sym__named_expression_lhs = 122,
  sym_return_statement = 123,
  sym_delete_statement = 124,
  sym_raise_statement = 125,
  sym_pass_statement = 126,
  sym_break_statement = 127,
  sym_continue_statement = 128,
  sym_if_statement = 129,
  sym_elif_clause = 130,
  sym_else_clause = 131,
  sym_match_statement = 132,
  sym_case_clause = 133,
  sym_for_statement = 134,
  sym_while_statement = 135,
  sym_try_statement = 136,
  sym_except_clause = 137,
  sym_except_group_clause = 138,
  sym_finally_clause = 139,
  sym_with_statement = 140,
  sym_with_clause = 141,
  sym_with_item = 142,
  sym_function_definition = 143,
  sym_parameters = 144,
  sym_lambda_parameters = 145,
  sym_list_splat = 146,
  sym_dictionary_splat = 147,
  sym_global_statement = 148,
  sym_nonlocal_statement = 149,
  sym_exec_statement = 150,
  sym_class_definition = 151,
  sym_parenthesized_list_splat = 152,
  sym_argument_list = 153,
  sym_decorated_definition = 154,
  sym_decorator = 155,
  sym_block = 156,
  sym_expression_list = 157,
  sym_dotted_name = 158,
  sym__parameters = 159,
  sym__patterns = 160,
  sym_parameter = 161,
  sym_pattern = 162,
  sym_tuple_pattern = 163,
  sym_list_pattern = 164,
  sym_default_parameter = 165,
  sym_typed_default_parameter = 166,
  sym_list_splat_pattern = 167,
  sym_dictionary_splat_pattern = 168,
  sym_as_pattern = 169,
  sym__expression_within_for_in_clause = 170,
  sym_expression = 171,
  sym_primary_expression = 172,
  sym_not_operator = 173,
  sym_boolean_operator = 174,
  sym_binary_operator = 175,
  sym_unary_operator = 176,
  sym_comparison_operator = 177,
  sym_lambda = 178,
  sym_lambda_within_for_in_clause = 179,
  sym_assignment = 180,
  sym_augmented_assignment = 181,
  sym_pattern_list = 182,
  sym__right_hand_side = 183,
  sym_yield = 184,
  sym_attribute = 185,
  sym_subscript = 186,
  sym_slice = 187,
  sym_call = 188,
  sym_typed_parameter = 189,
  sym_type = 190,
  sym_keyword_argument = 191,
  sym_list = 192,
  sym_set = 193,
  sym_tuple = 194,
  sym_dictionary = 195,
  sym_pair = 196,
  sym_list_comprehension = 197,
  sym_dictionary_comprehension = 198,
  sym_set_comprehension = 199,
  sym_generator_expression = 200,
  sym__comprehension_clauses = 201,
  sym_parenthesized_expression = 202,
  sym__collection_elements = 203,
  sym_for_in_clause = 204,
  sym_if_clause = 205,
  sym_conditional_expression = 206,
  sym_concatenated_string = 207,
  sym_string = 208,
  sym_string_content = 209,
  sym_interpolation = 210,
  sym__f_expression = 211,
  sym_format_specifier = 212,
  sym_await = 213,
  sym_positional_separator = 214,
  sym_keyword_separator = 215,
  aux_sym_module_repeat1 = 216,
  aux_sym__simple_statements_repeat1 = 217,
  aux_sym_import_prefix_repeat1 = 218,
  aux_sym__import_list_repeat1 = 219,
  aux_sym_print_statement_repeat1 = 220,
  aux_sym_assert_statement_repeat1 = 221,
  aux_sym_if_statement_repeat1 = 222,
  aux_sym_match_statement_repeat1 = 223,
  aux_sym_match_statement_repeat2 = 224,
  aux_sym_case_clause_repeat1 = 225,
  aux_sym_try_statement_repeat1 = 226,
  aux_sym_try_statement_repeat2 = 227,
  aux_sym_with_clause_repeat1 = 228,
  aux_sym_global_statement_repeat1 = 229,
  aux_sym_argument_list_repeat1 = 230,
  aux_sym_decorated_definition_repeat1 = 231,
  aux_sym_dotted_name_repeat1 = 232,
  aux_sym__parameters_repeat1 = 233,
  aux_sym__patterns_repeat1 = 234,
  aux_sym_comparison_operator_repeat1 = 235,
  aux_sym_subscript_repeat1 = 236,
  aux_sym_dictionary_repeat1 = 237,
  aux_sym__comprehension_clauses_repeat1 = 238,
  aux_sym__collection_elements_repeat1 = 239,
  aux_sym_for_in_clause_repeat1 = 240,
  aux_sym_concatenated_string_repeat1 = 241,
  aux_sym_string_repeat1 = 242,
  aux_sym_string_content_repeat1 = 243,
  aux_sym_format_specifier_repeat1 = 244,
  alias_sym_as_pattern_target = 245,
  alias_sym_case_pattern = 246,
  alias_sym_format_expression = 247,
  anon_alias_sym_isnot = 248,
  anon_alias_sym_notin = 249,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_SEMI] = ";",
  [anon_sym_import] = "import",
  [anon_sym_DOT] = ".",
  [anon_sym_from] = "from",
  [anon_sym___future__] = "__future__",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_COMMA] = ",",
  [anon_sym_as] = "as",
  [anon_sym_STAR] = "*",
  [anon_sym_print] = "print",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_assert] = "assert",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_return] = "return",
  [anon_sym_del] = "del",
  [anon_sym_raise] = "raise",
  [anon_sym_pass] = "pass",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_if] = "if",
  [anon_sym_COLON] = ":",
  [anon_sym_elif] = "elif",
  [anon_sym_else] = "else",
  [anon_sym_match] = "match",
  [anon_sym_case] = "case",
  [anon_sym_async] = "async",
  [anon_sym_for] = "for",
  [anon_sym_in] = "in",
  [anon_sym_while] = "while",
  [anon_sym_try] = "try",
  [anon_sym_except] = "except",
  [anon_sym_except_STAR] = "except*",
  [anon_sym_finally] = "finally",
  [anon_sym_with] = "with",
  [anon_sym_def] = "def",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_global] = "global",
  [anon_sym_nonlocal] = "nonlocal",
  [anon_sym_exec] = "exec",
  [anon_sym_class] = "class",
  [anon_sym_AT] = "@",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_EQ] = "=",
  [anon_sym_not] = "not",
  [anon_sym_and] = "and",
  [anon_sym_or] = "or",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_SLASH_SLASH] = "//",
  [anon_sym_PIPE] = "|",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_TILDE] = "~",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_GT] = ">",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_is] = "is",
  [anon_sym_lambda] = "lambda",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_AT_EQ] = "@=",
  [anon_sym_SLASH_SLASH_EQ] = "//=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_yield] = "yield",
  [sym_ellipsis] = "ellipsis",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_LBRACE2] = "{",
  [sym__escape_interpolation] = "_escape_interpolation",
  [sym_escape_sequence] = "escape_sequence",
  [sym__not_escape_sequence] = "_not_escape_sequence",
  [aux_sym_format_specifier_token1] = "format_specifier_token1",
  [sym_type_conversion] = "type_conversion",
  [sym_integer] = "integer",
  [sym_float] = "float",
  [anon_sym_await] = "await",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_none] = "none",
  [sym_comment] = "comment",
  [sym__newline] = "_newline",
  [sym__indent] = "_indent",
  [sym__dedent] = "_dedent",
  [sym__string_start] = "\"",
  [sym__string_content] = "_string_content",
  [sym__string_end] = "\"",
  [sym_module] = "module",
  [sym__statement] = "_statement",
  [sym__simple_statements] = "_simple_statements",
  [sym_import_statement] = "import_statement",
  [sym_import_prefix] = "import_prefix",
  [sym_relative_import] = "relative_import",
  [sym_future_import_statement] = "future_import_statement",
  [sym_import_from_statement] = "import_from_statement",
  [sym__import_list] = "_import_list",
  [sym_aliased_import] = "aliased_import",
  [sym_wildcard_import] = "wildcard_import",
  [sym_print_statement] = "print_statement",
  [sym_chevron] = "chevron",
  [sym_assert_statement] = "assert_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_named_expression] = "named_expression",
  [sym__named_expression_lhs] = "_named_expression_lhs",
  [sym_return_statement] = "return_statement",
  [sym_delete_statement] = "delete_statement",
  [sym_raise_statement] = "raise_statement",
  [sym_pass_statement] = "pass_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_if_statement] = "if_statement",
  [sym_elif_clause] = "elif_clause",
  [sym_else_clause] = "else_clause",
  [sym_match_statement] = "match_statement",
  [sym_case_clause] = "case_clause",
  [sym_for_statement] = "for_statement",
  [sym_while_statement] = "while_statement",
  [sym_try_statement] = "try_statement",
  [sym_except_clause] = "except_clause",
  [sym_except_group_clause] = "except_group_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_with_statement] = "with_statement",
  [sym_with_clause] = "with_clause",
  [sym_with_item] = "with_item",
  [sym_function_definition] = "function_definition",
  [sym_parameters] = "parameters",
  [sym_lambda_parameters] = "lambda_parameters",
  [sym_list_splat] = "list_splat",
  [sym_dictionary_splat] = "dictionary_splat",
  [sym_global_statement] = "global_statement",
  [sym_nonlocal_statement] = "nonlocal_statement",
  [sym_exec_statement] = "exec_statement",
  [sym_class_definition] = "class_definition",
  [sym_parenthesized_list_splat] = "parenthesized_list_splat",
  [sym_argument_list] = "argument_list",
  [sym_decorated_definition] = "decorated_definition",
  [sym_decorator] = "decorator",
  [sym_block] = "block",
  [sym_expression_list] = "expression_list",
  [sym_dotted_name] = "dotted_name",
  [sym__parameters] = "_parameters",
  [sym__patterns] = "_patterns",
  [sym_parameter] = "parameter",
  [sym_pattern] = "pattern",
  [sym_tuple_pattern] = "tuple_pattern",
  [sym_list_pattern] = "list_pattern",
  [sym_default_parameter] = "default_parameter",
  [sym_typed_default_parameter] = "typed_default_parameter",
  [sym_list_splat_pattern] = "list_splat_pattern",
  [sym_dictionary_splat_pattern] = "dictionary_splat_pattern",
  [sym_as_pattern] = "as_pattern",
  [sym__expression_within_for_in_clause] = "_expression_within_for_in_clause",
  [sym_expression] = "expression",
  [sym_primary_expression] = "primary_expression",
  [sym_not_operator] = "not_operator",
  [sym_boolean_operator] = "boolean_operator",
  [sym_binary_operator] = "binary_operator",
  [sym_unary_operator] = "unary_operator",
  [sym_comparison_operator] = "comparison_operator",
  [sym_lambda] = "lambda",
  [sym_lambda_within_for_in_clause] = "lambda",
  [sym_assignment] = "assignment",
  [sym_augmented_assignment] = "augmented_assignment",
  [sym_pattern_list] = "pattern_list",
  [sym__right_hand_side] = "_right_hand_side",
  [sym_yield] = "yield",
  [sym_attribute] = "attribute",
  [sym_subscript] = "subscript",
  [sym_slice] = "slice",
  [sym_call] = "call",
  [sym_typed_parameter] = "typed_parameter",
  [sym_type] = "type",
  [sym_keyword_argument] = "keyword_argument",
  [sym_list] = "list",
  [sym_set] = "set",
  [sym_tuple] = "tuple",
  [sym_dictionary] = "dictionary",
  [sym_pair] = "pair",
  [sym_list_comprehension] = "list_comprehension",
  [sym_dictionary_comprehension] = "dictionary_comprehension",
  [sym_set_comprehension] = "set_comprehension",
  [sym_generator_expression] = "generator_expression",
  [sym__comprehension_clauses] = "_comprehension_clauses",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym__collection_elements] = "_collection_elements",
  [sym_for_in_clause] = "for_in_clause",
  [sym_if_clause] = "if_clause",
  [sym_conditional_expression] = "conditional_expression",
  [sym_concatenated_string] = "concatenated_string",
  [sym_string] = "string",
  [sym_string_content] = "string_content",
  [sym_interpolation] = "interpolation",
  [sym__f_expression] = "_f_expression",
  [sym_format_specifier] = "format_specifier",
  [sym_await] = "await",
  [sym_positional_separator] = "positional_separator",
  [sym_keyword_separator] = "keyword_separator",
  [aux_sym_module_repeat1] = "module_repeat1",
  [aux_sym__simple_statements_repeat1] = "_simple_statements_repeat1",
  [aux_sym_import_prefix_repeat1] = "import_prefix_repeat1",
  [aux_sym__import_list_repeat1] = "_import_list_repeat1",
  [aux_sym_print_statement_repeat1] = "print_statement_repeat1",
  [aux_sym_assert_statement_repeat1] = "assert_statement_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_match_statement_repeat1] = "match_statement_repeat1",
  [aux_sym_match_statement_repeat2] = "match_statement_repeat2",
  [aux_sym_case_clause_repeat1] = "case_clause_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_try_statement_repeat2] = "try_statement_repeat2",
  [aux_sym_with_clause_repeat1] = "with_clause_repeat1",
  [aux_sym_global_statement_repeat1] = "global_statement_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_decorated_definition_repeat1] = "decorated_definition_repeat1",
  [aux_sym_dotted_name_repeat1] = "dotted_name_repeat1",
  [aux_sym__parameters_repeat1] = "_parameters_repeat1",
  [aux_sym__patterns_repeat1] = "_patterns_repeat1",
  [aux_sym_comparison_operator_repeat1] = "comparison_operator_repeat1",
  [aux_sym_subscript_repeat1] = "subscript_repeat1",
  [aux_sym_dictionary_repeat1] = "dictionary_repeat1",
  [aux_sym__comprehension_clauses_repeat1] = "_comprehension_clauses_repeat1",
  [aux_sym__collection_elements_repeat1] = "_collection_elements_repeat1",
  [aux_sym_for_in_clause_repeat1] = "for_in_clause_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_content_repeat1] = "string_content_repeat1",
  [aux_sym_format_specifier_repeat1] = "format_specifier_repeat1",
  [alias_sym_as_pattern_target] = "as_pattern_target",
  [alias_sym_case_pattern] = "case_pattern",
  [alias_sym_format_expression] = "format_expression",
  [anon_alias_sym_isnot] = "is not",
  [anon_alias_sym_notin] = "not in",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_from] = anon_sym_from,
  [anon_sym___future__] = anon_sym___future__,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_print] = anon_sym_print,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_assert] = anon_sym_assert,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_del] = anon_sym_del,
  [anon_sym_raise] = anon_sym_raise,
  [anon_sym_pass] = anon_sym_pass,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_elif] = anon_sym_elif,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_match] = anon_sym_match,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_except] = anon_sym_except,
  [anon_sym_except_STAR] = anon_sym_except_STAR,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_def] = anon_sym_def,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_global] = anon_sym_global,
  [anon_sym_nonlocal] = anon_sym_nonlocal,
  [anon_sym_exec] = anon_sym_exec,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_not] = anon_sym_not,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_SLASH_SLASH] = anon_sym_SLASH_SLASH,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_GT] = anon_sym_LT_GT,
  [anon_sym_is] = anon_sym_is,
  [anon_sym_lambda] = anon_sym_lambda,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_AT_EQ] = anon_sym_AT_EQ,
  [anon_sym_SLASH_SLASH_EQ] = anon_sym_SLASH_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_yield] = anon_sym_yield,
  [sym_ellipsis] = sym_ellipsis,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_LBRACE2] = anon_sym_LBRACE,
  [sym__escape_interpolation] = sym__escape_interpolation,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym__not_escape_sequence] = sym__not_escape_sequence,
  [aux_sym_format_specifier_token1] = aux_sym_format_specifier_token1,
  [sym_type_conversion] = sym_type_conversion,
  [sym_integer] = sym_integer,
  [sym_float] = sym_float,
  [anon_sym_await] = anon_sym_await,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_none] = sym_none,
  [sym_comment] = sym_comment,
  [sym__newline] = sym__newline,
  [sym__indent] = sym__indent,
  [sym__dedent] = sym__dedent,
  [sym__string_start] = sym__string_start,
  [sym__string_content] = sym__string_content,
  [sym__string_end] = sym__string_start,
  [sym_module] = sym_module,
  [sym__statement] = sym__statement,
  [sym__simple_statements] = sym__simple_statements,
  [sym_import_statement] = sym_import_statement,
  [sym_import_prefix] = sym_import_prefix,
  [sym_relative_import] = sym_relative_import,
  [sym_future_import_statement] = sym_future_import_statement,
  [sym_import_from_statement] = sym_import_from_statement,
  [sym__import_list] = sym__import_list,
  [sym_aliased_import] = sym_aliased_import,
  [sym_wildcard_import] = sym_wildcard_import,
  [sym_print_statement] = sym_print_statement,
  [sym_chevron] = sym_chevron,
  [sym_assert_statement] = sym_assert_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_named_expression] = sym_named_expression,
  [sym__named_expression_lhs] = sym__named_expression_lhs,
  [sym_return_statement] = sym_return_statement,
  [sym_delete_statement] = sym_delete_statement,
  [sym_raise_statement] = sym_raise_statement,
  [sym_pass_statement] = sym_pass_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_elif_clause] = sym_elif_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_match_statement] = sym_match_statement,
  [sym_case_clause] = sym_case_clause,
  [sym_for_statement] = sym_for_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_except_clause] = sym_except_clause,
  [sym_except_group_clause] = sym_except_group_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_with_statement] = sym_with_statement,
  [sym_with_clause] = sym_with_clause,
  [sym_with_item] = sym_with_item,
  [sym_function_definition] = sym_function_definition,
  [sym_parameters] = sym_parameters,
  [sym_lambda_parameters] = sym_lambda_parameters,
  [sym_list_splat] = sym_list_splat,
  [sym_dictionary_splat] = sym_dictionary_splat,
  [sym_global_statement] = sym_global_statement,
  [sym_nonlocal_statement] = sym_nonlocal_statement,
  [sym_exec_statement] = sym_exec_statement,
  [sym_class_definition] = sym_class_definition,
  [sym_parenthesized_list_splat] = sym_parenthesized_list_splat,
  [sym_argument_list] = sym_argument_list,
  [sym_decorated_definition] = sym_decorated_definition,
  [sym_decorator] = sym_decorator,
  [sym_block] = sym_block,
  [sym_expression_list] = sym_expression_list,
  [sym_dotted_name] = sym_dotted_name,
  [sym__parameters] = sym__parameters,
  [sym__patterns] = sym__patterns,
  [sym_parameter] = sym_parameter,
  [sym_pattern] = sym_pattern,
  [sym_tuple_pattern] = sym_tuple_pattern,
  [sym_list_pattern] = sym_list_pattern,
  [sym_default_parameter] = sym_default_parameter,
  [sym_typed_default_parameter] = sym_typed_default_parameter,
  [sym_list_splat_pattern] = sym_list_splat_pattern,
  [sym_dictionary_splat_pattern] = sym_dictionary_splat_pattern,
  [sym_as_pattern] = sym_as_pattern,
  [sym__expression_within_for_in_clause] = sym__expression_within_for_in_clause,
  [sym_expression] = sym_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_not_operator] = sym_not_operator,
  [sym_boolean_operator] = sym_boolean_operator,
  [sym_binary_operator] = sym_binary_operator,
  [sym_unary_operator] = sym_unary_operator,
  [sym_comparison_operator] = sym_comparison_operator,
  [sym_lambda] = sym_lambda,
  [sym_lambda_within_for_in_clause] = sym_lambda,
  [sym_assignment] = sym_assignment,
  [sym_augmented_assignment] = sym_augmented_assignment,
  [sym_pattern_list] = sym_pattern_list,
  [sym__right_hand_side] = sym__right_hand_side,
  [sym_yield] = sym_yield,
  [sym_attribute] = sym_attribute,
  [sym_subscript] = sym_subscript,
  [sym_slice] = sym_slice,
  [sym_call] = sym_call,
  [sym_typed_parameter] = sym_typed_parameter,
  [sym_type] = sym_type,
  [sym_keyword_argument] = sym_keyword_argument,
  [sym_list] = sym_list,
  [sym_set] = sym_set,
  [sym_tuple] = sym_tuple,
  [sym_dictionary] = sym_dictionary,
  [sym_pair] = sym_pair,
  [sym_list_comprehension] = sym_list_comprehension,
  [sym_dictionary_comprehension] = sym_dictionary_comprehension,
  [sym_set_comprehension] = sym_set_comprehension,
  [sym_generator_expression] = sym_generator_expression,
  [sym__comprehension_clauses] = sym__comprehension_clauses,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym__collection_elements] = sym__collection_elements,
  [sym_for_in_clause] = sym_for_in_clause,
  [sym_if_clause] = sym_if_clause,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_concatenated_string] = sym_concatenated_string,
  [sym_string] = sym_string,
  [sym_string_content] = sym_string_content,
  [sym_interpolation] = sym_interpolation,
  [sym__f_expression] = sym__f_expression,
  [sym_format_specifier] = sym_format_specifier,
  [sym_await] = sym_await,
  [sym_positional_separator] = sym_positional_separator,
  [sym_keyword_separator] = sym_keyword_separator,
  [aux_sym_module_repeat1] = aux_sym_module_repeat1,
  [aux_sym__simple_statements_repeat1] = aux_sym__simple_statements_repeat1,
  [aux_sym_import_prefix_repeat1] = aux_sym_import_prefix_repeat1,
  [aux_sym__import_list_repeat1] = aux_sym__import_list_repeat1,
  [aux_sym_print_statement_repeat1] = aux_sym_print_statement_repeat1,
  [aux_sym_assert_statement_repeat1] = aux_sym_assert_statement_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_match_statement_repeat1] = aux_sym_match_statement_repeat1,
  [aux_sym_match_statement_repeat2] = aux_sym_match_statement_repeat2,
  [aux_sym_case_clause_repeat1] = aux_sym_case_clause_repeat1,
  [aux_sym_try_statement_repeat1] = aux_sym_try_statement_repeat1,
  [aux_sym_try_statement_repeat2] = aux_sym_try_statement_repeat2,
  [aux_sym_with_clause_repeat1] = aux_sym_with_clause_repeat1,
  [aux_sym_global_statement_repeat1] = aux_sym_global_statement_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_decorated_definition_repeat1] = aux_sym_decorated_definition_repeat1,
  [aux_sym_dotted_name_repeat1] = aux_sym_dotted_name_repeat1,
  [aux_sym__parameters_repeat1] = aux_sym__parameters_repeat1,
  [aux_sym__patterns_repeat1] = aux_sym__patterns_repeat1,
  [aux_sym_comparison_operator_repeat1] = aux_sym_comparison_operator_repeat1,
  [aux_sym_subscript_repeat1] = aux_sym_subscript_repeat1,
  [aux_sym_dictionary_repeat1] = aux_sym_dictionary_repeat1,
  [aux_sym__comprehension_clauses_repeat1] = aux_sym__comprehension_clauses_repeat1,
  [aux_sym__collection_elements_repeat1] = aux_sym__collection_elements_repeat1,
  [aux_sym_for_in_clause_repeat1] = aux_sym_for_in_clause_repeat1,
  [aux_sym_concatenated_string_repeat1] = aux_sym_concatenated_string_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_content_repeat1] = aux_sym_string_content_repeat1,
  [aux_sym_format_specifier_repeat1] = aux_sym_format_specifier_repeat1,
  [alias_sym_as_pattern_target] = alias_sym_as_pattern_target,
  [alias_sym_case_pattern] = alias_sym_case_pattern,
  [alias_sym_format_expression] = alias_sym_format_expression,
  [anon_alias_sym_isnot] = anon_alias_sym_isnot,
  [anon_alias_sym_notin] = anon_alias_sym_notin,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___future__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_print] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_del] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_raise] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pass] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_elif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_match] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_except] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_except_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_def] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_global] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nonlocal] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_exec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lambda] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [sym_ellipsis] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE2] = {
    .visible = true,
    .named = false,
  },
  [sym__escape_interpolation] = {
    .visible = false,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym__not_escape_sequence] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_format_specifier_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_type_conversion] = {
    .visible = true,
    .named = true,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_none] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__newline] = {
    .visible = false,
    .named = true,
  },
  [sym__indent] = {
    .visible = false,
    .named = true,
  },
  [sym__dedent] = {
    .visible = false,
    .named = true,
  },
  [sym__string_start] = {
    .visible = true,
    .named = false,
  },
  [sym__string_content] = {
    .visible = false,
    .named = true,
  },
  [sym__string_end] = {
    .visible = true,
    .named = false,
  },
  [sym_module] = {
    .visible = true,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_statements] = {
    .visible = false,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_prefix] = {
    .visible = true,
    .named = true,
  },
  [sym_relative_import] = {
    .visible = true,
    .named = true,
  },
  [sym_future_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_from_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__import_list] = {
    .visible = false,
    .named = true,
  },
  [sym_aliased_import] = {
    .visible = true,
    .named = true,
  },
  [sym_wildcard_import] = {
    .visible = true,
    .named = true,
  },
  [sym_print_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_chevron] = {
    .visible = true,
    .named = true,
  },
  [sym_assert_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_named_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__named_expression_lhs] = {
    .visible = false,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_raise_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_pass_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_elif_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_match_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_except_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_except_group_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_with_item] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_list_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_global_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_nonlocal_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_exec_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_class_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_list_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_decorated_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_list] = {
    .visible = true,
    .named = true,
  },
  [sym_dotted_name] = {
    .visible = true,
    .named = true,
  },
  [sym__parameters] = {
    .visible = false,
    .named = true,
  },
  [sym__patterns] = {
    .visible = false,
    .named = true,
  },
  [sym_parameter] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_tuple_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_list_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_default_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_default_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_list_splat_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_splat_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_as_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__expression_within_for_in_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_not_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_comparison_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_within_for_in_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern_list] = {
    .visible = true,
    .named = true,
  },
  [sym__right_hand_side] = {
    .visible = false,
    .named = true,
  },
  [sym_yield] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript] = {
    .visible = true,
    .named = true,
  },
  [sym_slice] = {
    .visible = true,
    .named = true,
  },
  [sym_call] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym_set] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_list_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_set_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__comprehension_clauses] = {
    .visible = false,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__collection_elements] = {
    .visible = false,
    .named = true,
  },
  [sym_for_in_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym__f_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_format_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_await] = {
    .visible = true,
    .named = true,
  },
  [sym_positional_separator] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_separator] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_module_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__simple_statements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_prefix_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__import_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_print_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_assert_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_with_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_decorated_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dotted_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__patterns_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_comparison_operator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_subscript_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dictionary_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__comprehension_clauses_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__collection_elements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_in_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_format_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_as_pattern_target] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_case_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_format_expression] = {
    .visible = true,
    .named = true,
  },
  [anon_alias_sym_isnot] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_notin] = {
    .visible = true,
    .named = false,
  },
};

enum {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attribute = 5,
  field_body = 6,
  field_cause = 7,
  field_code = 8,
  field_condition = 9,
  field_consequence = 10,
  field_definition = 11,
  field_expression = 12,
  field_format_specifier = 13,
  field_function = 14,
  field_guard = 15,
  field_interpolation = 16,
  field_key = 17,
  field_left = 18,
  field_module_name = 19,
  field_name = 20,
  field_object = 21,
  field_operator = 22,
  field_operators = 23,
  field_parameters = 24,
  field_pattern = 25,
  field_prefix = 26,
  field_return_type = 27,
  field_right = 28,
  field_string_content = 29,
  field_subject = 30,
  field_subscript = 31,
  field_suffix = 32,
  field_superclasses = 33,
  field_type = 34,
  field_type_conversion = 35,
  field_value = 36,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attribute] = "attribute",
  [field_body] = "body",
  [field_cause] = "cause",
  [field_code] = "code",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_definition] = "definition",
  [field_expression] = "expression",
  [field_format_specifier] = "format_specifier",
  [field_function] = "function",
  [field_guard] = "guard",
  [field_interpolation] = "interpolation",
  [field_key] = "key",
  [field_left] = "left",
  [field_module_name] = "module_name",
  [field_name] = "name",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_operators] = "operators",
  [field_parameters] = "parameters",
  [field_pattern] = "pattern",
  [field_prefix] = "prefix",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_string_content] = "string_content",
  [field_subject] = "subject",
  [field_subscript] = "subscript",
  [field_suffix] = "suffix",
  [field_superclasses] = "superclasses",
  [field_type] = "type",
  [field_type_conversion] = "type_conversion",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 2},
  [3] = {.index = 2, .length = 1},
  [4] = {.index = 3, .length = 1},
  [5] = {.index = 4, .length = 1},
  [6] = {.index = 5, .length = 1},
  [8] = {.index = 6, .length = 1},
  [9] = {.index = 7, .length = 1},
  [10] = {.index = 8, .length = 1},
  [11] = {.index = 9, .length = 2},
  [12] = {.index = 11, .length = 2},
  [13] = {.index = 13, .length = 1},
  [14] = {.index = 14, .length = 1},
  [15] = {.index = 15, .length = 4},
  [16] = {.index = 19, .length = 4},
  [17] = {.index = 23, .length = 2},
  [18] = {.index = 25, .length = 1},
  [19] = {.index = 26, .length = 2},
  [20] = {.index = 28, .length = 1},
  [21] = {.index = 29, .length = 1},
  [22] = {.index = 30, .length = 1},
  [23] = {.index = 31, .length = 2},
  [24] = {.index = 33, .length = 2},
  [25] = {.index = 35, .length = 2},
  [26] = {.index = 37, .length = 3},
  [27] = {.index = 40, .length = 1},
  [28] = {.index = 41, .length = 2},
  [29] = {.index = 43, .length = 1},
  [30] = {.index = 44, .length = 2},
  [31] = {.index = 46, .length = 1},
  [32] = {.index = 47, .length = 1},
  [33] = {.index = 48, .length = 2},
  [34] = {.index = 50, .length = 2},
  [35] = {.index = 52, .length = 1},
  [36] = {.index = 53, .length = 2},
  [37] = {.index = 55, .length = 1},
  [39] = {.index = 56, .length = 1},
  [40] = {.index = 57, .length = 2},
  [41] = {.index = 59, .length = 1},
  [42] = {.index = 60, .length = 2},
  [43] = {.index = 62, .length = 1},
  [44] = {.index = 63, .length = 2},
  [45] = {.index = 65, .length = 2},
  [46] = {.index = 67, .length = 2},
  [47] = {.index = 69, .length = 2},
  [48] = {.index = 30, .length = 1},
  [49] = {.index = 71, .length = 1},
  [50] = {.index = 72, .length = 2},
  [51] = {.index = 74, .length = 1},
  [52] = {.index = 75, .length = 2},
  [53] = {.index = 77, .length = 2},
  [54] = {.index = 79, .length = 2},
  [55] = {.index = 81, .length = 2},
  [56] = {.index = 81, .length = 2},
  [58] = {.index = 83, .length = 2},
  [59] = {.index = 85, .length = 2},
  [60] = {.index = 87, .length = 3},
  [61] = {.index = 90, .length = 3},
  [62] = {.index = 93, .length = 3},
  [63] = {.index = 96, .length = 2},
  [64] = {.index = 98, .length = 2},
  [65] = {.index = 100, .length = 3},
  [66] = {.index = 103, .length = 1},
  [67] = {.index = 104, .length = 3},
  [68] = {.index = 107, .length = 3},
  [69] = {.index = 110, .length = 2},
  [70] = {.index = 112, .length = 2},
  [71] = {.index = 114, .length = 3},
  [72] = {.index = 117, .length = 3},
  [73] = {.index = 120, .length = 3},
  [74] = {.index = 123, .length = 3},
  [75] = {.index = 31, .length = 2},
  [76] = {.index = 126, .length = 1},
  [77] = {.index = 127, .length = 3},
  [78] = {.index = 130, .length = 2},
  [79] = {.index = 132, .length = 2},
  [80] = {.index = 134, .length = 2},
  [81] = {.index = 136, .length = 3},
  [82] = {.index = 139, .length = 1},
  [83] = {.index = 140, .length = 2},
  [84] = {.index = 142, .length = 2},
  [85] = {.index = 144, .length = 4},
  [86] = {.index = 148, .length = 4},
  [87] = {.index = 152, .length = 4},
  [88] = {.index = 156, .length = 3},
  [89] = {.index = 159, .length = 2},
  [90] = {.index = 161, .length = 3},
  [91] = {.index = 164, .length = 3},
  [92] = {.index = 167, .length = 4},
  [94] = {.index = 171, .length = 4},
  [95] = {.index = 175, .length = 4},
  [96] = {.index = 179, .length = 3},
  [97] = {.index = 182, .length = 3},
  [98] = {.index = 185, .length = 2},
  [99] = {.index = 187, .length = 3},
  [100] = {.index = 190, .length = 5},
  [101] = {.index = 195, .length = 1},
  [102] = {.index = 196, .length = 2},
  [103] = {.index = 198, .length = 2},
  [104] = {.index = 200, .length = 3},
  [105] = {.index = 203, .length = 4},
  [106] = {.index = 207, .length = 4},
  [107] = {.index = 211, .length = 4},
  [109] = {.index = 215, .length = 4},
  [110] = {.index = 219, .length = 3},
  [111] = {.index = 222, .length = 2},
  [112] = {.index = 224, .length = 3},
  [113] = {.index = 227, .length = 3},
  [114] = {.index = 230, .length = 3},
  [115] = {.index = 233, .length = 4},
  [116] = {.index = 237, .length = 4},
  [117] = {.index = 241, .length = 4},
  [118] = {.index = 245, .length = 5},
  [119] = {.index = 250, .length = 5},
  [120] = {.index = 255, .length = 3},
  [121] = {.index = 258, .length = 3},
  [122] = {.index = 261, .length = 4},
  [123] = {.index = 265, .length = 3},
  [124] = {.index = 268, .length = 4},
  [125] = {.index = 272, .length = 4},
  [126] = {.index = 276, .length = 5},
  [127] = {.index = 281, .length = 5},
  [129] = {.index = 286, .length = 4},
  [130] = {.index = 290, .length = 4},
  [131] = {.index = 294, .length = 4},
  [132] = {.index = 298, .length = 5},
  [133] = {.index = 303, .length = 5},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_prefix, 0},
    {field_suffix, 1},
  [2] =
    {field_string_content, 0},
  [3] =
    {field_interpolation, 0},
  [4] =
    {field_name, 1, .inherited = true},
  [5] =
    {field_name, 0},
  [6] =
    {field_argument, 1},
  [7] =
    {field_value, 0},
  [8] =
    {field_code, 1},
  [9] =
    {field_argument, 1},
    {field_operator, 0},
  [11] =
    {field_arguments, 1},
    {field_function, 0},
  [13] =
    {field_operators, 1, .inherited = true},
  [14] =
    {field_definition, 1},
  [15] =
    {field_interpolation, 1, .inherited = true},
    {field_prefix, 0},
    {field_string_content, 1, .inherited = true},
    {field_suffix, 2},
  [19] =
    {field_interpolation, 0, .inherited = true},
    {field_interpolation, 1, .inherited = true},
    {field_string_content, 0, .inherited = true},
    {field_string_content, 1, .inherited = true},
  [23] =
    {field_name, 0},
    {field_name, 1, .inherited = true},
  [25] =
    {field_argument, 2, .inherited = true},
  [26] =
    {field_argument, 1},
    {field_argument, 2, .inherited = true},
  [28] =
    {field_cause, 2},
  [29] =
    {field_subject, 1},
  [30] =
    {field_body, 2},
  [31] =
    {field_name, 0},
    {field_value, 2},
  [33] =
    {field_left, 0},
    {field_type, 2},
  [35] =
    {field_left, 0},
    {field_right, 2},
  [37] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [40] =
    {field_alias, 2},
  [41] =
    {field_attribute, 2},
    {field_object, 0},
  [43] =
    {field_operators, 0},
  [44] =
    {field_operators, 0, .inherited = true},
    {field_operators, 1, .inherited = true},
  [46] =
    {field_expression, 1},
  [47] =
    {field_name, 1},
  [48] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [50] =
    {field_alias, 2},
    {field_name, 0},
  [52] =
    {field_name, 3, .inherited = true},
  [53] =
    {field_module_name, 1},
    {field_name, 3, .inherited = true},
  [55] =
    {field_module_name, 1},
  [56] =
    {field_body, 1},
  [57] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [59] =
    {field_cause, 3},
  [60] =
    {field_condition, 1},
    {field_consequence, 3},
  [62] =
    {field_alternative, 0},
  [63] =
    {field_alternative, 3, .inherited = true},
    {field_subject, 1},
  [65] =
    {field_subject, 1},
    {field_subject, 2, .inherited = true},
  [67] =
    {field_subject, 0, .inherited = true},
    {field_subject, 1, .inherited = true},
  [69] =
    {field_body, 3},
    {field_condition, 1},
  [71] =
    {field_body, 3},
  [72] =
    {field_body, 3},
    {field_name, 1},
  [74] =
    {field_type, 2},
  [75] =
    {field_body, 3},
    {field_parameters, 1},
  [77] =
    {field_key, 0},
    {field_value, 2},
  [79] =
    {field_subscript, 2},
    {field_value, 0},
  [81] =
    {field_operators, 0},
    {field_operators, 1},
  [83] =
    {field_expression, 1},
    {field_type_conversion, 2},
  [85] =
    {field_expression, 1},
    {field_format_specifier, 2},
  [87] =
    {field_alternative, 4},
    {field_condition, 1},
    {field_consequence, 3},
  [90] =
    {field_alternative, 4, .inherited = true},
    {field_condition, 1},
    {field_consequence, 3},
  [93] =
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [96] =
    {field_alternative, 4, .inherited = true},
    {field_subject, 1},
  [98] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
  [100] =
    {field_alternative, 4, .inherited = true},
    {field_subject, 1},
    {field_subject, 2, .inherited = true},
  [103] =
    {field_body, 4},
  [104] =
    {field_alternative, 4},
    {field_body, 3},
    {field_condition, 1},
  [107] =
    {field_body, 3},
    {field_body, 4},
    {field_condition, 1},
  [110] =
    {field_body, 2},
    {field_body, 3},
  [112] =
    {field_body, 3},
    {field_body, 4},
  [114] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 2},
  [117] =
    {field_body, 3},
    {field_body, 4},
    {field_name, 1},
  [120] =
    {field_body, 4},
    {field_name, 1},
    {field_superclasses, 2},
  [123] =
    {field_left, 0},
    {field_right, 4},
    {field_type, 2},
  [126] =
    {field_subscript, 1},
  [127] =
    {field_subscript, 2},
    {field_subscript, 3, .inherited = true},
    {field_value, 0},
  [130] =
    {field_subscript, 0, .inherited = true},
    {field_subscript, 1, .inherited = true},
  [132] =
    {field_expression, 1},
    {field_type_conversion, 3},
  [134] =
    {field_expression, 1},
    {field_format_specifier, 3},
  [136] =
    {field_expression, 1},
    {field_format_specifier, 3},
    {field_type_conversion, 2},
  [139] =
    {field_name, 4, .inherited = true},
  [140] =
    {field_module_name, 1},
    {field_name, 4, .inherited = true},
  [142] =
    {field_left, 1},
    {field_right, 3},
  [144] =
    {field_alternative, 4, .inherited = true},
    {field_alternative, 5},
    {field_condition, 1},
    {field_consequence, 3},
  [148] =
    {field_alternative, 5},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [152] =
    {field_alternative, 5, .inherited = true},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [156] =
    {field_alternative, 5, .inherited = true},
    {field_subject, 1},
    {field_subject, 2, .inherited = true},
  [159] =
    {field_body, 4},
    {field_body, 5},
  [161] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 3},
  [164] =
    {field_body, 5},
    {field_left, 1},
    {field_right, 3},
  [167] =
    {field_alternative, 5},
    {field_body, 3},
    {field_body, 4},
    {field_condition, 1},
  [171] =
    {field_body, 4},
    {field_body, 5},
    {field_name, 1},
    {field_parameters, 2},
  [175] =
    {field_body, 4},
    {field_body, 5},
    {field_name, 1},
    {field_superclasses, 2},
  [179] =
    {field_name, 0},
    {field_type, 2},
    {field_value, 4},
  [182] =
    {field_expression, 1},
    {field_format_specifier, 4},
    {field_type_conversion, 3},
  [185] =
    {field_left, 2},
    {field_right, 4},
  [187] =
    {field_left, 1},
    {field_right, 3},
    {field_right, 4},
  [190] =
    {field_alternative, 5, .inherited = true},
    {field_alternative, 6},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [195] =
    {field_pattern, 1},
  [196] =
    {field_consequence, 3},
    {field_pattern, 1},
  [198] =
    {field_pattern, 0, .inherited = true},
    {field_pattern, 1, .inherited = true},
  [200] =
    {field_body, 6},
    {field_left, 2},
    {field_right, 4},
  [203] =
    {field_body, 5},
    {field_body, 6},
    {field_name, 2},
    {field_parameters, 3},
  [207] =
    {field_alternative, 6},
    {field_body, 5},
    {field_left, 1},
    {field_right, 3},
  [211] =
    {field_body, 5},
    {field_body, 6},
    {field_left, 1},
    {field_right, 3},
  [215] =
    {field_body, 6},
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 4},
  [219] =
    {field_left, 2},
    {field_right, 4},
    {field_right, 5},
  [222] =
    {field_consequence, 4},
    {field_pattern, 1},
  [224] =
    {field_consequence, 3},
    {field_consequence, 4},
    {field_pattern, 1},
  [227] =
    {field_consequence, 4},
    {field_guard, 2},
    {field_pattern, 1},
  [230] =
    {field_consequence, 4},
    {field_pattern, 1},
    {field_pattern, 2, .inherited = true},
  [233] =
    {field_alternative, 7},
    {field_body, 6},
    {field_left, 2},
    {field_right, 4},
  [237] =
    {field_body, 6},
    {field_body, 7},
    {field_left, 2},
    {field_right, 4},
  [241] =
    {field_body, 7},
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 5},
  [245] =
    {field_alternative, 7},
    {field_body, 5},
    {field_body, 6},
    {field_left, 1},
    {field_right, 3},
  [250] =
    {field_body, 6},
    {field_body, 7},
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 4},
  [255] =
    {field_consequence, 4},
    {field_consequence, 5},
    {field_pattern, 1},
  [258] =
    {field_consequence, 5},
    {field_guard, 3},
    {field_pattern, 1},
  [261] =
    {field_consequence, 4},
    {field_consequence, 5},
    {field_guard, 2},
    {field_pattern, 1},
  [265] =
    {field_consequence, 5},
    {field_pattern, 1},
    {field_pattern, 2, .inherited = true},
  [268] =
    {field_consequence, 4},
    {field_consequence, 5},
    {field_pattern, 1},
    {field_pattern, 2, .inherited = true},
  [272] =
    {field_consequence, 5},
    {field_guard, 3},
    {field_pattern, 1},
    {field_pattern, 2, .inherited = true},
  [276] =
    {field_alternative, 8},
    {field_body, 6},
    {field_body, 7},
    {field_left, 2},
    {field_right, 4},
  [281] =
    {field_body, 7},
    {field_body, 8},
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 5},
  [286] =
    {field_consequence, 5},
    {field_consequence, 6},
    {field_guard, 3},
    {field_pattern, 1},
  [290] =
    {field_consequence, 5},
    {field_consequence, 6},
    {field_pattern, 1},
    {field_pattern, 2, .inherited = true},
  [294] =
    {field_consequence, 6},
    {field_guard, 4},
    {field_pattern, 1},
    {field_pattern, 2, .inherited = true},
  [298] =
    {field_consequence, 5},
    {field_consequence, 6},
    {field_guard, 3},
    {field_pattern, 1},
    {field_pattern, 2, .inherited = true},
  [303] =
    {field_consequence, 6},
    {field_consequence, 7},
    {field_guard, 4},
    {field_pattern, 1},
    {field_pattern, 2, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [7] = {
    [1] = sym_identifier,
  },
  [27] = {
    [2] = alias_sym_as_pattern_target,
  },
  [38] = {
    [1] = sym_parenthesized_expression,
  },
  [42] = {
    [3] = sym_block,
  },
  [47] = {
    [3] = sym_block,
  },
  [48] = {
    [2] = sym_block,
  },
  [49] = {
    [3] = sym_block,
  },
  [50] = {
    [3] = sym_block,
  },
  [55] = {
    [0] = anon_alias_sym_notin,
    [1] = anon_alias_sym_notin,
  },
  [56] = {
    [0] = anon_alias_sym_isnot,
    [1] = anon_alias_sym_isnot,
  },
  [57] = {
    [0] = alias_sym_format_expression,
  },
  [60] = {
    [3] = sym_block,
  },
  [61] = {
    [3] = sym_block,
  },
  [66] = {
    [4] = sym_block,
  },
  [67] = {
    [3] = sym_block,
  },
  [71] = {
    [4] = sym_block,
  },
  [73] = {
    [4] = sym_block,
  },
  [75] = {
    [0] = sym_identifier,
  },
  [85] = {
    [3] = sym_block,
  },
  [90] = {
    [5] = sym_block,
  },
  [91] = {
    [5] = sym_block,
  },
  [93] = {
    [2] = sym_block,
  },
  [101] = {
    [1] = alias_sym_case_pattern,
  },
  [102] = {
    [1] = alias_sym_case_pattern,
    [3] = sym_block,
  },
  [104] = {
    [6] = sym_block,
  },
  [106] = {
    [5] = sym_block,
  },
  [108] = {
    [3] = sym_block,
  },
  [109] = {
    [6] = sym_block,
  },
  [111] = {
    [1] = alias_sym_case_pattern,
    [4] = sym_block,
  },
  [112] = {
    [1] = alias_sym_case_pattern,
  },
  [113] = {
    [1] = alias_sym_case_pattern,
    [4] = sym_block,
  },
  [114] = {
    [1] = alias_sym_case_pattern,
    [4] = sym_block,
  },
  [115] = {
    [6] = sym_block,
  },
  [117] = {
    [7] = sym_block,
  },
  [120] = {
    [1] = alias_sym_case_pattern,
  },
  [121] = {
    [1] = alias_sym_case_pattern,
    [5] = sym_block,
  },
  [122] = {
    [1] = alias_sym_case_pattern,
  },
  [123] = {
    [1] = alias_sym_case_pattern,
    [5] = sym_block,
  },
  [124] = {
    [1] = alias_sym_case_pattern,
  },
  [125] = {
    [1] = alias_sym_case_pattern,
    [5] = sym_block,
  },
  [128] = {
    [5] = sym_block,
  },
  [129] = {
    [1] = alias_sym_case_pattern,
  },
  [130] = {
    [1] = alias_sym_case_pattern,
  },
  [131] = {
    [1] = alias_sym_case_pattern,
    [6] = sym_block,
  },
  [132] = {
    [1] = alias_sym_case_pattern,
  },
  [133] = {
    [1] = alias_sym_case_pattern,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__simple_statements, 2,
    sym__simple_statements,
    sym_block,
  sym_parenthesized_list_splat, 2,
    sym_parenthesized_list_splat,
    sym_parenthesized_expression,
  sym_list_splat_pattern, 2,
    sym_list_splat_pattern,
    alias_sym_case_pattern,
  sym_expression, 3,
    sym_expression,
    alias_sym_as_pattern_target,
    alias_sym_case_pattern,
  sym_interpolation, 2,
    sym_interpolation,
    alias_sym_format_expression,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 18,
  [23] = 16,
  [24] = 24,
  [25] = 8,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 15,
  [30] = 13,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 12,
  [35] = 11,
  [36] = 14,
  [37] = 37,
  [38] = 10,
  [39] = 7,
  [40] = 19,
  [41] = 4,
  [42] = 42,
  [43] = 6,
  [44] = 44,
  [45] = 27,
  [46] = 33,
  [47] = 37,
  [48] = 42,
  [49] = 26,
  [50] = 50,
  [51] = 51,
  [52] = 3,
  [53] = 20,
  [54] = 32,
  [55] = 2,
  [56] = 28,
  [57] = 24,
  [58] = 9,
  [59] = 31,
  [60] = 44,
  [61] = 61,
  [62] = 61,
  [63] = 51,
  [64] = 17,
  [65] = 5,
  [66] = 21,
  [67] = 50,
  [68] = 68,
  [69] = 69,
  [70] = 69,
  [71] = 71,
  [72] = 69,
  [73] = 69,
  [74] = 71,
  [75] = 69,
  [76] = 69,
  [77] = 69,
  [78] = 78,
  [79] = 79,
  [80] = 80,
  [81] = 79,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 87,
  [88] = 88,
  [89] = 86,
  [90] = 90,
  [91] = 91,
  [92] = 84,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 102,
  [103] = 103,
  [104] = 104,
  [105] = 105,
  [106] = 95,
  [107] = 107,
  [108] = 108,
  [109] = 109,
  [110] = 110,
  [111] = 108,
  [112] = 112,
  [113] = 87,
  [114] = 94,
  [115] = 104,
  [116] = 116,
  [117] = 112,
  [118] = 118,
  [119] = 103,
  [120] = 110,
  [121] = 93,
  [122] = 98,
  [123] = 101,
  [124] = 124,
  [125] = 90,
  [126] = 105,
  [127] = 99,
  [128] = 124,
  [129] = 129,
  [130] = 97,
  [131] = 107,
  [132] = 82,
  [133] = 109,
  [134] = 85,
  [135] = 102,
  [136] = 91,
  [137] = 100,
  [138] = 83,
  [139] = 129,
  [140] = 140,
  [141] = 96,
  [142] = 140,
  [143] = 118,
  [144] = 88,
  [145] = 116,
  [146] = 146,
  [147] = 146,
  [148] = 146,
  [149] = 146,
  [150] = 146,
  [151] = 151,
  [152] = 151,
  [153] = 151,
  [154] = 151,
  [155] = 146,
  [156] = 151,
  [157] = 151,
  [158] = 151,
  [159] = 146,
  [160] = 160,
  [161] = 161,
  [162] = 161,
  [163] = 163,
  [164] = 161,
  [165] = 161,
  [166] = 161,
  [167] = 161,
  [168] = 163,
  [169] = 161,
  [170] = 161,
  [171] = 80,
  [172] = 80,
  [173] = 173,
  [174] = 173,
  [175] = 175,
  [176] = 176,
  [177] = 175,
  [178] = 178,
  [179] = 179,
  [180] = 175,
  [181] = 176,
  [182] = 182,
  [183] = 183,
  [184] = 175,
  [185] = 176,
  [186] = 176,
  [187] = 175,
  [188] = 183,
  [189] = 175,
  [190] = 190,
  [191] = 190,
  [192] = 190,
  [193] = 190,
  [194] = 190,
  [195] = 190,
  [196] = 190,
  [197] = 190,
  [198] = 198,
  [199] = 199,
  [200] = 200,
  [201] = 200,
  [202] = 200,
  [203] = 203,
  [204] = 204,
  [205] = 200,
  [206] = 200,
  [207] = 200,
  [208] = 200,
  [209] = 200,
  [210] = 210,
  [211] = 211,
  [212] = 211,
  [213] = 213,
  [214] = 214,
  [215] = 215,
  [216] = 214,
  [217] = 213,
  [218] = 211,
  [219] = 219,
  [220] = 215,
  [221] = 221,
  [222] = 210,
  [223] = 210,
  [224] = 210,
  [225] = 221,
  [226] = 213,
  [227] = 211,
  [228] = 213,
  [229] = 219,
  [230] = 215,
  [231] = 219,
  [232] = 219,
  [233] = 210,
  [234] = 221,
  [235] = 221,
  [236] = 215,
  [237] = 221,
  [238] = 213,
  [239] = 211,
  [240] = 211,
  [241] = 213,
  [242] = 214,
  [243] = 215,
  [244] = 219,
  [245] = 210,
  [246] = 221,
  [247] = 219,
  [248] = 215,
  [249] = 219,
  [250] = 215,
  [251] = 221,
  [252] = 210,
  [253] = 211,
  [254] = 213,
  [255] = 214,
  [256] = 214,
  [257] = 213,
  [258] = 214,
  [259] = 211,
  [260] = 260,
  [261] = 219,
  [262] = 215,
  [263] = 221,
  [264] = 210,
  [265] = 265,
  [266] = 266,
  [267] = 265,
  [268] = 268,
  [269] = 265,
  [270] = 266,
  [271] = 266,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 272,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 278,
  [280] = 280,
  [281] = 281,
  [282] = 277,
  [283] = 283,
  [284] = 276,
  [285] = 277,
  [286] = 273,
  [287] = 287,
  [288] = 276,
  [289] = 281,
  [290] = 272,
  [291] = 280,
  [292] = 278,
  [293] = 287,
  [294] = 280,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 297,
  [299] = 299,
  [300] = 299,
  [301] = 260,
  [302] = 296,
  [303] = 299,
  [304] = 299,
  [305] = 297,
  [306] = 260,
  [307] = 307,
  [308] = 299,
  [309] = 297,
  [310] = 299,
  [311] = 297,
  [312] = 297,
  [313] = 297,
  [314] = 299,
  [315] = 295,
  [316] = 297,
  [317] = 299,
  [318] = 260,
  [319] = 319,
  [320] = 320,
  [321] = 274,
  [322] = 319,
  [323] = 319,
  [324] = 324,
  [325] = 325,
  [326] = 324,
  [327] = 320,
  [328] = 324,
  [329] = 320,
  [330] = 319,
  [331] = 331,
  [332] = 320,
  [333] = 319,
  [334] = 324,
  [335] = 319,
  [336] = 336,
  [337] = 324,
  [338] = 320,
  [339] = 324,
  [340] = 320,
  [341] = 319,
  [342] = 342,
  [343] = 283,
  [344] = 320,
  [345] = 319,
  [346] = 324,
  [347] = 324,
  [348] = 320,
  [349] = 349,
  [350] = 350,
  [351] = 351,
  [352] = 352,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 357,
  [358] = 358,
  [359] = 359,
  [360] = 354,
  [361] = 361,
  [362] = 362,
  [363] = 359,
  [364] = 352,
  [365] = 365,
  [366] = 366,
  [367] = 361,
  [368] = 368,
  [369] = 357,
  [370] = 368,
  [371] = 274,
  [372] = 368,
  [373] = 373,
  [374] = 368,
  [375] = 368,
  [376] = 368,
  [377] = 377,
  [378] = 378,
  [379] = 379,
  [380] = 368,
  [381] = 362,
  [382] = 382,
  [383] = 354,
  [384] = 283,
  [385] = 385,
  [386] = 386,
  [387] = 365,
  [388] = 388,
  [389] = 283,
  [390] = 351,
  [391] = 391,
  [392] = 392,
  [393] = 378,
  [394] = 368,
  [395] = 391,
  [396] = 350,
  [397] = 373,
  [398] = 365,
  [399] = 352,
  [400] = 373,
  [401] = 357,
  [402] = 402,
  [403] = 403,
  [404] = 404,
  [405] = 274,
  [406] = 406,
  [407] = 407,
  [408] = 408,
  [409] = 409,
  [410] = 410,
  [411] = 283,
  [412] = 410,
  [413] = 413,
  [414] = 274,
  [415] = 415,
  [416] = 416,
  [417] = 417,
  [418] = 418,
  [419] = 419,
  [420] = 420,
  [421] = 421,
  [422] = 422,
  [423] = 423,
  [424] = 424,
  [425] = 424,
  [426] = 426,
  [427] = 427,
  [428] = 428,
  [429] = 426,
  [430] = 419,
  [431] = 413,
  [432] = 432,
  [433] = 418,
  [434] = 428,
  [435] = 420,
  [436] = 436,
  [437] = 437,
  [438] = 438,
  [439] = 439,
  [440] = 440,
  [441] = 437,
  [442] = 439,
  [443] = 443,
  [444] = 444,
  [445] = 445,
  [446] = 446,
  [447] = 446,
  [448] = 448,
  [449] = 449,
  [450] = 449,
  [451] = 451,
  [452] = 452,
  [453] = 440,
  [454] = 437,
  [455] = 451,
  [456] = 443,
  [457] = 457,
  [458] = 458,
  [459] = 445,
  [460] = 460,
  [461] = 449,
  [462] = 452,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 466,
  [467] = 467,
  [468] = 440,
  [469] = 437,
  [470] = 443,
  [471] = 471,
  [472] = 467,
  [473] = 465,
  [474] = 474,
  [475] = 475,
  [476] = 476,
  [477] = 446,
  [478] = 478,
  [479] = 446,
  [480] = 478,
  [481] = 481,
  [482] = 452,
  [483] = 483,
  [484] = 484,
  [485] = 457,
  [486] = 446,
  [487] = 478,
  [488] = 478,
  [489] = 449,
  [490] = 451,
  [491] = 460,
  [492] = 478,
  [493] = 438,
  [494] = 449,
  [495] = 495,
  [496] = 451,
  [497] = 452,
  [498] = 440,
  [499] = 499,
  [500] = 438,
  [501] = 444,
  [502] = 449,
  [503] = 443,
  [504] = 478,
  [505] = 505,
  [506] = 506,
  [507] = 507,
  [508] = 438,
  [509] = 451,
  [510] = 452,
  [511] = 478,
  [512] = 512,
  [513] = 476,
  [514] = 514,
  [515] = 499,
  [516] = 439,
  [517] = 476,
  [518] = 518,
  [519] = 446,
  [520] = 443,
  [521] = 443,
  [522] = 507,
  [523] = 507,
  [524] = 476,
  [525] = 437,
  [526] = 437,
  [527] = 440,
  [528] = 528,
  [529] = 452,
  [530] = 440,
  [531] = 440,
  [532] = 532,
  [533] = 452,
  [534] = 476,
  [535] = 451,
  [536] = 505,
  [537] = 449,
  [538] = 484,
  [539] = 483,
  [540] = 507,
  [541] = 451,
  [542] = 542,
  [543] = 476,
  [544] = 532,
  [545] = 545,
  [546] = 476,
  [547] = 437,
  [548] = 443,
  [549] = 549,
  [550] = 464,
  [551] = 551,
  [552] = 439,
  [553] = 463,
  [554] = 446,
  [555] = 443,
  [556] = 556,
  [557] = 451,
  [558] = 452,
  [559] = 438,
  [560] = 514,
  [561] = 478,
  [562] = 551,
  [563] = 563,
  [564] = 440,
  [565] = 565,
  [566] = 556,
  [567] = 446,
  [568] = 514,
  [569] = 449,
  [570] = 476,
  [571] = 437,
  [572] = 466,
  [573] = 573,
  [574] = 574,
  [575] = 575,
  [576] = 423,
  [577] = 422,
  [578] = 409,
  [579] = 407,
  [580] = 417,
  [581] = 432,
  [582] = 582,
  [583] = 573,
  [584] = 575,
  [585] = 427,
  [586] = 586,
  [587] = 586,
  [588] = 582,
  [589] = 574,
  [590] = 590,
  [591] = 590,
  [592] = 592,
  [593] = 593,
  [594] = 594,
  [595] = 593,
  [596] = 596,
  [597] = 597,
  [598] = 598,
  [599] = 599,
  [600] = 573,
  [601] = 592,
  [602] = 602,
  [603] = 603,
  [604] = 604,
  [605] = 605,
  [606] = 606,
  [607] = 606,
  [608] = 575,
  [609] = 605,
  [610] = 610,
  [611] = 611,
  [612] = 612,
  [613] = 586,
  [614] = 582,
  [615] = 604,
  [616] = 597,
  [617] = 617,
  [618] = 603,
  [619] = 598,
  [620] = 620,
  [621] = 621,
  [622] = 599,
  [623] = 573,
  [624] = 582,
  [625] = 586,
  [626] = 590,
  [627] = 575,
  [628] = 590,
  [629] = 590,
  [630] = 582,
  [631] = 594,
  [632] = 632,
  [633] = 610,
  [634] = 621,
  [635] = 612,
  [636] = 602,
  [637] = 575,
  [638] = 611,
  [639] = 596,
  [640] = 573,
  [641] = 620,
  [642] = 617,
  [643] = 632,
  [644] = 586,
  [645] = 575,
  [646] = 582,
  [647] = 573,
  [648] = 590,
  [649] = 586,
  [650] = 650,
  [651] = 651,
  [652] = 652,
  [653] = 653,
  [654] = 654,
  [655] = 650,
  [656] = 656,
  [657] = 657,
  [658] = 656,
  [659] = 659,
  [660] = 660,
  [661] = 661,
  [662] = 662,
  [663] = 660,
  [664] = 651,
  [665] = 657,
  [666] = 662,
  [667] = 661,
  [668] = 653,
  [669] = 652,
  [670] = 654,
  [671] = 659,
  [672] = 672,
  [673] = 673,
  [674] = 674,
  [675] = 675,
  [676] = 676,
  [677] = 677,
  [678] = 678,
  [679] = 679,
  [680] = 680,
  [681] = 681,
  [682] = 682,
  [683] = 683,
  [684] = 684,
  [685] = 672,
  [686] = 686,
  [687] = 687,
  [688] = 688,
  [689] = 689,
  [690] = 690,
  [691] = 688,
  [692] = 692,
  [693] = 693,
  [694] = 694,
  [695] = 695,
  [696] = 696,
  [697] = 697,
  [698] = 674,
  [699] = 675,
  [700] = 677,
  [701] = 673,
  [702] = 693,
  [703] = 703,
  [704] = 704,
  [705] = 705,
  [706] = 678,
  [707] = 707,
  [708] = 708,
  [709] = 709,
  [710] = 710,
  [711] = 679,
  [712] = 712,
  [713] = 713,
  [714] = 681,
  [715] = 715,
  [716] = 716,
  [717] = 682,
  [718] = 684,
  [719] = 686,
  [720] = 687,
  [721] = 689,
  [722] = 690,
  [723] = 692,
  [724] = 694,
  [725] = 695,
  [726] = 697,
  [727] = 703,
  [728] = 704,
  [729] = 705,
  [730] = 707,
  [731] = 708,
  [732] = 709,
  [733] = 710,
  [734] = 712,
  [735] = 713,
  [736] = 715,
  [737] = 716,
  [738] = 676,
  [739] = 696,
  [740] = 680,
  [741] = 683,
  [742] = 742,
  [743] = 743,
  [744] = 744,
  [745] = 745,
  [746] = 746,
  [747] = 747,
  [748] = 748,
  [749] = 749,
  [750] = 750,
  [751] = 751,
  [752] = 752,
  [753] = 745,
  [754] = 754,
  [755] = 755,
  [756] = 756,
  [757] = 757,
  [758] = 758,
  [759] = 759,
  [760] = 760,
  [761] = 761,
  [762] = 750,
  [763] = 746,
  [764] = 756,
  [765] = 765,
  [766] = 754,
  [767] = 767,
  [768] = 761,
  [769] = 751,
  [770] = 757,
  [771] = 748,
  [772] = 772,
  [773] = 767,
  [774] = 774,
  [775] = 772,
  [776] = 744,
  [777] = 777,
  [778] = 778,
  [779] = 779,
  [780] = 780,
  [781] = 778,
  [782] = 782,
  [783] = 759,
  [784] = 752,
  [785] = 785,
  [786] = 786,
  [787] = 787,
  [788] = 774,
  [789] = 789,
  [790] = 790,
  [791] = 791,
  [792] = 777,
  [793] = 755,
  [794] = 790,
  [795] = 795,
  [796] = 796,
  [797] = 780,
  [798] = 742,
  [799] = 782,
  [800] = 747,
  [801] = 760,
  [802] = 765,
  [803] = 743,
  [804] = 786,
  [805] = 789,
  [806] = 779,
  [807] = 785,
  [808] = 791,
  [809] = 787,
  [810] = 749,
  [811] = 795,
  [812] = 758,
  [813] = 796,
  [814] = 814,
  [815] = 815,
  [816] = 816,
  [817] = 817,
  [818] = 816,
  [819] = 815,
  [820] = 820,
  [821] = 820,
  [822] = 822,
  [823] = 822,
  [824] = 814,
  [825] = 817,
  [826] = 816,
  [827] = 817,
  [828] = 828,
  [829] = 828,
  [830] = 828,
  [831] = 831,
  [832] = 832,
  [833] = 831,
  [834] = 832,
  [835] = 835,
  [836] = 835,
  [837] = 837,
  [838] = 838,
  [839] = 835,
  [840] = 831,
  [841] = 837,
  [842] = 838,
  [843] = 832,
  [844] = 837,
  [845] = 831,
  [846] = 846,
  [847] = 847,
  [848] = 848,
  [849] = 832,
  [850] = 846,
  [851] = 851,
  [852] = 847,
  [853] = 853,
  [854] = 848,
  [855] = 855,
  [856] = 856,
  [857] = 857,
  [858] = 858,
  [859] = 859,
  [860] = 860,
  [861] = 853,
  [862] = 858,
  [863] = 835,
  [864] = 851,
  [865] = 851,
  [866] = 837,
  [867] = 857,
  [868] = 868,
  [869] = 868,
  [870] = 847,
  [871] = 868,
  [872] = 856,
  [873] = 859,
  [874] = 835,
  [875] = 837,
  [876] = 855,
  [877] = 860,
  [878] = 868,
  [879] = 832,
  [880] = 868,
  [881] = 831,
  [882] = 868,
  [883] = 835,
  [884] = 837,
  [885] = 868,
  [886] = 859,
  [887] = 846,
  [888] = 868,
  [889] = 831,
  [890] = 848,
  [891] = 855,
  [892] = 856,
  [893] = 857,
  [894] = 860,
  [895] = 853,
  [896] = 832,
  [897] = 858,
  [898] = 857,
  [899] = 853,
  [900] = 900,
  [901] = 901,
  [902] = 846,
  [903] = 859,
  [904] = 832,
  [905] = 905,
  [906] = 906,
  [907] = 907,
  [908] = 908,
  [909] = 909,
  [910] = 910,
  [911] = 911,
  [912] = 835,
  [913] = 913,
  [914] = 837,
  [915] = 915,
  [916] = 847,
  [917] = 917,
  [918] = 918,
  [919] = 919,
  [920] = 908,
  [921] = 909,
  [922] = 859,
  [923] = 846,
  [924] = 901,
  [925] = 905,
  [926] = 919,
  [927] = 911,
  [928] = 908,
  [929] = 913,
  [930] = 909,
  [931] = 911,
  [932] = 915,
  [933] = 913,
  [934] = 831,
  [935] = 917,
  [936] = 917,
  [937] = 918,
  [938] = 919,
  [939] = 918,
  [940] = 901,
  [941] = 919,
  [942] = 901,
  [943] = 905,
  [944] = 900,
  [945] = 900,
  [946] = 918,
  [947] = 910,
  [948] = 907,
  [949] = 831,
  [950] = 950,
  [951] = 901,
  [952] = 919,
  [953] = 918,
  [954] = 917,
  [955] = 905,
  [956] = 906,
  [957] = 957,
  [958] = 905,
  [959] = 848,
  [960] = 855,
  [961] = 900,
  [962] = 913,
  [963] = 911,
  [964] = 909,
  [965] = 856,
  [966] = 908,
  [967] = 857,
  [968] = 908,
  [969] = 910,
  [970] = 860,
  [971] = 847,
  [972] = 858,
  [973] = 909,
  [974] = 851,
  [975] = 911,
  [976] = 917,
  [977] = 913,
  [978] = 911,
  [979] = 979,
  [980] = 909,
  [981] = 900,
  [982] = 957,
  [983] = 910,
  [984] = 905,
  [985] = 848,
  [986] = 855,
  [987] = 856,
  [988] = 908,
  [989] = 837,
  [990] = 915,
  [991] = 900,
  [992] = 835,
  [993] = 901,
  [994] = 910,
  [995] = 860,
  [996] = 853,
  [997] = 858,
  [998] = 851,
  [999] = 919,
  [1000] = 918,
  [1001] = 917,
  [1002] = 847,
  [1003] = 913,
  [1004] = 910,
  [1005] = 911,
  [1006] = 909,
  [1007] = 1007,
  [1008] = 1008,
  [1009] = 910,
  [1010] = 908,
  [1011] = 851,
  [1012] = 858,
  [1013] = 913,
  [1014] = 853,
  [1015] = 860,
  [1016] = 905,
  [1017] = 950,
  [1018] = 832,
  [1019] = 910,
  [1020] = 917,
  [1021] = 918,
  [1022] = 919,
  [1023] = 979,
  [1024] = 857,
  [1025] = 856,
  [1026] = 901,
  [1027] = 855,
  [1028] = 848,
  [1029] = 905,
  [1030] = 900,
  [1031] = 901,
  [1032] = 919,
  [1033] = 918,
  [1034] = 917,
  [1035] = 913,
  [1036] = 911,
  [1037] = 950,
  [1038] = 909,
  [1039] = 908,
  [1040] = 979,
  [1041] = 907,
  [1042] = 906,
  [1043] = 900,
  [1044] = 846,
  [1045] = 859,
  [1046] = 1046,
  [1047] = 1047,
  [1048] = 906,
  [1049] = 1049,
  [1050] = 1050,
  [1051] = 1050,
  [1052] = 1052,
  [1053] = 1053,
  [1054] = 1054,
  [1055] = 1055,
  [1056] = 1056,
  [1057] = 907,
  [1058] = 846,
  [1059] = 1059,
  [1060] = 859,
  [1061] = 915,
  [1062] = 907,
  [1063] = 906,
  [1064] = 915,
  [1065] = 1065,
  [1066] = 1066,
  [1067] = 1059,
  [1068] = 1068,
  [1069] = 432,
  [1070] = 1049,
  [1071] = 950,
  [1072] = 406,
  [1073] = 1073,
  [1074] = 1074,
  [1075] = 1075,
  [1076] = 1052,
  [1077] = 1055,
  [1078] = 848,
  [1079] = 1056,
  [1080] = 1065,
  [1081] = 1068,
  [1082] = 1082,
  [1083] = 855,
  [1084] = 856,
  [1085] = 857,
  [1086] = 1086,
  [1087] = 1087,
  [1088] = 427,
  [1089] = 860,
  [1090] = 1090,
  [1091] = 1090,
  [1092] = 853,
  [1093] = 858,
  [1094] = 851,
  [1095] = 1074,
  [1096] = 427,
  [1097] = 1097,
  [1098] = 408,
  [1099] = 1066,
  [1100] = 1100,
  [1101] = 950,
  [1102] = 1059,
  [1103] = 1068,
  [1104] = 1050,
  [1105] = 1052,
  [1106] = 1106,
  [1107] = 847,
  [1108] = 1055,
  [1109] = 1056,
  [1110] = 432,
  [1111] = 1074,
  [1112] = 1049,
  [1113] = 427,
  [1114] = 1065,
  [1115] = 1090,
  [1116] = 915,
  [1117] = 859,
  [1118] = 423,
  [1119] = 422,
  [1120] = 846,
  [1121] = 406,
  [1122] = 950,
  [1123] = 1100,
  [1124] = 1053,
  [1125] = 1125,
  [1126] = 1046,
  [1127] = 1106,
  [1128] = 1087,
  [1129] = 1082,
  [1130] = 432,
  [1131] = 408,
  [1132] = 1125,
  [1133] = 1054,
  [1134] = 1073,
  [1135] = 1097,
  [1136] = 417,
  [1137] = 1100,
  [1138] = 407,
  [1139] = 409,
  [1140] = 407,
  [1141] = 417,
  [1142] = 409,
  [1143] = 1086,
  [1144] = 1053,
  [1145] = 1075,
  [1146] = 1125,
  [1147] = 1046,
  [1148] = 422,
  [1149] = 1106,
  [1150] = 847,
  [1151] = 1087,
  [1152] = 906,
  [1153] = 1082,
  [1154] = 423,
  [1155] = 907,
  [1156] = 1047,
  [1157] = 1047,
  [1158] = 851,
  [1159] = 858,
  [1160] = 853,
  [1161] = 423,
  [1162] = 422,
  [1163] = 1075,
  [1164] = 1086,
  [1165] = 409,
  [1166] = 407,
  [1167] = 417,
  [1168] = 1097,
  [1169] = 1073,
  [1170] = 1054,
  [1171] = 860,
  [1172] = 857,
  [1173] = 1066,
  [1174] = 856,
  [1175] = 855,
  [1176] = 848,
  [1177] = 1053,
  [1178] = 1055,
  [1179] = 506,
  [1180] = 1054,
  [1181] = 1047,
  [1182] = 542,
  [1183] = 512,
  [1184] = 1049,
  [1185] = 1059,
  [1186] = 1075,
  [1187] = 1086,
  [1188] = 1073,
  [1189] = 1074,
  [1190] = 1097,
  [1191] = 1097,
  [1192] = 1073,
  [1193] = 1054,
  [1194] = 1082,
  [1195] = 950,
  [1196] = 1087,
  [1197] = 1066,
  [1198] = 1106,
  [1199] = 1046,
  [1200] = 1125,
  [1201] = 1087,
  [1202] = 950,
  [1203] = 1106,
  [1204] = 1074,
  [1205] = 1066,
  [1206] = 1046,
  [1207] = 1100,
  [1208] = 1125,
  [1209] = 1059,
  [1210] = 1050,
  [1211] = 1211,
  [1212] = 1047,
  [1213] = 1090,
  [1214] = 1086,
  [1215] = 1052,
  [1216] = 1065,
  [1217] = 1068,
  [1218] = 1218,
  [1219] = 1055,
  [1220] = 1056,
  [1221] = 1075,
  [1222] = 1053,
  [1223] = 506,
  [1224] = 907,
  [1225] = 1056,
  [1226] = 1065,
  [1227] = 1049,
  [1228] = 427,
  [1229] = 1090,
  [1230] = 906,
  [1231] = 1052,
  [1232] = 1100,
  [1233] = 1050,
  [1234] = 906,
  [1235] = 907,
  [1236] = 915,
  [1237] = 1052,
  [1238] = 512,
  [1239] = 915,
  [1240] = 1007,
  [1241] = 1066,
  [1242] = 1100,
  [1243] = 1008,
  [1244] = 1059,
  [1245] = 1053,
  [1246] = 1090,
  [1247] = 1125,
  [1248] = 1046,
  [1249] = 1106,
  [1250] = 1056,
  [1251] = 542,
  [1252] = 1087,
  [1253] = 1082,
  [1254] = 432,
  [1255] = 1074,
  [1256] = 1055,
  [1257] = 1068,
  [1258] = 1068,
  [1259] = 1054,
  [1260] = 1065,
  [1261] = 1073,
  [1262] = 1097,
  [1263] = 417,
  [1264] = 407,
  [1265] = 409,
  [1266] = 1086,
  [1267] = 1075,
  [1268] = 422,
  [1269] = 423,
  [1270] = 1049,
  [1271] = 1050,
  [1272] = 1082,
  [1273] = 1047,
  [1274] = 427,
  [1275] = 1075,
  [1276] = 1054,
  [1277] = 1090,
  [1278] = 1073,
  [1279] = 512,
  [1280] = 427,
  [1281] = 1097,
  [1282] = 506,
  [1283] = 417,
  [1284] = 407,
  [1285] = 542,
  [1286] = 432,
  [1287] = 1056,
  [1288] = 1086,
  [1289] = 1075,
  [1290] = 1047,
  [1291] = 1049,
  [1292] = 1055,
  [1293] = 422,
  [1294] = 423,
  [1295] = 1082,
  [1296] = 1087,
  [1297] = 1074,
  [1298] = 1106,
  [1299] = 1046,
  [1300] = 1125,
  [1301] = 1047,
  [1302] = 1052,
  [1303] = 1068,
  [1304] = 1065,
  [1305] = 1050,
  [1306] = 1306,
  [1307] = 1053,
  [1308] = 1065,
  [1309] = 1068,
  [1310] = 1310,
  [1311] = 423,
  [1312] = 422,
  [1313] = 1313,
  [1314] = 1100,
  [1315] = 1049,
  [1316] = 1074,
  [1317] = 1059,
  [1318] = 1086,
  [1319] = 409,
  [1320] = 407,
  [1321] = 409,
  [1322] = 1306,
  [1323] = 1313,
  [1324] = 417,
  [1325] = 1097,
  [1326] = 1073,
  [1327] = 1090,
  [1328] = 1054,
  [1329] = 1100,
  [1330] = 1056,
  [1331] = 1055,
  [1332] = 1052,
  [1333] = 1050,
  [1334] = 432,
  [1335] = 1082,
  [1336] = 1053,
  [1337] = 1066,
  [1338] = 1087,
  [1339] = 1106,
  [1340] = 1046,
  [1341] = 1059,
  [1342] = 1066,
  [1343] = 1125,
  [1344] = 1218,
  [1345] = 1218,
  [1346] = 1346,
  [1347] = 1347,
  [1348] = 1347,
  [1349] = 1346,
  [1350] = 1346,
  [1351] = 1347,
  [1352] = 1346,
  [1353] = 1347,
  [1354] = 1218,
  [1355] = 1347,
  [1356] = 1346,
  [1357] = 1347,
  [1358] = 1346,
  [1359] = 1359,
  [1360] = 1360,
  [1361] = 1211,
  [1362] = 1310,
  [1363] = 1211,
  [1364] = 1364,
  [1365] = 1347,
  [1366] = 1346,
  [1367] = 1360,
  [1368] = 506,
  [1369] = 1364,
  [1370] = 1347,
  [1371] = 512,
  [1372] = 1346,
  [1373] = 1364,
  [1374] = 506,
  [1375] = 542,
  [1376] = 1376,
  [1377] = 512,
  [1378] = 1218,
  [1379] = 542,
  [1380] = 1359,
  [1381] = 1310,
  [1382] = 1382,
  [1383] = 1383,
  [1384] = 1384,
  [1385] = 1385,
  [1386] = 1384,
  [1387] = 1384,
  [1388] = 1388,
  [1389] = 1383,
  [1390] = 1390,
  [1391] = 1384,
  [1392] = 1392,
  [1393] = 1384,
  [1394] = 1384,
  [1395] = 1395,
  [1396] = 1383,
  [1397] = 1384,
  [1398] = 1384,
  [1399] = 1399,
  [1400] = 1400,
  [1401] = 1400,
  [1402] = 1402,
  [1403] = 1403,
  [1404] = 1403,
  [1405] = 1405,
  [1406] = 1405,
  [1407] = 1407,
  [1408] = 1407,
  [1409] = 1407,
  [1410] = 1407,
  [1411] = 1407,
  [1412] = 1407,
  [1413] = 1407,
  [1414] = 1407,
  [1415] = 1415,
  [1416] = 1415,
  [1417] = 1415,
  [1418] = 1415,
  [1419] = 1419,
  [1420] = 1419,
  [1421] = 1421,
  [1422] = 1419,
  [1423] = 1421,
  [1424] = 1415,
  [1425] = 1419,
  [1426] = 1421,
  [1427] = 1421,
  [1428] = 1415,
  [1429] = 1419,
  [1430] = 1421,
  [1431] = 1415,
  [1432] = 1415,
  [1433] = 1433,
  [1434] = 1419,
  [1435] = 1421,
  [1436] = 1421,
  [1437] = 1419,
  [1438] = 1419,
  [1439] = 1421,
  [1440] = 1440,
  [1441] = 1441,
  [1442] = 1440,
  [1443] = 1441,
  [1444] = 1440,
  [1445] = 1440,
  [1446] = 1446,
  [1447] = 1441,
  [1448] = 1440,
  [1449] = 1440,
  [1450] = 1441,
  [1451] = 1440,
  [1452] = 1441,
  [1453] = 1441,
  [1454] = 1441,
  [1455] = 1440,
  [1456] = 1441,
  [1457] = 1440,
  [1458] = 1441,
  [1459] = 1459,
  [1460] = 1460,
  [1461] = 1461,
  [1462] = 1462,
  [1463] = 1461,
  [1464] = 1464,
  [1465] = 1465,
  [1466] = 1466,
  [1467] = 1467,
  [1468] = 1464,
  [1469] = 1461,
  [1470] = 1470,
  [1471] = 1466,
  [1472] = 1472,
  [1473] = 1465,
  [1474] = 1465,
  [1475] = 1464,
  [1476] = 1476,
  [1477] = 1466,
  [1478] = 1478,
  [1479] = 1479,
  [1480] = 1478,
  [1481] = 1479,
  [1482] = 1482,
  [1483] = 1462,
  [1484] = 1462,
  [1485] = 1478,
  [1486] = 1467,
  [1487] = 1487,
  [1488] = 1467,
  [1489] = 1479,
  [1490] = 1487,
  [1491] = 1472,
  [1492] = 1472,
  [1493] = 1487,
  [1494] = 1494,
  [1495] = 1495,
  [1496] = 1466,
  [1497] = 1495,
  [1498] = 1495,
  [1499] = 1487,
  [1500] = 1500,
  [1501] = 1466,
  [1502] = 1502,
  [1503] = 1446,
  [1504] = 1461,
  [1505] = 1495,
  [1506] = 1467,
  [1507] = 1462,
  [1508] = 1508,
  [1509] = 1509,
  [1510] = 1510,
  [1511] = 1464,
  [1512] = 1479,
  [1513] = 1509,
  [1514] = 1510,
  [1515] = 1515,
  [1516] = 1464,
  [1517] = 1495,
  [1518] = 1462,
  [1519] = 1494,
  [1520] = 1478,
  [1521] = 1465,
  [1522] = 1487,
  [1523] = 1466,
  [1524] = 1472,
  [1525] = 1462,
  [1526] = 1467,
  [1527] = 1465,
  [1528] = 1472,
  [1529] = 1461,
  [1530] = 1479,
  [1531] = 1531,
  [1532] = 1472,
  [1533] = 1495,
  [1534] = 1534,
  [1535] = 1478,
  [1536] = 1495,
  [1537] = 1537,
  [1538] = 1538,
  [1539] = 1539,
  [1540] = 1508,
  [1541] = 1541,
  [1542] = 1515,
  [1543] = 1482,
  [1544] = 1478,
  [1545] = 1545,
  [1546] = 1538,
  [1547] = 1467,
  [1548] = 1515,
  [1549] = 1500,
  [1550] = 1464,
  [1551] = 1479,
  [1552] = 1509,
  [1553] = 1553,
  [1554] = 1465,
  [1555] = 1538,
  [1556] = 1495,
  [1557] = 1461,
  [1558] = 1487,
  [1559] = 1559,
  [1560] = 1560,
  [1561] = 1561,
  [1562] = 1562,
  [1563] = 1563,
  [1564] = 1564,
  [1565] = 1565,
  [1566] = 1566,
  [1567] = 1478,
  [1568] = 1568,
  [1569] = 1569,
  [1570] = 1467,
  [1571] = 1487,
  [1572] = 1569,
  [1573] = 1573,
  [1574] = 1564,
  [1575] = 1562,
  [1576] = 1462,
  [1577] = 1577,
  [1578] = 1578,
  [1579] = 1487,
  [1580] = 1461,
  [1581] = 1466,
  [1582] = 1465,
  [1583] = 1464,
  [1584] = 1584,
  [1585] = 1462,
  [1586] = 1586,
  [1587] = 1467,
  [1588] = 1568,
  [1589] = 1461,
  [1590] = 1569,
  [1591] = 1466,
  [1592] = 1564,
  [1593] = 1562,
  [1594] = 1465,
  [1595] = 1595,
  [1596] = 1446,
  [1597] = 1464,
  [1598] = 1478,
  [1599] = 1566,
  [1600] = 1472,
  [1601] = 1568,
  [1602] = 1479,
  [1603] = 1569,
  [1604] = 1604,
  [1605] = 1584,
  [1606] = 1569,
  [1607] = 1446,
  [1608] = 1604,
  [1609] = 1472,
  [1610] = 1566,
  [1611] = 1479,
  [1612] = 1612,
  [1613] = 1613,
  [1614] = 1573,
  [1615] = 1584,
  [1616] = 1560,
  [1617] = 1569,
  [1618] = 1569,
  [1619] = 1569,
  [1620] = 1620,
  [1621] = 1502,
  [1622] = 1622,
  [1623] = 1623,
  [1624] = 1624,
  [1625] = 1625,
  [1626] = 1626,
  [1627] = 1627,
  [1628] = 1628,
  [1629] = 1629,
  [1630] = 1630,
  [1631] = 1631,
  [1632] = 1632,
  [1633] = 1633,
  [1634] = 1634,
  [1635] = 1635,
  [1636] = 1636,
  [1637] = 1637,
  [1638] = 1638,
  [1639] = 1633,
  [1640] = 1470,
  [1641] = 1641,
  [1642] = 1642,
  [1643] = 1643,
  [1644] = 1644,
  [1645] = 1645,
  [1646] = 1641,
  [1647] = 1647,
  [1648] = 1629,
  [1649] = 1629,
  [1650] = 1645,
  [1651] = 1635,
  [1652] = 1652,
  [1653] = 1653,
  [1654] = 1654,
  [1655] = 1642,
  [1656] = 1656,
  [1657] = 1482,
  [1658] = 1470,
  [1659] = 1647,
  [1660] = 1660,
  [1661] = 1631,
  [1662] = 1638,
  [1663] = 1631,
  [1664] = 1664,
  [1665] = 1665,
  [1666] = 1470,
  [1667] = 1482,
  [1668] = 1644,
  [1669] = 1641,
  [1670] = 1482,
  [1671] = 1638,
  [1672] = 1672,
  [1673] = 1664,
  [1674] = 1674,
  [1675] = 1675,
  [1676] = 1635,
  [1677] = 1677,
  [1678] = 1678,
  [1679] = 1679,
  [1680] = 1645,
  [1681] = 1681,
  [1682] = 1628,
  [1683] = 1683,
  [1684] = 1633,
  [1685] = 1685,
  [1686] = 1686,
  [1687] = 1677,
  [1688] = 1688,
  [1689] = 1689,
  [1690] = 1689,
  [1691] = 1691,
  [1692] = 1692,
  [1693] = 1693,
  [1694] = 1694,
  [1695] = 1620,
  [1696] = 1686,
  [1697] = 1697,
  [1698] = 1698,
  [1699] = 1699,
  [1700] = 1700,
  [1701] = 1701,
  [1702] = 1689,
  [1703] = 1683,
  [1704] = 1693,
  [1705] = 1692,
  [1706] = 1706,
  [1707] = 1627,
  [1708] = 1708,
  [1709] = 1709,
  [1710] = 1710,
  [1711] = 1711,
  [1712] = 1712,
  [1713] = 1713,
  [1714] = 1697,
  [1715] = 1715,
  [1716] = 1716,
  [1717] = 1717,
  [1718] = 1718,
  [1719] = 1712,
  [1720] = 1562,
  [1721] = 1694,
  [1722] = 1688,
  [1723] = 1712,
  [1724] = 1700,
  [1725] = 1674,
  [1726] = 1726,
  [1727] = 1709,
  [1728] = 1689,
  [1729] = 1688,
  [1730] = 1710,
  [1731] = 1689,
  [1732] = 1709,
  [1733] = 1689,
  [1734] = 1708,
  [1735] = 1689,
  [1736] = 1736,
  [1737] = 1689,
  [1738] = 1736,
  [1739] = 1739,
  [1740] = 1740,
  [1741] = 1741,
  [1742] = 1742,
  [1743] = 1743,
  [1744] = 1744,
  [1745] = 1745,
  [1746] = 1718,
  [1747] = 1747,
  [1748] = 1748,
  [1749] = 1749,
  [1750] = 1750,
  [1751] = 1751,
  [1752] = 1706,
  [1753] = 1711,
  [1754] = 1754,
  [1755] = 1755,
  [1756] = 1756,
  [1757] = 1757,
  [1758] = 1758,
  [1759] = 1759,
  [1760] = 1760,
  [1761] = 1761,
  [1762] = 1762,
  [1763] = 1763,
  [1764] = 1764,
  [1765] = 1765,
  [1766] = 1766,
  [1767] = 1767,
  [1768] = 1691,
  [1769] = 1769,
  [1770] = 1754,
  [1771] = 1713,
  [1772] = 1772,
  [1773] = 1772,
  [1774] = 1774,
  [1775] = 1775,
  [1776] = 1775,
  [1777] = 1777,
  [1778] = 1778,
  [1779] = 1779,
  [1780] = 1780,
  [1781] = 1627,
  [1782] = 1677,
  [1783] = 1783,
  [1784] = 1784,
  [1785] = 1785,
  [1786] = 1786,
  [1787] = 1787,
  [1788] = 1788,
  [1789] = 1789,
  [1790] = 1790,
  [1791] = 1791,
  [1792] = 1677,
  [1793] = 1772,
  [1794] = 1794,
  [1795] = 1795,
  [1796] = 1796,
  [1797] = 1797,
  [1798] = 1627,
  [1799] = 950,
  [1800] = 1800,
  [1801] = 1801,
  [1802] = 1802,
  [1803] = 1803,
  [1804] = 915,
  [1805] = 1805,
  [1806] = 1802,
  [1807] = 1807,
  [1808] = 1808,
  [1809] = 1809,
  [1810] = 1800,
  [1811] = 1811,
  [1812] = 1812,
  [1813] = 1813,
  [1814] = 590,
  [1815] = 1677,
  [1816] = 1816,
  [1817] = 1817,
  [1818] = 1376,
  [1819] = 1627,
  [1820] = 1802,
  [1821] = 1780,
  [1822] = 1813,
  [1823] = 1808,
  [1824] = 1813,
  [1825] = 1825,
  [1826] = 1826,
  [1827] = 1827,
  [1828] = 1828,
  [1829] = 1778,
  [1830] = 1830,
  [1831] = 1831,
  [1832] = 1832,
  [1833] = 1827,
  [1834] = 1828,
  [1835] = 1817,
  [1836] = 1785,
  [1837] = 1816,
  [1838] = 1787,
  [1839] = 575,
  [1840] = 1789,
  [1841] = 1790,
  [1842] = 1790,
  [1843] = 1789,
  [1844] = 1844,
  [1845] = 1787,
  [1846] = 1785,
  [1847] = 1825,
  [1848] = 1795,
  [1849] = 1790,
  [1850] = 1831,
  [1851] = 1789,
  [1852] = 1831,
  [1853] = 1825,
  [1854] = 1787,
  [1855] = 1376,
  [1856] = 1785,
  [1857] = 1678,
  [1858] = 1761,
  [1859] = 1859,
  [1860] = 1762,
  [1861] = 1772,
  [1862] = 582,
  [1863] = 1828,
  [1864] = 1827,
  [1865] = 1797,
  [1866] = 1866,
  [1867] = 1780,
  [1868] = 1859,
  [1869] = 1660,
  [1870] = 1807,
  [1871] = 1674,
  [1872] = 1797,
  [1873] = 1807,
  [1874] = 1831,
  [1875] = 1797,
  [1876] = 1828,
  [1877] = 1811,
  [1878] = 1634,
  [1879] = 1879,
  [1880] = 1636,
  [1881] = 1801,
  [1882] = 1643,
  [1883] = 1827,
  [1884] = 1780,
  [1885] = 1637,
  [1886] = 1625,
  [1887] = 586,
  [1888] = 1620,
  [1889] = 573,
  [1890] = 1827,
  [1891] = 1828,
  [1892] = 1790,
  [1893] = 1789,
  [1894] = 1831,
  [1895] = 1895,
  [1896] = 1780,
  [1897] = 1787,
  [1898] = 1783,
  [1899] = 1785,
  [1900] = 1785,
  [1901] = 1787,
  [1902] = 1902,
  [1903] = 1789,
  [1904] = 1790,
  [1905] = 1831,
  [1906] = 1784,
  [1907] = 1907,
  [1908] = 1805,
  [1909] = 1828,
  [1910] = 1811,
  [1911] = 1777,
  [1912] = 1912,
  [1913] = 1827,
  [1914] = 1780,
  [1915] = 1772,
  [1916] = 1916,
  [1917] = 1812,
  [1918] = 1817,
  [1919] = 1797,
  [1920] = 1811,
  [1921] = 1816,
  [1922] = 1623,
  [1923] = 1807,
  [1924] = 1745,
  [1925] = 1807,
  [1926] = 1797,
  [1927] = 1807,
  [1928] = 1763,
  [1929] = 1772,
  [1930] = 1808,
  [1931] = 1811,
  [1932] = 1772,
  [1933] = 1779,
  [1934] = 1790,
  [1935] = 1789,
  [1936] = 1936,
  [1937] = 1787,
  [1938] = 1780,
  [1939] = 1767,
  [1940] = 1785,
  [1941] = 1831,
  [1942] = 1797,
  [1943] = 1828,
  [1944] = 1827,
  [1945] = 1828,
  [1946] = 1811,
  [1947] = 1827,
  [1948] = 1831,
  [1949] = 1812,
  [1950] = 1950,
  [1951] = 1912,
  [1952] = 1785,
  [1953] = 1780,
  [1954] = 1787,
  [1955] = 1826,
  [1956] = 1789,
  [1957] = 1790,
  [1958] = 1755,
  [1959] = 1959,
  [1960] = 1811,
  [1961] = 1807,
  [1962] = 1807,
  [1963] = 1683,
  [1964] = 1797,
  [1965] = 1959,
  [1966] = 1966,
  [1967] = 1388,
  [1968] = 1968,
  [1969] = 1969,
  [1970] = 1970,
  [1971] = 1971,
  [1972] = 1972,
  [1973] = 1968,
  [1974] = 1691,
  [1975] = 1975,
  [1976] = 1976,
  [1977] = 1977,
  [1978] = 1970,
  [1979] = 1979,
  [1980] = 1980,
  [1981] = 1390,
  [1982] = 1982,
  [1983] = 1983,
  [1984] = 1385,
  [1985] = 1985,
  [1986] = 1395,
  [1987] = 1987,
  [1988] = 1988,
  [1989] = 1989,
  [1990] = 1990,
  [1991] = 1991,
  [1992] = 1992,
  [1993] = 1970,
  [1994] = 1980,
  [1995] = 1990,
  [1996] = 1996,
  [1997] = 1902,
  [1998] = 1998,
  [1999] = 1385,
  [2000] = 1390,
  [2001] = 2001,
  [2002] = 2002,
  [2003] = 1895,
  [2004] = 1983,
  [2005] = 1701,
  [2006] = 1395,
  [2007] = 1966,
  [2008] = 2008,
  [2009] = 1969,
  [2010] = 1701,
  [2011] = 2011,
  [2012] = 1388,
  [2013] = 2013,
  [2014] = 2014,
  [2015] = 2015,
  [2016] = 2016,
  [2017] = 1982,
  [2018] = 1972,
  [2019] = 1992,
  [2020] = 1992,
  [2021] = 1991,
  [2022] = 2022,
  [2023] = 1907,
  [2024] = 1701,
  [2025] = 2025,
  [2026] = 2026,
  [2027] = 1980,
  [2028] = 1971,
  [2029] = 2029,
  [2030] = 2030,
  [2031] = 1979,
  [2032] = 2032,
  [2033] = 2033,
  [2034] = 2034,
  [2035] = 2035,
  [2036] = 2036,
  [2037] = 2037,
  [2038] = 2033,
  [2039] = 2039,
  [2040] = 2040,
  [2041] = 2041,
  [2042] = 2039,
  [2043] = 2041,
  [2044] = 2040,
  [2045] = 2036,
  [2046] = 2046,
  [2047] = 2047,
  [2048] = 2033,
  [2049] = 2049,
  [2050] = 2050,
  [2051] = 2051,
  [2052] = 2050,
  [2053] = 2035,
  [2054] = 2054,
  [2055] = 2055,
  [2056] = 2056,
  [2057] = 2057,
  [2058] = 2036,
  [2059] = 2051,
  [2060] = 2047,
  [2061] = 2061,
  [2062] = 2062,
  [2063] = 2049,
  [2064] = 2054,
  [2065] = 2055,
  [2066] = 2057,
  [2067] = 2067,
  [2068] = 2057,
  [2069] = 2055,
  [2070] = 2054,
  [2071] = 2051,
  [2072] = 2072,
  [2073] = 2035,
  [2074] = 2050,
  [2075] = 2049,
  [2076] = 2047,
  [2077] = 2033,
  [2078] = 2033,
  [2079] = 2036,
  [2080] = 2040,
  [2081] = 2041,
  [2082] = 2039,
  [2083] = 2039,
  [2084] = 2041,
  [2085] = 2036,
  [2086] = 2047,
  [2087] = 2049,
  [2088] = 2050,
  [2089] = 2051,
  [2090] = 2040,
  [2091] = 2054,
  [2092] = 2055,
  [2093] = 2093,
  [2094] = 2057,
  [2095] = 2095,
  [2096] = 2061,
  [2097] = 2097,
  [2098] = 2034,
  [2099] = 2035,
  [2100] = 2100,
  [2101] = 2037,
  [2102] = 2102,
  [2103] = 2103,
  [2104] = 2046,
  [2105] = 2105,
  [2106] = 2106,
  [2107] = 2107,
  [2108] = 2108,
  [2109] = 2039,
  [2110] = 2110,
  [2111] = 2111,
  [2112] = 2112,
  [2113] = 2047,
  [2114] = 2114,
  [2115] = 2115,
  [2116] = 2116,
  [2117] = 2039,
  [2118] = 2049,
  [2119] = 2119,
  [2120] = 2120,
  [2121] = 2057,
  [2122] = 2057,
  [2123] = 2035,
  [2124] = 2120,
  [2125] = 2125,
  [2126] = 2097,
  [2127] = 2127,
  [2128] = 2050,
  [2129] = 2129,
  [2130] = 2049,
  [2131] = 2112,
  [2132] = 2051,
  [2133] = 2114,
  [2134] = 2055,
  [2135] = 2054,
  [2136] = 2125,
  [2137] = 2054,
  [2138] = 2138,
  [2139] = 2139,
  [2140] = 2055,
  [2141] = 2100,
  [2142] = 2142,
  [2143] = 2047,
  [2144] = 2144,
  [2145] = 2057,
  [2146] = 2116,
  [2147] = 2051,
  [2148] = 2033,
  [2149] = 2050,
  [2150] = 2072,
  [2151] = 2037,
  [2152] = 2057,
  [2153] = 2067,
  [2154] = 2106,
  [2155] = 2062,
  [2156] = 2156,
  [2157] = 2095,
  [2158] = 2055,
  [2159] = 2115,
  [2160] = 2049,
  [2161] = 2103,
  [2162] = 2162,
  [2163] = 2163,
  [2164] = 2047,
  [2165] = 2054,
  [2166] = 2142,
  [2167] = 2041,
  [2168] = 2036,
  [2169] = 2112,
  [2170] = 2051,
  [2171] = 2138,
  [2172] = 2050,
  [2173] = 2106,
  [2174] = 2049,
  [2175] = 2139,
  [2176] = 2039,
  [2177] = 2177,
  [2178] = 2138,
  [2179] = 2041,
  [2180] = 2180,
  [2181] = 2040,
  [2182] = 2105,
  [2183] = 2183,
  [2184] = 2035,
  [2185] = 2050,
  [2186] = 2102,
  [2187] = 2033,
  [2188] = 2100,
  [2189] = 2189,
  [2190] = 2035,
  [2191] = 2183,
  [2192] = 2055,
  [2193] = 2047,
  [2194] = 2054,
  [2195] = 2195,
  [2196] = 2196,
  [2197] = 2197,
  [2198] = 2195,
  [2199] = 2199,
  [2200] = 2036,
  [2201] = 2051,
  [2202] = 2183,
  [2203] = 2203,
  [2204] = 2036,
  [2205] = 2196,
  [2206] = 2040,
  [2207] = 2039,
  [2208] = 2041,
  [2209] = 2040,
  [2210] = 2040,
  [2211] = 2033,
  [2212] = 2041,
  [2213] = 2213,
  [2214] = 2214,
  [2215] = 2203,
  [2216] = 2111,
  [2217] = 2035,
  [2218] = 2119,
  [2219] = 2093,
  [2220] = 2177,
  [2221] = 2129,
  [2222] = 2222,
  [2223] = 2177,
  [2224] = 2222,
  [2225] = 2162,
};

static inline bool sym_identifier_character_set_1(int32_t c) {
  return (c < 43514
    ? (c < 4193
      ? (c < 2707
        ? (c < 1994
          ? (c < 931
            ? (c < 748
              ? (c < 192
                ? (c < 170
                  ? (c < 'a'
                    ? (c >= 'A' && c <= '_')
                    : c <= 'z')
                  : (c <= 170 || (c < 186
                    ? c == 181
                    : c <= 186)))
                : (c <= 214 || (c < 710
                  ? (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)
                  : (c <= 721 || (c >= 736 && c <= 740)))))
              : (c <= 748 || (c < 895
                ? (c < 886
                  ? (c < 880
                    ? c == 750
                    : c <= 884)
                  : (c <= 887 || (c >= 891 && c <= 893)))
                : (c <= 895 || (c < 908
                  ? (c < 904
                    ? c == 902
                    : c <= 906)
                  : (c <= 908 || (c >= 910 && c <= 929)))))))
            : (c <= 1013 || (c < 1649
              ? (c < 1376
                ? (c < 1329
                  ? (c < 1162
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1327)
                  : (c <= 1366 || c == 1369))
                : (c <= 1416 || (c < 1568
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1610 || (c >= 1646 && c <= 1647)))))
              : (c <= 1747 || (c < 1791
                ? (c < 1774
                  ? (c < 1765
                    ? c == 1749
                    : c <= 1766)
                  : (c <= 1775 || (c >= 1786 && c <= 1788)))
                : (c <= 1791 || (c < 1869
                  ? (c < 1810
                    ? c == 1808
                    : c <= 1839)
                  : (c <= 1957 || c == 1969))))))))
          : (c <= 2026 || (c < 2482
            ? (c < 2208
              ? (c < 2088
                ? (c < 2048
                  ? (c < 2042
                    ? (c >= 2036 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2069 || (c < 2084
                    ? c == 2074
                    : c <= 2084)))
                : (c <= 2088 || (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2136)
                    : c <= 2154)
                  : (c <= 2183 || (c >= 2185 && c <= 2190)))))
              : (c <= 2249 || (c < 2417
                ? (c < 2384
                  ? (c < 2365
                    ? (c >= 2308 && c <= 2361)
                    : c <= 2365)
                  : (c <= 2384 || (c >= 2392 && c <= 2401)))
                : (c <= 2432 || (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c >= 2474 && c <= 2480)))))))
            : (c <= 2482 || (c < 2579
              ? (c < 2527
                ? (c < 2510
                  ? (c < 2493
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2493)
                  : (c <= 2510 || (c >= 2524 && c <= 2525)))
                : (c <= 2529 || (c < 2565
                  ? (c < 2556
                    ? (c >= 2544 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2570 || (c >= 2575 && c <= 2576)))))
              : (c <= 2600 || (c < 2649
                ? (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c >= 2616 && c <= 2617)))
                : (c <= 2652 || (c < 2693
                  ? (c < 2674
                    ? c == 2654
                    : c <= 2676)
                  : (c <= 2701 || (c >= 2703 && c <= 2705)))))))))))
        : (c <= 2728 || (c < 3242
          ? (c < 2962
            ? (c < 2858
              ? (c < 2784
                ? (c < 2741
                  ? (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)
                  : (c <= 2745 || (c < 2768
                    ? c == 2749
                    : c <= 2768)))
                : (c <= 2785 || (c < 2831
                  ? (c < 2821
                    ? c == 2809
                    : c <= 2828)
                  : (c <= 2832 || (c >= 2835 && c <= 2856)))))
              : (c <= 2864 || (c < 2911
                ? (c < 2877
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2877 || (c >= 2908 && c <= 2909)))
                : (c <= 2913 || (c < 2949
                  ? (c < 2947
                    ? c == 2929
                    : c <= 2947)
                  : (c <= 2954 || (c >= 2958 && c <= 2960)))))))
            : (c <= 2965 || (c < 3090
              ? (c < 2984
                ? (c < 2974
                  ? (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)
                  : (c <= 2975 || (c >= 2979 && c <= 2980)))
                : (c <= 2986 || (c < 3077
                  ? (c < 3024
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3024)
                  : (c <= 3084 || (c >= 3086 && c <= 3088)))))
              : (c <= 3112 || (c < 3168
                ? (c < 3160
                  ? (c < 3133
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3133)
                  : (c <= 3162 || c == 3165))
                : (c <= 3169 || (c < 3214
                  ? (c < 3205
                    ? c == 3200
                    : c <= 3212)
                  : (c <= 3216 || (c >= 3218 && c <= 3240)))))))))
          : (c <= 3251 || (c < 3648
            ? (c < 3412
              ? (c < 3332
                ? (c < 3293
                  ? (c < 3261
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3261)
                  : (c <= 3294 || (c < 3313
                    ? (c >= 3296 && c <= 3297)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3389
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3386)
                  : (c <= 3389 || c == 3406))))
              : (c <= 3414 || (c < 3507
                ? (c < 3461
                  ? (c < 3450
                    ? (c >= 3423 && c <= 3425)
                    : c <= 3455)
                  : (c <= 3478 || (c >= 3482 && c <= 3505)))
                : (c <= 3515 || (c < 3585
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3632 || c == 3634))))))
            : (c <= 3654 || (c < 3782
              ? (c < 3749
                ? (c < 3718
                  ? (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)
                  : (c <= 3722 || (c >= 3724 && c <= 3747)))
                : (c <= 3749 || (c < 3773
                  ? (c < 3762
                    ? (c >= 3751 && c <= 3760)
                    : c <= 3762)
                  : (c <= 3773 || (c >= 3776 && c <= 3780)))))
              : (c <= 3782 || (c < 3976
                ? (c < 3904
                  ? (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)
                  : (c <= 3911 || (c >= 3913 && c <= 3948)))
                : (c <= 3980 || (c < 4176
                  ? (c < 4159
                    ? (c >= 4096 && c <= 4138)
                    : c <= 4159)
                  : (c <= 4181 || (c >= 4186 && c <= 4189)))))))))))))
      : (c <= 4193 || (c < 8134
        ? (c < 6176
          ? (c < 4808
            ? (c < 4688
              ? (c < 4295
                ? (c < 4213
                  ? (c < 4206
                    ? (c >= 4197 && c <= 4198)
                    : c <= 4208)
                  : (c <= 4225 || (c < 4256
                    ? c == 4238
                    : c <= 4293)))
                : (c <= 4295 || (c < 4348
                  ? (c < 4304
                    ? c == 4301
                    : c <= 4346)
                  : (c <= 4680 || (c >= 4682 && c <= 4685)))))
              : (c <= 4694 || (c < 4752
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c >= 4746 && c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c >= 4802 && c <= 4805)))))))
            : (c <= 4822 || (c < 5792
              ? (c < 5024
                ? (c < 4888
                  ? (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)
                  : (c <= 4954 || (c >= 4992 && c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c >= 5761 && c <= 5786)))))
              : (c <= 5866 || (c < 5984
                ? (c < 5919
                  ? (c < 5888
                    ? (c >= 5870 && c <= 5880)
                    : c <= 5905)
                  : (c <= 5937 || (c >= 5952 && c <= 5969)))
                : (c <= 5996 || (c < 6103
                  ? (c < 6016
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6067)
                  : (c <= 6103 || c == 6108))))))))
          : (c <= 6264 || (c < 7312
            ? (c < 6823
              ? (c < 6512
                ? (c < 6320
                  ? (c < 6314
                    ? (c >= 6272 && c <= 6312)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6480
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6509)))
                : (c <= 6516 || (c < 6656
                  ? (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)
                  : (c <= 6678 || (c >= 6688 && c <= 6740)))))
              : (c <= 6823 || (c < 7098
                ? (c < 7043
                  ? (c < 6981
                    ? (c >= 6917 && c <= 6963)
                    : c <= 6988)
                  : (c <= 7072 || (c >= 7086 && c <= 7087)))
                : (c <= 7141 || (c < 7258
                  ? (c < 7245
                    ? (c >= 7168 && c <= 7203)
                    : c <= 7247)
                  : (c <= 7293 || (c >= 7296 && c <= 7304)))))))
            : (c <= 7354 || (c < 8008
              ? (c < 7418
                ? (c < 7406
                  ? (c < 7401
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7404)
                  : (c <= 7411 || (c >= 7413 && c <= 7414)))
                : (c <= 7418 || (c < 7960
                  ? (c < 7680
                    ? (c >= 7424 && c <= 7615)
                    : c <= 7957)
                  : (c <= 7965 || (c >= 7968 && c <= 8005)))))
              : (c <= 8013 || (c < 8031
                ? (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || c == 8029))
                : (c <= 8061 || (c < 8126
                  ? (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)
                  : (c <= 8126 || (c >= 8130 && c <= 8132)))))))))))
        : (c <= 8140 || (c < 12337
          ? (c < 8544
            ? (c < 8458
              ? (c < 8305
                ? (c < 8160
                  ? (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)
                  : (c <= 8172 || (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)))
                : (c <= 8305 || (c < 8450
                  ? (c < 8336
                    ? c == 8319
                    : c <= 8348)
                  : (c <= 8450 || c == 8455))))
              : (c <= 8467 || (c < 8488
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || c == 8486))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || c == 8526))))))
            : (c <= 8584 || (c < 11680
              ? (c < 11559
                ? (c < 11506
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11502)
                  : (c <= 11507 || (c >= 11520 && c <= 11557)))
                : (c <= 11559 || (c < 11631
                  ? (c < 11568
                    ? c == 11565
                    : c <= 11623)
                  : (c <= 11631 || (c >= 11648 && c <= 11670)))))
              : (c <= 11686 || (c < 11720
                ? (c < 11704
                  ? (c < 11696
                    ? (c >= 11688 && c <= 11694)
                    : c <= 11702)
                  : (c <= 11710 || (c >= 11712 && c <= 11718)))
                : (c <= 11726 || (c < 12293
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 12295 || (c >= 12321 && c <= 12329)))))))))
          : (c <= 12341 || (c < 42891
            ? (c < 19968
              ? (c < 12549
                ? (c < 12445
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12447 || (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)))
                : (c <= 12591 || (c < 12784
                  ? (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)
                  : (c <= 12799 || (c >= 13312 && c <= 19903)))))
              : (c <= 42124 || (c < 42560
                ? (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42527 || (c >= 42538 && c <= 42539)))
                : (c <= 42606 || (c < 42775
                  ? (c < 42656
                    ? (c >= 42623 && c <= 42653)
                    : c <= 42735)
                  : (c <= 42783 || (c >= 42786 && c <= 42888)))))))
            : (c <= 42954 || (c < 43250
              ? (c < 43011
                ? (c < 42965
                  ? (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)
                  : (c <= 42969 || (c >= 42994 && c <= 43009)))
                : (c <= 43013 || (c < 43072
                  ? (c < 43020
                    ? (c >= 43015 && c <= 43018)
                    : c <= 43042)
                  : (c <= 43123 || (c >= 43138 && c <= 43187)))))
              : (c <= 43255 || (c < 43360
                ? (c < 43274
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43262)
                  : (c <= 43301 || (c >= 43312 && c <= 43334)))
                : (c <= 43388 || (c < 43488
                  ? (c < 43471
                    ? (c >= 43396 && c <= 43442)
                    : c <= 43471)
                  : (c <= 43492 || (c >= 43494 && c <= 43503)))))))))))))))
    : (c <= 43518 || (c < 70727
      ? (c < 66956
        ? (c < 64914
          ? (c < 43868
            ? (c < 43714
              ? (c < 43646
                ? (c < 43588
                  ? (c < 43584
                    ? (c >= 43520 && c <= 43560)
                    : c <= 43586)
                  : (c <= 43595 || (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43642)))
                : (c <= 43695 || (c < 43705
                  ? (c < 43701
                    ? c == 43697
                    : c <= 43702)
                  : (c <= 43709 || c == 43712))))
              : (c <= 43714 || (c < 43785
                ? (c < 43762
                  ? (c < 43744
                    ? (c >= 43739 && c <= 43741)
                    : c <= 43754)
                  : (c <= 43764 || (c >= 43777 && c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c >= 43824 && c <= 43866)))))))
            : (c <= 43881 || (c < 64287
              ? (c < 63744
                ? (c < 55216
                  ? (c < 44032
                    ? (c >= 43888 && c <= 44002)
                    : c <= 55203)
                  : (c <= 55238 || (c >= 55243 && c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || c == 64285))))
              : (c <= 64296 || (c < 64323
                ? (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c >= 64320 && c <= 64321)))
                : (c <= 64324 || (c < 64612
                  ? (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)
                  : (c <= 64829 || (c >= 64848 && c <= 64911)))))))))
          : (c <= 64967 || (c < 65599
            ? (c < 65382
              ? (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65313
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65338 || (c >= 65345 && c <= 65370)))))
              : (c <= 65437 || (c < 65498
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65440 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c >= 65490 && c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c >= 65596 && c <= 65597)))))))
            : (c <= 65613 || (c < 66464
              ? (c < 66208
                ? (c < 65856
                  ? (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)
                  : (c <= 65908 || (c >= 66176 && c <= 66204)))
                : (c <= 66256 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66421 || (c >= 66432 && c <= 66461)))))
              : (c <= 66499 || (c < 66776
                ? (c < 66560
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)
                  : (c <= 66717 || (c >= 66736 && c <= 66771)))
                : (c <= 66811 || (c < 66928
                  ? (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)
                  : (c <= 66938 || (c >= 66940 && c <= 66954)))))))))))
        : (c <= 66962 || (c < 68864
          ? (c < 67828
            ? (c < 67506
              ? (c < 67072
                ? (c < 66979
                  ? (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)
                  : (c <= 66993 || (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)))
                : (c <= 67382 || (c < 67456
                  ? (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)
                  : (c <= 67461 || (c >= 67463 && c <= 67504)))))
              : (c <= 67514 || (c < 67644
                ? (c < 67594
                  ? (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)
                  : (c <= 67637 || (c >= 67639 && c <= 67640)))
                : (c <= 67644 || (c < 67712
                  ? (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)
                  : (c <= 67742 || (c >= 67808 && c <= 67826)))))))
            : (c <= 67829 || (c < 68224
              ? (c < 68096
                ? (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c >= 68030 && c <= 68031)))
                : (c <= 68096 || (c < 68121
                  ? (c < 68117
                    ? (c >= 68112 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c >= 68192 && c <= 68220)))))
              : (c <= 68252 || (c < 68448
                ? (c < 68352
                  ? (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68324)
                  : (c <= 68405 || (c >= 68416 && c <= 68437)))
                : (c <= 68466 || (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c >= 68800 && c <= 68850)))))))))
          : (c <= 68899 || (c < 70106
            ? (c < 69749
              ? (c < 69488
                ? (c < 69376
                  ? (c < 69296
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69297)
                  : (c <= 69404 || (c < 69424
                    ? c == 69415
                    : c <= 69445)))
                : (c <= 69505 || (c < 69635
                  ? (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)
                  : (c <= 69687 || (c >= 69745 && c <= 69746)))))
              : (c <= 69749 || (c < 69959
                ? (c < 69891
                  ? (c < 69840
                    ? (c >= 69763 && c <= 69807)
                    : c <= 69864)
                  : (c <= 69926 || c == 69956))
                : (c <= 69959 || (c < 70019
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70002)
                    : c <= 70006)
                  : (c <= 70066 || (c >= 70081 && c <= 70084)))))))
            : (c <= 70106 || (c < 70405
              ? (c < 70280
                ? (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70187 || (c >= 70272 && c <= 70278)))
                : (c <= 70280 || (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c >= 70320 && c <= 70366)))))
              : (c <= 70412 || (c < 70453
                ? (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c >= 70450 && c <= 70451)))
                : (c <= 70457 || (c < 70493
                  ? (c < 70480
                    ? c == 70461
                    : c <= 70480)
                  : (c <= 70497 || (c >= 70656 && c <= 70708)))))))))))))
      : (c <= 70730 || (c < 119894
        ? (c < 73056
          ? (c < 72001
            ? (c < 71424
              ? (c < 71128
                ? (c < 70852
                  ? (c < 70784
                    ? (c >= 70751 && c <= 70753)
                    : c <= 70831)
                  : (c <= 70853 || (c < 71040
                    ? c == 70855
                    : c <= 71086)))
                : (c <= 71131 || (c < 71296
                  ? (c < 71236
                    ? (c >= 71168 && c <= 71215)
                    : c <= 71236)
                  : (c <= 71338 || c == 71352))))
              : (c <= 71450 || (c < 71945
                ? (c < 71840
                  ? (c < 71680
                    ? (c >= 71488 && c <= 71494)
                    : c <= 71723)
                  : (c <= 71903 || (c >= 71935 && c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71983 || c == 71999))))))
            : (c <= 72001 || (c < 72349
              ? (c < 72192
                ? (c < 72161
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72144)
                  : (c <= 72161 || c == 72163))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_2(int32_t c) {
  return (c < 43514
    ? (c < 4193
      ? (c < 2707
        ? (c < 1994
          ? (c < 910
            ? (c < 736
              ? (c < 186
                ? (c < 'a'
                  ? (c < '_'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= '_')
                  : (c <= 'z' || (c < 181
                    ? c == 170
                    : c <= 181)))
                : (c <= 186 || (c < 248
                  ? (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)
                  : (c <= 705 || (c >= 710 && c <= 721)))))
              : (c <= 740 || (c < 891
                ? (c < 880
                  ? (c < 750
                    ? c == 748
                    : c <= 750)
                  : (c <= 884 || (c >= 886 && c <= 887)))
                : (c <= 893 || (c < 904
                  ? (c < 902
                    ? c == 895
                    : c <= 902)
                  : (c <= 906 || c == 908))))))
            : (c <= 929 || (c < 1649
              ? (c < 1376
                ? (c < 1162
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1327 || (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)))
                : (c <= 1416 || (c < 1568
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1610 || (c >= 1646 && c <= 1647)))))
              : (c <= 1747 || (c < 1791
                ? (c < 1774
                  ? (c < 1765
                    ? c == 1749
                    : c <= 1766)
                  : (c <= 1775 || (c >= 1786 && c <= 1788)))
                : (c <= 1791 || (c < 1869
                  ? (c < 1810
                    ? c == 1808
                    : c <= 1839)
                  : (c <= 1957 || c == 1969))))))))
          : (c <= 2026 || (c < 2482
            ? (c < 2208
              ? (c < 2088
                ? (c < 2048
                  ? (c < 2042
                    ? (c >= 2036 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2069 || (c < 2084
                    ? c == 2074
                    : c <= 2084)))
                : (c <= 2088 || (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2136)
                    : c <= 2154)
                  : (c <= 2183 || (c >= 2185 && c <= 2190)))))
              : (c <= 2249 || (c < 2417
                ? (c < 2384
                  ? (c < 2365
                    ? (c >= 2308 && c <= 2361)
                    : c <= 2365)
                  : (c <= 2384 || (c >= 2392 && c <= 2401)))
                : (c <= 2432 || (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c >= 2474 && c <= 2480)))))))
            : (c <= 2482 || (c < 2579
              ? (c < 2527
                ? (c < 2510
                  ? (c < 2493
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2493)
                  : (c <= 2510 || (c >= 2524 && c <= 2525)))
                : (c <= 2529 || (c < 2565
                  ? (c < 2556
                    ? (c >= 2544 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2570 || (c >= 2575 && c <= 2576)))))
              : (c <= 2600 || (c < 2649
                ? (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c >= 2616 && c <= 2617)))
                : (c <= 2652 || (c < 2693
                  ? (c < 2674
                    ? c == 2654
                    : c <= 2676)
                  : (c <= 2701 || (c >= 2703 && c <= 2705)))))))))))
        : (c <= 2728 || (c < 3242
          ? (c < 2962
            ? (c < 2858
              ? (c < 2784
                ? (c < 2741
                  ? (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)
                  : (c <= 2745 || (c < 2768
                    ? c == 2749
                    : c <= 2768)))
                : (c <= 2785 || (c < 2831
                  ? (c < 2821
                    ? c == 2809
                    : c <= 2828)
                  : (c <= 2832 || (c >= 2835 && c <= 2856)))))
              : (c <= 2864 || (c < 2911
                ? (c < 2877
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2877 || (c >= 2908 && c <= 2909)))
                : (c <= 2913 || (c < 2949
                  ? (c < 2947
                    ? c == 2929
                    : c <= 2947)
                  : (c <= 2954 || (c >= 2958 && c <= 2960)))))))
            : (c <= 2965 || (c < 3090
              ? (c < 2984
                ? (c < 2974
                  ? (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)
                  : (c <= 2975 || (c >= 2979 && c <= 2980)))
                : (c <= 2986 || (c < 3077
                  ? (c < 3024
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3024)
                  : (c <= 3084 || (c >= 3086 && c <= 3088)))))
              : (c <= 3112 || (c < 3168
                ? (c < 3160
                  ? (c < 3133
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3133)
                  : (c <= 3162 || c == 3165))
                : (c <= 3169 || (c < 3214
                  ? (c < 3205
                    ? c == 3200
                    : c <= 3212)
                  : (c <= 3216 || (c >= 3218 && c <= 3240)))))))))
          : (c <= 3251 || (c < 3648
            ? (c < 3412
              ? (c < 3332
                ? (c < 3293
                  ? (c < 3261
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3261)
                  : (c <= 3294 || (c < 3313
                    ? (c >= 3296 && c <= 3297)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3389
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3386)
                  : (c <= 3389 || c == 3406))))
              : (c <= 3414 || (c < 3507
                ? (c < 3461
                  ? (c < 3450
                    ? (c >= 3423 && c <= 3425)
                    : c <= 3455)
                  : (c <= 3478 || (c >= 3482 && c <= 3505)))
                : (c <= 3515 || (c < 3585
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3632 || c == 3634))))))
            : (c <= 3654 || (c < 3782
              ? (c < 3749
                ? (c < 3718
                  ? (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)
                  : (c <= 3722 || (c >= 3724 && c <= 3747)))
                : (c <= 3749 || (c < 3773
                  ? (c < 3762
                    ? (c >= 3751 && c <= 3760)
                    : c <= 3762)
                  : (c <= 3773 || (c >= 3776 && c <= 3780)))))
              : (c <= 3782 || (c < 3976
                ? (c < 3904
                  ? (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)
                  : (c <= 3911 || (c >= 3913 && c <= 3948)))
                : (c <= 3980 || (c < 4176
                  ? (c < 4159
                    ? (c >= 4096 && c <= 4138)
                    : c <= 4159)
                  : (c <= 4181 || (c >= 4186 && c <= 4189)))))))))))))
      : (c <= 4193 || (c < 8134
        ? (c < 6176
          ? (c < 4808
            ? (c < 4688
              ? (c < 4295
                ? (c < 4213
                  ? (c < 4206
                    ? (c >= 4197 && c <= 4198)
                    : c <= 4208)
                  : (c <= 4225 || (c < 4256
                    ? c == 4238
                    : c <= 4293)))
                : (c <= 4295 || (c < 4348
                  ? (c < 4304
                    ? c == 4301
                    : c <= 4346)
                  : (c <= 4680 || (c >= 4682 && c <= 4685)))))
              : (c <= 4694 || (c < 4752
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c >= 4746 && c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c >= 4802 && c <= 4805)))))))
            : (c <= 4822 || (c < 5792
              ? (c < 5024
                ? (c < 4888
                  ? (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)
                  : (c <= 4954 || (c >= 4992 && c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c >= 5761 && c <= 5786)))))
              : (c <= 5866 || (c < 5984
                ? (c < 5919
                  ? (c < 5888
                    ? (c >= 5870 && c <= 5880)
                    : c <= 5905)
                  : (c <= 5937 || (c >= 5952 && c <= 5969)))
                : (c <= 5996 || (c < 6103
                  ? (c < 6016
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6067)
                  : (c <= 6103 || c == 6108))))))))
          : (c <= 6264 || (c < 7312
            ? (c < 6823
              ? (c < 6512
                ? (c < 6320
                  ? (c < 6314
                    ? (c >= 6272 && c <= 6312)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6480
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6509)))
                : (c <= 6516 || (c < 6656
                  ? (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)
                  : (c <= 6678 || (c >= 6688 && c <= 6740)))))
              : (c <= 6823 || (c < 7098
                ? (c < 7043
                  ? (c < 6981
                    ? (c >= 6917 && c <= 6963)
                    : c <= 6988)
                  : (c <= 7072 || (c >= 7086 && c <= 7087)))
                : (c <= 7141 || (c < 7258
                  ? (c < 7245
                    ? (c >= 7168 && c <= 7203)
                    : c <= 7247)
                  : (c <= 7293 || (c >= 7296 && c <= 7304)))))))
            : (c <= 7354 || (c < 8008
              ? (c < 7418
                ? (c < 7406
                  ? (c < 7401
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7404)
                  : (c <= 7411 || (c >= 7413 && c <= 7414)))
                : (c <= 7418 || (c < 7960
                  ? (c < 7680
                    ? (c >= 7424 && c <= 7615)
                    : c <= 7957)
                  : (c <= 7965 || (c >= 7968 && c <= 8005)))))
              : (c <= 8013 || (c < 8031
                ? (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || c == 8029))
                : (c <= 8061 || (c < 8126
                  ? (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)
                  : (c <= 8126 || (c >= 8130 && c <= 8132)))))))))))
        : (c <= 8140 || (c < 12337
          ? (c < 8544
            ? (c < 8458
              ? (c < 8305
                ? (c < 8160
                  ? (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)
                  : (c <= 8172 || (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)))
                : (c <= 8305 || (c < 8450
                  ? (c < 8336
                    ? c == 8319
                    : c <= 8348)
                  : (c <= 8450 || c == 8455))))
              : (c <= 8467 || (c < 8488
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || c == 8486))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || c == 8526))))))
            : (c <= 8584 || (c < 11680
              ? (c < 11559
                ? (c < 11506
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11502)
                  : (c <= 11507 || (c >= 11520 && c <= 11557)))
                : (c <= 11559 || (c < 11631
                  ? (c < 11568
                    ? c == 11565
                    : c <= 11623)
                  : (c <= 11631 || (c >= 11648 && c <= 11670)))))
              : (c <= 11686 || (c < 11720
                ? (c < 11704
                  ? (c < 11696
                    ? (c >= 11688 && c <= 11694)
                    : c <= 11702)
                  : (c <= 11710 || (c >= 11712 && c <= 11718)))
                : (c <= 11726 || (c < 12293
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 12295 || (c >= 12321 && c <= 12329)))))))))
          : (c <= 12341 || (c < 42891
            ? (c < 19968
              ? (c < 12549
                ? (c < 12445
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12447 || (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)))
                : (c <= 12591 || (c < 12784
                  ? (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)
                  : (c <= 12799 || (c >= 13312 && c <= 19903)))))
              : (c <= 42124 || (c < 42560
                ? (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42527 || (c >= 42538 && c <= 42539)))
                : (c <= 42606 || (c < 42775
                  ? (c < 42656
                    ? (c >= 42623 && c <= 42653)
                    : c <= 42735)
                  : (c <= 42783 || (c >= 42786 && c <= 42888)))))))
            : (c <= 42954 || (c < 43250
              ? (c < 43011
                ? (c < 42965
                  ? (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)
                  : (c <= 42969 || (c >= 42994 && c <= 43009)))
                : (c <= 43013 || (c < 43072
                  ? (c < 43020
                    ? (c >= 43015 && c <= 43018)
                    : c <= 43042)
                  : (c <= 43123 || (c >= 43138 && c <= 43187)))))
              : (c <= 43255 || (c < 43360
                ? (c < 43274
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43262)
                  : (c <= 43301 || (c >= 43312 && c <= 43334)))
                : (c <= 43388 || (c < 43488
                  ? (c < 43471
                    ? (c >= 43396 && c <= 43442)
                    : c <= 43471)
                  : (c <= 43492 || (c >= 43494 && c <= 43503)))))))))))))))
    : (c <= 43518 || (c < 70727
      ? (c < 66956
        ? (c < 64914
          ? (c < 43868
            ? (c < 43714
              ? (c < 43646
                ? (c < 43588
                  ? (c < 43584
                    ? (c >= 43520 && c <= 43560)
                    : c <= 43586)
                  : (c <= 43595 || (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43642)))
                : (c <= 43695 || (c < 43705
                  ? (c < 43701
                    ? c == 43697
                    : c <= 43702)
                  : (c <= 43709 || c == 43712))))
              : (c <= 43714 || (c < 43785
                ? (c < 43762
                  ? (c < 43744
                    ? (c >= 43739 && c <= 43741)
                    : c <= 43754)
                  : (c <= 43764 || (c >= 43777 && c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c >= 43824 && c <= 43866)))))))
            : (c <= 43881 || (c < 64287
              ? (c < 63744
                ? (c < 55216
                  ? (c < 44032
                    ? (c >= 43888 && c <= 44002)
                    : c <= 55203)
                  : (c <= 55238 || (c >= 55243 && c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || c == 64285))))
              : (c <= 64296 || (c < 64323
                ? (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c >= 64320 && c <= 64321)))
                : (c <= 64324 || (c < 64612
                  ? (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)
                  : (c <= 64829 || (c >= 64848 && c <= 64911)))))))))
          : (c <= 64967 || (c < 65599
            ? (c < 65382
              ? (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65313
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65338 || (c >= 65345 && c <= 65370)))))
              : (c <= 65437 || (c < 65498
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65440 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c >= 65490 && c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c >= 65596 && c <= 65597)))))))
            : (c <= 65613 || (c < 66464
              ? (c < 66208
                ? (c < 65856
                  ? (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)
                  : (c <= 65908 || (c >= 66176 && c <= 66204)))
                : (c <= 66256 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66421 || (c >= 66432 && c <= 66461)))))
              : (c <= 66499 || (c < 66776
                ? (c < 66560
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)
                  : (c <= 66717 || (c >= 66736 && c <= 66771)))
                : (c <= 66811 || (c < 66928
                  ? (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)
                  : (c <= 66938 || (c >= 66940 && c <= 66954)))))))))))
        : (c <= 66962 || (c < 68864
          ? (c < 67828
            ? (c < 67506
              ? (c < 67072
                ? (c < 66979
                  ? (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)
                  : (c <= 66993 || (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)))
                : (c <= 67382 || (c < 67456
                  ? (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)
                  : (c <= 67461 || (c >= 67463 && c <= 67504)))))
              : (c <= 67514 || (c < 67644
                ? (c < 67594
                  ? (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)
                  : (c <= 67637 || (c >= 67639 && c <= 67640)))
                : (c <= 67644 || (c < 67712
                  ? (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)
                  : (c <= 67742 || (c >= 67808 && c <= 67826)))))))
            : (c <= 67829 || (c < 68224
              ? (c < 68096
                ? (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c >= 68030 && c <= 68031)))
                : (c <= 68096 || (c < 68121
                  ? (c < 68117
                    ? (c >= 68112 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c >= 68192 && c <= 68220)))))
              : (c <= 68252 || (c < 68448
                ? (c < 68352
                  ? (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68324)
                  : (c <= 68405 || (c >= 68416 && c <= 68437)))
                : (c <= 68466 || (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c >= 68800 && c <= 68850)))))))))
          : (c <= 68899 || (c < 70106
            ? (c < 69749
              ? (c < 69488
                ? (c < 69376
                  ? (c < 69296
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69297)
                  : (c <= 69404 || (c < 69424
                    ? c == 69415
                    : c <= 69445)))
                : (c <= 69505 || (c < 69635
                  ? (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)
                  : (c <= 69687 || (c >= 69745 && c <= 69746)))))
              : (c <= 69749 || (c < 69959
                ? (c < 69891
                  ? (c < 69840
                    ? (c >= 69763 && c <= 69807)
                    : c <= 69864)
                  : (c <= 69926 || c == 69956))
                : (c <= 69959 || (c < 70019
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70002)
                    : c <= 70006)
                  : (c <= 70066 || (c >= 70081 && c <= 70084)))))))
            : (c <= 70106 || (c < 70405
              ? (c < 70280
                ? (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70187 || (c >= 70272 && c <= 70278)))
                : (c <= 70280 || (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c >= 70320 && c <= 70366)))))
              : (c <= 70412 || (c < 70453
                ? (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c >= 70450 && c <= 70451)))
                : (c <= 70457 || (c < 70493
                  ? (c < 70480
                    ? c == 70461
                    : c <= 70480)
                  : (c <= 70497 || (c >= 70656 && c <= 70708)))))))))))))
      : (c <= 70730 || (c < 119894
        ? (c < 73056
          ? (c < 72001
            ? (c < 71424
              ? (c < 71128
                ? (c < 70852
                  ? (c < 70784
                    ? (c >= 70751 && c <= 70753)
                    : c <= 70831)
                  : (c <= 70853 || (c < 71040
                    ? c == 70855
                    : c <= 71086)))
                : (c <= 71131 || (c < 71296
                  ? (c < 71236
                    ? (c >= 71168 && c <= 71215)
                    : c <= 71236)
                  : (c <= 71338 || c == 71352))))
              : (c <= 71450 || (c < 71945
                ? (c < 71840
                  ? (c < 71680
                    ? (c >= 71488 && c <= 71494)
                    : c <= 71723)
                  : (c <= 71903 || (c >= 71935 && c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71983 || c == 71999))))))
            : (c <= 72001 || (c < 72349
              ? (c < 72192
                ? (c < 72161
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72144)
                  : (c <= 72161 || c == 72163))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_3(int32_t c) {
  return (c < 43616
    ? (c < 3782
      ? (c < 2748
        ? (c < 2045
          ? (c < 1015
            ? (c < 710
              ? (c < 181
                ? (c < '_'
                  ? (c < 'A'
                    ? (c >= '0' && c <= '9')
                    : c <= 'Z')
                  : (c <= '_' || (c < 170
                    ? (c >= 'a' && c <= 'z')
                    : c <= 170)))
                : (c <= 181 || (c < 192
                  ? (c < 186
                    ? c == 183
                    : c <= 186)
                  : (c <= 214 || (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)))))
              : (c <= 721 || (c < 891
                ? (c < 750
                  ? (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)
                  : (c <= 750 || (c < 886
                    ? (c >= 768 && c <= 884)
                    : c <= 887)))
                : (c <= 893 || (c < 908
                  ? (c < 902
                    ? c == 895
                    : c <= 906)
                  : (c <= 908 || (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)))))))
            : (c <= 1153 || (c < 1519
              ? (c < 1425
                ? (c < 1329
                  ? (c < 1162
                    ? (c >= 1155 && c <= 1159)
                    : c <= 1327)
                  : (c <= 1366 || (c < 1376
                    ? c == 1369
                    : c <= 1416)))
                : (c <= 1469 || (c < 1476
                  ? (c < 1473
                    ? c == 1471
                    : c <= 1474)
                  : (c <= 1477 || (c < 1488
                    ? c == 1479
                    : c <= 1514)))))
              : (c <= 1522 || (c < 1770
                ? (c < 1646
                  ? (c < 1568
                    ? (c >= 1552 && c <= 1562)
                    : c <= 1641)
                  : (c <= 1747 || (c < 1759
                    ? (c >= 1749 && c <= 1756)
                    : c <= 1768)))
                : (c <= 1788 || (c < 1869
                  ? (c < 1808
                    ? c == 1791
                    : c <= 1866)
                  : (c <= 1969 || (c < 2042
                    ? (c >= 1984 && c <= 2037)
                    : c <= 2042)))))))))
          : (c <= 2045 || (c < 2558
            ? (c < 2451
              ? (c < 2200
                ? (c < 2144
                  ? (c < 2112
                    ? (c >= 2048 && c <= 2093)
                    : c <= 2139)
                  : (c <= 2154 || (c < 2185
                    ? (c >= 2160 && c <= 2183)
                    : c <= 2190)))
                : (c <= 2273 || (c < 2417
                  ? (c < 2406
                    ? (c >= 2275 && c <= 2403)
                    : c <= 2415)
                  : (c <= 2435 || (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)))))
              : (c <= 2472 || (c < 2507
                ? (c < 2486
                  ? (c < 2482
                    ? (c >= 2474 && c <= 2480)
                    : c <= 2482)
                  : (c <= 2489 || (c < 2503
                    ? (c >= 2492 && c <= 2500)
                    : c <= 2504)))
                : (c <= 2510 || (c < 2527
                  ? (c < 2524
                    ? c == 2519
                    : c <= 2525)
                  : (c <= 2531 || (c < 2556
                    ? (c >= 2534 && c <= 2545)
                    : c <= 2556)))))))
            : (c <= 2558 || (c < 2635
              ? (c < 2610
                ? (c < 2575
                  ? (c < 2565
                    ? (c >= 2561 && c <= 2563)
                    : c <= 2570)
                  : (c <= 2576 || (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)))
                : (c <= 2611 || (c < 2620
                  ? (c < 2616
                    ? (c >= 2613 && c <= 2614)
                    : c <= 2617)
                  : (c <= 2620 || (c < 2631
                    ? (c >= 2622 && c <= 2626)
                    : c <= 2632)))))
              : (c <= 2637 || (c < 2693
                ? (c < 2654
                  ? (c < 2649
                    ? c == 2641
                    : c <= 2652)
                  : (c <= 2654 || (c < 2689
                    ? (c >= 2662 && c <= 2677)
                    : c <= 2691)))
                : (c <= 2701 || (c < 2730
                  ? (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)
                  : (c <= 2736 || (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)))))))))))
        : (c <= 2757 || (c < 3168
          ? (c < 2958
            ? (c < 2866
              ? (c < 2809
                ? (c < 2768
                  ? (c < 2763
                    ? (c >= 2759 && c <= 2761)
                    : c <= 2765)
                  : (c <= 2768 || (c < 2790
                    ? (c >= 2784 && c <= 2787)
                    : c <= 2799)))
                : (c <= 2815 || (c < 2831
                  ? (c < 2821
                    ? (c >= 2817 && c <= 2819)
                    : c <= 2828)
                  : (c <= 2832 || (c < 2858
                    ? (c >= 2835 && c <= 2856)
                    : c <= 2864)))))
              : (c <= 2867 || (c < 2908
                ? (c < 2887
                  ? (c < 2876
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2884)
                  : (c <= 2888 || (c < 2901
                    ? (c >= 2891 && c <= 2893)
                    : c <= 2903)))
                : (c <= 2909 || (c < 2929
                  ? (c < 2918
                    ? (c >= 2911 && c <= 2915)
                    : c <= 2927)
                  : (c <= 2929 || (c < 2949
                    ? (c >= 2946 && c <= 2947)
                    : c <= 2954)))))))
            : (c <= 2960 || (c < 3031
              ? (c < 2984
                ? (c < 2972
                  ? (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)
                  : (c <= 2972 || (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)))
                : (c <= 2986 || (c < 3014
                  ? (c < 3006
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3010)
                  : (c <= 3016 || (c < 3024
                    ? (c >= 3018 && c <= 3021)
                    : c <= 3024)))))
              : (c <= 3031 || (c < 3132
                ? (c < 3086
                  ? (c < 3072
                    ? (c >= 3046 && c <= 3055)
                    : c <= 3084)
                  : (c <= 3088 || (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)))
                : (c <= 3140 || (c < 3157
                  ? (c < 3146
                    ? (c >= 3142 && c <= 3144)
                    : c <= 3149)
                  : (c <= 3158 || (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)))))))))
          : (c <= 3171 || (c < 3450
            ? (c < 3293
              ? (c < 3242
                ? (c < 3205
                  ? (c < 3200
                    ? (c >= 3174 && c <= 3183)
                    : c <= 3203)
                  : (c <= 3212 || (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)))
                : (c <= 3251 || (c < 3270
                  ? (c < 3260
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3268)
                  : (c <= 3272 || (c < 3285
                    ? (c >= 3274 && c <= 3277)
                    : c <= 3286)))))
              : (c <= 3294 || (c < 3346
                ? (c < 3313
                  ? (c < 3302
                    ? (c >= 3296 && c <= 3299)
                    : c <= 3311)
                  : (c <= 3314 || (c < 3342
                    ? (c >= 3328 && c <= 3340)
                    : c <= 3344)))
                : (c <= 3396 || (c < 3412
                  ? (c < 3402
                    ? (c >= 3398 && c <= 3400)
                    : c <= 3406)
                  : (c <= 3415 || (c < 3430
                    ? (c >= 3423 && c <= 3427)
                    : c <= 3439)))))))
            : (c <= 3455 || (c < 3570
              ? (c < 3520
                ? (c < 3482
                  ? (c < 3461
                    ? (c >= 3457 && c <= 3459)
                    : c <= 3478)
                  : (c <= 3505 || (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)))
                : (c <= 3526 || (c < 3542
                  ? (c < 3535
                    ? c == 3530
                    : c <= 3540)
                  : (c <= 3542 || (c < 3558
                    ? (c >= 3544 && c <= 3551)
                    : c <= 3567)))))
              : (c <= 3571 || (c < 3718
                ? (c < 3664
                  ? (c < 3648
                    ? (c >= 3585 && c <= 3642)
                    : c <= 3662)
                  : (c <= 3673 || (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)))
                : (c <= 3722 || (c < 3751
                  ? (c < 3749
                    ? (c >= 3724 && c <= 3747)
                    : c <= 3749)
                  : (c <= 3773 || (c >= 3776 && c <= 3780)))))))))))))
      : (c <= 3782 || (c < 8025
        ? (c < 5888
          ? (c < 4688
            ? (c < 3953
              ? (c < 3872
                ? (c < 3804
                  ? (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)
                  : (c <= 3807 || (c < 3864
                    ? c == 3840
                    : c <= 3865)))
                : (c <= 3881 || (c < 3897
                  ? (c < 3895
                    ? c == 3893
                    : c <= 3895)
                  : (c <= 3897 || (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)))))
              : (c <= 3972 || (c < 4256
                ? (c < 4038
                  ? (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)
                  : (c <= 4038 || (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)))))))
            : (c <= 4694 || (c < 4882
              ? (c < 4786
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5112
                ? (c < 4969
                  ? (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)
                  : (c <= 4977 || (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)))))))))
          : (c <= 5909 || (c < 6688
            ? (c < 6176
              ? (c < 6016
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)
                  : (c <= 5996 || (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)))
                : (c <= 6099 || (c < 6112
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6109)
                  : (c <= 6121 || (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)))))
              : (c <= 6264 || (c < 6470
                ? (c < 6400
                  ? (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)
                  : (c <= 6430 || (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)))))))
            : (c <= 6750 || (c < 7232
              ? (c < 6847
                ? (c < 6800
                  ? (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)
                  : (c <= 6809 || (c < 6832
                    ? c == 6823
                    : c <= 6845)))
                : (c <= 6862 || (c < 7019
                  ? (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)
                  : (c <= 7027 || (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)))))
              : (c <= 7241 || (c < 7380
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)))
                : (c <= 7418 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)))))))))))
        : (c <= 8025 || (c < 11720
          ? (c < 8458
            ? (c < 8178
              ? (c < 8126
                ? (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)))
                : (c <= 8126 || (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))))
              : (c <= 8180 || (c < 8336
                ? (c < 8276
                  ? (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)
                  : (c <= 8276 || (c < 8319
                    ? c == 8305
                    : c <= 8319)))
                : (c <= 8348 || (c < 8421
                  ? (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)
                  : (c <= 8432 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))))))
            : (c <= 8467 || (c < 11499
              ? (c < 8490
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || (c < 8488
                    ? c == 8486
                    : c <= 8488)))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)))))
              : (c <= 11507 || (c < 11647
                ? (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)))))))))
          : (c <= 11726 || (c < 42623
            ? (c < 12540
              ? (c < 12337
                ? (c < 11744
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 11775 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)))
                : (c <= 12341 || (c < 12441
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12442 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))))
              : (c <= 12543 || (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42539 || (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)))))))
            : (c <= 42737 || (c < 43232
              ? (c < 42965
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)))
                : (c <= 42969 || (c < 43072
                  ? (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)
                  : (c <= 43123 || (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)))))
              : (c <= 43255 || (c < 43471
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43309)
                  : (c <= 43347 || (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)))
                : (c <= 43481 || (c < 43584
                  ? (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)
                  : (c <= 43597 || (c >= 43600 && c <= 43609)))))))))))))))
    : (c <= 43638 || (c < 71453
      ? (c < 67639
        ? (c < 65345
          ? (c < 64312
            ? (c < 43888
              ? (c < 43785
                ? (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))))
              : (c <= 44010 || (c < 63744
                ? (c < 44032
                  ? (c < 44016
                    ? (c >= 44012 && c <= 44013)
                    : c <= 44025)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64298
                    ? (c >= 64285 && c <= 64296)
                    : c <= 64310)))))))
            : (c <= 64316 || (c < 65075
              ? (c < 64612
                ? (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)))
                : (c <= 64829 || (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65056
                    ? (c >= 65024 && c <= 65039)
                    : c <= 65071)))))
              : (c <= 65076 || (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65101 && c <= 65103)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65296
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65305 || (c < 65343
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65343)))))))))
          : (c <= 65370 || (c < 66513
            ? (c < 65664
              ? (c < 65536
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65382 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))))
              : (c <= 65786 || (c < 66304
                ? (c < 66176
                  ? (c < 66045
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66045)
                  : (c <= 66204 || (c < 66272
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66272)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66426)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))))))
            : (c <= 66517 || (c < 66979
              ? (c < 66864
                ? (c < 66736
                  ? (c < 66720
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66729)
                  : (c <= 66771 || (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)))
                : (c <= 66915 || (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))))
              : (c <= 66993 || (c < 67456
                ? (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)))
                : (c <= 67461 || (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || (c < 67594
                    ? c == 67592
                    : c <= 67637)))))))))))
        : (c <= 67640 || (c < 69956
          ? (c < 68448
            ? (c < 68101
              ? (c < 67828
                ? (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)))
                : (c <= 67829 || (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)))))
              : (c <= 68102 || (c < 68192
                ? (c < 68121
                  ? (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)))
                : (c <= 68220 || (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68326 || (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)))))))
            : (c <= 68466 || (c < 69424
              ? (c < 68912
                ? (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)))
                : (c <= 68921 || (c < 69296
                  ? (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))))
              : (c <= 69456 || (c < 69759
                ? (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)
                  : (c <= 69622 || (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)))
                : (c <= 69818 || (c < 69872
                  ? (c < 69840
                    ? c == 69826
                    : c <= 69864)
                  : (c <= 69881 || (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)))))))))
          : (c <= 69959 || (c < 70459
            ? (c < 70282
              ? (c < 70108
                ? (c < 70016
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70003)
                    : c <= 70006)
                  : (c <= 70084 || (c < 70094
                    ? (c >= 70089 && c <= 70092)
                    : c <= 70106)))
                : (c <= 70108 || (c < 70206
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70199)
                  : (c <= 70206 || (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)))))
              : (c <= 70285 || (c < 70405
                ? (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70378 || (c < 70400
                    ? (c >= 70384 && c <= 70393)
                    : c <= 70403)))
                : (c <= 70412 || (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)))))))
            : (c <= 70468 || (c < 70855
              ? (c < 70502
                ? (c < 70480
                  ? (c < 70475
                    ? (c >= 70471 && c <= 70472)
                    : c <= 70477)
                  : (c <= 70480 || (c < 70493
                    ? c == 70487
                    : c <= 70499)))
                : (c <= 70508 || (c < 70736
                  ? (c < 70656
                    ? (c >= 70512 && c <= 70516)
                    : c <= 70730)
                  : (c <= 70745 || (c < 70784
                    ? (c >= 70750 && c <= 70753)
                    : c <= 70853)))))
              : (c <= 70855 || (c < 71236
                ? (c < 71096
                  ? (c < 71040
                    ? (c >= 70864 && c <= 70873)
                    : c <= 71093)
                  : (c <= 71104 || (c < 71168
                    ? (c >= 71128 && c <= 71133)
                    : c <= 71232)))
                : (c <= 71236 || (c < 71360
                  ? (c < 71296
                    ? (c >= 71248 && c <= 71257)
                    : c <= 71352)
                  : (c <= 71369 || (c >= 71424 && c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(63);
      if (lookahead == '!') ADVANCE(22);
      if (lookahead == '#') ADVANCE(163);
      if (lookahead == '%') ADVANCE(93);
      if (lookahead == '&') ADVANCE(96);
      if (lookahead == '(') ADVANCE(67);
      if (lookahead == ')') ADVANCE(68);
      if (lookahead == '*') ADVANCE(71);
      if (lookahead == '+') ADVANCE(87);
      if (lookahead == ',') ADVANCE(69);
      if (lookahead == '-') ADVANCE(90);
      if (lookahead == '.') ADVANCE(66);
      if (lookahead == '/') ADVANCE(91);
      if (lookahead == '0') ADVANCE(136);
      if (lookahead == ':') ADVANCE(75);
      if (lookahead == ';') ADVANCE(64);
      if (lookahead == '<') ADVANCE(100);
      if (lookahead == '=') ADVANCE(85);
      if (lookahead == '>') ADVANCE(106);
      if (lookahead == '@') ADVANCE(82);
      if (lookahead == '[') ADVANCE(83);
      if (lookahead == '\\') SKIP(52)
      if (lookahead == ']') ADVANCE(84);
      if (lookahead == '^') ADVANCE(97);
      if (lookahead == 'e') ADVANCE(159);
      if (lookahead == '{') ADVANCE(125);
      if (lookahead == '|') ADVANCE(95);
      if (lookahead == '}') ADVANCE(124);
      if (lookahead == '~') ADVANCE(99);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(59)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(135);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(162);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(16)
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(16)
      if (lookahead == '\r') SKIP(1)
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(14)
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(14)
      if (lookahead == '\r') SKIP(3)
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(19)
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(19)
      if (lookahead == '\r') SKIP(5)
      END_STATE();
    case 7:
      if (lookahead == '\n') ADVANCE(128);
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(9)
      if (lookahead == '#') ADVANCE(132);
      if (lookahead == '\\') ADVANCE(130);
      if (lookahead == '{') ADVANCE(125);
      if (lookahead == '}') ADVANCE(124);
      if (lookahead == '\t' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(131);
      if (lookahead != 0) ADVANCE(132);
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(9)
      if (lookahead == '#') ADVANCE(132);
      if (lookahead == '\\') ADVANCE(130);
      if (lookahead == '}') ADVANCE(124);
      if (lookahead == '\t' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(131);
      if (lookahead != 0 &&
          lookahead != '{') ADVANCE(132);
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(17)
      END_STATE();
    case 11:
      if (lookahead == '\n') SKIP(17)
      if (lookahead == '\r') SKIP(10)
      END_STATE();
    case 12:
      if (lookahead == '\n') SKIP(15)
      END_STATE();
    case 13:
      if (lookahead == '\n') SKIP(15)
      if (lookahead == '\r') SKIP(12)
      END_STATE();
    case 14:
      if (lookahead == '!') ADVANCE(22);
      if (lookahead == '#') ADVANCE(163);
      if (lookahead == '%') ADVANCE(93);
      if (lookahead == '&') ADVANCE(96);
      if (lookahead == '(') ADVANCE(67);
      if (lookahead == ')') ADVANCE(68);
      if (lookahead == '*') ADVANCE(71);
      if (lookahead == '+') ADVANCE(87);
      if (lookahead == ',') ADVANCE(69);
      if (lookahead == '-') ADVANCE(89);
      if (lookahead == '.') ADVANCE(65);
      if (lookahead == '/') ADVANCE(91);
      if (lookahead == ':') ADVANCE(75);
      if (lookahead == ';') ADVANCE(64);
      if (lookahead == '<') ADVANCE(100);
      if (lookahead == '=') ADVANCE(85);
      if (lookahead == '>') ADVANCE(106);
      if (lookahead == '@') ADVANCE(82);
      if (lookahead == '[') ADVANCE(83);
      if (lookahead == '\\') SKIP(4)
      if (lookahead == ']') ADVANCE(84);
      if (lookahead == '^') ADVANCE(97);
      if (lookahead == '|') ADVANCE(95);
      if (lookahead == '}') ADVANCE(124);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(14)
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(162);
      END_STATE();
    case 15:
      if (lookahead == '!') ADVANCE(22);
      if (lookahead == '#') ADVANCE(163);
      if (lookahead == '%') ADVANCE(93);
      if (lookahead == '&') ADVANCE(96);
      if (lookahead == '(') ADVANCE(67);
      if (lookahead == ')') ADVANCE(68);
      if (lookahead == '*') ADVANCE(71);
      if (lookahead == '+') ADVANCE(87);
      if (lookahead == ',') ADVANCE(69);
      if (lookahead == '-') ADVANCE(89);
      if (lookahead == '.') ADVANCE(65);
      if (lookahead == '/') ADVANCE(91);
      if (lookahead == ':') ADVANCE(74);
      if (lookahead == ';') ADVANCE(64);
      if (lookahead == '<') ADVANCE(100);
      if (lookahead == '=') ADVANCE(85);
      if (lookahead == '>') ADVANCE(106);
      if (lookahead == '@') ADVANCE(82);
      if (lookahead == '[') ADVANCE(83);
      if (lookahead == '\\') SKIP(13)
      if (lookahead == ']') ADVANCE(84);
      if (lookahead == '^') ADVANCE(97);
      if (lookahead == '|') ADVANCE(95);
      if (lookahead == '}') ADVANCE(124);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(15)
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(162);
      END_STATE();
    case 16:
      if (lookahead == '!') ADVANCE(22);
      if (lookahead == '#') ADVANCE(163);
      if (lookahead == '%') ADVANCE(23);
      if (lookahead == '&') ADVANCE(24);
      if (lookahead == '(') ADVANCE(67);
      if (lookahead == ')') ADVANCE(68);
      if (lookahead == '*') ADVANCE(71);
      if (lookahead == '+') ADVANCE(87);
      if (lookahead == ',') ADVANCE(69);
      if (lookahead == '-') ADVANCE(89);
      if (lookahead == '.') ADVANCE(20);
      if (lookahead == '/') ADVANCE(92);
      if (lookahead == '0') ADVANCE(136);
      if (lookahead == ':') ADVANCE(74);
      if (lookahead == '<') ADVANCE(101);
      if (lookahead == '=') ADVANCE(85);
      if (lookahead == '>') ADVANCE(107);
      if (lookahead == '@') ADVANCE(25);
      if (lookahead == '[') ADVANCE(83);
      if (lookahead == '\\') SKIP(2)
      if (lookahead == ']') ADVANCE(84);
      if (lookahead == '^') ADVANCE(26);
      if (lookahead == '{') ADVANCE(123);
      if (lookahead == '|') ADVANCE(27);
      if (lookahead == '}') ADVANCE(124);
      if (lookahead == '~') ADVANCE(99);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(16)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(135);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(162);
      END_STATE();
    case 17:
      if (lookahead == '#') ADVANCE(163);
      if (lookahead == '-') ADVANCE(31);
      if (lookahead == ':') ADVANCE(74);
      if (lookahead == '\\') SKIP(11)
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(17)
      END_STATE();
    case 18:
      if (lookahead == '#') ADVANCE(163);
      if (lookahead == '\\') ADVANCE(129);
      if (lookahead == '{') ADVANCE(126);
      if (lookahead == '}') ADVANCE(35);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(19)
      END_STATE();
    case 19:
      if (lookahead == '#') ADVANCE(163);
      if (lookahead == '\\') SKIP(6)
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(19)
      END_STATE();
    case 20:
      if (lookahead == '.') ADVANCE(21);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(142);
      END_STATE();
    case 21:
      if (lookahead == '.') ADVANCE(122);
      END_STATE();
    case 22:
      if (lookahead == '=') ADVANCE(104);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(133);
      END_STATE();
    case 23:
      if (lookahead == '=') ADVANCE(115);
      END_STATE();
    case 24:
      if (lookahead == '=') ADVANCE(119);
      END_STATE();
    case 25:
      if (lookahead == '=') ADVANCE(113);
      END_STATE();
    case 26:
      if (lookahead == '=') ADVANCE(120);
      END_STATE();
    case 27:
      if (lookahead == '=') ADVANCE(121);
      END_STATE();
    case 28:
      if (lookahead == '=') ADVANCE(114);
      END_STATE();
    case 29:
      if (lookahead == '=') ADVANCE(118);
      END_STATE();
    case 30:
      if (lookahead == '=') ADVANCE(117);
      END_STATE();
    case 31:
      if (lookahead == '>') ADVANCE(79);
      END_STATE();
    case 32:
      if (lookahead == '_') ADVANCE(37);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(138);
      END_STATE();
    case 33:
      if (lookahead == '_') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(139);
      END_STATE();
    case 34:
      if (lookahead == '_') ADVANCE(42);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(140);
      END_STATE();
    case 35:
      if (lookahead == '}') ADVANCE(127);
      END_STATE();
    case 36:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(143);
      END_STATE();
    case 37:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(138);
      END_STATE();
    case 38:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(139);
      END_STATE();
    case 39:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(143);
      END_STATE();
    case 40:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(128);
      END_STATE();
    case 41:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(40);
      END_STATE();
    case 42:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(140);
      END_STATE();
    case 43:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(128);
      END_STATE();
    case 44:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(43);
      END_STATE();
    case 45:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(44);
      END_STATE();
    case 46:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(45);
      END_STATE();
    case 47:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(46);
      END_STATE();
    case 48:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(47);
      END_STATE();
    case 49:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(48);
      END_STATE();
    case 50:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(49);
      END_STATE();
    case 51:
      if (eof) ADVANCE(63);
      if (lookahead == '\n') SKIP(59)
      END_STATE();
    case 52:
      if (eof) ADVANCE(63);
      if (lookahead == '\n') SKIP(59)
      if (lookahead == '\r') SKIP(51)
      END_STATE();
    case 53:
      if (eof) ADVANCE(63);
      if (lookahead == '\n') SKIP(60)
      END_STATE();
    case 54:
      if (eof) ADVANCE(63);
      if (lookahead == '\n') SKIP(60)
      if (lookahead == '\r') SKIP(53)
      END_STATE();
    case 55:
      if (eof) ADVANCE(63);
      if (lookahead == '\n') SKIP(61)
      END_STATE();
    case 56:
      if (eof) ADVANCE(63);
      if (lookahead == '\n') SKIP(61)
      if (lookahead == '\r') SKIP(55)
      END_STATE();
    case 57:
      if (eof) ADVANCE(63);
      if (lookahead == '\n') SKIP(62)
      END_STATE();
    case 58:
      if (eof) ADVANCE(63);
      if (lookahead == '\n') SKIP(62)
      if (lookahead == '\r') SKIP(57)
      END_STATE();
    case 59:
      if (eof) ADVANCE(63);
      if (lookahead == '!') ADVANCE(22);
      if (lookahead == '#') ADVANCE(163);
      if (lookahead == '%') ADVANCE(93);
      if (lookahead == '&') ADVANCE(96);
      if (lookahead == '(') ADVANCE(67);
      if (lookahead == ')') ADVANCE(68);
      if (lookahead == '*') ADVANCE(71);
      if (lookahead == '+') ADVANCE(87);
      if (lookahead == ',') ADVANCE(69);
      if (lookahead == '-') ADVANCE(90);
      if (lookahead == '.') ADVANCE(66);
      if (lookahead == '/') ADVANCE(91);
      if (lookahead == '0') ADVANCE(136);
      if (lookahead == ':') ADVANCE(75);
      if (lookahead == ';') ADVANCE(64);
      if (lookahead == '<') ADVANCE(100);
      if (lookahead == '=') ADVANCE(85);
      if (lookahead == '>') ADVANCE(106);
      if (lookahead == '@') ADVANCE(82);
      if (lookahead == '[') ADVANCE(83);
      if (lookahead == '\\') SKIP(52)
      if (lookahead == ']') ADVANCE(84);
      if (lookahead == '^') ADVANCE(97);
      if (lookahead == 'e') ADVANCE(159);
      if (lookahead == '{') ADVANCE(123);
      if (lookahead == '|') ADVANCE(95);
      if (lookahead == '}') ADVANCE(124);
      if (lookahead == '~') ADVANCE(99);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(59)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(135);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(162);
      END_STATE();
    case 60:
      if (eof) ADVANCE(63);
      if (lookahead == '!') ADVANCE(22);
      if (lookahead == '#') ADVANCE(163);
      if (lookahead == '%') ADVANCE(93);
      if (lookahead == '&') ADVANCE(96);
      if (lookahead == '(') ADVANCE(67);
      if (lookahead == ')') ADVANCE(68);
      if (lookahead == '*') ADVANCE(71);
      if (lookahead == '+') ADVANCE(87);
      if (lookahead == ',') ADVANCE(69);
      if (lookahead == '-') ADVANCE(89);
      if (lookahead == '.') ADVANCE(66);
      if (lookahead == '/') ADVANCE(91);
      if (lookahead == '0') ADVANCE(136);
      if (lookahead == ':') ADVANCE(75);
      if (lookahead == ';') ADVANCE(64);
      if (lookahead == '<') ADVANCE(100);
      if (lookahead == '=') ADVANCE(85);
      if (lookahead == '>') ADVANCE(106);
      if (lookahead == '@') ADVANCE(82);
      if (lookahead == '[') ADVANCE(83);
      if (lookahead == '\\') SKIP(54)
      if (lookahead == ']') ADVANCE(84);
      if (lookahead == '^') ADVANCE(97);
      if (lookahead == '{') ADVANCE(123);
      if (lookahead == '|') ADVANCE(95);
      if (lookahead == '}') ADVANCE(124);
      if (lookahead == '~') ADVANCE(99);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(60)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(135);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(162);
      END_STATE();
    case 61:
      if (eof) ADVANCE(63);
      if (lookahead == '#') ADVANCE(163);
      if (lookahead == '(') ADVANCE(67);
      if (lookahead == '*') ADVANCE(70);
      if (lookahead == '+') ADVANCE(86);
      if (lookahead == '-') ADVANCE(88);
      if (lookahead == '.') ADVANCE(20);
      if (lookahead == '0') ADVANCE(136);
      if (lookahead == '@') ADVANCE(81);
      if (lookahead == '[') ADVANCE(83);
      if (lookahead == '\\') SKIP(56)
      if (lookahead == 'e') ADVANCE(160);
      if (lookahead == '{') ADVANCE(123);
      if (lookahead == '~') ADVANCE(99);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(61)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(135);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(162);
      END_STATE();
    case 62:
      if (eof) ADVANCE(63);
      if (lookahead == '#') ADVANCE(163);
      if (lookahead == '(') ADVANCE(67);
      if (lookahead == '*') ADVANCE(70);
      if (lookahead == '+') ADVANCE(86);
      if (lookahead == '-') ADVANCE(88);
      if (lookahead == '.') ADVANCE(20);
      if (lookahead == '0') ADVANCE(136);
      if (lookahead == '@') ADVANCE(81);
      if (lookahead == '[') ADVANCE(83);
      if (lookahead == '\\') SKIP(58)
      if (lookahead == 'e') ADVANCE(161);
      if (lookahead == '{') ADVANCE(123);
      if (lookahead == '~') ADVANCE(99);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(62)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(135);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(162);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(21);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(142);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(80);
      if (lookahead == '=') ADVANCE(111);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(117);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '=') ADVANCE(73);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_except);
      if (lookahead == '*') ADVANCE(78);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(162);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_except);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(162);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_except_STAR);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(116);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == '=') ADVANCE(113);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(103);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(109);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(110);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(110);
      if (lookahead == '>') ADVANCE(79);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(94);
      if (lookahead == '=') ADVANCE(112);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(28);
      if (lookahead == '=') ADVANCE(112);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(115);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead == '=') ADVANCE(114);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(121);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '=') ADVANCE(119);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(120);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(118);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(98);
      if (lookahead == '=') ADVANCE(102);
      if (lookahead == '>') ADVANCE(108);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(29);
      if (lookahead == '=') ADVANCE(102);
      if (lookahead == '>') ADVANCE(108);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(105);
      if (lookahead == '>') ADVANCE(72);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(105);
      if (lookahead == '>') ADVANCE(30);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_AT_EQ);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH_EQ);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_ellipsis);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_LBRACE2);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_LBRACE2);
      if (lookahead == '{') ADVANCE(127);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(sym__escape_interpolation);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(sym__not_escape_sequence);
      if (lookahead == '\n') ADVANCE(128);
      if (lookahead == '\r') ADVANCE(7);
      if (lookahead == 'U') ADVANCE(50);
      if (lookahead == 'u') ADVANCE(46);
      if (lookahead == 'x') ADVANCE(44);
      if (lookahead == '"' ||
          lookahead == '\'' ||
          lookahead == '\\' ||
          lookahead == 'a' ||
          lookahead == 'b' ||
          lookahead == 'f' ||
          lookahead == 'n' ||
          lookahead == 'r' ||
          ('t' <= lookahead && lookahead <= 'v')) ADVANCE(128);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(41);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (lookahead == '\r') ADVANCE(132);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(132);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (lookahead == '#') ADVANCE(132);
      if (lookahead == '\\') ADVANCE(130);
      if (lookahead == '\t' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(131);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(132);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(132);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(sym_type_conversion);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(sym_integer);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(144);
      if (lookahead == '_') ADVANCE(137);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(36);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(134);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(135);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(144);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(32);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(33);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(34);
      if (lookahead == '_') ADVANCE(137);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(36);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(134);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(135);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(144);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(36);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(134);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(135);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(37);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(134);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(138);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(38);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(134);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(139);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(42);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(134);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(140);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(sym_float);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(144);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(36);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(141);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(142);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(145);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(141);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(143);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(36);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(141);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(142);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(141);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(143);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '*') ADVANCE(78);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(162);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(150);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(162);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(151);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(162);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(152);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(162);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(153);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(162);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(154);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(162);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(155);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(162);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p') ADVANCE(156);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(162);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p') ADVANCE(157);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(162);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p') ADVANCE(158);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(162);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(76);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(162);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(146);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(162);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(77);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(162);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'x') ADVANCE(147);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(162);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'x') ADVANCE(148);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(162);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'x') ADVANCE(149);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(162);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(162);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(163);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'F') ADVANCE(1);
      if (lookahead == 'N') ADVANCE(2);
      if (lookahead == 'T') ADVANCE(3);
      if (lookahead == '\\') SKIP(4)
      if (lookahead == '_') ADVANCE(5);
      if (lookahead == 'a') ADVANCE(6);
      if (lookahead == 'b') ADVANCE(7);
      if (lookahead == 'c') ADVANCE(8);
      if (lookahead == 'd') ADVANCE(9);
      if (lookahead == 'e') ADVANCE(10);
      if (lookahead == 'f') ADVANCE(11);
      if (lookahead == 'g') ADVANCE(12);
      if (lookahead == 'i') ADVANCE(13);
      if (lookahead == 'l') ADVANCE(14);
      if (lookahead == 'm') ADVANCE(15);
      if (lookahead == 'n') ADVANCE(16);
      if (lookahead == 'o') ADVANCE(17);
      if (lookahead == 'p') ADVANCE(18);
      if (lookahead == 'r') ADVANCE(19);
      if (lookahead == 't') ADVANCE(20);
      if (lookahead == 'w') ADVANCE(21);
      if (lookahead == 'y') ADVANCE(22);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 'a') ADVANCE(23);
      END_STATE();
    case 2:
      if (lookahead == 'o') ADVANCE(24);
      END_STATE();
    case 3:
      if (lookahead == 'r') ADVANCE(25);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(0)
      if (lookahead == '\r') SKIP(26)
      END_STATE();
    case 5:
      if (lookahead == '_') ADVANCE(27);
      END_STATE();
    case 6:
      if (lookahead == 'n') ADVANCE(28);
      if (lookahead == 's') ADVANCE(29);
      if (lookahead == 'w') ADVANCE(30);
      END_STATE();
    case 7:
      if (lookahead == 'r') ADVANCE(31);
      END_STATE();
    case 8:
      if (lookahead == 'a') ADVANCE(32);
      if (lookahead == 'l') ADVANCE(33);
      if (lookahead == 'o') ADVANCE(34);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(35);
      END_STATE();
    case 10:
      if (lookahead == 'l') ADVANCE(36);
      if (lookahead == 'x') ADVANCE(37);
      END_STATE();
    case 11:
      if (lookahead == 'i') ADVANCE(38);
      if (lookahead == 'o') ADVANCE(39);
      if (lookahead == 'r') ADVANCE(40);
      END_STATE();
    case 12:
      if (lookahead == 'l') ADVANCE(41);
      END_STATE();
    case 13:
      if (lookahead == 'f') ADVANCE(42);
      if (lookahead == 'm') ADVANCE(43);
      if (lookahead == 'n') ADVANCE(44);
      if (lookahead == 's') ADVANCE(45);
      END_STATE();
    case 14:
      if (lookahead == 'a') ADVANCE(46);
      END_STATE();
    case 15:
      if (lookahead == 'a') ADVANCE(47);
      END_STATE();
    case 16:
      if (lookahead == 'o') ADVANCE(48);
      END_STATE();
    case 17:
      if (lookahead == 'r') ADVANCE(49);
      END_STATE();
    case 18:
      if (lookahead == 'a') ADVANCE(50);
      if (lookahead == 'r') ADVANCE(51);
      END_STATE();
    case 19:
      if (lookahead == 'a') ADVANCE(52);
      if (lookahead == 'e') ADVANCE(53);
      END_STATE();
    case 20:
      if (lookahead == 'r') ADVANCE(54);
      END_STATE();
    case 21:
      if (lookahead == 'h') ADVANCE(55);
      if (lookahead == 'i') ADVANCE(56);
      END_STATE();
    case 22:
      if (lookahead == 'i') ADVANCE(57);
      END_STATE();
    case 23:
      if (lookahead == 'l') ADVANCE(58);
      END_STATE();
    case 24:
      if (lookahead == 'n') ADVANCE(59);
      END_STATE();
    case 25:
      if (lookahead == 'u') ADVANCE(60);
      END_STATE();
    case 26:
      if (lookahead == '\n') SKIP(0)
      END_STATE();
    case 27:
      if (lookahead == 'f') ADVANCE(61);
      END_STATE();
    case 28:
      if (lookahead == 'd') ADVANCE(62);
      END_STATE();
    case 29:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 's') ADVANCE(63);
      if (lookahead == 'y') ADVANCE(64);
      END_STATE();
    case 30:
      if (lookahead == 'a') ADVANCE(65);
      END_STATE();
    case 31:
      if (lookahead == 'e') ADVANCE(66);
      END_STATE();
    case 32:
      if (lookahead == 's') ADVANCE(67);
      END_STATE();
    case 33:
      if (lookahead == 'a') ADVANCE(68);
      END_STATE();
    case 34:
      if (lookahead == 'n') ADVANCE(69);
      END_STATE();
    case 35:
      if (lookahead == 'f') ADVANCE(70);
      if (lookahead == 'l') ADVANCE(71);
      END_STATE();
    case 36:
      if (lookahead == 'i') ADVANCE(72);
      if (lookahead == 's') ADVANCE(73);
      END_STATE();
    case 37:
      if (lookahead == 'e') ADVANCE(74);
      END_STATE();
    case 38:
      if (lookahead == 'n') ADVANCE(75);
      END_STATE();
    case 39:
      if (lookahead == 'r') ADVANCE(76);
      END_STATE();
    case 40:
      if (lookahead == 'o') ADVANCE(77);
      END_STATE();
    case 41:
      if (lookahead == 'o') ADVANCE(78);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 43:
      if (lookahead == 'p') ADVANCE(79);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_is);
      END_STATE();
    case 46:
      if (lookahead == 'm') ADVANCE(80);
      END_STATE();
    case 47:
      if (lookahead == 't') ADVANCE(81);
      END_STATE();
    case 48:
      if (lookahead == 'n') ADVANCE(82);
      if (lookahead == 't') ADVANCE(83);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_or);
      END_STATE();
    case 50:
      if (lookahead == 's') ADVANCE(84);
      END_STATE();
    case 51:
      if (lookahead == 'i') ADVANCE(85);
      END_STATE();
    case 52:
      if (lookahead == 'i') ADVANCE(86);
      END_STATE();
    case 53:
      if (lookahead == 't') ADVANCE(87);
      END_STATE();
    case 54:
      if (lookahead == 'y') ADVANCE(88);
      END_STATE();
    case 55:
      if (lookahead == 'i') ADVANCE(89);
      END_STATE();
    case 56:
      if (lookahead == 't') ADVANCE(90);
      END_STATE();
    case 57:
      if (lookahead == 'e') ADVANCE(91);
      END_STATE();
    case 58:
      if (lookahead == 's') ADVANCE(92);
      END_STATE();
    case 59:
      if (lookahead == 'e') ADVANCE(93);
      END_STATE();
    case 60:
      if (lookahead == 'e') ADVANCE(94);
      END_STATE();
    case 61:
      if (lookahead == 'u') ADVANCE(95);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 63:
      if (lookahead == 'e') ADVANCE(96);
      END_STATE();
    case 64:
      if (lookahead == 'n') ADVANCE(97);
      END_STATE();
    case 65:
      if (lookahead == 'i') ADVANCE(98);
      END_STATE();
    case 66:
      if (lookahead == 'a') ADVANCE(99);
      END_STATE();
    case 67:
      if (lookahead == 'e') ADVANCE(100);
      END_STATE();
    case 68:
      if (lookahead == 's') ADVANCE(101);
      END_STATE();
    case 69:
      if (lookahead == 't') ADVANCE(102);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_def);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_del);
      END_STATE();
    case 72:
      if (lookahead == 'f') ADVANCE(103);
      END_STATE();
    case 73:
      if (lookahead == 'e') ADVANCE(104);
      END_STATE();
    case 74:
      if (lookahead == 'c') ADVANCE(105);
      END_STATE();
    case 75:
      if (lookahead == 'a') ADVANCE(106);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 77:
      if (lookahead == 'm') ADVANCE(107);
      END_STATE();
    case 78:
      if (lookahead == 'b') ADVANCE(108);
      END_STATE();
    case 79:
      if (lookahead == 'o') ADVANCE(109);
      END_STATE();
    case 80:
      if (lookahead == 'b') ADVANCE(110);
      END_STATE();
    case 81:
      if (lookahead == 'c') ADVANCE(111);
      END_STATE();
    case 82:
      if (lookahead == 'l') ADVANCE(112);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_not);
      END_STATE();
    case 84:
      if (lookahead == 's') ADVANCE(113);
      END_STATE();
    case 85:
      if (lookahead == 'n') ADVANCE(114);
      END_STATE();
    case 86:
      if (lookahead == 's') ADVANCE(115);
      END_STATE();
    case 87:
      if (lookahead == 'u') ADVANCE(116);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 89:
      if (lookahead == 'l') ADVANCE(117);
      END_STATE();
    case 90:
      if (lookahead == 'h') ADVANCE(118);
      END_STATE();
    case 91:
      if (lookahead == 'l') ADVANCE(119);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(120);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(sym_none);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 95:
      if (lookahead == 't') ADVANCE(121);
      END_STATE();
    case 96:
      if (lookahead == 'r') ADVANCE(122);
      END_STATE();
    case 97:
      if (lookahead == 'c') ADVANCE(123);
      END_STATE();
    case 98:
      if (lookahead == 't') ADVANCE(124);
      END_STATE();
    case 99:
      if (lookahead == 'k') ADVANCE(125);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 101:
      if (lookahead == 's') ADVANCE(126);
      END_STATE();
    case 102:
      if (lookahead == 'i') ADVANCE(127);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_elif);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_exec);
      END_STATE();
    case 106:
      if (lookahead == 'l') ADVANCE(128);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 108:
      if (lookahead == 'a') ADVANCE(129);
      END_STATE();
    case 109:
      if (lookahead == 'r') ADVANCE(130);
      END_STATE();
    case 110:
      if (lookahead == 'd') ADVANCE(131);
      END_STATE();
    case 111:
      if (lookahead == 'h') ADVANCE(132);
      END_STATE();
    case 112:
      if (lookahead == 'o') ADVANCE(133);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_pass);
      END_STATE();
    case 114:
      if (lookahead == 't') ADVANCE(134);
      END_STATE();
    case 115:
      if (lookahead == 'e') ADVANCE(135);
      END_STATE();
    case 116:
      if (lookahead == 'r') ADVANCE(136);
      END_STATE();
    case 117:
      if (lookahead == 'e') ADVANCE(137);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 119:
      if (lookahead == 'd') ADVANCE(138);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 121:
      if (lookahead == 'u') ADVANCE(139);
      END_STATE();
    case 122:
      if (lookahead == 't') ADVANCE(140);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 127:
      if (lookahead == 'n') ADVANCE(141);
      END_STATE();
    case 128:
      if (lookahead == 'l') ADVANCE(142);
      END_STATE();
    case 129:
      if (lookahead == 'l') ADVANCE(143);
      END_STATE();
    case 130:
      if (lookahead == 't') ADVANCE(144);
      END_STATE();
    case 131:
      if (lookahead == 'a') ADVANCE(145);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_match);
      END_STATE();
    case 133:
      if (lookahead == 'c') ADVANCE(146);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_print);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_raise);
      END_STATE();
    case 136:
      if (lookahead == 'n') ADVANCE(147);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 139:
      if (lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_assert);
      END_STATE();
    case 141:
      if (lookahead == 'u') ADVANCE(149);
      END_STATE();
    case 142:
      if (lookahead == 'y') ADVANCE(150);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_global);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_lambda);
      END_STATE();
    case 146:
      if (lookahead == 'a') ADVANCE(151);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 148:
      if (lookahead == 'e') ADVANCE(152);
      END_STATE();
    case 149:
      if (lookahead == 'e') ADVANCE(153);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 151:
      if (lookahead == 'l') ADVANCE(154);
      END_STATE();
    case 152:
      if (lookahead == '_') ADVANCE(155);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_nonlocal);
      END_STATE();
    case 155:
      if (lookahead == '_') ADVANCE(156);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym___future__);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 60, .external_lex_state = 2},
  [2] = {.lex_state = 60, .external_lex_state = 3},
  [3] = {.lex_state = 60, .external_lex_state = 3},
  [4] = {.lex_state = 60, .external_lex_state = 3},
  [5] = {.lex_state = 60, .external_lex_state = 3},
  [6] = {.lex_state = 60, .external_lex_state = 3},
  [7] = {.lex_state = 60, .external_lex_state = 3},
  [8] = {.lex_state = 60, .external_lex_state = 3},
  [9] = {.lex_state = 60, .external_lex_state = 3},
  [10] = {.lex_state = 60, .external_lex_state = 3},
  [11] = {.lex_state = 60, .external_lex_state = 3},
  [12] = {.lex_state = 60, .external_lex_state = 3},
  [13] = {.lex_state = 60, .external_lex_state = 3},
  [14] = {.lex_state = 60, .external_lex_state = 3},
  [15] = {.lex_state = 60, .external_lex_state = 3},
  [16] = {.lex_state = 60, .external_lex_state = 3},
  [17] = {.lex_state = 60, .external_lex_state = 3},
  [18] = {.lex_state = 60, .external_lex_state = 3},
  [19] = {.lex_state = 60, .external_lex_state = 3},
  [20] = {.lex_state = 60, .external_lex_state = 3},
  [21] = {.lex_state = 60, .external_lex_state = 3},
  [22] = {.lex_state = 60, .external_lex_state = 3},
  [23] = {.lex_state = 60, .external_lex_state = 3},
  [24] = {.lex_state = 60, .external_lex_state = 3},
  [25] = {.lex_state = 60, .external_lex_state = 3},
  [26] = {.lex_state = 60, .external_lex_state = 3},
  [27] = {.lex_state = 60, .external_lex_state = 3},
  [28] = {.lex_state = 60, .external_lex_state = 3},
  [29] = {.lex_state = 60, .external_lex_state = 3},
  [30] = {.lex_state = 60, .external_lex_state = 3},
  [31] = {.lex_state = 60, .external_lex_state = 3},
  [32] = {.lex_state = 60, .external_lex_state = 3},
  [33] = {.lex_state = 60, .external_lex_state = 3},
  [34] = {.lex_state = 60, .external_lex_state = 3},
  [35] = {.lex_state = 60, .external_lex_state = 3},
  [36] = {.lex_state = 60, .external_lex_state = 3},
  [37] = {.lex_state = 60, .external_lex_state = 3},
  [38] = {.lex_state = 60, .external_lex_state = 3},
  [39] = {.lex_state = 60, .external_lex_state = 3},
  [40] = {.lex_state = 60, .external_lex_state = 3},
  [41] = {.lex_state = 60, .external_lex_state = 3},
  [42] = {.lex_state = 60, .external_lex_state = 3},
  [43] = {.lex_state = 60, .external_lex_state = 3},
  [44] = {.lex_state = 60, .external_lex_state = 3},
  [45] = {.lex_state = 60, .external_lex_state = 3},
  [46] = {.lex_state = 60, .external_lex_state = 3},
  [47] = {.lex_state = 60, .external_lex_state = 3},
  [48] = {.lex_state = 60, .external_lex_state = 3},
  [49] = {.lex_state = 60, .external_lex_state = 3},
  [50] = {.lex_state = 60, .external_lex_state = 3},
  [51] = {.lex_state = 60, .external_lex_state = 3},
  [52] = {.lex_state = 60, .external_lex_state = 3},
  [53] = {.lex_state = 60, .external_lex_state = 3},
  [54] = {.lex_state = 60, .external_lex_state = 3},
  [55] = {.lex_state = 60, .external_lex_state = 3},
  [56] = {.lex_state = 60, .external_lex_state = 3},
  [57] = {.lex_state = 60, .external_lex_state = 3},
  [58] = {.lex_state = 60, .external_lex_state = 3},
  [59] = {.lex_state = 60, .external_lex_state = 3},
  [60] = {.lex_state = 60, .external_lex_state = 3},
  [61] = {.lex_state = 60, .external_lex_state = 3},
  [62] = {.lex_state = 60, .external_lex_state = 3},
  [63] = {.lex_state = 60, .external_lex_state = 3},
  [64] = {.lex_state = 60, .external_lex_state = 3},
  [65] = {.lex_state = 60, .external_lex_state = 3},
  [66] = {.lex_state = 60, .external_lex_state = 3},
  [67] = {.lex_state = 60, .external_lex_state = 3},
  [68] = {.lex_state = 60, .external_lex_state = 2},
  [69] = {.lex_state = 60, .external_lex_state = 3},
  [70] = {.lex_state = 60, .external_lex_state = 3},
  [71] = {.lex_state = 60, .external_lex_state = 2},
  [72] = {.lex_state = 60, .external_lex_state = 3},
  [73] = {.lex_state = 60, .external_lex_state = 3},
  [74] = {.lex_state = 60, .external_lex_state = 3},
  [75] = {.lex_state = 60, .external_lex_state = 3},
  [76] = {.lex_state = 60, .external_lex_state = 3},
  [77] = {.lex_state = 60, .external_lex_state = 3},
  [78] = {.lex_state = 60, .external_lex_state = 4},
  [79] = {.lex_state = 60, .external_lex_state = 4},
  [80] = {.lex_state = 60, .external_lex_state = 4},
  [81] = {.lex_state = 60, .external_lex_state = 4},
  [82] = {.lex_state = 60, .external_lex_state = 5},
  [83] = {.lex_state = 60, .external_lex_state = 5},
  [84] = {.lex_state = 60, .external_lex_state = 5},
  [85] = {.lex_state = 60, .external_lex_state = 5},
  [86] = {.lex_state = 60, .external_lex_state = 5},
  [87] = {.lex_state = 60, .external_lex_state = 5},
  [88] = {.lex_state = 60, .external_lex_state = 5},
  [89] = {.lex_state = 60, .external_lex_state = 5},
  [90] = {.lex_state = 60, .external_lex_state = 5},
  [91] = {.lex_state = 60, .external_lex_state = 5},
  [92] = {.lex_state = 60, .external_lex_state = 5},
  [93] = {.lex_state = 60, .external_lex_state = 5},
  [94] = {.lex_state = 60, .external_lex_state = 5},
  [95] = {.lex_state = 60, .external_lex_state = 5},
  [96] = {.lex_state = 60, .external_lex_state = 5},
  [97] = {.lex_state = 60, .external_lex_state = 5},
  [98] = {.lex_state = 60, .external_lex_state = 5},
  [99] = {.lex_state = 60, .external_lex_state = 5},
  [100] = {.lex_state = 60, .external_lex_state = 5},
  [101] = {.lex_state = 60, .external_lex_state = 5},
  [102] = {.lex_state = 60, .external_lex_state = 5},
  [103] = {.lex_state = 60, .external_lex_state = 5},
  [104] = {.lex_state = 60, .external_lex_state = 5},
  [105] = {.lex_state = 60, .external_lex_state = 5},
  [106] = {.lex_state = 60, .external_lex_state = 5},
  [107] = {.lex_state = 60, .external_lex_state = 5},
  [108] = {.lex_state = 60, .external_lex_state = 5},
  [109] = {.lex_state = 60, .external_lex_state = 5},
  [110] = {.lex_state = 60, .external_lex_state = 5},
  [111] = {.lex_state = 60, .external_lex_state = 5},
  [112] = {.lex_state = 60, .external_lex_state = 5},
  [113] = {.lex_state = 60, .external_lex_state = 5},
  [114] = {.lex_state = 60, .external_lex_state = 5},
  [115] = {.lex_state = 60, .external_lex_state = 5},
  [116] = {.lex_state = 60, .external_lex_state = 5},
  [117] = {.lex_state = 60, .external_lex_state = 5},
  [118] = {.lex_state = 60, .external_lex_state = 5},
  [119] = {.lex_state = 60, .external_lex_state = 5},
  [120] = {.lex_state = 60, .external_lex_state = 5},
  [121] = {.lex_state = 60, .external_lex_state = 5},
  [122] = {.lex_state = 60, .external_lex_state = 5},
  [123] = {.lex_state = 60, .external_lex_state = 5},
  [124] = {.lex_state = 60, .external_lex_state = 5},
  [125] = {.lex_state = 60, .external_lex_state = 5},
  [126] = {.lex_state = 60, .external_lex_state = 5},
  [127] = {.lex_state = 60, .external_lex_state = 5},
  [128] = {.lex_state = 60, .external_lex_state = 5},
  [129] = {.lex_state = 60, .external_lex_state = 5},
  [130] = {.lex_state = 60, .external_lex_state = 5},
  [131] = {.lex_state = 60, .external_lex_state = 5},
  [132] = {.lex_state = 60, .external_lex_state = 5},
  [133] = {.lex_state = 60, .external_lex_state = 5},
  [134] = {.lex_state = 60, .external_lex_state = 5},
  [135] = {.lex_state = 60, .external_lex_state = 5},
  [136] = {.lex_state = 60, .external_lex_state = 5},
  [137] = {.lex_state = 60, .external_lex_state = 5},
  [138] = {.lex_state = 60, .external_lex_state = 5},
  [139] = {.lex_state = 60, .external_lex_state = 5},
  [140] = {.lex_state = 60, .external_lex_state = 5},
  [141] = {.lex_state = 60, .external_lex_state = 5},
  [142] = {.lex_state = 60, .external_lex_state = 5},
  [143] = {.lex_state = 60, .external_lex_state = 5},
  [144] = {.lex_state = 60, .external_lex_state = 5},
  [145] = {.lex_state = 60, .external_lex_state = 5},
  [146] = {.lex_state = 60, .external_lex_state = 4},
  [147] = {.lex_state = 60, .external_lex_state = 4},
  [148] = {.lex_state = 60, .external_lex_state = 4},
  [149] = {.lex_state = 60, .external_lex_state = 4},
  [150] = {.lex_state = 60, .external_lex_state = 4},
  [151] = {.lex_state = 60, .external_lex_state = 4},
  [152] = {.lex_state = 60, .external_lex_state = 4},
  [153] = {.lex_state = 60, .external_lex_state = 4},
  [154] = {.lex_state = 60, .external_lex_state = 4},
  [155] = {.lex_state = 60, .external_lex_state = 4},
  [156] = {.lex_state = 60, .external_lex_state = 4},
  [157] = {.lex_state = 60, .external_lex_state = 4},
  [158] = {.lex_state = 60, .external_lex_state = 4},
  [159] = {.lex_state = 60, .external_lex_state = 4},
  [160] = {.lex_state = 60, .external_lex_state = 2},
  [161] = {.lex_state = 60, .external_lex_state = 4},
  [162] = {.lex_state = 60, .external_lex_state = 6},
  [163] = {.lex_state = 60, .external_lex_state = 7},
  [164] = {.lex_state = 60, .external_lex_state = 2},
  [165] = {.lex_state = 60, .external_lex_state = 6},
  [166] = {.lex_state = 60, .external_lex_state = 7},
  [167] = {.lex_state = 60, .external_lex_state = 8},
  [168] = {.lex_state = 60, .external_lex_state = 7},
  [169] = {.lex_state = 60, .external_lex_state = 8},
  [170] = {.lex_state = 60, .external_lex_state = 7},
  [171] = {.lex_state = 60, .external_lex_state = 7},
  [172] = {.lex_state = 60, .external_lex_state = 8},
  [173] = {.lex_state = 60, .external_lex_state = 8},
  [174] = {.lex_state = 60, .external_lex_state = 7},
  [175] = {.lex_state = 60, .external_lex_state = 8},
  [176] = {.lex_state = 60, .external_lex_state = 7},
  [177] = {.lex_state = 60, .external_lex_state = 8},
  [178] = {.lex_state = 60, .external_lex_state = 2},
  [179] = {.lex_state = 60, .external_lex_state = 2},
  [180] = {.lex_state = 60, .external_lex_state = 8},
  [181] = {.lex_state = 60, .external_lex_state = 7},
  [182] = {.lex_state = 60, .external_lex_state = 2},
  [183] = {.lex_state = 60, .external_lex_state = 7},
  [184] = {.lex_state = 60, .external_lex_state = 8},
  [185] = {.lex_state = 60, .external_lex_state = 7},
  [186] = {.lex_state = 60, .external_lex_state = 7},
  [187] = {.lex_state = 60, .external_lex_state = 8},
  [188] = {.lex_state = 60, .external_lex_state = 7},
  [189] = {.lex_state = 60, .external_lex_state = 8},
  [190] = {.lex_state = 60, .external_lex_state = 6},
  [191] = {.lex_state = 60, .external_lex_state = 6},
  [192] = {.lex_state = 60, .external_lex_state = 6},
  [193] = {.lex_state = 60, .external_lex_state = 6},
  [194] = {.lex_state = 60, .external_lex_state = 6},
  [195] = {.lex_state = 60, .external_lex_state = 6},
  [196] = {.lex_state = 60, .external_lex_state = 6},
  [197] = {.lex_state = 60, .external_lex_state = 6},
  [198] = {.lex_state = 16, .external_lex_state = 2},
  [199] = {.lex_state = 16, .external_lex_state = 2},
  [200] = {.lex_state = 60, .external_lex_state = 7},
  [201] = {.lex_state = 60, .external_lex_state = 7},
  [202] = {.lex_state = 60, .external_lex_state = 7},
  [203] = {.lex_state = 60, .external_lex_state = 7},
  [204] = {.lex_state = 60, .external_lex_state = 7},
  [205] = {.lex_state = 60, .external_lex_state = 7},
  [206] = {.lex_state = 60, .external_lex_state = 7},
  [207] = {.lex_state = 60, .external_lex_state = 7},
  [208] = {.lex_state = 60, .external_lex_state = 7},
  [209] = {.lex_state = 60, .external_lex_state = 7},
  [210] = {.lex_state = 60, .external_lex_state = 7},
  [211] = {.lex_state = 60, .external_lex_state = 7},
  [212] = {.lex_state = 60, .external_lex_state = 7},
  [213] = {.lex_state = 60, .external_lex_state = 8},
  [214] = {.lex_state = 60, .external_lex_state = 7},
  [215] = {.lex_state = 60, .external_lex_state = 7},
  [216] = {.lex_state = 60, .external_lex_state = 7},
  [217] = {.lex_state = 60, .external_lex_state = 8},
  [218] = {.lex_state = 60, .external_lex_state = 7},
  [219] = {.lex_state = 60, .external_lex_state = 7},
  [220] = {.lex_state = 60, .external_lex_state = 7},
  [221] = {.lex_state = 60, .external_lex_state = 7},
  [222] = {.lex_state = 60, .external_lex_state = 7},
  [223] = {.lex_state = 60, .external_lex_state = 7},
  [224] = {.lex_state = 60, .external_lex_state = 7},
  [225] = {.lex_state = 60, .external_lex_state = 7},
  [226] = {.lex_state = 60, .external_lex_state = 8},
  [227] = {.lex_state = 60, .external_lex_state = 7},
  [228] = {.lex_state = 60, .external_lex_state = 8},
  [229] = {.lex_state = 60, .external_lex_state = 7},
  [230] = {.lex_state = 60, .external_lex_state = 7},
  [231] = {.lex_state = 60, .external_lex_state = 7},
  [232] = {.lex_state = 60, .external_lex_state = 7},
  [233] = {.lex_state = 60, .external_lex_state = 7},
  [234] = {.lex_state = 60, .external_lex_state = 7},
  [235] = {.lex_state = 60, .external_lex_state = 7},
  [236] = {.lex_state = 60, .external_lex_state = 7},
  [237] = {.lex_state = 60, .external_lex_state = 7},
  [238] = {.lex_state = 60, .external_lex_state = 8},
  [239] = {.lex_state = 60, .external_lex_state = 7},
  [240] = {.lex_state = 60, .external_lex_state = 7},
  [241] = {.lex_state = 60, .external_lex_state = 8},
  [242] = {.lex_state = 60, .external_lex_state = 7},
  [243] = {.lex_state = 60, .external_lex_state = 7},
  [244] = {.lex_state = 60, .external_lex_state = 7},
  [245] = {.lex_state = 60, .external_lex_state = 7},
  [246] = {.lex_state = 60, .external_lex_state = 7},
  [247] = {.lex_state = 60, .external_lex_state = 7},
  [248] = {.lex_state = 60, .external_lex_state = 7},
  [249] = {.lex_state = 60, .external_lex_state = 7},
  [250] = {.lex_state = 60, .external_lex_state = 7},
  [251] = {.lex_state = 60, .external_lex_state = 7},
  [252] = {.lex_state = 60, .external_lex_state = 7},
  [253] = {.lex_state = 60, .external_lex_state = 7},
  [254] = {.lex_state = 60, .external_lex_state = 8},
  [255] = {.lex_state = 60, .external_lex_state = 7},
  [256] = {.lex_state = 60, .external_lex_state = 7},
  [257] = {.lex_state = 60, .external_lex_state = 8},
  [258] = {.lex_state = 60, .external_lex_state = 7},
  [259] = {.lex_state = 60, .external_lex_state = 7},
  [260] = {.lex_state = 16, .external_lex_state = 6},
  [261] = {.lex_state = 60, .external_lex_state = 7},
  [262] = {.lex_state = 60, .external_lex_state = 7},
  [263] = {.lex_state = 60, .external_lex_state = 7},
  [264] = {.lex_state = 60, .external_lex_state = 7},
  [265] = {.lex_state = 60, .external_lex_state = 7},
  [266] = {.lex_state = 60, .external_lex_state = 6},
  [267] = {.lex_state = 60, .external_lex_state = 6},
  [268] = {.lex_state = 60, .external_lex_state = 2},
  [269] = {.lex_state = 60, .external_lex_state = 8},
  [270] = {.lex_state = 60, .external_lex_state = 7},
  [271] = {.lex_state = 60, .external_lex_state = 8},
  [272] = {.lex_state = 60, .external_lex_state = 2},
  [273] = {.lex_state = 16, .external_lex_state = 2},
  [274] = {.lex_state = 16, .external_lex_state = 6},
  [275] = {.lex_state = 60, .external_lex_state = 2},
  [276] = {.lex_state = 60, .external_lex_state = 6},
  [277] = {.lex_state = 60, .external_lex_state = 6},
  [278] = {.lex_state = 60, .external_lex_state = 8},
  [279] = {.lex_state = 60, .external_lex_state = 7},
  [280] = {.lex_state = 60, .external_lex_state = 6},
  [281] = {.lex_state = 16, .external_lex_state = 2},
  [282] = {.lex_state = 60, .external_lex_state = 8},
  [283] = {.lex_state = 16, .external_lex_state = 6},
  [284] = {.lex_state = 60, .external_lex_state = 7},
  [285] = {.lex_state = 60, .external_lex_state = 7},
  [286] = {.lex_state = 16, .external_lex_state = 2},
  [287] = {.lex_state = 16, .external_lex_state = 2},
  [288] = {.lex_state = 60, .external_lex_state = 8},
  [289] = {.lex_state = 16, .external_lex_state = 2},
  [290] = {.lex_state = 60, .external_lex_state = 2},
  [291] = {.lex_state = 60, .external_lex_state = 8},
  [292] = {.lex_state = 60, .external_lex_state = 6},
  [293] = {.lex_state = 16, .external_lex_state = 2},
  [294] = {.lex_state = 60, .external_lex_state = 7},
  [295] = {.lex_state = 14, .external_lex_state = 9},
  [296] = {.lex_state = 60, .external_lex_state = 2},
  [297] = {.lex_state = 60, .external_lex_state = 6},
  [298] = {.lex_state = 60, .external_lex_state = 6},
  [299] = {.lex_state = 60, .external_lex_state = 6},
  [300] = {.lex_state = 60, .external_lex_state = 6},
  [301] = {.lex_state = 60, .external_lex_state = 4},
  [302] = {.lex_state = 60, .external_lex_state = 2},
  [303] = {.lex_state = 60, .external_lex_state = 6},
  [304] = {.lex_state = 60, .external_lex_state = 6},
  [305] = {.lex_state = 60, .external_lex_state = 6},
  [306] = {.lex_state = 60, .external_lex_state = 7},
  [307] = {.lex_state = 60, .external_lex_state = 4},
  [308] = {.lex_state = 60, .external_lex_state = 6},
  [309] = {.lex_state = 60, .external_lex_state = 6},
  [310] = {.lex_state = 60, .external_lex_state = 6},
  [311] = {.lex_state = 60, .external_lex_state = 6},
  [312] = {.lex_state = 60, .external_lex_state = 6},
  [313] = {.lex_state = 60, .external_lex_state = 6},
  [314] = {.lex_state = 60, .external_lex_state = 6},
  [315] = {.lex_state = 14, .external_lex_state = 9},
  [316] = {.lex_state = 60, .external_lex_state = 6},
  [317] = {.lex_state = 60, .external_lex_state = 6},
  [318] = {.lex_state = 60, .external_lex_state = 8},
  [319] = {.lex_state = 16, .external_lex_state = 8},
  [320] = {.lex_state = 16, .external_lex_state = 8},
  [321] = {.lex_state = 60, .external_lex_state = 4},
  [322] = {.lex_state = 16, .external_lex_state = 8},
  [323] = {.lex_state = 16, .external_lex_state = 8},
  [324] = {.lex_state = 16, .external_lex_state = 8},
  [325] = {.lex_state = 60, .external_lex_state = 2},
  [326] = {.lex_state = 16, .external_lex_state = 8},
  [327] = {.lex_state = 16, .external_lex_state = 8},
  [328] = {.lex_state = 16, .external_lex_state = 8},
  [329] = {.lex_state = 16, .external_lex_state = 8},
  [330] = {.lex_state = 16, .external_lex_state = 8},
  [331] = {.lex_state = 16, .external_lex_state = 8},
  [332] = {.lex_state = 16, .external_lex_state = 8},
  [333] = {.lex_state = 16, .external_lex_state = 8},
  [334] = {.lex_state = 16, .external_lex_state = 8},
  [335] = {.lex_state = 16, .external_lex_state = 8},
  [336] = {.lex_state = 16, .external_lex_state = 8},
  [337] = {.lex_state = 16, .external_lex_state = 8},
  [338] = {.lex_state = 16, .external_lex_state = 8},
  [339] = {.lex_state = 16, .external_lex_state = 8},
  [340] = {.lex_state = 16, .external_lex_state = 8},
  [341] = {.lex_state = 16, .external_lex_state = 8},
  [342] = {.lex_state = 14, .external_lex_state = 4},
  [343] = {.lex_state = 60, .external_lex_state = 4},
  [344] = {.lex_state = 16, .external_lex_state = 8},
  [345] = {.lex_state = 16, .external_lex_state = 8},
  [346] = {.lex_state = 16, .external_lex_state = 8},
  [347] = {.lex_state = 16, .external_lex_state = 8},
  [348] = {.lex_state = 16, .external_lex_state = 8},
  [349] = {.lex_state = 60, .external_lex_state = 4},
  [350] = {.lex_state = 61, .external_lex_state = 2},
  [351] = {.lex_state = 62, .external_lex_state = 2},
  [352] = {.lex_state = 60, .external_lex_state = 2},
  [353] = {.lex_state = 60, .external_lex_state = 2},
  [354] = {.lex_state = 60, .external_lex_state = 2},
  [355] = {.lex_state = 16, .external_lex_state = 2},
  [356] = {.lex_state = 60, .external_lex_state = 4},
  [357] = {.lex_state = 60, .external_lex_state = 2},
  [358] = {.lex_state = 60, .external_lex_state = 4},
  [359] = {.lex_state = 60, .external_lex_state = 2},
  [360] = {.lex_state = 60, .external_lex_state = 2},
  [361] = {.lex_state = 60, .external_lex_state = 2},
  [362] = {.lex_state = 60, .external_lex_state = 2},
  [363] = {.lex_state = 60, .external_lex_state = 2},
  [364] = {.lex_state = 60, .external_lex_state = 2},
  [365] = {.lex_state = 60, .external_lex_state = 2},
  [366] = {.lex_state = 60, .external_lex_state = 8},
  [367] = {.lex_state = 60, .external_lex_state = 2},
  [368] = {.lex_state = 16, .external_lex_state = 2},
  [369] = {.lex_state = 60, .external_lex_state = 2},
  [370] = {.lex_state = 16, .external_lex_state = 2},
  [371] = {.lex_state = 60, .external_lex_state = 8},
  [372] = {.lex_state = 16, .external_lex_state = 2},
  [373] = {.lex_state = 60, .external_lex_state = 2},
  [374] = {.lex_state = 16, .external_lex_state = 2},
  [375] = {.lex_state = 16, .external_lex_state = 2},
  [376] = {.lex_state = 16, .external_lex_state = 2},
  [377] = {.lex_state = 60, .external_lex_state = 7},
  [378] = {.lex_state = 61, .external_lex_state = 2},
  [379] = {.lex_state = 60, .external_lex_state = 4},
  [380] = {.lex_state = 16, .external_lex_state = 2},
  [381] = {.lex_state = 60, .external_lex_state = 2},
  [382] = {.lex_state = 60, .external_lex_state = 7},
  [383] = {.lex_state = 60, .external_lex_state = 2},
  [384] = {.lex_state = 60, .external_lex_state = 8},
  [385] = {.lex_state = 16, .external_lex_state = 2},
  [386] = {.lex_state = 16, .external_lex_state = 2},
  [387] = {.lex_state = 60, .external_lex_state = 2},
  [388] = {.lex_state = 60, .external_lex_state = 8},
  [389] = {.lex_state = 60, .external_lex_state = 7},
  [390] = {.lex_state = 62, .external_lex_state = 3},
  [391] = {.lex_state = 62, .external_lex_state = 2},
  [392] = {.lex_state = 60, .external_lex_state = 4},
  [393] = {.lex_state = 61, .external_lex_state = 3},
  [394] = {.lex_state = 16, .external_lex_state = 2},
  [395] = {.lex_state = 62, .external_lex_state = 3},
  [396] = {.lex_state = 61, .external_lex_state = 3},
  [397] = {.lex_state = 60, .external_lex_state = 2},
  [398] = {.lex_state = 60, .external_lex_state = 2},
  [399] = {.lex_state = 60, .external_lex_state = 2},
  [400] = {.lex_state = 60, .external_lex_state = 2},
  [401] = {.lex_state = 60, .external_lex_state = 2},
  [402] = {.lex_state = 60, .external_lex_state = 8},
  [403] = {.lex_state = 60, .external_lex_state = 4},
  [404] = {.lex_state = 60, .external_lex_state = 4},
  [405] = {.lex_state = 60, .external_lex_state = 7},
  [406] = {.lex_state = 14, .external_lex_state = 9},
  [407] = {.lex_state = 15, .external_lex_state = 9},
  [408] = {.lex_state = 14, .external_lex_state = 9},
  [409] = {.lex_state = 15, .external_lex_state = 9},
  [410] = {.lex_state = 16, .external_lex_state = 2},
  [411] = {.lex_state = 16, .external_lex_state = 2},
  [412] = {.lex_state = 16, .external_lex_state = 2},
  [413] = {.lex_state = 60, .external_lex_state = 2},
  [414] = {.lex_state = 16, .external_lex_state = 2},
  [415] = {.lex_state = 60, .external_lex_state = 2},
  [416] = {.lex_state = 60, .external_lex_state = 2},
  [417] = {.lex_state = 15, .external_lex_state = 9},
  [418] = {.lex_state = 60, .external_lex_state = 2},
  [419] = {.lex_state = 60, .external_lex_state = 2},
  [420] = {.lex_state = 60, .external_lex_state = 2},
  [421] = {.lex_state = 60, .external_lex_state = 2},
  [422] = {.lex_state = 15, .external_lex_state = 9},
  [423] = {.lex_state = 15, .external_lex_state = 9},
  [424] = {.lex_state = 16, .external_lex_state = 2},
  [425] = {.lex_state = 16, .external_lex_state = 2},
  [426] = {.lex_state = 16, .external_lex_state = 2},
  [427] = {.lex_state = 15, .external_lex_state = 9},
  [428] = {.lex_state = 60, .external_lex_state = 2},
  [429] = {.lex_state = 16, .external_lex_state = 2},
  [430] = {.lex_state = 60, .external_lex_state = 2},
  [431] = {.lex_state = 60, .external_lex_state = 2},
  [432] = {.lex_state = 15, .external_lex_state = 9},
  [433] = {.lex_state = 60, .external_lex_state = 2},
  [434] = {.lex_state = 60, .external_lex_state = 2},
  [435] = {.lex_state = 60, .external_lex_state = 2},
  [436] = {.lex_state = 60, .external_lex_state = 2},
  [437] = {.lex_state = 60, .external_lex_state = 2},
  [438] = {.lex_state = 60, .external_lex_state = 2},
  [439] = {.lex_state = 60, .external_lex_state = 2},
  [440] = {.lex_state = 60, .external_lex_state = 2},
  [441] = {.lex_state = 60, .external_lex_state = 2},
  [442] = {.lex_state = 60, .external_lex_state = 2},
  [443] = {.lex_state = 60, .external_lex_state = 2},
  [444] = {.lex_state = 60, .external_lex_state = 2},
  [445] = {.lex_state = 60, .external_lex_state = 2},
  [446] = {.lex_state = 60, .external_lex_state = 2},
  [447] = {.lex_state = 60, .external_lex_state = 2},
  [448] = {.lex_state = 60, .external_lex_state = 2},
  [449] = {.lex_state = 60, .external_lex_state = 2},
  [450] = {.lex_state = 60, .external_lex_state = 2},
  [451] = {.lex_state = 60, .external_lex_state = 2},
  [452] = {.lex_state = 60, .external_lex_state = 2},
  [453] = {.lex_state = 60, .external_lex_state = 2},
  [454] = {.lex_state = 60, .external_lex_state = 2},
  [455] = {.lex_state = 60, .external_lex_state = 2},
  [456] = {.lex_state = 60, .external_lex_state = 2},
  [457] = {.lex_state = 60, .external_lex_state = 2},
  [458] = {.lex_state = 60, .external_lex_state = 2},
  [459] = {.lex_state = 60, .external_lex_state = 2},
  [460] = {.lex_state = 60, .external_lex_state = 2},
  [461] = {.lex_state = 60, .external_lex_state = 2},
  [462] = {.lex_state = 60, .external_lex_state = 2},
  [463] = {.lex_state = 60, .external_lex_state = 2},
  [464] = {.lex_state = 60, .external_lex_state = 2},
  [465] = {.lex_state = 60, .external_lex_state = 2},
  [466] = {.lex_state = 60, .external_lex_state = 2},
  [467] = {.lex_state = 60, .external_lex_state = 2},
  [468] = {.lex_state = 60, .external_lex_state = 2},
  [469] = {.lex_state = 60, .external_lex_state = 2},
  [470] = {.lex_state = 60, .external_lex_state = 2},
  [471] = {.lex_state = 60, .external_lex_state = 2},
  [472] = {.lex_state = 60, .external_lex_state = 2},
  [473] = {.lex_state = 60, .external_lex_state = 2},
  [474] = {.lex_state = 60, .external_lex_state = 2},
  [475] = {.lex_state = 60, .external_lex_state = 2},
  [476] = {.lex_state = 60, .external_lex_state = 2},
  [477] = {.lex_state = 60, .external_lex_state = 2},
  [478] = {.lex_state = 60, .external_lex_state = 2},
  [479] = {.lex_state = 60, .external_lex_state = 2},
  [480] = {.lex_state = 60, .external_lex_state = 2},
  [481] = {.lex_state = 60, .external_lex_state = 2},
  [482] = {.lex_state = 60, .external_lex_state = 2},
  [483] = {.lex_state = 62, .external_lex_state = 2},
  [484] = {.lex_state = 61, .external_lex_state = 2},
  [485] = {.lex_state = 60, .external_lex_state = 2},
  [486] = {.lex_state = 60, .external_lex_state = 2},
  [487] = {.lex_state = 60, .external_lex_state = 2},
  [488] = {.lex_state = 60, .external_lex_state = 2},
  [489] = {.lex_state = 60, .external_lex_state = 2},
  [490] = {.lex_state = 60, .external_lex_state = 2},
  [491] = {.lex_state = 60, .external_lex_state = 2},
  [492] = {.lex_state = 60, .external_lex_state = 2},
  [493] = {.lex_state = 60, .external_lex_state = 2},
  [494] = {.lex_state = 60, .external_lex_state = 2},
  [495] = {.lex_state = 60, .external_lex_state = 2},
  [496] = {.lex_state = 60, .external_lex_state = 2},
  [497] = {.lex_state = 60, .external_lex_state = 2},
  [498] = {.lex_state = 60, .external_lex_state = 2},
  [499] = {.lex_state = 60, .external_lex_state = 2},
  [500] = {.lex_state = 60, .external_lex_state = 2},
  [501] = {.lex_state = 60, .external_lex_state = 2},
  [502] = {.lex_state = 60, .external_lex_state = 2},
  [503] = {.lex_state = 60, .external_lex_state = 2},
  [504] = {.lex_state = 60, .external_lex_state = 2},
  [505] = {.lex_state = 60, .external_lex_state = 2},
  [506] = {.lex_state = 15, .external_lex_state = 9},
  [507] = {.lex_state = 60, .external_lex_state = 2},
  [508] = {.lex_state = 60, .external_lex_state = 2},
  [509] = {.lex_state = 60, .external_lex_state = 2},
  [510] = {.lex_state = 60, .external_lex_state = 2},
  [511] = {.lex_state = 60, .external_lex_state = 2},
  [512] = {.lex_state = 15, .external_lex_state = 9},
  [513] = {.lex_state = 60, .external_lex_state = 2},
  [514] = {.lex_state = 60, .external_lex_state = 2},
  [515] = {.lex_state = 60, .external_lex_state = 2},
  [516] = {.lex_state = 60, .external_lex_state = 2},
  [517] = {.lex_state = 60, .external_lex_state = 2},
  [518] = {.lex_state = 60, .external_lex_state = 2},
  [519] = {.lex_state = 60, .external_lex_state = 2},
  [520] = {.lex_state = 60, .external_lex_state = 2},
  [521] = {.lex_state = 60, .external_lex_state = 2},
  [522] = {.lex_state = 60, .external_lex_state = 2},
  [523] = {.lex_state = 60, .external_lex_state = 2},
  [524] = {.lex_state = 60, .external_lex_state = 2},
  [525] = {.lex_state = 60, .external_lex_state = 2},
  [526] = {.lex_state = 60, .external_lex_state = 2},
  [527] = {.lex_state = 60, .external_lex_state = 2},
  [528] = {.lex_state = 60, .external_lex_state = 2},
  [529] = {.lex_state = 60, .external_lex_state = 2},
  [530] = {.lex_state = 60, .external_lex_state = 2},
  [531] = {.lex_state = 60, .external_lex_state = 2},
  [532] = {.lex_state = 60, .external_lex_state = 3},
  [533] = {.lex_state = 60, .external_lex_state = 2},
  [534] = {.lex_state = 60, .external_lex_state = 2},
  [535] = {.lex_state = 60, .external_lex_state = 2},
  [536] = {.lex_state = 60, .external_lex_state = 2},
  [537] = {.lex_state = 60, .external_lex_state = 2},
  [538] = {.lex_state = 61, .external_lex_state = 3},
  [539] = {.lex_state = 62, .external_lex_state = 3},
  [540] = {.lex_state = 60, .external_lex_state = 2},
  [541] = {.lex_state = 60, .external_lex_state = 2},
  [542] = {.lex_state = 15, .external_lex_state = 9},
  [543] = {.lex_state = 60, .external_lex_state = 2},
  [544] = {.lex_state = 60, .external_lex_state = 2},
  [545] = {.lex_state = 60, .external_lex_state = 2},
  [546] = {.lex_state = 60, .external_lex_state = 2},
  [547] = {.lex_state = 60, .external_lex_state = 2},
  [548] = {.lex_state = 60, .external_lex_state = 2},
  [549] = {.lex_state = 60, .external_lex_state = 2},
  [550] = {.lex_state = 60, .external_lex_state = 3},
  [551] = {.lex_state = 60, .external_lex_state = 2},
  [552] = {.lex_state = 60, .external_lex_state = 2},
  [553] = {.lex_state = 60, .external_lex_state = 3},
  [554] = {.lex_state = 60, .external_lex_state = 2},
  [555] = {.lex_state = 60, .external_lex_state = 2},
  [556] = {.lex_state = 60, .external_lex_state = 2},
  [557] = {.lex_state = 60, .external_lex_state = 2},
  [558] = {.lex_state = 60, .external_lex_state = 2},
  [559] = {.lex_state = 60, .external_lex_state = 2},
  [560] = {.lex_state = 60, .external_lex_state = 2},
  [561] = {.lex_state = 60, .external_lex_state = 2},
  [562] = {.lex_state = 60, .external_lex_state = 2},
  [563] = {.lex_state = 60, .external_lex_state = 2},
  [564] = {.lex_state = 60, .external_lex_state = 2},
  [565] = {.lex_state = 60, .external_lex_state = 2},
  [566] = {.lex_state = 60, .external_lex_state = 2},
  [567] = {.lex_state = 60, .external_lex_state = 2},
  [568] = {.lex_state = 60, .external_lex_state = 2},
  [569] = {.lex_state = 60, .external_lex_state = 2},
  [570] = {.lex_state = 60, .external_lex_state = 2},
  [571] = {.lex_state = 60, .external_lex_state = 2},
  [572] = {.lex_state = 60, .external_lex_state = 3},
  [573] = {.lex_state = 60, .external_lex_state = 2},
  [574] = {.lex_state = 60, .external_lex_state = 3},
  [575] = {.lex_state = 60, .external_lex_state = 2},
  [576] = {.lex_state = 15, .external_lex_state = 10},
  [577] = {.lex_state = 15, .external_lex_state = 10},
  [578] = {.lex_state = 15, .external_lex_state = 10},
  [579] = {.lex_state = 15, .external_lex_state = 10},
  [580] = {.lex_state = 15, .external_lex_state = 10},
  [581] = {.lex_state = 15, .external_lex_state = 10},
  [582] = {.lex_state = 60, .external_lex_state = 2},
  [583] = {.lex_state = 60, .external_lex_state = 3},
  [584] = {.lex_state = 60, .external_lex_state = 3},
  [585] = {.lex_state = 15, .external_lex_state = 10},
  [586] = {.lex_state = 60, .external_lex_state = 2},
  [587] = {.lex_state = 60, .external_lex_state = 3},
  [588] = {.lex_state = 60, .external_lex_state = 3},
  [589] = {.lex_state = 60, .external_lex_state = 2},
  [590] = {.lex_state = 60, .external_lex_state = 3},
  [591] = {.lex_state = 60, .external_lex_state = 2},
  [592] = {.lex_state = 62, .external_lex_state = 2},
  [593] = {.lex_state = 60, .external_lex_state = 2},
  [594] = {.lex_state = 60, .external_lex_state = 3},
  [595] = {.lex_state = 60, .external_lex_state = 3},
  [596] = {.lex_state = 62, .external_lex_state = 3},
  [597] = {.lex_state = 62, .external_lex_state = 3},
  [598] = {.lex_state = 62, .external_lex_state = 3},
  [599] = {.lex_state = 61, .external_lex_state = 3},
  [600] = {.lex_state = 61, .external_lex_state = 2},
  [601] = {.lex_state = 62, .external_lex_state = 3},
  [602] = {.lex_state = 61, .external_lex_state = 3},
  [603] = {.lex_state = 62, .external_lex_state = 3},
  [604] = {.lex_state = 61, .external_lex_state = 3},
  [605] = {.lex_state = 62, .external_lex_state = 3},
  [606] = {.lex_state = 61, .external_lex_state = 3},
  [607] = {.lex_state = 61, .external_lex_state = 2},
  [608] = {.lex_state = 61, .external_lex_state = 2},
  [609] = {.lex_state = 62, .external_lex_state = 2},
  [610] = {.lex_state = 60, .external_lex_state = 3},
  [611] = {.lex_state = 60, .external_lex_state = 2},
  [612] = {.lex_state = 60, .external_lex_state = 3},
  [613] = {.lex_state = 62, .external_lex_state = 3},
  [614] = {.lex_state = 61, .external_lex_state = 3},
  [615] = {.lex_state = 61, .external_lex_state = 2},
  [616] = {.lex_state = 62, .external_lex_state = 2},
  [617] = {.lex_state = 60, .external_lex_state = 2},
  [618] = {.lex_state = 62, .external_lex_state = 2},
  [619] = {.lex_state = 62, .external_lex_state = 2},
  [620] = {.lex_state = 60, .external_lex_state = 3},
  [621] = {.lex_state = 60, .external_lex_state = 3},
  [622] = {.lex_state = 61, .external_lex_state = 2},
  [623] = {.lex_state = 61, .external_lex_state = 3},
  [624] = {.lex_state = 62, .external_lex_state = 2},
  [625] = {.lex_state = 61, .external_lex_state = 3},
  [626] = {.lex_state = 61, .external_lex_state = 3},
  [627] = {.lex_state = 62, .external_lex_state = 3},
  [628] = {.lex_state = 62, .external_lex_state = 2},
  [629] = {.lex_state = 62, .external_lex_state = 3},
  [630] = {.lex_state = 62, .external_lex_state = 3},
  [631] = {.lex_state = 60, .external_lex_state = 2},
  [632] = {.lex_state = 60, .external_lex_state = 2},
  [633] = {.lex_state = 60, .external_lex_state = 2},
  [634] = {.lex_state = 60, .external_lex_state = 2},
  [635] = {.lex_state = 60, .external_lex_state = 2},
  [636] = {.lex_state = 61, .external_lex_state = 2},
  [637] = {.lex_state = 61, .external_lex_state = 3},
  [638] = {.lex_state = 60, .external_lex_state = 3},
  [639] = {.lex_state = 62, .external_lex_state = 2},
  [640] = {.lex_state = 62, .external_lex_state = 3},
  [641] = {.lex_state = 60, .external_lex_state = 2},
  [642] = {.lex_state = 60, .external_lex_state = 3},
  [643] = {.lex_state = 60, .external_lex_state = 3},
  [644] = {.lex_state = 62, .external_lex_state = 2},
  [645] = {.lex_state = 62, .external_lex_state = 2},
  [646] = {.lex_state = 61, .external_lex_state = 2},
  [647] = {.lex_state = 62, .external_lex_state = 2},
  [648] = {.lex_state = 61, .external_lex_state = 2},
  [649] = {.lex_state = 61, .external_lex_state = 2},
  [650] = {.lex_state = 60, .external_lex_state = 2},
  [651] = {.lex_state = 60, .external_lex_state = 2},
  [652] = {.lex_state = 60, .external_lex_state = 3},
  [653] = {.lex_state = 60, .external_lex_state = 3},
  [654] = {.lex_state = 60, .external_lex_state = 3},
  [655] = {.lex_state = 60, .external_lex_state = 3},
  [656] = {.lex_state = 60, .external_lex_state = 3},
  [657] = {.lex_state = 60, .external_lex_state = 3},
  [658] = {.lex_state = 60, .external_lex_state = 2},
  [659] = {.lex_state = 60, .external_lex_state = 3},
  [660] = {.lex_state = 60, .external_lex_state = 2},
  [661] = {.lex_state = 60, .external_lex_state = 3},
  [662] = {.lex_state = 60, .external_lex_state = 3},
  [663] = {.lex_state = 60, .external_lex_state = 3},
  [664] = {.lex_state = 60, .external_lex_state = 3},
  [665] = {.lex_state = 60, .external_lex_state = 2},
  [666] = {.lex_state = 60, .external_lex_state = 2},
  [667] = {.lex_state = 60, .external_lex_state = 2},
  [668] = {.lex_state = 60, .external_lex_state = 2},
  [669] = {.lex_state = 60, .external_lex_state = 2},
  [670] = {.lex_state = 60, .external_lex_state = 2},
  [671] = {.lex_state = 60, .external_lex_state = 2},
  [672] = {.lex_state = 60, .external_lex_state = 3},
  [673] = {.lex_state = 60, .external_lex_state = 3},
  [674] = {.lex_state = 60, .external_lex_state = 2},
  [675] = {.lex_state = 60, .external_lex_state = 2},
  [676] = {.lex_state = 60, .external_lex_state = 2},
  [677] = {.lex_state = 60, .external_lex_state = 2},
  [678] = {.lex_state = 60, .external_lex_state = 2},
  [679] = {.lex_state = 60, .external_lex_state = 2},
  [680] = {.lex_state = 60, .external_lex_state = 3},
  [681] = {.lex_state = 60, .external_lex_state = 2},
  [682] = {.lex_state = 60, .external_lex_state = 2},
  [683] = {.lex_state = 60, .external_lex_state = 3},
  [684] = {.lex_state = 60, .external_lex_state = 2},
  [685] = {.lex_state = 60, .external_lex_state = 2},
  [686] = {.lex_state = 60, .external_lex_state = 2},
  [687] = {.lex_state = 60, .external_lex_state = 2},
  [688] = {.lex_state = 60, .external_lex_state = 3},
  [689] = {.lex_state = 60, .external_lex_state = 2},
  [690] = {.lex_state = 60, .external_lex_state = 2},
  [691] = {.lex_state = 60, .external_lex_state = 2},
  [692] = {.lex_state = 60, .external_lex_state = 2},
  [693] = {.lex_state = 60, .external_lex_state = 3},
  [694] = {.lex_state = 60, .external_lex_state = 2},
  [695] = {.lex_state = 60, .external_lex_state = 2},
  [696] = {.lex_state = 60, .external_lex_state = 3},
  [697] = {.lex_state = 60, .external_lex_state = 2},
  [698] = {.lex_state = 60, .external_lex_state = 3},
  [699] = {.lex_state = 60, .external_lex_state = 3},
  [700] = {.lex_state = 60, .external_lex_state = 3},
  [701] = {.lex_state = 60, .external_lex_state = 2},
  [702] = {.lex_state = 60, .external_lex_state = 2},
  [703] = {.lex_state = 60, .external_lex_state = 2},
  [704] = {.lex_state = 60, .external_lex_state = 2},
  [705] = {.lex_state = 60, .external_lex_state = 2},
  [706] = {.lex_state = 60, .external_lex_state = 3},
  [707] = {.lex_state = 60, .external_lex_state = 2},
  [708] = {.lex_state = 60, .external_lex_state = 2},
  [709] = {.lex_state = 60, .external_lex_state = 2},
  [710] = {.lex_state = 60, .external_lex_state = 2},
  [711] = {.lex_state = 60, .external_lex_state = 3},
  [712] = {.lex_state = 60, .external_lex_state = 2},
  [713] = {.lex_state = 60, .external_lex_state = 2},
  [714] = {.lex_state = 60, .external_lex_state = 3},
  [715] = {.lex_state = 60, .external_lex_state = 2},
  [716] = {.lex_state = 60, .external_lex_state = 2},
  [717] = {.lex_state = 60, .external_lex_state = 3},
  [718] = {.lex_state = 60, .external_lex_state = 3},
  [719] = {.lex_state = 60, .external_lex_state = 3},
  [720] = {.lex_state = 60, .external_lex_state = 3},
  [721] = {.lex_state = 60, .external_lex_state = 3},
  [722] = {.lex_state = 60, .external_lex_state = 3},
  [723] = {.lex_state = 60, .external_lex_state = 3},
  [724] = {.lex_state = 60, .external_lex_state = 3},
  [725] = {.lex_state = 60, .external_lex_state = 3},
  [726] = {.lex_state = 60, .external_lex_state = 3},
  [727] = {.lex_state = 60, .external_lex_state = 3},
  [728] = {.lex_state = 60, .external_lex_state = 3},
  [729] = {.lex_state = 60, .external_lex_state = 3},
  [730] = {.lex_state = 60, .external_lex_state = 3},
  [731] = {.lex_state = 60, .external_lex_state = 3},
  [732] = {.lex_state = 60, .external_lex_state = 3},
  [733] = {.lex_state = 60, .external_lex_state = 3},
  [734] = {.lex_state = 60, .external_lex_state = 3},
  [735] = {.lex_state = 60, .external_lex_state = 3},
  [736] = {.lex_state = 60, .external_lex_state = 3},
  [737] = {.lex_state = 60, .external_lex_state = 3},
  [738] = {.lex_state = 60, .external_lex_state = 3},
  [739] = {.lex_state = 60, .external_lex_state = 2},
  [740] = {.lex_state = 60, .external_lex_state = 2},
  [741] = {.lex_state = 60, .external_lex_state = 2},
  [742] = {.lex_state = 60, .external_lex_state = 3},
  [743] = {.lex_state = 60, .external_lex_state = 3},
  [744] = {.lex_state = 60, .external_lex_state = 2},
  [745] = {.lex_state = 60, .external_lex_state = 2},
  [746] = {.lex_state = 60, .external_lex_state = 3},
  [747] = {.lex_state = 60, .external_lex_state = 2},
  [748] = {.lex_state = 60, .external_lex_state = 3},
  [749] = {.lex_state = 60, .external_lex_state = 3},
  [750] = {.lex_state = 60, .external_lex_state = 2},
  [751] = {.lex_state = 60, .external_lex_state = 3},
  [752] = {.lex_state = 60, .external_lex_state = 7},
  [753] = {.lex_state = 60, .external_lex_state = 3},
  [754] = {.lex_state = 60, .external_lex_state = 3},
  [755] = {.lex_state = 60, .external_lex_state = 3},
  [756] = {.lex_state = 60, .external_lex_state = 3},
  [757] = {.lex_state = 60, .external_lex_state = 2},
  [758] = {.lex_state = 60, .external_lex_state = 3},
  [759] = {.lex_state = 60, .external_lex_state = 3},
  [760] = {.lex_state = 60, .external_lex_state = 2},
  [761] = {.lex_state = 60, .external_lex_state = 3},
  [762] = {.lex_state = 60, .external_lex_state = 3},
  [763] = {.lex_state = 60, .external_lex_state = 2},
  [764] = {.lex_state = 60, .external_lex_state = 2},
  [765] = {.lex_state = 60, .external_lex_state = 2},
  [766] = {.lex_state = 60, .external_lex_state = 2},
  [767] = {.lex_state = 60, .external_lex_state = 2},
  [768] = {.lex_state = 60, .external_lex_state = 2},
  [769] = {.lex_state = 60, .external_lex_state = 2},
  [770] = {.lex_state = 60, .external_lex_state = 3},
  [771] = {.lex_state = 60, .external_lex_state = 2},
  [772] = {.lex_state = 60, .external_lex_state = 3},
  [773] = {.lex_state = 60, .external_lex_state = 3},
  [774] = {.lex_state = 60, .external_lex_state = 2},
  [775] = {.lex_state = 60, .external_lex_state = 2},
  [776] = {.lex_state = 60, .external_lex_state = 3},
  [777] = {.lex_state = 60, .external_lex_state = 2},
  [778] = {.lex_state = 60, .external_lex_state = 2},
  [779] = {.lex_state = 60, .external_lex_state = 2},
  [780] = {.lex_state = 60, .external_lex_state = 2},
  [781] = {.lex_state = 60, .external_lex_state = 3},
  [782] = {.lex_state = 60, .external_lex_state = 2},
  [783] = {.lex_state = 60, .external_lex_state = 2},
  [784] = {.lex_state = 60, .external_lex_state = 7},
  [785] = {.lex_state = 60, .external_lex_state = 3},
  [786] = {.lex_state = 60, .external_lex_state = 3},
  [787] = {.lex_state = 60, .external_lex_state = 3},
  [788] = {.lex_state = 60, .external_lex_state = 3},
  [789] = {.lex_state = 60, .external_lex_state = 3},
  [790] = {.lex_state = 60, .external_lex_state = 3},
  [791] = {.lex_state = 60, .external_lex_state = 3},
  [792] = {.lex_state = 60, .external_lex_state = 3},
  [793] = {.lex_state = 60, .external_lex_state = 2},
  [794] = {.lex_state = 60, .external_lex_state = 2},
  [795] = {.lex_state = 60, .external_lex_state = 3},
  [796] = {.lex_state = 60, .external_lex_state = 2},
  [797] = {.lex_state = 60, .external_lex_state = 3},
  [798] = {.lex_state = 60, .external_lex_state = 2},
  [799] = {.lex_state = 60, .external_lex_state = 3},
  [800] = {.lex_state = 60, .external_lex_state = 3},
  [801] = {.lex_state = 60, .external_lex_state = 3},
  [802] = {.lex_state = 60, .external_lex_state = 3},
  [803] = {.lex_state = 60, .external_lex_state = 2},
  [804] = {.lex_state = 60, .external_lex_state = 2},
  [805] = {.lex_state = 60, .external_lex_state = 2},
  [806] = {.lex_state = 60, .external_lex_state = 3},
  [807] = {.lex_state = 60, .external_lex_state = 2},
  [808] = {.lex_state = 60, .external_lex_state = 2},
  [809] = {.lex_state = 60, .external_lex_state = 2},
  [810] = {.lex_state = 60, .external_lex_state = 2},
  [811] = {.lex_state = 60, .external_lex_state = 2},
  [812] = {.lex_state = 60, .external_lex_state = 2},
  [813] = {.lex_state = 60, .external_lex_state = 3},
  [814] = {.lex_state = 60, .external_lex_state = 8},
  [815] = {.lex_state = 60, .external_lex_state = 2},
  [816] = {.lex_state = 60, .external_lex_state = 2},
  [817] = {.lex_state = 60, .external_lex_state = 2},
  [818] = {.lex_state = 60, .external_lex_state = 2},
  [819] = {.lex_state = 60, .external_lex_state = 2},
  [820] = {.lex_state = 60, .external_lex_state = 8},
  [821] = {.lex_state = 60, .external_lex_state = 7},
  [822] = {.lex_state = 60, .external_lex_state = 2},
  [823] = {.lex_state = 60, .external_lex_state = 2},
  [824] = {.lex_state = 60, .external_lex_state = 7},
  [825] = {.lex_state = 60, .external_lex_state = 2},
  [826] = {.lex_state = 60, .external_lex_state = 2},
  [827] = {.lex_state = 60, .external_lex_state = 2},
  [828] = {.lex_state = 60, .external_lex_state = 2},
  [829] = {.lex_state = 60, .external_lex_state = 2},
  [830] = {.lex_state = 60, .external_lex_state = 2},
  [831] = {.lex_state = 15, .external_lex_state = 6},
  [832] = {.lex_state = 15, .external_lex_state = 6},
  [833] = {.lex_state = 15, .external_lex_state = 6},
  [834] = {.lex_state = 14, .external_lex_state = 4},
  [835] = {.lex_state = 14, .external_lex_state = 9},
  [836] = {.lex_state = 15, .external_lex_state = 11},
  [837] = {.lex_state = 14, .external_lex_state = 4},
  [838] = {.lex_state = 60, .external_lex_state = 7},
  [839] = {.lex_state = 15, .external_lex_state = 11},
  [840] = {.lex_state = 14, .external_lex_state = 4},
  [841] = {.lex_state = 15, .external_lex_state = 6},
  [842] = {.lex_state = 16, .external_lex_state = 2},
  [843] = {.lex_state = 15, .external_lex_state = 6},
  [844] = {.lex_state = 15, .external_lex_state = 6},
  [845] = {.lex_state = 15, .external_lex_state = 2},
  [846] = {.lex_state = 14, .external_lex_state = 9},
  [847] = {.lex_state = 15, .external_lex_state = 11},
  [848] = {.lex_state = 15, .external_lex_state = 11},
  [849] = {.lex_state = 14, .external_lex_state = 7},
  [850] = {.lex_state = 15, .external_lex_state = 11},
  [851] = {.lex_state = 15, .external_lex_state = 11},
  [852] = {.lex_state = 14, .external_lex_state = 9},
  [853] = {.lex_state = 15, .external_lex_state = 11},
  [854] = {.lex_state = 14, .external_lex_state = 9},
  [855] = {.lex_state = 14, .external_lex_state = 9},
  [856] = {.lex_state = 14, .external_lex_state = 9},
  [857] = {.lex_state = 14, .external_lex_state = 9},
  [858] = {.lex_state = 15, .external_lex_state = 11},
  [859] = {.lex_state = 15, .external_lex_state = 11},
  [860] = {.lex_state = 14, .external_lex_state = 9},
  [861] = {.lex_state = 14, .external_lex_state = 9},
  [862] = {.lex_state = 14, .external_lex_state = 9},
  [863] = {.lex_state = 14, .external_lex_state = 12},
  [864] = {.lex_state = 14, .external_lex_state = 9},
  [865] = {.lex_state = 15, .external_lex_state = 11},
  [866] = {.lex_state = 14, .external_lex_state = 7},
  [867] = {.lex_state = 15, .external_lex_state = 11},
  [868] = {.lex_state = 60, .external_lex_state = 2},
  [869] = {.lex_state = 60, .external_lex_state = 2},
  [870] = {.lex_state = 15, .external_lex_state = 11},
  [871] = {.lex_state = 60, .external_lex_state = 2},
  [872] = {.lex_state = 15, .external_lex_state = 11},
  [873] = {.lex_state = 14, .external_lex_state = 9},
  [874] = {.lex_state = 15, .external_lex_state = 10},
  [875] = {.lex_state = 15, .external_lex_state = 2},
  [876] = {.lex_state = 15, .external_lex_state = 11},
  [877] = {.lex_state = 15, .external_lex_state = 11},
  [878] = {.lex_state = 60, .external_lex_state = 2},
  [879] = {.lex_state = 15, .external_lex_state = 2},
  [880] = {.lex_state = 60, .external_lex_state = 2},
  [881] = {.lex_state = 14, .external_lex_state = 7},
  [882] = {.lex_state = 60, .external_lex_state = 2},
  [883] = {.lex_state = 14, .external_lex_state = 13},
  [884] = {.lex_state = 14, .external_lex_state = 8},
  [885] = {.lex_state = 60, .external_lex_state = 2},
  [886] = {.lex_state = 15, .external_lex_state = 11},
  [887] = {.lex_state = 15, .external_lex_state = 11},
  [888] = {.lex_state = 60, .external_lex_state = 2},
  [889] = {.lex_state = 14, .external_lex_state = 8},
  [890] = {.lex_state = 15, .external_lex_state = 11},
  [891] = {.lex_state = 15, .external_lex_state = 11},
  [892] = {.lex_state = 15, .external_lex_state = 11},
  [893] = {.lex_state = 15, .external_lex_state = 11},
  [894] = {.lex_state = 15, .external_lex_state = 11},
  [895] = {.lex_state = 15, .external_lex_state = 11},
  [896] = {.lex_state = 14, .external_lex_state = 8},
  [897] = {.lex_state = 15, .external_lex_state = 11},
  [898] = {.lex_state = 14, .external_lex_state = 12},
  [899] = {.lex_state = 15, .external_lex_state = 10},
  [900] = {.lex_state = 60, .external_lex_state = 2},
  [901] = {.lex_state = 60, .external_lex_state = 2},
  [902] = {.lex_state = 14, .external_lex_state = 12},
  [903] = {.lex_state = 14, .external_lex_state = 12},
  [904] = {.lex_state = 15, .external_lex_state = 8},
  [905] = {.lex_state = 60, .external_lex_state = 2},
  [906] = {.lex_state = 14, .external_lex_state = 11},
  [907] = {.lex_state = 14, .external_lex_state = 11},
  [908] = {.lex_state = 60, .external_lex_state = 2},
  [909] = {.lex_state = 60, .external_lex_state = 2},
  [910] = {.lex_state = 60, .external_lex_state = 2},
  [911] = {.lex_state = 60, .external_lex_state = 2},
  [912] = {.lex_state = 14, .external_lex_state = 12},
  [913] = {.lex_state = 60, .external_lex_state = 2},
  [914] = {.lex_state = 14, .external_lex_state = 7},
  [915] = {.lex_state = 15, .external_lex_state = 6},
  [916] = {.lex_state = 14, .external_lex_state = 13},
  [917] = {.lex_state = 60, .external_lex_state = 2},
  [918] = {.lex_state = 60, .external_lex_state = 2},
  [919] = {.lex_state = 60, .external_lex_state = 2},
  [920] = {.lex_state = 60, .external_lex_state = 2},
  [921] = {.lex_state = 60, .external_lex_state = 2},
  [922] = {.lex_state = 15, .external_lex_state = 10},
  [923] = {.lex_state = 15, .external_lex_state = 10},
  [924] = {.lex_state = 60, .external_lex_state = 2},
  [925] = {.lex_state = 60, .external_lex_state = 2},
  [926] = {.lex_state = 60, .external_lex_state = 2},
  [927] = {.lex_state = 60, .external_lex_state = 2},
  [928] = {.lex_state = 60, .external_lex_state = 2},
  [929] = {.lex_state = 60, .external_lex_state = 2},
  [930] = {.lex_state = 60, .external_lex_state = 2},
  [931] = {.lex_state = 60, .external_lex_state = 2},
  [932] = {.lex_state = 14, .external_lex_state = 4},
  [933] = {.lex_state = 60, .external_lex_state = 2},
  [934] = {.lex_state = 15, .external_lex_state = 8},
  [935] = {.lex_state = 60, .external_lex_state = 2},
  [936] = {.lex_state = 60, .external_lex_state = 2},
  [937] = {.lex_state = 60, .external_lex_state = 2},
  [938] = {.lex_state = 60, .external_lex_state = 2},
  [939] = {.lex_state = 60, .external_lex_state = 2},
  [940] = {.lex_state = 60, .external_lex_state = 2},
  [941] = {.lex_state = 60, .external_lex_state = 2},
  [942] = {.lex_state = 60, .external_lex_state = 2},
  [943] = {.lex_state = 60, .external_lex_state = 2},
  [944] = {.lex_state = 60, .external_lex_state = 2},
  [945] = {.lex_state = 60, .external_lex_state = 2},
  [946] = {.lex_state = 60, .external_lex_state = 2},
  [947] = {.lex_state = 60, .external_lex_state = 2},
  [948] = {.lex_state = 14, .external_lex_state = 9},
  [949] = {.lex_state = 14, .external_lex_state = 7},
  [950] = {.lex_state = 15, .external_lex_state = 6},
  [951] = {.lex_state = 60, .external_lex_state = 2},
  [952] = {.lex_state = 60, .external_lex_state = 2},
  [953] = {.lex_state = 60, .external_lex_state = 2},
  [954] = {.lex_state = 60, .external_lex_state = 2},
  [955] = {.lex_state = 60, .external_lex_state = 2},
  [956] = {.lex_state = 14, .external_lex_state = 9},
  [957] = {.lex_state = 60, .external_lex_state = 2},
  [958] = {.lex_state = 60, .external_lex_state = 2},
  [959] = {.lex_state = 15, .external_lex_state = 10},
  [960] = {.lex_state = 15, .external_lex_state = 10},
  [961] = {.lex_state = 60, .external_lex_state = 2},
  [962] = {.lex_state = 60, .external_lex_state = 2},
  [963] = {.lex_state = 60, .external_lex_state = 2},
  [964] = {.lex_state = 60, .external_lex_state = 2},
  [965] = {.lex_state = 15, .external_lex_state = 10},
  [966] = {.lex_state = 60, .external_lex_state = 2},
  [967] = {.lex_state = 15, .external_lex_state = 10},
  [968] = {.lex_state = 60, .external_lex_state = 2},
  [969] = {.lex_state = 60, .external_lex_state = 2},
  [970] = {.lex_state = 15, .external_lex_state = 10},
  [971] = {.lex_state = 15, .external_lex_state = 10},
  [972] = {.lex_state = 15, .external_lex_state = 10},
  [973] = {.lex_state = 60, .external_lex_state = 2},
  [974] = {.lex_state = 15, .external_lex_state = 10},
  [975] = {.lex_state = 60, .external_lex_state = 2},
  [976] = {.lex_state = 60, .external_lex_state = 2},
  [977] = {.lex_state = 60, .external_lex_state = 2},
  [978] = {.lex_state = 60, .external_lex_state = 2},
  [979] = {.lex_state = 60, .external_lex_state = 2},
  [980] = {.lex_state = 60, .external_lex_state = 2},
  [981] = {.lex_state = 60, .external_lex_state = 2},
  [982] = {.lex_state = 60, .external_lex_state = 2},
  [983] = {.lex_state = 60, .external_lex_state = 2},
  [984] = {.lex_state = 60, .external_lex_state = 2},
  [985] = {.lex_state = 14, .external_lex_state = 12},
  [986] = {.lex_state = 14, .external_lex_state = 12},
  [987] = {.lex_state = 14, .external_lex_state = 12},
  [988] = {.lex_state = 60, .external_lex_state = 2},
  [989] = {.lex_state = 15, .external_lex_state = 8},
  [990] = {.lex_state = 15, .external_lex_state = 6},
  [991] = {.lex_state = 60, .external_lex_state = 2},
  [992] = {.lex_state = 15, .external_lex_state = 13},
  [993] = {.lex_state = 60, .external_lex_state = 2},
  [994] = {.lex_state = 60, .external_lex_state = 2},
  [995] = {.lex_state = 14, .external_lex_state = 12},
  [996] = {.lex_state = 14, .external_lex_state = 12},
  [997] = {.lex_state = 14, .external_lex_state = 12},
  [998] = {.lex_state = 14, .external_lex_state = 12},
  [999] = {.lex_state = 60, .external_lex_state = 2},
  [1000] = {.lex_state = 60, .external_lex_state = 2},
  [1001] = {.lex_state = 60, .external_lex_state = 2},
  [1002] = {.lex_state = 14, .external_lex_state = 12},
  [1003] = {.lex_state = 60, .external_lex_state = 2},
  [1004] = {.lex_state = 60, .external_lex_state = 2},
  [1005] = {.lex_state = 60, .external_lex_state = 2},
  [1006] = {.lex_state = 60, .external_lex_state = 2},
  [1007] = {.lex_state = 14, .external_lex_state = 12},
  [1008] = {.lex_state = 14, .external_lex_state = 12},
  [1009] = {.lex_state = 60, .external_lex_state = 2},
  [1010] = {.lex_state = 60, .external_lex_state = 2},
  [1011] = {.lex_state = 14, .external_lex_state = 13},
  [1012] = {.lex_state = 14, .external_lex_state = 13},
  [1013] = {.lex_state = 60, .external_lex_state = 2},
  [1014] = {.lex_state = 14, .external_lex_state = 13},
  [1015] = {.lex_state = 14, .external_lex_state = 13},
  [1016] = {.lex_state = 60, .external_lex_state = 2},
  [1017] = {.lex_state = 14, .external_lex_state = 4},
  [1018] = {.lex_state = 14, .external_lex_state = 7},
  [1019] = {.lex_state = 60, .external_lex_state = 2},
  [1020] = {.lex_state = 60, .external_lex_state = 2},
  [1021] = {.lex_state = 60, .external_lex_state = 2},
  [1022] = {.lex_state = 60, .external_lex_state = 2},
  [1023] = {.lex_state = 60, .external_lex_state = 2},
  [1024] = {.lex_state = 14, .external_lex_state = 13},
  [1025] = {.lex_state = 14, .external_lex_state = 13},
  [1026] = {.lex_state = 60, .external_lex_state = 2},
  [1027] = {.lex_state = 14, .external_lex_state = 13},
  [1028] = {.lex_state = 14, .external_lex_state = 13},
  [1029] = {.lex_state = 60, .external_lex_state = 2},
  [1030] = {.lex_state = 60, .external_lex_state = 2},
  [1031] = {.lex_state = 60, .external_lex_state = 2},
  [1032] = {.lex_state = 60, .external_lex_state = 2},
  [1033] = {.lex_state = 60, .external_lex_state = 2},
  [1034] = {.lex_state = 60, .external_lex_state = 2},
  [1035] = {.lex_state = 60, .external_lex_state = 2},
  [1036] = {.lex_state = 60, .external_lex_state = 2},
  [1037] = {.lex_state = 15, .external_lex_state = 6},
  [1038] = {.lex_state = 60, .external_lex_state = 2},
  [1039] = {.lex_state = 60, .external_lex_state = 2},
  [1040] = {.lex_state = 60, .external_lex_state = 2},
  [1041] = {.lex_state = 14, .external_lex_state = 11},
  [1042] = {.lex_state = 14, .external_lex_state = 11},
  [1043] = {.lex_state = 60, .external_lex_state = 2},
  [1044] = {.lex_state = 14, .external_lex_state = 13},
  [1045] = {.lex_state = 14, .external_lex_state = 13},
  [1046] = {.lex_state = 14, .external_lex_state = 9},
  [1047] = {.lex_state = 15, .external_lex_state = 11},
  [1048] = {.lex_state = 14, .external_lex_state = 10},
  [1049] = {.lex_state = 15, .external_lex_state = 11},
  [1050] = {.lex_state = 15, .external_lex_state = 11},
  [1051] = {.lex_state = 14, .external_lex_state = 9},
  [1052] = {.lex_state = 15, .external_lex_state = 11},
  [1053] = {.lex_state = 14, .external_lex_state = 9},
  [1054] = {.lex_state = 14, .external_lex_state = 9},
  [1055] = {.lex_state = 15, .external_lex_state = 11},
  [1056] = {.lex_state = 15, .external_lex_state = 11},
  [1057] = {.lex_state = 14, .external_lex_state = 10},
  [1058] = {.lex_state = 14, .external_lex_state = 12},
  [1059] = {.lex_state = 15, .external_lex_state = 11},
  [1060] = {.lex_state = 14, .external_lex_state = 12},
  [1061] = {.lex_state = 14, .external_lex_state = 8},
  [1062] = {.lex_state = 14, .external_lex_state = 12},
  [1063] = {.lex_state = 14, .external_lex_state = 12},
  [1064] = {.lex_state = 15, .external_lex_state = 2},
  [1065] = {.lex_state = 14, .external_lex_state = 9},
  [1066] = {.lex_state = 15, .external_lex_state = 11},
  [1067] = {.lex_state = 14, .external_lex_state = 9},
  [1068] = {.lex_state = 14, .external_lex_state = 9},
  [1069] = {.lex_state = 15, .external_lex_state = 12},
  [1070] = {.lex_state = 14, .external_lex_state = 9},
  [1071] = {.lex_state = 15, .external_lex_state = 2},
  [1072] = {.lex_state = 14, .external_lex_state = 13},
  [1073] = {.lex_state = 14, .external_lex_state = 9},
  [1074] = {.lex_state = 15, .external_lex_state = 11},
  [1075] = {.lex_state = 14, .external_lex_state = 9},
  [1076] = {.lex_state = 14, .external_lex_state = 9},
  [1077] = {.lex_state = 14, .external_lex_state = 9},
  [1078] = {.lex_state = 14, .external_lex_state = 12},
  [1079] = {.lex_state = 14, .external_lex_state = 9},
  [1080] = {.lex_state = 15, .external_lex_state = 11},
  [1081] = {.lex_state = 15, .external_lex_state = 11},
  [1082] = {.lex_state = 14, .external_lex_state = 9},
  [1083] = {.lex_state = 14, .external_lex_state = 12},
  [1084] = {.lex_state = 14, .external_lex_state = 12},
  [1085] = {.lex_state = 14, .external_lex_state = 12},
  [1086] = {.lex_state = 14, .external_lex_state = 9},
  [1087] = {.lex_state = 14, .external_lex_state = 9},
  [1088] = {.lex_state = 15, .external_lex_state = 11},
  [1089] = {.lex_state = 14, .external_lex_state = 12},
  [1090] = {.lex_state = 15, .external_lex_state = 11},
  [1091] = {.lex_state = 14, .external_lex_state = 9},
  [1092] = {.lex_state = 14, .external_lex_state = 12},
  [1093] = {.lex_state = 14, .external_lex_state = 12},
  [1094] = {.lex_state = 14, .external_lex_state = 12},
  [1095] = {.lex_state = 14, .external_lex_state = 9},
  [1096] = {.lex_state = 15, .external_lex_state = 12},
  [1097] = {.lex_state = 14, .external_lex_state = 9},
  [1098] = {.lex_state = 14, .external_lex_state = 13},
  [1099] = {.lex_state = 15, .external_lex_state = 11},
  [1100] = {.lex_state = 14, .external_lex_state = 9},
  [1101] = {.lex_state = 14, .external_lex_state = 8},
  [1102] = {.lex_state = 15, .external_lex_state = 11},
  [1103] = {.lex_state = 15, .external_lex_state = 11},
  [1104] = {.lex_state = 15, .external_lex_state = 11},
  [1105] = {.lex_state = 15, .external_lex_state = 11},
  [1106] = {.lex_state = 14, .external_lex_state = 9},
  [1107] = {.lex_state = 15, .external_lex_state = 13},
  [1108] = {.lex_state = 15, .external_lex_state = 11},
  [1109] = {.lex_state = 15, .external_lex_state = 11},
  [1110] = {.lex_state = 15, .external_lex_state = 11},
  [1111] = {.lex_state = 15, .external_lex_state = 11},
  [1112] = {.lex_state = 15, .external_lex_state = 11},
  [1113] = {.lex_state = 15, .external_lex_state = 11},
  [1114] = {.lex_state = 15, .external_lex_state = 11},
  [1115] = {.lex_state = 15, .external_lex_state = 11},
  [1116] = {.lex_state = 14, .external_lex_state = 7},
  [1117] = {.lex_state = 15, .external_lex_state = 13},
  [1118] = {.lex_state = 15, .external_lex_state = 12},
  [1119] = {.lex_state = 15, .external_lex_state = 12},
  [1120] = {.lex_state = 15, .external_lex_state = 13},
  [1121] = {.lex_state = 14, .external_lex_state = 12},
  [1122] = {.lex_state = 14, .external_lex_state = 7},
  [1123] = {.lex_state = 15, .external_lex_state = 11},
  [1124] = {.lex_state = 15, .external_lex_state = 11},
  [1125] = {.lex_state = 15, .external_lex_state = 11},
  [1126] = {.lex_state = 15, .external_lex_state = 11},
  [1127] = {.lex_state = 15, .external_lex_state = 11},
  [1128] = {.lex_state = 15, .external_lex_state = 11},
  [1129] = {.lex_state = 15, .external_lex_state = 11},
  [1130] = {.lex_state = 15, .external_lex_state = 11},
  [1131] = {.lex_state = 14, .external_lex_state = 12},
  [1132] = {.lex_state = 14, .external_lex_state = 9},
  [1133] = {.lex_state = 15, .external_lex_state = 11},
  [1134] = {.lex_state = 15, .external_lex_state = 11},
  [1135] = {.lex_state = 15, .external_lex_state = 11},
  [1136] = {.lex_state = 15, .external_lex_state = 11},
  [1137] = {.lex_state = 15, .external_lex_state = 11},
  [1138] = {.lex_state = 15, .external_lex_state = 11},
  [1139] = {.lex_state = 15, .external_lex_state = 12},
  [1140] = {.lex_state = 15, .external_lex_state = 12},
  [1141] = {.lex_state = 15, .external_lex_state = 12},
  [1142] = {.lex_state = 15, .external_lex_state = 11},
  [1143] = {.lex_state = 15, .external_lex_state = 11},
  [1144] = {.lex_state = 15, .external_lex_state = 11},
  [1145] = {.lex_state = 15, .external_lex_state = 11},
  [1146] = {.lex_state = 15, .external_lex_state = 11},
  [1147] = {.lex_state = 15, .external_lex_state = 11},
  [1148] = {.lex_state = 15, .external_lex_state = 11},
  [1149] = {.lex_state = 15, .external_lex_state = 11},
  [1150] = {.lex_state = 14, .external_lex_state = 12},
  [1151] = {.lex_state = 15, .external_lex_state = 11},
  [1152] = {.lex_state = 14, .external_lex_state = 13},
  [1153] = {.lex_state = 15, .external_lex_state = 11},
  [1154] = {.lex_state = 15, .external_lex_state = 11},
  [1155] = {.lex_state = 14, .external_lex_state = 13},
  [1156] = {.lex_state = 15, .external_lex_state = 11},
  [1157] = {.lex_state = 14, .external_lex_state = 9},
  [1158] = {.lex_state = 15, .external_lex_state = 13},
  [1159] = {.lex_state = 15, .external_lex_state = 13},
  [1160] = {.lex_state = 15, .external_lex_state = 13},
  [1161] = {.lex_state = 15, .external_lex_state = 11},
  [1162] = {.lex_state = 15, .external_lex_state = 11},
  [1163] = {.lex_state = 15, .external_lex_state = 11},
  [1164] = {.lex_state = 15, .external_lex_state = 11},
  [1165] = {.lex_state = 15, .external_lex_state = 11},
  [1166] = {.lex_state = 15, .external_lex_state = 11},
  [1167] = {.lex_state = 15, .external_lex_state = 11},
  [1168] = {.lex_state = 15, .external_lex_state = 11},
  [1169] = {.lex_state = 15, .external_lex_state = 11},
  [1170] = {.lex_state = 15, .external_lex_state = 11},
  [1171] = {.lex_state = 15, .external_lex_state = 13},
  [1172] = {.lex_state = 15, .external_lex_state = 13},
  [1173] = {.lex_state = 14, .external_lex_state = 9},
  [1174] = {.lex_state = 15, .external_lex_state = 13},
  [1175] = {.lex_state = 15, .external_lex_state = 13},
  [1176] = {.lex_state = 15, .external_lex_state = 13},
  [1177] = {.lex_state = 15, .external_lex_state = 10},
  [1178] = {.lex_state = 15, .external_lex_state = 10},
  [1179] = {.lex_state = 14, .external_lex_state = 13},
  [1180] = {.lex_state = 14, .external_lex_state = 12},
  [1181] = {.lex_state = 14, .external_lex_state = 13},
  [1182] = {.lex_state = 14, .external_lex_state = 13},
  [1183] = {.lex_state = 14, .external_lex_state = 13},
  [1184] = {.lex_state = 14, .external_lex_state = 13},
  [1185] = {.lex_state = 15, .external_lex_state = 10},
  [1186] = {.lex_state = 15, .external_lex_state = 10},
  [1187] = {.lex_state = 15, .external_lex_state = 10},
  [1188] = {.lex_state = 14, .external_lex_state = 12},
  [1189] = {.lex_state = 14, .external_lex_state = 13},
  [1190] = {.lex_state = 14, .external_lex_state = 12},
  [1191] = {.lex_state = 15, .external_lex_state = 10},
  [1192] = {.lex_state = 15, .external_lex_state = 10},
  [1193] = {.lex_state = 15, .external_lex_state = 10},
  [1194] = {.lex_state = 15, .external_lex_state = 10},
  [1195] = {.lex_state = 15, .external_lex_state = 8},
  [1196] = {.lex_state = 15, .external_lex_state = 10},
  [1197] = {.lex_state = 14, .external_lex_state = 12},
  [1198] = {.lex_state = 15, .external_lex_state = 10},
  [1199] = {.lex_state = 15, .external_lex_state = 10},
  [1200] = {.lex_state = 15, .external_lex_state = 10},
  [1201] = {.lex_state = 14, .external_lex_state = 12},
  [1202] = {.lex_state = 14, .external_lex_state = 7},
  [1203] = {.lex_state = 14, .external_lex_state = 12},
  [1204] = {.lex_state = 14, .external_lex_state = 12},
  [1205] = {.lex_state = 14, .external_lex_state = 13},
  [1206] = {.lex_state = 14, .external_lex_state = 12},
  [1207] = {.lex_state = 15, .external_lex_state = 10},
  [1208] = {.lex_state = 14, .external_lex_state = 12},
  [1209] = {.lex_state = 14, .external_lex_state = 13},
  [1210] = {.lex_state = 14, .external_lex_state = 13},
  [1211] = {.lex_state = 15, .external_lex_state = 10},
  [1212] = {.lex_state = 14, .external_lex_state = 12},
  [1213] = {.lex_state = 15, .external_lex_state = 10},
  [1214] = {.lex_state = 14, .external_lex_state = 12},
  [1215] = {.lex_state = 14, .external_lex_state = 13},
  [1216] = {.lex_state = 14, .external_lex_state = 13},
  [1217] = {.lex_state = 14, .external_lex_state = 13},
  [1218] = {.lex_state = 15, .external_lex_state = 10},
  [1219] = {.lex_state = 14, .external_lex_state = 13},
  [1220] = {.lex_state = 14, .external_lex_state = 13},
  [1221] = {.lex_state = 14, .external_lex_state = 12},
  [1222] = {.lex_state = 14, .external_lex_state = 12},
  [1223] = {.lex_state = 14, .external_lex_state = 12},
  [1224] = {.lex_state = 14, .external_lex_state = 12},
  [1225] = {.lex_state = 15, .external_lex_state = 10},
  [1226] = {.lex_state = 15, .external_lex_state = 10},
  [1227] = {.lex_state = 14, .external_lex_state = 12},
  [1228] = {.lex_state = 14, .external_lex_state = 13},
  [1229] = {.lex_state = 14, .external_lex_state = 13},
  [1230] = {.lex_state = 14, .external_lex_state = 12},
  [1231] = {.lex_state = 15, .external_lex_state = 10},
  [1232] = {.lex_state = 14, .external_lex_state = 12},
  [1233] = {.lex_state = 15, .external_lex_state = 10},
  [1234] = {.lex_state = 14, .external_lex_state = 13},
  [1235] = {.lex_state = 14, .external_lex_state = 13},
  [1236] = {.lex_state = 15, .external_lex_state = 8},
  [1237] = {.lex_state = 14, .external_lex_state = 12},
  [1238] = {.lex_state = 14, .external_lex_state = 12},
  [1239] = {.lex_state = 14, .external_lex_state = 7},
  [1240] = {.lex_state = 14, .external_lex_state = 12},
  [1241] = {.lex_state = 15, .external_lex_state = 10},
  [1242] = {.lex_state = 14, .external_lex_state = 13},
  [1243] = {.lex_state = 14, .external_lex_state = 12},
  [1244] = {.lex_state = 14, .external_lex_state = 12},
  [1245] = {.lex_state = 14, .external_lex_state = 13},
  [1246] = {.lex_state = 14, .external_lex_state = 12},
  [1247] = {.lex_state = 14, .external_lex_state = 13},
  [1248] = {.lex_state = 14, .external_lex_state = 13},
  [1249] = {.lex_state = 14, .external_lex_state = 13},
  [1250] = {.lex_state = 14, .external_lex_state = 12},
  [1251] = {.lex_state = 14, .external_lex_state = 12},
  [1252] = {.lex_state = 14, .external_lex_state = 13},
  [1253] = {.lex_state = 14, .external_lex_state = 13},
  [1254] = {.lex_state = 14, .external_lex_state = 13},
  [1255] = {.lex_state = 15, .external_lex_state = 10},
  [1256] = {.lex_state = 14, .external_lex_state = 12},
  [1257] = {.lex_state = 14, .external_lex_state = 12},
  [1258] = {.lex_state = 15, .external_lex_state = 10},
  [1259] = {.lex_state = 14, .external_lex_state = 13},
  [1260] = {.lex_state = 14, .external_lex_state = 12},
  [1261] = {.lex_state = 14, .external_lex_state = 13},
  [1262] = {.lex_state = 14, .external_lex_state = 13},
  [1263] = {.lex_state = 14, .external_lex_state = 13},
  [1264] = {.lex_state = 14, .external_lex_state = 13},
  [1265] = {.lex_state = 14, .external_lex_state = 13},
  [1266] = {.lex_state = 14, .external_lex_state = 13},
  [1267] = {.lex_state = 14, .external_lex_state = 13},
  [1268] = {.lex_state = 14, .external_lex_state = 13},
  [1269] = {.lex_state = 14, .external_lex_state = 13},
  [1270] = {.lex_state = 15, .external_lex_state = 10},
  [1271] = {.lex_state = 14, .external_lex_state = 12},
  [1272] = {.lex_state = 14, .external_lex_state = 12},
  [1273] = {.lex_state = 15, .external_lex_state = 10},
  [1274] = {.lex_state = 14, .external_lex_state = 12},
  [1275] = {.lex_state = 15, .external_lex_state = 13},
  [1276] = {.lex_state = 14, .external_lex_state = 12},
  [1277] = {.lex_state = 15, .external_lex_state = 13},
  [1278] = {.lex_state = 14, .external_lex_state = 12},
  [1279] = {.lex_state = 15, .external_lex_state = 10},
  [1280] = {.lex_state = 15, .external_lex_state = 13},
  [1281] = {.lex_state = 14, .external_lex_state = 12},
  [1282] = {.lex_state = 15, .external_lex_state = 10},
  [1283] = {.lex_state = 14, .external_lex_state = 12},
  [1284] = {.lex_state = 14, .external_lex_state = 12},
  [1285] = {.lex_state = 15, .external_lex_state = 10},
  [1286] = {.lex_state = 14, .external_lex_state = 12},
  [1287] = {.lex_state = 15, .external_lex_state = 13},
  [1288] = {.lex_state = 14, .external_lex_state = 12},
  [1289] = {.lex_state = 14, .external_lex_state = 12},
  [1290] = {.lex_state = 14, .external_lex_state = 12},
  [1291] = {.lex_state = 14, .external_lex_state = 12},
  [1292] = {.lex_state = 15, .external_lex_state = 13},
  [1293] = {.lex_state = 14, .external_lex_state = 12},
  [1294] = {.lex_state = 14, .external_lex_state = 12},
  [1295] = {.lex_state = 14, .external_lex_state = 12},
  [1296] = {.lex_state = 14, .external_lex_state = 12},
  [1297] = {.lex_state = 14, .external_lex_state = 12},
  [1298] = {.lex_state = 14, .external_lex_state = 12},
  [1299] = {.lex_state = 14, .external_lex_state = 12},
  [1300] = {.lex_state = 14, .external_lex_state = 12},
  [1301] = {.lex_state = 15, .external_lex_state = 13},
  [1302] = {.lex_state = 15, .external_lex_state = 13},
  [1303] = {.lex_state = 15, .external_lex_state = 13},
  [1304] = {.lex_state = 15, .external_lex_state = 13},
  [1305] = {.lex_state = 15, .external_lex_state = 13},
  [1306] = {.lex_state = 14, .external_lex_state = 12},
  [1307] = {.lex_state = 14, .external_lex_state = 12},
  [1308] = {.lex_state = 14, .external_lex_state = 12},
  [1309] = {.lex_state = 14, .external_lex_state = 12},
  [1310] = {.lex_state = 15, .external_lex_state = 10},
  [1311] = {.lex_state = 15, .external_lex_state = 13},
  [1312] = {.lex_state = 15, .external_lex_state = 13},
  [1313] = {.lex_state = 14, .external_lex_state = 12},
  [1314] = {.lex_state = 14, .external_lex_state = 12},
  [1315] = {.lex_state = 15, .external_lex_state = 13},
  [1316] = {.lex_state = 15, .external_lex_state = 13},
  [1317] = {.lex_state = 15, .external_lex_state = 13},
  [1318] = {.lex_state = 15, .external_lex_state = 13},
  [1319] = {.lex_state = 15, .external_lex_state = 13},
  [1320] = {.lex_state = 15, .external_lex_state = 13},
  [1321] = {.lex_state = 14, .external_lex_state = 12},
  [1322] = {.lex_state = 14, .external_lex_state = 13},
  [1323] = {.lex_state = 14, .external_lex_state = 13},
  [1324] = {.lex_state = 15, .external_lex_state = 13},
  [1325] = {.lex_state = 15, .external_lex_state = 13},
  [1326] = {.lex_state = 15, .external_lex_state = 13},
  [1327] = {.lex_state = 14, .external_lex_state = 12},
  [1328] = {.lex_state = 15, .external_lex_state = 13},
  [1329] = {.lex_state = 15, .external_lex_state = 13},
  [1330] = {.lex_state = 14, .external_lex_state = 12},
  [1331] = {.lex_state = 14, .external_lex_state = 12},
  [1332] = {.lex_state = 14, .external_lex_state = 12},
  [1333] = {.lex_state = 14, .external_lex_state = 12},
  [1334] = {.lex_state = 15, .external_lex_state = 13},
  [1335] = {.lex_state = 15, .external_lex_state = 13},
  [1336] = {.lex_state = 15, .external_lex_state = 13},
  [1337] = {.lex_state = 14, .external_lex_state = 12},
  [1338] = {.lex_state = 15, .external_lex_state = 13},
  [1339] = {.lex_state = 15, .external_lex_state = 13},
  [1340] = {.lex_state = 15, .external_lex_state = 13},
  [1341] = {.lex_state = 14, .external_lex_state = 12},
  [1342] = {.lex_state = 15, .external_lex_state = 13},
  [1343] = {.lex_state = 15, .external_lex_state = 13},
  [1344] = {.lex_state = 14, .external_lex_state = 13},
  [1345] = {.lex_state = 14, .external_lex_state = 12},
  [1346] = {.lex_state = 16, .external_lex_state = 11},
  [1347] = {.lex_state = 60, .external_lex_state = 9},
  [1348] = {.lex_state = 16, .external_lex_state = 11},
  [1349] = {.lex_state = 16, .external_lex_state = 11},
  [1350] = {.lex_state = 60, .external_lex_state = 9},
  [1351] = {.lex_state = 16, .external_lex_state = 11},
  [1352] = {.lex_state = 16, .external_lex_state = 10},
  [1353] = {.lex_state = 60, .external_lex_state = 13},
  [1354] = {.lex_state = 15, .external_lex_state = 12},
  [1355] = {.lex_state = 60, .external_lex_state = 12},
  [1356] = {.lex_state = 60, .external_lex_state = 12},
  [1357] = {.lex_state = 16, .external_lex_state = 10},
  [1358] = {.lex_state = 60, .external_lex_state = 13},
  [1359] = {.lex_state = 15, .external_lex_state = 12},
  [1360] = {.lex_state = 15, .external_lex_state = 12},
  [1361] = {.lex_state = 15, .external_lex_state = 12},
  [1362] = {.lex_state = 14, .external_lex_state = 13},
  [1363] = {.lex_state = 14, .external_lex_state = 13},
  [1364] = {.lex_state = 14, .external_lex_state = 10},
  [1365] = {.lex_state = 60, .external_lex_state = 12},
  [1366] = {.lex_state = 60, .external_lex_state = 12},
  [1367] = {.lex_state = 15, .external_lex_state = 10},
  [1368] = {.lex_state = 14, .external_lex_state = 13},
  [1369] = {.lex_state = 14, .external_lex_state = 10},
  [1370] = {.lex_state = 16, .external_lex_state = 13},
  [1371] = {.lex_state = 14, .external_lex_state = 13},
  [1372] = {.lex_state = 16, .external_lex_state = 13},
  [1373] = {.lex_state = 14, .external_lex_state = 10},
  [1374] = {.lex_state = 14, .external_lex_state = 12},
  [1375] = {.lex_state = 14, .external_lex_state = 13},
  [1376] = {.lex_state = 16, .external_lex_state = 10},
  [1377] = {.lex_state = 14, .external_lex_state = 12},
  [1378] = {.lex_state = 14, .external_lex_state = 13},
  [1379] = {.lex_state = 14, .external_lex_state = 12},
  [1380] = {.lex_state = 15, .external_lex_state = 10},
  [1381] = {.lex_state = 14, .external_lex_state = 12},
  [1382] = {.lex_state = 16, .external_lex_state = 10},
  [1383] = {.lex_state = 16, .external_lex_state = 10},
  [1384] = {.lex_state = 16, .external_lex_state = 10},
  [1385] = {.lex_state = 16, .external_lex_state = 10},
  [1386] = {.lex_state = 16, .external_lex_state = 10},
  [1387] = {.lex_state = 16, .external_lex_state = 10},
  [1388] = {.lex_state = 16, .external_lex_state = 10},
  [1389] = {.lex_state = 16, .external_lex_state = 10},
  [1390] = {.lex_state = 16, .external_lex_state = 10},
  [1391] = {.lex_state = 16, .external_lex_state = 10},
  [1392] = {.lex_state = 16, .external_lex_state = 10},
  [1393] = {.lex_state = 16, .external_lex_state = 10},
  [1394] = {.lex_state = 16, .external_lex_state = 10},
  [1395] = {.lex_state = 16, .external_lex_state = 10},
  [1396] = {.lex_state = 16, .external_lex_state = 10},
  [1397] = {.lex_state = 16, .external_lex_state = 10},
  [1398] = {.lex_state = 16, .external_lex_state = 10},
  [1399] = {.lex_state = 60, .external_lex_state = 12},
  [1400] = {.lex_state = 60, .external_lex_state = 12},
  [1401] = {.lex_state = 16, .external_lex_state = 10},
  [1402] = {.lex_state = 16, .external_lex_state = 10},
  [1403] = {.lex_state = 16, .external_lex_state = 10},
  [1404] = {.lex_state = 60, .external_lex_state = 12},
  [1405] = {.lex_state = 60, .external_lex_state = 10},
  [1406] = {.lex_state = 60, .external_lex_state = 10},
  [1407] = {.lex_state = 16, .external_lex_state = 11},
  [1408] = {.lex_state = 16, .external_lex_state = 11},
  [1409] = {.lex_state = 16, .external_lex_state = 11},
  [1410] = {.lex_state = 16, .external_lex_state = 11},
  [1411] = {.lex_state = 16, .external_lex_state = 11},
  [1412] = {.lex_state = 16, .external_lex_state = 11},
  [1413] = {.lex_state = 16, .external_lex_state = 11},
  [1414] = {.lex_state = 16, .external_lex_state = 11},
  [1415] = {.lex_state = 60, .external_lex_state = 12},
  [1416] = {.lex_state = 60, .external_lex_state = 12},
  [1417] = {.lex_state = 60, .external_lex_state = 12},
  [1418] = {.lex_state = 60, .external_lex_state = 12},
  [1419] = {.lex_state = 60, .external_lex_state = 12},
  [1420] = {.lex_state = 60, .external_lex_state = 12},
  [1421] = {.lex_state = 60, .external_lex_state = 13},
  [1422] = {.lex_state = 60, .external_lex_state = 12},
  [1423] = {.lex_state = 60, .external_lex_state = 13},
  [1424] = {.lex_state = 60, .external_lex_state = 12},
  [1425] = {.lex_state = 60, .external_lex_state = 12},
  [1426] = {.lex_state = 60, .external_lex_state = 13},
  [1427] = {.lex_state = 60, .external_lex_state = 13},
  [1428] = {.lex_state = 60, .external_lex_state = 12},
  [1429] = {.lex_state = 60, .external_lex_state = 12},
  [1430] = {.lex_state = 60, .external_lex_state = 13},
  [1431] = {.lex_state = 60, .external_lex_state = 12},
  [1432] = {.lex_state = 60, .external_lex_state = 12},
  [1433] = {.lex_state = 60, .external_lex_state = 12},
  [1434] = {.lex_state = 60, .external_lex_state = 12},
  [1435] = {.lex_state = 60, .external_lex_state = 13},
  [1436] = {.lex_state = 60, .external_lex_state = 13},
  [1437] = {.lex_state = 60, .external_lex_state = 12},
  [1438] = {.lex_state = 60, .external_lex_state = 12},
  [1439] = {.lex_state = 60, .external_lex_state = 13},
  [1440] = {.lex_state = 18, .external_lex_state = 14},
  [1441] = {.lex_state = 18, .external_lex_state = 14},
  [1442] = {.lex_state = 18, .external_lex_state = 14},
  [1443] = {.lex_state = 18, .external_lex_state = 14},
  [1444] = {.lex_state = 18, .external_lex_state = 14},
  [1445] = {.lex_state = 18, .external_lex_state = 14},
  [1446] = {.lex_state = 16, .external_lex_state = 11},
  [1447] = {.lex_state = 18, .external_lex_state = 14},
  [1448] = {.lex_state = 18, .external_lex_state = 14},
  [1449] = {.lex_state = 18, .external_lex_state = 14},
  [1450] = {.lex_state = 18, .external_lex_state = 14},
  [1451] = {.lex_state = 18, .external_lex_state = 14},
  [1452] = {.lex_state = 18, .external_lex_state = 14},
  [1453] = {.lex_state = 18, .external_lex_state = 14},
  [1454] = {.lex_state = 18, .external_lex_state = 14},
  [1455] = {.lex_state = 18, .external_lex_state = 14},
  [1456] = {.lex_state = 18, .external_lex_state = 14},
  [1457] = {.lex_state = 18, .external_lex_state = 14},
  [1458] = {.lex_state = 18, .external_lex_state = 14},
  [1459] = {.lex_state = 16, .external_lex_state = 11},
  [1460] = {.lex_state = 18, .external_lex_state = 14},
  [1461] = {.lex_state = 16, .external_lex_state = 11},
  [1462] = {.lex_state = 16, .external_lex_state = 11},
  [1463] = {.lex_state = 60, .external_lex_state = 9},
  [1464] = {.lex_state = 16, .external_lex_state = 11},
  [1465] = {.lex_state = 16, .external_lex_state = 11},
  [1466] = {.lex_state = 16, .external_lex_state = 11},
  [1467] = {.lex_state = 16, .external_lex_state = 11},
  [1468] = {.lex_state = 16, .external_lex_state = 11},
  [1469] = {.lex_state = 16, .external_lex_state = 11},
  [1470] = {.lex_state = 16, .external_lex_state = 11},
  [1471] = {.lex_state = 60, .external_lex_state = 9},
  [1472] = {.lex_state = 16, .external_lex_state = 11},
  [1473] = {.lex_state = 16, .external_lex_state = 11},
  [1474] = {.lex_state = 60, .external_lex_state = 9},
  [1475] = {.lex_state = 60, .external_lex_state = 9},
  [1476] = {.lex_state = 60, .external_lex_state = 9},
  [1477] = {.lex_state = 16, .external_lex_state = 11},
  [1478] = {.lex_state = 60, .external_lex_state = 9},
  [1479] = {.lex_state = 60, .external_lex_state = 9},
  [1480] = {.lex_state = 16, .external_lex_state = 11},
  [1481] = {.lex_state = 16, .external_lex_state = 11},
  [1482] = {.lex_state = 16, .external_lex_state = 11},
  [1483] = {.lex_state = 16, .external_lex_state = 11},
  [1484] = {.lex_state = 60, .external_lex_state = 9},
  [1485] = {.lex_state = 16, .external_lex_state = 11},
  [1486] = {.lex_state = 16, .external_lex_state = 11},
  [1487] = {.lex_state = 16, .external_lex_state = 11},
  [1488] = {.lex_state = 60, .external_lex_state = 9},
  [1489] = {.lex_state = 16, .external_lex_state = 11},
  [1490] = {.lex_state = 16, .external_lex_state = 11},
  [1491] = {.lex_state = 60, .external_lex_state = 9},
  [1492] = {.lex_state = 16, .external_lex_state = 11},
  [1493] = {.lex_state = 60, .external_lex_state = 9},
  [1494] = {.lex_state = 60, .external_lex_state = 10},
  [1495] = {.lex_state = 16, .external_lex_state = 13},
  [1496] = {.lex_state = 16, .external_lex_state = 10},
  [1497] = {.lex_state = 16, .external_lex_state = 13},
  [1498] = {.lex_state = 16, .external_lex_state = 13},
  [1499] = {.lex_state = 60, .external_lex_state = 12},
  [1500] = {.lex_state = 0, .external_lex_state = 10},
  [1501] = {.lex_state = 60, .external_lex_state = 13},
  [1502] = {.lex_state = 60, .external_lex_state = 11},
  [1503] = {.lex_state = 60, .external_lex_state = 9},
  [1504] = {.lex_state = 16, .external_lex_state = 10},
  [1505] = {.lex_state = 16, .external_lex_state = 13},
  [1506] = {.lex_state = 60, .external_lex_state = 12},
  [1507] = {.lex_state = 16, .external_lex_state = 10},
  [1508] = {.lex_state = 16, .external_lex_state = 10},
  [1509] = {.lex_state = 60, .external_lex_state = 11},
  [1510] = {.lex_state = 0, .external_lex_state = 10},
  [1511] = {.lex_state = 16, .external_lex_state = 10},
  [1512] = {.lex_state = 60, .external_lex_state = 13},
  [1513] = {.lex_state = 60, .external_lex_state = 12},
  [1514] = {.lex_state = 0, .external_lex_state = 10},
  [1515] = {.lex_state = 60, .external_lex_state = 11},
  [1516] = {.lex_state = 60, .external_lex_state = 12},
  [1517] = {.lex_state = 16, .external_lex_state = 13},
  [1518] = {.lex_state = 60, .external_lex_state = 12},
  [1519] = {.lex_state = 60, .external_lex_state = 10},
  [1520] = {.lex_state = 60, .external_lex_state = 13},
  [1521] = {.lex_state = 60, .external_lex_state = 12},
  [1522] = {.lex_state = 16, .external_lex_state = 10},
  [1523] = {.lex_state = 60, .external_lex_state = 12},
  [1524] = {.lex_state = 16, .external_lex_state = 10},
  [1525] = {.lex_state = 60, .external_lex_state = 13},
  [1526] = {.lex_state = 16, .external_lex_state = 10},
  [1527] = {.lex_state = 16, .external_lex_state = 10},
  [1528] = {.lex_state = 60, .external_lex_state = 13},
  [1529] = {.lex_state = 60, .external_lex_state = 12},
  [1530] = {.lex_state = 16, .external_lex_state = 10},
  [1531] = {.lex_state = 60, .external_lex_state = 9},
  [1532] = {.lex_state = 60, .external_lex_state = 12},
  [1533] = {.lex_state = 16, .external_lex_state = 13},
  [1534] = {.lex_state = 60, .external_lex_state = 9},
  [1535] = {.lex_state = 16, .external_lex_state = 10},
  [1536] = {.lex_state = 16, .external_lex_state = 13},
  [1537] = {.lex_state = 60, .external_lex_state = 9},
  [1538] = {.lex_state = 60, .external_lex_state = 11},
  [1539] = {.lex_state = 60, .external_lex_state = 9},
  [1540] = {.lex_state = 16, .external_lex_state = 10},
  [1541] = {.lex_state = 60, .external_lex_state = 9},
  [1542] = {.lex_state = 60, .external_lex_state = 13},
  [1543] = {.lex_state = 60, .external_lex_state = 9},
  [1544] = {.lex_state = 60, .external_lex_state = 12},
  [1545] = {.lex_state = 60, .external_lex_state = 9},
  [1546] = {.lex_state = 60, .external_lex_state = 12},
  [1547] = {.lex_state = 60, .external_lex_state = 13},
  [1548] = {.lex_state = 60, .external_lex_state = 12},
  [1549] = {.lex_state = 0, .external_lex_state = 10},
  [1550] = {.lex_state = 60, .external_lex_state = 13},
  [1551] = {.lex_state = 60, .external_lex_state = 12},
  [1552] = {.lex_state = 60, .external_lex_state = 13},
  [1553] = {.lex_state = 60, .external_lex_state = 9},
  [1554] = {.lex_state = 60, .external_lex_state = 13},
  [1555] = {.lex_state = 60, .external_lex_state = 13},
  [1556] = {.lex_state = 16, .external_lex_state = 13},
  [1557] = {.lex_state = 60, .external_lex_state = 13},
  [1558] = {.lex_state = 60, .external_lex_state = 13},
  [1559] = {.lex_state = 60, .external_lex_state = 9},
  [1560] = {.lex_state = 16, .external_lex_state = 10},
  [1561] = {.lex_state = 60, .external_lex_state = 9},
  [1562] = {.lex_state = 60, .external_lex_state = 12},
  [1563] = {.lex_state = 16, .external_lex_state = 13},
  [1564] = {.lex_state = 60, .external_lex_state = 12},
  [1565] = {.lex_state = 14, .external_lex_state = 10},
  [1566] = {.lex_state = 60, .external_lex_state = 12},
  [1567] = {.lex_state = 60, .external_lex_state = 12},
  [1568] = {.lex_state = 60, .external_lex_state = 9},
  [1569] = {.lex_state = 60, .external_lex_state = 11},
  [1570] = {.lex_state = 60, .external_lex_state = 12},
  [1571] = {.lex_state = 60, .external_lex_state = 12},
  [1572] = {.lex_state = 60, .external_lex_state = 11},
  [1573] = {.lex_state = 16, .external_lex_state = 10},
  [1574] = {.lex_state = 60, .external_lex_state = 11},
  [1575] = {.lex_state = 60, .external_lex_state = 11},
  [1576] = {.lex_state = 16, .external_lex_state = 13},
  [1577] = {.lex_state = 60, .external_lex_state = 10},
  [1578] = {.lex_state = 18, .external_lex_state = 14},
  [1579] = {.lex_state = 16, .external_lex_state = 13},
  [1580] = {.lex_state = 16, .external_lex_state = 13},
  [1581] = {.lex_state = 16, .external_lex_state = 13},
  [1582] = {.lex_state = 16, .external_lex_state = 13},
  [1583] = {.lex_state = 16, .external_lex_state = 13},
  [1584] = {.lex_state = 60, .external_lex_state = 11},
  [1585] = {.lex_state = 60, .external_lex_state = 12},
  [1586] = {.lex_state = 60, .external_lex_state = 12},
  [1587] = {.lex_state = 16, .external_lex_state = 13},
  [1588] = {.lex_state = 16, .external_lex_state = 10},
  [1589] = {.lex_state = 60, .external_lex_state = 12},
  [1590] = {.lex_state = 60, .external_lex_state = 11},
  [1591] = {.lex_state = 60, .external_lex_state = 12},
  [1592] = {.lex_state = 60, .external_lex_state = 13},
  [1593] = {.lex_state = 60, .external_lex_state = 13},
  [1594] = {.lex_state = 60, .external_lex_state = 12},
  [1595] = {.lex_state = 16, .external_lex_state = 13},
  [1596] = {.lex_state = 60, .external_lex_state = 12},
  [1597] = {.lex_state = 60, .external_lex_state = 12},
  [1598] = {.lex_state = 16, .external_lex_state = 13},
  [1599] = {.lex_state = 60, .external_lex_state = 13},
  [1600] = {.lex_state = 16, .external_lex_state = 13},
  [1601] = {.lex_state = 60, .external_lex_state = 12},
  [1602] = {.lex_state = 60, .external_lex_state = 12},
  [1603] = {.lex_state = 60, .external_lex_state = 11},
  [1604] = {.lex_state = 16, .external_lex_state = 10},
  [1605] = {.lex_state = 60, .external_lex_state = 12},
  [1606] = {.lex_state = 60, .external_lex_state = 11},
  [1607] = {.lex_state = 60, .external_lex_state = 13},
  [1608] = {.lex_state = 16, .external_lex_state = 10},
  [1609] = {.lex_state = 60, .external_lex_state = 12},
  [1610] = {.lex_state = 60, .external_lex_state = 11},
  [1611] = {.lex_state = 16, .external_lex_state = 13},
  [1612] = {.lex_state = 18, .external_lex_state = 14},
  [1613] = {.lex_state = 16, .external_lex_state = 13},
  [1614] = {.lex_state = 16, .external_lex_state = 10},
  [1615] = {.lex_state = 60, .external_lex_state = 13},
  [1616] = {.lex_state = 16, .external_lex_state = 10},
  [1617] = {.lex_state = 60, .external_lex_state = 11},
  [1618] = {.lex_state = 60, .external_lex_state = 11},
  [1619] = {.lex_state = 60, .external_lex_state = 11},
  [1620] = {.lex_state = 14, .external_lex_state = 9},
  [1621] = {.lex_state = 60, .external_lex_state = 11},
  [1622] = {.lex_state = 60, .external_lex_state = 12},
  [1623] = {.lex_state = 18, .external_lex_state = 14},
  [1624] = {.lex_state = 60, .external_lex_state = 12},
  [1625] = {.lex_state = 18, .external_lex_state = 14},
  [1626] = {.lex_state = 60, .external_lex_state = 13},
  [1627] = {.lex_state = 16, .external_lex_state = 11},
  [1628] = {.lex_state = 60, .external_lex_state = 12},
  [1629] = {.lex_state = 60, .external_lex_state = 13},
  [1630] = {.lex_state = 60, .external_lex_state = 9},
  [1631] = {.lex_state = 60, .external_lex_state = 12},
  [1632] = {.lex_state = 16, .external_lex_state = 10},
  [1633] = {.lex_state = 60, .external_lex_state = 12},
  [1634] = {.lex_state = 18, .external_lex_state = 14},
  [1635] = {.lex_state = 60, .external_lex_state = 13},
  [1636] = {.lex_state = 18, .external_lex_state = 14},
  [1637] = {.lex_state = 18, .external_lex_state = 14},
  [1638] = {.lex_state = 60, .external_lex_state = 12},
  [1639] = {.lex_state = 60, .external_lex_state = 11},
  [1640] = {.lex_state = 60, .external_lex_state = 9},
  [1641] = {.lex_state = 60, .external_lex_state = 11},
  [1642] = {.lex_state = 16, .external_lex_state = 10},
  [1643] = {.lex_state = 18, .external_lex_state = 14},
  [1644] = {.lex_state = 60, .external_lex_state = 11},
  [1645] = {.lex_state = 60, .external_lex_state = 13},
  [1646] = {.lex_state = 60, .external_lex_state = 13},
  [1647] = {.lex_state = 60, .external_lex_state = 12},
  [1648] = {.lex_state = 60, .external_lex_state = 12},
  [1649] = {.lex_state = 60, .external_lex_state = 11},
  [1650] = {.lex_state = 60, .external_lex_state = 11},
  [1651] = {.lex_state = 60, .external_lex_state = 12},
  [1652] = {.lex_state = 60, .external_lex_state = 12},
  [1653] = {.lex_state = 18, .external_lex_state = 14},
  [1654] = {.lex_state = 60, .external_lex_state = 13},
  [1655] = {.lex_state = 60, .external_lex_state = 12},
  [1656] = {.lex_state = 18, .external_lex_state = 14},
  [1657] = {.lex_state = 60, .external_lex_state = 13},
  [1658] = {.lex_state = 60, .external_lex_state = 13},
  [1659] = {.lex_state = 16, .external_lex_state = 10},
  [1660] = {.lex_state = 18, .external_lex_state = 14},
  [1661] = {.lex_state = 60, .external_lex_state = 11},
  [1662] = {.lex_state = 60, .external_lex_state = 11},
  [1663] = {.lex_state = 60, .external_lex_state = 13},
  [1664] = {.lex_state = 16, .external_lex_state = 10},
  [1665] = {.lex_state = 60, .external_lex_state = 9},
  [1666] = {.lex_state = 60, .external_lex_state = 12},
  [1667] = {.lex_state = 60, .external_lex_state = 12},
  [1668] = {.lex_state = 60, .external_lex_state = 12},
  [1669] = {.lex_state = 60, .external_lex_state = 12},
  [1670] = {.lex_state = 16, .external_lex_state = 10},
  [1671] = {.lex_state = 60, .external_lex_state = 13},
  [1672] = {.lex_state = 16, .external_lex_state = 10},
  [1673] = {.lex_state = 16, .external_lex_state = 10},
  [1674] = {.lex_state = 14, .external_lex_state = 9},
  [1675] = {.lex_state = 16, .external_lex_state = 10},
  [1676] = {.lex_state = 60, .external_lex_state = 11},
  [1677] = {.lex_state = 16, .external_lex_state = 11},
  [1678] = {.lex_state = 18, .external_lex_state = 14},
  [1679] = {.lex_state = 60, .external_lex_state = 13},
  [1680] = {.lex_state = 60, .external_lex_state = 12},
  [1681] = {.lex_state = 60, .external_lex_state = 10},
  [1682] = {.lex_state = 16, .external_lex_state = 10},
  [1683] = {.lex_state = 14, .external_lex_state = 9},
  [1684] = {.lex_state = 60, .external_lex_state = 13},
  [1685] = {.lex_state = 16, .external_lex_state = 10},
  [1686] = {.lex_state = 16, .external_lex_state = 10},
  [1687] = {.lex_state = 60, .external_lex_state = 9},
  [1688] = {.lex_state = 60, .external_lex_state = 12},
  [1689] = {.lex_state = 60, .external_lex_state = 10},
  [1690] = {.lex_state = 60, .external_lex_state = 10},
  [1691] = {.lex_state = 14, .external_lex_state = 9},
  [1692] = {.lex_state = 16, .external_lex_state = 10},
  [1693] = {.lex_state = 16, .external_lex_state = 10},
  [1694] = {.lex_state = 16, .external_lex_state = 10},
  [1695] = {.lex_state = 14, .external_lex_state = 12},
  [1696] = {.lex_state = 16, .external_lex_state = 10},
  [1697] = {.lex_state = 16, .external_lex_state = 10},
  [1698] = {.lex_state = 8, .external_lex_state = 11},
  [1699] = {.lex_state = 8, .external_lex_state = 11},
  [1700] = {.lex_state = 16, .external_lex_state = 10},
  [1701] = {.lex_state = 16, .external_lex_state = 11},
  [1702] = {.lex_state = 60, .external_lex_state = 10},
  [1703] = {.lex_state = 14, .external_lex_state = 12},
  [1704] = {.lex_state = 16, .external_lex_state = 10},
  [1705] = {.lex_state = 16, .external_lex_state = 10},
  [1706] = {.lex_state = 60, .external_lex_state = 9},
  [1707] = {.lex_state = 60, .external_lex_state = 9},
  [1708] = {.lex_state = 16, .external_lex_state = 11},
  [1709] = {.lex_state = 60, .external_lex_state = 13},
  [1710] = {.lex_state = 16, .external_lex_state = 10},
  [1711] = {.lex_state = 60, .external_lex_state = 9},
  [1712] = {.lex_state = 60, .external_lex_state = 13},
  [1713] = {.lex_state = 60, .external_lex_state = 9},
  [1714] = {.lex_state = 16, .external_lex_state = 10},
  [1715] = {.lex_state = 16, .external_lex_state = 10},
  [1716] = {.lex_state = 60, .external_lex_state = 10},
  [1717] = {.lex_state = 8, .external_lex_state = 11},
  [1718] = {.lex_state = 60, .external_lex_state = 9},
  [1719] = {.lex_state = 60, .external_lex_state = 11},
  [1720] = {.lex_state = 16, .external_lex_state = 10},
  [1721] = {.lex_state = 16, .external_lex_state = 10},
  [1722] = {.lex_state = 60, .external_lex_state = 13},
  [1723] = {.lex_state = 60, .external_lex_state = 12},
  [1724] = {.lex_state = 16, .external_lex_state = 10},
  [1725] = {.lex_state = 14, .external_lex_state = 12},
  [1726] = {.lex_state = 16, .external_lex_state = 10},
  [1727] = {.lex_state = 60, .external_lex_state = 12},
  [1728] = {.lex_state = 60, .external_lex_state = 10},
  [1729] = {.lex_state = 60, .external_lex_state = 11},
  [1730] = {.lex_state = 16, .external_lex_state = 10},
  [1731] = {.lex_state = 60, .external_lex_state = 10},
  [1732] = {.lex_state = 60, .external_lex_state = 11},
  [1733] = {.lex_state = 60, .external_lex_state = 10},
  [1734] = {.lex_state = 16, .external_lex_state = 11},
  [1735] = {.lex_state = 60, .external_lex_state = 10},
  [1736] = {.lex_state = 16, .external_lex_state = 10},
  [1737] = {.lex_state = 60, .external_lex_state = 10},
  [1738] = {.lex_state = 16, .external_lex_state = 10},
  [1739] = {.lex_state = 60, .external_lex_state = 9},
  [1740] = {.lex_state = 60, .external_lex_state = 10},
  [1741] = {.lex_state = 0, .external_lex_state = 9},
  [1742] = {.lex_state = 0, .external_lex_state = 9},
  [1743] = {.lex_state = 16, .external_lex_state = 10},
  [1744] = {.lex_state = 60, .external_lex_state = 10},
  [1745] = {.lex_state = 0, .external_lex_state = 9},
  [1746] = {.lex_state = 60, .external_lex_state = 12},
  [1747] = {.lex_state = 0, .external_lex_state = 9},
  [1748] = {.lex_state = 0, .external_lex_state = 9},
  [1749] = {.lex_state = 0, .external_lex_state = 9},
  [1750] = {.lex_state = 60, .external_lex_state = 10},
  [1751] = {.lex_state = 14, .external_lex_state = 10},
  [1752] = {.lex_state = 60, .external_lex_state = 12},
  [1753] = {.lex_state = 60, .external_lex_state = 12},
  [1754] = {.lex_state = 16, .external_lex_state = 11},
  [1755] = {.lex_state = 16, .external_lex_state = 12},
  [1756] = {.lex_state = 14, .external_lex_state = 10},
  [1757] = {.lex_state = 0, .external_lex_state = 9},
  [1758] = {.lex_state = 0, .external_lex_state = 9},
  [1759] = {.lex_state = 0, .external_lex_state = 9},
  [1760] = {.lex_state = 60, .external_lex_state = 10},
  [1761] = {.lex_state = 0, .external_lex_state = 9},
  [1762] = {.lex_state = 0, .external_lex_state = 9},
  [1763] = {.lex_state = 0, .external_lex_state = 9},
  [1764] = {.lex_state = 0, .external_lex_state = 9},
  [1765] = {.lex_state = 0, .external_lex_state = 9},
  [1766] = {.lex_state = 0, .external_lex_state = 9},
  [1767] = {.lex_state = 60, .external_lex_state = 9},
  [1768] = {.lex_state = 14, .external_lex_state = 12},
  [1769] = {.lex_state = 0, .external_lex_state = 9},
  [1770] = {.lex_state = 16, .external_lex_state = 11},
  [1771] = {.lex_state = 60, .external_lex_state = 12},
  [1772] = {.lex_state = 0, .external_lex_state = 9},
  [1773] = {.lex_state = 0, .external_lex_state = 9},
  [1774] = {.lex_state = 0, .external_lex_state = 11},
  [1775] = {.lex_state = 60, .external_lex_state = 10},
  [1776] = {.lex_state = 60, .external_lex_state = 10},
  [1777] = {.lex_state = 16, .external_lex_state = 10},
  [1778] = {.lex_state = 16, .external_lex_state = 10},
  [1779] = {.lex_state = 60, .external_lex_state = 10},
  [1780] = {.lex_state = 0, .external_lex_state = 11},
  [1781] = {.lex_state = 16, .external_lex_state = 10},
  [1782] = {.lex_state = 16, .external_lex_state = 10},
  [1783] = {.lex_state = 16, .external_lex_state = 10},
  [1784] = {.lex_state = 16, .external_lex_state = 10},
  [1785] = {.lex_state = 0, .external_lex_state = 12},
  [1786] = {.lex_state = 16, .external_lex_state = 10},
  [1787] = {.lex_state = 0, .external_lex_state = 12},
  [1788] = {.lex_state = 0, .external_lex_state = 12},
  [1789] = {.lex_state = 0, .external_lex_state = 13},
  [1790] = {.lex_state = 0, .external_lex_state = 13},
  [1791] = {.lex_state = 8, .external_lex_state = 11},
  [1792] = {.lex_state = 0, .external_lex_state = 13},
  [1793] = {.lex_state = 0, .external_lex_state = 9},
  [1794] = {.lex_state = 0, .external_lex_state = 9},
  [1795] = {.lex_state = 16, .external_lex_state = 11},
  [1796] = {.lex_state = 0, .external_lex_state = 9},
  [1797] = {.lex_state = 0, .external_lex_state = 12},
  [1798] = {.lex_state = 0, .external_lex_state = 13},
  [1799] = {.lex_state = 60, .external_lex_state = 9},
  [1800] = {.lex_state = 0, .external_lex_state = 13},
  [1801] = {.lex_state = 60, .external_lex_state = 10},
  [1802] = {.lex_state = 60, .external_lex_state = 10},
  [1803] = {.lex_state = 0, .external_lex_state = 9},
  [1804] = {.lex_state = 60, .external_lex_state = 9},
  [1805] = {.lex_state = 16, .external_lex_state = 10},
  [1806] = {.lex_state = 60, .external_lex_state = 10},
  [1807] = {.lex_state = 0, .external_lex_state = 11},
  [1808] = {.lex_state = 60, .external_lex_state = 10},
  [1809] = {.lex_state = 0, .external_lex_state = 12},
  [1810] = {.lex_state = 0, .external_lex_state = 12},
  [1811] = {.lex_state = 0, .external_lex_state = 9},
  [1812] = {.lex_state = 0, .external_lex_state = 11},
  [1813] = {.lex_state = 0, .external_lex_state = 13},
  [1814] = {.lex_state = 0, .external_lex_state = 10},
  [1815] = {.lex_state = 0, .external_lex_state = 12},
  [1816] = {.lex_state = 0, .external_lex_state = 12},
  [1817] = {.lex_state = 0, .external_lex_state = 12},
  [1818] = {.lex_state = 0, .external_lex_state = 13},
  [1819] = {.lex_state = 0, .external_lex_state = 12},
  [1820] = {.lex_state = 60, .external_lex_state = 10},
  [1821] = {.lex_state = 0, .external_lex_state = 11},
  [1822] = {.lex_state = 0, .external_lex_state = 11},
  [1823] = {.lex_state = 60, .external_lex_state = 10},
  [1824] = {.lex_state = 0, .external_lex_state = 12},
  [1825] = {.lex_state = 0, .external_lex_state = 11},
  [1826] = {.lex_state = 16, .external_lex_state = 10},
  [1827] = {.lex_state = 0, .external_lex_state = 12},
  [1828] = {.lex_state = 0, .external_lex_state = 12},
  [1829] = {.lex_state = 0, .external_lex_state = 12},
  [1830] = {.lex_state = 16, .external_lex_state = 10},
  [1831] = {.lex_state = 0, .external_lex_state = 13},
  [1832] = {.lex_state = 60, .external_lex_state = 10},
  [1833] = {.lex_state = 0, .external_lex_state = 12},
  [1834] = {.lex_state = 0, .external_lex_state = 12},
  [1835] = {.lex_state = 0, .external_lex_state = 12},
  [1836] = {.lex_state = 0, .external_lex_state = 12},
  [1837] = {.lex_state = 0, .external_lex_state = 12},
  [1838] = {.lex_state = 0, .external_lex_state = 12},
  [1839] = {.lex_state = 0, .external_lex_state = 10},
  [1840] = {.lex_state = 0, .external_lex_state = 13},
  [1841] = {.lex_state = 0, .external_lex_state = 13},
  [1842] = {.lex_state = 0, .external_lex_state = 13},
  [1843] = {.lex_state = 0, .external_lex_state = 13},
  [1844] = {.lex_state = 0, .external_lex_state = 13},
  [1845] = {.lex_state = 0, .external_lex_state = 12},
  [1846] = {.lex_state = 0, .external_lex_state = 12},
  [1847] = {.lex_state = 0, .external_lex_state = 12},
  [1848] = {.lex_state = 16, .external_lex_state = 11},
  [1849] = {.lex_state = 0, .external_lex_state = 13},
  [1850] = {.lex_state = 0, .external_lex_state = 13},
  [1851] = {.lex_state = 0, .external_lex_state = 13},
  [1852] = {.lex_state = 0, .external_lex_state = 13},
  [1853] = {.lex_state = 0, .external_lex_state = 13},
  [1854] = {.lex_state = 0, .external_lex_state = 12},
  [1855] = {.lex_state = 0, .external_lex_state = 12},
  [1856] = {.lex_state = 0, .external_lex_state = 12},
  [1857] = {.lex_state = 8, .external_lex_state = 11},
  [1858] = {.lex_state = 0, .external_lex_state = 12},
  [1859] = {.lex_state = 16, .external_lex_state = 11},
  [1860] = {.lex_state = 0, .external_lex_state = 12},
  [1861] = {.lex_state = 0, .external_lex_state = 9},
  [1862] = {.lex_state = 0, .external_lex_state = 10},
  [1863] = {.lex_state = 0, .external_lex_state = 12},
  [1864] = {.lex_state = 0, .external_lex_state = 12},
  [1865] = {.lex_state = 0, .external_lex_state = 12},
  [1866] = {.lex_state = 0, .external_lex_state = 12},
  [1867] = {.lex_state = 0, .external_lex_state = 11},
  [1868] = {.lex_state = 16, .external_lex_state = 11},
  [1869] = {.lex_state = 8, .external_lex_state = 11},
  [1870] = {.lex_state = 0, .external_lex_state = 11},
  [1871] = {.lex_state = 14, .external_lex_state = 10},
  [1872] = {.lex_state = 0, .external_lex_state = 12},
  [1873] = {.lex_state = 0, .external_lex_state = 11},
  [1874] = {.lex_state = 0, .external_lex_state = 13},
  [1875] = {.lex_state = 0, .external_lex_state = 12},
  [1876] = {.lex_state = 0, .external_lex_state = 12},
  [1877] = {.lex_state = 0, .external_lex_state = 9},
  [1878] = {.lex_state = 8, .external_lex_state = 11},
  [1879] = {.lex_state = 16, .external_lex_state = 10},
  [1880] = {.lex_state = 8, .external_lex_state = 11},
  [1881] = {.lex_state = 60, .external_lex_state = 10},
  [1882] = {.lex_state = 8, .external_lex_state = 11},
  [1883] = {.lex_state = 0, .external_lex_state = 12},
  [1884] = {.lex_state = 0, .external_lex_state = 11},
  [1885] = {.lex_state = 8, .external_lex_state = 11},
  [1886] = {.lex_state = 8, .external_lex_state = 11},
  [1887] = {.lex_state = 0, .external_lex_state = 10},
  [1888] = {.lex_state = 14, .external_lex_state = 10},
  [1889] = {.lex_state = 0, .external_lex_state = 10},
  [1890] = {.lex_state = 0, .external_lex_state = 12},
  [1891] = {.lex_state = 0, .external_lex_state = 12},
  [1892] = {.lex_state = 0, .external_lex_state = 13},
  [1893] = {.lex_state = 0, .external_lex_state = 13},
  [1894] = {.lex_state = 0, .external_lex_state = 13},
  [1895] = {.lex_state = 0, .external_lex_state = 9},
  [1896] = {.lex_state = 0, .external_lex_state = 11},
  [1897] = {.lex_state = 0, .external_lex_state = 12},
  [1898] = {.lex_state = 0, .external_lex_state = 12},
  [1899] = {.lex_state = 0, .external_lex_state = 12},
  [1900] = {.lex_state = 0, .external_lex_state = 12},
  [1901] = {.lex_state = 0, .external_lex_state = 12},
  [1902] = {.lex_state = 16, .external_lex_state = 12},
  [1903] = {.lex_state = 0, .external_lex_state = 13},
  [1904] = {.lex_state = 0, .external_lex_state = 13},
  [1905] = {.lex_state = 0, .external_lex_state = 13},
  [1906] = {.lex_state = 0, .external_lex_state = 12},
  [1907] = {.lex_state = 0, .external_lex_state = 9},
  [1908] = {.lex_state = 0, .external_lex_state = 12},
  [1909] = {.lex_state = 0, .external_lex_state = 12},
  [1910] = {.lex_state = 0, .external_lex_state = 9},
  [1911] = {.lex_state = 16, .external_lex_state = 10},
  [1912] = {.lex_state = 0, .external_lex_state = 12},
  [1913] = {.lex_state = 0, .external_lex_state = 12},
  [1914] = {.lex_state = 0, .external_lex_state = 11},
  [1915] = {.lex_state = 0, .external_lex_state = 9},
  [1916] = {.lex_state = 60, .external_lex_state = 9},
  [1917] = {.lex_state = 0, .external_lex_state = 13},
  [1918] = {.lex_state = 0, .external_lex_state = 12},
  [1919] = {.lex_state = 0, .external_lex_state = 12},
  [1920] = {.lex_state = 0, .external_lex_state = 9},
  [1921] = {.lex_state = 0, .external_lex_state = 12},
  [1922] = {.lex_state = 8, .external_lex_state = 11},
  [1923] = {.lex_state = 0, .external_lex_state = 11},
  [1924] = {.lex_state = 0, .external_lex_state = 12},
  [1925] = {.lex_state = 0, .external_lex_state = 11},
  [1926] = {.lex_state = 0, .external_lex_state = 12},
  [1927] = {.lex_state = 0, .external_lex_state = 11},
  [1928] = {.lex_state = 0, .external_lex_state = 12},
  [1929] = {.lex_state = 0, .external_lex_state = 9},
  [1930] = {.lex_state = 60, .external_lex_state = 10},
  [1931] = {.lex_state = 0, .external_lex_state = 9},
  [1932] = {.lex_state = 0, .external_lex_state = 9},
  [1933] = {.lex_state = 60, .external_lex_state = 10},
  [1934] = {.lex_state = 0, .external_lex_state = 13},
  [1935] = {.lex_state = 0, .external_lex_state = 13},
  [1936] = {.lex_state = 16, .external_lex_state = 10},
  [1937] = {.lex_state = 0, .external_lex_state = 12},
  [1938] = {.lex_state = 0, .external_lex_state = 11},
  [1939] = {.lex_state = 60, .external_lex_state = 12},
  [1940] = {.lex_state = 0, .external_lex_state = 12},
  [1941] = {.lex_state = 0, .external_lex_state = 13},
  [1942] = {.lex_state = 0, .external_lex_state = 12},
  [1943] = {.lex_state = 0, .external_lex_state = 12},
  [1944] = {.lex_state = 0, .external_lex_state = 12},
  [1945] = {.lex_state = 0, .external_lex_state = 12},
  [1946] = {.lex_state = 0, .external_lex_state = 9},
  [1947] = {.lex_state = 0, .external_lex_state = 12},
  [1948] = {.lex_state = 0, .external_lex_state = 13},
  [1949] = {.lex_state = 0, .external_lex_state = 12},
  [1950] = {.lex_state = 60, .external_lex_state = 9},
  [1951] = {.lex_state = 16, .external_lex_state = 10},
  [1952] = {.lex_state = 0, .external_lex_state = 12},
  [1953] = {.lex_state = 0, .external_lex_state = 11},
  [1954] = {.lex_state = 0, .external_lex_state = 12},
  [1955] = {.lex_state = 16, .external_lex_state = 10},
  [1956] = {.lex_state = 0, .external_lex_state = 13},
  [1957] = {.lex_state = 0, .external_lex_state = 13},
  [1958] = {.lex_state = 16, .external_lex_state = 10},
  [1959] = {.lex_state = 0, .external_lex_state = 12},
  [1960] = {.lex_state = 0, .external_lex_state = 9},
  [1961] = {.lex_state = 0, .external_lex_state = 11},
  [1962] = {.lex_state = 0, .external_lex_state = 11},
  [1963] = {.lex_state = 14, .external_lex_state = 10},
  [1964] = {.lex_state = 0, .external_lex_state = 12},
  [1965] = {.lex_state = 0, .external_lex_state = 13},
  [1966] = {.lex_state = 17, .external_lex_state = 10},
  [1967] = {.lex_state = 0, .external_lex_state = 12},
  [1968] = {.lex_state = 16, .external_lex_state = 10},
  [1969] = {.lex_state = 17, .external_lex_state = 10},
  [1970] = {.lex_state = 0, .external_lex_state = 13},
  [1971] = {.lex_state = 16, .external_lex_state = 10},
  [1972] = {.lex_state = 0, .external_lex_state = 12},
  [1973] = {.lex_state = 0, .external_lex_state = 12},
  [1974] = {.lex_state = 14, .external_lex_state = 10},
  [1975] = {.lex_state = 0, .external_lex_state = 9},
  [1976] = {.lex_state = 0, .external_lex_state = 9},
  [1977] = {.lex_state = 0, .external_lex_state = 9},
  [1978] = {.lex_state = 0, .external_lex_state = 12},
  [1979] = {.lex_state = 16, .external_lex_state = 10},
  [1980] = {.lex_state = 0, .external_lex_state = 12},
  [1981] = {.lex_state = 0, .external_lex_state = 12},
  [1982] = {.lex_state = 0, .external_lex_state = 10},
  [1983] = {.lex_state = 0, .external_lex_state = 10},
  [1984] = {.lex_state = 0, .external_lex_state = 12},
  [1985] = {.lex_state = 0, .external_lex_state = 9},
  [1986] = {.lex_state = 0, .external_lex_state = 12},
  [1987] = {.lex_state = 17, .external_lex_state = 10},
  [1988] = {.lex_state = 0, .external_lex_state = 9},
  [1989] = {.lex_state = 0, .external_lex_state = 9},
  [1990] = {.lex_state = 0, .external_lex_state = 12},
  [1991] = {.lex_state = 16, .external_lex_state = 10},
  [1992] = {.lex_state = 0, .external_lex_state = 11},
  [1993] = {.lex_state = 0, .external_lex_state = 11},
  [1994] = {.lex_state = 0, .external_lex_state = 11},
  [1995] = {.lex_state = 16, .external_lex_state = 10},
  [1996] = {.lex_state = 0, .external_lex_state = 11},
  [1997] = {.lex_state = 16, .external_lex_state = 10},
  [1998] = {.lex_state = 0, .external_lex_state = 9},
  [1999] = {.lex_state = 0, .external_lex_state = 13},
  [2000] = {.lex_state = 0, .external_lex_state = 13},
  [2001] = {.lex_state = 0, .external_lex_state = 9},
  [2002] = {.lex_state = 17, .external_lex_state = 10},
  [2003] = {.lex_state = 0, .external_lex_state = 12},
  [2004] = {.lex_state = 0, .external_lex_state = 10},
  [2005] = {.lex_state = 0, .external_lex_state = 9},
  [2006] = {.lex_state = 0, .external_lex_state = 13},
  [2007] = {.lex_state = 17, .external_lex_state = 10},
  [2008] = {.lex_state = 0, .external_lex_state = 9},
  [2009] = {.lex_state = 17, .external_lex_state = 10},
  [2010] = {.lex_state = 0, .external_lex_state = 13},
  [2011] = {.lex_state = 0, .external_lex_state = 9},
  [2012] = {.lex_state = 0, .external_lex_state = 13},
  [2013] = {.lex_state = 0, .external_lex_state = 12},
  [2014] = {.lex_state = 0, .external_lex_state = 12},
  [2015] = {.lex_state = 0, .external_lex_state = 9},
  [2016] = {.lex_state = 0, .external_lex_state = 13},
  [2017] = {.lex_state = 0, .external_lex_state = 10},
  [2018] = {.lex_state = 16, .external_lex_state = 10},
  [2019] = {.lex_state = 0, .external_lex_state = 12},
  [2020] = {.lex_state = 0, .external_lex_state = 13},
  [2021] = {.lex_state = 0, .external_lex_state = 12},
  [2022] = {.lex_state = 0, .external_lex_state = 9},
  [2023] = {.lex_state = 0, .external_lex_state = 12},
  [2024] = {.lex_state = 0, .external_lex_state = 12},
  [2025] = {.lex_state = 0, .external_lex_state = 9},
  [2026] = {.lex_state = 0, .external_lex_state = 9},
  [2027] = {.lex_state = 0, .external_lex_state = 13},
  [2028] = {.lex_state = 0, .external_lex_state = 12},
  [2029] = {.lex_state = 0, .external_lex_state = 9},
  [2030] = {.lex_state = 0, .external_lex_state = 9},
  [2031] = {.lex_state = 0, .external_lex_state = 12},
  [2032] = {.lex_state = 0, .external_lex_state = 9},
  [2033] = {.lex_state = 0, .external_lex_state = 12},
  [2034] = {.lex_state = 0, .external_lex_state = 11},
  [2035] = {.lex_state = 0, .external_lex_state = 10},
  [2036] = {.lex_state = 0, .external_lex_state = 11},
  [2037] = {.lex_state = 60, .external_lex_state = 10},
  [2038] = {.lex_state = 0, .external_lex_state = 12},
  [2039] = {.lex_state = 0, .external_lex_state = 11},
  [2040] = {.lex_state = 0, .external_lex_state = 13},
  [2041] = {.lex_state = 16, .external_lex_state = 10},
  [2042] = {.lex_state = 0, .external_lex_state = 11},
  [2043] = {.lex_state = 16, .external_lex_state = 10},
  [2044] = {.lex_state = 0, .external_lex_state = 13},
  [2045] = {.lex_state = 0, .external_lex_state = 11},
  [2046] = {.lex_state = 60, .external_lex_state = 10},
  [2047] = {.lex_state = 60, .external_lex_state = 10},
  [2048] = {.lex_state = 0, .external_lex_state = 12},
  [2049] = {.lex_state = 60, .external_lex_state = 10},
  [2050] = {.lex_state = 0, .external_lex_state = 12},
  [2051] = {.lex_state = 0, .external_lex_state = 13},
  [2052] = {.lex_state = 0, .external_lex_state = 12},
  [2053] = {.lex_state = 0, .external_lex_state = 10},
  [2054] = {.lex_state = 0, .external_lex_state = 11},
  [2055] = {.lex_state = 0, .external_lex_state = 11},
  [2056] = {.lex_state = 16, .external_lex_state = 10},
  [2057] = {.lex_state = 0, .external_lex_state = 12},
  [2058] = {.lex_state = 0, .external_lex_state = 11},
  [2059] = {.lex_state = 0, .external_lex_state = 13},
  [2060] = {.lex_state = 60, .external_lex_state = 10},
  [2061] = {.lex_state = 0, .external_lex_state = 11},
  [2062] = {.lex_state = 16, .external_lex_state = 10},
  [2063] = {.lex_state = 60, .external_lex_state = 10},
  [2064] = {.lex_state = 0, .external_lex_state = 11},
  [2065] = {.lex_state = 0, .external_lex_state = 11},
  [2066] = {.lex_state = 0, .external_lex_state = 12},
  [2067] = {.lex_state = 16, .external_lex_state = 10},
  [2068] = {.lex_state = 0, .external_lex_state = 12},
  [2069] = {.lex_state = 0, .external_lex_state = 11},
  [2070] = {.lex_state = 0, .external_lex_state = 11},
  [2071] = {.lex_state = 0, .external_lex_state = 13},
  [2072] = {.lex_state = 16, .external_lex_state = 10},
  [2073] = {.lex_state = 0, .external_lex_state = 10},
  [2074] = {.lex_state = 0, .external_lex_state = 12},
  [2075] = {.lex_state = 60, .external_lex_state = 10},
  [2076] = {.lex_state = 60, .external_lex_state = 10},
  [2077] = {.lex_state = 0, .external_lex_state = 12},
  [2078] = {.lex_state = 0, .external_lex_state = 12},
  [2079] = {.lex_state = 0, .external_lex_state = 11},
  [2080] = {.lex_state = 0, .external_lex_state = 13},
  [2081] = {.lex_state = 16, .external_lex_state = 10},
  [2082] = {.lex_state = 0, .external_lex_state = 11},
  [2083] = {.lex_state = 0, .external_lex_state = 11},
  [2084] = {.lex_state = 16, .external_lex_state = 10},
  [2085] = {.lex_state = 0, .external_lex_state = 11},
  [2086] = {.lex_state = 60, .external_lex_state = 10},
  [2087] = {.lex_state = 60, .external_lex_state = 10},
  [2088] = {.lex_state = 0, .external_lex_state = 12},
  [2089] = {.lex_state = 0, .external_lex_state = 13},
  [2090] = {.lex_state = 0, .external_lex_state = 13},
  [2091] = {.lex_state = 0, .external_lex_state = 11},
  [2092] = {.lex_state = 0, .external_lex_state = 11},
  [2093] = {.lex_state = 60, .external_lex_state = 10},
  [2094] = {.lex_state = 0, .external_lex_state = 12},
  [2095] = {.lex_state = 16, .external_lex_state = 10},
  [2096] = {.lex_state = 0, .external_lex_state = 11},
  [2097] = {.lex_state = 16, .external_lex_state = 10},
  [2098] = {.lex_state = 0, .external_lex_state = 11},
  [2099] = {.lex_state = 0, .external_lex_state = 10},
  [2100] = {.lex_state = 0, .external_lex_state = 12},
  [2101] = {.lex_state = 60, .external_lex_state = 10},
  [2102] = {.lex_state = 0, .external_lex_state = 11},
  [2103] = {.lex_state = 16, .external_lex_state = 10},
  [2104] = {.lex_state = 60, .external_lex_state = 10},
  [2105] = {.lex_state = 0, .external_lex_state = 11},
  [2106] = {.lex_state = 16, .external_lex_state = 10},
  [2107] = {.lex_state = 60, .external_lex_state = 10},
  [2108] = {.lex_state = 60, .external_lex_state = 10},
  [2109] = {.lex_state = 0, .external_lex_state = 11},
  [2110] = {.lex_state = 60, .external_lex_state = 10},
  [2111] = {.lex_state = 60, .external_lex_state = 10},
  [2112] = {.lex_state = 60, .external_lex_state = 10},
  [2113] = {.lex_state = 60, .external_lex_state = 10},
  [2114] = {.lex_state = 16, .external_lex_state = 10},
  [2115] = {.lex_state = 16, .external_lex_state = 10},
  [2116] = {.lex_state = 16, .external_lex_state = 10},
  [2117] = {.lex_state = 0, .external_lex_state = 11},
  [2118] = {.lex_state = 60, .external_lex_state = 10},
  [2119] = {.lex_state = 60, .external_lex_state = 10},
  [2120] = {.lex_state = 16, .external_lex_state = 10},
  [2121] = {.lex_state = 0, .external_lex_state = 12},
  [2122] = {.lex_state = 0, .external_lex_state = 12},
  [2123] = {.lex_state = 0, .external_lex_state = 10},
  [2124] = {.lex_state = 16, .external_lex_state = 10},
  [2125] = {.lex_state = 16, .external_lex_state = 10},
  [2126] = {.lex_state = 16, .external_lex_state = 10},
  [2127] = {.lex_state = 0, .external_lex_state = 12},
  [2128] = {.lex_state = 0, .external_lex_state = 12},
  [2129] = {.lex_state = 16, .external_lex_state = 10},
  [2130] = {.lex_state = 60, .external_lex_state = 10},
  [2131] = {.lex_state = 60, .external_lex_state = 10},
  [2132] = {.lex_state = 0, .external_lex_state = 13},
  [2133] = {.lex_state = 16, .external_lex_state = 10},
  [2134] = {.lex_state = 0, .external_lex_state = 11},
  [2135] = {.lex_state = 0, .external_lex_state = 11},
  [2136] = {.lex_state = 16, .external_lex_state = 10},
  [2137] = {.lex_state = 0, .external_lex_state = 11},
  [2138] = {.lex_state = 60, .external_lex_state = 10},
  [2139] = {.lex_state = 16, .external_lex_state = 10},
  [2140] = {.lex_state = 0, .external_lex_state = 11},
  [2141] = {.lex_state = 0, .external_lex_state = 12},
  [2142] = {.lex_state = 16, .external_lex_state = 10},
  [2143] = {.lex_state = 60, .external_lex_state = 10},
  [2144] = {.lex_state = 16, .external_lex_state = 10},
  [2145] = {.lex_state = 0, .external_lex_state = 12},
  [2146] = {.lex_state = 16, .external_lex_state = 10},
  [2147] = {.lex_state = 0, .external_lex_state = 13},
  [2148] = {.lex_state = 0, .external_lex_state = 12},
  [2149] = {.lex_state = 0, .external_lex_state = 12},
  [2150] = {.lex_state = 16, .external_lex_state = 10},
  [2151] = {.lex_state = 60, .external_lex_state = 10},
  [2152] = {.lex_state = 0, .external_lex_state = 12},
  [2153] = {.lex_state = 16, .external_lex_state = 10},
  [2154] = {.lex_state = 16, .external_lex_state = 10},
  [2155] = {.lex_state = 16, .external_lex_state = 10},
  [2156] = {.lex_state = 16, .external_lex_state = 10},
  [2157] = {.lex_state = 16, .external_lex_state = 10},
  [2158] = {.lex_state = 0, .external_lex_state = 11},
  [2159] = {.lex_state = 16, .external_lex_state = 10},
  [2160] = {.lex_state = 60, .external_lex_state = 10},
  [2161] = {.lex_state = 16, .external_lex_state = 10},
  [2162] = {.lex_state = 16, .external_lex_state = 10},
  [2163] = {.lex_state = 16, .external_lex_state = 10},
  [2164] = {.lex_state = 60, .external_lex_state = 10},
  [2165] = {.lex_state = 0, .external_lex_state = 11},
  [2166] = {.lex_state = 16, .external_lex_state = 10},
  [2167] = {.lex_state = 16, .external_lex_state = 10},
  [2168] = {.lex_state = 0, .external_lex_state = 11},
  [2169] = {.lex_state = 60, .external_lex_state = 10},
  [2170] = {.lex_state = 0, .external_lex_state = 13},
  [2171] = {.lex_state = 60, .external_lex_state = 10},
  [2172] = {.lex_state = 0, .external_lex_state = 12},
  [2173] = {.lex_state = 16, .external_lex_state = 10},
  [2174] = {.lex_state = 60, .external_lex_state = 10},
  [2175] = {.lex_state = 16, .external_lex_state = 10},
  [2176] = {.lex_state = 0, .external_lex_state = 11},
  [2177] = {.lex_state = 60, .external_lex_state = 10},
  [2178] = {.lex_state = 60, .external_lex_state = 10},
  [2179] = {.lex_state = 16, .external_lex_state = 10},
  [2180] = {.lex_state = 0, .external_lex_state = 12},
  [2181] = {.lex_state = 0, .external_lex_state = 13},
  [2182] = {.lex_state = 0, .external_lex_state = 11},
  [2183] = {.lex_state = 0, .external_lex_state = 13},
  [2184] = {.lex_state = 0, .external_lex_state = 10},
  [2185] = {.lex_state = 0, .external_lex_state = 12},
  [2186] = {.lex_state = 0, .external_lex_state = 11},
  [2187] = {.lex_state = 0, .external_lex_state = 12},
  [2188] = {.lex_state = 0, .external_lex_state = 12},
  [2189] = {.lex_state = 0, .external_lex_state = 10},
  [2190] = {.lex_state = 0, .external_lex_state = 10},
  [2191] = {.lex_state = 0, .external_lex_state = 13},
  [2192] = {.lex_state = 0, .external_lex_state = 11},
  [2193] = {.lex_state = 60, .external_lex_state = 10},
  [2194] = {.lex_state = 0, .external_lex_state = 11},
  [2195] = {.lex_state = 60, .external_lex_state = 10},
  [2196] = {.lex_state = 16, .external_lex_state = 10},
  [2197] = {.lex_state = 60, .external_lex_state = 10},
  [2198] = {.lex_state = 60, .external_lex_state = 10},
  [2199] = {.lex_state = 60, .external_lex_state = 10},
  [2200] = {.lex_state = 0, .external_lex_state = 11},
  [2201] = {.lex_state = 0, .external_lex_state = 13},
  [2202] = {.lex_state = 0, .external_lex_state = 13},
  [2203] = {.lex_state = 60, .external_lex_state = 10},
  [2204] = {.lex_state = 0, .external_lex_state = 11},
  [2205] = {.lex_state = 16, .external_lex_state = 10},
  [2206] = {.lex_state = 0, .external_lex_state = 13},
  [2207] = {.lex_state = 0, .external_lex_state = 11},
  [2208] = {.lex_state = 16, .external_lex_state = 10},
  [2209] = {.lex_state = 0, .external_lex_state = 13},
  [2210] = {.lex_state = 0, .external_lex_state = 13},
  [2211] = {.lex_state = 0, .external_lex_state = 12},
  [2212] = {.lex_state = 16, .external_lex_state = 10},
  [2213] = {.lex_state = 60, .external_lex_state = 10},
  [2214] = {.lex_state = 0, .external_lex_state = 12},
  [2215] = {.lex_state = 60, .external_lex_state = 10},
  [2216] = {.lex_state = 60, .external_lex_state = 10},
  [2217] = {.lex_state = 0, .external_lex_state = 10},
  [2218] = {.lex_state = 60, .external_lex_state = 10},
  [2219] = {.lex_state = 60, .external_lex_state = 10},
  [2220] = {.lex_state = 60, .external_lex_state = 10},
  [2221] = {.lex_state = 16, .external_lex_state = 10},
  [2222] = {.lex_state = 60, .external_lex_state = 10},
  [2223] = {.lex_state = 60, .external_lex_state = 10},
  [2224] = {.lex_state = 60, .external_lex_state = 10},
  [2225] = {.lex_state = 16, .external_lex_state = 10},
};

enum {
  ts_external_token__newline = 0,
  ts_external_token__indent = 1,
  ts_external_token__dedent = 2,
  ts_external_token__string_start = 3,
  ts_external_token__string_content = 4,
  ts_external_token__string_end = 5,
  ts_external_token_comment = 6,
  ts_external_token_RBRACK = 7,
  ts_external_token_RPAREN = 8,
  ts_external_token_RBRACE = 9,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__newline] = sym__newline,
  [ts_external_token__indent] = sym__indent,
  [ts_external_token__dedent] = sym__dedent,
  [ts_external_token__string_start] = sym__string_start,
  [ts_external_token__string_content] = sym__string_content,
  [ts_external_token__string_end] = sym__string_end,
  [ts_external_token_comment] = sym_comment,
  [ts_external_token_RBRACK] = anon_sym_RBRACK,
  [ts_external_token_RPAREN] = anon_sym_RPAREN,
  [ts_external_token_RBRACE] = anon_sym_RBRACE,
};

static const bool ts_external_scanner_states[15][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__newline] = true,
    [ts_external_token__indent] = true,
    [ts_external_token__dedent] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__string_content] = true,
    [ts_external_token__string_end] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_RPAREN] = true,
    [ts_external_token_RBRACE] = true,
  },
  [2] = {
    [ts_external_token__string_start] = true,
    [ts_external_token_comment] = true,
  },
  [3] = {
    [ts_external_token__dedent] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token_comment] = true,
  },
  [4] = {
    [ts_external_token__newline] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token_comment] = true,
  },
  [5] = {
    [ts_external_token__newline] = true,
    [ts_external_token__indent] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token_comment] = true,
  },
  [6] = {
    [ts_external_token__string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACE] = true,
  },
  [7] = {
    [ts_external_token__string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RPAREN] = true,
  },
  [8] = {
    [ts_external_token__string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACK] = true,
  },
  [9] = {
    [ts_external_token__newline] = true,
    [ts_external_token_comment] = true,
  },
  [10] = {
    [ts_external_token_comment] = true,
  },
  [11] = {
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACE] = true,
  },
  [12] = {
    [ts_external_token_comment] = true,
    [ts_external_token_RPAREN] = true,
  },
  [13] = {
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACK] = true,
  },
  [14] = {
    [ts_external_token__string_content] = true,
    [ts_external_token__string_end] = true,
    [ts_external_token_comment] = true,
  },
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym___future__] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_print] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_assert] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_del] = ACTIONS(1),
    [anon_sym_raise] = ACTIONS(1),
    [anon_sym_pass] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_elif] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_match] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_except] = ACTIONS(1),
    [anon_sym_except_STAR] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_def] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_global] = ACTIONS(1),
    [anon_sym_nonlocal] = ACTIONS(1),
    [anon_sym_exec] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_SLASH_SLASH] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_LT_GT] = ACTIONS(1),
    [anon_sym_is] = ACTIONS(1),
    [anon_sym_lambda] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_AT_EQ] = ACTIONS(1),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [sym_ellipsis] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_LBRACE2] = ACTIONS(1),
    [sym_type_conversion] = ACTIONS(1),
    [sym_integer] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_none] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1),
    [sym__indent] = ACTIONS(1),
    [sym__dedent] = ACTIONS(1),
    [sym__string_start] = ACTIONS(1),
    [sym__string_content] = ACTIONS(1),
    [sym__string_end] = ACTIONS(1),
  },
  [1] = {
    [sym_module] = STATE(2189),
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(1793),
    [sym_future_import_statement] = STATE(1793),
    [sym_import_from_statement] = STATE(1793),
    [sym_print_statement] = STATE(1793),
    [sym_assert_statement] = STATE(1793),
    [sym_expression_statement] = STATE(1793),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1793),
    [sym_delete_statement] = STATE(1793),
    [sym_raise_statement] = STATE(1793),
    [sym_pass_statement] = STATE(1793),
    [sym_break_statement] = STATE(1793),
    [sym_continue_statement] = STATE(1793),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(1793),
    [sym_nonlocal_statement] = STATE(1793),
    [sym_exec_statement] = STATE(1793),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1494),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1494),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(35),
    [anon_sym_async] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_with] = ACTIONS(45),
    [anon_sym_def] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(55),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(77),
  },
  [2] = {
    [sym__statement] = STATE(70),
    [sym__simple_statements] = STATE(70),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(70),
    [sym_match_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_try_statement] = STATE(70),
    [sym_with_statement] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(70),
    [sym_decorated_definition] = STATE(70),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(616),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(70),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [3] = {
    [sym__statement] = STATE(76),
    [sym__simple_statements] = STATE(76),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(76),
    [sym_match_statement] = STATE(76),
    [sym_for_statement] = STATE(76),
    [sym_while_statement] = STATE(76),
    [sym_try_statement] = STATE(76),
    [sym_with_statement] = STATE(76),
    [sym_function_definition] = STATE(76),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(76),
    [sym_decorated_definition] = STATE(76),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(759),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(76),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [4] = {
    [sym__statement] = STATE(76),
    [sym__simple_statements] = STATE(76),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(76),
    [sym_match_statement] = STATE(76),
    [sym_for_statement] = STATE(76),
    [sym_while_statement] = STATE(76),
    [sym_try_statement] = STATE(76),
    [sym_with_statement] = STATE(76),
    [sym_function_definition] = STATE(76),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(76),
    [sym_decorated_definition] = STATE(76),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(736),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(76),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [5] = {
    [sym__statement] = STATE(77),
    [sym__simple_statements] = STATE(77),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(77),
    [sym_match_statement] = STATE(77),
    [sym_for_statement] = STATE(77),
    [sym_while_statement] = STATE(77),
    [sym_try_statement] = STATE(77),
    [sym_with_statement] = STATE(77),
    [sym_function_definition] = STATE(77),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(77),
    [sym_decorated_definition] = STATE(77),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(811),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(77),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym__string_start] = ACTIONS(77),
  },
  [6] = {
    [sym__statement] = STATE(76),
    [sym__simple_statements] = STATE(76),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(76),
    [sym_match_statement] = STATE(76),
    [sym_for_statement] = STATE(76),
    [sym_while_statement] = STATE(76),
    [sym_try_statement] = STATE(76),
    [sym_with_statement] = STATE(76),
    [sym_function_definition] = STATE(76),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(76),
    [sym_decorated_definition] = STATE(76),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(737),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(76),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [7] = {
    [sym__statement] = STATE(75),
    [sym__simple_statements] = STATE(75),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(75),
    [sym_match_statement] = STATE(75),
    [sym_for_statement] = STATE(75),
    [sym_while_statement] = STATE(75),
    [sym_try_statement] = STATE(75),
    [sym_with_statement] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(75),
    [sym_decorated_definition] = STATE(75),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(606),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(75),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym__string_start] = ACTIONS(77),
  },
  [8] = {
    [sym__statement] = STATE(77),
    [sym__simple_statements] = STATE(77),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(77),
    [sym_match_statement] = STATE(77),
    [sym_for_statement] = STATE(77),
    [sym_while_statement] = STATE(77),
    [sym_try_statement] = STATE(77),
    [sym_with_statement] = STATE(77),
    [sym_function_definition] = STATE(77),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(77),
    [sym_decorated_definition] = STATE(77),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(686),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(77),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym__string_start] = ACTIONS(77),
  },
  [9] = {
    [sym__statement] = STATE(77),
    [sym__simple_statements] = STATE(77),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(77),
    [sym_match_statement] = STATE(77),
    [sym_for_statement] = STATE(77),
    [sym_while_statement] = STATE(77),
    [sym_try_statement] = STATE(77),
    [sym_with_statement] = STATE(77),
    [sym_function_definition] = STATE(77),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(77),
    [sym_decorated_definition] = STATE(77),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(464),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(77),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym__string_start] = ACTIONS(77),
  },
  [10] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(605),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(105),
    [sym__string_start] = ACTIONS(77),
  },
  [11] = {
    [sym__statement] = STATE(76),
    [sym__simple_statements] = STATE(76),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(76),
    [sym_match_statement] = STATE(76),
    [sym_for_statement] = STATE(76),
    [sym_while_statement] = STATE(76),
    [sym_try_statement] = STATE(76),
    [sym_with_statement] = STATE(76),
    [sym_function_definition] = STATE(76),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(76),
    [sym_decorated_definition] = STATE(76),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(735),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(76),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [12] = {
    [sym__statement] = STATE(77),
    [sym__simple_statements] = STATE(77),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(77),
    [sym_match_statement] = STATE(77),
    [sym_for_statement] = STATE(77),
    [sym_while_statement] = STATE(77),
    [sym_try_statement] = STATE(77),
    [sym_with_statement] = STATE(77),
    [sym_function_definition] = STATE(77),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(77),
    [sym_decorated_definition] = STATE(77),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(681),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(77),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym__string_start] = ACTIONS(77),
  },
  [13] = {
    [sym__statement] = STATE(76),
    [sym__simple_statements] = STATE(76),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(76),
    [sym_match_statement] = STATE(76),
    [sym_for_statement] = STATE(76),
    [sym_while_statement] = STATE(76),
    [sym_try_statement] = STATE(76),
    [sym_with_statement] = STATE(76),
    [sym_function_definition] = STATE(76),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(76),
    [sym_decorated_definition] = STATE(76),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(732),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(76),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [14] = {
    [sym__statement] = STATE(77),
    [sym__simple_statements] = STATE(77),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(77),
    [sym_match_statement] = STATE(77),
    [sym_for_statement] = STATE(77),
    [sym_while_statement] = STATE(77),
    [sym_try_statement] = STATE(77),
    [sym_with_statement] = STATE(77),
    [sym_function_definition] = STATE(77),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(77),
    [sym_decorated_definition] = STATE(77),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(678),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(77),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym__string_start] = ACTIONS(77),
  },
  [15] = {
    [sym__statement] = STATE(76),
    [sym__simple_statements] = STATE(76),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(76),
    [sym_match_statement] = STATE(76),
    [sym_for_statement] = STATE(76),
    [sym_while_statement] = STATE(76),
    [sym_try_statement] = STATE(76),
    [sym_with_statement] = STATE(76),
    [sym_function_definition] = STATE(76),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(76),
    [sym_decorated_definition] = STATE(76),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(731),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(76),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [16] = {
    [sym__statement] = STATE(76),
    [sym__simple_statements] = STATE(76),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(76),
    [sym_match_statement] = STATE(76),
    [sym_for_statement] = STATE(76),
    [sym_while_statement] = STATE(76),
    [sym_try_statement] = STATE(76),
    [sym_with_statement] = STATE(76),
    [sym_function_definition] = STATE(76),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(76),
    [sym_decorated_definition] = STATE(76),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(728),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(76),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [17] = {
    [sym__statement] = STATE(77),
    [sym__simple_statements] = STATE(77),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(77),
    [sym_match_statement] = STATE(77),
    [sym_for_statement] = STATE(77),
    [sym_while_statement] = STATE(77),
    [sym_try_statement] = STATE(77),
    [sym_with_statement] = STATE(77),
    [sym_function_definition] = STATE(77),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(77),
    [sym_decorated_definition] = STATE(77),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(777),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(77),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym__string_start] = ACTIONS(77),
  },
  [18] = {
    [sym__statement] = STATE(76),
    [sym__simple_statements] = STATE(76),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(76),
    [sym_match_statement] = STATE(76),
    [sym_for_statement] = STATE(76),
    [sym_while_statement] = STATE(76),
    [sym_try_statement] = STATE(76),
    [sym_with_statement] = STATE(76),
    [sym_function_definition] = STATE(76),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(76),
    [sym_decorated_definition] = STATE(76),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(727),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(76),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [19] = {
    [sym__statement] = STATE(77),
    [sym__simple_statements] = STATE(77),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(77),
    [sym_match_statement] = STATE(77),
    [sym_for_statement] = STATE(77),
    [sym_while_statement] = STATE(77),
    [sym_try_statement] = STATE(77),
    [sym_with_statement] = STATE(77),
    [sym_function_definition] = STATE(77),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(77),
    [sym_decorated_definition] = STATE(77),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(651),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(77),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym__string_start] = ACTIONS(77),
  },
  [20] = {
    [sym__statement] = STATE(73),
    [sym__simple_statements] = STATE(73),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(73),
    [sym_match_statement] = STATE(73),
    [sym_for_statement] = STATE(73),
    [sym_while_statement] = STATE(73),
    [sym_try_statement] = STATE(73),
    [sym_with_statement] = STATE(73),
    [sym_function_definition] = STATE(73),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(73),
    [sym_decorated_definition] = STATE(73),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(1510),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(73),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym__string_start] = ACTIONS(77),
  },
  [21] = {
    [sym__statement] = STATE(76),
    [sym__simple_statements] = STATE(76),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(76),
    [sym_match_statement] = STATE(76),
    [sym_for_statement] = STATE(76),
    [sym_while_statement] = STATE(76),
    [sym_try_statement] = STATE(76),
    [sym_with_statement] = STATE(76),
    [sym_function_definition] = STATE(76),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(76),
    [sym_decorated_definition] = STATE(76),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(799),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(76),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [22] = {
    [sym__statement] = STATE(77),
    [sym__simple_statements] = STATE(77),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(77),
    [sym_match_statement] = STATE(77),
    [sym_for_statement] = STATE(77),
    [sym_while_statement] = STATE(77),
    [sym_try_statement] = STATE(77),
    [sym_with_statement] = STATE(77),
    [sym_function_definition] = STATE(77),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(77),
    [sym_decorated_definition] = STATE(77),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(703),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(77),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym__string_start] = ACTIONS(77),
  },
  [23] = {
    [sym__statement] = STATE(77),
    [sym__simple_statements] = STATE(77),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(77),
    [sym_match_statement] = STATE(77),
    [sym_for_statement] = STATE(77),
    [sym_while_statement] = STATE(77),
    [sym_try_statement] = STATE(77),
    [sym_with_statement] = STATE(77),
    [sym_function_definition] = STATE(77),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(77),
    [sym_decorated_definition] = STATE(77),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(704),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(77),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym__string_start] = ACTIONS(77),
  },
  [24] = {
    [sym__statement] = STATE(76),
    [sym__simple_statements] = STATE(76),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(76),
    [sym_match_statement] = STATE(76),
    [sym_for_statement] = STATE(76),
    [sym_while_statement] = STATE(76),
    [sym_try_statement] = STATE(76),
    [sym_with_statement] = STATE(76),
    [sym_function_definition] = STATE(76),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(76),
    [sym_decorated_definition] = STATE(76),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(724),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(76),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [25] = {
    [sym__statement] = STATE(76),
    [sym__simple_statements] = STATE(76),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(76),
    [sym_match_statement] = STATE(76),
    [sym_for_statement] = STATE(76),
    [sym_while_statement] = STATE(76),
    [sym_try_statement] = STATE(76),
    [sym_with_statement] = STATE(76),
    [sym_function_definition] = STATE(76),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(76),
    [sym_decorated_definition] = STATE(76),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(719),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(76),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [26] = {
    [sym__statement] = STATE(77),
    [sym__simple_statements] = STATE(77),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(77),
    [sym_match_statement] = STATE(77),
    [sym_for_statement] = STATE(77),
    [sym_while_statement] = STATE(77),
    [sym_try_statement] = STATE(77),
    [sym_with_statement] = STATE(77),
    [sym_function_definition] = STATE(77),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(77),
    [sym_decorated_definition] = STATE(77),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(798),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(77),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym__string_start] = ACTIONS(77),
  },
  [27] = {
    [sym__statement] = STATE(77),
    [sym__simple_statements] = STATE(77),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(77),
    [sym_match_statement] = STATE(77),
    [sym_for_statement] = STATE(77),
    [sym_while_statement] = STATE(77),
    [sym_try_statement] = STATE(77),
    [sym_with_statement] = STATE(77),
    [sym_function_definition] = STATE(77),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(77),
    [sym_decorated_definition] = STATE(77),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(794),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(77),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym__string_start] = ACTIONS(77),
  },
  [28] = {
    [sym__statement] = STATE(77),
    [sym__simple_statements] = STATE(77),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(77),
    [sym_match_statement] = STATE(77),
    [sym_for_statement] = STATE(77),
    [sym_while_statement] = STATE(77),
    [sym_try_statement] = STATE(77),
    [sym_with_statement] = STATE(77),
    [sym_function_definition] = STATE(77),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(77),
    [sym_decorated_definition] = STATE(77),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(667),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(77),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym__string_start] = ACTIONS(77),
  },
  [29] = {
    [sym__statement] = STATE(77),
    [sym__simple_statements] = STATE(77),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(77),
    [sym_match_statement] = STATE(77),
    [sym_for_statement] = STATE(77),
    [sym_while_statement] = STATE(77),
    [sym_try_statement] = STATE(77),
    [sym_with_statement] = STATE(77),
    [sym_function_definition] = STATE(77),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(77),
    [sym_decorated_definition] = STATE(77),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(708),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(77),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym__string_start] = ACTIONS(77),
  },
  [30] = {
    [sym__statement] = STATE(77),
    [sym__simple_statements] = STATE(77),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(77),
    [sym_match_statement] = STATE(77),
    [sym_for_statement] = STATE(77),
    [sym_while_statement] = STATE(77),
    [sym_try_statement] = STATE(77),
    [sym_with_statement] = STATE(77),
    [sym_function_definition] = STATE(77),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(77),
    [sym_decorated_definition] = STATE(77),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(709),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(77),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym__string_start] = ACTIONS(77),
  },
  [31] = {
    [sym__statement] = STATE(77),
    [sym__simple_statements] = STATE(77),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(77),
    [sym_match_statement] = STATE(77),
    [sym_for_statement] = STATE(77),
    [sym_while_statement] = STATE(77),
    [sym_try_statement] = STATE(77),
    [sym_with_statement] = STATE(77),
    [sym_function_definition] = STATE(77),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(77),
    [sym_decorated_definition] = STATE(77),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(810),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(77),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym__string_start] = ACTIONS(77),
  },
  [32] = {
    [sym__statement] = STATE(77),
    [sym__simple_statements] = STATE(77),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(77),
    [sym_match_statement] = STATE(77),
    [sym_for_statement] = STATE(77),
    [sym_while_statement] = STATE(77),
    [sym_try_statement] = STATE(77),
    [sym_with_statement] = STATE(77),
    [sym_function_definition] = STATE(77),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(77),
    [sym_decorated_definition] = STATE(77),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(745),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(77),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym__string_start] = ACTIONS(77),
  },
  [33] = {
    [sym__statement] = STATE(72),
    [sym__simple_statements] = STATE(72),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(72),
    [sym_match_statement] = STATE(72),
    [sym_for_statement] = STATE(72),
    [sym_while_statement] = STATE(72),
    [sym_try_statement] = STATE(72),
    [sym_with_statement] = STATE(72),
    [sym_function_definition] = STATE(72),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(72),
    [sym_decorated_definition] = STATE(72),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(636),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(72),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(109),
    [sym__string_start] = ACTIONS(77),
  },
  [34] = {
    [sym__statement] = STATE(76),
    [sym__simple_statements] = STATE(76),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(76),
    [sym_match_statement] = STATE(76),
    [sym_for_statement] = STATE(76),
    [sym_while_statement] = STATE(76),
    [sym_try_statement] = STATE(76),
    [sym_with_statement] = STATE(76),
    [sym_function_definition] = STATE(76),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(76),
    [sym_decorated_definition] = STATE(76),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(714),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(76),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [35] = {
    [sym__statement] = STATE(77),
    [sym__simple_statements] = STATE(77),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(77),
    [sym_match_statement] = STATE(77),
    [sym_for_statement] = STATE(77),
    [sym_while_statement] = STATE(77),
    [sym_try_statement] = STATE(77),
    [sym_with_statement] = STATE(77),
    [sym_function_definition] = STATE(77),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(77),
    [sym_decorated_definition] = STATE(77),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(713),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(77),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym__string_start] = ACTIONS(77),
  },
  [36] = {
    [sym__statement] = STATE(76),
    [sym__simple_statements] = STATE(76),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(76),
    [sym_match_statement] = STATE(76),
    [sym_for_statement] = STATE(76),
    [sym_while_statement] = STATE(76),
    [sym_try_statement] = STATE(76),
    [sym_with_statement] = STATE(76),
    [sym_function_definition] = STATE(76),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(76),
    [sym_decorated_definition] = STATE(76),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(706),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(76),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [37] = {
    [sym__statement] = STATE(70),
    [sym__simple_statements] = STATE(70),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(70),
    [sym_match_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_try_statement] = STATE(70),
    [sym_with_statement] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(70),
    [sym_decorated_definition] = STATE(70),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(592),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(70),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [38] = {
    [sym__statement] = STATE(70),
    [sym__simple_statements] = STATE(70),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(70),
    [sym_match_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_try_statement] = STATE(70),
    [sym_with_statement] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(70),
    [sym_decorated_definition] = STATE(70),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(609),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(70),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [39] = {
    [sym__statement] = STATE(72),
    [sym__simple_statements] = STATE(72),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(72),
    [sym_match_statement] = STATE(72),
    [sym_for_statement] = STATE(72),
    [sym_while_statement] = STATE(72),
    [sym_try_statement] = STATE(72),
    [sym_with_statement] = STATE(72),
    [sym_function_definition] = STATE(72),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(72),
    [sym_decorated_definition] = STATE(72),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(607),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(72),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(109),
    [sym__string_start] = ACTIONS(77),
  },
  [40] = {
    [sym__statement] = STATE(76),
    [sym__simple_statements] = STATE(76),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(76),
    [sym_match_statement] = STATE(76),
    [sym_for_statement] = STATE(76),
    [sym_while_statement] = STATE(76),
    [sym_try_statement] = STATE(76),
    [sym_with_statement] = STATE(76),
    [sym_function_definition] = STATE(76),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(76),
    [sym_decorated_definition] = STATE(76),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(664),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(76),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [41] = {
    [sym__statement] = STATE(77),
    [sym__simple_statements] = STATE(77),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(77),
    [sym_match_statement] = STATE(77),
    [sym_for_statement] = STATE(77),
    [sym_while_statement] = STATE(77),
    [sym_try_statement] = STATE(77),
    [sym_with_statement] = STATE(77),
    [sym_function_definition] = STATE(77),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(77),
    [sym_decorated_definition] = STATE(77),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(715),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(77),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym__string_start] = ACTIONS(77),
  },
  [42] = {
    [sym__statement] = STATE(77),
    [sym__simple_statements] = STATE(77),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(77),
    [sym_match_statement] = STATE(77),
    [sym_for_statement] = STATE(77),
    [sym_while_statement] = STATE(77),
    [sym_try_statement] = STATE(77),
    [sym_with_statement] = STATE(77),
    [sym_function_definition] = STATE(77),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(77),
    [sym_decorated_definition] = STATE(77),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(660),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(77),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym__string_start] = ACTIONS(77),
  },
  [43] = {
    [sym__statement] = STATE(77),
    [sym__simple_statements] = STATE(77),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(77),
    [sym_match_statement] = STATE(77),
    [sym_for_statement] = STATE(77),
    [sym_while_statement] = STATE(77),
    [sym_try_statement] = STATE(77),
    [sym_with_statement] = STATE(77),
    [sym_function_definition] = STATE(77),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(77),
    [sym_decorated_definition] = STATE(77),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(716),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(77),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym__string_start] = ACTIONS(77),
  },
  [44] = {
    [sym__statement] = STATE(77),
    [sym__simple_statements] = STATE(77),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(77),
    [sym_match_statement] = STATE(77),
    [sym_for_statement] = STATE(77),
    [sym_while_statement] = STATE(77),
    [sym_try_statement] = STATE(77),
    [sym_with_statement] = STATE(77),
    [sym_function_definition] = STATE(77),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(77),
    [sym_decorated_definition] = STATE(77),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(767),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(77),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym__string_start] = ACTIONS(77),
  },
  [45] = {
    [sym__statement] = STATE(76),
    [sym__simple_statements] = STATE(76),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(76),
    [sym_match_statement] = STATE(76),
    [sym_for_statement] = STATE(76),
    [sym_while_statement] = STATE(76),
    [sym_try_statement] = STATE(76),
    [sym_with_statement] = STATE(76),
    [sym_function_definition] = STATE(76),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(76),
    [sym_decorated_definition] = STATE(76),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(790),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(76),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [46] = {
    [sym__statement] = STATE(75),
    [sym__simple_statements] = STATE(75),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(75),
    [sym_match_statement] = STATE(75),
    [sym_for_statement] = STATE(75),
    [sym_while_statement] = STATE(75),
    [sym_try_statement] = STATE(75),
    [sym_with_statement] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(75),
    [sym_decorated_definition] = STATE(75),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(602),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(75),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym__string_start] = ACTIONS(77),
  },
  [47] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(601),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(105),
    [sym__string_start] = ACTIONS(77),
  },
  [48] = {
    [sym__statement] = STATE(76),
    [sym__simple_statements] = STATE(76),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(76),
    [sym_match_statement] = STATE(76),
    [sym_for_statement] = STATE(76),
    [sym_while_statement] = STATE(76),
    [sym_try_statement] = STATE(76),
    [sym_with_statement] = STATE(76),
    [sym_function_definition] = STATE(76),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(76),
    [sym_decorated_definition] = STATE(76),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(663),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(76),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [49] = {
    [sym__statement] = STATE(76),
    [sym__simple_statements] = STATE(76),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(76),
    [sym_match_statement] = STATE(76),
    [sym_for_statement] = STATE(76),
    [sym_while_statement] = STATE(76),
    [sym_try_statement] = STATE(76),
    [sym_with_statement] = STATE(76),
    [sym_function_definition] = STATE(76),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(76),
    [sym_decorated_definition] = STATE(76),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(742),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(76),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [50] = {
    [sym__statement] = STATE(76),
    [sym__simple_statements] = STATE(76),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(76),
    [sym_match_statement] = STATE(76),
    [sym_for_statement] = STATE(76),
    [sym_while_statement] = STATE(76),
    [sym_try_statement] = STATE(76),
    [sym_with_statement] = STATE(76),
    [sym_function_definition] = STATE(76),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(76),
    [sym_decorated_definition] = STATE(76),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(738),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(76),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [51] = {
    [sym__statement] = STATE(76),
    [sym__simple_statements] = STATE(76),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(76),
    [sym_match_statement] = STATE(76),
    [sym_for_statement] = STATE(76),
    [sym_while_statement] = STATE(76),
    [sym_try_statement] = STATE(76),
    [sym_with_statement] = STATE(76),
    [sym_function_definition] = STATE(76),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(76),
    [sym_decorated_definition] = STATE(76),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(693),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(76),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [52] = {
    [sym__statement] = STATE(77),
    [sym__simple_statements] = STATE(77),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(77),
    [sym_match_statement] = STATE(77),
    [sym_for_statement] = STATE(77),
    [sym_while_statement] = STATE(77),
    [sym_try_statement] = STATE(77),
    [sym_with_statement] = STATE(77),
    [sym_function_definition] = STATE(77),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(77),
    [sym_decorated_definition] = STATE(77),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(783),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(77),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym__string_start] = ACTIONS(77),
  },
  [53] = {
    [sym__statement] = STATE(73),
    [sym__simple_statements] = STATE(73),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(73),
    [sym_match_statement] = STATE(73),
    [sym_for_statement] = STATE(73),
    [sym_while_statement] = STATE(73),
    [sym_try_statement] = STATE(73),
    [sym_with_statement] = STATE(73),
    [sym_function_definition] = STATE(73),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(73),
    [sym_decorated_definition] = STATE(73),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(1514),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(73),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym__string_start] = ACTIONS(77),
  },
  [54] = {
    [sym__statement] = STATE(76),
    [sym__simple_statements] = STATE(76),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(76),
    [sym_match_statement] = STATE(76),
    [sym_for_statement] = STATE(76),
    [sym_while_statement] = STATE(76),
    [sym_try_statement] = STATE(76),
    [sym_with_statement] = STATE(76),
    [sym_function_definition] = STATE(76),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(76),
    [sym_decorated_definition] = STATE(76),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(753),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(76),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [55] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(597),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(105),
    [sym__string_start] = ACTIONS(77),
  },
  [56] = {
    [sym__statement] = STATE(76),
    [sym__simple_statements] = STATE(76),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(76),
    [sym_match_statement] = STATE(76),
    [sym_for_statement] = STATE(76),
    [sym_while_statement] = STATE(76),
    [sym_try_statement] = STATE(76),
    [sym_with_statement] = STATE(76),
    [sym_function_definition] = STATE(76),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(76),
    [sym_decorated_definition] = STATE(76),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(661),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(76),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [57] = {
    [sym__statement] = STATE(77),
    [sym__simple_statements] = STATE(77),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(77),
    [sym_match_statement] = STATE(77),
    [sym_for_statement] = STATE(77),
    [sym_while_statement] = STATE(77),
    [sym_try_statement] = STATE(77),
    [sym_with_statement] = STATE(77),
    [sym_function_definition] = STATE(77),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(77),
    [sym_decorated_definition] = STATE(77),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(694),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(77),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym__string_start] = ACTIONS(77),
  },
  [58] = {
    [sym__statement] = STATE(76),
    [sym__simple_statements] = STATE(76),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(76),
    [sym_match_statement] = STATE(76),
    [sym_for_statement] = STATE(76),
    [sym_while_statement] = STATE(76),
    [sym_try_statement] = STATE(76),
    [sym_with_statement] = STATE(76),
    [sym_function_definition] = STATE(76),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(76),
    [sym_decorated_definition] = STATE(76),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(550),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(76),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [59] = {
    [sym__statement] = STATE(76),
    [sym__simple_statements] = STATE(76),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(76),
    [sym_match_statement] = STATE(76),
    [sym_for_statement] = STATE(76),
    [sym_while_statement] = STATE(76),
    [sym_try_statement] = STATE(76),
    [sym_with_statement] = STATE(76),
    [sym_function_definition] = STATE(76),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(76),
    [sym_decorated_definition] = STATE(76),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(749),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(76),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [60] = {
    [sym__statement] = STATE(76),
    [sym__simple_statements] = STATE(76),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(76),
    [sym_match_statement] = STATE(76),
    [sym_for_statement] = STATE(76),
    [sym_while_statement] = STATE(76),
    [sym_try_statement] = STATE(76),
    [sym_with_statement] = STATE(76),
    [sym_function_definition] = STATE(76),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(76),
    [sym_decorated_definition] = STATE(76),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(773),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(76),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [61] = {
    [sym__statement] = STATE(76),
    [sym__simple_statements] = STATE(76),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(76),
    [sym_match_statement] = STATE(76),
    [sym_for_statement] = STATE(76),
    [sym_while_statement] = STATE(76),
    [sym_try_statement] = STATE(76),
    [sym_with_statement] = STATE(76),
    [sym_function_definition] = STATE(76),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(76),
    [sym_decorated_definition] = STATE(76),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(654),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(76),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [62] = {
    [sym__statement] = STATE(77),
    [sym__simple_statements] = STATE(77),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(77),
    [sym_match_statement] = STATE(77),
    [sym_for_statement] = STATE(77),
    [sym_while_statement] = STATE(77),
    [sym_try_statement] = STATE(77),
    [sym_with_statement] = STATE(77),
    [sym_function_definition] = STATE(77),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(77),
    [sym_decorated_definition] = STATE(77),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(670),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(77),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym__string_start] = ACTIONS(77),
  },
  [63] = {
    [sym__statement] = STATE(77),
    [sym__simple_statements] = STATE(77),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(77),
    [sym_match_statement] = STATE(77),
    [sym_for_statement] = STATE(77),
    [sym_while_statement] = STATE(77),
    [sym_try_statement] = STATE(77),
    [sym_with_statement] = STATE(77),
    [sym_function_definition] = STATE(77),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(77),
    [sym_decorated_definition] = STATE(77),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(702),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(77),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym__string_start] = ACTIONS(77),
  },
  [64] = {
    [sym__statement] = STATE(76),
    [sym__simple_statements] = STATE(76),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(76),
    [sym_match_statement] = STATE(76),
    [sym_for_statement] = STATE(76),
    [sym_while_statement] = STATE(76),
    [sym_try_statement] = STATE(76),
    [sym_with_statement] = STATE(76),
    [sym_function_definition] = STATE(76),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(76),
    [sym_decorated_definition] = STATE(76),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(792),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(76),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [65] = {
    [sym__statement] = STATE(76),
    [sym__simple_statements] = STATE(76),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(76),
    [sym_match_statement] = STATE(76),
    [sym_for_statement] = STATE(76),
    [sym_while_statement] = STATE(76),
    [sym_try_statement] = STATE(76),
    [sym_with_statement] = STATE(76),
    [sym_function_definition] = STATE(76),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(76),
    [sym_decorated_definition] = STATE(76),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(795),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(76),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [66] = {
    [sym__statement] = STATE(77),
    [sym__simple_statements] = STATE(77),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(77),
    [sym_match_statement] = STATE(77),
    [sym_for_statement] = STATE(77),
    [sym_while_statement] = STATE(77),
    [sym_try_statement] = STATE(77),
    [sym_with_statement] = STATE(77),
    [sym_function_definition] = STATE(77),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(77),
    [sym_decorated_definition] = STATE(77),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(782),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(77),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym__string_start] = ACTIONS(77),
  },
  [67] = {
    [sym__statement] = STATE(77),
    [sym__simple_statements] = STATE(77),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(77),
    [sym_match_statement] = STATE(77),
    [sym_for_statement] = STATE(77),
    [sym_while_statement] = STATE(77),
    [sym_try_statement] = STATE(77),
    [sym_with_statement] = STATE(77),
    [sym_function_definition] = STATE(77),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(77),
    [sym_decorated_definition] = STATE(77),
    [sym_decorator] = STATE(1519),
    [sym_block] = STATE(676),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(77),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym__string_start] = ACTIONS(77),
  },
  [68] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(1793),
    [sym_future_import_statement] = STATE(1793),
    [sym_import_from_statement] = STATE(1793),
    [sym_print_statement] = STATE(1793),
    [sym_assert_statement] = STATE(1793),
    [sym_expression_statement] = STATE(1793),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1793),
    [sym_delete_statement] = STATE(1793),
    [sym_raise_statement] = STATE(1793),
    [sym_pass_statement] = STATE(1793),
    [sym_break_statement] = STATE(1793),
    [sym_continue_statement] = STATE(1793),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(1793),
    [sym_nonlocal_statement] = STATE(1793),
    [sym_exec_statement] = STATE(1793),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1494),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1494),
    [ts_builtin_sym_end] = ACTIONS(111),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(35),
    [anon_sym_async] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_with] = ACTIONS(45),
    [anon_sym_def] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(55),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(77),
  },
  [69] = {
    [sym__statement] = STATE(74),
    [sym__simple_statements] = STATE(74),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(74),
    [sym_match_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_try_statement] = STATE(74),
    [sym_with_statement] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(74),
    [sym_decorated_definition] = STATE(74),
    [sym_decorator] = STATE(1519),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(74),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(113),
    [sym__string_start] = ACTIONS(77),
  },
  [70] = {
    [sym__statement] = STATE(74),
    [sym__simple_statements] = STATE(74),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(74),
    [sym_match_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_try_statement] = STATE(74),
    [sym_with_statement] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(74),
    [sym_decorated_definition] = STATE(74),
    [sym_decorator] = STATE(1519),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(74),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(115),
    [sym__string_start] = ACTIONS(77),
  },
  [71] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(1793),
    [sym_future_import_statement] = STATE(1793),
    [sym_import_from_statement] = STATE(1793),
    [sym_print_statement] = STATE(1793),
    [sym_assert_statement] = STATE(1793),
    [sym_expression_statement] = STATE(1793),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1793),
    [sym_delete_statement] = STATE(1793),
    [sym_raise_statement] = STATE(1793),
    [sym_pass_statement] = STATE(1793),
    [sym_break_statement] = STATE(1793),
    [sym_continue_statement] = STATE(1793),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(1793),
    [sym_nonlocal_statement] = STATE(1793),
    [sym_exec_statement] = STATE(1793),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1494),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1494),
    [ts_builtin_sym_end] = ACTIONS(117),
    [sym_identifier] = ACTIONS(119),
    [anon_sym_import] = ACTIONS(122),
    [anon_sym_from] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(128),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_print] = ACTIONS(134),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(140),
    [anon_sym_del] = ACTIONS(143),
    [anon_sym_raise] = ACTIONS(146),
    [anon_sym_pass] = ACTIONS(149),
    [anon_sym_break] = ACTIONS(152),
    [anon_sym_continue] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(158),
    [anon_sym_match] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(164),
    [anon_sym_for] = ACTIONS(167),
    [anon_sym_while] = ACTIONS(170),
    [anon_sym_try] = ACTIONS(173),
    [anon_sym_with] = ACTIONS(176),
    [anon_sym_def] = ACTIONS(179),
    [anon_sym_global] = ACTIONS(182),
    [anon_sym_nonlocal] = ACTIONS(185),
    [anon_sym_exec] = ACTIONS(188),
    [anon_sym_class] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(194),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_not] = ACTIONS(200),
    [anon_sym_PLUS] = ACTIONS(203),
    [anon_sym_DASH] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(203),
    [anon_sym_lambda] = ACTIONS(206),
    [anon_sym_yield] = ACTIONS(209),
    [sym_ellipsis] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_integer] = ACTIONS(218),
    [sym_float] = ACTIONS(212),
    [anon_sym_await] = ACTIONS(221),
    [sym_true] = ACTIONS(218),
    [sym_false] = ACTIONS(218),
    [sym_none] = ACTIONS(218),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(224),
  },
  [72] = {
    [sym__statement] = STATE(74),
    [sym__simple_statements] = STATE(74),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(74),
    [sym_match_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_try_statement] = STATE(74),
    [sym_with_statement] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(74),
    [sym_decorated_definition] = STATE(74),
    [sym_decorator] = STATE(1519),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(74),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(227),
    [sym__string_start] = ACTIONS(77),
  },
  [73] = {
    [sym__statement] = STATE(74),
    [sym__simple_statements] = STATE(74),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(74),
    [sym_match_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_try_statement] = STATE(74),
    [sym_with_statement] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(74),
    [sym_decorated_definition] = STATE(74),
    [sym_decorator] = STATE(1519),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(74),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(229),
    [sym__string_start] = ACTIONS(77),
  },
  [74] = {
    [sym__statement] = STATE(74),
    [sym__simple_statements] = STATE(74),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(74),
    [sym_match_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_try_statement] = STATE(74),
    [sym_with_statement] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(74),
    [sym_decorated_definition] = STATE(74),
    [sym_decorator] = STATE(1519),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(74),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(119),
    [anon_sym_import] = ACTIONS(122),
    [anon_sym_from] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(128),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_print] = ACTIONS(134),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(140),
    [anon_sym_del] = ACTIONS(143),
    [anon_sym_raise] = ACTIONS(146),
    [anon_sym_pass] = ACTIONS(149),
    [anon_sym_break] = ACTIONS(152),
    [anon_sym_continue] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(231),
    [anon_sym_match] = ACTIONS(234),
    [anon_sym_async] = ACTIONS(237),
    [anon_sym_for] = ACTIONS(240),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_try] = ACTIONS(246),
    [anon_sym_with] = ACTIONS(249),
    [anon_sym_def] = ACTIONS(252),
    [anon_sym_global] = ACTIONS(182),
    [anon_sym_nonlocal] = ACTIONS(185),
    [anon_sym_exec] = ACTIONS(188),
    [anon_sym_class] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(194),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_not] = ACTIONS(200),
    [anon_sym_PLUS] = ACTIONS(203),
    [anon_sym_DASH] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(203),
    [anon_sym_lambda] = ACTIONS(206),
    [anon_sym_yield] = ACTIONS(209),
    [sym_ellipsis] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_integer] = ACTIONS(218),
    [sym_float] = ACTIONS(212),
    [anon_sym_await] = ACTIONS(221),
    [sym_true] = ACTIONS(218),
    [sym_false] = ACTIONS(218),
    [sym_none] = ACTIONS(218),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(117),
    [sym__string_start] = ACTIONS(224),
  },
  [75] = {
    [sym__statement] = STATE(74),
    [sym__simple_statements] = STATE(74),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(74),
    [sym_match_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_try_statement] = STATE(74),
    [sym_with_statement] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(74),
    [sym_decorated_definition] = STATE(74),
    [sym_decorator] = STATE(1519),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(74),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(258),
    [sym__string_start] = ACTIONS(77),
  },
  [76] = {
    [sym__statement] = STATE(74),
    [sym__simple_statements] = STATE(74),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(74),
    [sym_match_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_try_statement] = STATE(74),
    [sym_with_statement] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(74),
    [sym_decorated_definition] = STATE(74),
    [sym_decorator] = STATE(1519),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(74),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(260),
    [sym__string_start] = ACTIONS(77),
  },
  [77] = {
    [sym__statement] = STATE(74),
    [sym__simple_statements] = STATE(74),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_if_statement] = STATE(74),
    [sym_match_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_try_statement] = STATE(74),
    [sym_with_statement] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_class_definition] = STATE(74),
    [sym_decorated_definition] = STATE(74),
    [sym_decorator] = STATE(1519),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [aux_sym_module_repeat1] = STATE(74),
    [aux_sym_decorated_definition_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(262),
    [sym__string_start] = ACTIONS(77),
  },
  [78] = {
    [sym_chevron] = STATE(1747),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1539),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_attribute] = STATE(1157),
    [sym_subscript] = STATE(1157),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(264),
    [anon_sym_SEMI] = ACTIONS(266),
    [anon_sym_DOT] = ACTIONS(268),
    [anon_sym_LPAREN] = ACTIONS(266),
    [anon_sym_COMMA] = ACTIONS(270),
    [anon_sym_as] = ACTIONS(268),
    [anon_sym_STAR] = ACTIONS(268),
    [anon_sym_print] = ACTIONS(273),
    [anon_sym_GT_GT] = ACTIONS(275),
    [anon_sym_COLON_EQ] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(268),
    [anon_sym_COLON] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(273),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_in] = ACTIONS(268),
    [anon_sym_STAR_STAR] = ACTIONS(268),
    [anon_sym_exec] = ACTIONS(273),
    [anon_sym_AT] = ACTIONS(268),
    [anon_sym_LBRACK] = ACTIONS(266),
    [anon_sym_EQ] = ACTIONS(279),
    [anon_sym_not] = ACTIONS(268),
    [anon_sym_and] = ACTIONS(268),
    [anon_sym_or] = ACTIONS(268),
    [anon_sym_PLUS] = ACTIONS(268),
    [anon_sym_DASH] = ACTIONS(268),
    [anon_sym_SLASH] = ACTIONS(268),
    [anon_sym_PERCENT] = ACTIONS(268),
    [anon_sym_SLASH_SLASH] = ACTIONS(268),
    [anon_sym_PIPE] = ACTIONS(268),
    [anon_sym_AMP] = ACTIONS(268),
    [anon_sym_CARET] = ACTIONS(268),
    [anon_sym_LT_LT] = ACTIONS(268),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(268),
    [anon_sym_LT_EQ] = ACTIONS(266),
    [anon_sym_EQ_EQ] = ACTIONS(266),
    [anon_sym_BANG_EQ] = ACTIONS(266),
    [anon_sym_GT_EQ] = ACTIONS(266),
    [anon_sym_GT] = ACTIONS(268),
    [anon_sym_LT_GT] = ACTIONS(266),
    [anon_sym_is] = ACTIONS(268),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(281),
    [anon_sym_DASH_EQ] = ACTIONS(281),
    [anon_sym_STAR_EQ] = ACTIONS(281),
    [anon_sym_SLASH_EQ] = ACTIONS(281),
    [anon_sym_AT_EQ] = ACTIONS(281),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(281),
    [anon_sym_PERCENT_EQ] = ACTIONS(281),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(281),
    [anon_sym_GT_GT_EQ] = ACTIONS(281),
    [anon_sym_LT_LT_EQ] = ACTIONS(281),
    [anon_sym_AMP_EQ] = ACTIONS(281),
    [anon_sym_CARET_EQ] = ACTIONS(281),
    [anon_sym_PIPE_EQ] = ACTIONS(281),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(283),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(266),
    [sym__string_start] = ACTIONS(77),
  },
  [79] = {
    [sym_named_expression] = STATE(1535),
    [sym__named_expression_lhs] = STATE(2190),
    [sym_as_pattern] = STATE(1535),
    [sym_expression] = STATE(1560),
    [sym_primary_expression] = STATE(874),
    [sym_not_operator] = STATE(1535),
    [sym_boolean_operator] = STATE(1535),
    [sym_binary_operator] = STATE(1273),
    [sym_unary_operator] = STATE(1273),
    [sym_comparison_operator] = STATE(1535),
    [sym_lambda] = STATE(1535),
    [sym_attribute] = STATE(1273),
    [sym_subscript] = STATE(1273),
    [sym_call] = STATE(1273),
    [sym_list] = STATE(1273),
    [sym_set] = STATE(1273),
    [sym_tuple] = STATE(1273),
    [sym_dictionary] = STATE(1273),
    [sym_list_comprehension] = STATE(1273),
    [sym_dictionary_comprehension] = STATE(1273),
    [sym_set_comprehension] = STATE(1273),
    [sym_generator_expression] = STATE(1273),
    [sym_parenthesized_expression] = STATE(1273),
    [sym_conditional_expression] = STATE(1535),
    [sym_concatenated_string] = STATE(1273),
    [sym_string] = STATE(875),
    [sym_await] = STATE(1535),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_SEMI] = ACTIONS(266),
    [anon_sym_DOT] = ACTIONS(268),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_COMMA] = ACTIONS(270),
    [anon_sym_as] = ACTIONS(268),
    [anon_sym_STAR] = ACTIONS(268),
    [anon_sym_print] = ACTIONS(289),
    [anon_sym_GT_GT] = ACTIONS(268),
    [anon_sym_COLON_EQ] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(268),
    [anon_sym_COLON] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(289),
    [anon_sym_async] = ACTIONS(289),
    [anon_sym_in] = ACTIONS(268),
    [anon_sym_STAR_STAR] = ACTIONS(268),
    [anon_sym_exec] = ACTIONS(289),
    [anon_sym_AT] = ACTIONS(268),
    [anon_sym_LBRACK] = ACTIONS(291),
    [anon_sym_EQ] = ACTIONS(279),
    [anon_sym_not] = ACTIONS(293),
    [anon_sym_and] = ACTIONS(268),
    [anon_sym_or] = ACTIONS(268),
    [anon_sym_PLUS] = ACTIONS(295),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_SLASH] = ACTIONS(268),
    [anon_sym_PERCENT] = ACTIONS(268),
    [anon_sym_SLASH_SLASH] = ACTIONS(268),
    [anon_sym_PIPE] = ACTIONS(268),
    [anon_sym_AMP] = ACTIONS(268),
    [anon_sym_CARET] = ACTIONS(268),
    [anon_sym_LT_LT] = ACTIONS(268),
    [anon_sym_TILDE] = ACTIONS(297),
    [anon_sym_LT] = ACTIONS(268),
    [anon_sym_LT_EQ] = ACTIONS(266),
    [anon_sym_EQ_EQ] = ACTIONS(266),
    [anon_sym_BANG_EQ] = ACTIONS(266),
    [anon_sym_GT_EQ] = ACTIONS(266),
    [anon_sym_GT] = ACTIONS(268),
    [anon_sym_LT_GT] = ACTIONS(266),
    [anon_sym_is] = ACTIONS(268),
    [anon_sym_lambda] = ACTIONS(299),
    [anon_sym_PLUS_EQ] = ACTIONS(281),
    [anon_sym_DASH_EQ] = ACTIONS(281),
    [anon_sym_STAR_EQ] = ACTIONS(281),
    [anon_sym_SLASH_EQ] = ACTIONS(281),
    [anon_sym_AT_EQ] = ACTIONS(281),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(281),
    [anon_sym_PERCENT_EQ] = ACTIONS(281),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(281),
    [anon_sym_GT_GT_EQ] = ACTIONS(281),
    [anon_sym_LT_LT_EQ] = ACTIONS(281),
    [anon_sym_AMP_EQ] = ACTIONS(281),
    [anon_sym_CARET_EQ] = ACTIONS(281),
    [anon_sym_PIPE_EQ] = ACTIONS(281),
    [sym_ellipsis] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(303),
    [sym_integer] = ACTIONS(305),
    [sym_float] = ACTIONS(301),
    [anon_sym_await] = ACTIONS(307),
    [sym_true] = ACTIONS(305),
    [sym_false] = ACTIONS(305),
    [sym_none] = ACTIONS(305),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(266),
    [sym__string_start] = ACTIONS(309),
  },
  [80] = {
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1493),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_attribute] = STATE(1157),
    [sym_subscript] = STATE(1157),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(264),
    [anon_sym_SEMI] = ACTIONS(266),
    [anon_sym_DOT] = ACTIONS(268),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_COMMA] = ACTIONS(270),
    [anon_sym_as] = ACTIONS(268),
    [anon_sym_STAR] = ACTIONS(268),
    [anon_sym_print] = ACTIONS(273),
    [anon_sym_GT_GT] = ACTIONS(268),
    [anon_sym_COLON_EQ] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(268),
    [anon_sym_COLON] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(273),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_in] = ACTIONS(268),
    [anon_sym_STAR_STAR] = ACTIONS(268),
    [anon_sym_exec] = ACTIONS(273),
    [anon_sym_AT] = ACTIONS(268),
    [anon_sym_LBRACK] = ACTIONS(313),
    [anon_sym_EQ] = ACTIONS(279),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_and] = ACTIONS(268),
    [anon_sym_or] = ACTIONS(268),
    [anon_sym_PLUS] = ACTIONS(315),
    [anon_sym_DASH] = ACTIONS(315),
    [anon_sym_SLASH] = ACTIONS(268),
    [anon_sym_PERCENT] = ACTIONS(268),
    [anon_sym_SLASH_SLASH] = ACTIONS(268),
    [anon_sym_PIPE] = ACTIONS(268),
    [anon_sym_AMP] = ACTIONS(268),
    [anon_sym_CARET] = ACTIONS(268),
    [anon_sym_LT_LT] = ACTIONS(268),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(268),
    [anon_sym_LT_EQ] = ACTIONS(266),
    [anon_sym_EQ_EQ] = ACTIONS(266),
    [anon_sym_BANG_EQ] = ACTIONS(266),
    [anon_sym_GT_EQ] = ACTIONS(266),
    [anon_sym_GT] = ACTIONS(268),
    [anon_sym_LT_GT] = ACTIONS(266),
    [anon_sym_is] = ACTIONS(268),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(281),
    [anon_sym_DASH_EQ] = ACTIONS(281),
    [anon_sym_STAR_EQ] = ACTIONS(281),
    [anon_sym_SLASH_EQ] = ACTIONS(281),
    [anon_sym_AT_EQ] = ACTIONS(281),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(281),
    [anon_sym_PERCENT_EQ] = ACTIONS(281),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(281),
    [anon_sym_GT_GT_EQ] = ACTIONS(281),
    [anon_sym_LT_LT_EQ] = ACTIONS(281),
    [anon_sym_AMP_EQ] = ACTIONS(281),
    [anon_sym_CARET_EQ] = ACTIONS(281),
    [anon_sym_PIPE_EQ] = ACTIONS(281),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(283),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(266),
    [sym__string_start] = ACTIONS(77),
  },
  [81] = {
    [sym_named_expression] = STATE(1535),
    [sym__named_expression_lhs] = STATE(2190),
    [sym_as_pattern] = STATE(1535),
    [sym_expression] = STATE(1616),
    [sym_primary_expression] = STATE(874),
    [sym_not_operator] = STATE(1535),
    [sym_boolean_operator] = STATE(1535),
    [sym_binary_operator] = STATE(1273),
    [sym_unary_operator] = STATE(1273),
    [sym_comparison_operator] = STATE(1535),
    [sym_lambda] = STATE(1535),
    [sym_attribute] = STATE(1273),
    [sym_subscript] = STATE(1273),
    [sym_call] = STATE(1273),
    [sym_list] = STATE(1273),
    [sym_set] = STATE(1273),
    [sym_tuple] = STATE(1273),
    [sym_dictionary] = STATE(1273),
    [sym_list_comprehension] = STATE(1273),
    [sym_dictionary_comprehension] = STATE(1273),
    [sym_set_comprehension] = STATE(1273),
    [sym_generator_expression] = STATE(1273),
    [sym_parenthesized_expression] = STATE(1273),
    [sym_conditional_expression] = STATE(1535),
    [sym_concatenated_string] = STATE(1273),
    [sym_string] = STATE(875),
    [sym_await] = STATE(1535),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_SEMI] = ACTIONS(266),
    [anon_sym_DOT] = ACTIONS(268),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_COMMA] = ACTIONS(270),
    [anon_sym_as] = ACTIONS(268),
    [anon_sym_STAR] = ACTIONS(268),
    [anon_sym_print] = ACTIONS(289),
    [anon_sym_GT_GT] = ACTIONS(268),
    [anon_sym_COLON_EQ] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(268),
    [anon_sym_COLON] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(289),
    [anon_sym_async] = ACTIONS(289),
    [anon_sym_in] = ACTIONS(268),
    [anon_sym_STAR_STAR] = ACTIONS(268),
    [anon_sym_exec] = ACTIONS(289),
    [anon_sym_AT] = ACTIONS(268),
    [anon_sym_LBRACK] = ACTIONS(291),
    [anon_sym_EQ] = ACTIONS(279),
    [anon_sym_not] = ACTIONS(293),
    [anon_sym_and] = ACTIONS(268),
    [anon_sym_or] = ACTIONS(268),
    [anon_sym_PLUS] = ACTIONS(295),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_SLASH] = ACTIONS(268),
    [anon_sym_PERCENT] = ACTIONS(268),
    [anon_sym_SLASH_SLASH] = ACTIONS(268),
    [anon_sym_PIPE] = ACTIONS(268),
    [anon_sym_AMP] = ACTIONS(268),
    [anon_sym_CARET] = ACTIONS(268),
    [anon_sym_LT_LT] = ACTIONS(268),
    [anon_sym_TILDE] = ACTIONS(297),
    [anon_sym_LT] = ACTIONS(268),
    [anon_sym_LT_EQ] = ACTIONS(266),
    [anon_sym_EQ_EQ] = ACTIONS(266),
    [anon_sym_BANG_EQ] = ACTIONS(266),
    [anon_sym_GT_EQ] = ACTIONS(266),
    [anon_sym_GT] = ACTIONS(268),
    [anon_sym_LT_GT] = ACTIONS(266),
    [anon_sym_is] = ACTIONS(268),
    [anon_sym_lambda] = ACTIONS(299),
    [anon_sym_PLUS_EQ] = ACTIONS(281),
    [anon_sym_DASH_EQ] = ACTIONS(281),
    [anon_sym_STAR_EQ] = ACTIONS(281),
    [anon_sym_SLASH_EQ] = ACTIONS(281),
    [anon_sym_AT_EQ] = ACTIONS(281),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(281),
    [anon_sym_PERCENT_EQ] = ACTIONS(281),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(281),
    [anon_sym_GT_GT_EQ] = ACTIONS(281),
    [anon_sym_LT_LT_EQ] = ACTIONS(281),
    [anon_sym_AMP_EQ] = ACTIONS(281),
    [anon_sym_CARET_EQ] = ACTIONS(281),
    [anon_sym_PIPE_EQ] = ACTIONS(281),
    [sym_ellipsis] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(303),
    [sym_integer] = ACTIONS(305),
    [sym_float] = ACTIONS(301),
    [anon_sym_await] = ACTIONS(307),
    [sym_true] = ACTIONS(305),
    [sym_false] = ACTIONS(305),
    [sym_none] = ACTIONS(305),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(266),
    [sym__string_start] = ACTIONS(309),
  },
  [82] = {
    [sym__simple_statements] = STATE(809),
    [sym_import_statement] = STATE(1793),
    [sym_future_import_statement] = STATE(1793),
    [sym_import_from_statement] = STATE(1793),
    [sym_print_statement] = STATE(1793),
    [sym_assert_statement] = STATE(1793),
    [sym_expression_statement] = STATE(1793),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1793),
    [sym_delete_statement] = STATE(1793),
    [sym_raise_statement] = STATE(1793),
    [sym_pass_statement] = STATE(1793),
    [sym_break_statement] = STATE(1793),
    [sym_continue_statement] = STATE(1793),
    [sym_global_statement] = STATE(1793),
    [sym_nonlocal_statement] = STATE(1793),
    [sym_exec_statement] = STATE(1793),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(319),
    [sym__indent] = ACTIONS(321),
    [sym__string_start] = ACTIONS(77),
  },
  [83] = {
    [sym__simple_statements] = STATE(598),
    [sym_import_statement] = STATE(1773),
    [sym_future_import_statement] = STATE(1773),
    [sym_import_from_statement] = STATE(1773),
    [sym_print_statement] = STATE(1773),
    [sym_assert_statement] = STATE(1773),
    [sym_expression_statement] = STATE(1773),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1773),
    [sym_delete_statement] = STATE(1773),
    [sym_raise_statement] = STATE(1773),
    [sym_pass_statement] = STATE(1773),
    [sym_break_statement] = STATE(1773),
    [sym_continue_statement] = STATE(1773),
    [sym_global_statement] = STATE(1773),
    [sym_nonlocal_statement] = STATE(1773),
    [sym_exec_statement] = STATE(1773),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(323),
    [sym__indent] = ACTIONS(325),
    [sym__string_start] = ACTIONS(77),
  },
  [84] = {
    [sym__simple_statements] = STATE(756),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(327),
    [sym__indent] = ACTIONS(329),
    [sym__string_start] = ACTIONS(77),
  },
  [85] = {
    [sym__simple_statements] = STATE(689),
    [sym_import_statement] = STATE(1793),
    [sym_future_import_statement] = STATE(1793),
    [sym_import_from_statement] = STATE(1793),
    [sym_print_statement] = STATE(1793),
    [sym_assert_statement] = STATE(1793),
    [sym_expression_statement] = STATE(1793),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1793),
    [sym_delete_statement] = STATE(1793),
    [sym_raise_statement] = STATE(1793),
    [sym_pass_statement] = STATE(1793),
    [sym_break_statement] = STATE(1793),
    [sym_continue_statement] = STATE(1793),
    [sym_global_statement] = STATE(1793),
    [sym_nonlocal_statement] = STATE(1793),
    [sym_exec_statement] = STATE(1793),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(331),
    [sym__indent] = ACTIONS(333),
    [sym__string_start] = ACTIONS(77),
  },
  [86] = {
    [sym__simple_statements] = STATE(812),
    [sym_import_statement] = STATE(1793),
    [sym_future_import_statement] = STATE(1793),
    [sym_import_from_statement] = STATE(1793),
    [sym_print_statement] = STATE(1793),
    [sym_assert_statement] = STATE(1793),
    [sym_expression_statement] = STATE(1793),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1793),
    [sym_delete_statement] = STATE(1793),
    [sym_raise_statement] = STATE(1793),
    [sym_pass_statement] = STATE(1793),
    [sym_break_statement] = STATE(1793),
    [sym_continue_statement] = STATE(1793),
    [sym_global_statement] = STATE(1793),
    [sym_nonlocal_statement] = STATE(1793),
    [sym_exec_statement] = STATE(1793),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(335),
    [sym__indent] = ACTIONS(337),
    [sym__string_start] = ACTIONS(77),
  },
  [87] = {
    [sym__simple_statements] = STATE(684),
    [sym_import_statement] = STATE(1793),
    [sym_future_import_statement] = STATE(1793),
    [sym_import_from_statement] = STATE(1793),
    [sym_print_statement] = STATE(1793),
    [sym_assert_statement] = STATE(1793),
    [sym_expression_statement] = STATE(1793),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1793),
    [sym_delete_statement] = STATE(1793),
    [sym_raise_statement] = STATE(1793),
    [sym_pass_statement] = STATE(1793),
    [sym_break_statement] = STATE(1793),
    [sym_continue_statement] = STATE(1793),
    [sym_global_statement] = STATE(1793),
    [sym_nonlocal_statement] = STATE(1793),
    [sym_exec_statement] = STATE(1793),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(339),
    [sym__indent] = ACTIONS(341),
    [sym__string_start] = ACTIONS(77),
  },
  [88] = {
    [sym__simple_statements] = STATE(781),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(343),
    [sym__indent] = ACTIONS(345),
    [sym__string_start] = ACTIONS(77),
  },
  [89] = {
    [sym__simple_statements] = STATE(758),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__indent] = ACTIONS(349),
    [sym__string_start] = ACTIONS(77),
  },
  [90] = {
    [sym__simple_statements] = STATE(701),
    [sym_import_statement] = STATE(1793),
    [sym_future_import_statement] = STATE(1793),
    [sym_import_from_statement] = STATE(1793),
    [sym_print_statement] = STATE(1793),
    [sym_assert_statement] = STATE(1793),
    [sym_expression_statement] = STATE(1793),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1793),
    [sym_delete_statement] = STATE(1793),
    [sym_raise_statement] = STATE(1793),
    [sym_pass_statement] = STATE(1793),
    [sym_break_statement] = STATE(1793),
    [sym_continue_statement] = STATE(1793),
    [sym_global_statement] = STATE(1793),
    [sym_nonlocal_statement] = STATE(1793),
    [sym_exec_statement] = STATE(1793),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(351),
    [sym__indent] = ACTIONS(353),
    [sym__string_start] = ACTIONS(77),
  },
  [91] = {
    [sym__simple_statements] = STATE(776),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(355),
    [sym__indent] = ACTIONS(357),
    [sym__string_start] = ACTIONS(77),
  },
  [92] = {
    [sym__simple_statements] = STATE(764),
    [sym_import_statement] = STATE(1793),
    [sym_future_import_statement] = STATE(1793),
    [sym_import_from_statement] = STATE(1793),
    [sym_print_statement] = STATE(1793),
    [sym_assert_statement] = STATE(1793),
    [sym_expression_statement] = STATE(1793),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1793),
    [sym_delete_statement] = STATE(1793),
    [sym_raise_statement] = STATE(1793),
    [sym_pass_statement] = STATE(1793),
    [sym_break_statement] = STATE(1793),
    [sym_continue_statement] = STATE(1793),
    [sym_global_statement] = STATE(1793),
    [sym_nonlocal_statement] = STATE(1793),
    [sym_exec_statement] = STATE(1793),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__indent] = ACTIONS(361),
    [sym__string_start] = ACTIONS(77),
  },
  [93] = {
    [sym__simple_statements] = STATE(655),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(363),
    [sym__indent] = ACTIONS(365),
    [sym__string_start] = ACTIONS(77),
  },
  [94] = {
    [sym__simple_statements] = STATE(596),
    [sym_import_statement] = STATE(1773),
    [sym_future_import_statement] = STATE(1773),
    [sym_import_from_statement] = STATE(1773),
    [sym_print_statement] = STATE(1773),
    [sym_assert_statement] = STATE(1773),
    [sym_expression_statement] = STATE(1773),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1773),
    [sym_delete_statement] = STATE(1773),
    [sym_raise_statement] = STATE(1773),
    [sym_pass_statement] = STATE(1773),
    [sym_break_statement] = STATE(1773),
    [sym_continue_statement] = STATE(1773),
    [sym_global_statement] = STATE(1773),
    [sym_nonlocal_statement] = STATE(1773),
    [sym_exec_statement] = STATE(1773),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(367),
    [sym__indent] = ACTIONS(369),
    [sym__string_start] = ACTIONS(77),
  },
  [95] = {
    [sym__simple_statements] = STATE(786),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__indent] = ACTIONS(373),
    [sym__string_start] = ACTIONS(77),
  },
  [96] = {
    [sym__simple_statements] = STATE(679),
    [sym_import_statement] = STATE(1793),
    [sym_future_import_statement] = STATE(1793),
    [sym_import_from_statement] = STATE(1793),
    [sym_print_statement] = STATE(1793),
    [sym_assert_statement] = STATE(1793),
    [sym_expression_statement] = STATE(1793),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1793),
    [sym_delete_statement] = STATE(1793),
    [sym_raise_statement] = STATE(1793),
    [sym_pass_statement] = STATE(1793),
    [sym_break_statement] = STATE(1793),
    [sym_continue_statement] = STATE(1793),
    [sym_global_statement] = STATE(1793),
    [sym_nonlocal_statement] = STATE(1793),
    [sym_exec_statement] = STATE(1793),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(375),
    [sym__indent] = ACTIONS(377),
    [sym__string_start] = ACTIONS(77),
  },
  [97] = {
    [sym__simple_statements] = STATE(466),
    [sym_import_statement] = STATE(1793),
    [sym_future_import_statement] = STATE(1793),
    [sym_import_from_statement] = STATE(1793),
    [sym_print_statement] = STATE(1793),
    [sym_assert_statement] = STATE(1793),
    [sym_expression_statement] = STATE(1793),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1793),
    [sym_delete_statement] = STATE(1793),
    [sym_raise_statement] = STATE(1793),
    [sym_pass_statement] = STATE(1793),
    [sym_break_statement] = STATE(1793),
    [sym_continue_statement] = STATE(1793),
    [sym_global_statement] = STATE(1793),
    [sym_nonlocal_statement] = STATE(1793),
    [sym_exec_statement] = STATE(1793),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(379),
    [sym__indent] = ACTIONS(381),
    [sym__string_start] = ACTIONS(77),
  },
  [98] = {
    [sym__simple_statements] = STATE(697),
    [sym_import_statement] = STATE(1793),
    [sym_future_import_statement] = STATE(1793),
    [sym_import_from_statement] = STATE(1793),
    [sym_print_statement] = STATE(1793),
    [sym_assert_statement] = STATE(1793),
    [sym_expression_statement] = STATE(1793),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1793),
    [sym_delete_statement] = STATE(1793),
    [sym_raise_statement] = STATE(1793),
    [sym_pass_statement] = STATE(1793),
    [sym_break_statement] = STATE(1793),
    [sym_continue_statement] = STATE(1793),
    [sym_global_statement] = STATE(1793),
    [sym_nonlocal_statement] = STATE(1793),
    [sym_exec_statement] = STATE(1793),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__indent] = ACTIONS(385),
    [sym__string_start] = ACTIONS(77),
  },
  [99] = {
    [sym__simple_statements] = STATE(739),
    [sym_import_statement] = STATE(1793),
    [sym_future_import_statement] = STATE(1793),
    [sym_import_from_statement] = STATE(1793),
    [sym_print_statement] = STATE(1793),
    [sym_assert_statement] = STATE(1793),
    [sym_expression_statement] = STATE(1793),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1793),
    [sym_delete_statement] = STATE(1793),
    [sym_raise_statement] = STATE(1793),
    [sym_pass_statement] = STATE(1793),
    [sym_break_statement] = STATE(1793),
    [sym_continue_statement] = STATE(1793),
    [sym_global_statement] = STATE(1793),
    [sym_nonlocal_statement] = STATE(1793),
    [sym_exec_statement] = STATE(1793),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(387),
    [sym__indent] = ACTIONS(389),
    [sym__string_start] = ACTIONS(77),
  },
  [100] = {
    [sym__simple_statements] = STATE(734),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(391),
    [sym__indent] = ACTIONS(393),
    [sym__string_start] = ACTIONS(77),
  },
  [101] = {
    [sym__simple_statements] = STATE(666),
    [sym_import_statement] = STATE(1793),
    [sym_future_import_statement] = STATE(1793),
    [sym_import_from_statement] = STATE(1793),
    [sym_print_statement] = STATE(1793),
    [sym_assert_statement] = STATE(1793),
    [sym_expression_statement] = STATE(1793),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1793),
    [sym_delete_statement] = STATE(1793),
    [sym_raise_statement] = STATE(1793),
    [sym_pass_statement] = STATE(1793),
    [sym_break_statement] = STATE(1793),
    [sym_continue_statement] = STATE(1793),
    [sym_global_statement] = STATE(1793),
    [sym_nonlocal_statement] = STATE(1793),
    [sym_exec_statement] = STATE(1793),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(395),
    [sym__indent] = ACTIONS(397),
    [sym__string_start] = ACTIONS(77),
  },
  [102] = {
    [sym__simple_statements] = STATE(730),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(399),
    [sym__indent] = ACTIONS(401),
    [sym__string_start] = ACTIONS(77),
  },
  [103] = {
    [sym__simple_statements] = STATE(618),
    [sym_import_statement] = STATE(1861),
    [sym_future_import_statement] = STATE(1861),
    [sym_import_from_statement] = STATE(1861),
    [sym_print_statement] = STATE(1861),
    [sym_assert_statement] = STATE(1861),
    [sym_expression_statement] = STATE(1861),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1861),
    [sym_delete_statement] = STATE(1861),
    [sym_raise_statement] = STATE(1861),
    [sym_pass_statement] = STATE(1861),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_global_statement] = STATE(1861),
    [sym_nonlocal_statement] = STATE(1861),
    [sym_exec_statement] = STATE(1861),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(403),
    [sym__indent] = ACTIONS(405),
    [sym__string_start] = ACTIONS(77),
  },
  [104] = {
    [sym__simple_statements] = STATE(680),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(407),
    [sym__indent] = ACTIONS(409),
    [sym__string_start] = ACTIONS(77),
  },
  [105] = {
    [sym__simple_statements] = STATE(683),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(411),
    [sym__indent] = ACTIONS(413),
    [sym__string_start] = ACTIONS(77),
  },
  [106] = {
    [sym__simple_statements] = STATE(804),
    [sym_import_statement] = STATE(1793),
    [sym_future_import_statement] = STATE(1793),
    [sym_import_from_statement] = STATE(1793),
    [sym_print_statement] = STATE(1793),
    [sym_assert_statement] = STATE(1793),
    [sym_expression_statement] = STATE(1793),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1793),
    [sym_delete_statement] = STATE(1793),
    [sym_raise_statement] = STATE(1793),
    [sym_pass_statement] = STATE(1793),
    [sym_break_statement] = STATE(1793),
    [sym_continue_statement] = STATE(1793),
    [sym_global_statement] = STATE(1793),
    [sym_nonlocal_statement] = STATE(1793),
    [sym_exec_statement] = STATE(1793),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(415),
    [sym__indent] = ACTIONS(417),
    [sym__string_start] = ACTIONS(77),
  },
  [107] = {
    [sym__simple_statements] = STATE(659),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(419),
    [sym__indent] = ACTIONS(421),
    [sym__string_start] = ACTIONS(77),
  },
  [108] = {
    [sym__simple_statements] = STATE(1549),
    [sym_import_statement] = STATE(1932),
    [sym_future_import_statement] = STATE(1932),
    [sym_import_from_statement] = STATE(1932),
    [sym_print_statement] = STATE(1932),
    [sym_assert_statement] = STATE(1932),
    [sym_expression_statement] = STATE(1932),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1932),
    [sym_delete_statement] = STATE(1932),
    [sym_raise_statement] = STATE(1932),
    [sym_pass_statement] = STATE(1932),
    [sym_break_statement] = STATE(1932),
    [sym_continue_statement] = STATE(1932),
    [sym_global_statement] = STATE(1932),
    [sym_nonlocal_statement] = STATE(1932),
    [sym_exec_statement] = STATE(1932),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(423),
    [sym__indent] = ACTIONS(425),
    [sym__string_start] = ACTIONS(77),
  },
  [109] = {
    [sym__simple_statements] = STATE(692),
    [sym_import_statement] = STATE(1793),
    [sym_future_import_statement] = STATE(1793),
    [sym_import_from_statement] = STATE(1793),
    [sym_print_statement] = STATE(1793),
    [sym_assert_statement] = STATE(1793),
    [sym_expression_statement] = STATE(1793),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1793),
    [sym_delete_statement] = STATE(1793),
    [sym_raise_statement] = STATE(1793),
    [sym_pass_statement] = STATE(1793),
    [sym_break_statement] = STATE(1793),
    [sym_continue_statement] = STATE(1793),
    [sym_global_statement] = STATE(1793),
    [sym_nonlocal_statement] = STATE(1793),
    [sym_exec_statement] = STATE(1793),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(427),
    [sym__indent] = ACTIONS(429),
    [sym__string_start] = ACTIONS(77),
  },
  [110] = {
    [sym__simple_statements] = STATE(802),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(431),
    [sym__indent] = ACTIONS(433),
    [sym__string_start] = ACTIONS(77),
  },
  [111] = {
    [sym__simple_statements] = STATE(1500),
    [sym_import_statement] = STATE(1932),
    [sym_future_import_statement] = STATE(1932),
    [sym_import_from_statement] = STATE(1932),
    [sym_print_statement] = STATE(1932),
    [sym_assert_statement] = STATE(1932),
    [sym_expression_statement] = STATE(1932),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1932),
    [sym_delete_statement] = STATE(1932),
    [sym_raise_statement] = STATE(1932),
    [sym_pass_statement] = STATE(1932),
    [sym_break_statement] = STATE(1932),
    [sym_continue_statement] = STATE(1932),
    [sym_global_statement] = STATE(1932),
    [sym_nonlocal_statement] = STATE(1932),
    [sym_exec_statement] = STATE(1932),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(435),
    [sym__indent] = ACTIONS(437),
    [sym__string_start] = ACTIONS(77),
  },
  [112] = {
    [sym__simple_statements] = STATE(665),
    [sym_import_statement] = STATE(1793),
    [sym_future_import_statement] = STATE(1793),
    [sym_import_from_statement] = STATE(1793),
    [sym_print_statement] = STATE(1793),
    [sym_assert_statement] = STATE(1793),
    [sym_expression_statement] = STATE(1793),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1793),
    [sym_delete_statement] = STATE(1793),
    [sym_raise_statement] = STATE(1793),
    [sym_pass_statement] = STATE(1793),
    [sym_break_statement] = STATE(1793),
    [sym_continue_statement] = STATE(1793),
    [sym_global_statement] = STATE(1793),
    [sym_nonlocal_statement] = STATE(1793),
    [sym_exec_statement] = STATE(1793),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(439),
    [sym__indent] = ACTIONS(441),
    [sym__string_start] = ACTIONS(77),
  },
  [113] = {
    [sym__simple_statements] = STATE(718),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(443),
    [sym__indent] = ACTIONS(445),
    [sym__string_start] = ACTIONS(77),
  },
  [114] = {
    [sym__simple_statements] = STATE(639),
    [sym_import_statement] = STATE(1861),
    [sym_future_import_statement] = STATE(1861),
    [sym_import_from_statement] = STATE(1861),
    [sym_print_statement] = STATE(1861),
    [sym_assert_statement] = STATE(1861),
    [sym_expression_statement] = STATE(1861),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1861),
    [sym_delete_statement] = STATE(1861),
    [sym_raise_statement] = STATE(1861),
    [sym_pass_statement] = STATE(1861),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_global_statement] = STATE(1861),
    [sym_nonlocal_statement] = STATE(1861),
    [sym_exec_statement] = STATE(1861),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(447),
    [sym__indent] = ACTIONS(449),
    [sym__string_start] = ACTIONS(77),
  },
  [115] = {
    [sym__simple_statements] = STATE(740),
    [sym_import_statement] = STATE(1793),
    [sym_future_import_statement] = STATE(1793),
    [sym_import_from_statement] = STATE(1793),
    [sym_print_statement] = STATE(1793),
    [sym_assert_statement] = STATE(1793),
    [sym_expression_statement] = STATE(1793),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1793),
    [sym_delete_statement] = STATE(1793),
    [sym_raise_statement] = STATE(1793),
    [sym_pass_statement] = STATE(1793),
    [sym_break_statement] = STATE(1793),
    [sym_continue_statement] = STATE(1793),
    [sym_global_statement] = STATE(1793),
    [sym_nonlocal_statement] = STATE(1793),
    [sym_exec_statement] = STATE(1793),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(451),
    [sym__indent] = ACTIONS(453),
    [sym__string_start] = ACTIONS(77),
  },
  [116] = {
    [sym__simple_statements] = STATE(599),
    [sym_import_statement] = STATE(1929),
    [sym_future_import_statement] = STATE(1929),
    [sym_import_from_statement] = STATE(1929),
    [sym_print_statement] = STATE(1929),
    [sym_assert_statement] = STATE(1929),
    [sym_expression_statement] = STATE(1929),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1929),
    [sym_delete_statement] = STATE(1929),
    [sym_raise_statement] = STATE(1929),
    [sym_pass_statement] = STATE(1929),
    [sym_break_statement] = STATE(1929),
    [sym_continue_statement] = STATE(1929),
    [sym_global_statement] = STATE(1929),
    [sym_nonlocal_statement] = STATE(1929),
    [sym_exec_statement] = STATE(1929),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(455),
    [sym__indent] = ACTIONS(457),
    [sym__string_start] = ACTIONS(77),
  },
  [117] = {
    [sym__simple_statements] = STATE(657),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(459),
    [sym__indent] = ACTIONS(461),
    [sym__string_start] = ACTIONS(77),
  },
  [118] = {
    [sym__simple_statements] = STATE(761),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(463),
    [sym__indent] = ACTIONS(465),
    [sym__string_start] = ACTIONS(77),
  },
  [119] = {
    [sym__simple_statements] = STATE(603),
    [sym_import_statement] = STATE(1773),
    [sym_future_import_statement] = STATE(1773),
    [sym_import_from_statement] = STATE(1773),
    [sym_print_statement] = STATE(1773),
    [sym_assert_statement] = STATE(1773),
    [sym_expression_statement] = STATE(1773),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1773),
    [sym_delete_statement] = STATE(1773),
    [sym_raise_statement] = STATE(1773),
    [sym_pass_statement] = STATE(1773),
    [sym_break_statement] = STATE(1773),
    [sym_continue_statement] = STATE(1773),
    [sym_global_statement] = STATE(1773),
    [sym_nonlocal_statement] = STATE(1773),
    [sym_exec_statement] = STATE(1773),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(467),
    [sym__indent] = ACTIONS(469),
    [sym__string_start] = ACTIONS(77),
  },
  [120] = {
    [sym__simple_statements] = STATE(765),
    [sym_import_statement] = STATE(1793),
    [sym_future_import_statement] = STATE(1793),
    [sym_import_from_statement] = STATE(1793),
    [sym_print_statement] = STATE(1793),
    [sym_assert_statement] = STATE(1793),
    [sym_expression_statement] = STATE(1793),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1793),
    [sym_delete_statement] = STATE(1793),
    [sym_raise_statement] = STATE(1793),
    [sym_pass_statement] = STATE(1793),
    [sym_break_statement] = STATE(1793),
    [sym_continue_statement] = STATE(1793),
    [sym_global_statement] = STATE(1793),
    [sym_nonlocal_statement] = STATE(1793),
    [sym_exec_statement] = STATE(1793),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(471),
    [sym__indent] = ACTIONS(473),
    [sym__string_start] = ACTIONS(77),
  },
  [121] = {
    [sym__simple_statements] = STATE(650),
    [sym_import_statement] = STATE(1793),
    [sym_future_import_statement] = STATE(1793),
    [sym_import_from_statement] = STATE(1793),
    [sym_print_statement] = STATE(1793),
    [sym_assert_statement] = STATE(1793),
    [sym_expression_statement] = STATE(1793),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1793),
    [sym_delete_statement] = STATE(1793),
    [sym_raise_statement] = STATE(1793),
    [sym_pass_statement] = STATE(1793),
    [sym_break_statement] = STATE(1793),
    [sym_continue_statement] = STATE(1793),
    [sym_global_statement] = STATE(1793),
    [sym_nonlocal_statement] = STATE(1793),
    [sym_exec_statement] = STATE(1793),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(475),
    [sym__indent] = ACTIONS(477),
    [sym__string_start] = ACTIONS(77),
  },
  [122] = {
    [sym__simple_statements] = STATE(726),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(479),
    [sym__indent] = ACTIONS(481),
    [sym__string_start] = ACTIONS(77),
  },
  [123] = {
    [sym__simple_statements] = STATE(662),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(483),
    [sym__indent] = ACTIONS(485),
    [sym__string_start] = ACTIONS(77),
  },
  [124] = {
    [sym__simple_statements] = STATE(685),
    [sym_import_statement] = STATE(1793),
    [sym_future_import_statement] = STATE(1793),
    [sym_import_from_statement] = STATE(1793),
    [sym_print_statement] = STATE(1793),
    [sym_assert_statement] = STATE(1793),
    [sym_expression_statement] = STATE(1793),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1793),
    [sym_delete_statement] = STATE(1793),
    [sym_raise_statement] = STATE(1793),
    [sym_pass_statement] = STATE(1793),
    [sym_break_statement] = STATE(1793),
    [sym_continue_statement] = STATE(1793),
    [sym_global_statement] = STATE(1793),
    [sym_nonlocal_statement] = STATE(1793),
    [sym_exec_statement] = STATE(1793),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(487),
    [sym__indent] = ACTIONS(489),
    [sym__string_start] = ACTIONS(77),
  },
  [125] = {
    [sym__simple_statements] = STATE(673),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(491),
    [sym__indent] = ACTIONS(493),
    [sym__string_start] = ACTIONS(77),
  },
  [126] = {
    [sym__simple_statements] = STATE(741),
    [sym_import_statement] = STATE(1793),
    [sym_future_import_statement] = STATE(1793),
    [sym_import_from_statement] = STATE(1793),
    [sym_print_statement] = STATE(1793),
    [sym_assert_statement] = STATE(1793),
    [sym_expression_statement] = STATE(1793),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1793),
    [sym_delete_statement] = STATE(1793),
    [sym_raise_statement] = STATE(1793),
    [sym_pass_statement] = STATE(1793),
    [sym_break_statement] = STATE(1793),
    [sym_continue_statement] = STATE(1793),
    [sym_global_statement] = STATE(1793),
    [sym_nonlocal_statement] = STATE(1793),
    [sym_exec_statement] = STATE(1793),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(495),
    [sym__indent] = ACTIONS(497),
    [sym__string_start] = ACTIONS(77),
  },
  [127] = {
    [sym__simple_statements] = STATE(696),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(499),
    [sym__indent] = ACTIONS(501),
    [sym__string_start] = ACTIONS(77),
  },
  [128] = {
    [sym__simple_statements] = STATE(672),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(503),
    [sym__indent] = ACTIONS(505),
    [sym__string_start] = ACTIONS(77),
  },
  [129] = {
    [sym__simple_statements] = STATE(700),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(507),
    [sym__indent] = ACTIONS(509),
    [sym__string_start] = ACTIONS(77),
  },
  [130] = {
    [sym__simple_statements] = STATE(572),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(511),
    [sym__indent] = ACTIONS(513),
    [sym__string_start] = ACTIONS(77),
  },
  [131] = {
    [sym__simple_statements] = STATE(671),
    [sym_import_statement] = STATE(1793),
    [sym_future_import_statement] = STATE(1793),
    [sym_import_from_statement] = STATE(1793),
    [sym_print_statement] = STATE(1793),
    [sym_assert_statement] = STATE(1793),
    [sym_expression_statement] = STATE(1793),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1793),
    [sym_delete_statement] = STATE(1793),
    [sym_raise_statement] = STATE(1793),
    [sym_pass_statement] = STATE(1793),
    [sym_break_statement] = STATE(1793),
    [sym_continue_statement] = STATE(1793),
    [sym_global_statement] = STATE(1793),
    [sym_nonlocal_statement] = STATE(1793),
    [sym_exec_statement] = STATE(1793),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(515),
    [sym__indent] = ACTIONS(517),
    [sym__string_start] = ACTIONS(77),
  },
  [132] = {
    [sym__simple_statements] = STATE(787),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(519),
    [sym__indent] = ACTIONS(521),
    [sym__string_start] = ACTIONS(77),
  },
  [133] = {
    [sym__simple_statements] = STATE(723),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(523),
    [sym__indent] = ACTIONS(525),
    [sym__string_start] = ACTIONS(77),
  },
  [134] = {
    [sym__simple_statements] = STATE(721),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(527),
    [sym__indent] = ACTIONS(529),
    [sym__string_start] = ACTIONS(77),
  },
  [135] = {
    [sym__simple_statements] = STATE(707),
    [sym_import_statement] = STATE(1793),
    [sym_future_import_statement] = STATE(1793),
    [sym_import_from_statement] = STATE(1793),
    [sym_print_statement] = STATE(1793),
    [sym_assert_statement] = STATE(1793),
    [sym_expression_statement] = STATE(1793),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1793),
    [sym_delete_statement] = STATE(1793),
    [sym_raise_statement] = STATE(1793),
    [sym_pass_statement] = STATE(1793),
    [sym_break_statement] = STATE(1793),
    [sym_continue_statement] = STATE(1793),
    [sym_global_statement] = STATE(1793),
    [sym_nonlocal_statement] = STATE(1793),
    [sym_exec_statement] = STATE(1793),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(531),
    [sym__indent] = ACTIONS(533),
    [sym__string_start] = ACTIONS(77),
  },
  [136] = {
    [sym__simple_statements] = STATE(744),
    [sym_import_statement] = STATE(1793),
    [sym_future_import_statement] = STATE(1793),
    [sym_import_from_statement] = STATE(1793),
    [sym_print_statement] = STATE(1793),
    [sym_assert_statement] = STATE(1793),
    [sym_expression_statement] = STATE(1793),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1793),
    [sym_delete_statement] = STATE(1793),
    [sym_raise_statement] = STATE(1793),
    [sym_pass_statement] = STATE(1793),
    [sym_break_statement] = STATE(1793),
    [sym_continue_statement] = STATE(1793),
    [sym_global_statement] = STATE(1793),
    [sym_nonlocal_statement] = STATE(1793),
    [sym_exec_statement] = STATE(1793),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(535),
    [sym__indent] = ACTIONS(537),
    [sym__string_start] = ACTIONS(77),
  },
  [137] = {
    [sym__simple_statements] = STATE(712),
    [sym_import_statement] = STATE(1793),
    [sym_future_import_statement] = STATE(1793),
    [sym_import_from_statement] = STATE(1793),
    [sym_print_statement] = STATE(1793),
    [sym_assert_statement] = STATE(1793),
    [sym_expression_statement] = STATE(1793),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1793),
    [sym_delete_statement] = STATE(1793),
    [sym_raise_statement] = STATE(1793),
    [sym_pass_statement] = STATE(1793),
    [sym_break_statement] = STATE(1793),
    [sym_continue_statement] = STATE(1793),
    [sym_global_statement] = STATE(1793),
    [sym_nonlocal_statement] = STATE(1793),
    [sym_exec_statement] = STATE(1793),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(539),
    [sym__indent] = ACTIONS(541),
    [sym__string_start] = ACTIONS(77),
  },
  [138] = {
    [sym__simple_statements] = STATE(619),
    [sym_import_statement] = STATE(1861),
    [sym_future_import_statement] = STATE(1861),
    [sym_import_from_statement] = STATE(1861),
    [sym_print_statement] = STATE(1861),
    [sym_assert_statement] = STATE(1861),
    [sym_expression_statement] = STATE(1861),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1861),
    [sym_delete_statement] = STATE(1861),
    [sym_raise_statement] = STATE(1861),
    [sym_pass_statement] = STATE(1861),
    [sym_break_statement] = STATE(1861),
    [sym_continue_statement] = STATE(1861),
    [sym_global_statement] = STATE(1861),
    [sym_nonlocal_statement] = STATE(1861),
    [sym_exec_statement] = STATE(1861),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(543),
    [sym__indent] = ACTIONS(545),
    [sym__string_start] = ACTIONS(77),
  },
  [139] = {
    [sym__simple_statements] = STATE(677),
    [sym_import_statement] = STATE(1793),
    [sym_future_import_statement] = STATE(1793),
    [sym_import_from_statement] = STATE(1793),
    [sym_print_statement] = STATE(1793),
    [sym_assert_statement] = STATE(1793),
    [sym_expression_statement] = STATE(1793),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1793),
    [sym_delete_statement] = STATE(1793),
    [sym_raise_statement] = STATE(1793),
    [sym_pass_statement] = STATE(1793),
    [sym_break_statement] = STATE(1793),
    [sym_continue_statement] = STATE(1793),
    [sym_global_statement] = STATE(1793),
    [sym_nonlocal_statement] = STATE(1793),
    [sym_exec_statement] = STATE(1793),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(547),
    [sym__indent] = ACTIONS(549),
    [sym__string_start] = ACTIONS(77),
  },
  [140] = {
    [sym__simple_statements] = STATE(797),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(551),
    [sym__indent] = ACTIONS(553),
    [sym__string_start] = ACTIONS(77),
  },
  [141] = {
    [sym__simple_statements] = STATE(711),
    [sym_import_statement] = STATE(1772),
    [sym_future_import_statement] = STATE(1772),
    [sym_import_from_statement] = STATE(1772),
    [sym_print_statement] = STATE(1772),
    [sym_assert_statement] = STATE(1772),
    [sym_expression_statement] = STATE(1772),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1772),
    [sym_delete_statement] = STATE(1772),
    [sym_raise_statement] = STATE(1772),
    [sym_pass_statement] = STATE(1772),
    [sym_break_statement] = STATE(1772),
    [sym_continue_statement] = STATE(1772),
    [sym_global_statement] = STATE(1772),
    [sym_nonlocal_statement] = STATE(1772),
    [sym_exec_statement] = STATE(1772),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(555),
    [sym__indent] = ACTIONS(557),
    [sym__string_start] = ACTIONS(77),
  },
  [142] = {
    [sym__simple_statements] = STATE(780),
    [sym_import_statement] = STATE(1793),
    [sym_future_import_statement] = STATE(1793),
    [sym_import_from_statement] = STATE(1793),
    [sym_print_statement] = STATE(1793),
    [sym_assert_statement] = STATE(1793),
    [sym_expression_statement] = STATE(1793),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1793),
    [sym_delete_statement] = STATE(1793),
    [sym_raise_statement] = STATE(1793),
    [sym_pass_statement] = STATE(1793),
    [sym_break_statement] = STATE(1793),
    [sym_continue_statement] = STATE(1793),
    [sym_global_statement] = STATE(1793),
    [sym_nonlocal_statement] = STATE(1793),
    [sym_exec_statement] = STATE(1793),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(559),
    [sym__indent] = ACTIONS(561),
    [sym__string_start] = ACTIONS(77),
  },
  [143] = {
    [sym__simple_statements] = STATE(768),
    [sym_import_statement] = STATE(1793),
    [sym_future_import_statement] = STATE(1793),
    [sym_import_from_statement] = STATE(1793),
    [sym_print_statement] = STATE(1793),
    [sym_assert_statement] = STATE(1793),
    [sym_expression_statement] = STATE(1793),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1793),
    [sym_delete_statement] = STATE(1793),
    [sym_raise_statement] = STATE(1793),
    [sym_pass_statement] = STATE(1793),
    [sym_break_statement] = STATE(1793),
    [sym_continue_statement] = STATE(1793),
    [sym_global_statement] = STATE(1793),
    [sym_nonlocal_statement] = STATE(1793),
    [sym_exec_statement] = STATE(1793),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(563),
    [sym__indent] = ACTIONS(565),
    [sym__string_start] = ACTIONS(77),
  },
  [144] = {
    [sym__simple_statements] = STATE(778),
    [sym_import_statement] = STATE(1793),
    [sym_future_import_statement] = STATE(1793),
    [sym_import_from_statement] = STATE(1793),
    [sym_print_statement] = STATE(1793),
    [sym_assert_statement] = STATE(1793),
    [sym_expression_statement] = STATE(1793),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1793),
    [sym_delete_statement] = STATE(1793),
    [sym_raise_statement] = STATE(1793),
    [sym_pass_statement] = STATE(1793),
    [sym_break_statement] = STATE(1793),
    [sym_continue_statement] = STATE(1793),
    [sym_global_statement] = STATE(1793),
    [sym_nonlocal_statement] = STATE(1793),
    [sym_exec_statement] = STATE(1793),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(567),
    [sym__indent] = ACTIONS(569),
    [sym__string_start] = ACTIONS(77),
  },
  [145] = {
    [sym__simple_statements] = STATE(622),
    [sym_import_statement] = STATE(1915),
    [sym_future_import_statement] = STATE(1915),
    [sym_import_from_statement] = STATE(1915),
    [sym_print_statement] = STATE(1915),
    [sym_assert_statement] = STATE(1915),
    [sym_expression_statement] = STATE(1915),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1915),
    [sym_delete_statement] = STATE(1915),
    [sym_raise_statement] = STATE(1915),
    [sym_pass_statement] = STATE(1915),
    [sym_break_statement] = STATE(1915),
    [sym_continue_statement] = STATE(1915),
    [sym_global_statement] = STATE(1915),
    [sym_nonlocal_statement] = STATE(1915),
    [sym_exec_statement] = STATE(1915),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(571),
    [sym__indent] = ACTIONS(573),
    [sym__string_start] = ACTIONS(77),
  },
  [146] = {
    [sym_import_statement] = STATE(1985),
    [sym_future_import_statement] = STATE(1985),
    [sym_import_from_statement] = STATE(1985),
    [sym_print_statement] = STATE(1985),
    [sym_assert_statement] = STATE(1985),
    [sym_expression_statement] = STATE(1985),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1985),
    [sym_delete_statement] = STATE(1985),
    [sym_raise_statement] = STATE(1985),
    [sym_pass_statement] = STATE(1985),
    [sym_break_statement] = STATE(1985),
    [sym_continue_statement] = STATE(1985),
    [sym_global_statement] = STATE(1985),
    [sym_nonlocal_statement] = STATE(1985),
    [sym_exec_statement] = STATE(1985),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(575),
    [sym__string_start] = ACTIONS(77),
  },
  [147] = {
    [sym_import_statement] = STATE(1985),
    [sym_future_import_statement] = STATE(1985),
    [sym_import_from_statement] = STATE(1985),
    [sym_print_statement] = STATE(1985),
    [sym_assert_statement] = STATE(1985),
    [sym_expression_statement] = STATE(1985),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1985),
    [sym_delete_statement] = STATE(1985),
    [sym_raise_statement] = STATE(1985),
    [sym_pass_statement] = STATE(1985),
    [sym_break_statement] = STATE(1985),
    [sym_continue_statement] = STATE(1985),
    [sym_global_statement] = STATE(1985),
    [sym_nonlocal_statement] = STATE(1985),
    [sym_exec_statement] = STATE(1985),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(577),
    [sym__string_start] = ACTIONS(77),
  },
  [148] = {
    [sym_import_statement] = STATE(1985),
    [sym_future_import_statement] = STATE(1985),
    [sym_import_from_statement] = STATE(1985),
    [sym_print_statement] = STATE(1985),
    [sym_assert_statement] = STATE(1985),
    [sym_expression_statement] = STATE(1985),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1985),
    [sym_delete_statement] = STATE(1985),
    [sym_raise_statement] = STATE(1985),
    [sym_pass_statement] = STATE(1985),
    [sym_break_statement] = STATE(1985),
    [sym_continue_statement] = STATE(1985),
    [sym_global_statement] = STATE(1985),
    [sym_nonlocal_statement] = STATE(1985),
    [sym_exec_statement] = STATE(1985),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(579),
    [sym__string_start] = ACTIONS(77),
  },
  [149] = {
    [sym_import_statement] = STATE(1985),
    [sym_future_import_statement] = STATE(1985),
    [sym_import_from_statement] = STATE(1985),
    [sym_print_statement] = STATE(1985),
    [sym_assert_statement] = STATE(1985),
    [sym_expression_statement] = STATE(1985),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1985),
    [sym_delete_statement] = STATE(1985),
    [sym_raise_statement] = STATE(1985),
    [sym_pass_statement] = STATE(1985),
    [sym_break_statement] = STATE(1985),
    [sym_continue_statement] = STATE(1985),
    [sym_global_statement] = STATE(1985),
    [sym_nonlocal_statement] = STATE(1985),
    [sym_exec_statement] = STATE(1985),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(581),
    [sym__string_start] = ACTIONS(77),
  },
  [150] = {
    [sym_import_statement] = STATE(1985),
    [sym_future_import_statement] = STATE(1985),
    [sym_import_from_statement] = STATE(1985),
    [sym_print_statement] = STATE(1985),
    [sym_assert_statement] = STATE(1985),
    [sym_expression_statement] = STATE(1985),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1985),
    [sym_delete_statement] = STATE(1985),
    [sym_raise_statement] = STATE(1985),
    [sym_pass_statement] = STATE(1985),
    [sym_break_statement] = STATE(1985),
    [sym_continue_statement] = STATE(1985),
    [sym_global_statement] = STATE(1985),
    [sym_nonlocal_statement] = STATE(1985),
    [sym_exec_statement] = STATE(1985),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(583),
    [sym__string_start] = ACTIONS(77),
  },
  [151] = {
    [sym_import_statement] = STATE(1985),
    [sym_future_import_statement] = STATE(1985),
    [sym_import_from_statement] = STATE(1985),
    [sym_print_statement] = STATE(1985),
    [sym_assert_statement] = STATE(1985),
    [sym_expression_statement] = STATE(1985),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1985),
    [sym_delete_statement] = STATE(1985),
    [sym_raise_statement] = STATE(1985),
    [sym_pass_statement] = STATE(1985),
    [sym_break_statement] = STATE(1985),
    [sym_continue_statement] = STATE(1985),
    [sym_global_statement] = STATE(1985),
    [sym_nonlocal_statement] = STATE(1985),
    [sym_exec_statement] = STATE(1985),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(585),
    [sym__string_start] = ACTIONS(77),
  },
  [152] = {
    [sym_import_statement] = STATE(1985),
    [sym_future_import_statement] = STATE(1985),
    [sym_import_from_statement] = STATE(1985),
    [sym_print_statement] = STATE(1985),
    [sym_assert_statement] = STATE(1985),
    [sym_expression_statement] = STATE(1985),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1985),
    [sym_delete_statement] = STATE(1985),
    [sym_raise_statement] = STATE(1985),
    [sym_pass_statement] = STATE(1985),
    [sym_break_statement] = STATE(1985),
    [sym_continue_statement] = STATE(1985),
    [sym_global_statement] = STATE(1985),
    [sym_nonlocal_statement] = STATE(1985),
    [sym_exec_statement] = STATE(1985),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(587),
    [sym__string_start] = ACTIONS(77),
  },
  [153] = {
    [sym_import_statement] = STATE(1985),
    [sym_future_import_statement] = STATE(1985),
    [sym_import_from_statement] = STATE(1985),
    [sym_print_statement] = STATE(1985),
    [sym_assert_statement] = STATE(1985),
    [sym_expression_statement] = STATE(1985),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1985),
    [sym_delete_statement] = STATE(1985),
    [sym_raise_statement] = STATE(1985),
    [sym_pass_statement] = STATE(1985),
    [sym_break_statement] = STATE(1985),
    [sym_continue_statement] = STATE(1985),
    [sym_global_statement] = STATE(1985),
    [sym_nonlocal_statement] = STATE(1985),
    [sym_exec_statement] = STATE(1985),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(589),
    [sym__string_start] = ACTIONS(77),
  },
  [154] = {
    [sym_import_statement] = STATE(1985),
    [sym_future_import_statement] = STATE(1985),
    [sym_import_from_statement] = STATE(1985),
    [sym_print_statement] = STATE(1985),
    [sym_assert_statement] = STATE(1985),
    [sym_expression_statement] = STATE(1985),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1985),
    [sym_delete_statement] = STATE(1985),
    [sym_raise_statement] = STATE(1985),
    [sym_pass_statement] = STATE(1985),
    [sym_break_statement] = STATE(1985),
    [sym_continue_statement] = STATE(1985),
    [sym_global_statement] = STATE(1985),
    [sym_nonlocal_statement] = STATE(1985),
    [sym_exec_statement] = STATE(1985),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(591),
    [sym__string_start] = ACTIONS(77),
  },
  [155] = {
    [sym_import_statement] = STATE(1985),
    [sym_future_import_statement] = STATE(1985),
    [sym_import_from_statement] = STATE(1985),
    [sym_print_statement] = STATE(1985),
    [sym_assert_statement] = STATE(1985),
    [sym_expression_statement] = STATE(1985),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1985),
    [sym_delete_statement] = STATE(1985),
    [sym_raise_statement] = STATE(1985),
    [sym_pass_statement] = STATE(1985),
    [sym_break_statement] = STATE(1985),
    [sym_continue_statement] = STATE(1985),
    [sym_global_statement] = STATE(1985),
    [sym_nonlocal_statement] = STATE(1985),
    [sym_exec_statement] = STATE(1985),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(593),
    [sym__string_start] = ACTIONS(77),
  },
  [156] = {
    [sym_import_statement] = STATE(1985),
    [sym_future_import_statement] = STATE(1985),
    [sym_import_from_statement] = STATE(1985),
    [sym_print_statement] = STATE(1985),
    [sym_assert_statement] = STATE(1985),
    [sym_expression_statement] = STATE(1985),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1985),
    [sym_delete_statement] = STATE(1985),
    [sym_raise_statement] = STATE(1985),
    [sym_pass_statement] = STATE(1985),
    [sym_break_statement] = STATE(1985),
    [sym_continue_statement] = STATE(1985),
    [sym_global_statement] = STATE(1985),
    [sym_nonlocal_statement] = STATE(1985),
    [sym_exec_statement] = STATE(1985),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(595),
    [sym__string_start] = ACTIONS(77),
  },
  [157] = {
    [sym_import_statement] = STATE(1985),
    [sym_future_import_statement] = STATE(1985),
    [sym_import_from_statement] = STATE(1985),
    [sym_print_statement] = STATE(1985),
    [sym_assert_statement] = STATE(1985),
    [sym_expression_statement] = STATE(1985),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1985),
    [sym_delete_statement] = STATE(1985),
    [sym_raise_statement] = STATE(1985),
    [sym_pass_statement] = STATE(1985),
    [sym_break_statement] = STATE(1985),
    [sym_continue_statement] = STATE(1985),
    [sym_global_statement] = STATE(1985),
    [sym_nonlocal_statement] = STATE(1985),
    [sym_exec_statement] = STATE(1985),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(597),
    [sym__string_start] = ACTIONS(77),
  },
  [158] = {
    [sym_import_statement] = STATE(1985),
    [sym_future_import_statement] = STATE(1985),
    [sym_import_from_statement] = STATE(1985),
    [sym_print_statement] = STATE(1985),
    [sym_assert_statement] = STATE(1985),
    [sym_expression_statement] = STATE(1985),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1985),
    [sym_delete_statement] = STATE(1985),
    [sym_raise_statement] = STATE(1985),
    [sym_pass_statement] = STATE(1985),
    [sym_break_statement] = STATE(1985),
    [sym_continue_statement] = STATE(1985),
    [sym_global_statement] = STATE(1985),
    [sym_nonlocal_statement] = STATE(1985),
    [sym_exec_statement] = STATE(1985),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(599),
    [sym__string_start] = ACTIONS(77),
  },
  [159] = {
    [sym_import_statement] = STATE(1985),
    [sym_future_import_statement] = STATE(1985),
    [sym_import_from_statement] = STATE(1985),
    [sym_print_statement] = STATE(1985),
    [sym_assert_statement] = STATE(1985),
    [sym_expression_statement] = STATE(1985),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1985),
    [sym_delete_statement] = STATE(1985),
    [sym_raise_statement] = STATE(1985),
    [sym_pass_statement] = STATE(1985),
    [sym_break_statement] = STATE(1985),
    [sym_continue_statement] = STATE(1985),
    [sym_global_statement] = STATE(1985),
    [sym_nonlocal_statement] = STATE(1985),
    [sym_exec_statement] = STATE(1985),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(601),
    [sym__string_start] = ACTIONS(77),
  },
  [160] = {
    [sym_import_statement] = STATE(1985),
    [sym_future_import_statement] = STATE(1985),
    [sym_import_from_statement] = STATE(1985),
    [sym_print_statement] = STATE(1985),
    [sym_assert_statement] = STATE(1985),
    [sym_expression_statement] = STATE(1985),
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_return_statement] = STATE(1985),
    [sym_delete_statement] = STATE(1985),
    [sym_raise_statement] = STATE(1985),
    [sym_pass_statement] = STATE(1985),
    [sym_break_statement] = STATE(1985),
    [sym_continue_statement] = STATE(1985),
    [sym_global_statement] = STATE(1985),
    [sym_nonlocal_statement] = STATE(1985),
    [sym_exec_statement] = STATE(1985),
    [sym_pattern] = STATE(1392),
    [sym_tuple_pattern] = STATE(1388),
    [sym_list_pattern] = STATE(1388),
    [sym_list_splat_pattern] = STATE(1388),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_assignment] = STATE(1989),
    [sym_augmented_assignment] = STATE(1989),
    [sym_pattern_list] = STATE(1402),
    [sym_yield] = STATE(1989),
    [sym_attribute] = STATE(506),
    [sym_subscript] = STATE(506),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(77),
  },
  [161] = {
    [sym_named_expression] = STATE(1478),
    [sym__named_expression_lhs] = STATE(2184),
    [sym_as_pattern] = STATE(1478),
    [sym_expression] = STATE(1493),
    [sym_primary_expression] = STATE(835),
    [sym_not_operator] = STATE(1478),
    [sym_boolean_operator] = STATE(1478),
    [sym_binary_operator] = STATE(1157),
    [sym_unary_operator] = STATE(1157),
    [sym_comparison_operator] = STATE(1478),
    [sym_lambda] = STATE(1478),
    [sym_attribute] = STATE(1157),
    [sym_subscript] = STATE(1157),
    [sym_call] = STATE(1157),
    [sym_list] = STATE(1157),
    [sym_set] = STATE(1157),
    [sym_tuple] = STATE(1157),
    [sym_dictionary] = STATE(1157),
    [sym_list_comprehension] = STATE(1157),
    [sym_dictionary_comprehension] = STATE(1157),
    [sym_set_comprehension] = STATE(1157),
    [sym_generator_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_conditional_expression] = STATE(1478),
    [sym_concatenated_string] = STATE(1157),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1478),
    [sym_identifier] = ACTIONS(264),
    [anon_sym_SEMI] = ACTIONS(266),
    [anon_sym_DOT] = ACTIONS(268),
    [anon_sym_from] = ACTIONS(268),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_COMMA] = ACTIONS(266),
    [anon_sym_as] = ACTIONS(268),
    [anon_sym_STAR] = ACTIONS(268),
    [anon_sym_print] = ACTIONS(273),
    [anon_sym_GT_GT] = ACTIONS(266),
    [anon_sym_COLON_EQ] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(268),
    [anon_sym_match] = ACTIONS(273),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_in] = ACTIONS(268),
    [anon_sym_STAR_STAR] = ACTIONS(266),
    [anon_sym_exec] = ACTIONS(273),
    [anon_sym_AT] = ACTIONS(266),
    [anon_sym_LBRACK] = ACTIONS(313),
    [anon_sym_EQ] = ACTIONS(268),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_and] = ACTIONS(268),
    [anon_sym_or] = ACTIONS(268),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_SLASH] = ACTIONS(268),
    [anon_sym_PERCENT] = ACTIONS(266),
    [anon_sym_SLASH_SLASH] = ACTIONS(266),
    [anon_sym_PIPE] = ACTIONS(266),
    [anon_sym_AMP] = ACTIONS(266),
    [anon_sym_CARET] = ACTIONS(266),
    [anon_sym_LT_LT] = ACTIONS(266),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(268),
    [anon_sym_LT_EQ] = ACTIONS(266),
    [anon_sym_EQ_EQ] = ACTIONS(266),
    [anon_sym_BANG_EQ] = ACTIONS(266),
    [anon_sym_GT_EQ] = ACTIONS(266),
    [anon_sym_GT] = ACTIONS(268),
    [anon_sym_LT_GT] = ACTIONS(266),
    [anon_sym_is] = ACTIONS(268),
    [anon_sym_lambda] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(283),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(266),
    [sym__string_start] = ACTIONS(77),
  },
  [162] = {
    [sym_named_expression] = STATE(1480),
    [sym__named_expression_lhs] = STATE(2217),
    [sym_as_pattern] = STATE(1480),
    [sym_expression] = STATE(1487),
    [sym_primary_expression] = STATE(836),
    [sym_not_operator] = STATE(1480),
    [sym_boolean_operator] = STATE(1480),
    [sym_binary_operator] = STATE(1156),
    [sym_unary_operator] = STATE(1156),
    [sym_comparison_operator] = STATE(1480),
    [sym_lambda] = STATE(1480),
    [sym_attribute] = STATE(1156),
    [sym_subscript] = STATE(1156),
    [sym_call] = STATE(1156),
    [sym_list] = STATE(1156),
    [sym_set] = STATE(1156),
    [sym_tuple] = STATE(1156),
    [sym_dictionary] = STATE(1156),
    [sym_list_comprehension] = STATE(1156),
    [sym_dictionary_comprehension] = STATE(1156),
    [sym_set_comprehension] = STATE(1156),
    [sym_generator_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(1156),
    [sym_conditional_expression] = STATE(1480),
    [sym_concatenated_string] = STATE(1156),
    [sym_string] = STATE(844),
    [sym_await] = STATE(1480),
    [sym_identifier] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(268),
    [anon_sym_LPAREN] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(266),
    [anon_sym_as] = ACTIONS(268),
    [anon_sym_STAR] = ACTIONS(268),
    [anon_sym_print] = ACTIONS(607),
    [anon_sym_GT_GT] = ACTIONS(266),
    [anon_sym_COLON_EQ] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(268),
    [anon_sym_COLON] = ACTIONS(268),
    [anon_sym_match] = ACTIONS(607),
    [anon_sym_async] = ACTIONS(607),
    [anon_sym_in] = ACTIONS(268),
    [anon_sym_STAR_STAR] = ACTIONS(266),
    [anon_sym_exec] = ACTIONS(607),
    [anon_sym_AT] = ACTIONS(266),
    [anon_sym_LBRACK] = ACTIONS(609),
    [anon_sym_EQ] = ACTIONS(268),
    [anon_sym_not] = ACTIONS(611),
    [anon_sym_and] = ACTIONS(268),
    [anon_sym_or] = ACTIONS(268),
    [anon_sym_PLUS] = ACTIONS(613),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_SLASH] = ACTIONS(268),
    [anon_sym_PERCENT] = ACTIONS(266),
    [anon_sym_SLASH_SLASH] = ACTIONS(266),
    [anon_sym_PIPE] = ACTIONS(266),
    [anon_sym_AMP] = ACTIONS(266),
    [anon_sym_CARET] = ACTIONS(266),
    [anon_sym_LT_LT] = ACTIONS(266),
    [anon_sym_TILDE] = ACTIONS(613),
    [anon_sym_LT] = ACTIONS(268),
    [anon_sym_LT_EQ] = ACTIONS(266),
    [anon_sym_EQ_EQ] = ACTIONS(266),
    [anon_sym_BANG_EQ] = ACTIONS(266),
    [anon_sym_GT_EQ] = ACTIONS(266),
    [anon_sym_GT] = ACTIONS(268),
    [anon_sym_LT_GT] = ACTIONS(266),
    [anon_sym_is] = ACTIONS(268),
    [anon_sym_lambda] = ACTIONS(615),
    [sym_ellipsis] = ACTIONS(617),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(266),
    [sym_type_conversion] = ACTIONS(266),
    [sym_integer] = ACTIONS(621),
    [sym_float] = ACTIONS(617),
    [anon_sym_await] = ACTIONS(623),
    [sym_true] = ACTIONS(621),
    [sym_false] = ACTIONS(621),
    [sym_none] = ACTIONS(621),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(625),
  },
  [163] = {
    [sym_named_expression] = STATE(1544),
    [sym__named_expression_lhs] = STATE(2123),
    [sym_as_pattern] = STATE(1544),
    [sym_expression] = STATE(1499),
    [sym_primary_expression] = STATE(863),
    [sym_not_operator] = STATE(1544),
    [sym_boolean_operator] = STATE(1544),
    [sym_binary_operator] = STATE(1212),
    [sym_unary_operator] = STATE(1212),
    [sym_comparison_operator] = STATE(1544),
    [sym_lambda] = STATE(1544),
    [sym_attribute] = STATE(1212),
    [sym_subscript] = STATE(1212),
    [sym_call] = STATE(1212),
    [sym_list] = STATE(1212),
    [sym_set] = STATE(1212),
    [sym_tuple] = STATE(1212),
    [sym_dictionary] = STATE(1212),
    [sym_list_comprehension] = STATE(1212),
    [sym_dictionary_comprehension] = STATE(1212),
    [sym_set_comprehension] = STATE(1212),
    [sym_generator_expression] = STATE(1212),
    [sym_parenthesized_expression] = STATE(1212),
    [sym_conditional_expression] = STATE(1544),
    [sym_concatenated_string] = STATE(1212),
    [sym_string] = STATE(866),
    [sym_await] = STATE(1544),
    [sym_identifier] = ACTIONS(627),
    [anon_sym_DOT] = ACTIONS(268),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_RPAREN] = ACTIONS(266),
    [anon_sym_COMMA] = ACTIONS(266),
    [anon_sym_as] = ACTIONS(268),
    [anon_sym_STAR] = ACTIONS(268),
    [anon_sym_print] = ACTIONS(631),
    [anon_sym_GT_GT] = ACTIONS(266),
    [anon_sym_COLON_EQ] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(268),
    [anon_sym_match] = ACTIONS(631),
    [anon_sym_async] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(268),
    [anon_sym_in] = ACTIONS(268),
    [anon_sym_STAR_STAR] = ACTIONS(266),
    [anon_sym_exec] = ACTIONS(631),
    [anon_sym_AT] = ACTIONS(266),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_EQ] = ACTIONS(635),
    [anon_sym_not] = ACTIONS(637),
    [anon_sym_and] = ACTIONS(268),
    [anon_sym_or] = ACTIONS(268),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_SLASH] = ACTIONS(268),
    [anon_sym_PERCENT] = ACTIONS(266),
    [anon_sym_SLASH_SLASH] = ACTIONS(266),
    [anon_sym_PIPE] = ACTIONS(266),
    [anon_sym_AMP] = ACTIONS(266),
    [anon_sym_CARET] = ACTIONS(266),
    [anon_sym_LT_LT] = ACTIONS(266),
    [anon_sym_TILDE] = ACTIONS(639),
    [anon_sym_LT] = ACTIONS(268),
    [anon_sym_LT_EQ] = ACTIONS(266),
    [anon_sym_EQ_EQ] = ACTIONS(266),
    [anon_sym_BANG_EQ] = ACTIONS(266),
    [anon_sym_GT_EQ] = ACTIONS(266),
    [anon_sym_GT] = ACTIONS(268),
    [anon_sym_LT_GT] = ACTIONS(266),
    [anon_sym_is] = ACTIONS(268),
    [anon_sym_lambda] = ACTIONS(641),
    [sym_ellipsis] = ACTIONS(643),
    [anon_sym_LBRACE] = ACTIONS(645),
    [sym_integer] = ACTIONS(647),
    [sym_float] = ACTIONS(643),
    [anon_sym_await] = ACTIONS(649),
    [sym_true] = ACTIONS(647),
    [sym_false] = ACTIONS(647),
    [sym_none] = ACTIONS(647),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(651),
  },
  [164] = {
    [sym_named_expression] = STATE(1535),
    [sym__named_expression_lhs] = STATE(2190),
    [sym_as_pattern] = STATE(1535),
    [sym_expression] = STATE(1522),
    [sym_primary_expression] = STATE(874),
    [sym_not_operator] = STATE(1535),
    [sym_boolean_operator] = STATE(1535),
    [sym_binary_operator] = STATE(1273),
    [sym_unary_operator] = STATE(1273),
    [sym_comparison_operator] = STATE(1535),
    [sym_lambda] = STATE(1535),
    [sym_attribute] = STATE(1273),
    [sym_subscript] = STATE(1273),
    [sym_call] = STATE(1273),
    [sym_list] = STATE(1273),
    [sym_set] = STATE(1273),
    [sym_tuple] = STATE(1273),
    [sym_dictionary] = STATE(1273),
    [sym_list_comprehension] = STATE(1273),
    [sym_dictionary_comprehension] = STATE(1273),
    [sym_set_comprehension] = STATE(1273),
    [sym_generator_expression] = STATE(1273),
    [sym_parenthesized_expression] = STATE(1273),
    [sym_conditional_expression] = STATE(1535),
    [sym_concatenated_string] = STATE(1273),
    [sym_string] = STATE(875),
    [sym_await] = STATE(1535),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_DOT] = ACTIONS(268),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_COMMA] = ACTIONS(266),
    [anon_sym_as] = ACTIONS(268),
    [anon_sym_STAR] = ACTIONS(268),
    [anon_sym_print] = ACTIONS(289),
    [anon_sym_GT_GT] = ACTIONS(266),
    [anon_sym_COLON_EQ] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(268),
    [anon_sym_COLON] = ACTIONS(268),
    [anon_sym_else] = ACTIONS(268),
    [anon_sym_match] = ACTIONS(289),
    [anon_sym_async] = ACTIONS(289),
    [anon_sym_in] = ACTIONS(268),
    [anon_sym_STAR_STAR] = ACTIONS(266),
    [anon_sym_exec] = ACTIONS(289),
    [anon_sym_AT] = ACTIONS(266),
    [anon_sym_LBRACK] = ACTIONS(291),
    [anon_sym_EQ] = ACTIONS(268),
    [anon_sym_not] = ACTIONS(293),
    [anon_sym_and] = ACTIONS(268),
    [anon_sym_or] = ACTIONS(268),
    [anon_sym_PLUS] = ACTIONS(297),
    [anon_sym_DASH] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(268),
    [anon_sym_PERCENT] = ACTIONS(266),
    [anon_sym_SLASH_SLASH] = ACTIONS(266),
    [anon_sym_PIPE] = ACTIONS(266),
    [anon_sym_AMP] = ACTIONS(266),
    [anon_sym_CARET] = ACTIONS(266),
    [anon_sym_LT_LT] = ACTIONS(266),
    [anon_sym_TILDE] = ACTIONS(297),
    [anon_sym_LT] = ACTIONS(268),
    [anon_sym_LT_EQ] = ACTIONS(266),
    [anon_sym_EQ_EQ] = ACTIONS(266),
    [anon_sym_BANG_EQ] = ACTIONS(266),
    [anon_sym_GT_EQ] = ACTIONS(266),
    [anon_sym_GT] = ACTIONS(268),
    [anon_sym_LT_GT] = ACTIONS(266),
    [anon_sym_is] = ACTIONS(268),
    [anon_sym_lambda] = ACTIONS(299),
    [sym_ellipsis] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(303),
    [sym_integer] = ACTIONS(305),
    [sym_float] = ACTIONS(301),
    [anon_sym_await] = ACTIONS(307),
    [sym_true] = ACTIONS(305),
    [sym_false] = ACTIONS(305),
    [sym_none] = ACTIONS(305),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
  },
  [165] = {
    [sym_named_expression] = STATE(1485),
    [sym__named_expression_lhs] = STATE(2053),
    [sym_as_pattern] = STATE(1485),
    [sym_expression] = STATE(1490),
    [sym_primary_expression] = STATE(839),
    [sym_not_operator] = STATE(1485),
    [sym_boolean_operator] = STATE(1485),
    [sym_binary_operator] = STATE(1047),
    [sym_unary_operator] = STATE(1047),
    [sym_comparison_operator] = STATE(1485),
    [sym_lambda] = STATE(1485),
    [sym_attribute] = STATE(1047),
    [sym_subscript] = STATE(1047),
    [sym_call] = STATE(1047),
    [sym_list] = STATE(1047),
    [sym_set] = STATE(1047),
    [sym_tuple] = STATE(1047),
    [sym_dictionary] = STATE(1047),
    [sym_list_comprehension] = STATE(1047),
    [sym_dictionary_comprehension] = STATE(1047),
    [sym_set_comprehension] = STATE(1047),
    [sym_generator_expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1485),
    [sym_concatenated_string] = STATE(1047),
    [sym_string] = STATE(841),
    [sym_await] = STATE(1485),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_DOT] = ACTIONS(268),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_COMMA] = ACTIONS(266),
    [anon_sym_as] = ACTIONS(268),
    [anon_sym_STAR] = ACTIONS(268),
    [anon_sym_print] = ACTIONS(657),
    [anon_sym_GT_GT] = ACTIONS(266),
    [anon_sym_COLON_EQ] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(268),
    [anon_sym_COLON] = ACTIONS(268),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_async] = ACTIONS(657),
    [anon_sym_for] = ACTIONS(268),
    [anon_sym_in] = ACTIONS(268),
    [anon_sym_STAR_STAR] = ACTIONS(266),
    [anon_sym_exec] = ACTIONS(657),
    [anon_sym_AT] = ACTIONS(266),
    [anon_sym_LBRACK] = ACTIONS(659),
    [anon_sym_not] = ACTIONS(661),
    [anon_sym_and] = ACTIONS(268),
    [anon_sym_or] = ACTIONS(268),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(663),
    [anon_sym_SLASH] = ACTIONS(268),
    [anon_sym_PERCENT] = ACTIONS(266),
    [anon_sym_SLASH_SLASH] = ACTIONS(266),
    [anon_sym_PIPE] = ACTIONS(266),
    [anon_sym_AMP] = ACTIONS(266),
    [anon_sym_CARET] = ACTIONS(266),
    [anon_sym_LT_LT] = ACTIONS(266),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_LT] = ACTIONS(268),
    [anon_sym_LT_EQ] = ACTIONS(266),
    [anon_sym_EQ_EQ] = ACTIONS(266),
    [anon_sym_BANG_EQ] = ACTIONS(266),
    [anon_sym_GT_EQ] = ACTIONS(266),
    [anon_sym_GT] = ACTIONS(268),
    [anon_sym_LT_GT] = ACTIONS(266),
    [anon_sym_is] = ACTIONS(268),
    [anon_sym_lambda] = ACTIONS(665),
    [sym_ellipsis] = ACTIONS(667),
    [anon_sym_LBRACE] = ACTIONS(669),
    [anon_sym_RBRACE] = ACTIONS(266),
    [sym_integer] = ACTIONS(671),
    [sym_float] = ACTIONS(667),
    [anon_sym_await] = ACTIONS(673),
    [sym_true] = ACTIONS(671),
    [sym_false] = ACTIONS(671),
    [sym_none] = ACTIONS(671),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(675),
  },
  [166] = {
    [sym_named_expression] = STATE(1544),
    [sym__named_expression_lhs] = STATE(2123),
    [sym_as_pattern] = STATE(1544),
    [sym_expression] = STATE(1499),
    [sym_primary_expression] = STATE(863),
    [sym_not_operator] = STATE(1544),
    [sym_boolean_operator] = STATE(1544),
    [sym_binary_operator] = STATE(1212),
    [sym_unary_operator] = STATE(1212),
    [sym_comparison_operator] = STATE(1544),
    [sym_lambda] = STATE(1544),
    [sym_attribute] = STATE(1212),
    [sym_subscript] = STATE(1212),
    [sym_call] = STATE(1212),
    [sym_list] = STATE(1212),
    [sym_set] = STATE(1212),
    [sym_tuple] = STATE(1212),
    [sym_dictionary] = STATE(1212),
    [sym_list_comprehension] = STATE(1212),
    [sym_dictionary_comprehension] = STATE(1212),
    [sym_set_comprehension] = STATE(1212),
    [sym_generator_expression] = STATE(1212),
    [sym_parenthesized_expression] = STATE(1212),
    [sym_conditional_expression] = STATE(1544),
    [sym_concatenated_string] = STATE(1212),
    [sym_string] = STATE(866),
    [sym_await] = STATE(1544),
    [sym_identifier] = ACTIONS(627),
    [anon_sym_DOT] = ACTIONS(268),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_RPAREN] = ACTIONS(266),
    [anon_sym_COMMA] = ACTIONS(266),
    [anon_sym_as] = ACTIONS(268),
    [anon_sym_STAR] = ACTIONS(268),
    [anon_sym_print] = ACTIONS(631),
    [anon_sym_GT_GT] = ACTIONS(266),
    [anon_sym_COLON_EQ] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(268),
    [anon_sym_match] = ACTIONS(631),
    [anon_sym_async] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(268),
    [anon_sym_in] = ACTIONS(268),
    [anon_sym_STAR_STAR] = ACTIONS(266),
    [anon_sym_exec] = ACTIONS(631),
    [anon_sym_AT] = ACTIONS(266),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_not] = ACTIONS(637),
    [anon_sym_and] = ACTIONS(268),
    [anon_sym_or] = ACTIONS(268),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_SLASH] = ACTIONS(268),
    [anon_sym_PERCENT] = ACTIONS(266),
    [anon_sym_SLASH_SLASH] = ACTIONS(266),
    [anon_sym_PIPE] = ACTIONS(266),
    [anon_sym_AMP] = ACTIONS(266),
    [anon_sym_CARET] = ACTIONS(266),
    [anon_sym_LT_LT] = ACTIONS(266),
    [anon_sym_TILDE] = ACTIONS(639),
    [anon_sym_LT] = ACTIONS(268),
    [anon_sym_LT_EQ] = ACTIONS(266),
    [anon_sym_EQ_EQ] = ACTIONS(266),
    [anon_sym_BANG_EQ] = ACTIONS(266),
    [anon_sym_GT_EQ] = ACTIONS(266),
    [anon_sym_GT] = ACTIONS(268),
    [anon_sym_LT_GT] = ACTIONS(266),
    [anon_sym_is] = ACTIONS(268),
    [anon_sym_lambda] = ACTIONS(641),
    [sym_ellipsis] = ACTIONS(643),
    [anon_sym_LBRACE] = ACTIONS(645),
    [sym_integer] = ACTIONS(647),
    [sym_float] = ACTIONS(643),
    [anon_sym_await] = ACTIONS(649),
    [sym_true] = ACTIONS(647),
    [sym_false] = ACTIONS(647),
    [sym_none] = ACTIONS(647),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(651),
  },
  [167] = {
    [sym_named_expression] = STATE(1598),
    [sym__named_expression_lhs] = STATE(2073),
    [sym_as_pattern] = STATE(1598),
    [sym_expression] = STATE(1579),
    [sym_primary_expression] = STATE(992),
    [sym_not_operator] = STATE(1598),
    [sym_boolean_operator] = STATE(1598),
    [sym_binary_operator] = STATE(1301),
    [sym_unary_operator] = STATE(1301),
    [sym_comparison_operator] = STATE(1598),
    [sym_lambda] = STATE(1598),
    [sym_attribute] = STATE(1301),
    [sym_subscript] = STATE(1301),
    [sym_call] = STATE(1301),
    [sym_list] = STATE(1301),
    [sym_set] = STATE(1301),
    [sym_tuple] = STATE(1301),
    [sym_dictionary] = STATE(1301),
    [sym_list_comprehension] = STATE(1301),
    [sym_dictionary_comprehension] = STATE(1301),
    [sym_set_comprehension] = STATE(1301),
    [sym_generator_expression] = STATE(1301),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_conditional_expression] = STATE(1598),
    [sym_concatenated_string] = STATE(1301),
    [sym_string] = STATE(989),
    [sym_await] = STATE(1598),
    [sym_identifier] = ACTIONS(677),
    [anon_sym_DOT] = ACTIONS(268),
    [anon_sym_LPAREN] = ACTIONS(679),
    [anon_sym_COMMA] = ACTIONS(266),
    [anon_sym_as] = ACTIONS(268),
    [anon_sym_STAR] = ACTIONS(268),
    [anon_sym_print] = ACTIONS(681),
    [anon_sym_GT_GT] = ACTIONS(266),
    [anon_sym_COLON_EQ] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(268),
    [anon_sym_COLON] = ACTIONS(268),
    [anon_sym_match] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(681),
    [anon_sym_in] = ACTIONS(268),
    [anon_sym_STAR_STAR] = ACTIONS(266),
    [anon_sym_exec] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(266),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(266),
    [anon_sym_not] = ACTIONS(685),
    [anon_sym_and] = ACTIONS(268),
    [anon_sym_or] = ACTIONS(268),
    [anon_sym_PLUS] = ACTIONS(687),
    [anon_sym_DASH] = ACTIONS(687),
    [anon_sym_SLASH] = ACTIONS(268),
    [anon_sym_PERCENT] = ACTIONS(266),
    [anon_sym_SLASH_SLASH] = ACTIONS(266),
    [anon_sym_PIPE] = ACTIONS(266),
    [anon_sym_AMP] = ACTIONS(266),
    [anon_sym_CARET] = ACTIONS(266),
    [anon_sym_LT_LT] = ACTIONS(266),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_LT] = ACTIONS(268),
    [anon_sym_LT_EQ] = ACTIONS(266),
    [anon_sym_EQ_EQ] = ACTIONS(266),
    [anon_sym_BANG_EQ] = ACTIONS(266),
    [anon_sym_GT_EQ] = ACTIONS(266),
    [anon_sym_GT] = ACTIONS(268),
    [anon_sym_LT_GT] = ACTIONS(266),
    [anon_sym_is] = ACTIONS(268),
    [anon_sym_lambda] = ACTIONS(689),
    [sym_ellipsis] = ACTIONS(691),
    [anon_sym_LBRACE] = ACTIONS(693),
    [sym_integer] = ACTIONS(695),
    [sym_float] = ACTIONS(691),
    [anon_sym_await] = ACTIONS(697),
    [sym_true] = ACTIONS(695),
    [sym_false] = ACTIONS(695),
    [sym_none] = ACTIONS(695),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(699),
  },
  [168] = {
    [sym_named_expression] = STATE(1567),
    [sym__named_expression_lhs] = STATE(2035),
    [sym_as_pattern] = STATE(1567),
    [sym_expression] = STATE(1571),
    [sym_primary_expression] = STATE(912),
    [sym_not_operator] = STATE(1567),
    [sym_boolean_operator] = STATE(1567),
    [sym_binary_operator] = STATE(1290),
    [sym_unary_operator] = STATE(1290),
    [sym_comparison_operator] = STATE(1567),
    [sym_lambda] = STATE(1567),
    [sym_attribute] = STATE(1290),
    [sym_subscript] = STATE(1290),
    [sym_call] = STATE(1290),
    [sym_list] = STATE(1290),
    [sym_set] = STATE(1290),
    [sym_tuple] = STATE(1290),
    [sym_dictionary] = STATE(1290),
    [sym_list_comprehension] = STATE(1290),
    [sym_dictionary_comprehension] = STATE(1290),
    [sym_set_comprehension] = STATE(1290),
    [sym_generator_expression] = STATE(1290),
    [sym_parenthesized_expression] = STATE(1290),
    [sym_conditional_expression] = STATE(1567),
    [sym_concatenated_string] = STATE(1290),
    [sym_string] = STATE(914),
    [sym_await] = STATE(1567),
    [sym_identifier] = ACTIONS(701),
    [anon_sym_DOT] = ACTIONS(268),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_RPAREN] = ACTIONS(266),
    [anon_sym_COMMA] = ACTIONS(266),
    [anon_sym_as] = ACTIONS(268),
    [anon_sym_STAR] = ACTIONS(268),
    [anon_sym_print] = ACTIONS(705),
    [anon_sym_GT_GT] = ACTIONS(266),
    [anon_sym_COLON_EQ] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(268),
    [anon_sym_match] = ACTIONS(705),
    [anon_sym_async] = ACTIONS(705),
    [anon_sym_in] = ACTIONS(268),
    [anon_sym_STAR_STAR] = ACTIONS(266),
    [anon_sym_exec] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(266),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_EQ] = ACTIONS(635),
    [anon_sym_not] = ACTIONS(709),
    [anon_sym_and] = ACTIONS(268),
    [anon_sym_or] = ACTIONS(268),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_SLASH] = ACTIONS(268),
    [anon_sym_PERCENT] = ACTIONS(266),
    [anon_sym_SLASH_SLASH] = ACTIONS(266),
    [anon_sym_PIPE] = ACTIONS(266),
    [anon_sym_AMP] = ACTIONS(266),
    [anon_sym_CARET] = ACTIONS(266),
    [anon_sym_LT_LT] = ACTIONS(266),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_LT] = ACTIONS(268),
    [anon_sym_LT_EQ] = ACTIONS(266),
    [anon_sym_EQ_EQ] = ACTIONS(266),
    [anon_sym_BANG_EQ] = ACTIONS(266),
    [anon_sym_GT_EQ] = ACTIONS(266),
    [anon_sym_GT] = ACTIONS(268),
    [anon_sym_LT_GT] = ACTIONS(266),
    [anon_sym_is] = ACTIONS(268),
    [anon_sym_lambda] = ACTIONS(713),
    [sym_ellipsis] = ACTIONS(715),
    [anon_sym_LBRACE] = ACTIONS(717),
    [sym_integer] = ACTIONS(719),
    [sym_float] = ACTIONS(715),
    [anon_sym_await] = ACTIONS(721),
    [sym_true] = ACTIONS(719),
    [sym_false] = ACTIONS(719),
    [sym_none] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(723),
  },
  [169] = {
    [sym_named_expression] = STATE(1520),
    [sym__named_expression_lhs] = STATE(2099),
    [sym_as_pattern] = STATE(1520),
    [sym_expression] = STATE(1558),
    [sym_primary_expression] = STATE(883),
    [sym_not_operator] = STATE(1520),
    [sym_boolean_operator] = STATE(1520),
    [sym_binary_operator] = STATE(1181),
    [sym_unary_operator] = STATE(1181),
    [sym_comparison_operator] = STATE(1520),
    [sym_lambda] = STATE(1520),
    [sym_attribute] = STATE(1181),
    [sym_subscript] = STATE(1181),
    [sym_call] = STATE(1181),
    [sym_list] = STATE(1181),
    [sym_set] = STATE(1181),
    [sym_tuple] = STATE(1181),
    [sym_dictionary] = STATE(1181),
    [sym_list_comprehension] = STATE(1181),
    [sym_dictionary_comprehension] = STATE(1181),
    [sym_set_comprehension] = STATE(1181),
    [sym_generator_expression] = STATE(1181),
    [sym_parenthesized_expression] = STATE(1181),
    [sym_conditional_expression] = STATE(1520),
    [sym_concatenated_string] = STATE(1181),
    [sym_string] = STATE(884),
    [sym_await] = STATE(1520),
    [sym_identifier] = ACTIONS(725),
    [anon_sym_DOT] = ACTIONS(268),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_COMMA] = ACTIONS(266),
    [anon_sym_as] = ACTIONS(268),
    [anon_sym_STAR] = ACTIONS(268),
    [anon_sym_print] = ACTIONS(729),
    [anon_sym_GT_GT] = ACTIONS(266),
    [anon_sym_COLON_EQ] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(268),
    [anon_sym_match] = ACTIONS(729),
    [anon_sym_async] = ACTIONS(729),
    [anon_sym_for] = ACTIONS(268),
    [anon_sym_in] = ACTIONS(268),
    [anon_sym_STAR_STAR] = ACTIONS(266),
    [anon_sym_exec] = ACTIONS(729),
    [anon_sym_AT] = ACTIONS(266),
    [anon_sym_LBRACK] = ACTIONS(731),
    [anon_sym_RBRACK] = ACTIONS(266),
    [anon_sym_not] = ACTIONS(733),
    [anon_sym_and] = ACTIONS(268),
    [anon_sym_or] = ACTIONS(268),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(735),
    [anon_sym_SLASH] = ACTIONS(268),
    [anon_sym_PERCENT] = ACTIONS(266),
    [anon_sym_SLASH_SLASH] = ACTIONS(266),
    [anon_sym_PIPE] = ACTIONS(266),
    [anon_sym_AMP] = ACTIONS(266),
    [anon_sym_CARET] = ACTIONS(266),
    [anon_sym_LT_LT] = ACTIONS(266),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_LT] = ACTIONS(268),
    [anon_sym_LT_EQ] = ACTIONS(266),
    [anon_sym_EQ_EQ] = ACTIONS(266),
    [anon_sym_BANG_EQ] = ACTIONS(266),
    [anon_sym_GT_EQ] = ACTIONS(266),
    [anon_sym_GT] = ACTIONS(268),
    [anon_sym_LT_GT] = ACTIONS(266),
    [anon_sym_is] = ACTIONS(268),
    [anon_sym_lambda] = ACTIONS(737),
    [sym_ellipsis] = ACTIONS(739),
    [anon_sym_LBRACE] = ACTIONS(741),
    [sym_integer] = ACTIONS(743),
    [sym_float] = ACTIONS(739),
    [anon_sym_await] = ACTIONS(745),
    [sym_true] = ACTIONS(743),
    [sym_false] = ACTIONS(743),
    [sym_none] = ACTIONS(743),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(747),
  },
  [170] = {
    [sym_named_expression] = STATE(1567),
    [sym__named_expression_lhs] = STATE(2035),
    [sym_as_pattern] = STATE(1567),
    [sym_expression] = STATE(1571),
    [sym_primary_expression] = STATE(912),
    [sym_not_operator] = STATE(1567),
    [sym_boolean_operator] = STATE(1567),
    [sym_binary_operator] = STATE(1290),
    [sym_unary_operator] = STATE(1290),
    [sym_comparison_operator] = STATE(1567),
    [sym_lambda] = STATE(1567),
    [sym_attribute] = STATE(1290),
    [sym_subscript] = STATE(1290),
    [sym_call] = STATE(1290),
    [sym_list] = STATE(1290),
    [sym_set] = STATE(1290),
    [sym_tuple] = STATE(1290),
    [sym_dictionary] = STATE(1290),
    [sym_list_comprehension] = STATE(1290),
    [sym_dictionary_comprehension] = STATE(1290),
    [sym_set_comprehension] = STATE(1290),
    [sym_generator_expression] = STATE(1290),
    [sym_parenthesized_expression] = STATE(1290),
    [sym_conditional_expression] = STATE(1567),
    [sym_concatenated_string] = STATE(1290),
    [sym_string] = STATE(914),
    [sym_await] = STATE(1567),
    [sym_identifier] = ACTIONS(701),
    [anon_sym_DOT] = ACTIONS(268),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_RPAREN] = ACTIONS(266),
    [anon_sym_COMMA] = ACTIONS(266),
    [anon_sym_as] = ACTIONS(268),
    [anon_sym_STAR] = ACTIONS(268),
    [anon_sym_print] = ACTIONS(705),
    [anon_sym_GT_GT] = ACTIONS(266),
    [anon_sym_COLON_EQ] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(268),
    [anon_sym_match] = ACTIONS(705),
    [anon_sym_async] = ACTIONS(705),
    [anon_sym_in] = ACTIONS(268),
    [anon_sym_STAR_STAR] = ACTIONS(266),
    [anon_sym_exec] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(266),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_EQ] = ACTIONS(268),
    [anon_sym_not] = ACTIONS(709),
    [anon_sym_and] = ACTIONS(268),
    [anon_sym_or] = ACTIONS(268),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_SLASH] = ACTIONS(268),
    [anon_sym_PERCENT] = ACTIONS(266),
    [anon_sym_SLASH_SLASH] = ACTIONS(266),
    [anon_sym_PIPE] = ACTIONS(266),
    [anon_sym_AMP] = ACTIONS(266),
    [anon_sym_CARET] = ACTIONS(266),
    [anon_sym_LT_LT] = ACTIONS(266),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_LT] = ACTIONS(268),
    [anon_sym_LT_EQ] = ACTIONS(266),
    [anon_sym_EQ_EQ] = ACTIONS(266),
    [anon_sym_BANG_EQ] = ACTIONS(266),
    [anon_sym_GT_EQ] = ACTIONS(266),
    [anon_sym_GT] = ACTIONS(268),
    [anon_sym_LT_GT] = ACTIONS(266),
    [anon_sym_is] = ACTIONS(268),
    [anon_sym_lambda] = ACTIONS(713),
    [sym_ellipsis] = ACTIONS(715),
    [anon_sym_LBRACE] = ACTIONS(717),
    [sym_integer] = ACTIONS(719),
    [sym_float] = ACTIONS(715),
    [anon_sym_await] = ACTIONS(721),
    [sym_true] = ACTIONS(719),
    [sym_false] = ACTIONS(719),
    [sym_none] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(723),
  },
  [171] = {
    [sym_named_expression] = STATE(1544),
    [sym__named_expression_lhs] = STATE(2123),
    [sym_as_pattern] = STATE(1544),
    [sym_expression] = STATE(1499),
    [sym_primary_expression] = STATE(863),
    [sym_not_operator] = STATE(1544),
    [sym_boolean_operator] = STATE(1544),
    [sym_binary_operator] = STATE(1212),
    [sym_unary_operator] = STATE(1212),
    [sym_comparison_operator] = STATE(1544),
    [sym_lambda] = STATE(1544),
    [sym_attribute] = STATE(1212),
    [sym_subscript] = STATE(1212),
    [sym_call] = STATE(1212),
    [sym_list] = STATE(1212),
    [sym_set] = STATE(1212),
    [sym_tuple] = STATE(1212),
    [sym_dictionary] = STATE(1212),
    [sym_list_comprehension] = STATE(1212),
    [sym_dictionary_comprehension] = STATE(1212),
    [sym_set_comprehension] = STATE(1212),
    [sym_generator_expression] = STATE(1212),
    [sym_parenthesized_expression] = STATE(1212),
    [sym_conditional_expression] = STATE(1544),
    [sym_concatenated_string] = STATE(1212),
    [sym_string] = STATE(866),
    [sym_await] = STATE(1544),
    [sym_identifier] = ACTIONS(627),
    [anon_sym_DOT] = ACTIONS(268),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_RPAREN] = ACTIONS(270),
    [anon_sym_COMMA] = ACTIONS(270),
    [anon_sym_as] = ACTIONS(268),
    [anon_sym_STAR] = ACTIONS(268),
    [anon_sym_print] = ACTIONS(631),
    [anon_sym_GT_GT] = ACTIONS(266),
    [anon_sym_COLON_EQ] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(268),
    [anon_sym_match] = ACTIONS(631),
    [anon_sym_async] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(268),
    [anon_sym_in] = ACTIONS(268),
    [anon_sym_STAR_STAR] = ACTIONS(266),
    [anon_sym_exec] = ACTIONS(631),
    [anon_sym_AT] = ACTIONS(266),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_not] = ACTIONS(637),
    [anon_sym_and] = ACTIONS(268),
    [anon_sym_or] = ACTIONS(268),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_SLASH] = ACTIONS(268),
    [anon_sym_PERCENT] = ACTIONS(266),
    [anon_sym_SLASH_SLASH] = ACTIONS(266),
    [anon_sym_PIPE] = ACTIONS(266),
    [anon_sym_AMP] = ACTIONS(266),
    [anon_sym_CARET] = ACTIONS(266),
    [anon_sym_LT_LT] = ACTIONS(266),
    [anon_sym_TILDE] = ACTIONS(639),
    [anon_sym_LT] = ACTIONS(268),
    [anon_sym_LT_EQ] = ACTIONS(266),
    [anon_sym_EQ_EQ] = ACTIONS(266),
    [anon_sym_BANG_EQ] = ACTIONS(266),
    [anon_sym_GT_EQ] = ACTIONS(266),
    [anon_sym_GT] = ACTIONS(268),
    [anon_sym_LT_GT] = ACTIONS(266),
    [anon_sym_is] = ACTIONS(268),
    [anon_sym_lambda] = ACTIONS(641),
    [sym_ellipsis] = ACTIONS(643),
    [anon_sym_LBRACE] = ACTIONS(645),
    [sym_integer] = ACTIONS(647),
    [sym_float] = ACTIONS(643),
    [anon_sym_await] = ACTIONS(649),
    [sym_true] = ACTIONS(647),
    [sym_false] = ACTIONS(647),
    [sym_none] = ACTIONS(647),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(651),
  },
  [172] = {
    [sym_named_expression] = STATE(1520),
    [sym__named_expression_lhs] = STATE(2099),
    [sym_as_pattern] = STATE(1520),
    [sym_expression] = STATE(1558),
    [sym_primary_expression] = STATE(883),
    [sym_not_operator] = STATE(1520),
    [sym_boolean_operator] = STATE(1520),
    [sym_binary_operator] = STATE(1181),
    [sym_unary_operator] = STATE(1181),
    [sym_comparison_operator] = STATE(1520),
    [sym_lambda] = STATE(1520),
    [sym_attribute] = STATE(1181),
    [sym_subscript] = STATE(1181),
    [sym_call] = STATE(1181),
    [sym_list] = STATE(1181),
    [sym_set] = STATE(1181),
    [sym_tuple] = STATE(1181),
    [sym_dictionary] = STATE(1181),
    [sym_list_comprehension] = STATE(1181),
    [sym_dictionary_comprehension] = STATE(1181),
    [sym_set_comprehension] = STATE(1181),
    [sym_generator_expression] = STATE(1181),
    [sym_parenthesized_expression] = STATE(1181),
    [sym_conditional_expression] = STATE(1520),
    [sym_concatenated_string] = STATE(1181),
    [sym_string] = STATE(884),
    [sym_await] = STATE(1520),
    [sym_identifier] = ACTIONS(725),
    [anon_sym_DOT] = ACTIONS(268),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_COMMA] = ACTIONS(270),
    [anon_sym_as] = ACTIONS(268),
    [anon_sym_STAR] = ACTIONS(268),
    [anon_sym_print] = ACTIONS(729),
    [anon_sym_GT_GT] = ACTIONS(266),
    [anon_sym_COLON_EQ] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(268),
    [anon_sym_match] = ACTIONS(729),
    [anon_sym_async] = ACTIONS(729),
    [anon_sym_for] = ACTIONS(268),
    [anon_sym_in] = ACTIONS(268),
    [anon_sym_STAR_STAR] = ACTIONS(266),
    [anon_sym_exec] = ACTIONS(729),
    [anon_sym_AT] = ACTIONS(266),
    [anon_sym_LBRACK] = ACTIONS(731),
    [anon_sym_RBRACK] = ACTIONS(270),
    [anon_sym_not] = ACTIONS(733),
    [anon_sym_and] = ACTIONS(268),
    [anon_sym_or] = ACTIONS(268),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(735),
    [anon_sym_SLASH] = ACTIONS(268),
    [anon_sym_PERCENT] = ACTIONS(266),
    [anon_sym_SLASH_SLASH] = ACTIONS(266),
    [anon_sym_PIPE] = ACTIONS(266),
    [anon_sym_AMP] = ACTIONS(266),
    [anon_sym_CARET] = ACTIONS(266),
    [anon_sym_LT_LT] = ACTIONS(266),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_LT] = ACTIONS(268),
    [anon_sym_LT_EQ] = ACTIONS(266),
    [anon_sym_EQ_EQ] = ACTIONS(266),
    [anon_sym_BANG_EQ] = ACTIONS(266),
    [anon_sym_GT_EQ] = ACTIONS(266),
    [anon_sym_GT] = ACTIONS(268),
    [anon_sym_LT_GT] = ACTIONS(266),
    [anon_sym_is] = ACTIONS(268),
    [anon_sym_lambda] = ACTIONS(737),
    [sym_ellipsis] = ACTIONS(739),
    [anon_sym_LBRACE] = ACTIONS(741),
    [sym_integer] = ACTIONS(743),
    [sym_float] = ACTIONS(739),
    [anon_sym_await] = ACTIONS(745),
    [sym_true] = ACTIONS(743),
    [sym_false] = ACTIONS(743),
    [sym_none] = ACTIONS(743),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(747),
  },
  [173] = {
    [sym_named_expression] = STATE(1598),
    [sym__named_expression_lhs] = STATE(2073),
    [sym_as_pattern] = STATE(1598),
    [sym_expression] = STATE(1579),
    [sym_primary_expression] = STATE(992),
    [sym_not_operator] = STATE(1598),
    [sym_boolean_operator] = STATE(1598),
    [sym_binary_operator] = STATE(1301),
    [sym_unary_operator] = STATE(1301),
    [sym_comparison_operator] = STATE(1598),
    [sym_lambda] = STATE(1598),
    [sym_attribute] = STATE(1301),
    [sym_subscript] = STATE(1301),
    [sym_call] = STATE(1301),
    [sym_list] = STATE(1301),
    [sym_set] = STATE(1301),
    [sym_tuple] = STATE(1301),
    [sym_dictionary] = STATE(1301),
    [sym_list_comprehension] = STATE(1301),
    [sym_dictionary_comprehension] = STATE(1301),
    [sym_set_comprehension] = STATE(1301),
    [sym_generator_expression] = STATE(1301),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_conditional_expression] = STATE(1598),
    [sym_concatenated_string] = STATE(1301),
    [sym_string] = STATE(989),
    [sym_await] = STATE(1598),
    [sym_identifier] = ACTIONS(677),
    [anon_sym_DOT] = ACTIONS(268),
    [anon_sym_LPAREN] = ACTIONS(679),
    [anon_sym_COMMA] = ACTIONS(749),
    [anon_sym_as] = ACTIONS(268),
    [anon_sym_STAR] = ACTIONS(268),
    [anon_sym_print] = ACTIONS(681),
    [anon_sym_GT_GT] = ACTIONS(266),
    [anon_sym_COLON_EQ] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(268),
    [anon_sym_match] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(681),
    [anon_sym_in] = ACTIONS(268),
    [anon_sym_STAR_STAR] = ACTIONS(266),
    [anon_sym_exec] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(266),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(749),
    [anon_sym_not] = ACTIONS(685),
    [anon_sym_and] = ACTIONS(268),
    [anon_sym_or] = ACTIONS(268),
    [anon_sym_PLUS] = ACTIONS(687),
    [anon_sym_DASH] = ACTIONS(687),
    [anon_sym_SLASH] = ACTIONS(268),
    [anon_sym_PERCENT] = ACTIONS(266),
    [anon_sym_SLASH_SLASH] = ACTIONS(266),
    [anon_sym_PIPE] = ACTIONS(266),
    [anon_sym_AMP] = ACTIONS(266),
    [anon_sym_CARET] = ACTIONS(266),
    [anon_sym_LT_LT] = ACTIONS(266),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_LT] = ACTIONS(268),
    [anon_sym_LT_EQ] = ACTIONS(266),
    [anon_sym_EQ_EQ] = ACTIONS(266),
    [anon_sym_BANG_EQ] = ACTIONS(266),
    [anon_sym_GT_EQ] = ACTIONS(266),
    [anon_sym_GT] = ACTIONS(268),
    [anon_sym_LT_GT] = ACTIONS(266),
    [anon_sym_is] = ACTIONS(268),
    [anon_sym_lambda] = ACTIONS(689),
    [sym_ellipsis] = ACTIONS(691),
    [anon_sym_LBRACE] = ACTIONS(693),
    [sym_integer] = ACTIONS(695),
    [sym_float] = ACTIONS(691),
    [anon_sym_await] = ACTIONS(697),
    [sym_true] = ACTIONS(695),
    [sym_false] = ACTIONS(695),
    [sym_none] = ACTIONS(695),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(699),
  },
  [174] = {
    [sym_named_expression] = STATE(1567),
    [sym__named_expression_lhs] = STATE(2035),
    [sym_as_pattern] = STATE(1567),
    [sym_expression] = STATE(1571),
    [sym_primary_expression] = STATE(912),
    [sym_not_operator] = STATE(1567),
    [sym_boolean_operator] = STATE(1567),
    [sym_binary_operator] = STATE(1290),
    [sym_unary_operator] = STATE(1290),
    [sym_comparison_operator] = STATE(1567),
    [sym_lambda] = STATE(1567),
    [sym_attribute] = STATE(1290),
    [sym_subscript] = STATE(1290),
    [sym_call] = STATE(1290),
    [sym_list] = STATE(1290),
    [sym_set] = STATE(1290),
    [sym_tuple] = STATE(1290),
    [sym_dictionary] = STATE(1290),
    [sym_list_comprehension] = STATE(1290),
    [sym_dictionary_comprehension] = STATE(1290),
    [sym_set_comprehension] = STATE(1290),
    [sym_generator_expression] = STATE(1290),
    [sym_parenthesized_expression] = STATE(1290),
    [sym_conditional_expression] = STATE(1567),
    [sym_concatenated_string] = STATE(1290),
    [sym_string] = STATE(914),
    [sym_await] = STATE(1567),
    [sym_identifier] = ACTIONS(701),
    [anon_sym_DOT] = ACTIONS(268),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_RPAREN] = ACTIONS(749),
    [anon_sym_COMMA] = ACTIONS(749),
    [anon_sym_as] = ACTIONS(268),
    [anon_sym_STAR] = ACTIONS(268),
    [anon_sym_print] = ACTIONS(705),
    [anon_sym_GT_GT] = ACTIONS(266),
    [anon_sym_COLON_EQ] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(268),
    [anon_sym_match] = ACTIONS(705),
    [anon_sym_async] = ACTIONS(705),
    [anon_sym_in] = ACTIONS(268),
    [anon_sym_STAR_STAR] = ACTIONS(266),
    [anon_sym_exec] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(266),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_not] = ACTIONS(709),
    [anon_sym_and] = ACTIONS(268),
    [anon_sym_or] = ACTIONS(268),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_SLASH] = ACTIONS(268),
    [anon_sym_PERCENT] = ACTIONS(266),
    [anon_sym_SLASH_SLASH] = ACTIONS(266),
    [anon_sym_PIPE] = ACTIONS(266),
    [anon_sym_AMP] = ACTIONS(266),
    [anon_sym_CARET] = ACTIONS(266),
    [anon_sym_LT_LT] = ACTIONS(266),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_LT] = ACTIONS(268),
    [anon_sym_LT_EQ] = ACTIONS(266),
    [anon_sym_EQ_EQ] = ACTIONS(266),
    [anon_sym_BANG_EQ] = ACTIONS(266),
    [anon_sym_GT_EQ] = ACTIONS(266),
    [anon_sym_GT] = ACTIONS(268),
    [anon_sym_LT_GT] = ACTIONS(266),
    [anon_sym_is] = ACTIONS(268),
    [anon_sym_lambda] = ACTIONS(713),
    [sym_ellipsis] = ACTIONS(715),
    [anon_sym_LBRACE] = ACTIONS(717),
    [sym_integer] = ACTIONS(719),
    [sym_float] = ACTIONS(715),
    [anon_sym_await] = ACTIONS(721),
    [sym_true] = ACTIONS(719),
    [sym_false] = ACTIONS(719),
    [sym_none] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(723),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(733), 1,
      anon_sym_not,
    ACTIONS(737), 1,
      anon_sym_lambda,
    ACTIONS(741), 1,
      anon_sym_LBRACE,
    ACTIONS(747), 1,
      sym__string_start,
    ACTIONS(752), 1,
      sym_identifier,
    ACTIONS(754), 1,
      anon_sym_LPAREN,
    ACTIONS(756), 1,
      anon_sym_STAR,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(762), 1,
      anon_sym_RBRACK,
    ACTIONS(764), 1,
      anon_sym_yield,
    ACTIONS(766), 1,
      anon_sym_await,
    STATE(883), 1,
      sym_primary_expression,
    STATE(884), 1,
      sym_string,
    STATE(1436), 1,
      sym_expression,
    STATE(1965), 1,
      sym_pattern,
    STATE(2099), 1,
      sym__named_expression_lhs,
    STATE(2181), 1,
      sym__collection_elements,
    STATE(2191), 1,
      sym__patterns,
    ACTIONS(739), 2,
      sym_ellipsis,
      sym_float,
    STATE(1179), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(735), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1853), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    STATE(2012), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(743), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(758), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1520), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1181), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [118] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_not,
    ACTIONS(641), 1,
      anon_sym_lambda,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(651), 1,
      sym__string_start,
    ACTIONS(768), 1,
      sym_identifier,
    ACTIONS(770), 1,
      anon_sym_LPAREN,
    ACTIONS(772), 1,
      anon_sym_RPAREN,
    ACTIONS(774), 1,
      anon_sym_STAR,
    ACTIONS(778), 1,
      anon_sym_LBRACK,
    ACTIONS(780), 1,
      anon_sym_yield,
    ACTIONS(782), 1,
      anon_sym_await,
    STATE(863), 1,
      sym_primary_expression,
    STATE(866), 1,
      sym_string,
    STATE(1415), 1,
      sym_expression,
    STATE(1872), 1,
      sym_yield,
    STATE(1959), 1,
      sym_pattern,
    STATE(2078), 1,
      sym__collection_elements,
    STATE(2100), 1,
      sym__patterns,
    STATE(2123), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    STATE(1223), 2,
      sym_attribute,
      sym_subscript,
    STATE(1847), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1967), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(647), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(776), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1544), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1212), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [238] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(733), 1,
      anon_sym_not,
    ACTIONS(737), 1,
      anon_sym_lambda,
    ACTIONS(741), 1,
      anon_sym_LBRACE,
    ACTIONS(747), 1,
      sym__string_start,
    ACTIONS(752), 1,
      sym_identifier,
    ACTIONS(754), 1,
      anon_sym_LPAREN,
    ACTIONS(756), 1,
      anon_sym_STAR,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_yield,
    ACTIONS(766), 1,
      anon_sym_await,
    ACTIONS(784), 1,
      anon_sym_RBRACK,
    STATE(883), 1,
      sym_primary_expression,
    STATE(884), 1,
      sym_string,
    STATE(1436), 1,
      sym_expression,
    STATE(1965), 1,
      sym_pattern,
    STATE(2099), 1,
      sym__named_expression_lhs,
    STATE(2181), 1,
      sym__collection_elements,
    STATE(2183), 1,
      sym__patterns,
    ACTIONS(739), 2,
      sym_ellipsis,
      sym_float,
    STATE(1179), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(735), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1853), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    STATE(2012), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(743), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(758), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1520), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1181), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [356] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(67), 1,
      anon_sym_yield,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(75), 1,
      anon_sym_await,
    ACTIONS(77), 1,
      sym__string_start,
    STATE(835), 1,
      sym_primary_expression,
    STATE(837), 1,
      sym_string,
    STATE(1392), 1,
      sym_pattern,
    STATE(1402), 1,
      sym_pattern_list,
    STATE(1545), 1,
      sym_expression,
    STATE(2184), 1,
      sym__named_expression_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    STATE(506), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1388), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(317), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1988), 5,
      sym_expression_list,
      sym_assignment,
      sym_augmented_assignment,
      sym__right_hand_side,
      sym_yield,
    STATE(1478), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1157), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [470] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(67), 1,
      anon_sym_yield,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(75), 1,
      anon_sym_await,
    ACTIONS(77), 1,
      sym__string_start,
    STATE(835), 1,
      sym_primary_expression,
    STATE(837), 1,
      sym_string,
    STATE(1392), 1,
      sym_pattern,
    STATE(1402), 1,
      sym_pattern_list,
    STATE(1545), 1,
      sym_expression,
    STATE(2184), 1,
      sym__named_expression_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    STATE(506), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1388), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(317), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2001), 5,
      sym_expression_list,
      sym_assignment,
      sym_augmented_assignment,
      sym__right_hand_side,
      sym_yield,
    STATE(1478), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1157), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [584] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(733), 1,
      anon_sym_not,
    ACTIONS(737), 1,
      anon_sym_lambda,
    ACTIONS(741), 1,
      anon_sym_LBRACE,
    ACTIONS(747), 1,
      sym__string_start,
    ACTIONS(752), 1,
      sym_identifier,
    ACTIONS(754), 1,
      anon_sym_LPAREN,
    ACTIONS(756), 1,
      anon_sym_STAR,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_yield,
    ACTIONS(766), 1,
      anon_sym_await,
    ACTIONS(786), 1,
      anon_sym_RBRACK,
    STATE(883), 1,
      sym_primary_expression,
    STATE(884), 1,
      sym_string,
    STATE(1435), 1,
      sym_expression,
    STATE(1965), 1,
      sym_pattern,
    STATE(2090), 1,
      sym__collection_elements,
    STATE(2099), 1,
      sym__named_expression_lhs,
    STATE(2183), 1,
      sym__patterns,
    ACTIONS(739), 2,
      sym_ellipsis,
      sym_float,
    STATE(1179), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(735), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1853), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    STATE(2012), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(743), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(758), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1520), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1181), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [702] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_not,
    ACTIONS(641), 1,
      anon_sym_lambda,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(651), 1,
      sym__string_start,
    ACTIONS(768), 1,
      sym_identifier,
    ACTIONS(770), 1,
      anon_sym_LPAREN,
    ACTIONS(774), 1,
      anon_sym_STAR,
    ACTIONS(778), 1,
      anon_sym_LBRACK,
    ACTIONS(780), 1,
      anon_sym_yield,
    ACTIONS(782), 1,
      anon_sym_await,
    ACTIONS(788), 1,
      anon_sym_RPAREN,
    STATE(863), 1,
      sym_primary_expression,
    STATE(866), 1,
      sym_string,
    STATE(1428), 1,
      sym_expression,
    STATE(1797), 1,
      sym_yield,
    STATE(1959), 1,
      sym_pattern,
    STATE(2123), 1,
      sym__named_expression_lhs,
    STATE(2187), 1,
      sym__collection_elements,
    STATE(2188), 1,
      sym__patterns,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    STATE(1223), 2,
      sym_attribute,
      sym_subscript,
    STATE(1847), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1967), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(647), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(776), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1544), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1212), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [822] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(67), 1,
      anon_sym_yield,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(75), 1,
      anon_sym_await,
    ACTIONS(77), 1,
      sym__string_start,
    STATE(835), 1,
      sym_primary_expression,
    STATE(837), 1,
      sym_string,
    STATE(1392), 1,
      sym_pattern,
    STATE(1402), 1,
      sym_pattern_list,
    STATE(1545), 1,
      sym_expression,
    STATE(2184), 1,
      sym__named_expression_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    STATE(506), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1388), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(317), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2011), 5,
      sym_expression_list,
      sym_assignment,
      sym_augmented_assignment,
      sym__right_hand_side,
      sym_yield,
    STATE(1478), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1157), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [936] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_not,
    ACTIONS(641), 1,
      anon_sym_lambda,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(651), 1,
      sym__string_start,
    ACTIONS(768), 1,
      sym_identifier,
    ACTIONS(770), 1,
      anon_sym_LPAREN,
    ACTIONS(774), 1,
      anon_sym_STAR,
    ACTIONS(778), 1,
      anon_sym_LBRACK,
    ACTIONS(780), 1,
      anon_sym_yield,
    ACTIONS(782), 1,
      anon_sym_await,
    ACTIONS(790), 1,
      anon_sym_RPAREN,
    STATE(863), 1,
      sym_primary_expression,
    STATE(866), 1,
      sym_string,
    STATE(1432), 1,
      sym_expression,
    STATE(1835), 1,
      sym_parenthesized_list_splat,
    STATE(1837), 1,
      sym_list_splat,
    STATE(1942), 1,
      sym_yield,
    STATE(1959), 1,
      sym_pattern,
    STATE(2123), 1,
      sym__named_expression_lhs,
    STATE(2141), 1,
      sym__patterns,
    STATE(2148), 1,
      sym__collection_elements,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    STATE(1223), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1967), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(647), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(776), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1544), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1212), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [1058] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(733), 1,
      anon_sym_not,
    ACTIONS(737), 1,
      anon_sym_lambda,
    ACTIONS(741), 1,
      anon_sym_LBRACE,
    ACTIONS(747), 1,
      sym__string_start,
    ACTIONS(752), 1,
      sym_identifier,
    ACTIONS(754), 1,
      anon_sym_LPAREN,
    ACTIONS(756), 1,
      anon_sym_STAR,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_yield,
    ACTIONS(766), 1,
      anon_sym_await,
    ACTIONS(792), 1,
      anon_sym_RBRACK,
    STATE(883), 1,
      sym_primary_expression,
    STATE(884), 1,
      sym_string,
    STATE(1423), 1,
      sym_expression,
    STATE(1965), 1,
      sym_pattern,
    STATE(2099), 1,
      sym__named_expression_lhs,
    STATE(2191), 1,
      sym__patterns,
    STATE(2206), 1,
      sym__collection_elements,
    ACTIONS(739), 2,
      sym_ellipsis,
      sym_float,
    STATE(1179), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(735), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1853), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    STATE(2012), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(743), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(758), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1520), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1181), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [1176] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_not,
    ACTIONS(641), 1,
      anon_sym_lambda,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(651), 1,
      sym__string_start,
    ACTIONS(768), 1,
      sym_identifier,
    ACTIONS(770), 1,
      anon_sym_LPAREN,
    ACTIONS(774), 1,
      anon_sym_STAR,
    ACTIONS(778), 1,
      anon_sym_LBRACK,
    ACTIONS(780), 1,
      anon_sym_yield,
    ACTIONS(782), 1,
      anon_sym_await,
    ACTIONS(794), 1,
      anon_sym_RPAREN,
    STATE(863), 1,
      sym_primary_expression,
    STATE(866), 1,
      sym_string,
    STATE(1428), 1,
      sym_expression,
    STATE(1797), 1,
      sym_yield,
    STATE(1959), 1,
      sym_pattern,
    STATE(2100), 1,
      sym__patterns,
    STATE(2123), 1,
      sym__named_expression_lhs,
    STATE(2187), 1,
      sym__collection_elements,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    STATE(1223), 2,
      sym_attribute,
      sym_subscript,
    STATE(1847), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1967), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(647), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(776), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1544), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1212), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [1296] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_not,
    ACTIONS(641), 1,
      anon_sym_lambda,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(651), 1,
      sym__string_start,
    ACTIONS(768), 1,
      sym_identifier,
    ACTIONS(770), 1,
      anon_sym_LPAREN,
    ACTIONS(774), 1,
      anon_sym_STAR,
    ACTIONS(778), 1,
      anon_sym_LBRACK,
    ACTIONS(780), 1,
      anon_sym_yield,
    ACTIONS(782), 1,
      anon_sym_await,
    ACTIONS(796), 1,
      anon_sym_RPAREN,
    STATE(863), 1,
      sym_primary_expression,
    STATE(866), 1,
      sym_string,
    STATE(1428), 1,
      sym_expression,
    STATE(1797), 1,
      sym_yield,
    STATE(1959), 1,
      sym_pattern,
    STATE(2123), 1,
      sym__named_expression_lhs,
    STATE(2141), 1,
      sym__patterns,
    STATE(2187), 1,
      sym__collection_elements,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    STATE(1223), 2,
      sym_attribute,
      sym_subscript,
    STATE(1847), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1967), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(647), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(776), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1544), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1212), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [1416] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(733), 1,
      anon_sym_not,
    ACTIONS(737), 1,
      anon_sym_lambda,
    ACTIONS(741), 1,
      anon_sym_LBRACE,
    ACTIONS(747), 1,
      sym__string_start,
    ACTIONS(752), 1,
      sym_identifier,
    ACTIONS(754), 1,
      anon_sym_LPAREN,
    ACTIONS(756), 1,
      anon_sym_STAR,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_yield,
    ACTIONS(766), 1,
      anon_sym_await,
    ACTIONS(798), 1,
      anon_sym_RBRACK,
    STATE(883), 1,
      sym_primary_expression,
    STATE(884), 1,
      sym_string,
    STATE(1427), 1,
      sym_expression,
    STATE(1965), 1,
      sym_pattern,
    STATE(2099), 1,
      sym__named_expression_lhs,
    STATE(2202), 1,
      sym__patterns,
    STATE(2210), 1,
      sym__collection_elements,
    ACTIONS(739), 2,
      sym_ellipsis,
      sym_float,
    STATE(1179), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(735), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1853), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    STATE(2012), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(743), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(758), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1520), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1181), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [1534] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_not,
    ACTIONS(641), 1,
      anon_sym_lambda,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(651), 1,
      sym__string_start,
    ACTIONS(768), 1,
      sym_identifier,
    ACTIONS(770), 1,
      anon_sym_LPAREN,
    ACTIONS(774), 1,
      anon_sym_STAR,
    ACTIONS(778), 1,
      anon_sym_LBRACK,
    ACTIONS(780), 1,
      anon_sym_yield,
    ACTIONS(782), 1,
      anon_sym_await,
    ACTIONS(800), 1,
      anon_sym_RPAREN,
    STATE(863), 1,
      sym_primary_expression,
    STATE(866), 1,
      sym_string,
    STATE(1424), 1,
      sym_expression,
    STATE(1865), 1,
      sym_yield,
    STATE(1918), 1,
      sym_parenthesized_list_splat,
    STATE(1921), 1,
      sym_list_splat,
    STATE(1959), 1,
      sym_pattern,
    STATE(2033), 1,
      sym__collection_elements,
    STATE(2123), 1,
      sym__named_expression_lhs,
    STATE(2188), 1,
      sym__patterns,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    STATE(1223), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1967), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(647), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(776), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1544), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1212), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [1656] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(733), 1,
      anon_sym_not,
    ACTIONS(737), 1,
      anon_sym_lambda,
    ACTIONS(741), 1,
      anon_sym_LBRACE,
    ACTIONS(747), 1,
      sym__string_start,
    ACTIONS(752), 1,
      sym_identifier,
    ACTIONS(754), 1,
      anon_sym_LPAREN,
    ACTIONS(756), 1,
      anon_sym_STAR,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_yield,
    ACTIONS(766), 1,
      anon_sym_await,
    ACTIONS(802), 1,
      anon_sym_RBRACK,
    STATE(883), 1,
      sym_primary_expression,
    STATE(884), 1,
      sym_string,
    STATE(1436), 1,
      sym_expression,
    STATE(1965), 1,
      sym_pattern,
    STATE(2099), 1,
      sym__named_expression_lhs,
    STATE(2181), 1,
      sym__collection_elements,
    STATE(2202), 1,
      sym__patterns,
    ACTIONS(739), 2,
      sym_ellipsis,
      sym_float,
    STATE(1179), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(735), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1853), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    STATE(2012), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(743), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(758), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1520), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1181), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [1774] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(653), 1,
      sym_identifier,
    ACTIONS(659), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_not,
    ACTIONS(665), 1,
      anon_sym_lambda,
    ACTIONS(669), 1,
      anon_sym_LBRACE,
    ACTIONS(673), 1,
      anon_sym_await,
    ACTIONS(675), 1,
      sym__string_start,
    ACTIONS(804), 1,
      anon_sym_LPAREN,
    ACTIONS(806), 1,
      anon_sym_COMMA,
    ACTIONS(808), 1,
      anon_sym_STAR,
    ACTIONS(810), 1,
      anon_sym_STAR_STAR,
    ACTIONS(812), 1,
      anon_sym_yield,
    ACTIONS(814), 1,
      anon_sym_RBRACE,
    STATE(839), 1,
      sym_primary_expression,
    STATE(841), 1,
      sym_string,
    STATE(1414), 1,
      sym_expression,
    STATE(1619), 1,
      sym_pair,
    STATE(1923), 1,
      sym_dictionary_splat,
    STATE(2045), 1,
      sym__collection_elements,
    STATE(2053), 1,
      sym__named_expression_lhs,
    ACTIONS(667), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(663), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1825), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(657), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(671), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1485), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1047), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [1891] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(653), 1,
      sym_identifier,
    ACTIONS(659), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_not,
    ACTIONS(665), 1,
      anon_sym_lambda,
    ACTIONS(669), 1,
      anon_sym_LBRACE,
    ACTIONS(673), 1,
      anon_sym_await,
    ACTIONS(675), 1,
      sym__string_start,
    ACTIONS(804), 1,
      anon_sym_LPAREN,
    ACTIONS(808), 1,
      anon_sym_STAR,
    ACTIONS(810), 1,
      anon_sym_STAR_STAR,
    ACTIONS(812), 1,
      anon_sym_yield,
    ACTIONS(816), 1,
      anon_sym_COMMA,
    ACTIONS(818), 1,
      anon_sym_RBRACE,
    STATE(839), 1,
      sym_primary_expression,
    STATE(841), 1,
      sym_string,
    STATE(1413), 1,
      sym_expression,
    STATE(1606), 1,
      sym_pair,
    STATE(1962), 1,
      sym_dictionary_splat,
    STATE(2053), 1,
      sym__named_expression_lhs,
    STATE(2200), 1,
      sym__collection_elements,
    ACTIONS(667), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(663), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1825), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(657), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(671), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1485), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1047), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [2008] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(653), 1,
      sym_identifier,
    ACTIONS(659), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_not,
    ACTIONS(665), 1,
      anon_sym_lambda,
    ACTIONS(669), 1,
      anon_sym_LBRACE,
    ACTIONS(673), 1,
      anon_sym_await,
    ACTIONS(675), 1,
      sym__string_start,
    ACTIONS(804), 1,
      anon_sym_LPAREN,
    ACTIONS(808), 1,
      anon_sym_STAR,
    ACTIONS(810), 1,
      anon_sym_STAR_STAR,
    ACTIONS(812), 1,
      anon_sym_yield,
    ACTIONS(820), 1,
      anon_sym_COMMA,
    ACTIONS(822), 1,
      anon_sym_RBRACE,
    STATE(839), 1,
      sym_primary_expression,
    STATE(841), 1,
      sym_string,
    STATE(1411), 1,
      sym_expression,
    STATE(1603), 1,
      sym_pair,
    STATE(1927), 1,
      sym_dictionary_splat,
    STATE(2036), 1,
      sym__collection_elements,
    STATE(2053), 1,
      sym__named_expression_lhs,
    ACTIONS(667), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(663), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1825), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(657), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(671), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1485), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1047), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [2125] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(653), 1,
      sym_identifier,
    ACTIONS(659), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_not,
    ACTIONS(665), 1,
      anon_sym_lambda,
    ACTIONS(669), 1,
      anon_sym_LBRACE,
    ACTIONS(673), 1,
      anon_sym_await,
    ACTIONS(675), 1,
      sym__string_start,
    ACTIONS(804), 1,
      anon_sym_LPAREN,
    ACTIONS(808), 1,
      anon_sym_STAR,
    ACTIONS(810), 1,
      anon_sym_STAR_STAR,
    ACTIONS(812), 1,
      anon_sym_yield,
    ACTIONS(824), 1,
      anon_sym_COMMA,
    ACTIONS(826), 1,
      anon_sym_RBRACE,
    STATE(839), 1,
      sym_primary_expression,
    STATE(841), 1,
      sym_string,
    STATE(1407), 1,
      sym_expression,
    STATE(1617), 1,
      sym_pair,
    STATE(1961), 1,
      sym_dictionary_splat,
    STATE(2053), 1,
      sym__named_expression_lhs,
    STATE(2204), 1,
      sym__collection_elements,
    ACTIONS(667), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(663), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1825), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(657), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(671), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1485), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1047), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [2242] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(653), 1,
      sym_identifier,
    ACTIONS(659), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_not,
    ACTIONS(665), 1,
      anon_sym_lambda,
    ACTIONS(669), 1,
      anon_sym_LBRACE,
    ACTIONS(673), 1,
      anon_sym_await,
    ACTIONS(675), 1,
      sym__string_start,
    ACTIONS(804), 1,
      anon_sym_LPAREN,
    ACTIONS(808), 1,
      anon_sym_STAR,
    ACTIONS(810), 1,
      anon_sym_STAR_STAR,
    ACTIONS(812), 1,
      anon_sym_yield,
    ACTIONS(828), 1,
      anon_sym_COMMA,
    ACTIONS(830), 1,
      anon_sym_RBRACE,
    STATE(839), 1,
      sym_primary_expression,
    STATE(841), 1,
      sym_string,
    STATE(1412), 1,
      sym_expression,
    STATE(1618), 1,
      sym_pair,
    STATE(1925), 1,
      sym_dictionary_splat,
    STATE(2053), 1,
      sym__named_expression_lhs,
    STATE(2058), 1,
      sym__collection_elements,
    ACTIONS(667), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(663), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1825), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(657), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(671), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1485), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1047), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [2359] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(653), 1,
      sym_identifier,
    ACTIONS(659), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_not,
    ACTIONS(665), 1,
      anon_sym_lambda,
    ACTIONS(669), 1,
      anon_sym_LBRACE,
    ACTIONS(673), 1,
      anon_sym_await,
    ACTIONS(675), 1,
      sym__string_start,
    ACTIONS(804), 1,
      anon_sym_LPAREN,
    ACTIONS(808), 1,
      anon_sym_STAR,
    ACTIONS(810), 1,
      anon_sym_STAR_STAR,
    ACTIONS(812), 1,
      anon_sym_yield,
    ACTIONS(832), 1,
      anon_sym_COMMA,
    ACTIONS(834), 1,
      anon_sym_RBRACE,
    STATE(839), 1,
      sym_primary_expression,
    STATE(841), 1,
      sym_string,
    STATE(1408), 1,
      sym_expression,
    STATE(1572), 1,
      sym_pair,
    STATE(1870), 1,
      sym_dictionary_splat,
    STATE(2053), 1,
      sym__named_expression_lhs,
    STATE(2085), 1,
      sym__collection_elements,
    ACTIONS(667), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(663), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1825), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(657), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(671), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1485), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1047), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [2476] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(653), 1,
      sym_identifier,
    ACTIONS(659), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_not,
    ACTIONS(665), 1,
      anon_sym_lambda,
    ACTIONS(669), 1,
      anon_sym_LBRACE,
    ACTIONS(673), 1,
      anon_sym_await,
    ACTIONS(675), 1,
      sym__string_start,
    ACTIONS(804), 1,
      anon_sym_LPAREN,
    ACTIONS(808), 1,
      anon_sym_STAR,
    ACTIONS(810), 1,
      anon_sym_STAR_STAR,
    ACTIONS(812), 1,
      anon_sym_yield,
    ACTIONS(836), 1,
      anon_sym_COMMA,
    ACTIONS(838), 1,
      anon_sym_RBRACE,
    STATE(839), 1,
      sym_primary_expression,
    STATE(841), 1,
      sym_string,
    STATE(1410), 1,
      sym_expression,
    STATE(1590), 1,
      sym_pair,
    STATE(1873), 1,
      sym_dictionary_splat,
    STATE(2053), 1,
      sym__named_expression_lhs,
    STATE(2079), 1,
      sym__collection_elements,
    ACTIONS(667), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(663), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1825), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(657), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(671), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1485), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1047), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [2593] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(653), 1,
      sym_identifier,
    ACTIONS(659), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_not,
    ACTIONS(665), 1,
      anon_sym_lambda,
    ACTIONS(669), 1,
      anon_sym_LBRACE,
    ACTIONS(673), 1,
      anon_sym_await,
    ACTIONS(675), 1,
      sym__string_start,
    ACTIONS(804), 1,
      anon_sym_LPAREN,
    ACTIONS(808), 1,
      anon_sym_STAR,
    ACTIONS(810), 1,
      anon_sym_STAR_STAR,
    ACTIONS(812), 1,
      anon_sym_yield,
    ACTIONS(840), 1,
      anon_sym_COMMA,
    ACTIONS(842), 1,
      anon_sym_RBRACE,
    STATE(839), 1,
      sym_primary_expression,
    STATE(841), 1,
      sym_string,
    STATE(1409), 1,
      sym_expression,
    STATE(1569), 1,
      sym_pair,
    STATE(1807), 1,
      sym_dictionary_splat,
    STATE(2053), 1,
      sym__named_expression_lhs,
    STATE(2168), 1,
      sym__collection_elements,
    ACTIONS(667), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(663), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1825), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(657), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(671), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1485), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1047), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [2710] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_TILDE,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(844), 1,
      sym_identifier,
    ACTIONS(846), 1,
      anon_sym_LPAREN,
    ACTIONS(848), 1,
      anon_sym_STAR,
    ACTIONS(854), 1,
      anon_sym_in,
    ACTIONS(856), 1,
      anon_sym_LBRACK,
    STATE(875), 1,
      sym_string,
    STATE(1373), 1,
      sym_primary_expression,
    STATE(1385), 1,
      sym_pattern,
    ACTIONS(295), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    STATE(1282), 2,
      sym_attribute,
      sym_subscript,
    STATE(1388), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(850), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1273), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
    ACTIONS(852), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [2809] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 1,
      anon_sym_TILDE,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(844), 1,
      sym_identifier,
    ACTIONS(846), 1,
      anon_sym_LPAREN,
    ACTIONS(848), 1,
      anon_sym_STAR,
    ACTIONS(856), 1,
      anon_sym_LBRACK,
    ACTIONS(860), 1,
      anon_sym_in,
    STATE(875), 1,
      sym_string,
    STATE(1373), 1,
      sym_primary_expression,
    STATE(1385), 1,
      sym_pattern,
    ACTIONS(295), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    STATE(1282), 2,
      sym_attribute,
      sym_subscript,
    STATE(1388), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(850), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1273), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
    ACTIONS(858), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [2908] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_not,
    ACTIONS(641), 1,
      anon_sym_lambda,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(651), 1,
      sym__string_start,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(864), 1,
      anon_sym_LPAREN,
    ACTIONS(866), 1,
      anon_sym_RPAREN,
    ACTIONS(868), 1,
      anon_sym_COMMA,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(876), 1,
      anon_sym_await,
    STATE(863), 1,
      sym_primary_expression,
    STATE(866), 1,
      sym_string,
    STATE(1422), 1,
      sym_expression,
    STATE(1834), 1,
      sym_parenthesized_list_splat,
    STATE(2123), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1833), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(647), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(872), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1544), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [3016] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_not,
    ACTIONS(641), 1,
      anon_sym_lambda,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(651), 1,
      sym__string_start,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(864), 1,
      anon_sym_LPAREN,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(876), 1,
      anon_sym_await,
    ACTIONS(878), 1,
      anon_sym_RPAREN,
    ACTIONS(880), 1,
      anon_sym_COMMA,
    STATE(863), 1,
      sym_primary_expression,
    STATE(866), 1,
      sym_string,
    STATE(1437), 1,
      sym_expression,
    STATE(1891), 1,
      sym_parenthesized_list_splat,
    STATE(2123), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1890), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(647), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(872), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1544), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [3124] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_not,
    ACTIONS(641), 1,
      anon_sym_lambda,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(651), 1,
      sym__string_start,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(864), 1,
      anon_sym_LPAREN,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(876), 1,
      anon_sym_await,
    ACTIONS(882), 1,
      anon_sym_RPAREN,
    ACTIONS(884), 1,
      anon_sym_COMMA,
    STATE(863), 1,
      sym_primary_expression,
    STATE(866), 1,
      sym_string,
    STATE(1438), 1,
      sym_expression,
    STATE(1909), 1,
      sym_parenthesized_list_splat,
    STATE(2123), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1913), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(647), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(872), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1544), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [3232] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(886), 1,
      sym_identifier,
    ACTIONS(888), 1,
      anon_sym_LPAREN,
    ACTIONS(890), 1,
      anon_sym_RPAREN,
    ACTIONS(892), 1,
      anon_sym_COMMA,
    ACTIONS(896), 1,
      anon_sym_await,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1586), 1,
      sym_expression,
    STATE(1828), 1,
      sym_parenthesized_list_splat,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1827), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(894), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [3340] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(627), 1,
      sym_identifier,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_not,
    ACTIONS(641), 1,
      anon_sym_lambda,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_await,
    ACTIONS(651), 1,
      sym__string_start,
    ACTIONS(780), 1,
      anon_sym_yield,
    ACTIONS(864), 1,
      anon_sym_LPAREN,
    ACTIONS(898), 1,
      anon_sym_RPAREN,
    ACTIONS(900), 1,
      anon_sym_STAR,
    STATE(863), 1,
      sym_primary_expression,
    STATE(866), 1,
      sym_string,
    STATE(1433), 1,
      sym_expression,
    STATE(1788), 1,
      sym_with_item,
    STATE(1797), 1,
      sym_yield,
    STATE(2123), 1,
      sym__named_expression_lhs,
    STATE(2187), 1,
      sym__collection_elements,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    STATE(1847), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(631), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(647), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1544), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [3450] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_not,
    ACTIONS(641), 1,
      anon_sym_lambda,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(651), 1,
      sym__string_start,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(864), 1,
      anon_sym_LPAREN,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(876), 1,
      anon_sym_await,
    ACTIONS(902), 1,
      anon_sym_RPAREN,
    ACTIONS(904), 1,
      anon_sym_COMMA,
    STATE(863), 1,
      sym_primary_expression,
    STATE(866), 1,
      sym_string,
    STATE(1429), 1,
      sym_expression,
    STATE(1945), 1,
      sym_parenthesized_list_splat,
    STATE(2123), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1944), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(647), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(872), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1544), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [3558] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_not,
    ACTIONS(641), 1,
      anon_sym_lambda,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(651), 1,
      sym__string_start,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(864), 1,
      anon_sym_LPAREN,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(876), 1,
      anon_sym_await,
    ACTIONS(906), 1,
      anon_sym_RPAREN,
    ACTIONS(908), 1,
      anon_sym_COMMA,
    STATE(863), 1,
      sym_primary_expression,
    STATE(866), 1,
      sym_string,
    STATE(1434), 1,
      sym_expression,
    STATE(1876), 1,
      sym_parenthesized_list_splat,
    STATE(2123), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1883), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(647), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(872), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1544), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [3666] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_not,
    ACTIONS(641), 1,
      anon_sym_lambda,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(651), 1,
      sym__string_start,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(864), 1,
      anon_sym_LPAREN,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(876), 1,
      anon_sym_await,
    ACTIONS(910), 1,
      anon_sym_RPAREN,
    ACTIONS(912), 1,
      anon_sym_COMMA,
    STATE(863), 1,
      sym_primary_expression,
    STATE(866), 1,
      sym_string,
    STATE(1425), 1,
      sym_expression,
    STATE(1943), 1,
      sym_parenthesized_list_splat,
    STATE(2123), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1947), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(647), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(872), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1544), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [3774] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_not,
    ACTIONS(641), 1,
      anon_sym_lambda,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(651), 1,
      sym__string_start,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(864), 1,
      anon_sym_LPAREN,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(876), 1,
      anon_sym_await,
    ACTIONS(890), 1,
      anon_sym_RPAREN,
    ACTIONS(892), 1,
      anon_sym_COMMA,
    STATE(863), 1,
      sym_primary_expression,
    STATE(866), 1,
      sym_string,
    STATE(1419), 1,
      sym_expression,
    STATE(1828), 1,
      sym_parenthesized_list_splat,
    STATE(2123), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1827), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(647), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(872), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1544), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [3882] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_not,
    ACTIONS(641), 1,
      anon_sym_lambda,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(651), 1,
      sym__string_start,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(864), 1,
      anon_sym_LPAREN,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(876), 1,
      anon_sym_await,
    ACTIONS(914), 1,
      anon_sym_RPAREN,
    ACTIONS(916), 1,
      anon_sym_COMMA,
    STATE(863), 1,
      sym_primary_expression,
    STATE(866), 1,
      sym_string,
    STATE(1420), 1,
      sym_expression,
    STATE(1863), 1,
      sym_parenthesized_list_splat,
    STATE(2123), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1864), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(647), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(872), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1544), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [3990] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(886), 1,
      sym_identifier,
    ACTIONS(888), 1,
      anon_sym_LPAREN,
    ACTIONS(896), 1,
      anon_sym_await,
    ACTIONS(918), 1,
      anon_sym_RPAREN,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1622), 1,
      sym_expression,
    STATE(2014), 1,
      sym_parenthesized_list_splat,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2013), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(894), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [4095] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(627), 1,
      sym_identifier,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_not,
    ACTIONS(641), 1,
      anon_sym_lambda,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_await,
    ACTIONS(651), 1,
      sym__string_start,
    ACTIONS(780), 1,
      anon_sym_yield,
    ACTIONS(864), 1,
      anon_sym_LPAREN,
    ACTIONS(898), 1,
      anon_sym_RPAREN,
    ACTIONS(900), 1,
      anon_sym_STAR,
    STATE(863), 1,
      sym_primary_expression,
    STATE(866), 1,
      sym_string,
    STATE(1428), 1,
      sym_expression,
    STATE(1797), 1,
      sym_yield,
    STATE(2123), 1,
      sym__named_expression_lhs,
    STATE(2187), 1,
      sym__collection_elements,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    STATE(1847), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(631), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(647), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1544), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [4202] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(627), 1,
      sym_identifier,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_not,
    ACTIONS(641), 1,
      anon_sym_lambda,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_await,
    ACTIONS(651), 1,
      sym__string_start,
    ACTIONS(780), 1,
      anon_sym_yield,
    ACTIONS(864), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_STAR,
    ACTIONS(920), 1,
      anon_sym_RPAREN,
    STATE(863), 1,
      sym_primary_expression,
    STATE(866), 1,
      sym_string,
    STATE(1415), 1,
      sym_expression,
    STATE(1872), 1,
      sym_yield,
    STATE(2078), 1,
      sym__collection_elements,
    STATE(2123), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    STATE(1847), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(631), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(647), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1544), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [4309] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(731), 1,
      anon_sym_LBRACK,
    ACTIONS(733), 1,
      anon_sym_not,
    ACTIONS(737), 1,
      anon_sym_lambda,
    ACTIONS(741), 1,
      anon_sym_LBRACE,
    ACTIONS(745), 1,
      anon_sym_await,
    ACTIONS(747), 1,
      sym__string_start,
    ACTIONS(764), 1,
      anon_sym_yield,
    ACTIONS(922), 1,
      anon_sym_LPAREN,
    ACTIONS(924), 1,
      anon_sym_STAR,
    ACTIONS(926), 1,
      anon_sym_RBRACK,
    STATE(883), 1,
      sym_primary_expression,
    STATE(884), 1,
      sym_string,
    STATE(1427), 1,
      sym_expression,
    STATE(2099), 1,
      sym__named_expression_lhs,
    STATE(2210), 1,
      sym__collection_elements,
    ACTIONS(739), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(735), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1853), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(729), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(743), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1520), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1181), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [4414] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(627), 1,
      sym_identifier,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_not,
    ACTIONS(641), 1,
      anon_sym_lambda,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_await,
    ACTIONS(651), 1,
      sym__string_start,
    ACTIONS(780), 1,
      anon_sym_yield,
    ACTIONS(864), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_STAR,
    ACTIONS(928), 1,
      anon_sym_RPAREN,
    STATE(863), 1,
      sym_primary_expression,
    STATE(866), 1,
      sym_string,
    STATE(1432), 1,
      sym_expression,
    STATE(1835), 1,
      sym_parenthesized_list_splat,
    STATE(1837), 1,
      sym_list_splat,
    STATE(1942), 1,
      sym_yield,
    STATE(2123), 1,
      sym__named_expression_lhs,
    STATE(2148), 1,
      sym__collection_elements,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(631), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(647), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1544), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [4523] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(886), 1,
      sym_identifier,
    ACTIONS(888), 1,
      anon_sym_LPAREN,
    ACTIONS(896), 1,
      anon_sym_await,
    ACTIONS(930), 1,
      anon_sym_RPAREN,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1622), 1,
      sym_expression,
    STATE(2014), 1,
      sym_parenthesized_list_splat,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2013), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(894), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [4628] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(627), 1,
      sym_identifier,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_not,
    ACTIONS(641), 1,
      anon_sym_lambda,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_await,
    ACTIONS(651), 1,
      sym__string_start,
    ACTIONS(780), 1,
      anon_sym_yield,
    ACTIONS(864), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_STAR,
    ACTIONS(932), 1,
      anon_sym_RPAREN,
    STATE(863), 1,
      sym_primary_expression,
    STATE(866), 1,
      sym_string,
    STATE(1424), 1,
      sym_expression,
    STATE(1865), 1,
      sym_yield,
    STATE(1918), 1,
      sym_parenthesized_list_splat,
    STATE(1921), 1,
      sym_list_splat,
    STATE(2033), 1,
      sym__collection_elements,
    STATE(2123), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(631), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(647), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1544), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [4737] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(731), 1,
      anon_sym_LBRACK,
    ACTIONS(733), 1,
      anon_sym_not,
    ACTIONS(737), 1,
      anon_sym_lambda,
    ACTIONS(741), 1,
      anon_sym_LBRACE,
    ACTIONS(745), 1,
      anon_sym_await,
    ACTIONS(747), 1,
      sym__string_start,
    ACTIONS(764), 1,
      anon_sym_yield,
    ACTIONS(922), 1,
      anon_sym_LPAREN,
    ACTIONS(924), 1,
      anon_sym_STAR,
    ACTIONS(934), 1,
      anon_sym_RBRACK,
    STATE(883), 1,
      sym_primary_expression,
    STATE(884), 1,
      sym_string,
    STATE(1439), 1,
      sym_expression,
    STATE(2044), 1,
      sym__collection_elements,
    STATE(2099), 1,
      sym__named_expression_lhs,
    ACTIONS(739), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(735), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1853), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(729), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(743), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1520), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1181), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [4842] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(627), 1,
      sym_identifier,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_not,
    ACTIONS(641), 1,
      anon_sym_lambda,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_await,
    ACTIONS(651), 1,
      sym__string_start,
    ACTIONS(780), 1,
      anon_sym_yield,
    ACTIONS(864), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_STAR,
    ACTIONS(936), 1,
      anon_sym_RPAREN,
    STATE(863), 1,
      sym_primary_expression,
    STATE(866), 1,
      sym_string,
    STATE(1416), 1,
      sym_expression,
    STATE(1964), 1,
      sym_yield,
    STATE(2123), 1,
      sym__named_expression_lhs,
    STATE(2211), 1,
      sym__collection_elements,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    STATE(1847), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(631), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(647), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1544), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [4949] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(886), 1,
      sym_identifier,
    ACTIONS(888), 1,
      anon_sym_LPAREN,
    ACTIONS(896), 1,
      anon_sym_await,
    ACTIONS(938), 1,
      anon_sym_RPAREN,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1622), 1,
      sym_expression,
    STATE(2014), 1,
      sym_parenthesized_list_splat,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2013), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(894), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [5054] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(886), 1,
      sym_identifier,
    ACTIONS(888), 1,
      anon_sym_LPAREN,
    ACTIONS(896), 1,
      anon_sym_await,
    ACTIONS(940), 1,
      anon_sym_RPAREN,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1622), 1,
      sym_expression,
    STATE(2014), 1,
      sym_parenthesized_list_splat,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2013), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(894), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [5159] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(886), 1,
      sym_identifier,
    ACTIONS(888), 1,
      anon_sym_LPAREN,
    ACTIONS(896), 1,
      anon_sym_await,
    ACTIONS(942), 1,
      anon_sym_RPAREN,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1622), 1,
      sym_expression,
    STATE(2014), 1,
      sym_parenthesized_list_splat,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2013), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(894), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [5264] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(886), 1,
      sym_identifier,
    ACTIONS(888), 1,
      anon_sym_LPAREN,
    ACTIONS(896), 1,
      anon_sym_await,
    ACTIONS(944), 1,
      anon_sym_RPAREN,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1622), 1,
      sym_expression,
    STATE(2014), 1,
      sym_parenthesized_list_splat,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2013), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(894), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [5369] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(886), 1,
      sym_identifier,
    ACTIONS(888), 1,
      anon_sym_LPAREN,
    ACTIONS(896), 1,
      anon_sym_await,
    ACTIONS(946), 1,
      anon_sym_RPAREN,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1622), 1,
      sym_expression,
    STATE(2014), 1,
      sym_parenthesized_list_splat,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2013), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(894), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [5474] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(886), 1,
      sym_identifier,
    ACTIONS(888), 1,
      anon_sym_LPAREN,
    ACTIONS(896), 1,
      anon_sym_await,
    ACTIONS(948), 1,
      anon_sym_RPAREN,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1622), 1,
      sym_expression,
    STATE(2014), 1,
      sym_parenthesized_list_splat,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2013), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(894), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [5579] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(886), 1,
      sym_identifier,
    ACTIONS(888), 1,
      anon_sym_LPAREN,
    ACTIONS(896), 1,
      anon_sym_await,
    ACTIONS(950), 1,
      anon_sym_RPAREN,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1622), 1,
      sym_expression,
    STATE(2014), 1,
      sym_parenthesized_list_splat,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2013), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(894), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [5684] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(731), 1,
      anon_sym_LBRACK,
    ACTIONS(733), 1,
      anon_sym_not,
    ACTIONS(737), 1,
      anon_sym_lambda,
    ACTIONS(741), 1,
      anon_sym_LBRACE,
    ACTIONS(745), 1,
      anon_sym_await,
    ACTIONS(747), 1,
      sym__string_start,
    ACTIONS(764), 1,
      anon_sym_yield,
    ACTIONS(922), 1,
      anon_sym_LPAREN,
    ACTIONS(924), 1,
      anon_sym_STAR,
    ACTIONS(952), 1,
      anon_sym_RBRACK,
    STATE(883), 1,
      sym_primary_expression,
    STATE(884), 1,
      sym_string,
    STATE(1430), 1,
      sym_expression,
    STATE(2080), 1,
      sym__collection_elements,
    STATE(2099), 1,
      sym__named_expression_lhs,
    ACTIONS(739), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(735), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1853), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(729), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(743), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1520), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1181), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [5789] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(627), 1,
      sym_identifier,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_not,
    ACTIONS(641), 1,
      anon_sym_lambda,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_await,
    ACTIONS(651), 1,
      sym__string_start,
    ACTIONS(780), 1,
      anon_sym_yield,
    ACTIONS(864), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_STAR,
    ACTIONS(954), 1,
      anon_sym_RPAREN,
    STATE(863), 1,
      sym_primary_expression,
    STATE(866), 1,
      sym_string,
    STATE(1431), 1,
      sym_expression,
    STATE(1919), 1,
      sym_yield,
    STATE(2048), 1,
      sym__collection_elements,
    STATE(2123), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    STATE(1847), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(631), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(647), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1544), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [5896] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(731), 1,
      anon_sym_LBRACK,
    ACTIONS(733), 1,
      anon_sym_not,
    ACTIONS(737), 1,
      anon_sym_lambda,
    ACTIONS(741), 1,
      anon_sym_LBRACE,
    ACTIONS(745), 1,
      anon_sym_await,
    ACTIONS(747), 1,
      sym__string_start,
    ACTIONS(764), 1,
      anon_sym_yield,
    ACTIONS(922), 1,
      anon_sym_LPAREN,
    ACTIONS(924), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_RBRACK,
    STATE(883), 1,
      sym_primary_expression,
    STATE(884), 1,
      sym_string,
    STATE(1436), 1,
      sym_expression,
    STATE(2099), 1,
      sym__named_expression_lhs,
    STATE(2181), 1,
      sym__collection_elements,
    ACTIONS(739), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(735), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1853), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(729), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(743), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1520), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1181), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [6001] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(886), 1,
      sym_identifier,
    ACTIONS(888), 1,
      anon_sym_LPAREN,
    ACTIONS(896), 1,
      anon_sym_await,
    ACTIONS(958), 1,
      anon_sym_RPAREN,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1622), 1,
      sym_expression,
    STATE(2014), 1,
      sym_parenthesized_list_splat,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2013), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(894), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [6106] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(886), 1,
      sym_identifier,
    ACTIONS(888), 1,
      anon_sym_LPAREN,
    ACTIONS(896), 1,
      anon_sym_await,
    ACTIONS(960), 1,
      anon_sym_RPAREN,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1622), 1,
      sym_expression,
    STATE(2014), 1,
      sym_parenthesized_list_splat,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2013), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(894), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [6211] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(886), 1,
      sym_identifier,
    ACTIONS(888), 1,
      anon_sym_LPAREN,
    ACTIONS(896), 1,
      anon_sym_await,
    ACTIONS(962), 1,
      anon_sym_RPAREN,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1622), 1,
      sym_expression,
    STATE(2014), 1,
      sym_parenthesized_list_splat,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2013), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(894), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [6316] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(886), 1,
      sym_identifier,
    ACTIONS(888), 1,
      anon_sym_LPAREN,
    ACTIONS(896), 1,
      anon_sym_await,
    ACTIONS(964), 1,
      anon_sym_RPAREN,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1622), 1,
      sym_expression,
    STATE(2014), 1,
      sym_parenthesized_list_splat,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2013), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(894), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [6421] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(886), 1,
      sym_identifier,
    ACTIONS(888), 1,
      anon_sym_LPAREN,
    ACTIONS(896), 1,
      anon_sym_await,
    ACTIONS(966), 1,
      anon_sym_RPAREN,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1622), 1,
      sym_expression,
    STATE(2014), 1,
      sym_parenthesized_list_splat,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2013), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(894), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [6526] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(886), 1,
      sym_identifier,
    ACTIONS(888), 1,
      anon_sym_LPAREN,
    ACTIONS(896), 1,
      anon_sym_await,
    ACTIONS(968), 1,
      anon_sym_RPAREN,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1622), 1,
      sym_expression,
    STATE(2014), 1,
      sym_parenthesized_list_splat,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2013), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(894), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [6631] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(886), 1,
      sym_identifier,
    ACTIONS(888), 1,
      anon_sym_LPAREN,
    ACTIONS(896), 1,
      anon_sym_await,
    ACTIONS(970), 1,
      anon_sym_RPAREN,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1622), 1,
      sym_expression,
    STATE(2014), 1,
      sym_parenthesized_list_splat,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2013), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(894), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [6736] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(886), 1,
      sym_identifier,
    ACTIONS(888), 1,
      anon_sym_LPAREN,
    ACTIONS(896), 1,
      anon_sym_await,
    ACTIONS(972), 1,
      anon_sym_RPAREN,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1622), 1,
      sym_expression,
    STATE(2014), 1,
      sym_parenthesized_list_splat,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2013), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(894), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [6841] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(886), 1,
      sym_identifier,
    ACTIONS(888), 1,
      anon_sym_LPAREN,
    ACTIONS(896), 1,
      anon_sym_await,
    ACTIONS(974), 1,
      anon_sym_RPAREN,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1622), 1,
      sym_expression,
    STATE(2014), 1,
      sym_parenthesized_list_splat,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2013), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(894), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [6946] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(731), 1,
      anon_sym_LBRACK,
    ACTIONS(733), 1,
      anon_sym_not,
    ACTIONS(737), 1,
      anon_sym_lambda,
    ACTIONS(741), 1,
      anon_sym_LBRACE,
    ACTIONS(745), 1,
      anon_sym_await,
    ACTIONS(747), 1,
      sym__string_start,
    ACTIONS(764), 1,
      anon_sym_yield,
    ACTIONS(922), 1,
      anon_sym_LPAREN,
    ACTIONS(924), 1,
      anon_sym_STAR,
    ACTIONS(976), 1,
      anon_sym_RBRACK,
    STATE(883), 1,
      sym_primary_expression,
    STATE(884), 1,
      sym_string,
    STATE(1435), 1,
      sym_expression,
    STATE(2090), 1,
      sym__collection_elements,
    STATE(2099), 1,
      sym__named_expression_lhs,
    ACTIONS(739), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(735), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1853), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(729), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(743), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1520), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1181), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [7051] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(627), 1,
      sym_identifier,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_not,
    ACTIONS(641), 1,
      anon_sym_lambda,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_await,
    ACTIONS(651), 1,
      sym__string_start,
    ACTIONS(780), 1,
      anon_sym_yield,
    ACTIONS(864), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_STAR,
    ACTIONS(932), 1,
      anon_sym_RPAREN,
    STATE(863), 1,
      sym_primary_expression,
    STATE(866), 1,
      sym_string,
    STATE(1424), 1,
      sym_expression,
    STATE(1865), 1,
      sym_yield,
    STATE(2033), 1,
      sym__collection_elements,
    STATE(2123), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    STATE(1847), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(631), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(647), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1544), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [7158] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(627), 1,
      sym_identifier,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_not,
    ACTIONS(641), 1,
      anon_sym_lambda,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_await,
    ACTIONS(651), 1,
      sym__string_start,
    ACTIONS(780), 1,
      anon_sym_yield,
    ACTIONS(864), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_STAR,
    ACTIONS(978), 1,
      anon_sym_RPAREN,
    STATE(863), 1,
      sym_primary_expression,
    STATE(866), 1,
      sym_string,
    STATE(1418), 1,
      sym_expression,
    STATE(1926), 1,
      sym_yield,
    STATE(2038), 1,
      sym__collection_elements,
    STATE(2123), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    STATE(1847), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(631), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(647), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1544), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [7265] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(731), 1,
      anon_sym_LBRACK,
    ACTIONS(733), 1,
      anon_sym_not,
    ACTIONS(737), 1,
      anon_sym_lambda,
    ACTIONS(741), 1,
      anon_sym_LBRACE,
    ACTIONS(745), 1,
      anon_sym_await,
    ACTIONS(747), 1,
      sym__string_start,
    ACTIONS(764), 1,
      anon_sym_yield,
    ACTIONS(922), 1,
      anon_sym_LPAREN,
    ACTIONS(924), 1,
      anon_sym_STAR,
    ACTIONS(980), 1,
      anon_sym_RBRACK,
    STATE(883), 1,
      sym_primary_expression,
    STATE(884), 1,
      sym_string,
    STATE(1426), 1,
      sym_expression,
    STATE(2099), 1,
      sym__named_expression_lhs,
    STATE(2209), 1,
      sym__collection_elements,
    ACTIONS(739), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(735), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1853), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(729), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(743), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1520), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1181), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [7370] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(627), 1,
      sym_identifier,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_not,
    ACTIONS(641), 1,
      anon_sym_lambda,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_await,
    ACTIONS(651), 1,
      sym__string_start,
    ACTIONS(780), 1,
      anon_sym_yield,
    ACTIONS(864), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_STAR,
    ACTIONS(978), 1,
      anon_sym_RPAREN,
    STATE(863), 1,
      sym_primary_expression,
    STATE(866), 1,
      sym_string,
    STATE(1418), 1,
      sym_expression,
    STATE(1835), 1,
      sym_parenthesized_list_splat,
    STATE(1837), 1,
      sym_list_splat,
    STATE(1926), 1,
      sym_yield,
    STATE(2038), 1,
      sym__collection_elements,
    STATE(2123), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(631), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(647), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1544), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [7479] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(886), 1,
      sym_identifier,
    ACTIONS(888), 1,
      anon_sym_LPAREN,
    ACTIONS(896), 1,
      anon_sym_await,
    ACTIONS(982), 1,
      anon_sym_RPAREN,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1622), 1,
      sym_expression,
    STATE(2014), 1,
      sym_parenthesized_list_splat,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2013), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(894), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [7584] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(886), 1,
      sym_identifier,
    ACTIONS(888), 1,
      anon_sym_LPAREN,
    ACTIONS(896), 1,
      anon_sym_await,
    ACTIONS(984), 1,
      anon_sym_RPAREN,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1622), 1,
      sym_expression,
    STATE(2014), 1,
      sym_parenthesized_list_splat,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2013), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(894), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [7689] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(886), 1,
      sym_identifier,
    ACTIONS(888), 1,
      anon_sym_LPAREN,
    ACTIONS(896), 1,
      anon_sym_await,
    ACTIONS(986), 1,
      anon_sym_RPAREN,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1622), 1,
      sym_expression,
    STATE(2014), 1,
      sym_parenthesized_list_splat,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2013), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(894), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [7794] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(886), 1,
      sym_identifier,
    ACTIONS(888), 1,
      anon_sym_LPAREN,
    ACTIONS(896), 1,
      anon_sym_await,
    ACTIONS(988), 1,
      anon_sym_RPAREN,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1622), 1,
      sym_expression,
    STATE(2014), 1,
      sym_parenthesized_list_splat,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2013), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(894), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [7899] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(886), 1,
      sym_identifier,
    ACTIONS(888), 1,
      anon_sym_LPAREN,
    ACTIONS(896), 1,
      anon_sym_await,
    ACTIONS(990), 1,
      anon_sym_RPAREN,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1622), 1,
      sym_expression,
    STATE(2014), 1,
      sym_parenthesized_list_splat,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2013), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(894), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [8004] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(886), 1,
      sym_identifier,
    ACTIONS(888), 1,
      anon_sym_LPAREN,
    ACTIONS(896), 1,
      anon_sym_await,
    ACTIONS(992), 1,
      anon_sym_RPAREN,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1622), 1,
      sym_expression,
    STATE(2014), 1,
      sym_parenthesized_list_splat,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2013), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(894), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [8109] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(886), 1,
      sym_identifier,
    ACTIONS(888), 1,
      anon_sym_LPAREN,
    ACTIONS(896), 1,
      anon_sym_await,
    ACTIONS(994), 1,
      anon_sym_RPAREN,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1622), 1,
      sym_expression,
    STATE(2014), 1,
      sym_parenthesized_list_splat,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2013), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(894), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [8214] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(886), 1,
      sym_identifier,
    ACTIONS(888), 1,
      anon_sym_LPAREN,
    ACTIONS(896), 1,
      anon_sym_await,
    ACTIONS(996), 1,
      anon_sym_RPAREN,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1622), 1,
      sym_expression,
    STATE(2014), 1,
      sym_parenthesized_list_splat,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2013), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(894), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [8319] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(886), 1,
      sym_identifier,
    ACTIONS(888), 1,
      anon_sym_LPAREN,
    ACTIONS(896), 1,
      anon_sym_await,
    ACTIONS(998), 1,
      anon_sym_RPAREN,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1622), 1,
      sym_expression,
    STATE(2014), 1,
      sym_parenthesized_list_splat,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2013), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(894), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [8424] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(886), 1,
      sym_identifier,
    ACTIONS(888), 1,
      anon_sym_LPAREN,
    ACTIONS(896), 1,
      anon_sym_await,
    ACTIONS(1000), 1,
      anon_sym_RPAREN,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1622), 1,
      sym_expression,
    STATE(2014), 1,
      sym_parenthesized_list_splat,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2013), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(894), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [8529] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(627), 1,
      sym_identifier,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_not,
    ACTIONS(641), 1,
      anon_sym_lambda,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_await,
    ACTIONS(651), 1,
      sym__string_start,
    ACTIONS(780), 1,
      anon_sym_yield,
    ACTIONS(864), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_STAR,
    ACTIONS(928), 1,
      anon_sym_RPAREN,
    STATE(863), 1,
      sym_primary_expression,
    STATE(866), 1,
      sym_string,
    STATE(1432), 1,
      sym_expression,
    STATE(1942), 1,
      sym_yield,
    STATE(2123), 1,
      sym__named_expression_lhs,
    STATE(2148), 1,
      sym__collection_elements,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    STATE(1847), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(631), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(647), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1544), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [8636] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(731), 1,
      anon_sym_LBRACK,
    ACTIONS(733), 1,
      anon_sym_not,
    ACTIONS(737), 1,
      anon_sym_lambda,
    ACTIONS(741), 1,
      anon_sym_LBRACE,
    ACTIONS(745), 1,
      anon_sym_await,
    ACTIONS(747), 1,
      sym__string_start,
    ACTIONS(764), 1,
      anon_sym_yield,
    ACTIONS(922), 1,
      anon_sym_LPAREN,
    ACTIONS(924), 1,
      anon_sym_STAR,
    ACTIONS(1002), 1,
      anon_sym_RBRACK,
    STATE(883), 1,
      sym_primary_expression,
    STATE(884), 1,
      sym_string,
    STATE(1421), 1,
      sym_expression,
    STATE(2040), 1,
      sym__collection_elements,
    STATE(2099), 1,
      sym__named_expression_lhs,
    ACTIONS(739), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(735), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1853), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(729), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(743), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1520), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1181), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [8741] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(627), 1,
      sym_identifier,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_not,
    ACTIONS(641), 1,
      anon_sym_lambda,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_await,
    ACTIONS(651), 1,
      sym__string_start,
    ACTIONS(780), 1,
      anon_sym_yield,
    ACTIONS(864), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_STAR,
    ACTIONS(1004), 1,
      anon_sym_RPAREN,
    STATE(863), 1,
      sym_primary_expression,
    STATE(866), 1,
      sym_string,
    STATE(1417), 1,
      sym_expression,
    STATE(1875), 1,
      sym_yield,
    STATE(1918), 1,
      sym_parenthesized_list_splat,
    STATE(1921), 1,
      sym_list_splat,
    STATE(2077), 1,
      sym__collection_elements,
    STATE(2123), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(631), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(647), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1544), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [8850] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(627), 1,
      sym_identifier,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_not,
    ACTIONS(641), 1,
      anon_sym_lambda,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_await,
    ACTIONS(651), 1,
      sym__string_start,
    ACTIONS(780), 1,
      anon_sym_yield,
    ACTIONS(864), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_STAR,
    ACTIONS(936), 1,
      anon_sym_RPAREN,
    STATE(863), 1,
      sym_primary_expression,
    STATE(866), 1,
      sym_string,
    STATE(1416), 1,
      sym_expression,
    STATE(1816), 1,
      sym_list_splat,
    STATE(1817), 1,
      sym_parenthesized_list_splat,
    STATE(1964), 1,
      sym_yield,
    STATE(2123), 1,
      sym__named_expression_lhs,
    STATE(2211), 1,
      sym__collection_elements,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(631), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(647), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1544), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [8959] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(731), 1,
      anon_sym_LBRACK,
    ACTIONS(733), 1,
      anon_sym_not,
    ACTIONS(737), 1,
      anon_sym_lambda,
    ACTIONS(741), 1,
      anon_sym_LBRACE,
    ACTIONS(745), 1,
      anon_sym_await,
    ACTIONS(747), 1,
      sym__string_start,
    ACTIONS(764), 1,
      anon_sym_yield,
    ACTIONS(922), 1,
      anon_sym_LPAREN,
    ACTIONS(924), 1,
      anon_sym_STAR,
    ACTIONS(1006), 1,
      anon_sym_RBRACK,
    STATE(883), 1,
      sym_primary_expression,
    STATE(884), 1,
      sym_string,
    STATE(1423), 1,
      sym_expression,
    STATE(2099), 1,
      sym__named_expression_lhs,
    STATE(2206), 1,
      sym__collection_elements,
    ACTIONS(739), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(735), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1853), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(729), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(743), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1520), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1181), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [9064] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(627), 1,
      sym_identifier,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_not,
    ACTIONS(641), 1,
      anon_sym_lambda,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_await,
    ACTIONS(651), 1,
      sym__string_start,
    ACTIONS(780), 1,
      anon_sym_yield,
    ACTIONS(864), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_STAR,
    ACTIONS(954), 1,
      anon_sym_RPAREN,
    STATE(863), 1,
      sym_primary_expression,
    STATE(866), 1,
      sym_string,
    STATE(1431), 1,
      sym_expression,
    STATE(1816), 1,
      sym_list_splat,
    STATE(1817), 1,
      sym_parenthesized_list_splat,
    STATE(1919), 1,
      sym_yield,
    STATE(2048), 1,
      sym__collection_elements,
    STATE(2123), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(631), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(647), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1544), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [9173] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(627), 1,
      sym_identifier,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_not,
    ACTIONS(641), 1,
      anon_sym_lambda,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_await,
    ACTIONS(651), 1,
      sym__string_start,
    ACTIONS(780), 1,
      anon_sym_yield,
    ACTIONS(864), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_STAR,
    ACTIONS(1004), 1,
      anon_sym_RPAREN,
    STATE(863), 1,
      sym_primary_expression,
    STATE(866), 1,
      sym_string,
    STATE(1417), 1,
      sym_expression,
    STATE(1875), 1,
      sym_yield,
    STATE(2077), 1,
      sym__collection_elements,
    STATE(2123), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    STATE(1847), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(631), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(647), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1544), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [9280] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(603), 1,
      sym_identifier,
    ACTIONS(605), 1,
      anon_sym_LPAREN,
    ACTIONS(609), 1,
      anon_sym_LBRACK,
    ACTIONS(611), 1,
      anon_sym_not,
    ACTIONS(615), 1,
      anon_sym_lambda,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(623), 1,
      anon_sym_await,
    ACTIONS(625), 1,
      sym__string_start,
    ACTIONS(1008), 1,
      anon_sym_from,
    STATE(836), 1,
      sym_primary_expression,
    STATE(844), 1,
      sym_string,
    STATE(1446), 1,
      sym_expression,
    STATE(1701), 1,
      sym_expression_list,
    STATE(2217), 1,
      sym__named_expression_lhs,
    ACTIONS(617), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(613), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(607), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(621), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1010), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    STATE(1480), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1156), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [9381] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(886), 1,
      sym_identifier,
    ACTIONS(888), 1,
      anon_sym_LPAREN,
    ACTIONS(896), 1,
      anon_sym_await,
    ACTIONS(1012), 1,
      anon_sym_RPAREN,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1622), 1,
      sym_expression,
    STATE(2014), 1,
      sym_parenthesized_list_splat,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2013), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(894), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [9486] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(886), 1,
      sym_identifier,
    ACTIONS(888), 1,
      anon_sym_LPAREN,
    ACTIONS(896), 1,
      anon_sym_await,
    ACTIONS(1014), 1,
      anon_sym_RPAREN,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1622), 1,
      sym_expression,
    STATE(2014), 1,
      sym_parenthesized_list_splat,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2013), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(894), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [9591] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(886), 1,
      sym_identifier,
    ACTIONS(888), 1,
      anon_sym_LPAREN,
    ACTIONS(896), 1,
      anon_sym_await,
    ACTIONS(1016), 1,
      anon_sym_RPAREN,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1622), 1,
      sym_expression,
    STATE(2014), 1,
      sym_parenthesized_list_splat,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2013), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(894), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [9696] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(886), 1,
      sym_identifier,
    ACTIONS(888), 1,
      anon_sym_LPAREN,
    ACTIONS(896), 1,
      anon_sym_await,
    ACTIONS(1018), 1,
      anon_sym_RPAREN,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1622), 1,
      sym_expression,
    STATE(2014), 1,
      sym_parenthesized_list_splat,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2013), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(894), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [9801] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 1,
      sym_identifier,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(780), 1,
      anon_sym_yield,
    ACTIONS(888), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_STAR,
    ACTIONS(1020), 1,
      anon_sym_RPAREN,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1651), 1,
      sym_expression,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2019), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(705), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [9903] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(603), 1,
      sym_identifier,
    ACTIONS(609), 1,
      anon_sym_LBRACK,
    ACTIONS(611), 1,
      anon_sym_not,
    ACTIONS(615), 1,
      anon_sym_lambda,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(623), 1,
      anon_sym_await,
    ACTIONS(625), 1,
      sym__string_start,
    ACTIONS(812), 1,
      anon_sym_yield,
    ACTIONS(1022), 1,
      anon_sym_LPAREN,
    ACTIONS(1024), 1,
      anon_sym_STAR,
    ACTIONS(1026), 1,
      anon_sym_RBRACE,
    STATE(836), 1,
      sym_primary_expression,
    STATE(844), 1,
      sym_string,
    STATE(1676), 1,
      sym_expression,
    STATE(2217), 1,
      sym__named_expression_lhs,
    ACTIONS(617), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(613), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1992), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(607), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(621), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1480), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1156), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [10005] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(603), 1,
      sym_identifier,
    ACTIONS(609), 1,
      anon_sym_LBRACK,
    ACTIONS(611), 1,
      anon_sym_not,
    ACTIONS(615), 1,
      anon_sym_lambda,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(623), 1,
      anon_sym_await,
    ACTIONS(625), 1,
      sym__string_start,
    ACTIONS(812), 1,
      anon_sym_yield,
    ACTIONS(1020), 1,
      anon_sym_RBRACE,
    ACTIONS(1022), 1,
      anon_sym_LPAREN,
    ACTIONS(1024), 1,
      anon_sym_STAR,
    STATE(836), 1,
      sym_primary_expression,
    STATE(844), 1,
      sym_string,
    STATE(1676), 1,
      sym_expression,
    STATE(2217), 1,
      sym__named_expression_lhs,
    ACTIONS(617), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(613), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1992), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(607), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(621), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1480), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1156), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [10107] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_STAR_STAR,
    ACTIONS(886), 1,
      sym_identifier,
    ACTIONS(888), 1,
      anon_sym_LPAREN,
    ACTIONS(896), 1,
      anon_sym_await,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1622), 1,
      sym_expression,
    STATE(2014), 1,
      sym_parenthesized_list_splat,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2013), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(894), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [10209] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    ACTIONS(764), 1,
      anon_sym_yield,
    ACTIONS(924), 1,
      anon_sym_STAR,
    ACTIONS(1020), 1,
      anon_sym_RBRACK,
    ACTIONS(1028), 1,
      anon_sym_LPAREN,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1635), 1,
      sym_expression,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2020), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [10311] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 1,
      sym_identifier,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(780), 1,
      anon_sym_yield,
    ACTIONS(888), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_STAR,
    ACTIONS(1026), 1,
      anon_sym_RPAREN,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1651), 1,
      sym_expression,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2019), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(705), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [10413] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    ACTIONS(764), 1,
      anon_sym_yield,
    ACTIONS(924), 1,
      anon_sym_STAR,
    ACTIONS(1026), 1,
      anon_sym_RBRACK,
    ACTIONS(1028), 1,
      anon_sym_LPAREN,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1635), 1,
      sym_expression,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2020), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [10515] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    ACTIONS(764), 1,
      anon_sym_yield,
    ACTIONS(924), 1,
      anon_sym_STAR,
    ACTIONS(1028), 1,
      anon_sym_LPAREN,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1635), 1,
      sym_expression,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2020), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [10614] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(1030), 1,
      anon_sym_if,
    ACTIONS(1032), 1,
      anon_sym_COLON,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1685), 1,
      sym_expression,
    STATE(1879), 1,
      sym_list_splat_pattern,
    STATE(2062), 1,
      sym_if_clause,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [10717] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(603), 1,
      sym_identifier,
    ACTIONS(605), 1,
      anon_sym_LPAREN,
    ACTIONS(609), 1,
      anon_sym_LBRACK,
    ACTIONS(611), 1,
      anon_sym_not,
    ACTIONS(615), 1,
      anon_sym_lambda,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(623), 1,
      anon_sym_await,
    ACTIONS(625), 1,
      sym__string_start,
    STATE(836), 1,
      sym_primary_expression,
    STATE(844), 1,
      sym_string,
    STATE(1482), 1,
      sym_expression,
    STATE(2217), 1,
      sym__named_expression_lhs,
    ACTIONS(617), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(613), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(607), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(621), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1034), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    STATE(1480), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1156), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [10812] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(603), 1,
      sym_identifier,
    ACTIONS(609), 1,
      anon_sym_LBRACK,
    ACTIONS(611), 1,
      anon_sym_not,
    ACTIONS(615), 1,
      anon_sym_lambda,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(623), 1,
      anon_sym_await,
    ACTIONS(625), 1,
      sym__string_start,
    ACTIONS(812), 1,
      anon_sym_yield,
    ACTIONS(1022), 1,
      anon_sym_LPAREN,
    ACTIONS(1024), 1,
      anon_sym_STAR,
    STATE(836), 1,
      sym_primary_expression,
    STATE(844), 1,
      sym_string,
    STATE(1676), 1,
      sym_expression,
    STATE(2217), 1,
      sym__named_expression_lhs,
    ACTIONS(617), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(613), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1992), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(607), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(621), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1480), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1156), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [10911] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(653), 1,
      sym_identifier,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(659), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_not,
    ACTIONS(669), 1,
      anon_sym_LBRACE,
    ACTIONS(673), 1,
      anon_sym_await,
    ACTIONS(675), 1,
      sym__string_start,
    ACTIONS(1038), 1,
      anon_sym_lambda,
    ACTIONS(1040), 1,
      anon_sym_RBRACE,
    STATE(839), 1,
      sym_primary_expression,
    STATE(841), 1,
      sym_string,
    STATE(1538), 1,
      sym_expression,
    STATE(2053), 1,
      sym__named_expression_lhs,
    ACTIONS(667), 2,
      sym_ellipsis,
      sym_float,
    STATE(1732), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(657), 3,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
    ACTIONS(663), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1036), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(671), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1485), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1047), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [11010] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(653), 1,
      sym_identifier,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(659), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_not,
    ACTIONS(669), 1,
      anon_sym_LBRACE,
    ACTIONS(673), 1,
      anon_sym_await,
    ACTIONS(675), 1,
      sym__string_start,
    ACTIONS(1038), 1,
      anon_sym_lambda,
    ACTIONS(1044), 1,
      anon_sym_RBRACE,
    STATE(839), 1,
      sym_primary_expression,
    STATE(841), 1,
      sym_string,
    STATE(1538), 1,
      sym_expression,
    STATE(2053), 1,
      sym__named_expression_lhs,
    ACTIONS(667), 2,
      sym_ellipsis,
      sym_float,
    STATE(1732), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(657), 3,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
    ACTIONS(663), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1042), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(671), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1485), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1047), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [11109] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(731), 1,
      anon_sym_LBRACK,
    ACTIONS(733), 1,
      anon_sym_not,
    ACTIONS(741), 1,
      anon_sym_LBRACE,
    ACTIONS(745), 1,
      anon_sym_await,
    ACTIONS(747), 1,
      sym__string_start,
    ACTIONS(1048), 1,
      anon_sym_RBRACK,
    ACTIONS(1050), 1,
      anon_sym_lambda,
    STATE(883), 1,
      sym_primary_expression,
    STATE(884), 1,
      sym_string,
    STATE(1555), 1,
      sym_expression,
    STATE(2099), 1,
      sym__named_expression_lhs,
    ACTIONS(739), 2,
      sym_ellipsis,
      sym_float,
    STATE(1709), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(729), 3,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
    ACTIONS(735), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1046), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(743), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1520), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1181), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [11208] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(627), 1,
      sym_identifier,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_not,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_await,
    ACTIONS(651), 1,
      sym__string_start,
    ACTIONS(1048), 1,
      anon_sym_RPAREN,
    ACTIONS(1052), 1,
      anon_sym_lambda,
    STATE(863), 1,
      sym_primary_expression,
    STATE(866), 1,
      sym_string,
    STATE(1546), 1,
      sym_expression,
    STATE(2123), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    STATE(1727), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(631), 3,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1046), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(647), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1544), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [11307] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(653), 1,
      sym_identifier,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(659), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_not,
    ACTIONS(669), 1,
      anon_sym_LBRACE,
    ACTIONS(673), 1,
      anon_sym_await,
    ACTIONS(675), 1,
      sym__string_start,
    ACTIONS(1038), 1,
      anon_sym_lambda,
    ACTIONS(1056), 1,
      anon_sym_RBRACE,
    STATE(839), 1,
      sym_primary_expression,
    STATE(841), 1,
      sym_string,
    STATE(1538), 1,
      sym_expression,
    STATE(2053), 1,
      sym__named_expression_lhs,
    ACTIONS(667), 2,
      sym_ellipsis,
      sym_float,
    STATE(1732), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(657), 3,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
    ACTIONS(663), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1054), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(671), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1485), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1047), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [11406] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(1030), 1,
      anon_sym_if,
    ACTIONS(1058), 1,
      anon_sym_COLON,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1685), 1,
      sym_expression,
    STATE(1879), 1,
      sym_list_splat_pattern,
    STATE(2103), 1,
      sym_if_clause,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [11509] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(731), 1,
      anon_sym_LBRACK,
    ACTIONS(733), 1,
      anon_sym_not,
    ACTIONS(741), 1,
      anon_sym_LBRACE,
    ACTIONS(745), 1,
      anon_sym_await,
    ACTIONS(747), 1,
      sym__string_start,
    ACTIONS(1044), 1,
      anon_sym_RBRACK,
    ACTIONS(1050), 1,
      anon_sym_lambda,
    STATE(883), 1,
      sym_primary_expression,
    STATE(884), 1,
      sym_string,
    STATE(1555), 1,
      sym_expression,
    STATE(2099), 1,
      sym__named_expression_lhs,
    ACTIONS(739), 2,
      sym_ellipsis,
      sym_float,
    STATE(1709), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(729), 3,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
    ACTIONS(735), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1042), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(743), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1520), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1181), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [11608] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(603), 1,
      sym_identifier,
    ACTIONS(605), 1,
      anon_sym_LPAREN,
    ACTIONS(609), 1,
      anon_sym_LBRACK,
    ACTIONS(611), 1,
      anon_sym_not,
    ACTIONS(615), 1,
      anon_sym_lambda,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(623), 1,
      anon_sym_await,
    ACTIONS(625), 1,
      sym__string_start,
    STATE(836), 1,
      sym_primary_expression,
    STATE(844), 1,
      sym_string,
    STATE(1482), 1,
      sym_expression,
    STATE(2217), 1,
      sym__named_expression_lhs,
    ACTIONS(617), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(613), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(607), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(621), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1060), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    STATE(1480), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1156), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [11703] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(627), 1,
      sym_identifier,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_not,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_await,
    ACTIONS(651), 1,
      sym__string_start,
    ACTIONS(1040), 1,
      anon_sym_RPAREN,
    ACTIONS(1052), 1,
      anon_sym_lambda,
    STATE(863), 1,
      sym_primary_expression,
    STATE(866), 1,
      sym_string,
    STATE(1546), 1,
      sym_expression,
    STATE(2123), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    STATE(1727), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(631), 3,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1036), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(647), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1544), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [11802] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(627), 1,
      sym_identifier,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_not,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_await,
    ACTIONS(651), 1,
      sym__string_start,
    ACTIONS(1044), 1,
      anon_sym_RPAREN,
    ACTIONS(1052), 1,
      anon_sym_lambda,
    STATE(863), 1,
      sym_primary_expression,
    STATE(866), 1,
      sym_string,
    STATE(1546), 1,
      sym_expression,
    STATE(2123), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    STATE(1727), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(631), 3,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1042), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(647), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1544), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [11901] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(1030), 1,
      anon_sym_if,
    ACTIONS(1062), 1,
      anon_sym_COLON,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1685), 1,
      sym_expression,
    STATE(1879), 1,
      sym_list_splat_pattern,
    STATE(2155), 1,
      sym_if_clause,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [12004] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(1030), 1,
      anon_sym_if,
    ACTIONS(1064), 1,
      anon_sym_COLON,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1685), 1,
      sym_expression,
    STATE(1879), 1,
      sym_list_splat_pattern,
    STATE(2190), 1,
      sym__named_expression_lhs,
    STATE(2225), 1,
      sym_if_clause,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [12107] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(731), 1,
      anon_sym_LBRACK,
    ACTIONS(733), 1,
      anon_sym_not,
    ACTIONS(741), 1,
      anon_sym_LBRACE,
    ACTIONS(745), 1,
      anon_sym_await,
    ACTIONS(747), 1,
      sym__string_start,
    ACTIONS(1040), 1,
      anon_sym_RBRACK,
    ACTIONS(1050), 1,
      anon_sym_lambda,
    STATE(883), 1,
      sym_primary_expression,
    STATE(884), 1,
      sym_string,
    STATE(1555), 1,
      sym_expression,
    STATE(2099), 1,
      sym__named_expression_lhs,
    ACTIONS(739), 2,
      sym_ellipsis,
      sym_float,
    STATE(1709), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(729), 3,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
    ACTIONS(735), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1036), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(743), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1520), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1181), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [12206] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(1030), 1,
      anon_sym_if,
    ACTIONS(1066), 1,
      anon_sym_COLON,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1685), 1,
      sym_expression,
    STATE(1879), 1,
      sym_list_splat_pattern,
    STATE(2161), 1,
      sym_if_clause,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [12309] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 1,
      sym_identifier,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(780), 1,
      anon_sym_yield,
    ACTIONS(888), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_STAR,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1651), 1,
      sym_expression,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2019), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(705), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [12408] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(731), 1,
      anon_sym_LBRACK,
    ACTIONS(733), 1,
      anon_sym_not,
    ACTIONS(741), 1,
      anon_sym_LBRACE,
    ACTIONS(745), 1,
      anon_sym_await,
    ACTIONS(747), 1,
      sym__string_start,
    ACTIONS(1050), 1,
      anon_sym_lambda,
    ACTIONS(1056), 1,
      anon_sym_RBRACK,
    STATE(883), 1,
      sym_primary_expression,
    STATE(884), 1,
      sym_string,
    STATE(1555), 1,
      sym_expression,
    STATE(2099), 1,
      sym__named_expression_lhs,
    ACTIONS(739), 2,
      sym_ellipsis,
      sym_float,
    STATE(1709), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(729), 3,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
    ACTIONS(735), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1054), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(743), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1520), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1181), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [12507] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(653), 1,
      sym_identifier,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(659), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_not,
    ACTIONS(669), 1,
      anon_sym_LBRACE,
    ACTIONS(673), 1,
      anon_sym_await,
    ACTIONS(675), 1,
      sym__string_start,
    ACTIONS(1038), 1,
      anon_sym_lambda,
    ACTIONS(1048), 1,
      anon_sym_RBRACE,
    STATE(839), 1,
      sym_primary_expression,
    STATE(841), 1,
      sym_string,
    STATE(1538), 1,
      sym_expression,
    STATE(2053), 1,
      sym__named_expression_lhs,
    ACTIONS(667), 2,
      sym_ellipsis,
      sym_float,
    STATE(1732), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(657), 3,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
    ACTIONS(663), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1046), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(671), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1485), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1047), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [12606] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(1030), 1,
      anon_sym_if,
    ACTIONS(1068), 1,
      anon_sym_COLON,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1685), 1,
      sym_expression,
    STATE(1879), 1,
      sym_list_splat_pattern,
    STATE(2162), 1,
      sym_if_clause,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [12709] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(627), 1,
      sym_identifier,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_not,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_await,
    ACTIONS(651), 1,
      sym__string_start,
    ACTIONS(1052), 1,
      anon_sym_lambda,
    ACTIONS(1056), 1,
      anon_sym_RPAREN,
    STATE(863), 1,
      sym_primary_expression,
    STATE(866), 1,
      sym_string,
    STATE(1546), 1,
      sym_expression,
    STATE(2123), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    STATE(1727), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(631), 3,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1054), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(647), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1544), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [12808] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(270), 1,
      anon_sym_COMMA,
    ACTIONS(277), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1070), 1,
      anon_sym_for,
    ACTIONS(1072), 1,
      anon_sym_with,
    ACTIONS(1074), 1,
      anon_sym_def,
    ACTIONS(279), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(281), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(268), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [12882] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(603), 1,
      sym_identifier,
    ACTIONS(605), 1,
      anon_sym_LPAREN,
    ACTIONS(609), 1,
      anon_sym_LBRACK,
    ACTIONS(611), 1,
      anon_sym_not,
    ACTIONS(615), 1,
      anon_sym_lambda,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(623), 1,
      anon_sym_await,
    ACTIONS(625), 1,
      sym__string_start,
    ACTIONS(812), 1,
      anon_sym_yield,
    STATE(836), 1,
      sym_primary_expression,
    STATE(844), 1,
      sym_string,
    STATE(1459), 1,
      sym_expression,
    STATE(2217), 1,
      sym__named_expression_lhs,
    ACTIONS(617), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(613), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1734), 3,
      sym_expression_list,
      sym_yield,
      sym__f_expression,
    ACTIONS(607), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(621), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1480), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1156), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [12978] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(810), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1076), 1,
      anon_sym_RBRACE,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1726), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    STATE(1996), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [13076] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(810), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1078), 1,
      anon_sym_RBRACE,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1726), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    STATE(1996), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [13174] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(810), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1080), 1,
      anon_sym_RBRACE,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1726), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    STATE(1996), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [13272] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(810), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1082), 1,
      anon_sym_RBRACE,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1726), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    STATE(1996), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [13370] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(283), 1,
      anon_sym_await,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      anon_sym_LBRACK,
    ACTIONS(1084), 1,
      anon_sym_from,
    STATE(835), 1,
      sym_primary_expression,
    STATE(837), 1,
      sym_string,
    STATE(1503), 1,
      sym_expression,
    STATE(2005), 1,
      sym_expression_list,
    STATE(2184), 1,
      sym__named_expression_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1010), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(273), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1478), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1157), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [13468] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(603), 1,
      sym_identifier,
    ACTIONS(605), 1,
      anon_sym_LPAREN,
    ACTIONS(609), 1,
      anon_sym_LBRACK,
    ACTIONS(611), 1,
      anon_sym_not,
    ACTIONS(615), 1,
      anon_sym_lambda,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(623), 1,
      anon_sym_await,
    ACTIONS(625), 1,
      sym__string_start,
    ACTIONS(812), 1,
      anon_sym_yield,
    STATE(836), 1,
      sym_primary_expression,
    STATE(844), 1,
      sym_string,
    STATE(1459), 1,
      sym_expression,
    STATE(2217), 1,
      sym__named_expression_lhs,
    ACTIONS(617), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(613), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1708), 3,
      sym_expression_list,
      sym_yield,
      sym__f_expression,
    ACTIONS(607), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(621), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1480), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1156), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [13564] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(810), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1086), 1,
      anon_sym_RBRACE,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1726), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    STATE(1996), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [13662] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(810), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1088), 1,
      anon_sym_RBRACE,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1726), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    STATE(1996), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [13760] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(810), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1090), 1,
      anon_sym_RBRACE,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1726), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    STATE(1996), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [13858] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 1,
      sym_identifier,
    ACTIONS(703), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(1092), 1,
      anon_sym_from,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1596), 1,
      sym_expression,
    STATE(2024), 1,
      sym_expression_list,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1010), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [13956] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(283), 1,
      anon_sym_await,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      anon_sym_LBRACK,
    ACTIONS(1096), 1,
      anon_sym_from,
    STATE(835), 1,
      sym_primary_expression,
    STATE(837), 1,
      sym_string,
    STATE(1476), 1,
      sym_expression,
    STATE(1916), 1,
      sym_expression_list,
    STATE(2184), 1,
      sym__named_expression_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1094), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(273), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1478), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1157), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [14054] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(810), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1098), 1,
      anon_sym_RBRACE,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1726), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    STATE(1996), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [14152] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(810), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1100), 1,
      anon_sym_RBRACE,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1726), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    STATE(1996), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [14250] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(810), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1102), 1,
      anon_sym_RBRACE,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1726), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    STATE(1996), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [14348] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(810), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1104), 1,
      anon_sym_RBRACE,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1726), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    STATE(1996), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [14446] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(810), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1106), 1,
      anon_sym_RBRACE,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1726), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    STATE(1996), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [14544] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(810), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1108), 1,
      anon_sym_RBRACE,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1726), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    STATE(1996), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [14642] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(810), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1110), 1,
      anon_sym_RBRACE,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1726), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    STATE(1996), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [14740] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(270), 1,
      anon_sym_COMMA,
    ACTIONS(277), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1112), 1,
      anon_sym_for,
    ACTIONS(1114), 1,
      anon_sym_with,
    ACTIONS(1116), 1,
      anon_sym_def,
    ACTIONS(279), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(281), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(268), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [14814] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(810), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1118), 1,
      anon_sym_RBRACE,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1726), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    STATE(1996), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [14912] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(810), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1120), 1,
      anon_sym_RBRACE,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1726), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    STATE(1996), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [15010] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    ACTIONS(1122), 1,
      anon_sym_from,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1607), 1,
      sym_expression,
    STATE(2010), 1,
      sym_expression_list,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1010), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [15108] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    ACTIONS(1124), 1,
      anon_sym_COLON,
    ACTIONS(1126), 1,
      anon_sym_RBRACK,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1595), 1,
      sym_expression,
    STATE(2016), 1,
      sym_slice,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [15205] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    ACTIONS(1124), 1,
      anon_sym_COLON,
    ACTIONS(1128), 1,
      anon_sym_RBRACK,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1595), 1,
      sym_expression,
    STATE(2016), 1,
      sym_slice,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [15302] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(283), 1,
      anon_sym_await,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      anon_sym_LBRACK,
    ACTIONS(1130), 1,
      anon_sym_from,
    STATE(835), 1,
      sym_primary_expression,
    STATE(837), 1,
      sym_string,
    STATE(1543), 1,
      sym_expression,
    STATE(2184), 1,
      sym__named_expression_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1034), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(273), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1478), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1157), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [15397] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    ACTIONS(1124), 1,
      anon_sym_COLON,
    ACTIONS(1132), 1,
      anon_sym_RBRACK,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1595), 1,
      sym_expression,
    STATE(2016), 1,
      sym_slice,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [15494] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    ACTIONS(1124), 1,
      anon_sym_COLON,
    ACTIONS(1134), 1,
      anon_sym_RBRACK,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1595), 1,
      sym_expression,
    STATE(2016), 1,
      sym_slice,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [15591] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    ACTIONS(1124), 1,
      anon_sym_COLON,
    ACTIONS(1136), 1,
      anon_sym_RBRACK,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1595), 1,
      sym_expression,
    STATE(2016), 1,
      sym_slice,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [15688] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(810), 1,
      anon_sym_STAR_STAR,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1726), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    STATE(1996), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [15783] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    ACTIONS(1124), 1,
      anon_sym_COLON,
    ACTIONS(1138), 1,
      anon_sym_RBRACK,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1595), 1,
      sym_expression,
    STATE(2016), 1,
      sym_slice,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [15880] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    ACTIONS(1124), 1,
      anon_sym_COLON,
    ACTIONS(1140), 1,
      anon_sym_RBRACK,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1595), 1,
      sym_expression,
    STATE(2016), 1,
      sym_slice,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [15977] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    ACTIONS(1124), 1,
      anon_sym_COLON,
    ACTIONS(1142), 1,
      anon_sym_RBRACK,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1595), 1,
      sym_expression,
    STATE(2016), 1,
      sym_slice,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [16074] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    ACTIONS(1124), 1,
      anon_sym_COLON,
    ACTIONS(1144), 1,
      anon_sym_RBRACK,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1595), 1,
      sym_expression,
    STATE(2016), 1,
      sym_slice,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [16171] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    ACTIONS(1124), 1,
      anon_sym_COLON,
    ACTIONS(1146), 1,
      anon_sym_RBRACK,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1595), 1,
      sym_expression,
    STATE(2016), 1,
      sym_slice,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [16268] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    ACTIONS(1150), 1,
      anon_sym_COLON,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1613), 1,
      sym_expression,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1148), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [16363] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    ACTIONS(1124), 1,
      anon_sym_COLON,
    ACTIONS(1152), 1,
      anon_sym_RBRACK,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1595), 1,
      sym_expression,
    STATE(2016), 1,
      sym_slice,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [16460] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    ACTIONS(1124), 1,
      anon_sym_COLON,
    ACTIONS(1154), 1,
      anon_sym_RBRACK,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1595), 1,
      sym_expression,
    STATE(2016), 1,
      sym_slice,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [16557] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    ACTIONS(1124), 1,
      anon_sym_COLON,
    ACTIONS(1156), 1,
      anon_sym_RBRACK,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1595), 1,
      sym_expression,
    STATE(2016), 1,
      sym_slice,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [16654] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    ACTIONS(1124), 1,
      anon_sym_COLON,
    ACTIONS(1158), 1,
      anon_sym_RBRACK,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1595), 1,
      sym_expression,
    STATE(2016), 1,
      sym_slice,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [16751] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    ACTIONS(1162), 1,
      anon_sym_COLON,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1563), 1,
      sym_expression,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1160), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [16846] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    ACTIONS(1124), 1,
      anon_sym_COLON,
    ACTIONS(1164), 1,
      anon_sym_RBRACK,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1595), 1,
      sym_expression,
    STATE(2016), 1,
      sym_slice,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [16943] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    ACTIONS(1124), 1,
      anon_sym_COLON,
    ACTIONS(1166), 1,
      anon_sym_RBRACK,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1595), 1,
      sym_expression,
    STATE(2016), 1,
      sym_slice,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [17040] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    ACTIONS(1124), 1,
      anon_sym_COLON,
    ACTIONS(1168), 1,
      anon_sym_RBRACK,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1595), 1,
      sym_expression,
    STATE(2016), 1,
      sym_slice,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [17137] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    ACTIONS(1124), 1,
      anon_sym_COLON,
    ACTIONS(1170), 1,
      anon_sym_RBRACK,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1595), 1,
      sym_expression,
    STATE(2016), 1,
      sym_slice,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [17234] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    ACTIONS(1124), 1,
      anon_sym_COLON,
    ACTIONS(1172), 1,
      anon_sym_RBRACK,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1595), 1,
      sym_expression,
    STATE(2016), 1,
      sym_slice,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [17331] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(270), 1,
      anon_sym_COMMA,
    ACTIONS(277), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1174), 1,
      sym__string_start,
    STATE(1950), 1,
      sym_string,
    ACTIONS(279), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(281), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(268), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [17402] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(283), 1,
      anon_sym_await,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      anon_sym_LBRACK,
    ACTIONS(1176), 1,
      anon_sym_from,
    STATE(835), 1,
      sym_primary_expression,
    STATE(837), 1,
      sym_string,
    STATE(1543), 1,
      sym_expression,
    STATE(2184), 1,
      sym__named_expression_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1060), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(273), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1478), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1157), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [17497] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    ACTIONS(1124), 1,
      anon_sym_COLON,
    ACTIONS(1178), 1,
      anon_sym_RBRACK,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1595), 1,
      sym_expression,
    STATE(2016), 1,
      sym_slice,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [17594] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    ACTIONS(1124), 1,
      anon_sym_COLON,
    ACTIONS(1180), 1,
      anon_sym_RBRACK,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1595), 1,
      sym_expression,
    STATE(2016), 1,
      sym_slice,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [17691] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    ACTIONS(1124), 1,
      anon_sym_COLON,
    ACTIONS(1182), 1,
      anon_sym_RBRACK,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1595), 1,
      sym_expression,
    STATE(2016), 1,
      sym_slice,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [17788] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    ACTIONS(1124), 1,
      anon_sym_COLON,
    ACTIONS(1184), 1,
      anon_sym_RBRACK,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1595), 1,
      sym_expression,
    STATE(2016), 1,
      sym_slice,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [17885] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    ACTIONS(1124), 1,
      anon_sym_COLON,
    ACTIONS(1186), 1,
      anon_sym_RBRACK,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1595), 1,
      sym_expression,
    STATE(2016), 1,
      sym_slice,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [17982] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(283), 1,
      anon_sym_await,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      anon_sym_LBRACK,
    STATE(835), 1,
      sym_primary_expression,
    STATE(837), 1,
      sym_string,
    STATE(1534), 1,
      sym_expression,
    STATE(2032), 1,
      sym_expression_list,
    STATE(2184), 1,
      sym__named_expression_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1188), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(273), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1478), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1157), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [18077] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1194), 1,
      anon_sym_else,
    ACTIONS(1196), 1,
      anon_sym_except_STAR,
    ACTIONS(1198), 1,
      anon_sym_finally,
    STATE(658), 1,
      sym_else_clause,
    STATE(808), 1,
      sym_finally_clause,
    STATE(484), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1190), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1192), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [18147] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1194), 1,
      anon_sym_else,
    ACTIONS(1198), 1,
      anon_sym_finally,
    ACTIONS(1204), 1,
      anon_sym_except,
    STATE(668), 1,
      sym_else_clause,
    STATE(769), 1,
      sym_finally_clause,
    STATE(483), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1200), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1202), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [18217] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(731), 1,
      anon_sym_LBRACK,
    ACTIONS(733), 1,
      anon_sym_not,
    ACTIONS(741), 1,
      anon_sym_LBRACE,
    ACTIONS(745), 1,
      anon_sym_await,
    ACTIONS(747), 1,
      sym__string_start,
    ACTIONS(1050), 1,
      anon_sym_lambda,
    STATE(883), 1,
      sym_primary_expression,
    STATE(884), 1,
      sym_string,
    STATE(1542), 1,
      sym_expression,
    STATE(2099), 1,
      sym__named_expression_lhs,
    ACTIONS(739), 2,
      sym_ellipsis,
      sym_float,
    STATE(1712), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(735), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(729), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(743), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1520), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1181), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [18309] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1685), 1,
      sym_expression,
    STATE(1879), 1,
      sym_list_splat_pattern,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [18403] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(653), 1,
      sym_identifier,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(659), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_not,
    ACTIONS(669), 1,
      anon_sym_LBRACE,
    ACTIONS(673), 1,
      anon_sym_await,
    ACTIONS(675), 1,
      sym__string_start,
    ACTIONS(1038), 1,
      anon_sym_lambda,
    STATE(839), 1,
      sym_primary_expression,
    STATE(841), 1,
      sym_string,
    STATE(1509), 1,
      sym_expression,
    STATE(2053), 1,
      sym__named_expression_lhs,
    ACTIONS(667), 2,
      sym_ellipsis,
      sym_float,
    STATE(1729), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(663), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(657), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(671), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1485), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1047), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [18495] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(1206), 1,
      anon_sym_COLON,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1642), 1,
      sym_expression,
    STATE(1991), 1,
      sym_with_item,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [18589] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(283), 1,
      anon_sym_await,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      anon_sym_LBRACK,
    STATE(835), 1,
      sym_primary_expression,
    STATE(837), 1,
      sym_string,
    STATE(1559), 1,
      sym_expression,
    STATE(2184), 1,
      sym__named_expression_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1208), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(273), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1478), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1157), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [18681] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(731), 1,
      anon_sym_LBRACK,
    ACTIONS(733), 1,
      anon_sym_not,
    ACTIONS(741), 1,
      anon_sym_LBRACE,
    ACTIONS(745), 1,
      anon_sym_await,
    ACTIONS(747), 1,
      sym__string_start,
    ACTIONS(1050), 1,
      anon_sym_lambda,
    STATE(883), 1,
      sym_primary_expression,
    STATE(884), 1,
      sym_string,
    STATE(1555), 1,
      sym_expression,
    STATE(2099), 1,
      sym__named_expression_lhs,
    ACTIONS(739), 2,
      sym_ellipsis,
      sym_float,
    STATE(1663), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(735), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(729), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(743), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1520), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1181), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [18773] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(283), 1,
      anon_sym_await,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      anon_sym_LBRACK,
    STATE(835), 1,
      sym_primary_expression,
    STATE(837), 1,
      sym_string,
    STATE(1559), 1,
      sym_expression,
    STATE(2184), 1,
      sym__named_expression_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1210), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(273), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1478), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1157), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [18865] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1508), 1,
      sym_expression,
    STATE(1738), 1,
      sym_list_splat_pattern,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [18959] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(731), 1,
      anon_sym_LBRACK,
    ACTIONS(733), 1,
      anon_sym_not,
    ACTIONS(741), 1,
      anon_sym_LBRACE,
    ACTIONS(745), 1,
      anon_sym_await,
    ACTIONS(747), 1,
      sym__string_start,
    ACTIONS(1050), 1,
      anon_sym_lambda,
    STATE(883), 1,
      sym_primary_expression,
    STATE(884), 1,
      sym_string,
    STATE(1552), 1,
      sym_expression,
    STATE(2099), 1,
      sym__named_expression_lhs,
    ACTIONS(739), 2,
      sym_ellipsis,
      sym_float,
    STATE(1722), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(735), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(729), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(743), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1520), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1181), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [19051] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(1212), 1,
      anon_sym_LPAREN,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1642), 1,
      sym_expression,
    STATE(1936), 1,
      sym_with_item,
    STATE(2124), 1,
      sym_with_clause,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [19145] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(1212), 1,
      anon_sym_LPAREN,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1642), 1,
      sym_expression,
    STATE(1936), 1,
      sym_with_item,
    STATE(2126), 1,
      sym_with_clause,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [19239] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1540), 1,
      sym_expression,
    STATE(1736), 1,
      sym_list_splat_pattern,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [19333] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(627), 1,
      sym_identifier,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_not,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_await,
    ACTIONS(651), 1,
      sym__string_start,
    ACTIONS(1052), 1,
      anon_sym_lambda,
    STATE(863), 1,
      sym_primary_expression,
    STATE(866), 1,
      sym_string,
    STATE(1548), 1,
      sym_expression,
    STATE(2123), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    STATE(1723), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(631), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(647), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1544), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [19425] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(627), 1,
      sym_identifier,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_not,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_await,
    ACTIONS(651), 1,
      sym__string_start,
    ACTIONS(1052), 1,
      anon_sym_lambda,
    STATE(863), 1,
      sym_primary_expression,
    STATE(866), 1,
      sym_string,
    STATE(1546), 1,
      sym_expression,
    STATE(2123), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    STATE(1727), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(631), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(647), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1544), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [19517] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1679), 1,
      sym_expression,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1160), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [19609] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(1212), 1,
      anon_sym_LPAREN,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1642), 1,
      sym_expression,
    STATE(1936), 1,
      sym_with_item,
    STATE(2120), 1,
      sym_with_clause,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [19703] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    ACTIONS(1124), 1,
      anon_sym_COLON,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1556), 1,
      sym_expression,
    STATE(1850), 1,
      sym_slice,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [19797] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(627), 1,
      sym_identifier,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_not,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_await,
    ACTIONS(651), 1,
      sym__string_start,
    ACTIONS(1052), 1,
      anon_sym_lambda,
    STATE(863), 1,
      sym_primary_expression,
    STATE(866), 1,
      sym_string,
    STATE(1546), 1,
      sym_expression,
    STATE(2123), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    STATE(1631), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(631), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(647), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1544), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [19889] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    ACTIONS(1124), 1,
      anon_sym_COLON,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1533), 1,
      sym_expression,
    STATE(1905), 1,
      sym_slice,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [19983] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1657), 1,
      sym_expression,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1034), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [20075] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    ACTIONS(1124), 1,
      anon_sym_COLON,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1517), 1,
      sym_expression,
    STATE(1941), 1,
      sym_slice,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [20169] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(731), 1,
      anon_sym_LBRACK,
    ACTIONS(733), 1,
      anon_sym_not,
    ACTIONS(741), 1,
      anon_sym_LBRACE,
    ACTIONS(745), 1,
      anon_sym_await,
    ACTIONS(747), 1,
      sym__string_start,
    ACTIONS(1050), 1,
      anon_sym_lambda,
    STATE(883), 1,
      sym_primary_expression,
    STATE(884), 1,
      sym_string,
    STATE(1555), 1,
      sym_expression,
    STATE(2099), 1,
      sym__named_expression_lhs,
    ACTIONS(739), 2,
      sym_ellipsis,
      sym_float,
    STATE(1646), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(735), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(729), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(743), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1520), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1181), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [20261] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    ACTIONS(1124), 1,
      anon_sym_COLON,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1505), 1,
      sym_expression,
    STATE(1948), 1,
      sym_slice,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [20355] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    ACTIONS(1124), 1,
      anon_sym_COLON,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1498), 1,
      sym_expression,
    STATE(1894), 1,
      sym_slice,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [20449] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    ACTIONS(1124), 1,
      anon_sym_COLON,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1536), 1,
      sym_expression,
    STATE(1831), 1,
      sym_slice,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [20543] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 1,
      sym_identifier,
    ACTIONS(703), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(1214), 1,
      anon_sym_RPAREN,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1655), 1,
      sym_expression,
    STATE(2021), 1,
      sym_with_item,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [20637] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1194), 1,
      anon_sym_else,
    ACTIONS(1196), 1,
      anon_sym_except_STAR,
    ACTIONS(1198), 1,
      anon_sym_finally,
    STATE(668), 1,
      sym_else_clause,
    STATE(769), 1,
      sym_finally_clause,
    STATE(484), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1200), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1202), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [20707] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(283), 1,
      anon_sym_await,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      anon_sym_LBRACK,
    STATE(835), 1,
      sym_primary_expression,
    STATE(837), 1,
      sym_string,
    STATE(1543), 1,
      sym_expression,
    STATE(2184), 1,
      sym__named_expression_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1216), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(273), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1478), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1157), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [20799] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    ACTIONS(1124), 1,
      anon_sym_COLON,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1497), 1,
      sym_expression,
    STATE(1874), 1,
      sym_slice,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [20893] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(1212), 1,
      anon_sym_LPAREN,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1642), 1,
      sym_expression,
    STATE(1936), 1,
      sym_with_item,
    STATE(2097), 1,
      sym_with_clause,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [20987] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 1,
      sym_identifier,
    ACTIONS(703), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(1218), 1,
      anon_sym_RPAREN,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1655), 1,
      sym_expression,
    STATE(2021), 1,
      sym_with_item,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [21081] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(627), 1,
      sym_identifier,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_not,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_await,
    ACTIONS(651), 1,
      sym__string_start,
    ACTIONS(1052), 1,
      anon_sym_lambda,
    STATE(863), 1,
      sym_primary_expression,
    STATE(866), 1,
      sym_string,
    STATE(1513), 1,
      sym_expression,
    STATE(2123), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    STATE(1688), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(631), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(647), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1544), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [21173] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1657), 1,
      sym_expression,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1060), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [21265] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    ACTIONS(1124), 1,
      anon_sym_COLON,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1595), 1,
      sym_expression,
    STATE(2016), 1,
      sym_slice,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [21359] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(1220), 1,
      anon_sym_COLON,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1642), 1,
      sym_expression,
    STATE(1991), 1,
      sym_with_item,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [21453] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(731), 1,
      anon_sym_LBRACK,
    ACTIONS(733), 1,
      anon_sym_not,
    ACTIONS(741), 1,
      anon_sym_LBRACE,
    ACTIONS(745), 1,
      anon_sym_await,
    ACTIONS(747), 1,
      sym__string_start,
    ACTIONS(1050), 1,
      anon_sym_lambda,
    STATE(883), 1,
      sym_primary_expression,
    STATE(884), 1,
      sym_string,
    STATE(1555), 1,
      sym_expression,
    STATE(2099), 1,
      sym__named_expression_lhs,
    ACTIONS(739), 2,
      sym_ellipsis,
      sym_float,
    STATE(1709), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(735), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(729), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(743), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1520), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1181), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [21545] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1654), 1,
      sym_expression,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1222), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [21637] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 1,
      sym_identifier,
    ACTIONS(703), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1667), 1,
      sym_expression,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1060), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [21729] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1224), 1,
      anon_sym_else,
    ACTIONS(1226), 1,
      anon_sym_except,
    ACTIONS(1228), 1,
      anon_sym_finally,
    STATE(653), 1,
      sym_else_clause,
    STATE(751), 1,
      sym_finally_clause,
    STATE(539), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1200), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1202), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [21799] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1194), 1,
      anon_sym_else,
    ACTIONS(1198), 1,
      anon_sym_finally,
    ACTIONS(1204), 1,
      anon_sym_except,
    STATE(658), 1,
      sym_else_clause,
    STATE(808), 1,
      sym_finally_clause,
    STATE(483), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1190), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1192), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [21869] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(283), 1,
      anon_sym_await,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      anon_sym_LBRACK,
    STATE(835), 1,
      sym_primary_expression,
    STATE(837), 1,
      sym_string,
    STATE(1543), 1,
      sym_expression,
    STATE(2184), 1,
      sym__named_expression_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1230), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(273), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1478), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1157), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [21961] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1224), 1,
      anon_sym_else,
    ACTIONS(1228), 1,
      anon_sym_finally,
    ACTIONS(1232), 1,
      anon_sym_except_STAR,
    STATE(653), 1,
      sym_else_clause,
    STATE(751), 1,
      sym_finally_clause,
    STATE(538), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1200), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1202), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [22031] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    ACTIONS(1124), 1,
      anon_sym_COLON,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1495), 1,
      sym_expression,
    STATE(1852), 1,
      sym_slice,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [22125] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1224), 1,
      anon_sym_else,
    ACTIONS(1226), 1,
      anon_sym_except,
    ACTIONS(1228), 1,
      anon_sym_finally,
    STATE(656), 1,
      sym_else_clause,
    STATE(791), 1,
      sym_finally_clause,
    STATE(539), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1190), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1192), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [22195] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1224), 1,
      anon_sym_else,
    ACTIONS(1228), 1,
      anon_sym_finally,
    ACTIONS(1232), 1,
      anon_sym_except_STAR,
    STATE(656), 1,
      sym_else_clause,
    STATE(791), 1,
      sym_finally_clause,
    STATE(538), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1190), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1192), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [22265] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(627), 1,
      sym_identifier,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_not,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_await,
    ACTIONS(651), 1,
      sym__string_start,
    ACTIONS(1052), 1,
      anon_sym_lambda,
    STATE(863), 1,
      sym_primary_expression,
    STATE(866), 1,
      sym_string,
    STATE(1546), 1,
      sym_expression,
    STATE(2123), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    STATE(1669), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(631), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(647), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1544), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [22357] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(653), 1,
      sym_identifier,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(659), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_not,
    ACTIONS(669), 1,
      anon_sym_LBRACE,
    ACTIONS(673), 1,
      anon_sym_await,
    ACTIONS(675), 1,
      sym__string_start,
    ACTIONS(1038), 1,
      anon_sym_lambda,
    STATE(839), 1,
      sym_primary_expression,
    STATE(841), 1,
      sym_string,
    STATE(1538), 1,
      sym_expression,
    STATE(2053), 1,
      sym__named_expression_lhs,
    ACTIONS(667), 2,
      sym_ellipsis,
      sym_float,
    STATE(1732), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(663), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(657), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(671), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1485), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1047), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [22449] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(653), 1,
      sym_identifier,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(659), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_not,
    ACTIONS(669), 1,
      anon_sym_LBRACE,
    ACTIONS(673), 1,
      anon_sym_await,
    ACTIONS(675), 1,
      sym__string_start,
    ACTIONS(1038), 1,
      anon_sym_lambda,
    STATE(839), 1,
      sym_primary_expression,
    STATE(841), 1,
      sym_string,
    STATE(1515), 1,
      sym_expression,
    STATE(2053), 1,
      sym__named_expression_lhs,
    ACTIONS(667), 2,
      sym_ellipsis,
      sym_float,
    STATE(1719), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(663), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(657), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(671), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1485), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1047), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [22541] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(653), 1,
      sym_identifier,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(659), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_not,
    ACTIONS(669), 1,
      anon_sym_LBRACE,
    ACTIONS(673), 1,
      anon_sym_await,
    ACTIONS(675), 1,
      sym__string_start,
    ACTIONS(1038), 1,
      anon_sym_lambda,
    STATE(839), 1,
      sym_primary_expression,
    STATE(841), 1,
      sym_string,
    STATE(1538), 1,
      sym_expression,
    STATE(2053), 1,
      sym__named_expression_lhs,
    ACTIONS(667), 2,
      sym_ellipsis,
      sym_float,
    STATE(1641), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(663), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(657), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(671), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1485), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1047), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [22633] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(653), 1,
      sym_identifier,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(659), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_not,
    ACTIONS(669), 1,
      anon_sym_LBRACE,
    ACTIONS(673), 1,
      anon_sym_await,
    ACTIONS(675), 1,
      sym__string_start,
    ACTIONS(1038), 1,
      anon_sym_lambda,
    STATE(839), 1,
      sym_primary_expression,
    STATE(841), 1,
      sym_string,
    STATE(1538), 1,
      sym_expression,
    STATE(2053), 1,
      sym__named_expression_lhs,
    ACTIONS(667), 2,
      sym_ellipsis,
      sym_float,
    STATE(1661), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(663), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(657), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(671), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1485), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1047), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [22725] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1626), 1,
      sym_expression,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1234), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [22817] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(283), 1,
      anon_sym_await,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      anon_sym_LBRACK,
    STATE(835), 1,
      sym_primary_expression,
    STATE(837), 1,
      sym_string,
    STATE(1559), 1,
      sym_expression,
    STATE(2184), 1,
      sym__named_expression_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1236), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(273), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1478), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1157), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [22909] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(283), 1,
      anon_sym_await,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      anon_sym_LBRACK,
    STATE(835), 1,
      sym_primary_expression,
    STATE(837), 1,
      sym_string,
    STATE(1559), 1,
      sym_expression,
    STATE(2184), 1,
      sym__named_expression_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1238), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(273), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1478), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1157), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [23001] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 1,
      sym_identifier,
    ACTIONS(703), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1667), 1,
      sym_expression,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1034), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [23093] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 1,
      anon_sym_COMMA,
    ACTIONS(1247), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1249), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(1251), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1245), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1240), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [23158] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1253), 33,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [23215] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(270), 1,
      anon_sym_COMMA,
    ACTIONS(277), 1,
      anon_sym_COLON_EQ,
    ACTIONS(279), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(281), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(268), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [23280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1253), 33,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [23337] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(1257), 1,
      anon_sym_COLON,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1632), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [23428] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(1060), 1,
      anon_sym_COLON,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1670), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [23519] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(1259), 1,
      anon_sym_COLON,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1632), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [23610] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1642), 1,
      sym_expression,
    STATE(1991), 1,
      sym_with_item,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [23701] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(1034), 1,
      anon_sym_COLON,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1670), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [23792] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 1,
      sym_identifier,
    ACTIONS(703), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1601), 1,
      sym_expression,
    STATE(1906), 1,
      sym_type,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [23883] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 1,
      sym_identifier,
    ACTIONS(703), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1601), 1,
      sym_expression,
    STATE(2028), 1,
      sym_type,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [23974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1263), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1261), 33,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24031] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1588), 1,
      sym_expression,
    STATE(2153), 1,
      sym_type,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [24122] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1604), 1,
      sym_expression,
    STATE(2114), 1,
      sym_expression_list,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [24213] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1588), 1,
      sym_expression,
    STATE(2116), 1,
      sym_type,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [24304] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(283), 1,
      anon_sym_await,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      anon_sym_LBRACK,
    STATE(835), 1,
      sym_primary_expression,
    STATE(837), 1,
      sym_string,
    STATE(1568), 1,
      sym_expression,
    STATE(1796), 1,
      sym_type,
    STATE(2184), 1,
      sym__named_expression_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(273), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1478), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1157), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [24395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1267), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1265), 33,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1267), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1265), 33,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24509] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(1269), 1,
      anon_sym_COLON,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1664), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [24600] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(1271), 1,
      anon_sym_COLON,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1673), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [24691] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(1273), 1,
      anon_sym_COLON,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1632), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [24782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1277), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1275), 33,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24839] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1573), 1,
      sym_expression,
    STATE(2166), 1,
      sym_expression_list,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [24930] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(1279), 1,
      anon_sym_COLON,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1632), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [25021] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1608), 1,
      sym_expression,
    STATE(2133), 1,
      sym_expression_list,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [25112] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 1,
      sym_identifier,
    ACTIONS(703), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1655), 1,
      sym_expression,
    STATE(2021), 1,
      sym_with_item,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [25203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1283), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1281), 33,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25260] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1588), 1,
      sym_expression,
    STATE(2067), 1,
      sym_type,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [25351] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1614), 1,
      sym_expression,
    STATE(2142), 1,
      sym_expression_list,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [25442] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1588), 1,
      sym_expression,
    STATE(2146), 1,
      sym_type,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [25533] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(283), 1,
      anon_sym_await,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      anon_sym_LBRACK,
    STATE(835), 1,
      sym_primary_expression,
    STATE(837), 1,
      sym_string,
    STATE(1531), 1,
      sym_expression,
    STATE(2030), 1,
      sym_expression_list,
    STATE(2184), 1,
      sym__named_expression_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(273), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1478), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1157), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [25624] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1504), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [25712] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1657), 1,
      sym_expression,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [25800] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(731), 1,
      anon_sym_LBRACK,
    ACTIONS(733), 1,
      anon_sym_not,
    ACTIONS(737), 1,
      anon_sym_lambda,
    ACTIONS(741), 1,
      anon_sym_LBRACE,
    ACTIONS(745), 1,
      anon_sym_await,
    ACTIONS(747), 1,
      sym__string_start,
    STATE(883), 1,
      sym_primary_expression,
    STATE(884), 1,
      sym_string,
    STATE(1593), 1,
      sym_expression,
    STATE(2099), 1,
      sym__named_expression_lhs,
    ACTIONS(739), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(735), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(729), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(743), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1520), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1181), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [25888] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(653), 1,
      sym_identifier,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(659), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_not,
    ACTIONS(665), 1,
      anon_sym_lambda,
    ACTIONS(669), 1,
      anon_sym_LBRACE,
    ACTIONS(673), 1,
      anon_sym_await,
    ACTIONS(675), 1,
      sym__string_start,
    STATE(839), 1,
      sym_primary_expression,
    STATE(841), 1,
      sym_string,
    STATE(1477), 1,
      sym_expression,
    STATE(2053), 1,
      sym__named_expression_lhs,
    ACTIONS(667), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(663), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(657), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(671), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1485), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1047), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [25976] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(653), 1,
      sym_identifier,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(659), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_not,
    ACTIONS(665), 1,
      anon_sym_lambda,
    ACTIONS(669), 1,
      anon_sym_LBRACE,
    ACTIONS(673), 1,
      anon_sym_await,
    ACTIONS(675), 1,
      sym__string_start,
    STATE(839), 1,
      sym_primary_expression,
    STATE(841), 1,
      sym_string,
    STATE(1461), 1,
      sym_expression,
    STATE(2053), 1,
      sym__named_expression_lhs,
    ACTIONS(667), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(663), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(657), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(671), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1485), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1047), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [26064] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(627), 1,
      sym_identifier,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_not,
    ACTIONS(641), 1,
      anon_sym_lambda,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_await,
    ACTIONS(651), 1,
      sym__string_start,
    STATE(863), 1,
      sym_primary_expression,
    STATE(866), 1,
      sym_string,
    STATE(1562), 1,
      sym_expression,
    STATE(2123), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(631), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(647), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1544), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [26152] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(653), 1,
      sym_identifier,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(659), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_not,
    ACTIONS(665), 1,
      anon_sym_lambda,
    ACTIONS(669), 1,
      anon_sym_LBRACE,
    ACTIONS(673), 1,
      anon_sym_await,
    ACTIONS(675), 1,
      sym__string_start,
    STATE(839), 1,
      sym_primary_expression,
    STATE(841), 1,
      sym_string,
    STATE(1462), 1,
      sym_expression,
    STATE(2053), 1,
      sym__named_expression_lhs,
    ACTIONS(667), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(663), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(657), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(671), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1485), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1047), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [26240] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 1,
      sym_identifier,
    ACTIONS(703), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1647), 1,
      sym_expression,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [26328] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1696), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [26416] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(731), 1,
      anon_sym_LBRACK,
    ACTIONS(733), 1,
      anon_sym_not,
    ACTIONS(737), 1,
      anon_sym_lambda,
    ACTIONS(741), 1,
      anon_sym_LBRACE,
    ACTIONS(745), 1,
      anon_sym_await,
    ACTIONS(747), 1,
      sym__string_start,
    STATE(883), 1,
      sym_primary_expression,
    STATE(884), 1,
      sym_string,
    STATE(1512), 1,
      sym_expression,
    STATE(2099), 1,
      sym__named_expression_lhs,
    ACTIONS(739), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(735), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(729), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(743), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1520), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1181), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [26504] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1611), 1,
      sym_expression,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [26592] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(283), 1,
      anon_sym_await,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      anon_sym_LBRACK,
    STATE(835), 1,
      sym_primary_expression,
    STATE(837), 1,
      sym_string,
    STATE(1537), 1,
      sym_expression,
    STATE(2184), 1,
      sym__named_expression_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(273), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1478), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1157), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [26680] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1600), 1,
      sym_expression,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [26768] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(731), 1,
      anon_sym_LBRACK,
    ACTIONS(733), 1,
      anon_sym_not,
    ACTIONS(737), 1,
      anon_sym_lambda,
    ACTIONS(741), 1,
      anon_sym_LBRACE,
    ACTIONS(745), 1,
      anon_sym_await,
    ACTIONS(747), 1,
      sym__string_start,
    STATE(883), 1,
      sym_primary_expression,
    STATE(884), 1,
      sym_string,
    STATE(1528), 1,
      sym_expression,
    STATE(2099), 1,
      sym__named_expression_lhs,
    ACTIONS(739), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(735), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(729), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(743), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1520), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1181), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [26856] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(731), 1,
      anon_sym_LBRACK,
    ACTIONS(733), 1,
      anon_sym_not,
    ACTIONS(737), 1,
      anon_sym_lambda,
    ACTIONS(741), 1,
      anon_sym_LBRACE,
    ACTIONS(745), 1,
      anon_sym_await,
    ACTIONS(747), 1,
      sym__string_start,
    STATE(883), 1,
      sym_primary_expression,
    STATE(884), 1,
      sym_string,
    STATE(1550), 1,
      sym_expression,
    STATE(2099), 1,
      sym__named_expression_lhs,
    ACTIONS(739), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(735), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(729), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(743), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1520), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1181), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [26944] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(731), 1,
      anon_sym_LBRACK,
    ACTIONS(733), 1,
      anon_sym_not,
    ACTIONS(737), 1,
      anon_sym_lambda,
    ACTIONS(741), 1,
      anon_sym_LBRACE,
    ACTIONS(745), 1,
      anon_sym_await,
    ACTIONS(747), 1,
      sym__string_start,
    STATE(883), 1,
      sym_primary_expression,
    STATE(884), 1,
      sym_string,
    STATE(1554), 1,
      sym_expression,
    STATE(2099), 1,
      sym__named_expression_lhs,
    ACTIONS(739), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(735), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(729), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(743), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1520), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1181), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [27032] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(731), 1,
      anon_sym_LBRACK,
    ACTIONS(733), 1,
      anon_sym_not,
    ACTIONS(737), 1,
      anon_sym_lambda,
    ACTIONS(741), 1,
      anon_sym_LBRACE,
    ACTIONS(745), 1,
      anon_sym_await,
    ACTIONS(747), 1,
      sym__string_start,
    STATE(883), 1,
      sym_primary_expression,
    STATE(884), 1,
      sym_string,
    STATE(1501), 1,
      sym_expression,
    STATE(2099), 1,
      sym__named_expression_lhs,
    ACTIONS(739), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(735), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(729), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(743), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1520), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1181), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [27120] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(731), 1,
      anon_sym_LBRACK,
    ACTIONS(733), 1,
      anon_sym_not,
    ACTIONS(737), 1,
      anon_sym_lambda,
    ACTIONS(741), 1,
      anon_sym_LBRACE,
    ACTIONS(745), 1,
      anon_sym_await,
    ACTIONS(747), 1,
      sym__string_start,
    STATE(883), 1,
      sym_primary_expression,
    STATE(884), 1,
      sym_string,
    STATE(1557), 1,
      sym_expression,
    STATE(2099), 1,
      sym__named_expression_lhs,
    ACTIONS(739), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(735), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(729), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(743), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1520), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1181), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [27208] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1583), 1,
      sym_expression,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [27296] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(731), 1,
      anon_sym_LBRACK,
    ACTIONS(733), 1,
      anon_sym_not,
    ACTIONS(737), 1,
      anon_sym_lambda,
    ACTIONS(741), 1,
      anon_sym_LBRACE,
    ACTIONS(745), 1,
      anon_sym_await,
    ACTIONS(747), 1,
      sym__string_start,
    STATE(883), 1,
      sym_primary_expression,
    STATE(884), 1,
      sym_string,
    STATE(1525), 1,
      sym_expression,
    STATE(2099), 1,
      sym__named_expression_lhs,
    ACTIONS(739), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(735), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(729), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(743), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1520), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1181), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [27384] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1730), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [27472] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(283), 1,
      anon_sym_await,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      anon_sym_LBRACK,
    STATE(835), 1,
      sym_primary_expression,
    STATE(837), 1,
      sym_string,
    STATE(1559), 1,
      sym_expression,
    STATE(2184), 1,
      sym__named_expression_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(273), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1478), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1157), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [27560] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1686), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [27648] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(653), 1,
      sym_identifier,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(659), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_not,
    ACTIONS(665), 1,
      anon_sym_lambda,
    ACTIONS(669), 1,
      anon_sym_LBRACE,
    ACTIONS(673), 1,
      anon_sym_await,
    ACTIONS(675), 1,
      sym__string_start,
    STATE(839), 1,
      sym_primary_expression,
    STATE(841), 1,
      sym_string,
    STATE(1502), 1,
      sym_expression,
    STATE(2053), 1,
      sym__named_expression_lhs,
    ACTIONS(667), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(663), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(657), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(671), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1485), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1047), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [27736] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(283), 1,
      anon_sym_await,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      anon_sym_LBRACK,
    STATE(835), 1,
      sym_primary_expression,
    STATE(837), 1,
      sym_string,
    STATE(1491), 1,
      sym_expression,
    STATE(2184), 1,
      sym__named_expression_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(273), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1478), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1157), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [27824] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1582), 1,
      sym_expression,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [27912] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1194), 1,
      anon_sym_else,
    ACTIONS(1289), 1,
      anon_sym_elif,
    STATE(589), 1,
      aux_sym_if_statement_repeat1,
    STATE(669), 1,
      sym_elif_clause,
    STATE(750), 1,
      sym_else_clause,
    ACTIONS(1285), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1287), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [27978] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1194), 1,
      anon_sym_else,
    ACTIONS(1289), 1,
      anon_sym_elif,
    STATE(544), 1,
      aux_sym_if_statement_repeat1,
    STATE(669), 1,
      sym_elif_clause,
    STATE(757), 1,
      sym_else_clause,
    ACTIONS(1291), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1293), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [28044] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1714), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [28132] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1194), 1,
      anon_sym_else,
    ACTIONS(1289), 1,
      anon_sym_elif,
    STATE(463), 1,
      aux_sym_if_statement_repeat1,
    STATE(669), 1,
      sym_elif_clause,
    STATE(763), 1,
      sym_else_clause,
    ACTIONS(1295), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1297), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [28198] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1721), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [28286] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1581), 1,
      sym_expression,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [28374] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1580), 1,
      sym_expression,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [28462] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1576), 1,
      sym_expression,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [28550] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1632), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [28638] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1694), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [28726] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1697), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [28814] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(283), 1,
      anon_sym_await,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      anon_sym_LBRACK,
    STATE(835), 1,
      sym_primary_expression,
    STATE(837), 1,
      sym_string,
    STATE(1739), 1,
      sym_expression,
    STATE(2184), 1,
      sym__named_expression_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(273), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1478), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1157), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [28902] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(283), 1,
      anon_sym_await,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      anon_sym_LBRACK,
    STATE(835), 1,
      sym_primary_expression,
    STATE(837), 1,
      sym_string,
    STATE(1553), 1,
      sym_expression,
    STATE(2184), 1,
      sym__named_expression_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(273), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1478), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1157), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [28990] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(283), 1,
      anon_sym_await,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      anon_sym_LBRACK,
    STATE(835), 1,
      sym_primary_expression,
    STATE(837), 1,
      sym_string,
    STATE(1488), 1,
      sym_expression,
    STATE(2184), 1,
      sym__named_expression_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(273), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1478), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1157), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [29078] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1530), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [29166] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1731), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [29254] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 1,
      sym_identifier,
    ACTIONS(703), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1602), 1,
      sym_expression,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [29342] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1702), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [29430] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 1,
      sym_identifier,
    ACTIONS(703), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1652), 1,
      sym_expression,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [29518] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(653), 1,
      sym_identifier,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(659), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_not,
    ACTIONS(665), 1,
      anon_sym_lambda,
    ACTIONS(669), 1,
      anon_sym_LBRACE,
    ACTIONS(673), 1,
      anon_sym_await,
    ACTIONS(675), 1,
      sym__string_start,
    STATE(839), 1,
      sym_primary_expression,
    STATE(841), 1,
      sym_string,
    STATE(1473), 1,
      sym_expression,
    STATE(2053), 1,
      sym__named_expression_lhs,
    ACTIONS(667), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(663), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(657), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(671), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1485), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1047), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [29606] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_except,
    STATE(483), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1299), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1301), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [29666] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1310), 1,
      anon_sym_except_STAR,
    STATE(484), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1306), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1308), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [29726] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1710), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [29814] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(283), 1,
      anon_sym_await,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      anon_sym_LBRACK,
    STATE(835), 1,
      sym_primary_expression,
    STATE(837), 1,
      sym_string,
    STATE(1479), 1,
      sym_expression,
    STATE(2184), 1,
      sym__named_expression_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(273), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1478), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1157), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [29902] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1735), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [29990] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1737), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [30078] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1524), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [30166] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(653), 1,
      sym_identifier,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(659), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_not,
    ACTIONS(665), 1,
      anon_sym_lambda,
    ACTIONS(669), 1,
      anon_sym_LBRACE,
    ACTIONS(673), 1,
      anon_sym_await,
    ACTIONS(675), 1,
      sym__string_start,
    STATE(839), 1,
      sym_primary_expression,
    STATE(841), 1,
      sym_string,
    STATE(1468), 1,
      sym_expression,
    STATE(2053), 1,
      sym__named_expression_lhs,
    ACTIONS(667), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(663), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(657), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(671), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1485), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1047), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [30254] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(603), 1,
      sym_identifier,
    ACTIONS(605), 1,
      anon_sym_LPAREN,
    ACTIONS(609), 1,
      anon_sym_LBRACK,
    ACTIONS(611), 1,
      anon_sym_not,
    ACTIONS(615), 1,
      anon_sym_lambda,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(623), 1,
      anon_sym_await,
    ACTIONS(625), 1,
      sym__string_start,
    STATE(836), 1,
      sym_primary_expression,
    STATE(844), 1,
      sym_string,
    STATE(1621), 1,
      sym_expression,
    STATE(2217), 1,
      sym__named_expression_lhs,
    ACTIONS(617), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(613), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(607), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(621), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1480), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1156), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [30342] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1689), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [30430] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1670), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [30518] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(653), 1,
      sym_identifier,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(659), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_not,
    ACTIONS(665), 1,
      anon_sym_lambda,
    ACTIONS(669), 1,
      anon_sym_LBRACE,
    ACTIONS(673), 1,
      anon_sym_await,
    ACTIONS(675), 1,
      sym__string_start,
    STATE(839), 1,
      sym_primary_expression,
    STATE(841), 1,
      sym_string,
    STATE(1492), 1,
      sym_expression,
    STATE(2053), 1,
      sym__named_expression_lhs,
    ACTIONS(667), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(663), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(657), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(671), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1485), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1047), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [30606] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(283), 1,
      anon_sym_await,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      anon_sym_LBRACK,
    STATE(835), 1,
      sym_primary_expression,
    STATE(837), 1,
      sym_string,
    STATE(1665), 1,
      sym_expression,
    STATE(2184), 1,
      sym__named_expression_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(273), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1478), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1157), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [30694] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1511), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [30782] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1527), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [30870] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1496), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [30958] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(699), 1,
      sym__string_start,
    ACTIONS(1313), 1,
      sym_identifier,
    ACTIONS(1317), 1,
      anon_sym_await,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1671), 1,
      sym_expression,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    STATE(1344), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1315), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [31048] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(283), 1,
      anon_sym_await,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      anon_sym_LBRACK,
    STATE(835), 1,
      sym_primary_expression,
    STATE(837), 1,
      sym_string,
    STATE(1543), 1,
      sym_expression,
    STATE(2184), 1,
      sym__named_expression_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(273), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1478), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1157), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [31136] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1659), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [31224] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 1,
      sym_identifier,
    ACTIONS(703), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1609), 1,
      sym_expression,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [31312] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1507), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [31400] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1728), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [31488] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 1,
      sym_identifier,
    ACTIONS(703), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1628), 1,
      sym_expression,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [31576] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 1,
      anon_sym_COMMA,
    ACTIONS(1249), 1,
      anon_sym_EQ,
    ACTIONS(1251), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1245), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1240), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [31638] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1658), 1,
      sym_expression,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [31726] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 1,
      sym_identifier,
    ACTIONS(703), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1667), 1,
      sym_expression,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [31814] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 1,
      sym_identifier,
    ACTIONS(703), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1597), 1,
      sym_expression,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [31902] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 1,
      sym_identifier,
    ACTIONS(703), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1594), 1,
      sym_expression,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [31990] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1690), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [32078] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1321), 1,
      anon_sym_COMMA,
    ACTIONS(1328), 1,
      anon_sym_EQ,
    ACTIONS(1326), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1324), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1319), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [32140] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1526), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [32228] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1671), 1,
      sym_expression,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [32316] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(703), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(1330), 1,
      sym_identifier,
    ACTIONS(1334), 1,
      anon_sym_await,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1638), 1,
      sym_expression,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    STATE(1345), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1332), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [32406] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(653), 1,
      sym_identifier,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(659), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_not,
    ACTIONS(665), 1,
      anon_sym_lambda,
    ACTIONS(669), 1,
      anon_sym_LBRACE,
    ACTIONS(673), 1,
      anon_sym_await,
    ACTIONS(675), 1,
      sym__string_start,
    STATE(839), 1,
      sym_primary_expression,
    STATE(841), 1,
      sym_string,
    STATE(1575), 1,
      sym_expression,
    STATE(2053), 1,
      sym__named_expression_lhs,
    ACTIONS(667), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(663), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(657), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(671), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1485), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1047), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [32494] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_not,
    ACTIONS(689), 1,
      anon_sym_lambda,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(697), 1,
      anon_sym_await,
    ACTIONS(699), 1,
      sym__string_start,
    STATE(989), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1587), 1,
      sym_expression,
    STATE(2073), 1,
      sym__named_expression_lhs,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(681), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(695), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1598), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [32582] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(283), 1,
      anon_sym_await,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      anon_sym_LBRACK,
    STATE(835), 1,
      sym_primary_expression,
    STATE(837), 1,
      sym_string,
    STATE(1561), 1,
      sym_expression,
    STATE(2184), 1,
      sym__named_expression_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(273), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1478), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1157), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [32670] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(653), 1,
      sym_identifier,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(659), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_not,
    ACTIONS(665), 1,
      anon_sym_lambda,
    ACTIONS(669), 1,
      anon_sym_LBRACE,
    ACTIONS(673), 1,
      anon_sym_await,
    ACTIONS(675), 1,
      sym__string_start,
    STATE(839), 1,
      sym_primary_expression,
    STATE(841), 1,
      sym_string,
    STATE(1489), 1,
      sym_expression,
    STATE(2053), 1,
      sym__named_expression_lhs,
    ACTIONS(667), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(663), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(657), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(671), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1485), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1047), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [32758] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(627), 1,
      sym_identifier,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_not,
    ACTIONS(641), 1,
      anon_sym_lambda,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_await,
    ACTIONS(651), 1,
      sym__string_start,
    STATE(863), 1,
      sym_primary_expression,
    STATE(866), 1,
      sym_string,
    STATE(1518), 1,
      sym_expression,
    STATE(2123), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(631), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(647), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1544), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [32846] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(603), 1,
      sym_identifier,
    ACTIONS(605), 1,
      anon_sym_LPAREN,
    ACTIONS(609), 1,
      anon_sym_LBRACK,
    ACTIONS(611), 1,
      anon_sym_not,
    ACTIONS(615), 1,
      anon_sym_lambda,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(623), 1,
      anon_sym_await,
    ACTIONS(625), 1,
      sym__string_start,
    STATE(836), 1,
      sym_primary_expression,
    STATE(844), 1,
      sym_string,
    STATE(1483), 1,
      sym_expression,
    STATE(2217), 1,
      sym__named_expression_lhs,
    ACTIONS(617), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(613), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(607), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(621), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1480), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1156), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [32934] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 1,
      sym_identifier,
    ACTIONS(703), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1666), 1,
      sym_expression,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [33022] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(283), 1,
      anon_sym_await,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      anon_sym_LBRACK,
    STATE(835), 1,
      sym_primary_expression,
    STATE(837), 1,
      sym_string,
    STATE(1640), 1,
      sym_expression,
    STATE(2184), 1,
      sym__named_expression_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(273), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1478), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1157), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [33110] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(627), 1,
      sym_identifier,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_not,
    ACTIONS(641), 1,
      anon_sym_lambda,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_await,
    ACTIONS(651), 1,
      sym__string_start,
    STATE(863), 1,
      sym_primary_expression,
    STATE(866), 1,
      sym_string,
    STATE(1506), 1,
      sym_expression,
    STATE(2123), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(631), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(647), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1544), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [33198] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(627), 1,
      sym_identifier,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_not,
    ACTIONS(641), 1,
      anon_sym_lambda,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_await,
    ACTIONS(651), 1,
      sym__string_start,
    STATE(863), 1,
      sym_primary_expression,
    STATE(866), 1,
      sym_string,
    STATE(1529), 1,
      sym_expression,
    STATE(2123), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(631), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(647), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1544), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [33286] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(603), 1,
      sym_identifier,
    ACTIONS(605), 1,
      anon_sym_LPAREN,
    ACTIONS(609), 1,
      anon_sym_LBRACK,
    ACTIONS(611), 1,
      anon_sym_not,
    ACTIONS(615), 1,
      anon_sym_lambda,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(623), 1,
      anon_sym_await,
    ACTIONS(625), 1,
      sym__string_start,
    STATE(836), 1,
      sym_primary_expression,
    STATE(844), 1,
      sym_string,
    STATE(1469), 1,
      sym_expression,
    STATE(2217), 1,
      sym__named_expression_lhs,
    ACTIONS(617), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(613), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(607), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(621), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1480), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1156), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [33374] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(603), 1,
      sym_identifier,
    ACTIONS(605), 1,
      anon_sym_LPAREN,
    ACTIONS(609), 1,
      anon_sym_LBRACK,
    ACTIONS(611), 1,
      anon_sym_not,
    ACTIONS(615), 1,
      anon_sym_lambda,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(623), 1,
      anon_sym_await,
    ACTIONS(625), 1,
      sym__string_start,
    STATE(836), 1,
      sym_primary_expression,
    STATE(844), 1,
      sym_string,
    STATE(1466), 1,
      sym_expression,
    STATE(2217), 1,
      sym__named_expression_lhs,
    ACTIONS(617), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(613), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(607), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(621), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1480), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1156), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [33462] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(283), 1,
      anon_sym_await,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      anon_sym_LBRACK,
    STATE(835), 1,
      sym_primary_expression,
    STATE(837), 1,
      sym_string,
    STATE(1630), 1,
      sym_expression,
    STATE(2184), 1,
      sym__named_expression_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(273), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1478), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1157), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [33550] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(603), 1,
      sym_identifier,
    ACTIONS(605), 1,
      anon_sym_LPAREN,
    ACTIONS(609), 1,
      anon_sym_LBRACK,
    ACTIONS(611), 1,
      anon_sym_not,
    ACTIONS(615), 1,
      anon_sym_lambda,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(623), 1,
      anon_sym_await,
    ACTIONS(625), 1,
      sym__string_start,
    STATE(836), 1,
      sym_primary_expression,
    STATE(844), 1,
      sym_string,
    STATE(1465), 1,
      sym_expression,
    STATE(2217), 1,
      sym__named_expression_lhs,
    ACTIONS(617), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(613), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(607), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(621), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1480), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1156), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [33638] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(627), 1,
      sym_identifier,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_not,
    ACTIONS(641), 1,
      anon_sym_lambda,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_await,
    ACTIONS(651), 1,
      sym__string_start,
    STATE(863), 1,
      sym_primary_expression,
    STATE(866), 1,
      sym_string,
    STATE(1523), 1,
      sym_expression,
    STATE(2123), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(631), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(647), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1544), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [33726] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 1,
      sym_identifier,
    ACTIONS(703), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1591), 1,
      sym_expression,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [33814] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1224), 1,
      anon_sym_else,
    ACTIONS(1340), 1,
      anon_sym_elif,
    STATE(574), 1,
      aux_sym_if_statement_repeat1,
    STATE(652), 1,
      sym_elif_clause,
    STATE(801), 1,
      sym_else_clause,
    ACTIONS(1338), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1336), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [33880] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(627), 1,
      sym_identifier,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_not,
    ACTIONS(641), 1,
      anon_sym_lambda,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_await,
    ACTIONS(651), 1,
      sym__string_start,
    STATE(863), 1,
      sym_primary_expression,
    STATE(866), 1,
      sym_string,
    STATE(1521), 1,
      sym_expression,
    STATE(2123), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(631), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(647), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1544), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [33968] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 1,
      sym_identifier,
    ACTIONS(703), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1570), 1,
      sym_expression,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [34056] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(603), 1,
      sym_identifier,
    ACTIONS(605), 1,
      anon_sym_LPAREN,
    ACTIONS(609), 1,
      anon_sym_LBRACK,
    ACTIONS(611), 1,
      anon_sym_not,
    ACTIONS(615), 1,
      anon_sym_lambda,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(623), 1,
      anon_sym_await,
    ACTIONS(625), 1,
      sym__string_start,
    STATE(836), 1,
      sym_primary_expression,
    STATE(844), 1,
      sym_string,
    STATE(1464), 1,
      sym_expression,
    STATE(2217), 1,
      sym__named_expression_lhs,
    ACTIONS(617), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(613), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(607), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(621), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1480), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1156), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [34144] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1682), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [34232] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(603), 1,
      sym_identifier,
    ACTIONS(605), 1,
      anon_sym_LPAREN,
    ACTIONS(609), 1,
      anon_sym_LBRACK,
    ACTIONS(611), 1,
      anon_sym_not,
    ACTIONS(615), 1,
      anon_sym_lambda,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(623), 1,
      anon_sym_await,
    ACTIONS(625), 1,
      sym__string_start,
    STATE(836), 1,
      sym_primary_expression,
    STATE(844), 1,
      sym_string,
    STATE(1472), 1,
      sym_expression,
    STATE(2217), 1,
      sym__named_expression_lhs,
    ACTIONS(617), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(613), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(607), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(621), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1480), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1156), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [34320] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 1,
      anon_sym_except_STAR,
    STATE(538), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1306), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1308), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [34380] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1345), 1,
      anon_sym_except,
    STATE(539), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1299), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1301), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [34440] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(603), 1,
      sym_identifier,
    ACTIONS(605), 1,
      anon_sym_LPAREN,
    ACTIONS(609), 1,
      anon_sym_LBRACK,
    ACTIONS(611), 1,
      anon_sym_not,
    ACTIONS(615), 1,
      anon_sym_lambda,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(623), 1,
      anon_sym_await,
    ACTIONS(625), 1,
      sym__string_start,
    STATE(836), 1,
      sym_primary_expression,
    STATE(844), 1,
      sym_string,
    STATE(1470), 1,
      sym_expression,
    STATE(2217), 1,
      sym__named_expression_lhs,
    ACTIONS(617), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(613), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(607), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(621), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1480), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1156), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [34528] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(627), 1,
      sym_identifier,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_not,
    ACTIONS(641), 1,
      anon_sym_lambda,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_await,
    ACTIONS(651), 1,
      sym__string_start,
    STATE(863), 1,
      sym_primary_expression,
    STATE(866), 1,
      sym_string,
    STATE(1516), 1,
      sym_expression,
    STATE(2123), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(631), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(647), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1544), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [34616] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1350), 1,
      anon_sym_COMMA,
    ACTIONS(1357), 1,
      anon_sym_EQ,
    ACTIONS(1355), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1353), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1348), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [34678] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(603), 1,
      sym_identifier,
    ACTIONS(605), 1,
      anon_sym_LPAREN,
    ACTIONS(609), 1,
      anon_sym_LBRACK,
    ACTIONS(611), 1,
      anon_sym_not,
    ACTIONS(615), 1,
      anon_sym_lambda,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(623), 1,
      anon_sym_await,
    ACTIONS(625), 1,
      sym__string_start,
    STATE(836), 1,
      sym_primary_expression,
    STATE(844), 1,
      sym_string,
    STATE(1467), 1,
      sym_expression,
    STATE(2217), 1,
      sym__named_expression_lhs,
    ACTIONS(617), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(613), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(607), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(621), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1480), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1156), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [34766] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1194), 1,
      anon_sym_else,
    ACTIONS(1289), 1,
      anon_sym_elif,
    STATE(589), 1,
      aux_sym_if_statement_repeat1,
    STATE(669), 1,
      sym_elif_clause,
    STATE(760), 1,
      sym_else_clause,
    ACTIONS(1338), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1336), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [34832] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 1,
      sym_identifier,
    ACTIONS(703), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1624), 1,
      sym_expression,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [34920] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(731), 1,
      anon_sym_LBRACK,
    ACTIONS(733), 1,
      anon_sym_not,
    ACTIONS(737), 1,
      anon_sym_lambda,
    ACTIONS(741), 1,
      anon_sym_LBRACE,
    ACTIONS(745), 1,
      anon_sym_await,
    ACTIONS(747), 1,
      sym__string_start,
    STATE(883), 1,
      sym_primary_expression,
    STATE(884), 1,
      sym_string,
    STATE(1547), 1,
      sym_expression,
    STATE(2099), 1,
      sym__named_expression_lhs,
    ACTIONS(739), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(735), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(729), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(743), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1520), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1181), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [35008] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 1,
      sym_identifier,
    ACTIONS(703), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1589), 1,
      sym_expression,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [35096] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(283), 1,
      anon_sym_await,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      anon_sym_LBRACK,
    STATE(835), 1,
      sym_primary_expression,
    STATE(837), 1,
      sym_string,
    STATE(1484), 1,
      sym_expression,
    STATE(2184), 1,
      sym__named_expression_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(273), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1478), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1157), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [35184] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1672), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [35272] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1224), 1,
      anon_sym_else,
    ACTIONS(1340), 1,
      anon_sym_elif,
    STATE(532), 1,
      aux_sym_if_statement_repeat1,
    STATE(652), 1,
      sym_elif_clause,
    STATE(770), 1,
      sym_else_clause,
    ACTIONS(1291), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1293), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [35338] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1724), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [35426] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1720), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [35514] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1224), 1,
      anon_sym_else,
    ACTIONS(1340), 1,
      anon_sym_elif,
    STATE(574), 1,
      aux_sym_if_statement_repeat1,
    STATE(652), 1,
      sym_elif_clause,
    STATE(762), 1,
      sym_else_clause,
    ACTIONS(1285), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1287), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [35580] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(627), 1,
      sym_identifier,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_not,
    ACTIONS(641), 1,
      anon_sym_lambda,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_await,
    ACTIONS(651), 1,
      sym__string_start,
    STATE(863), 1,
      sym_primary_expression,
    STATE(866), 1,
      sym_string,
    STATE(1551), 1,
      sym_expression,
    STATE(2123), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(631), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(647), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1544), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [35668] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 1,
      sym_identifier,
    ACTIONS(703), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1585), 1,
      sym_expression,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [35756] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 1,
      sym_identifier,
    ACTIONS(703), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1668), 1,
      sym_expression,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [35844] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(283), 1,
      anon_sym_await,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      anon_sym_LBRACK,
    STATE(835), 1,
      sym_primary_expression,
    STATE(837), 1,
      sym_string,
    STATE(1475), 1,
      sym_expression,
    STATE(2184), 1,
      sym__named_expression_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(273), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1478), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1157), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [35932] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(283), 1,
      anon_sym_await,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      anon_sym_LBRACK,
    STATE(835), 1,
      sym_primary_expression,
    STATE(837), 1,
      sym_string,
    STATE(1474), 1,
      sym_expression,
    STATE(2184), 1,
      sym__named_expression_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(273), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1478), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1157), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [36020] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(603), 1,
      sym_identifier,
    ACTIONS(605), 1,
      anon_sym_LPAREN,
    ACTIONS(609), 1,
      anon_sym_LBRACK,
    ACTIONS(611), 1,
      anon_sym_not,
    ACTIONS(615), 1,
      anon_sym_lambda,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(623), 1,
      anon_sym_await,
    ACTIONS(625), 1,
      sym__string_start,
    STATE(836), 1,
      sym_primary_expression,
    STATE(844), 1,
      sym_string,
    STATE(1482), 1,
      sym_expression,
    STATE(2217), 1,
      sym__named_expression_lhs,
    ACTIONS(617), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(613), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(607), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(621), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1480), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1156), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [36108] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(603), 1,
      sym_identifier,
    ACTIONS(605), 1,
      anon_sym_LPAREN,
    ACTIONS(609), 1,
      anon_sym_LBRACK,
    ACTIONS(611), 1,
      anon_sym_not,
    ACTIONS(615), 1,
      anon_sym_lambda,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(623), 1,
      anon_sym_await,
    ACTIONS(625), 1,
      sym__string_start,
    STATE(836), 1,
      sym_primary_expression,
    STATE(844), 1,
      sym_string,
    STATE(1662), 1,
      sym_expression,
    STATE(2217), 1,
      sym__named_expression_lhs,
    ACTIONS(617), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(613), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(607), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(621), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1480), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1156), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [36196] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1733), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [36284] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1700), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [36372] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1675), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [36460] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(283), 1,
      anon_sym_await,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      anon_sym_LBRACK,
    STATE(835), 1,
      sym_primary_expression,
    STATE(837), 1,
      sym_string,
    STATE(1471), 1,
      sym_expression,
    STATE(2184), 1,
      sym__named_expression_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(273), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1478), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1157), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [36548] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 1,
      anon_sym_not,
    ACTIONS(299), 1,
      anon_sym_lambda,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_await,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(874), 1,
      sym_primary_expression,
    STATE(875), 1,
      sym_string,
    STATE(1715), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expression_lhs,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(289), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1535), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [36636] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(603), 1,
      sym_identifier,
    ACTIONS(605), 1,
      anon_sym_LPAREN,
    ACTIONS(609), 1,
      anon_sym_LBRACK,
    ACTIONS(611), 1,
      anon_sym_not,
    ACTIONS(615), 1,
      anon_sym_lambda,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(623), 1,
      anon_sym_await,
    ACTIONS(625), 1,
      sym__string_start,
    STATE(836), 1,
      sym_primary_expression,
    STATE(844), 1,
      sym_string,
    STATE(1644), 1,
      sym_expression,
    STATE(2217), 1,
      sym__named_expression_lhs,
    ACTIONS(617), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(613), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(607), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(621), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1480), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1156), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [36724] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(603), 1,
      sym_identifier,
    ACTIONS(605), 1,
      anon_sym_LPAREN,
    ACTIONS(609), 1,
      anon_sym_LBRACK,
    ACTIONS(611), 1,
      anon_sym_not,
    ACTIONS(615), 1,
      anon_sym_lambda,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(623), 1,
      anon_sym_await,
    ACTIONS(625), 1,
      sym__string_start,
    STATE(836), 1,
      sym_primary_expression,
    STATE(844), 1,
      sym_string,
    STATE(1481), 1,
      sym_expression,
    STATE(2217), 1,
      sym__named_expression_lhs,
    ACTIONS(617), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(613), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(607), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(621), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1480), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1156), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [36812] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 1,
      sym_identifier,
    ACTIONS(703), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(912), 1,
      sym_primary_expression,
    STATE(914), 1,
      sym_string,
    STATE(1638), 1,
      sym_expression,
    STATE(2035), 1,
      sym__named_expression_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1567), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [36900] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(627), 1,
      sym_identifier,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_not,
    ACTIONS(641), 1,
      anon_sym_lambda,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_await,
    ACTIONS(651), 1,
      sym__string_start,
    STATE(863), 1,
      sym_primary_expression,
    STATE(866), 1,
      sym_string,
    STATE(1532), 1,
      sym_expression,
    STATE(2123), 1,
      sym__named_expression_lhs,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(631), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(647), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1544), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [36988] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(653), 1,
      sym_identifier,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(659), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_not,
    ACTIONS(665), 1,
      anon_sym_lambda,
    ACTIONS(669), 1,
      anon_sym_LBRACE,
    ACTIONS(673), 1,
      anon_sym_await,
    ACTIONS(675), 1,
      sym__string_start,
    STATE(839), 1,
      sym_primary_expression,
    STATE(841), 1,
      sym_string,
    STATE(1486), 1,
      sym_expression,
    STATE(2053), 1,
      sym__named_expression_lhs,
    ACTIONS(667), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(663), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(657), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(671), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1485), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1047), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [37076] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(283), 1,
      anon_sym_await,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      anon_sym_LBRACK,
    STATE(835), 1,
      sym_primary_expression,
    STATE(837), 1,
      sym_string,
    STATE(1463), 1,
      sym_expression,
    STATE(2184), 1,
      sym__named_expression_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(273), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1478), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1157), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [37164] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1224), 1,
      anon_sym_else,
    ACTIONS(1340), 1,
      anon_sym_elif,
    STATE(553), 1,
      aux_sym_if_statement_repeat1,
    STATE(652), 1,
      sym_elif_clause,
    STATE(746), 1,
      sym_else_clause,
    ACTIONS(1295), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1297), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [37230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1361), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [37285] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 1,
      anon_sym_elif,
    STATE(574), 1,
      aux_sym_if_statement_repeat1,
    STATE(652), 1,
      sym_elif_clause,
    ACTIONS(1365), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1363), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [37346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1372), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [37401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1267), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1265), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1267), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1265), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1253), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1253), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1263), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1261), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1283), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1281), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1374), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1376), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [37786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1361), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [37841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1372), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [37896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1277), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1275), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1380), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [38006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1380), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [38061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1374), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1376), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [38116] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1382), 1,
      anon_sym_elif,
    STATE(589), 1,
      aux_sym_if_statement_repeat1,
    STATE(669), 1,
      sym_elif_clause,
    ACTIONS(1365), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1363), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [38177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1385), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [38232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1385), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [38287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1391), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [38341] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 1,
      anon_sym_case,
    STATE(635), 1,
      aux_sym_match_statement_repeat2,
    STATE(691), 1,
      sym_case_clause,
    ACTIONS(1393), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1395), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [38401] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 1,
      anon_sym_case,
    STATE(612), 1,
      aux_sym_match_statement_repeat2,
    STATE(688), 1,
      sym_case_clause,
    ACTIONS(1401), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1399), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [38461] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 1,
      anon_sym_case,
    STATE(612), 1,
      aux_sym_match_statement_repeat2,
    STATE(688), 1,
      sym_case_clause,
    ACTIONS(1393), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1395), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [38521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1405), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [38575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1409), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [38629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1413), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [38683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 13,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1417), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [38737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 13,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1361), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [38791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1391), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [38845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 13,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1421), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [38899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1427), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1425), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [38953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1431), 13,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1429), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1435), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1433), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 13,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1437), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 13,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1437), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 13,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1372), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1435), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1433), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39277] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 1,
      anon_sym_case,
    STATE(612), 1,
      aux_sym_match_statement_repeat2,
    STATE(688), 1,
      sym_case_clause,
    ACTIONS(1443), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1441), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39337] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 1,
      anon_sym_case,
    STATE(641), 1,
      aux_sym_match_statement_repeat2,
    STATE(691), 1,
      sym_case_clause,
    ACTIONS(1445), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1447), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39397] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      anon_sym_case,
    STATE(612), 1,
      aux_sym_match_statement_repeat2,
    STATE(688), 1,
      sym_case_clause,
    ACTIONS(1451), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1449), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1380), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1374), 13,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1376), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1431), 13,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1429), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1409), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39673] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 1,
      anon_sym_case,
    STATE(633), 1,
      aux_sym_match_statement_repeat2,
    STATE(691), 1,
      sym_case_clause,
    ACTIONS(1456), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1458), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1427), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1425), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1413), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39841] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 1,
      anon_sym_case,
    STATE(612), 1,
      aux_sym_match_statement_repeat2,
    STATE(688), 1,
      sym_case_clause,
    ACTIONS(1462), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1460), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39901] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 1,
      anon_sym_case,
    STATE(595), 1,
      aux_sym_match_statement_repeat2,
    STATE(688), 1,
      sym_case_clause,
    ACTIONS(1466), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1464), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 13,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1417), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 13,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1361), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1374), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1376), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 13,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1380), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 13,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1385), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1372), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40285] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1385), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1385), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1374), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1376), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40447] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 1,
      anon_sym_case,
    STATE(635), 1,
      aux_sym_match_statement_repeat2,
    STATE(691), 1,
      sym_case_clause,
    ACTIONS(1401), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1399), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40507] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 1,
      anon_sym_case,
    STATE(631), 1,
      aux_sym_match_statement_repeat2,
    STATE(691), 1,
      sym_case_clause,
    ACTIONS(1468), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1470), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40567] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 1,
      anon_sym_case,
    STATE(635), 1,
      aux_sym_match_statement_repeat2,
    STATE(691), 1,
      sym_case_clause,
    ACTIONS(1443), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1441), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40627] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 1,
      anon_sym_case,
    STATE(593), 1,
      aux_sym_match_statement_repeat2,
    STATE(691), 1,
      sym_case_clause,
    ACTIONS(1466), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1464), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40687] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1472), 1,
      anon_sym_case,
    STATE(635), 1,
      aux_sym_match_statement_repeat2,
    STATE(691), 1,
      sym_case_clause,
    ACTIONS(1451), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1449), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 13,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1421), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 13,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1372), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40855] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 1,
      anon_sym_case,
    STATE(620), 1,
      aux_sym_match_statement_repeat2,
    STATE(688), 1,
      sym_case_clause,
    ACTIONS(1445), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1447), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1405), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1361), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41023] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 1,
      anon_sym_case,
    STATE(635), 1,
      aux_sym_match_statement_repeat2,
    STATE(691), 1,
      sym_case_clause,
    ACTIONS(1462), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1460), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41083] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 1,
      anon_sym_case,
    STATE(610), 1,
      aux_sym_match_statement_repeat2,
    STATE(688), 1,
      sym_case_clause,
    ACTIONS(1456), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1458), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41143] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 1,
      anon_sym_case,
    STATE(594), 1,
      aux_sym_match_statement_repeat2,
    STATE(688), 1,
      sym_case_clause,
    ACTIONS(1468), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1470), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1380), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1372), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1374), 13,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1376), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1361), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 13,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1385), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 13,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1380), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41527] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1194), 1,
      anon_sym_else,
    STATE(796), 1,
      sym_else_clause,
    ACTIONS(1475), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1477), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1479), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1481), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1485), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1483), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41690] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_finally,
    STATE(789), 1,
      sym_finally_clause,
    ACTIONS(1489), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1487), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41747] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1224), 1,
      anon_sym_else,
    STATE(743), 1,
      sym_else_clause,
    ACTIONS(1493), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1491), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41804] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1224), 1,
      anon_sym_else,
    STATE(813), 1,
      sym_else_clause,
    ACTIONS(1475), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1477), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41861] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_finally,
    STATE(755), 1,
      sym_finally_clause,
    ACTIONS(1497), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1495), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41918] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1224), 1,
      anon_sym_else,
    STATE(754), 1,
      sym_else_clause,
    ACTIONS(1501), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1499), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41975] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1198), 1,
      anon_sym_finally,
    STATE(793), 1,
      sym_finally_clause,
    ACTIONS(1497), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1495), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42032] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1224), 1,
      anon_sym_else,
    STATE(785), 1,
      sym_else_clause,
    ACTIONS(1505), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1503), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42089] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1194), 1,
      anon_sym_else,
    STATE(747), 1,
      sym_else_clause,
    ACTIONS(1507), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1509), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42146] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1224), 1,
      anon_sym_else,
    STATE(788), 1,
      sym_else_clause,
    ACTIONS(1513), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1511), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1517), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1515), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42256] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1224), 1,
      anon_sym_else,
    STATE(800), 1,
      sym_else_clause,
    ACTIONS(1507), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1509), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1479), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1481), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42366] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1194), 1,
      anon_sym_else,
    STATE(766), 1,
      sym_else_clause,
    ACTIONS(1501), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1499), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1517), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1515), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42476] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1194), 1,
      anon_sym_else,
    STATE(774), 1,
      sym_else_clause,
    ACTIONS(1513), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1511), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42533] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1198), 1,
      anon_sym_finally,
    STATE(805), 1,
      sym_finally_clause,
    ACTIONS(1489), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1487), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1485), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1483), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42643] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1194), 1,
      anon_sym_else,
    STATE(803), 1,
      sym_else_clause,
    ACTIONS(1493), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1491), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42700] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1194), 1,
      anon_sym_else,
    STATE(807), 1,
      sym_else_clause,
    ACTIONS(1505), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1503), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1521), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1519), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1525), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1523), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1521), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1519), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1521), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1519), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1527), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1529), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1521), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1519), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1531), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1533), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1535), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1537), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1541), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1539), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1543), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1545), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1547), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1549), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1553), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1551), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1547), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1549), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43433] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1521), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1519), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1555), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1557), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1559), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1561), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1565), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1563), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1559), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1561), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1547), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1549), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1565), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1563), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1547), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1549), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1569), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1567), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1555), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1557), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1559), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1561), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1573), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1571), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1559), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1561), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1521), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1519), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1521), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1519), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1521), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1519), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1525), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1523), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1569), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1567), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1575), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1577), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1579), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1581), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1583), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1585), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1531), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1533), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1583), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1585), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1587), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1589), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1579), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1581), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1583), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1585), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1535), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1537), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1583), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1585), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1587), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1589), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1543), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1545), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1591), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1593), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1591), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1593), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1547), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1549), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1547), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1549), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1555), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1557), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1559), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1561), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1559), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1561), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1547), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1549), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1547), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1549), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1555), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1557), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1559), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1561), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1559), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1561), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1575), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1577), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1579), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1581), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1583), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1585), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1583), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1585), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1587), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1589), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1579), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1581), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1583), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1585), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1583), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1585), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1587), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1589), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1591), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1593), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1591), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1593), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1527), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1529), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1573), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1571), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1541), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1539), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1553), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1551), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1597), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1595), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1601), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1599), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1603), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1605), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1607), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1609), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1613), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1611), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1615), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1617), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1190), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1192), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1621), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1619), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1623), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1625), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1489), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1487), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46907] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1629), 1,
      anon_sym_LPAREN,
    ACTIONS(1631), 1,
      anon_sym_RPAREN,
    ACTIONS(1633), 1,
      anon_sym_STAR,
    ACTIONS(1637), 1,
      anon_sym_LBRACK,
    STATE(875), 1,
      sym_string,
    STATE(1369), 1,
      sym_primary_expression,
    STATE(1959), 1,
      sym_pattern,
    STATE(2141), 1,
      sym__patterns,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    STATE(1374), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1967), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1635), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1273), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [46990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1607), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1609), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1641), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1639), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1645), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1643), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1649), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1647), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1651), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1653), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1657), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1655), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1661), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1659), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1663), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1665), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1669), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1667), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1623), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1625), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47500] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1613), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1611), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1649), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1647), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1673), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1641), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1639), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1675), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1677), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1669), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1667), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1489), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1487), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1651), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1653), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1190), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1192), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1681), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1679), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1675), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1677), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1683), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1685), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1681), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1679), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1603), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1605), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1687), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1689), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1691), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1693), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1202), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1695), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1697), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1691), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1693), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1699), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1701), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1661), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1659), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48571] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1629), 1,
      anon_sym_LPAREN,
    ACTIONS(1633), 1,
      anon_sym_STAR,
    ACTIONS(1637), 1,
      anon_sym_LBRACK,
    ACTIONS(1703), 1,
      anon_sym_RPAREN,
    STATE(875), 1,
      sym_string,
    STATE(1369), 1,
      sym_primary_expression,
    STATE(1959), 1,
      sym_pattern,
    STATE(2100), 1,
      sym__patterns,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    STATE(1374), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1967), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1635), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1273), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [48654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1707), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1705), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1711), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1709), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1713), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1683), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1685), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1717), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1723), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1721), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1497), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1495), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1687), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1689), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1645), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1643), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1723), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1721), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1727), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1725), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1729), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1731), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49266] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1695), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1697), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1597), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1595), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1699), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1701), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1615), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1617), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1663), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1665), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1673), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1601), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1599), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1711), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1709), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1717), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1202), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1707), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1705), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1497), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1495), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1713), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1621), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1619), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1727), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1725), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1657), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1655), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1729), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1731), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50133] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(1733), 1,
      sym_identifier,
    ACTIONS(1735), 1,
      anon_sym_LPAREN,
    ACTIONS(1737), 1,
      anon_sym_STAR,
    ACTIONS(1741), 1,
      anon_sym_LBRACK,
    ACTIONS(1743), 1,
      anon_sym_RBRACK,
    STATE(875), 1,
      sym_string,
    STATE(1364), 1,
      sym_primary_expression,
    STATE(1999), 1,
      sym_pattern,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    STATE(1368), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2012), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1739), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1273), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [50213] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(844), 1,
      sym_identifier,
    ACTIONS(846), 1,
      anon_sym_LPAREN,
    ACTIONS(856), 1,
      anon_sym_LBRACK,
    STATE(875), 1,
      sym_string,
    STATE(1373), 1,
      sym_primary_expression,
    STATE(1776), 1,
      sym_pattern,
    STATE(2224), 1,
      sym_pattern_list,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    STATE(1282), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1388), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(850), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1273), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [50293] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(844), 1,
      sym_identifier,
    ACTIONS(846), 1,
      anon_sym_LPAREN,
    ACTIONS(856), 1,
      anon_sym_LBRACK,
    STATE(875), 1,
      sym_string,
    STATE(1373), 1,
      sym_primary_expression,
    STATE(1823), 1,
      sym_pattern,
    STATE(2131), 1,
      sym_pattern_list,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    STATE(1282), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1388), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(850), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1273), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [50373] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(844), 1,
      sym_identifier,
    ACTIONS(846), 1,
      anon_sym_LPAREN,
    ACTIONS(856), 1,
      anon_sym_LBRACK,
    STATE(875), 1,
      sym_string,
    STATE(1373), 1,
      sym_primary_expression,
    STATE(1820), 1,
      sym_pattern,
    STATE(2138), 1,
      sym_pattern_list,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    STATE(1282), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1388), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(850), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1273), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [50453] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(844), 1,
      sym_identifier,
    ACTIONS(846), 1,
      anon_sym_LPAREN,
    ACTIONS(856), 1,
      anon_sym_LBRACK,
    STATE(875), 1,
      sym_string,
    STATE(1373), 1,
      sym_primary_expression,
    STATE(1930), 1,
      sym_pattern,
    STATE(2112), 1,
      sym_pattern_list,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    STATE(1282), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1388), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(850), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1273), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [50533] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(844), 1,
      sym_identifier,
    ACTIONS(846), 1,
      anon_sym_LPAREN,
    ACTIONS(856), 1,
      anon_sym_LBRACK,
    STATE(875), 1,
      sym_string,
    STATE(1373), 1,
      sym_primary_expression,
    STATE(1775), 1,
      sym_pattern,
    STATE(2222), 1,
      sym_pattern_list,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    STATE(1282), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1388), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(850), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1273), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [50613] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(1733), 1,
      sym_identifier,
    ACTIONS(1735), 1,
      anon_sym_LPAREN,
    ACTIONS(1737), 1,
      anon_sym_STAR,
    ACTIONS(1741), 1,
      anon_sym_LBRACK,
    ACTIONS(1745), 1,
      anon_sym_RBRACK,
    STATE(875), 1,
      sym_string,
    STATE(1364), 1,
      sym_primary_expression,
    STATE(1999), 1,
      sym_pattern,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    STATE(1368), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2012), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1739), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1273), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [50693] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1629), 1,
      anon_sym_LPAREN,
    ACTIONS(1633), 1,
      anon_sym_STAR,
    ACTIONS(1637), 1,
      anon_sym_LBRACK,
    ACTIONS(1745), 1,
      anon_sym_RPAREN,
    STATE(875), 1,
      sym_string,
    STATE(1369), 1,
      sym_primary_expression,
    STATE(1984), 1,
      sym_pattern,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    STATE(1374), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1967), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1635), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1273), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [50773] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(844), 1,
      sym_identifier,
    ACTIONS(846), 1,
      anon_sym_LPAREN,
    ACTIONS(856), 1,
      anon_sym_LBRACK,
    STATE(875), 1,
      sym_string,
    STATE(1373), 1,
      sym_primary_expression,
    STATE(1933), 1,
      sym_pattern,
    STATE(2119), 1,
      sym_pattern_list,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    STATE(1282), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1388), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(850), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1273), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [50853] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(844), 1,
      sym_identifier,
    ACTIONS(846), 1,
      anon_sym_LPAREN,
    ACTIONS(856), 1,
      anon_sym_LBRACK,
    STATE(875), 1,
      sym_string,
    STATE(1373), 1,
      sym_primary_expression,
    STATE(1779), 1,
      sym_pattern,
    STATE(2218), 1,
      sym_pattern_list,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    STATE(1282), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1388), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(850), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1273), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [50933] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1629), 1,
      anon_sym_LPAREN,
    ACTIONS(1633), 1,
      anon_sym_STAR,
    ACTIONS(1637), 1,
      anon_sym_LBRACK,
    ACTIONS(1743), 1,
      anon_sym_RPAREN,
    STATE(875), 1,
      sym_string,
    STATE(1369), 1,
      sym_primary_expression,
    STATE(1984), 1,
      sym_pattern,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    STATE(1374), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1967), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1635), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1273), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [51013] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(844), 1,
      sym_identifier,
    ACTIONS(846), 1,
      anon_sym_LPAREN,
    ACTIONS(856), 1,
      anon_sym_LBRACK,
    STATE(875), 1,
      sym_string,
    STATE(1373), 1,
      sym_primary_expression,
    STATE(1802), 1,
      sym_pattern,
    STATE(2178), 1,
      sym_pattern_list,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    STATE(1282), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1388), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(850), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1273), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [51093] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(844), 1,
      sym_identifier,
    ACTIONS(846), 1,
      anon_sym_LPAREN,
    ACTIONS(856), 1,
      anon_sym_LBRACK,
    STATE(875), 1,
      sym_string,
    STATE(1373), 1,
      sym_primary_expression,
    STATE(1808), 1,
      sym_pattern,
    STATE(2169), 1,
      sym_pattern_list,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    STATE(1282), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1388), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(850), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1273), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [51173] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(844), 1,
      sym_identifier,
    ACTIONS(846), 1,
      anon_sym_LPAREN,
    ACTIONS(856), 1,
      anon_sym_LBRACK,
    STATE(875), 1,
      sym_string,
    STATE(1373), 1,
      sym_primary_expression,
    STATE(1806), 1,
      sym_pattern,
    STATE(2171), 1,
      sym_pattern_list,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    STATE(1282), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1388), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(850), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1273), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [51253] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(1733), 1,
      sym_identifier,
    ACTIONS(1735), 1,
      anon_sym_LPAREN,
    ACTIONS(1737), 1,
      anon_sym_STAR,
    ACTIONS(1741), 1,
      anon_sym_LBRACK,
    STATE(875), 1,
      sym_string,
    STATE(1364), 1,
      sym_primary_expression,
    STATE(1999), 1,
      sym_pattern,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    STATE(1368), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2012), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1739), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1273), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [51330] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(844), 1,
      sym_identifier,
    ACTIONS(846), 1,
      anon_sym_LPAREN,
    ACTIONS(856), 1,
      anon_sym_LBRACK,
    STATE(875), 1,
      sym_string,
    STATE(1373), 1,
      sym_primary_expression,
    STATE(1385), 1,
      sym_pattern,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    STATE(1282), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1388), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(850), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1273), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [51407] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1629), 1,
      anon_sym_LPAREN,
    ACTIONS(1633), 1,
      anon_sym_STAR,
    ACTIONS(1637), 1,
      anon_sym_LBRACK,
    STATE(875), 1,
      sym_string,
    STATE(1369), 1,
      sym_primary_expression,
    STATE(1984), 1,
      sym_pattern,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    STATE(1374), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1967), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1635), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1273), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [51484] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(675), 1,
      sym__string_start,
    STATE(832), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1749), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1747), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [51534] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1755), 1,
      sym__string_start,
    STATE(832), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1753), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1751), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [51584] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(625), 1,
      sym__string_start,
    STATE(843), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1749), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1747), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [51634] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1758), 1,
      sym__string_start,
    STATE(834), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1753), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1751), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [51684] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1763), 1,
      anon_sym_DOT,
    ACTIONS(1765), 1,
      anon_sym_LPAREN,
    ACTIONS(1773), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1777), 1,
      anon_sym_LBRACK,
    ACTIONS(1779), 1,
      anon_sym_EQ,
    ACTIONS(1781), 1,
      anon_sym_not,
    ACTIONS(1785), 1,
      anon_sym_PIPE,
    ACTIONS(1787), 1,
      anon_sym_AMP,
    ACTIONS(1789), 1,
      anon_sym_CARET,
    ACTIONS(1793), 1,
      anon_sym_is,
    STATE(1347), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1767), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1769), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1783), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1791), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1173), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1775), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1771), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1761), 8,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
  [51764] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      anon_sym_EQ,
    ACTIONS(1795), 1,
      anon_sym_DOT,
    ACTIONS(1797), 1,
      anon_sym_LPAREN,
    ACTIONS(1805), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1809), 1,
      anon_sym_LBRACK,
    ACTIONS(1811), 1,
      anon_sym_not,
    ACTIONS(1815), 1,
      anon_sym_PIPE,
    ACTIONS(1817), 1,
      anon_sym_AMP,
    ACTIONS(1819), 1,
      anon_sym_CARET,
    ACTIONS(1823), 1,
      anon_sym_is,
    STATE(1351), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1799), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1801), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1813), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1821), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1066), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1807), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1803), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1761), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
      sym_type_conversion,
  [51844] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(77), 1,
      sym__string_start,
    STATE(840), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1245), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1240), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [51894] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(1825), 1,
      sym_identifier,
    STATE(875), 1,
      sym_string,
    STATE(1369), 1,
      sym_primary_expression,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1827), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(1354), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1829), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1273), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [51964] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      anon_sym_as,
    ACTIONS(1831), 1,
      anon_sym_DOT,
    ACTIONS(1833), 1,
      anon_sym_LPAREN,
    ACTIONS(1841), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1845), 1,
      anon_sym_LBRACK,
    ACTIONS(1847), 1,
      anon_sym_not,
    ACTIONS(1851), 1,
      anon_sym_PIPE,
    ACTIONS(1853), 1,
      anon_sym_AMP,
    ACTIONS(1855), 1,
      anon_sym_CARET,
    ACTIONS(1859), 1,
      anon_sym_is,
    STATE(1348), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1837), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1849), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1857), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1099), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1843), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1839), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1761), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
  [52044] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(77), 1,
      sym__string_start,
    STATE(834), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1749), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1747), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [52094] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(675), 1,
      sym__string_start,
    STATE(831), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1245), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1240), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [52144] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(1861), 1,
      sym_identifier,
    STATE(875), 1,
      sym_string,
    STATE(1373), 1,
      sym_primary_expression,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1827), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    STATE(1218), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1863), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1273), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [52214] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      sym__string_start,
    STATE(843), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1753), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1751), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [52264] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(625), 1,
      sym__string_start,
    STATE(833), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1245), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1240), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [52314] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(879), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1749), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1747), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [52363] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1763), 1,
      anon_sym_DOT,
    ACTIONS(1765), 1,
      anon_sym_LPAREN,
    ACTIONS(1773), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1777), 1,
      anon_sym_LBRACK,
    ACTIONS(1785), 1,
      anon_sym_PIPE,
    ACTIONS(1787), 1,
      anon_sym_AMP,
    ACTIONS(1789), 1,
      anon_sym_CARET,
    ACTIONS(1767), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1769), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1783), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1173), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1775), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1870), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1868), 16,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [52432] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1795), 1,
      anon_sym_DOT,
    ACTIONS(1797), 1,
      anon_sym_LPAREN,
    ACTIONS(1805), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1809), 1,
      anon_sym_LBRACK,
    STATE(1066), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1874), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1872), 26,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [52487] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1831), 1,
      anon_sym_DOT,
    ACTIONS(1833), 1,
      anon_sym_LPAREN,
    ACTIONS(1841), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1845), 1,
      anon_sym_LBRACK,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1837), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1849), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1099), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1843), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1878), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1876), 19,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [52550] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1880), 1,
      sym__string_start,
    STATE(849), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1753), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1751), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [52599] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1831), 1,
      anon_sym_DOT,
    ACTIONS(1833), 1,
      anon_sym_LPAREN,
    ACTIONS(1841), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1845), 1,
      anon_sym_LBRACK,
    ACTIONS(1851), 1,
      anon_sym_PIPE,
    ACTIONS(1853), 1,
      anon_sym_AMP,
    ACTIONS(1855), 1,
      anon_sym_CARET,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1837), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1849), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1099), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1843), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1870), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1868), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [52668] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1795), 1,
      anon_sym_DOT,
    ACTIONS(1797), 1,
      anon_sym_LPAREN,
    ACTIONS(1805), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1809), 1,
      anon_sym_LBRACK,
    STATE(1066), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1878), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1876), 26,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [52723] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1763), 1,
      anon_sym_DOT,
    ACTIONS(1765), 1,
      anon_sym_LPAREN,
    ACTIONS(1773), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1777), 1,
      anon_sym_LBRACK,
    STATE(1173), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1874), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1872), 26,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [52778] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1831), 1,
      anon_sym_DOT,
    ACTIONS(1833), 1,
      anon_sym_LPAREN,
    ACTIONS(1841), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1845), 1,
      anon_sym_LBRACK,
    ACTIONS(1851), 1,
      anon_sym_PIPE,
    ACTIONS(1853), 1,
      anon_sym_AMP,
    ACTIONS(1855), 1,
      anon_sym_CARET,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1837), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1849), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1099), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1843), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1885), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1883), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [52847] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1763), 1,
      anon_sym_DOT,
    ACTIONS(1765), 1,
      anon_sym_LPAREN,
    ACTIONS(1773), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1777), 1,
      anon_sym_LBRACK,
    ACTIONS(1767), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1769), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1783), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1173), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1775), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1878), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1876), 19,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [52910] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1763), 1,
      anon_sym_DOT,
    ACTIONS(1765), 1,
      anon_sym_LPAREN,
    ACTIONS(1773), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1777), 1,
      anon_sym_LBRACK,
    ACTIONS(1789), 1,
      anon_sym_CARET,
    ACTIONS(1767), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1769), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1783), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1173), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1775), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1878), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1876), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [52975] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1763), 1,
      anon_sym_DOT,
    ACTIONS(1765), 1,
      anon_sym_LPAREN,
    ACTIONS(1773), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1777), 1,
      anon_sym_LBRACK,
    ACTIONS(1787), 1,
      anon_sym_AMP,
    ACTIONS(1789), 1,
      anon_sym_CARET,
    ACTIONS(1767), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1769), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1783), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1173), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1775), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1878), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1876), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [53042] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1763), 1,
      anon_sym_DOT,
    ACTIONS(1765), 1,
      anon_sym_LPAREN,
    ACTIONS(1773), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1777), 1,
      anon_sym_LBRACK,
    ACTIONS(1767), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1173), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1775), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1878), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1876), 23,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [53101] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1831), 1,
      anon_sym_DOT,
    ACTIONS(1833), 1,
      anon_sym_LPAREN,
    ACTIONS(1841), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1845), 1,
      anon_sym_LBRACK,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1849), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1099), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1843), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1878), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1876), 21,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [53162] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1831), 1,
      anon_sym_DOT,
    ACTIONS(1833), 1,
      anon_sym_LPAREN,
    ACTIONS(1841), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1845), 1,
      anon_sym_LBRACK,
    ACTIONS(1851), 1,
      anon_sym_PIPE,
    ACTIONS(1853), 1,
      anon_sym_AMP,
    ACTIONS(1855), 1,
      anon_sym_CARET,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1837), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1849), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1099), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1843), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1889), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1887), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [53231] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1763), 1,
      anon_sym_DOT,
    ACTIONS(1765), 1,
      anon_sym_LPAREN,
    ACTIONS(1773), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1777), 1,
      anon_sym_LBRACK,
    STATE(1173), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1878), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1876), 26,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [53286] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1763), 1,
      anon_sym_DOT,
    ACTIONS(1765), 1,
      anon_sym_LPAREN,
    ACTIONS(1773), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1777), 1,
      anon_sym_LBRACK,
    ACTIONS(1785), 1,
      anon_sym_PIPE,
    ACTIONS(1787), 1,
      anon_sym_AMP,
    ACTIONS(1789), 1,
      anon_sym_CARET,
    ACTIONS(1767), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1769), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1783), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1173), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1775), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1885), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1883), 16,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [53355] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1763), 1,
      anon_sym_DOT,
    ACTIONS(1765), 1,
      anon_sym_LPAREN,
    ACTIONS(1773), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1777), 1,
      anon_sym_LBRACK,
    ACTIONS(1767), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1783), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1173), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1775), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1878), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1876), 21,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [53416] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      anon_sym_as,
    ACTIONS(1891), 1,
      anon_sym_DOT,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    ACTIONS(1901), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1905), 1,
      anon_sym_LBRACK,
    ACTIONS(1907), 1,
      anon_sym_not,
    ACTIONS(1911), 1,
      anon_sym_PIPE,
    ACTIONS(1913), 1,
      anon_sym_AMP,
    ACTIONS(1915), 1,
      anon_sym_CARET,
    ACTIONS(1919), 1,
      anon_sym_is,
    STATE(1355), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1895), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1897), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1909), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1917), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1197), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1903), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1899), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1761), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [53495] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1763), 1,
      anon_sym_DOT,
    ACTIONS(1765), 1,
      anon_sym_LPAREN,
    ACTIONS(1773), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1777), 1,
      anon_sym_LBRACK,
    STATE(1173), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1878), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1876), 26,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [53550] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1831), 1,
      anon_sym_DOT,
    ACTIONS(1833), 1,
      anon_sym_LPAREN,
    ACTIONS(1841), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1845), 1,
      anon_sym_LBRACK,
    STATE(1099), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1878), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1876), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [53605] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(651), 1,
      sym__string_start,
    STATE(881), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1245), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1240), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [53654] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1831), 1,
      anon_sym_DOT,
    ACTIONS(1833), 1,
      anon_sym_LPAREN,
    ACTIONS(1841), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1845), 1,
      anon_sym_LBRACK,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1099), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1843), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1878), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1876), 23,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [53713] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(659), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_LBRACE,
    ACTIONS(675), 1,
      sym__string_start,
    ACTIONS(1923), 1,
      anon_sym_not,
    STATE(841), 1,
      sym_string,
    STATE(853), 1,
      sym_primary_expression,
    ACTIONS(667), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(663), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(671), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1921), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1047), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [53778] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(699), 1,
      sym__string_start,
    ACTIONS(1927), 1,
      anon_sym_not,
    STATE(989), 1,
      sym_string,
    STATE(1160), 1,
      sym_primary_expression,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(695), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1925), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [53843] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1831), 1,
      anon_sym_DOT,
    ACTIONS(1833), 1,
      anon_sym_LPAREN,
    ACTIONS(1841), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1845), 1,
      anon_sym_LBRACK,
    STATE(1099), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1874), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1872), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [53898] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 1,
      anon_sym_LPAREN,
    ACTIONS(609), 1,
      anon_sym_LBRACK,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(625), 1,
      sym__string_start,
    ACTIONS(1931), 1,
      anon_sym_not,
    STATE(844), 1,
      sym_string,
    STATE(895), 1,
      sym_primary_expression,
    ACTIONS(617), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(613), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(621), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1929), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1156), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [53963] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1831), 1,
      anon_sym_DOT,
    ACTIONS(1833), 1,
      anon_sym_LPAREN,
    ACTIONS(1841), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1845), 1,
      anon_sym_LBRACK,
    ACTIONS(1853), 1,
      anon_sym_AMP,
    ACTIONS(1855), 1,
      anon_sym_CARET,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1837), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1849), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1099), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1843), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1878), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1876), 17,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [54030] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1763), 1,
      anon_sym_DOT,
    ACTIONS(1765), 1,
      anon_sym_LPAREN,
    ACTIONS(1773), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1777), 1,
      anon_sym_LBRACK,
    ACTIONS(1785), 1,
      anon_sym_PIPE,
    ACTIONS(1787), 1,
      anon_sym_AMP,
    ACTIONS(1789), 1,
      anon_sym_CARET,
    ACTIONS(1767), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1769), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1783), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1173), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1775), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1889), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1887), 16,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [54099] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_DOT,
    ACTIONS(1935), 1,
      anon_sym_LPAREN,
    ACTIONS(1943), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1947), 1,
      anon_sym_LBRACK,
    ACTIONS(1949), 1,
      anon_sym_not,
    ACTIONS(1953), 1,
      anon_sym_PIPE,
    ACTIONS(1955), 1,
      anon_sym_AMP,
    ACTIONS(1957), 1,
      anon_sym_CARET,
    ACTIONS(1961), 1,
      anon_sym_is,
    STATE(1357), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1939), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1959), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1241), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1945), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1941), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1761), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_and,
      anon_sym_or,
  [54178] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(845), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1245), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1240), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [54227] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1831), 1,
      anon_sym_DOT,
    ACTIONS(1833), 1,
      anon_sym_LPAREN,
    ACTIONS(1841), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1845), 1,
      anon_sym_LBRACK,
    ACTIONS(1855), 1,
      anon_sym_CARET,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1837), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1849), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1099), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1843), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1878), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1876), 18,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [54292] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1831), 1,
      anon_sym_DOT,
    ACTIONS(1833), 1,
      anon_sym_LPAREN,
    ACTIONS(1841), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1845), 1,
      anon_sym_LBRACK,
    STATE(1099), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1878), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1876), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [54347] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(1965), 1,
      anon_sym_not,
    STATE(875), 1,
      sym_string,
    STATE(899), 1,
      sym_primary_expression,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(305), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1963), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [54412] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1967), 1,
      sym__string_start,
    STATE(879), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1753), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1751), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [54461] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(703), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(1972), 1,
      anon_sym_not,
    STATE(914), 1,
      sym_string,
    STATE(1092), 1,
      sym_primary_expression,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(719), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1970), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [54526] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(651), 1,
      sym__string_start,
    STATE(849), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1749), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1747), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [54575] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(651), 1,
      sym__string_start,
    ACTIONS(1976), 1,
      anon_sym_not,
    STATE(866), 1,
      sym_string,
    STATE(996), 1,
      sym_primary_expression,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(647), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1974), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [54640] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      anon_sym_as,
    ACTIONS(1978), 1,
      anon_sym_DOT,
    ACTIONS(1980), 1,
      anon_sym_LPAREN,
    ACTIONS(1988), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    ACTIONS(1994), 1,
      anon_sym_not,
    ACTIONS(1998), 1,
      anon_sym_PIPE,
    ACTIONS(2000), 1,
      anon_sym_AMP,
    ACTIONS(2002), 1,
      anon_sym_CARET,
    ACTIONS(2006), 1,
      anon_sym_is,
    STATE(1353), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1982), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1984), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1996), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2004), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1990), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1986), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1761), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [54719] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(747), 1,
      sym__string_start,
    STATE(889), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1245), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1240), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [54768] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      anon_sym_LBRACK,
    ACTIONS(2010), 1,
      anon_sym_not,
    STATE(837), 1,
      sym_string,
    STATE(861), 1,
      sym_primary_expression,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(73), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2008), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1157), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [54833] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1795), 1,
      anon_sym_DOT,
    ACTIONS(1797), 1,
      anon_sym_LPAREN,
    ACTIONS(1805), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1809), 1,
      anon_sym_LBRACK,
    ACTIONS(1815), 1,
      anon_sym_PIPE,
    ACTIONS(1817), 1,
      anon_sym_AMP,
    ACTIONS(1819), 1,
      anon_sym_CARET,
    ACTIONS(1799), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1801), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1813), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1066), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1807), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1889), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1887), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [54902] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1795), 1,
      anon_sym_DOT,
    ACTIONS(1797), 1,
      anon_sym_LPAREN,
    ACTIONS(1805), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1809), 1,
      anon_sym_LBRACK,
    ACTIONS(1815), 1,
      anon_sym_PIPE,
    ACTIONS(1817), 1,
      anon_sym_AMP,
    ACTIONS(1819), 1,
      anon_sym_CARET,
    ACTIONS(1799), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1801), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1813), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1066), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1807), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1870), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1868), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [54971] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(731), 1,
      anon_sym_LBRACK,
    ACTIONS(741), 1,
      anon_sym_LBRACE,
    ACTIONS(747), 1,
      sym__string_start,
    ACTIONS(2014), 1,
      anon_sym_not,
    STATE(884), 1,
      sym_string,
    STATE(1014), 1,
      sym_primary_expression,
    ACTIONS(739), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(735), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(743), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2012), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1181), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [55036] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(747), 1,
      sym__string_start,
    STATE(896), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1749), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1747), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [55085] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1795), 1,
      anon_sym_DOT,
    ACTIONS(1797), 1,
      anon_sym_LPAREN,
    ACTIONS(1805), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1809), 1,
      anon_sym_LBRACK,
    ACTIONS(1799), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1801), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1813), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1066), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1807), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1878), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1876), 19,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [55148] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1795), 1,
      anon_sym_DOT,
    ACTIONS(1797), 1,
      anon_sym_LPAREN,
    ACTIONS(1805), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1809), 1,
      anon_sym_LBRACK,
    ACTIONS(1819), 1,
      anon_sym_CARET,
    ACTIONS(1799), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1801), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1813), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1066), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1807), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1878), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1876), 18,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [55213] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1795), 1,
      anon_sym_DOT,
    ACTIONS(1797), 1,
      anon_sym_LPAREN,
    ACTIONS(1805), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1809), 1,
      anon_sym_LBRACK,
    ACTIONS(1817), 1,
      anon_sym_AMP,
    ACTIONS(1819), 1,
      anon_sym_CARET,
    ACTIONS(1799), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1801), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1813), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1066), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1807), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1878), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1876), 17,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [55280] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1795), 1,
      anon_sym_DOT,
    ACTIONS(1797), 1,
      anon_sym_LPAREN,
    ACTIONS(1805), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1809), 1,
      anon_sym_LBRACK,
    ACTIONS(1799), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1066), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1807), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1878), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1876), 23,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [55339] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1795), 1,
      anon_sym_DOT,
    ACTIONS(1797), 1,
      anon_sym_LPAREN,
    ACTIONS(1805), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1809), 1,
      anon_sym_LBRACK,
    STATE(1066), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1878), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1876), 26,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [55394] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1795), 1,
      anon_sym_DOT,
    ACTIONS(1797), 1,
      anon_sym_LPAREN,
    ACTIONS(1805), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1809), 1,
      anon_sym_LBRACK,
    ACTIONS(1815), 1,
      anon_sym_PIPE,
    ACTIONS(1817), 1,
      anon_sym_AMP,
    ACTIONS(1819), 1,
      anon_sym_CARET,
    ACTIONS(1799), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1801), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1813), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1066), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1807), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1885), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1883), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [55463] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2016), 1,
      sym__string_start,
    STATE(896), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1753), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1751), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [55512] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1795), 1,
      anon_sym_DOT,
    ACTIONS(1797), 1,
      anon_sym_LPAREN,
    ACTIONS(1805), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1809), 1,
      anon_sym_LBRACK,
    ACTIONS(1799), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1813), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1066), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1807), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1878), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1876), 21,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [55573] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOT,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    ACTIONS(1901), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1905), 1,
      anon_sym_LBRACK,
    ACTIONS(1895), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1197), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1878), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1903), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1876), 22,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [55631] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_DOT,
    ACTIONS(1935), 1,
      anon_sym_LPAREN,
    ACTIONS(1943), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1947), 1,
      anon_sym_LBRACK,
    ACTIONS(1953), 1,
      anon_sym_PIPE,
    ACTIONS(1955), 1,
      anon_sym_AMP,
    ACTIONS(1957), 1,
      anon_sym_CARET,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1939), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1241), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1885), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1945), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1883), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [55699] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      anon_sym_LBRACK,
    STATE(837), 1,
      sym_string,
    STATE(852), 1,
      sym_primary_expression,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(73), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2008), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1157), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [55761] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      anon_sym_LBRACK,
    STATE(837), 1,
      sym_string,
    STATE(854), 1,
      sym_primary_expression,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(73), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2008), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1157), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [55823] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOT,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    ACTIONS(1901), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1905), 1,
      anon_sym_LBRACK,
    ACTIONS(1911), 1,
      anon_sym_PIPE,
    ACTIONS(1913), 1,
      anon_sym_AMP,
    ACTIONS(1915), 1,
      anon_sym_CARET,
    ACTIONS(1895), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1897), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1909), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1197), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1870), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1903), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1868), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [55891] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOT,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    ACTIONS(1901), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1905), 1,
      anon_sym_LBRACK,
    ACTIONS(1911), 1,
      anon_sym_PIPE,
    ACTIONS(1913), 1,
      anon_sym_AMP,
    ACTIONS(1915), 1,
      anon_sym_CARET,
    ACTIONS(1895), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1897), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1909), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1197), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1889), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1903), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1887), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [55959] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 1,
      sym__string_start,
    STATE(904), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1753), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1751), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [56007] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(699), 1,
      sym__string_start,
    STATE(989), 1,
      sym_string,
    STATE(1117), 1,
      sym_primary_expression,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(695), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1925), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [56069] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1245), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1240), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [56115] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(277), 1,
      anon_sym_COLON_EQ,
    ACTIONS(268), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [56161] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(651), 1,
      sym__string_start,
    STATE(866), 1,
      sym_string,
    STATE(998), 1,
      sym_primary_expression,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(647), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1974), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [56223] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(651), 1,
      sym__string_start,
    STATE(866), 1,
      sym_string,
    STATE(997), 1,
      sym_primary_expression,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(647), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1974), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [56285] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(699), 1,
      sym__string_start,
    STATE(989), 1,
      sym_string,
    STATE(1120), 1,
      sym_primary_expression,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(695), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1925), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [56347] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(651), 1,
      sym__string_start,
    STATE(866), 1,
      sym_string,
    STATE(996), 1,
      sym_primary_expression,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(647), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1974), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [56409] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      anon_sym_EQ,
    ACTIONS(2022), 1,
      anon_sym_DOT,
    ACTIONS(2024), 1,
      anon_sym_LPAREN,
    ACTIONS(2032), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2036), 1,
      anon_sym_LBRACK,
    ACTIONS(2038), 1,
      anon_sym_not,
    ACTIONS(2042), 1,
      anon_sym_PIPE,
    ACTIONS(2044), 1,
      anon_sym_AMP,
    ACTIONS(2046), 1,
      anon_sym_CARET,
    ACTIONS(2050), 1,
      anon_sym_is,
    STATE(1365), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2026), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2028), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2040), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2048), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1337), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2034), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1761), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(2030), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [56487] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(651), 1,
      sym__string_start,
    STATE(866), 1,
      sym_string,
    STATE(995), 1,
      sym_primary_expression,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(647), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1974), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [56549] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(949), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1245), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1240), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [56597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2054), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2052), 31,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [56641] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1978), 1,
      anon_sym_DOT,
    ACTIONS(1980), 1,
      anon_sym_LPAREN,
    ACTIONS(1988), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1874), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1872), 25,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [56695] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(651), 1,
      sym__string_start,
    STATE(866), 1,
      sym_string,
    STATE(898), 1,
      sym_primary_expression,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(647), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1974), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [56757] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(651), 1,
      sym__string_start,
    STATE(866), 1,
      sym_string,
    STATE(987), 1,
      sym_primary_expression,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(647), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1974), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [56819] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(651), 1,
      sym__string_start,
    STATE(866), 1,
      sym_string,
    STATE(986), 1,
      sym_primary_expression,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(647), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1974), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [56881] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(703), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(914), 1,
      sym_string,
    STATE(1094), 1,
      sym_primary_expression,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(719), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1970), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [56943] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(703), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(914), 1,
      sym_string,
    STATE(1093), 1,
      sym_primary_expression,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(719), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1970), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [57005] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_DOT,
    ACTIONS(1935), 1,
      anon_sym_LPAREN,
    ACTIONS(1943), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1947), 1,
      anon_sym_LBRACK,
    ACTIONS(1953), 1,
      anon_sym_PIPE,
    ACTIONS(1955), 1,
      anon_sym_AMP,
    ACTIONS(1957), 1,
      anon_sym_CARET,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1939), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1241), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1889), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1945), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1887), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [57073] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_DOT,
    ACTIONS(1935), 1,
      anon_sym_LPAREN,
    ACTIONS(1943), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1947), 1,
      anon_sym_LBRACK,
    ACTIONS(1953), 1,
      anon_sym_PIPE,
    ACTIONS(1955), 1,
      anon_sym_AMP,
    ACTIONS(1957), 1,
      anon_sym_CARET,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1939), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1241), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1870), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1945), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1868), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [57141] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(651), 1,
      sym__string_start,
    STATE(866), 1,
      sym_string,
    STATE(985), 1,
      sym_primary_expression,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(647), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1974), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [57203] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      anon_sym_LBRACK,
    STATE(837), 1,
      sym_string,
    STATE(873), 1,
      sym_primary_expression,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(73), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2008), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1157), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [57265] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      anon_sym_LBRACK,
    STATE(837), 1,
      sym_string,
    STATE(855), 1,
      sym_primary_expression,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(73), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2008), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1157), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [57327] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(703), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(914), 1,
      sym_string,
    STATE(1092), 1,
      sym_primary_expression,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(719), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1970), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [57389] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(731), 1,
      anon_sym_LBRACK,
    ACTIONS(741), 1,
      anon_sym_LBRACE,
    ACTIONS(747), 1,
      sym__string_start,
    STATE(884), 1,
      sym_string,
    STATE(1011), 1,
      sym_primary_expression,
    ACTIONS(739), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(735), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(743), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2012), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1181), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [57451] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(703), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(914), 1,
      sym_string,
    STATE(1089), 1,
      sym_primary_expression,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(719), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1970), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [57513] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(731), 1,
      anon_sym_LBRACK,
    ACTIONS(741), 1,
      anon_sym_LBRACE,
    ACTIONS(747), 1,
      sym__string_start,
    STATE(884), 1,
      sym_string,
    STATE(1012), 1,
      sym_primary_expression,
    ACTIONS(739), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(735), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(743), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2012), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1181), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [57575] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(731), 1,
      anon_sym_LBRACK,
    ACTIONS(741), 1,
      anon_sym_LBRACE,
    ACTIONS(747), 1,
      sym__string_start,
    STATE(884), 1,
      sym_string,
    STATE(1014), 1,
      sym_primary_expression,
    ACTIONS(739), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(735), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(743), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2012), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1181), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [57637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2054), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2052), 31,
      sym__newline,
      sym__string_start,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [57681] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(731), 1,
      anon_sym_LBRACK,
    ACTIONS(741), 1,
      anon_sym_LBRACE,
    ACTIONS(747), 1,
      sym__string_start,
    STATE(884), 1,
      sym_string,
    STATE(1015), 1,
      sym_primary_expression,
    ACTIONS(739), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(735), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(743), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2012), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1181), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [57743] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 1,
      sym__string_start,
    STATE(904), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1749), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1747), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [57791] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(703), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(914), 1,
      sym_string,
    STATE(1085), 1,
      sym_primary_expression,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(719), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1970), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [57853] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(731), 1,
      anon_sym_LBRACK,
    ACTIONS(741), 1,
      anon_sym_LBRACE,
    ACTIONS(747), 1,
      sym__string_start,
    STATE(884), 1,
      sym_string,
    STATE(1024), 1,
      sym_primary_expression,
    ACTIONS(739), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(735), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(743), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2012), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1181), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [57915] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(731), 1,
      anon_sym_LBRACK,
    ACTIONS(741), 1,
      anon_sym_LBRACE,
    ACTIONS(747), 1,
      sym__string_start,
    STATE(884), 1,
      sym_string,
    STATE(1025), 1,
      sym_primary_expression,
    ACTIONS(739), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(735), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(743), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2012), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1181), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [57977] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(731), 1,
      anon_sym_LBRACK,
    ACTIONS(741), 1,
      anon_sym_LBRACE,
    ACTIONS(747), 1,
      sym__string_start,
    STATE(884), 1,
      sym_string,
    STATE(1027), 1,
      sym_primary_expression,
    ACTIONS(739), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(735), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(743), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2012), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1181), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [58039] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(703), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(914), 1,
      sym_string,
    STATE(1084), 1,
      sym_primary_expression,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(719), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1970), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [58101] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(731), 1,
      anon_sym_LBRACK,
    ACTIONS(741), 1,
      anon_sym_LBRACE,
    ACTIONS(747), 1,
      sym__string_start,
    STATE(884), 1,
      sym_string,
    STATE(1028), 1,
      sym_primary_expression,
    ACTIONS(739), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(735), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(743), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2012), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1181), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [58163] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(703), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(914), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(719), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1970), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [58225] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(703), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(914), 1,
      sym_string,
    STATE(1078), 1,
      sym_primary_expression,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(719), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1970), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [58287] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(659), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_LBRACE,
    ACTIONS(675), 1,
      sym__string_start,
    STATE(841), 1,
      sym_string,
    STATE(859), 1,
      sym_primary_expression,
    ACTIONS(667), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(663), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(671), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1921), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1047), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [58349] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(699), 1,
      sym__string_start,
    STATE(989), 1,
      sym_string,
    STATE(1107), 1,
      sym_primary_expression,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(695), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1925), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [58411] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(731), 1,
      anon_sym_LBRACK,
    ACTIONS(741), 1,
      anon_sym_LBRACE,
    ACTIONS(747), 1,
      sym__string_start,
    STATE(884), 1,
      sym_string,
    STATE(916), 1,
      sym_primary_expression,
    ACTIONS(739), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(735), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(743), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2012), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1181), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [58473] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      anon_sym_LBRACK,
    STATE(837), 1,
      sym_string,
    STATE(856), 1,
      sym_primary_expression,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(73), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2008), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1157), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [58535] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(659), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_LBRACE,
    ACTIONS(675), 1,
      sym__string_start,
    STATE(841), 1,
      sym_string,
    STATE(850), 1,
      sym_primary_expression,
    ACTIONS(667), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(663), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(671), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1921), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1047), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [58597] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(277), 1,
      anon_sym_COLON_EQ,
    ACTIONS(268), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [58643] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(1018), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1749), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1747), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [58691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2058), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2056), 31,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [58735] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(699), 1,
      sym__string_start,
    STATE(989), 1,
      sym_string,
    STATE(1176), 1,
      sym_primary_expression,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(695), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1925), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [58797] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(699), 1,
      sym__string_start,
    STATE(989), 1,
      sym_string,
    STATE(1175), 1,
      sym_primary_expression,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(695), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1925), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [58859] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(699), 1,
      sym__string_start,
    STATE(989), 1,
      sym_string,
    STATE(1174), 1,
      sym_primary_expression,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(695), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1925), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [58921] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(699), 1,
      sym__string_start,
    STATE(989), 1,
      sym_string,
    STATE(1172), 1,
      sym_primary_expression,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(695), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1925), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [58983] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 1,
      anon_sym_LPAREN,
    ACTIONS(609), 1,
      anon_sym_LBRACK,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(625), 1,
      sym__string_start,
    STATE(844), 1,
      sym_string,
    STATE(886), 1,
      sym_primary_expression,
    ACTIONS(617), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(613), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(621), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1929), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1156), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [59045] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1245), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1240), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [59091] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(2060), 1,
      sym_identifier,
    STATE(875), 1,
      sym_string,
    STATE(1373), 1,
      sym_primary_expression,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    STATE(1380), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2062), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1273), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [59157] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(875), 1,
      sym_string,
    STATE(922), 1,
      sym_primary_expression,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(305), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1963), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [59219] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_DOT,
    ACTIONS(1935), 1,
      anon_sym_LPAREN,
    ACTIONS(1943), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1947), 1,
      anon_sym_LBRACK,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1939), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1241), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1878), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1945), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1876), 18,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [59281] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_DOT,
    ACTIONS(1935), 1,
      anon_sym_LPAREN,
    ACTIONS(1943), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1947), 1,
      anon_sym_LBRACK,
    ACTIONS(1957), 1,
      anon_sym_CARET,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1939), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1241), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1878), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1945), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1876), 17,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [59345] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(703), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(914), 1,
      sym_string,
    STATE(1150), 1,
      sym_primary_expression,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(719), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1970), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [59407] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(699), 1,
      sym__string_start,
    STATE(989), 1,
      sym_string,
    STATE(1171), 1,
      sym_primary_expression,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(695), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1925), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [59469] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(699), 1,
      sym__string_start,
    STATE(989), 1,
      sym_string,
    STATE(1160), 1,
      sym_primary_expression,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(695), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1925), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [59531] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(699), 1,
      sym__string_start,
    STATE(989), 1,
      sym_string,
    STATE(1159), 1,
      sym_primary_expression,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(695), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1925), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [59593] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_DOT,
    ACTIONS(1935), 1,
      anon_sym_LPAREN,
    ACTIONS(1943), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1947), 1,
      anon_sym_LBRACK,
    ACTIONS(1955), 1,
      anon_sym_AMP,
    ACTIONS(1957), 1,
      anon_sym_CARET,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1939), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1241), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1878), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1945), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1876), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [59659] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 1,
      anon_sym_LPAREN,
    ACTIONS(609), 1,
      anon_sym_LBRACK,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(625), 1,
      sym__string_start,
    STATE(844), 1,
      sym_string,
    STATE(851), 1,
      sym_primary_expression,
    ACTIONS(617), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(613), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(621), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1929), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1156), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [59721] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_DOT,
    ACTIONS(1935), 1,
      anon_sym_LPAREN,
    ACTIONS(1943), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1947), 1,
      anon_sym_LBRACK,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1241), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1878), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1945), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1876), 22,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [59779] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    ACTIONS(683), 1,
      anon_sym_LBRACK,
    ACTIONS(693), 1,
      anon_sym_LBRACE,
    ACTIONS(699), 1,
      sym__string_start,
    STATE(989), 1,
      sym_string,
    STATE(1158), 1,
      sym_primary_expression,
    ACTIONS(691), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(687), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(695), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1925), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1301), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [59841] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(875), 1,
      sym_string,
    STATE(923), 1,
      sym_primary_expression,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(305), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1963), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [59903] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_DOT,
    ACTIONS(1935), 1,
      anon_sym_LPAREN,
    ACTIONS(1943), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1947), 1,
      anon_sym_LBRACK,
    STATE(1241), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1878), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1876), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [59957] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_DOT,
    ACTIONS(1935), 1,
      anon_sym_LPAREN,
    ACTIONS(1943), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1947), 1,
      anon_sym_LBRACK,
    STATE(1241), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1874), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1872), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [60011] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_DOT,
    ACTIONS(1935), 1,
      anon_sym_LPAREN,
    ACTIONS(1943), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1947), 1,
      anon_sym_LBRACK,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1241), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1878), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1945), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1876), 20,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [60071] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 1,
      anon_sym_LPAREN,
    ACTIONS(609), 1,
      anon_sym_LBRACK,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(625), 1,
      sym__string_start,
    STATE(844), 1,
      sym_string,
    STATE(897), 1,
      sym_primary_expression,
    ACTIONS(617), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(613), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(621), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1929), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1156), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [60133] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_DOT,
    ACTIONS(1935), 1,
      anon_sym_LPAREN,
    ACTIONS(1943), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1947), 1,
      anon_sym_LBRACK,
    STATE(1241), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1878), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1876), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [60187] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 1,
      anon_sym_LPAREN,
    ACTIONS(609), 1,
      anon_sym_LBRACK,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(625), 1,
      sym__string_start,
    STATE(844), 1,
      sym_string,
    STATE(895), 1,
      sym_primary_expression,
    ACTIONS(617), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(613), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(621), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1929), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1156), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [60249] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      anon_sym_LBRACK,
    STATE(837), 1,
      sym_string,
    STATE(857), 1,
      sym_primary_expression,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(73), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2008), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1157), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [60311] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      anon_sym_LBRACK,
    STATE(837), 1,
      sym_string,
    STATE(860), 1,
      sym_primary_expression,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(73), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2008), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1157), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [60373] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      anon_sym_LBRACK,
    STATE(837), 1,
      sym_string,
    STATE(861), 1,
      sym_primary_expression,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(73), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2008), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1157), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [60435] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(1825), 1,
      sym_identifier,
    STATE(875), 1,
      sym_string,
    STATE(1369), 1,
      sym_primary_expression,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    STATE(1354), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1829), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1273), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [60501] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      anon_sym_LBRACK,
    STATE(837), 1,
      sym_string,
    STATE(862), 1,
      sym_primary_expression,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(73), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2008), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1157), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [60563] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(651), 1,
      sym__string_start,
    STATE(866), 1,
      sym_string,
    STATE(1002), 1,
      sym_primary_expression,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(647), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1974), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [60625] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(2064), 1,
      sym_identifier,
    STATE(875), 1,
      sym_string,
    STATE(1369), 1,
      sym_primary_expression,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    STATE(1359), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2066), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1273), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [60691] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 1,
      anon_sym_LPAREN,
    ACTIONS(609), 1,
      anon_sym_LBRACK,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(625), 1,
      sym__string_start,
    STATE(844), 1,
      sym_string,
    STATE(887), 1,
      sym_primary_expression,
    ACTIONS(617), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(613), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(621), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1929), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1156), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [60753] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(651), 1,
      sym__string_start,
    STATE(866), 1,
      sym_string,
    STATE(903), 1,
      sym_primary_expression,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(647), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1974), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [60815] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOT,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    ACTIONS(1901), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1905), 1,
      anon_sym_LBRACK,
    ACTIONS(1895), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1897), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1909), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1197), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1878), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1903), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1876), 18,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [60877] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOT,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    ACTIONS(1901), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1905), 1,
      anon_sym_LBRACK,
    ACTIONS(1915), 1,
      anon_sym_CARET,
    ACTIONS(1895), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1897), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1909), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1197), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1878), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1903), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1876), 17,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [60941] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOT,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    ACTIONS(1901), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1905), 1,
      anon_sym_LBRACK,
    ACTIONS(1913), 1,
      anon_sym_AMP,
    ACTIONS(1915), 1,
      anon_sym_CARET,
    ACTIONS(1895), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1897), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1909), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1197), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1878), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1903), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1876), 16,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [61007] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      anon_sym_LBRACK,
    STATE(837), 1,
      sym_string,
    STATE(864), 1,
      sym_primary_expression,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(73), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2008), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1157), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [61069] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 1,
      sym__string_start,
    STATE(934), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1245), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1240), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [61117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2054), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2052), 31,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [61161] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(659), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_LBRACE,
    ACTIONS(675), 1,
      sym__string_start,
    STATE(841), 1,
      sym_string,
    STATE(870), 1,
      sym_primary_expression,
    ACTIONS(667), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(663), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(671), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1921), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1047), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [61223] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2068), 1,
      anon_sym_DOT,
    ACTIONS(2070), 1,
      anon_sym_LPAREN,
    ACTIONS(2078), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2082), 1,
      anon_sym_LBRACK,
    ACTIONS(2084), 1,
      anon_sym_not,
    ACTIONS(2088), 1,
      anon_sym_PIPE,
    ACTIONS(2090), 1,
      anon_sym_AMP,
    ACTIONS(2092), 1,
      anon_sym_CARET,
    ACTIONS(2096), 1,
      anon_sym_is,
    STATE(1370), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2072), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2074), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2086), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2094), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1342), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2080), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2076), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1761), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [61299] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(659), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_LBRACE,
    ACTIONS(675), 1,
      sym__string_start,
    STATE(841), 1,
      sym_string,
    STATE(848), 1,
      sym_primary_expression,
    ACTIONS(667), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(663), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(671), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1921), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1047), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [61361] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(633), 1,
      anon_sym_LBRACK,
    ACTIONS(645), 1,
      anon_sym_LBRACE,
    ACTIONS(651), 1,
      sym__string_start,
    STATE(866), 1,
      sym_string,
    STATE(902), 1,
      sym_primary_expression,
    ACTIONS(643), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(639), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(647), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1974), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1212), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [61423] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOT,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    ACTIONS(1901), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1905), 1,
      anon_sym_LBRACK,
    STATE(1197), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1878), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1876), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [61477] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOT,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    ACTIONS(1901), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1905), 1,
      anon_sym_LBRACK,
    ACTIONS(1911), 1,
      anon_sym_PIPE,
    ACTIONS(1913), 1,
      anon_sym_AMP,
    ACTIONS(1915), 1,
      anon_sym_CARET,
    ACTIONS(1895), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1897), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1909), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1197), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1885), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1903), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1883), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [61545] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOT,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    ACTIONS(1901), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1905), 1,
      anon_sym_LBRACK,
    ACTIONS(1895), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1909), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1197), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1878), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1903), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1876), 20,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [61605] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOT,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    ACTIONS(1901), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1905), 1,
      anon_sym_LBRACK,
    STATE(1197), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1878), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1876), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [61659] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(659), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_LBRACE,
    ACTIONS(675), 1,
      sym__string_start,
    STATE(841), 1,
      sym_string,
    STATE(876), 1,
      sym_primary_expression,
    ACTIONS(667), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(663), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(671), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1921), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1047), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [61721] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(659), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_LBRACE,
    ACTIONS(675), 1,
      sym__string_start,
    STATE(841), 1,
      sym_string,
    STATE(872), 1,
      sym_primary_expression,
    ACTIONS(667), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(663), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(671), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1921), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1047), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [61783] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(659), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_LBRACE,
    ACTIONS(675), 1,
      sym__string_start,
    STATE(841), 1,
      sym_string,
    STATE(867), 1,
      sym_primary_expression,
    ACTIONS(667), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(663), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(671), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1921), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1047), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [61845] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOT,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    ACTIONS(1901), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1905), 1,
      anon_sym_LBRACK,
    STATE(1197), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1874), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1872), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [61899] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(659), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_LBRACE,
    ACTIONS(675), 1,
      sym__string_start,
    STATE(841), 1,
      sym_string,
    STATE(877), 1,
      sym_primary_expression,
    ACTIONS(667), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(663), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(671), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1921), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1047), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [61961] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      anon_sym_LBRACK,
    STATE(837), 1,
      sym_string,
    STATE(846), 1,
      sym_primary_expression,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(73), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2008), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1157), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [62023] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(659), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_LBRACE,
    ACTIONS(675), 1,
      sym__string_start,
    STATE(841), 1,
      sym_string,
    STATE(853), 1,
      sym_primary_expression,
    ACTIONS(667), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(663), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(671), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1921), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1047), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [62085] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(659), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_LBRACE,
    ACTIONS(675), 1,
      sym__string_start,
    STATE(841), 1,
      sym_string,
    STATE(858), 1,
      sym_primary_expression,
    ACTIONS(667), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(663), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(671), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1921), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1047), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [62147] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2098), 1,
      anon_sym_EQ,
    ACTIONS(1245), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1240), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [62195] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(277), 1,
      anon_sym_COLON_EQ,
    ACTIONS(635), 1,
      anon_sym_EQ,
    ACTIONS(268), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [62243] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(703), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(914), 1,
      sym_string,
    STATE(1058), 1,
      sym_primary_expression,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(719), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1970), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [62305] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(659), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_LBRACE,
    ACTIONS(675), 1,
      sym__string_start,
    STATE(841), 1,
      sym_string,
    STATE(865), 1,
      sym_primary_expression,
    ACTIONS(667), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(663), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(671), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1921), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1047), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [62367] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1978), 1,
      anon_sym_DOT,
    ACTIONS(1980), 1,
      anon_sym_LPAREN,
    ACTIONS(1988), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1878), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1876), 25,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [62421] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1978), 1,
      anon_sym_DOT,
    ACTIONS(1980), 1,
      anon_sym_LPAREN,
    ACTIONS(1988), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    ACTIONS(1982), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1996), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1878), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1990), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1876), 20,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [62481] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 1,
      anon_sym_LPAREN,
    ACTIONS(609), 1,
      anon_sym_LBRACK,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(625), 1,
      sym__string_start,
    STATE(844), 1,
      sym_string,
    STATE(894), 1,
      sym_primary_expression,
    ACTIONS(617), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(613), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(621), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1929), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1156), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [62543] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1978), 1,
      anon_sym_DOT,
    ACTIONS(1980), 1,
      anon_sym_LPAREN,
    ACTIONS(1988), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    ACTIONS(1998), 1,
      anon_sym_PIPE,
    ACTIONS(2000), 1,
      anon_sym_AMP,
    ACTIONS(2002), 1,
      anon_sym_CARET,
    ACTIONS(1982), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1984), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1996), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1885), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1990), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1883), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [62611] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1978), 1,
      anon_sym_DOT,
    ACTIONS(1980), 1,
      anon_sym_LPAREN,
    ACTIONS(1988), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1878), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1876), 25,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [62665] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(703), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(914), 1,
      sym_string,
    STATE(1060), 1,
      sym_primary_expression,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(719), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1970), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1290), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [62727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2058), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2056), 31,
      sym__newline,
      sym__string_start,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [62771] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2100), 1,
      sym__string_start,
    STATE(1018), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1753), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1751), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [62819] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(731), 1,
      anon_sym_LBRACK,
    ACTIONS(741), 1,
      anon_sym_LBRACE,
    ACTIONS(747), 1,
      sym__string_start,
    STATE(884), 1,
      sym_string,
    STATE(1044), 1,
      sym_primary_expression,
    ACTIONS(739), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(735), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(743), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2012), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1181), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [62881] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 1,
      anon_sym_LPAREN,
    ACTIONS(609), 1,
      anon_sym_LBRACK,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(625), 1,
      sym__string_start,
    STATE(844), 1,
      sym_string,
    STATE(893), 1,
      sym_primary_expression,
    ACTIONS(617), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(613), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(621), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1929), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1156), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [62943] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 1,
      anon_sym_LPAREN,
    ACTIONS(609), 1,
      anon_sym_LBRACK,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(625), 1,
      sym__string_start,
    STATE(844), 1,
      sym_string,
    STATE(892), 1,
      sym_primary_expression,
    ACTIONS(617), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(613), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(621), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1929), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1156), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [63005] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 1,
      anon_sym_LPAREN,
    ACTIONS(609), 1,
      anon_sym_LBRACK,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(625), 1,
      sym__string_start,
    STATE(844), 1,
      sym_string,
    STATE(891), 1,
      sym_primary_expression,
    ACTIONS(617), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(613), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(621), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1929), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1156), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [63067] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(2103), 1,
      sym_identifier,
    STATE(875), 1,
      sym_string,
    STATE(1364), 1,
      sym_primary_expression,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    STATE(1378), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2105), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1273), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [63133] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1978), 1,
      anon_sym_DOT,
    ACTIONS(1980), 1,
      anon_sym_LPAREN,
    ACTIONS(1988), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    ACTIONS(1982), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1878), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1990), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1876), 22,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [63191] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1978), 1,
      anon_sym_DOT,
    ACTIONS(1980), 1,
      anon_sym_LPAREN,
    ACTIONS(1988), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    ACTIONS(2000), 1,
      anon_sym_AMP,
    ACTIONS(2002), 1,
      anon_sym_CARET,
    ACTIONS(1982), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1984), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1996), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1878), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1990), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1876), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [63257] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 1,
      anon_sym_LPAREN,
    ACTIONS(609), 1,
      anon_sym_LBRACK,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(625), 1,
      sym__string_start,
    STATE(844), 1,
      sym_string,
    STATE(890), 1,
      sym_primary_expression,
    ACTIONS(617), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(613), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(621), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1929), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1156), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [63319] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1978), 1,
      anon_sym_DOT,
    ACTIONS(1980), 1,
      anon_sym_LPAREN,
    ACTIONS(1988), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    ACTIONS(2002), 1,
      anon_sym_CARET,
    ACTIONS(1982), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1984), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1996), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1878), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1990), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1876), 17,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [63383] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1978), 1,
      anon_sym_DOT,
    ACTIONS(1980), 1,
      anon_sym_LPAREN,
    ACTIONS(1988), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    ACTIONS(1982), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1984), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1996), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1878), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1990), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1876), 18,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [63445] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(731), 1,
      anon_sym_LBRACK,
    ACTIONS(741), 1,
      anon_sym_LBRACE,
    ACTIONS(747), 1,
      sym__string_start,
    STATE(884), 1,
      sym_string,
    STATE(1045), 1,
      sym_primary_expression,
    ACTIONS(739), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(735), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(743), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2012), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1181), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [63507] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 1,
      anon_sym_LPAREN,
    ACTIONS(609), 1,
      anon_sym_LBRACK,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(625), 1,
      sym__string_start,
    STATE(844), 1,
      sym_string,
    STATE(847), 1,
      sym_primary_expression,
    ACTIONS(617), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(613), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(621), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1929), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1156), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [63569] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(875), 1,
      sym_string,
    STATE(959), 1,
      sym_primary_expression,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(305), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1963), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [63631] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(875), 1,
      sym_string,
    STATE(960), 1,
      sym_primary_expression,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(305), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1963), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [63693] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(875), 1,
      sym_string,
    STATE(965), 1,
      sym_primary_expression,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(305), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1963), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [63755] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(875), 1,
      sym_string,
    STATE(967), 1,
      sym_primary_expression,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(305), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1963), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [63817] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(875), 1,
      sym_string,
    STATE(970), 1,
      sym_primary_expression,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(305), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1963), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [63879] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(875), 1,
      sym_string,
    STATE(899), 1,
      sym_primary_expression,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(305), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1963), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [63941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2058), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2056), 31,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [63985] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(875), 1,
      sym_string,
    STATE(972), 1,
      sym_primary_expression,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(305), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1963), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [64047] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(875), 1,
      sym_string,
    STATE(974), 1,
      sym_primary_expression,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(305), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1963), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [64109] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(1861), 1,
      sym_identifier,
    STATE(875), 1,
      sym_string,
    STATE(1373), 1,
      sym_primary_expression,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    STATE(1218), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(305), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1863), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1273), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [64175] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(277), 1,
      anon_sym_COLON_EQ,
    ACTIONS(268), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [64221] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1245), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1240), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [64267] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(309), 1,
      sym__string_start,
    STATE(875), 1,
      sym_string,
    STATE(971), 1,
      sym_primary_expression,
    ACTIONS(301), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(297), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(305), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1963), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1273), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [64329] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1978), 1,
      anon_sym_DOT,
    ACTIONS(1980), 1,
      anon_sym_LPAREN,
    ACTIONS(1988), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    ACTIONS(1998), 1,
      anon_sym_PIPE,
    ACTIONS(2000), 1,
      anon_sym_AMP,
    ACTIONS(2002), 1,
      anon_sym_CARET,
    ACTIONS(1982), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1984), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1996), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1870), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1990), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1868), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [64397] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1978), 1,
      anon_sym_DOT,
    ACTIONS(1980), 1,
      anon_sym_LPAREN,
    ACTIONS(1988), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    ACTIONS(1998), 1,
      anon_sym_PIPE,
    ACTIONS(2000), 1,
      anon_sym_AMP,
    ACTIONS(2002), 1,
      anon_sym_CARET,
    ACTIONS(1982), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1984), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1996), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1889), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1990), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1887), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [64465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2109), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2107), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [64508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1240), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [64551] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1245), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1240), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [64596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(268), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [64639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2113), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2111), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [64682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2113), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2111), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [64725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2117), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2115), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [64768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2121), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2119), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [64811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2125), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2123), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [64854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2129), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2127), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [64897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2133), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2131), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [64940] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(277), 1,
      anon_sym_COLON_EQ,
    ACTIONS(268), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [64985] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2022), 1,
      anon_sym_DOT,
    ACTIONS(2024), 1,
      anon_sym_LPAREN,
    ACTIONS(2032), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2036), 1,
      anon_sym_LBRACK,
    ACTIONS(2042), 1,
      anon_sym_PIPE,
    ACTIONS(2044), 1,
      anon_sym_AMP,
    ACTIONS(2046), 1,
      anon_sym_CARET,
    ACTIONS(2026), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2028), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2040), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1337), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1870), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2034), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1868), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2137), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2135), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [65095] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2022), 1,
      anon_sym_DOT,
    ACTIONS(2024), 1,
      anon_sym_LPAREN,
    ACTIONS(2032), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2036), 1,
      anon_sym_LBRACK,
    ACTIONS(2042), 1,
      anon_sym_PIPE,
    ACTIONS(2044), 1,
      anon_sym_AMP,
    ACTIONS(2046), 1,
      anon_sym_CARET,
    ACTIONS(2026), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2028), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2040), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1337), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1889), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2034), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1887), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2054), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2052), 30,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65205] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(277), 1,
      anon_sym_COLON_EQ,
    ACTIONS(268), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65250] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1245), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1240), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2054), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2052), 30,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1324), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1319), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2141), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2139), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [65424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2137), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2135), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1348), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1283), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1281), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(268), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2058), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2056), 30,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65639] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1242), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1245), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1240), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2145), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2143), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2149), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2147), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [65772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2153), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2151), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2117), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2115), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2129), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2127), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65901] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2022), 1,
      anon_sym_DOT,
    ACTIONS(2024), 1,
      anon_sym_LPAREN,
    ACTIONS(2032), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2036), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2028), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2040), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1337), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1878), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2034), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1876), 17,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2133), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2131), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1324), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1319), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [66048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1348), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [66091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2157), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2155), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66134] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2022), 1,
      anon_sym_DOT,
    ACTIONS(2024), 1,
      anon_sym_LPAREN,
    ACTIONS(2032), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2036), 1,
      anon_sym_LBRACK,
    ACTIONS(2046), 1,
      anon_sym_CARET,
    ACTIONS(2026), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2028), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2040), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1337), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1878), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2034), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1876), 16,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66197] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2022), 1,
      anon_sym_DOT,
    ACTIONS(2024), 1,
      anon_sym_LPAREN,
    ACTIONS(2032), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2036), 1,
      anon_sym_LBRACK,
    ACTIONS(2044), 1,
      anon_sym_AMP,
    ACTIONS(2046), 1,
      anon_sym_CARET,
    ACTIONS(2026), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2028), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2040), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1337), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1878), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2034), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1876), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66262] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2022), 1,
      anon_sym_DOT,
    ACTIONS(2024), 1,
      anon_sym_LPAREN,
    ACTIONS(2032), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2036), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1337), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1878), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2034), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1876), 21,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2161), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2159), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2165), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2163), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1277), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1275), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [66448] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2022), 1,
      anon_sym_DOT,
    ACTIONS(2024), 1,
      anon_sym_LPAREN,
    ACTIONS(2032), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2036), 1,
      anon_sym_LBRACK,
    STATE(1337), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1878), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1876), 24,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2167), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [66544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2167), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66587] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2022), 1,
      anon_sym_DOT,
    ACTIONS(2024), 1,
      anon_sym_LPAREN,
    ACTIONS(2032), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2036), 1,
      anon_sym_LBRACK,
    ACTIONS(2042), 1,
      anon_sym_PIPE,
    ACTIONS(2044), 1,
      anon_sym_AMP,
    ACTIONS(2046), 1,
      anon_sym_CARET,
    ACTIONS(2026), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2028), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2040), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1337), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1885), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2034), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1883), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66654] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2022), 1,
      anon_sym_DOT,
    ACTIONS(2024), 1,
      anon_sym_LPAREN,
    ACTIONS(2032), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2036), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2040), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1337), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1878), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2034), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1876), 19,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66713] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2022), 1,
      anon_sym_DOT,
    ACTIONS(2024), 1,
      anon_sym_LPAREN,
    ACTIONS(2032), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2036), 1,
      anon_sym_LBRACK,
    STATE(1337), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1878), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1876), 24,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2149), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2147), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1277), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1275), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2173), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2171), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66895] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(277), 1,
      anon_sym_COLON_EQ,
    ACTIONS(270), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(268), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2141), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2139), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [66985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2177), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2175), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [67028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2058), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2056), 30,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [67071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2137), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2135), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [67114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1348), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [67157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2113), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2111), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [67200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2117), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2115), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [67243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2179), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [67286] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2068), 1,
      anon_sym_DOT,
    ACTIONS(2070), 1,
      anon_sym_LPAREN,
    ACTIONS(2078), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2082), 1,
      anon_sym_LBRACK,
    STATE(1342), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1874), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1872), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [67339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2129), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2127), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [67382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2133), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2131), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [67425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1283), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1281), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [67468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2149), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2147), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [67511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(268), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [67554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1277), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1275), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [67597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1324), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1319), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [67640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2167), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [67683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2054), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2052), 30,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [67726] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2068), 1,
      anon_sym_DOT,
    ACTIONS(2070), 1,
      anon_sym_LPAREN,
    ACTIONS(2078), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2082), 1,
      anon_sym_LBRACK,
    ACTIONS(2088), 1,
      anon_sym_PIPE,
    ACTIONS(2090), 1,
      anon_sym_AMP,
    ACTIONS(2092), 1,
      anon_sym_CARET,
    ACTIONS(1889), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2072), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2074), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2086), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1342), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2080), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1887), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [67793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1267), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1265), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [67836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1267), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1265), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [67879] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2068), 1,
      anon_sym_DOT,
    ACTIONS(2070), 1,
      anon_sym_LPAREN,
    ACTIONS(2078), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2082), 1,
      anon_sym_LBRACK,
    ACTIONS(2088), 1,
      anon_sym_PIPE,
    ACTIONS(2090), 1,
      anon_sym_AMP,
    ACTIONS(2092), 1,
      anon_sym_CARET,
    ACTIONS(1870), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2072), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2074), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2086), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1342), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2080), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1868), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [67946] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1242), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1245), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1240), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [67993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2058), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2056), 30,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2177), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2175), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [68079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2121), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2119), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [68122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2185), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2183), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [68165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2109), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2107), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [68208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2179), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [68251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2165), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2163), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [68294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2157), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2155), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [68337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1283), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1281), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [68380] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(277), 1,
      anon_sym_COLON_EQ,
    ACTIONS(270), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(268), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2185), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2183), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2125), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2123), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [68513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2145), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2143), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [68556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2173), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2171), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [68599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1263), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1261), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [68642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2177), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2175), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [68685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1253), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [68728] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1253), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1253), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1263), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1261), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1253), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [68900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2161), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2159), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [68943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2121), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2119), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [68986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2153), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2151), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [69029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2185), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2183), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [69072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2109), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2107), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [69115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1267), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1265), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [69158] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2179), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [69201] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2022), 1,
      anon_sym_DOT,
    ACTIONS(2024), 1,
      anon_sym_LPAREN,
    ACTIONS(2032), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2036), 1,
      anon_sym_LBRACK,
    STATE(1337), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1874), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1872), 24,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2165), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2163), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [69297] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1245), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1240), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69342] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2157), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2155), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [69385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1267), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1265), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [69428] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(277), 1,
      anon_sym_COLON_EQ,
    ACTIONS(268), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1240), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [69516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1240), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69559] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2068), 1,
      anon_sym_DOT,
    ACTIONS(2070), 1,
      anon_sym_LPAREN,
    ACTIONS(2078), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2082), 1,
      anon_sym_LBRACK,
    STATE(1342), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1878), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1876), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69612] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2068), 1,
      anon_sym_DOT,
    ACTIONS(2070), 1,
      anon_sym_LPAREN,
    ACTIONS(2078), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2082), 1,
      anon_sym_LBRACK,
    ACTIONS(1878), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2072), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2086), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1342), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2080), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1876), 20,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69671] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2068), 1,
      anon_sym_DOT,
    ACTIONS(2070), 1,
      anon_sym_LPAREN,
    ACTIONS(2078), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2082), 1,
      anon_sym_LBRACK,
    ACTIONS(2088), 1,
      anon_sym_PIPE,
    ACTIONS(2090), 1,
      anon_sym_AMP,
    ACTIONS(2092), 1,
      anon_sym_CARET,
    ACTIONS(1885), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2072), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2074), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2086), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1342), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2080), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1883), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1267), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1265), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [69781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1267), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1265), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [69824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2153), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2151), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [69867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2161), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2159), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [69910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1253), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [69953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1253), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [69996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1263), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1261), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [70039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2173), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2171), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [70082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2145), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2143), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [70125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2125), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2123), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [70168] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2068), 1,
      anon_sym_DOT,
    ACTIONS(2070), 1,
      anon_sym_LPAREN,
    ACTIONS(2078), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2082), 1,
      anon_sym_LBRACK,
    STATE(1342), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1878), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1876), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70221] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2068), 1,
      anon_sym_DOT,
    ACTIONS(2070), 1,
      anon_sym_LPAREN,
    ACTIONS(2078), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2082), 1,
      anon_sym_LBRACK,
    ACTIONS(1878), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2072), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1342), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2080), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1876), 22,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2141), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2139), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70321] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2068), 1,
      anon_sym_DOT,
    ACTIONS(2070), 1,
      anon_sym_LPAREN,
    ACTIONS(2078), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2082), 1,
      anon_sym_LBRACK,
    ACTIONS(2090), 1,
      anon_sym_AMP,
    ACTIONS(2092), 1,
      anon_sym_CARET,
    ACTIONS(1878), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2072), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2074), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2086), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1342), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2080), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1876), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70386] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2068), 1,
      anon_sym_DOT,
    ACTIONS(2070), 1,
      anon_sym_LPAREN,
    ACTIONS(2078), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2082), 1,
      anon_sym_LBRACK,
    ACTIONS(2092), 1,
      anon_sym_CARET,
    ACTIONS(1878), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2072), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2074), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2086), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1342), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2080), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1876), 17,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70449] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2068), 1,
      anon_sym_DOT,
    ACTIONS(2070), 1,
      anon_sym_LPAREN,
    ACTIONS(2078), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2082), 1,
      anon_sym_LBRACK,
    ACTIONS(1878), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2072), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2074), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2086), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1342), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2080), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1876), 18,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2121), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2119), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2129), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2127), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70594] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1245), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1240), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2125), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2123), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1240), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70722] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1350), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1353), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1348), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70766] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1321), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1324), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1319), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(268), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2137), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2135), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2153), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2151), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2161), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2159), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2145), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2143), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2149), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2147), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2173), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2171), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2173), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2171), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2145), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2143), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2125), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2123), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2157), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2155), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2058), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2056), 30,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2165), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2163), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2141), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2139), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2179), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2109), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2107), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2185), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2183), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2165), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2163), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2058), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2056), 29,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2179), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2149), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2147), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2141), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2139), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2109), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2107), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2177), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2175), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2185), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2183), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2137), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2135), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2113), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2111), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71944] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(266), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(268), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(2187), 18,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [71988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1240), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2167), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2161), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2159), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2117), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2115), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1324), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1319), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1348), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72240] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1240), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1245), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(2189), 18,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [72284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2129), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2127), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72326] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2133), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2131), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2153), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2151), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2121), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2119), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72452] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1245), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1240), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72496] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(277), 1,
      anon_sym_COLON_EQ,
    ACTIONS(268), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2133), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2131), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1324), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1319), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72624] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(268), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1277), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1275), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72708] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2167), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72750] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1245), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1240), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2117), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2115), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2177), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2175), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2113), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2111), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72920] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1245), 5,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1240), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72964] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(277), 1,
      anon_sym_COLON_EQ,
    ACTIONS(268), 5,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2054), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2052), 30,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2117), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2115), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73092] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1321), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1324), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1319), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2054), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2052), 29,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73178] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2098), 1,
      anon_sym_EQ,
    ACTIONS(1245), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1240), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2141), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2139), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73266] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2177), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2175), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73308] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(277), 1,
      anon_sym_COLON_EQ,
    ACTIONS(635), 1,
      anon_sym_EQ,
    ACTIONS(268), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2137), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2135), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2121), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2119), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2167), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2185), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2183), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2109), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2107), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2179), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2133), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2131), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73648] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1350), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1353), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1348), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2165), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2163), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2157), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2155), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1283), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1281), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2149), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2147), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2129), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2127), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1348), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1348), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2125), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2123), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1324), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1319), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2145), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2143), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2173), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2171), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1263), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1261), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1253), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1253), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2161), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2159), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2153), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2151), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1267), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1265), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1267), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1265), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(268), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2113), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2111), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2157), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2155), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1240), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1277), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1275), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2153), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2151), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2125), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2123), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2167), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2145), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2143), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74821] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1319), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1324), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1326), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [74864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1277), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1275), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2173), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2171), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74946] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1240), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1245), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1251), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [74989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1263), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1261), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1253), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75071] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1348), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1353), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1355), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [75114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1283), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1281), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2133), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2131), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2161), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2159), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2153), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2151), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1240), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(268), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2129), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2127), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1267), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1265), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1267), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1265), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2157), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2155), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2165), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2163), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2149), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2147), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2179), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2109), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2107), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2185), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2183), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1240), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2117), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2115), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1348), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1324), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1319), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75893] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2113), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2111), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75934] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2191), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1245), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1240), 26,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2121), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2119), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1324), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1319), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1348), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76102] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(266), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(268), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(281), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [76145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1267), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1265), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1267), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1265), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76227] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(277), 1,
      anon_sym_COLON_EQ,
    ACTIONS(749), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(268), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 26,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2177), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2175), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(268), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2149), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2147), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2137), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2135), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2161), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2159), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1253), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1253), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1253), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76600] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2191), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1245), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1240), 26,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76645] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(277), 1,
      anon_sym_COLON_EQ,
    ACTIONS(749), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(268), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 26,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1263), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1261), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2173), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2171), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2145), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2143), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2167), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2125), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2123), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2177), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2175), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2133), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2131), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2129), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2127), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2117), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2115), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2113), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2111), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1283), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1281), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2157), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2155), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2121), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2119), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2141), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2139), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2165), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2163), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2179), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2109), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2107), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2137), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2135), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2141), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2139), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2185), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2183), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77510] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2191), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1245), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1240), 26,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77552] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2191), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1245), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1240), 26,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77594] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_as,
    ACTIONS(2201), 1,
      anon_sym_not,
    ACTIONS(2207), 1,
      anon_sym_is,
    STATE(1346), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2204), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2198), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2194), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
  [77632] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1781), 1,
      anon_sym_not,
    ACTIONS(1793), 1,
      anon_sym_is,
    ACTIONS(2212), 1,
      anon_sym_EQ,
    STATE(1350), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1791), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1771), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2210), 8,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
  [77670] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_not,
    ACTIONS(1859), 1,
      anon_sym_is,
    ACTIONS(2212), 1,
      anon_sym_as,
    STATE(1346), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1857), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1839), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2210), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
  [77708] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_EQ,
    ACTIONS(2217), 1,
      anon_sym_not,
    ACTIONS(2223), 1,
      anon_sym_is,
    STATE(1349), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2220), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2214), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2194), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
      sym_type_conversion,
  [77746] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_EQ,
    ACTIONS(2229), 1,
      anon_sym_not,
    ACTIONS(2235), 1,
      anon_sym_is,
    STATE(1350), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2232), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2194), 8,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
  [77784] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1811), 1,
      anon_sym_not,
    ACTIONS(1823), 1,
      anon_sym_is,
    ACTIONS(2212), 1,
      anon_sym_EQ,
    STATE(1349), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1821), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1803), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2210), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
      sym_type_conversion,
  [77822] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_EQ,
    ACTIONS(2241), 1,
      anon_sym_not,
    ACTIONS(2247), 1,
      anon_sym_is,
    STATE(1352), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2244), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2194), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_and,
      anon_sym_or,
  [77859] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1994), 1,
      anon_sym_not,
    ACTIONS(2006), 1,
      anon_sym_is,
    ACTIONS(2212), 1,
      anon_sym_as,
    STATE(1358), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2004), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1986), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2210), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [77896] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2189), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1240), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [77925] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1907), 1,
      anon_sym_not,
    ACTIONS(1919), 1,
      anon_sym_is,
    ACTIONS(2212), 1,
      anon_sym_as,
    STATE(1356), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1917), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1899), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2210), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [77962] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_as,
    ACTIONS(2253), 1,
      anon_sym_not,
    ACTIONS(2259), 1,
      anon_sym_is,
    STATE(1356), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2256), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2250), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2194), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [77999] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1949), 1,
      anon_sym_not,
    ACTIONS(1961), 1,
      anon_sym_is,
    ACTIONS(2212), 1,
      anon_sym_EQ,
    STATE(1352), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1959), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1941), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2210), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_and,
      anon_sym_or,
  [78036] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_as,
    ACTIONS(2265), 1,
      anon_sym_not,
    ACTIONS(2271), 1,
      anon_sym_is,
    STATE(1358), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2268), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2262), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2194), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [78073] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1240), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [78102] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(268), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(266), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [78131] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(268), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2187), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(266), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [78160] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(268), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(281), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(266), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [78188] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(268), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2187), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(266), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [78216] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1935), 1,
      anon_sym_LPAREN,
    ACTIONS(1943), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1953), 1,
      anon_sym_PIPE,
    ACTIONS(1955), 1,
      anon_sym_AMP,
    ACTIONS(1957), 1,
      anon_sym_CARET,
    ACTIONS(1978), 1,
      anon_sym_DOT,
    ACTIONS(1992), 1,
      anon_sym_LBRACK,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1939), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1241), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1945), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [78262] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2038), 1,
      anon_sym_not,
    ACTIONS(2050), 1,
      anon_sym_is,
    ACTIONS(2212), 1,
      anon_sym_EQ,
    STATE(1366), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2048), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2030), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2210), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
  [78298] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_EQ,
    ACTIONS(2281), 1,
      anon_sym_not,
    ACTIONS(2287), 1,
      anon_sym_is,
    STATE(1366), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2284), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2194), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(2278), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78334] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(268), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(266), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [78362] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1251), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1240), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [78390] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOT,
    ACTIONS(1905), 1,
      anon_sym_LBRACK,
    ACTIONS(1935), 1,
      anon_sym_LPAREN,
    ACTIONS(1943), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1953), 1,
      anon_sym_PIPE,
    ACTIONS(1955), 1,
      anon_sym_AMP,
    ACTIONS(1957), 1,
      anon_sym_CARET,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1939), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1241), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1945), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [78436] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2084), 1,
      anon_sym_not,
    ACTIONS(2096), 1,
      anon_sym_is,
    STATE(1372), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2094), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2076), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2210), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [78470] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1324), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1326), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1319), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [78498] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2293), 1,
      anon_sym_not,
    ACTIONS(2299), 1,
      anon_sym_is,
    STATE(1372), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2296), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2290), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2194), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [78532] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_DOT,
    ACTIONS(1935), 1,
      anon_sym_LPAREN,
    ACTIONS(1943), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1947), 1,
      anon_sym_LBRACK,
    ACTIONS(1953), 1,
      anon_sym_PIPE,
    ACTIONS(1955), 1,
      anon_sym_AMP,
    ACTIONS(1957), 1,
      anon_sym_CARET,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1939), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1241), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1945), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [78578] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1251), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1240), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [78606] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1355), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1348), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [78634] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2302), 1,
      anon_sym_COMMA,
    STATE(1376), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(2305), 16,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [78662] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1324), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1326), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1319), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [78690] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2189), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1240), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [78718] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1355), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1348), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [78746] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1240), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [78774] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(268), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(281), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(266), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [78802] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2307), 1,
      anon_sym_COMMA,
    STATE(1376), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(858), 16,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [78830] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2309), 1,
      sym_identifier,
    ACTIONS(2311), 1,
      anon_sym_LPAREN,
    ACTIONS(2313), 1,
      anon_sym_STAR,
    ACTIONS(2315), 1,
      anon_sym_COLON,
    ACTIONS(2317), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2319), 1,
      anon_sym_SLASH,
    STATE(1951), 1,
      sym_parameter,
    STATE(2106), 1,
      sym_lambda_parameters,
    STATE(2156), 1,
      sym__parameters,
    STATE(1997), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2018), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [78873] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2309), 1,
      sym_identifier,
    ACTIONS(2311), 1,
      anon_sym_LPAREN,
    ACTIONS(2313), 1,
      anon_sym_STAR,
    ACTIONS(2317), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2319), 1,
      anon_sym_SLASH,
    ACTIONS(2321), 1,
      anon_sym_COLON,
    STATE(1951), 1,
      sym_parameter,
    STATE(2156), 1,
      sym__parameters,
    STATE(2167), 1,
      sym_lambda_parameters,
    STATE(1997), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2018), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [78916] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2305), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [78939] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2309), 1,
      sym_identifier,
    ACTIONS(2311), 1,
      anon_sym_LPAREN,
    ACTIONS(2313), 1,
      anon_sym_STAR,
    ACTIONS(2317), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2319), 1,
      anon_sym_SLASH,
    ACTIONS(2323), 1,
      anon_sym_COLON,
    STATE(1951), 1,
      sym_parameter,
    STATE(2156), 1,
      sym__parameters,
    STATE(2208), 1,
      sym_lambda_parameters,
    STATE(1997), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2018), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [78982] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2309), 1,
      sym_identifier,
    ACTIONS(2311), 1,
      anon_sym_LPAREN,
    ACTIONS(2313), 1,
      anon_sym_STAR,
    ACTIONS(2317), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2319), 1,
      anon_sym_SLASH,
    ACTIONS(2325), 1,
      anon_sym_COLON,
    STATE(1951), 1,
      sym_parameter,
    STATE(2043), 1,
      sym_lambda_parameters,
    STATE(2156), 1,
      sym__parameters,
    STATE(1997), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2018), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [79025] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [79048] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2309), 1,
      sym_identifier,
    ACTIONS(2311), 1,
      anon_sym_LPAREN,
    ACTIONS(2313), 1,
      anon_sym_STAR,
    ACTIONS(2317), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2319), 1,
      anon_sym_SLASH,
    ACTIONS(2327), 1,
      anon_sym_COLON,
    STATE(1951), 1,
      sym_parameter,
    STATE(2154), 1,
      sym_lambda_parameters,
    STATE(2156), 1,
      sym__parameters,
    STATE(1997), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2018), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [79091] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2329), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [79114] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2309), 1,
      sym_identifier,
    ACTIONS(2311), 1,
      anon_sym_LPAREN,
    ACTIONS(2313), 1,
      anon_sym_STAR,
    ACTIONS(2317), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2319), 1,
      anon_sym_SLASH,
    ACTIONS(2331), 1,
      anon_sym_COLON,
    STATE(1951), 1,
      sym_parameter,
    STATE(2084), 1,
      sym_lambda_parameters,
    STATE(2156), 1,
      sym__parameters,
    STATE(1997), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2018), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [79157] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_COMMA,
    ACTIONS(2335), 1,
      anon_sym_COLON,
    ACTIONS(2337), 1,
      anon_sym_EQ,
    STATE(1382), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(2339), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [79188] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2309), 1,
      sym_identifier,
    ACTIONS(2311), 1,
      anon_sym_LPAREN,
    ACTIONS(2313), 1,
      anon_sym_STAR,
    ACTIONS(2317), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2319), 1,
      anon_sym_SLASH,
    ACTIONS(2341), 1,
      anon_sym_COLON,
    STATE(1951), 1,
      sym_parameter,
    STATE(2041), 1,
      sym_lambda_parameters,
    STATE(2156), 1,
      sym__parameters,
    STATE(1997), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2018), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [79231] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2309), 1,
      sym_identifier,
    ACTIONS(2311), 1,
      anon_sym_LPAREN,
    ACTIONS(2313), 1,
      anon_sym_STAR,
    ACTIONS(2317), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2319), 1,
      anon_sym_SLASH,
    ACTIONS(2343), 1,
      anon_sym_COLON,
    STATE(1951), 1,
      sym_parameter,
    STATE(2156), 1,
      sym__parameters,
    STATE(2212), 1,
      sym_lambda_parameters,
    STATE(1997), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2018), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [79274] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2345), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [79297] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2309), 1,
      sym_identifier,
    ACTIONS(2311), 1,
      anon_sym_LPAREN,
    ACTIONS(2313), 1,
      anon_sym_STAR,
    ACTIONS(2317), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2319), 1,
      anon_sym_SLASH,
    ACTIONS(2347), 1,
      anon_sym_COLON,
    STATE(1951), 1,
      sym_parameter,
    STATE(2156), 1,
      sym__parameters,
    STATE(2173), 1,
      sym_lambda_parameters,
    STATE(1997), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2018), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [79340] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2309), 1,
      sym_identifier,
    ACTIONS(2311), 1,
      anon_sym_LPAREN,
    ACTIONS(2313), 1,
      anon_sym_STAR,
    ACTIONS(2317), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2319), 1,
      anon_sym_SLASH,
    ACTIONS(2349), 1,
      anon_sym_COLON,
    STATE(1951), 1,
      sym_parameter,
    STATE(2081), 1,
      sym_lambda_parameters,
    STATE(2156), 1,
      sym__parameters,
    STATE(1997), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2018), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [79383] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2309), 1,
      sym_identifier,
    ACTIONS(2311), 1,
      anon_sym_LPAREN,
    ACTIONS(2313), 1,
      anon_sym_STAR,
    ACTIONS(2317), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2319), 1,
      anon_sym_SLASH,
    ACTIONS(2351), 1,
      anon_sym_COLON,
    STATE(1951), 1,
      sym_parameter,
    STATE(2156), 1,
      sym__parameters,
    STATE(2179), 1,
      sym_lambda_parameters,
    STATE(1997), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2018), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [79426] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2353), 1,
      sym_identifier,
    ACTIONS(2355), 1,
      anon_sym_LPAREN,
    ACTIONS(2357), 1,
      anon_sym_RPAREN,
    ACTIONS(2359), 1,
      anon_sym_STAR,
    ACTIONS(2361), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2363), 1,
      anon_sym_SLASH,
    STATE(1912), 1,
      sym_parameter,
    STATE(2214), 1,
      sym__parameters,
    STATE(1902), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1972), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [79466] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2353), 1,
      sym_identifier,
    ACTIONS(2355), 1,
      anon_sym_LPAREN,
    ACTIONS(2359), 1,
      anon_sym_STAR,
    ACTIONS(2361), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2363), 1,
      anon_sym_SLASH,
    ACTIONS(2365), 1,
      anon_sym_RPAREN,
    STATE(2031), 1,
      sym_parameter,
    STATE(1902), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1972), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [79503] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2309), 1,
      sym_identifier,
    ACTIONS(2311), 1,
      anon_sym_LPAREN,
    ACTIONS(2313), 1,
      anon_sym_STAR,
    ACTIONS(2317), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2319), 1,
      anon_sym_SLASH,
    ACTIONS(2365), 1,
      anon_sym_COLON,
    STATE(1979), 1,
      sym_parameter,
    STATE(1997), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2018), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [79540] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_COLON,
    ACTIONS(2337), 1,
      anon_sym_EQ,
    ACTIONS(2339), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [79565] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2309), 1,
      sym_identifier,
    ACTIONS(2311), 1,
      anon_sym_LPAREN,
    ACTIONS(2313), 1,
      anon_sym_STAR,
    ACTIONS(2317), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2319), 1,
      anon_sym_SLASH,
    ACTIONS(2367), 1,
      anon_sym_COLON,
    STATE(1979), 1,
      sym_parameter,
    STATE(1997), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2018), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [79602] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2353), 1,
      sym_identifier,
    ACTIONS(2355), 1,
      anon_sym_LPAREN,
    ACTIONS(2359), 1,
      anon_sym_STAR,
    ACTIONS(2361), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2363), 1,
      anon_sym_SLASH,
    ACTIONS(2367), 1,
      anon_sym_RPAREN,
    STATE(2031), 1,
      sym_parameter,
    STATE(1902), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1972), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [79639] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2353), 1,
      sym_identifier,
    ACTIONS(2355), 1,
      anon_sym_LPAREN,
    ACTIONS(2359), 1,
      anon_sym_STAR,
    ACTIONS(2361), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2363), 1,
      anon_sym_SLASH,
    STATE(2031), 1,
      sym_parameter,
    STATE(1902), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1972), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [79673] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2309), 1,
      sym_identifier,
    ACTIONS(2311), 1,
      anon_sym_LPAREN,
    ACTIONS(2313), 1,
      anon_sym_STAR,
    ACTIONS(2317), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2319), 1,
      anon_sym_SLASH,
    STATE(1979), 1,
      sym_parameter,
    STATE(1997), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2018), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [79707] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2369), 1,
      anon_sym_COMMA,
    ACTIONS(2371), 1,
      anon_sym_as,
    ACTIONS(2373), 1,
      anon_sym_if,
    ACTIONS(2375), 1,
      anon_sym_COLON,
    ACTIONS(2377), 1,
      anon_sym_async,
    ACTIONS(2379), 1,
      anon_sym_for,
    ACTIONS(2381), 1,
      anon_sym_and,
    ACTIONS(2383), 1,
      anon_sym_or,
    ACTIONS(2385), 1,
      anon_sym_RBRACE,
    STATE(1610), 1,
      sym_for_in_clause,
    STATE(1822), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2165), 1,
      sym__comprehension_clauses,
  [79747] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2369), 1,
      anon_sym_COMMA,
    ACTIONS(2371), 1,
      anon_sym_as,
    ACTIONS(2373), 1,
      anon_sym_if,
    ACTIONS(2375), 1,
      anon_sym_COLON,
    ACTIONS(2377), 1,
      anon_sym_async,
    ACTIONS(2379), 1,
      anon_sym_for,
    ACTIONS(2381), 1,
      anon_sym_and,
    ACTIONS(2383), 1,
      anon_sym_or,
    ACTIONS(2385), 1,
      anon_sym_RBRACE,
    STATE(1610), 1,
      sym_for_in_clause,
    STATE(1822), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2091), 1,
      sym__comprehension_clauses,
  [79787] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2369), 1,
      anon_sym_COMMA,
    ACTIONS(2371), 1,
      anon_sym_as,
    ACTIONS(2373), 1,
      anon_sym_if,
    ACTIONS(2375), 1,
      anon_sym_COLON,
    ACTIONS(2377), 1,
      anon_sym_async,
    ACTIONS(2379), 1,
      anon_sym_for,
    ACTIONS(2381), 1,
      anon_sym_and,
    ACTIONS(2383), 1,
      anon_sym_or,
    ACTIONS(2385), 1,
      anon_sym_RBRACE,
    STATE(1610), 1,
      sym_for_in_clause,
    STATE(1822), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2137), 1,
      sym__comprehension_clauses,
  [79827] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2369), 1,
      anon_sym_COMMA,
    ACTIONS(2371), 1,
      anon_sym_as,
    ACTIONS(2373), 1,
      anon_sym_if,
    ACTIONS(2375), 1,
      anon_sym_COLON,
    ACTIONS(2377), 1,
      anon_sym_async,
    ACTIONS(2379), 1,
      anon_sym_for,
    ACTIONS(2381), 1,
      anon_sym_and,
    ACTIONS(2383), 1,
      anon_sym_or,
    ACTIONS(2385), 1,
      anon_sym_RBRACE,
    STATE(1610), 1,
      sym_for_in_clause,
    STATE(1822), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2070), 1,
      sym__comprehension_clauses,
  [79867] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2369), 1,
      anon_sym_COMMA,
    ACTIONS(2371), 1,
      anon_sym_as,
    ACTIONS(2373), 1,
      anon_sym_if,
    ACTIONS(2375), 1,
      anon_sym_COLON,
    ACTIONS(2377), 1,
      anon_sym_async,
    ACTIONS(2379), 1,
      anon_sym_for,
    ACTIONS(2381), 1,
      anon_sym_and,
    ACTIONS(2383), 1,
      anon_sym_or,
    ACTIONS(2385), 1,
      anon_sym_RBRACE,
    STATE(1610), 1,
      sym_for_in_clause,
    STATE(1822), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2135), 1,
      sym__comprehension_clauses,
  [79907] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2369), 1,
      anon_sym_COMMA,
    ACTIONS(2371), 1,
      anon_sym_as,
    ACTIONS(2373), 1,
      anon_sym_if,
    ACTIONS(2375), 1,
      anon_sym_COLON,
    ACTIONS(2377), 1,
      anon_sym_async,
    ACTIONS(2379), 1,
      anon_sym_for,
    ACTIONS(2381), 1,
      anon_sym_and,
    ACTIONS(2383), 1,
      anon_sym_or,
    ACTIONS(2385), 1,
      anon_sym_RBRACE,
    STATE(1610), 1,
      sym_for_in_clause,
    STATE(1822), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2194), 1,
      sym__comprehension_clauses,
  [79947] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2369), 1,
      anon_sym_COMMA,
    ACTIONS(2371), 1,
      anon_sym_as,
    ACTIONS(2373), 1,
      anon_sym_if,
    ACTIONS(2375), 1,
      anon_sym_COLON,
    ACTIONS(2377), 1,
      anon_sym_async,
    ACTIONS(2379), 1,
      anon_sym_for,
    ACTIONS(2381), 1,
      anon_sym_and,
    ACTIONS(2383), 1,
      anon_sym_or,
    ACTIONS(2385), 1,
      anon_sym_RBRACE,
    STATE(1610), 1,
      sym_for_in_clause,
    STATE(1822), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2064), 1,
      sym__comprehension_clauses,
  [79987] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2369), 1,
      anon_sym_COMMA,
    ACTIONS(2371), 1,
      anon_sym_as,
    ACTIONS(2373), 1,
      anon_sym_if,
    ACTIONS(2375), 1,
      anon_sym_COLON,
    ACTIONS(2377), 1,
      anon_sym_async,
    ACTIONS(2379), 1,
      anon_sym_for,
    ACTIONS(2381), 1,
      anon_sym_and,
    ACTIONS(2383), 1,
      anon_sym_or,
    ACTIONS(2385), 1,
      anon_sym_RBRACE,
    STATE(1610), 1,
      sym_for_in_clause,
    STATE(1822), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2054), 1,
      sym__comprehension_clauses,
  [80027] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2387), 1,
      anon_sym_RPAREN,
    ACTIONS(2389), 1,
      anon_sym_COMMA,
    ACTIONS(2391), 1,
      anon_sym_as,
    ACTIONS(2393), 1,
      anon_sym_if,
    ACTIONS(2395), 1,
      anon_sym_async,
    ACTIONS(2397), 1,
      anon_sym_for,
    ACTIONS(2399), 1,
      anon_sym_and,
    ACTIONS(2401), 1,
      anon_sym_or,
    STATE(1566), 1,
      sym_for_in_clause,
    STATE(1824), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2185), 1,
      sym__comprehension_clauses,
  [80064] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2389), 1,
      anon_sym_COMMA,
    ACTIONS(2391), 1,
      anon_sym_as,
    ACTIONS(2393), 1,
      anon_sym_if,
    ACTIONS(2395), 1,
      anon_sym_async,
    ACTIONS(2397), 1,
      anon_sym_for,
    ACTIONS(2399), 1,
      anon_sym_and,
    ACTIONS(2401), 1,
      anon_sym_or,
    ACTIONS(2403), 1,
      anon_sym_RPAREN,
    STATE(1566), 1,
      sym_for_in_clause,
    STATE(1824), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2172), 1,
      sym__comprehension_clauses,
  [80101] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2389), 1,
      anon_sym_COMMA,
    ACTIONS(2391), 1,
      anon_sym_as,
    ACTIONS(2393), 1,
      anon_sym_if,
    ACTIONS(2395), 1,
      anon_sym_async,
    ACTIONS(2397), 1,
      anon_sym_for,
    ACTIONS(2399), 1,
      anon_sym_and,
    ACTIONS(2401), 1,
      anon_sym_or,
    ACTIONS(2405), 1,
      anon_sym_RPAREN,
    STATE(1566), 1,
      sym_for_in_clause,
    STATE(1824), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2088), 1,
      sym__comprehension_clauses,
  [80138] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2389), 1,
      anon_sym_COMMA,
    ACTIONS(2391), 1,
      anon_sym_as,
    ACTIONS(2393), 1,
      anon_sym_if,
    ACTIONS(2395), 1,
      anon_sym_async,
    ACTIONS(2397), 1,
      anon_sym_for,
    ACTIONS(2399), 1,
      anon_sym_and,
    ACTIONS(2401), 1,
      anon_sym_or,
    ACTIONS(2407), 1,
      anon_sym_RPAREN,
    STATE(1566), 1,
      sym_for_in_clause,
    STATE(1824), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2050), 1,
      sym__comprehension_clauses,
  [80175] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2391), 1,
      anon_sym_as,
    ACTIONS(2393), 1,
      anon_sym_if,
    ACTIONS(2395), 1,
      anon_sym_async,
    ACTIONS(2397), 1,
      anon_sym_for,
    ACTIONS(2399), 1,
      anon_sym_and,
    ACTIONS(2401), 1,
      anon_sym_or,
    ACTIONS(2409), 1,
      anon_sym_RPAREN,
    ACTIONS(2411), 1,
      anon_sym_COMMA,
    STATE(1566), 1,
      sym_for_in_clause,
    STATE(1836), 1,
      aux_sym_argument_list_repeat1,
    STATE(2149), 1,
      sym__comprehension_clauses,
  [80212] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2391), 1,
      anon_sym_as,
    ACTIONS(2393), 1,
      anon_sym_if,
    ACTIONS(2395), 1,
      anon_sym_async,
    ACTIONS(2397), 1,
      anon_sym_for,
    ACTIONS(2399), 1,
      anon_sym_and,
    ACTIONS(2401), 1,
      anon_sym_or,
    ACTIONS(2413), 1,
      anon_sym_RPAREN,
    ACTIONS(2415), 1,
      anon_sym_COMMA,
    STATE(1566), 1,
      sym_for_in_clause,
    STATE(1846), 1,
      aux_sym_argument_list_repeat1,
    STATE(2088), 1,
      sym__comprehension_clauses,
  [80249] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2385), 1,
      anon_sym_RBRACK,
    ACTIONS(2417), 1,
      anon_sym_COMMA,
    ACTIONS(2419), 1,
      anon_sym_as,
    ACTIONS(2421), 1,
      anon_sym_if,
    ACTIONS(2423), 1,
      anon_sym_async,
    ACTIONS(2425), 1,
      anon_sym_for,
    ACTIONS(2427), 1,
      anon_sym_and,
    ACTIONS(2429), 1,
      anon_sym_or,
    STATE(1599), 1,
      sym_for_in_clause,
    STATE(1813), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2051), 1,
      sym__comprehension_clauses,
  [80286] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2391), 1,
      anon_sym_as,
    ACTIONS(2393), 1,
      anon_sym_if,
    ACTIONS(2395), 1,
      anon_sym_async,
    ACTIONS(2397), 1,
      anon_sym_for,
    ACTIONS(2399), 1,
      anon_sym_and,
    ACTIONS(2401), 1,
      anon_sym_or,
    ACTIONS(2431), 1,
      anon_sym_RPAREN,
    ACTIONS(2433), 1,
      anon_sym_COMMA,
    STATE(1566), 1,
      sym_for_in_clause,
    STATE(1785), 1,
      aux_sym_argument_list_repeat1,
    STATE(2185), 1,
      sym__comprehension_clauses,
  [80323] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2385), 1,
      anon_sym_RBRACK,
    ACTIONS(2417), 1,
      anon_sym_COMMA,
    ACTIONS(2419), 1,
      anon_sym_as,
    ACTIONS(2421), 1,
      anon_sym_if,
    ACTIONS(2423), 1,
      anon_sym_async,
    ACTIONS(2425), 1,
      anon_sym_for,
    ACTIONS(2427), 1,
      anon_sym_and,
    ACTIONS(2429), 1,
      anon_sym_or,
    STATE(1599), 1,
      sym_for_in_clause,
    STATE(1813), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2059), 1,
      sym__comprehension_clauses,
  [80360] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2389), 1,
      anon_sym_COMMA,
    ACTIONS(2391), 1,
      anon_sym_as,
    ACTIONS(2393), 1,
      anon_sym_if,
    ACTIONS(2395), 1,
      anon_sym_async,
    ACTIONS(2397), 1,
      anon_sym_for,
    ACTIONS(2399), 1,
      anon_sym_and,
    ACTIONS(2401), 1,
      anon_sym_or,
    ACTIONS(2435), 1,
      anon_sym_RPAREN,
    STATE(1566), 1,
      sym_for_in_clause,
    STATE(1824), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2074), 1,
      sym__comprehension_clauses,
  [80397] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2391), 1,
      anon_sym_as,
    ACTIONS(2393), 1,
      anon_sym_if,
    ACTIONS(2395), 1,
      anon_sym_async,
    ACTIONS(2397), 1,
      anon_sym_for,
    ACTIONS(2399), 1,
      anon_sym_and,
    ACTIONS(2401), 1,
      anon_sym_or,
    ACTIONS(2437), 1,
      anon_sym_RPAREN,
    ACTIONS(2439), 1,
      anon_sym_COMMA,
    STATE(1566), 1,
      sym_for_in_clause,
    STATE(1940), 1,
      aux_sym_argument_list_repeat1,
    STATE(2172), 1,
      sym__comprehension_clauses,
  [80434] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2385), 1,
      anon_sym_RBRACK,
    ACTIONS(2417), 1,
      anon_sym_COMMA,
    ACTIONS(2419), 1,
      anon_sym_as,
    ACTIONS(2421), 1,
      anon_sym_if,
    ACTIONS(2423), 1,
      anon_sym_async,
    ACTIONS(2425), 1,
      anon_sym_for,
    ACTIONS(2427), 1,
      anon_sym_and,
    ACTIONS(2429), 1,
      anon_sym_or,
    STATE(1599), 1,
      sym_for_in_clause,
    STATE(1813), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2170), 1,
      sym__comprehension_clauses,
  [80471] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2385), 1,
      anon_sym_RBRACK,
    ACTIONS(2417), 1,
      anon_sym_COMMA,
    ACTIONS(2419), 1,
      anon_sym_as,
    ACTIONS(2421), 1,
      anon_sym_if,
    ACTIONS(2423), 1,
      anon_sym_async,
    ACTIONS(2425), 1,
      anon_sym_for,
    ACTIONS(2427), 1,
      anon_sym_and,
    ACTIONS(2429), 1,
      anon_sym_or,
    STATE(1599), 1,
      sym_for_in_clause,
    STATE(1813), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2201), 1,
      sym__comprehension_clauses,
  [80508] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2389), 1,
      anon_sym_COMMA,
    ACTIONS(2391), 1,
      anon_sym_as,
    ACTIONS(2393), 1,
      anon_sym_if,
    ACTIONS(2395), 1,
      anon_sym_async,
    ACTIONS(2397), 1,
      anon_sym_for,
    ACTIONS(2399), 1,
      anon_sym_and,
    ACTIONS(2401), 1,
      anon_sym_or,
    ACTIONS(2441), 1,
      anon_sym_RPAREN,
    STATE(1566), 1,
      sym_for_in_clause,
    STATE(1824), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2149), 1,
      sym__comprehension_clauses,
  [80545] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2391), 1,
      anon_sym_as,
    ACTIONS(2393), 1,
      anon_sym_if,
    ACTIONS(2395), 1,
      anon_sym_async,
    ACTIONS(2397), 1,
      anon_sym_for,
    ACTIONS(2399), 1,
      anon_sym_and,
    ACTIONS(2401), 1,
      anon_sym_or,
    ACTIONS(2443), 1,
      anon_sym_RPAREN,
    ACTIONS(2445), 1,
      anon_sym_COMMA,
    STATE(1566), 1,
      sym_for_in_clause,
    STATE(1952), 1,
      aux_sym_argument_list_repeat1,
    STATE(2128), 1,
      sym__comprehension_clauses,
  [80582] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2385), 1,
      anon_sym_RBRACK,
    ACTIONS(2417), 1,
      anon_sym_COMMA,
    ACTIONS(2419), 1,
      anon_sym_as,
    ACTIONS(2421), 1,
      anon_sym_if,
    ACTIONS(2423), 1,
      anon_sym_async,
    ACTIONS(2425), 1,
      anon_sym_for,
    ACTIONS(2427), 1,
      anon_sym_and,
    ACTIONS(2429), 1,
      anon_sym_or,
    STATE(1599), 1,
      sym_for_in_clause,
    STATE(1813), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2089), 1,
      sym__comprehension_clauses,
  [80619] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2389), 1,
      anon_sym_COMMA,
    ACTIONS(2391), 1,
      anon_sym_as,
    ACTIONS(2393), 1,
      anon_sym_if,
    ACTIONS(2395), 1,
      anon_sym_async,
    ACTIONS(2397), 1,
      anon_sym_for,
    ACTIONS(2399), 1,
      anon_sym_and,
    ACTIONS(2401), 1,
      anon_sym_or,
    ACTIONS(2447), 1,
      anon_sym_RPAREN,
    STATE(1566), 1,
      sym_for_in_clause,
    STATE(1824), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2128), 1,
      sym__comprehension_clauses,
  [80656] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2389), 1,
      anon_sym_COMMA,
    ACTIONS(2391), 1,
      anon_sym_as,
    ACTIONS(2393), 1,
      anon_sym_if,
    ACTIONS(2395), 1,
      anon_sym_async,
    ACTIONS(2397), 1,
      anon_sym_for,
    ACTIONS(2399), 1,
      anon_sym_and,
    ACTIONS(2401), 1,
      anon_sym_or,
    ACTIONS(2449), 1,
      anon_sym_RPAREN,
    STATE(1566), 1,
      sym_for_in_clause,
    STATE(1824), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2052), 1,
      sym__comprehension_clauses,
  [80693] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2391), 1,
      anon_sym_as,
    ACTIONS(2393), 1,
      anon_sym_if,
    ACTIONS(2395), 1,
      anon_sym_async,
    ACTIONS(2397), 1,
      anon_sym_for,
    ACTIONS(2399), 1,
      anon_sym_and,
    ACTIONS(2401), 1,
      anon_sym_or,
    ACTIONS(2441), 1,
      anon_sym_RPAREN,
    ACTIONS(2451), 1,
      anon_sym_COMMA,
    STATE(1566), 1,
      sym_for_in_clause,
    STATE(1824), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2149), 1,
      sym__comprehension_clauses,
  [80730] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2391), 1,
      anon_sym_as,
    ACTIONS(2393), 1,
      anon_sym_if,
    ACTIONS(2395), 1,
      anon_sym_async,
    ACTIONS(2397), 1,
      anon_sym_for,
    ACTIONS(2399), 1,
      anon_sym_and,
    ACTIONS(2401), 1,
      anon_sym_or,
    ACTIONS(2454), 1,
      anon_sym_RPAREN,
    ACTIONS(2456), 1,
      anon_sym_COMMA,
    STATE(1566), 1,
      sym_for_in_clause,
    STATE(1856), 1,
      aux_sym_argument_list_repeat1,
    STATE(2052), 1,
      sym__comprehension_clauses,
  [80767] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2385), 1,
      anon_sym_RBRACK,
    ACTIONS(2417), 1,
      anon_sym_COMMA,
    ACTIONS(2419), 1,
      anon_sym_as,
    ACTIONS(2421), 1,
      anon_sym_if,
    ACTIONS(2423), 1,
      anon_sym_async,
    ACTIONS(2425), 1,
      anon_sym_for,
    ACTIONS(2427), 1,
      anon_sym_and,
    ACTIONS(2429), 1,
      anon_sym_or,
    STATE(1599), 1,
      sym_for_in_clause,
    STATE(1813), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2071), 1,
      sym__comprehension_clauses,
  [80804] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2385), 1,
      anon_sym_RBRACK,
    ACTIONS(2417), 1,
      anon_sym_COMMA,
    ACTIONS(2419), 1,
      anon_sym_as,
    ACTIONS(2421), 1,
      anon_sym_if,
    ACTIONS(2423), 1,
      anon_sym_async,
    ACTIONS(2425), 1,
      anon_sym_for,
    ACTIONS(2427), 1,
      anon_sym_and,
    ACTIONS(2429), 1,
      anon_sym_or,
    STATE(1599), 1,
      sym_for_in_clause,
    STATE(1813), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2147), 1,
      sym__comprehension_clauses,
  [80841] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2391), 1,
      anon_sym_as,
    ACTIONS(2393), 1,
      anon_sym_if,
    ACTIONS(2395), 1,
      anon_sym_async,
    ACTIONS(2397), 1,
      anon_sym_for,
    ACTIONS(2399), 1,
      anon_sym_and,
    ACTIONS(2401), 1,
      anon_sym_or,
    ACTIONS(2458), 1,
      anon_sym_RPAREN,
    ACTIONS(2460), 1,
      anon_sym_COMMA,
    STATE(1566), 1,
      sym_for_in_clause,
    STATE(1899), 1,
      aux_sym_argument_list_repeat1,
    STATE(2074), 1,
      sym__comprehension_clauses,
  [80878] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2391), 1,
      anon_sym_as,
    ACTIONS(2393), 1,
      anon_sym_if,
    ACTIONS(2395), 1,
      anon_sym_async,
    ACTIONS(2397), 1,
      anon_sym_for,
    ACTIONS(2399), 1,
      anon_sym_and,
    ACTIONS(2401), 1,
      anon_sym_or,
    ACTIONS(2462), 1,
      anon_sym_RPAREN,
    ACTIONS(2464), 1,
      anon_sym_COMMA,
    STATE(1566), 1,
      sym_for_in_clause,
    STATE(1900), 1,
      aux_sym_argument_list_repeat1,
    STATE(2050), 1,
      sym__comprehension_clauses,
  [80915] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2385), 1,
      anon_sym_RBRACK,
    ACTIONS(2417), 1,
      anon_sym_COMMA,
    ACTIONS(2419), 1,
      anon_sym_as,
    ACTIONS(2421), 1,
      anon_sym_if,
    ACTIONS(2423), 1,
      anon_sym_async,
    ACTIONS(2425), 1,
      anon_sym_for,
    ACTIONS(2427), 1,
      anon_sym_and,
    ACTIONS(2429), 1,
      anon_sym_or,
    STATE(1599), 1,
      sym_for_in_clause,
    STATE(1813), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2132), 1,
      sym__comprehension_clauses,
  [80952] = 9,
    ACTIONS(2466), 1,
      anon_sym_LBRACE2,
    ACTIONS(2470), 1,
      sym__not_escape_sequence,
    ACTIONS(2472), 1,
      sym_comment,
    ACTIONS(2474), 1,
      sym__string_end,
    STATE(1456), 1,
      aux_sym_string_repeat1,
    STATE(1612), 1,
      aux_sym_string_content_repeat1,
    STATE(1653), 1,
      sym_interpolation,
    STATE(1656), 1,
      sym_string_content,
    ACTIONS(2468), 3,
      sym__string_content,
      sym__escape_interpolation,
      sym_escape_sequence,
  [80982] = 9,
    ACTIONS(2466), 1,
      anon_sym_LBRACE2,
    ACTIONS(2470), 1,
      sym__not_escape_sequence,
    ACTIONS(2472), 1,
      sym_comment,
    ACTIONS(2476), 1,
      sym__string_end,
    STATE(1460), 1,
      aux_sym_string_repeat1,
    STATE(1612), 1,
      aux_sym_string_content_repeat1,
    STATE(1653), 1,
      sym_interpolation,
    STATE(1656), 1,
      sym_string_content,
    ACTIONS(2468), 3,
      sym__string_content,
      sym__escape_interpolation,
      sym_escape_sequence,
  [81012] = 9,
    ACTIONS(2466), 1,
      anon_sym_LBRACE2,
    ACTIONS(2470), 1,
      sym__not_escape_sequence,
    ACTIONS(2472), 1,
      sym_comment,
    ACTIONS(2478), 1,
      sym__string_end,
    STATE(1453), 1,
      aux_sym_string_repeat1,
    STATE(1612), 1,
      aux_sym_string_content_repeat1,
    STATE(1653), 1,
      sym_interpolation,
    STATE(1656), 1,
      sym_string_content,
    ACTIONS(2468), 3,
      sym__string_content,
      sym__escape_interpolation,
      sym_escape_sequence,
  [81042] = 9,
    ACTIONS(2466), 1,
      anon_sym_LBRACE2,
    ACTIONS(2470), 1,
      sym__not_escape_sequence,
    ACTIONS(2472), 1,
      sym_comment,
    ACTIONS(2480), 1,
      sym__string_end,
    STATE(1460), 1,
      aux_sym_string_repeat1,
    STATE(1612), 1,
      aux_sym_string_content_repeat1,
    STATE(1653), 1,
      sym_interpolation,
    STATE(1656), 1,
      sym_string_content,
    ACTIONS(2468), 3,
      sym__string_content,
      sym__escape_interpolation,
      sym_escape_sequence,
  [81072] = 9,
    ACTIONS(2466), 1,
      anon_sym_LBRACE2,
    ACTIONS(2470), 1,
      sym__not_escape_sequence,
    ACTIONS(2472), 1,
      sym_comment,
    ACTIONS(2482), 1,
      sym__string_end,
    STATE(1447), 1,
      aux_sym_string_repeat1,
    STATE(1612), 1,
      aux_sym_string_content_repeat1,
    STATE(1653), 1,
      sym_interpolation,
    STATE(1656), 1,
      sym_string_content,
    ACTIONS(2468), 3,
      sym__string_content,
      sym__escape_interpolation,
      sym_escape_sequence,
  [81102] = 9,
    ACTIONS(2466), 1,
      anon_sym_LBRACE2,
    ACTIONS(2470), 1,
      sym__not_escape_sequence,
    ACTIONS(2472), 1,
      sym_comment,
    ACTIONS(2484), 1,
      sym__string_end,
    STATE(1441), 1,
      aux_sym_string_repeat1,
    STATE(1612), 1,
      aux_sym_string_content_repeat1,
    STATE(1653), 1,
      sym_interpolation,
    STATE(1656), 1,
      sym_string_content,
    ACTIONS(2468), 3,
      sym__string_content,
      sym__escape_interpolation,
      sym_escape_sequence,
  [81132] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2486), 1,
      anon_sym_COMMA,
    ACTIONS(2488), 1,
      anon_sym_as,
    ACTIONS(2490), 1,
      anon_sym_if,
    ACTIONS(2494), 1,
      anon_sym_and,
    ACTIONS(2496), 1,
      anon_sym_or,
    STATE(1627), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(2492), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [81160] = 9,
    ACTIONS(2466), 1,
      anon_sym_LBRACE2,
    ACTIONS(2470), 1,
      sym__not_escape_sequence,
    ACTIONS(2472), 1,
      sym_comment,
    ACTIONS(2498), 1,
      sym__string_end,
    STATE(1460), 1,
      aux_sym_string_repeat1,
    STATE(1612), 1,
      aux_sym_string_content_repeat1,
    STATE(1653), 1,
      sym_interpolation,
    STATE(1656), 1,
      sym_string_content,
    ACTIONS(2468), 3,
      sym__string_content,
      sym__escape_interpolation,
      sym_escape_sequence,
  [81190] = 9,
    ACTIONS(2466), 1,
      anon_sym_LBRACE2,
    ACTIONS(2470), 1,
      sym__not_escape_sequence,
    ACTIONS(2472), 1,
      sym_comment,
    ACTIONS(2500), 1,
      sym__string_end,
    STATE(1443), 1,
      aux_sym_string_repeat1,
    STATE(1612), 1,
      aux_sym_string_content_repeat1,
    STATE(1653), 1,
      sym_interpolation,
    STATE(1656), 1,
      sym_string_content,
    ACTIONS(2468), 3,
      sym__string_content,
      sym__escape_interpolation,
      sym_escape_sequence,
  [81220] = 9,
    ACTIONS(2466), 1,
      anon_sym_LBRACE2,
    ACTIONS(2470), 1,
      sym__not_escape_sequence,
    ACTIONS(2472), 1,
      sym_comment,
    ACTIONS(2502), 1,
      sym__string_end,
    STATE(1452), 1,
      aux_sym_string_repeat1,
    STATE(1612), 1,
      aux_sym_string_content_repeat1,
    STATE(1653), 1,
      sym_interpolation,
    STATE(1656), 1,
      sym_string_content,
    ACTIONS(2468), 3,
      sym__string_content,
      sym__escape_interpolation,
      sym_escape_sequence,
  [81250] = 9,
    ACTIONS(2466), 1,
      anon_sym_LBRACE2,
    ACTIONS(2470), 1,
      sym__not_escape_sequence,
    ACTIONS(2472), 1,
      sym_comment,
    ACTIONS(2504), 1,
      sym__string_end,
    STATE(1460), 1,
      aux_sym_string_repeat1,
    STATE(1612), 1,
      aux_sym_string_content_repeat1,
    STATE(1653), 1,
      sym_interpolation,
    STATE(1656), 1,
      sym_string_content,
    ACTIONS(2468), 3,
      sym__string_content,
      sym__escape_interpolation,
      sym_escape_sequence,
  [81280] = 9,
    ACTIONS(2466), 1,
      anon_sym_LBRACE2,
    ACTIONS(2470), 1,
      sym__not_escape_sequence,
    ACTIONS(2472), 1,
      sym_comment,
    ACTIONS(2506), 1,
      sym__string_end,
    STATE(1450), 1,
      aux_sym_string_repeat1,
    STATE(1612), 1,
      aux_sym_string_content_repeat1,
    STATE(1653), 1,
      sym_interpolation,
    STATE(1656), 1,
      sym_string_content,
    ACTIONS(2468), 3,
      sym__string_content,
      sym__escape_interpolation,
      sym_escape_sequence,
  [81310] = 9,
    ACTIONS(2466), 1,
      anon_sym_LBRACE2,
    ACTIONS(2470), 1,
      sym__not_escape_sequence,
    ACTIONS(2472), 1,
      sym_comment,
    ACTIONS(2508), 1,
      sym__string_end,
    STATE(1460), 1,
      aux_sym_string_repeat1,
    STATE(1612), 1,
      aux_sym_string_content_repeat1,
    STATE(1653), 1,
      sym_interpolation,
    STATE(1656), 1,
      sym_string_content,
    ACTIONS(2468), 3,
      sym__string_content,
      sym__escape_interpolation,
      sym_escape_sequence,
  [81340] = 9,
    ACTIONS(2466), 1,
      anon_sym_LBRACE2,
    ACTIONS(2470), 1,
      sym__not_escape_sequence,
    ACTIONS(2472), 1,
      sym_comment,
    ACTIONS(2510), 1,
      sym__string_end,
    STATE(1460), 1,
      aux_sym_string_repeat1,
    STATE(1612), 1,
      aux_sym_string_content_repeat1,
    STATE(1653), 1,
      sym_interpolation,
    STATE(1656), 1,
      sym_string_content,
    ACTIONS(2468), 3,
      sym__string_content,
      sym__escape_interpolation,
      sym_escape_sequence,
  [81370] = 9,
    ACTIONS(2466), 1,
      anon_sym_LBRACE2,
    ACTIONS(2470), 1,
      sym__not_escape_sequence,
    ACTIONS(2472), 1,
      sym_comment,
    ACTIONS(2512), 1,
      sym__string_end,
    STATE(1460), 1,
      aux_sym_string_repeat1,
    STATE(1612), 1,
      aux_sym_string_content_repeat1,
    STATE(1653), 1,
      sym_interpolation,
    STATE(1656), 1,
      sym_string_content,
    ACTIONS(2468), 3,
      sym__string_content,
      sym__escape_interpolation,
      sym_escape_sequence,
  [81400] = 9,
    ACTIONS(2466), 1,
      anon_sym_LBRACE2,
    ACTIONS(2470), 1,
      sym__not_escape_sequence,
    ACTIONS(2472), 1,
      sym_comment,
    ACTIONS(2514), 1,
      sym__string_end,
    STATE(1454), 1,
      aux_sym_string_repeat1,
    STATE(1612), 1,
      aux_sym_string_content_repeat1,
    STATE(1653), 1,
      sym_interpolation,
    STATE(1656), 1,
      sym_string_content,
    ACTIONS(2468), 3,
      sym__string_content,
      sym__escape_interpolation,
      sym_escape_sequence,
  [81430] = 9,
    ACTIONS(2466), 1,
      anon_sym_LBRACE2,
    ACTIONS(2470), 1,
      sym__not_escape_sequence,
    ACTIONS(2472), 1,
      sym_comment,
    ACTIONS(2516), 1,
      sym__string_end,
    STATE(1460), 1,
      aux_sym_string_repeat1,
    STATE(1612), 1,
      aux_sym_string_content_repeat1,
    STATE(1653), 1,
      sym_interpolation,
    STATE(1656), 1,
      sym_string_content,
    ACTIONS(2468), 3,
      sym__string_content,
      sym__escape_interpolation,
      sym_escape_sequence,
  [81460] = 9,
    ACTIONS(2466), 1,
      anon_sym_LBRACE2,
    ACTIONS(2470), 1,
      sym__not_escape_sequence,
    ACTIONS(2472), 1,
      sym_comment,
    ACTIONS(2518), 1,
      sym__string_end,
    STATE(1458), 1,
      aux_sym_string_repeat1,
    STATE(1612), 1,
      aux_sym_string_content_repeat1,
    STATE(1653), 1,
      sym_interpolation,
    STATE(1656), 1,
      sym_string_content,
    ACTIONS(2468), 3,
      sym__string_content,
      sym__escape_interpolation,
      sym_escape_sequence,
  [81490] = 9,
    ACTIONS(2466), 1,
      anon_sym_LBRACE2,
    ACTIONS(2470), 1,
      sym__not_escape_sequence,
    ACTIONS(2472), 1,
      sym_comment,
    ACTIONS(2520), 1,
      sym__string_end,
    STATE(1460), 1,
      aux_sym_string_repeat1,
    STATE(1612), 1,
      aux_sym_string_content_repeat1,
    STATE(1653), 1,
      sym_interpolation,
    STATE(1656), 1,
      sym_string_content,
    ACTIONS(2468), 3,
      sym__string_content,
      sym__escape_interpolation,
      sym_escape_sequence,
  [81520] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2486), 1,
      anon_sym_COMMA,
    ACTIONS(2488), 1,
      anon_sym_as,
    ACTIONS(2490), 1,
      anon_sym_if,
    ACTIONS(2494), 1,
      anon_sym_and,
    ACTIONS(2496), 1,
      anon_sym_or,
    STATE(1627), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(2522), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [81548] = 9,
    ACTIONS(2472), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LBRACE2,
    ACTIONS(2530), 1,
      sym__not_escape_sequence,
    ACTIONS(2533), 1,
      sym__string_end,
    STATE(1460), 1,
      aux_sym_string_repeat1,
    STATE(1612), 1,
      aux_sym_string_content_repeat1,
    STATE(1653), 1,
      sym_interpolation,
    STATE(1656), 1,
      sym_string_content,
    ACTIONS(2527), 3,
      sym__string_content,
      sym__escape_interpolation,
      sym_escape_sequence,
  [81578] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2381), 1,
      anon_sym_and,
    ACTIONS(2383), 1,
      anon_sym_or,
    ACTIONS(2537), 1,
      anon_sym_as,
    ACTIONS(2535), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [81599] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2371), 1,
      anon_sym_as,
    ACTIONS(2373), 1,
      anon_sym_if,
    ACTIONS(2381), 1,
      anon_sym_and,
    ACTIONS(2383), 1,
      anon_sym_or,
    ACTIONS(2540), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [81622] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2542), 1,
      anon_sym_as,
    ACTIONS(2545), 1,
      anon_sym_and,
    ACTIONS(2547), 1,
      anon_sym_or,
    ACTIONS(2535), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_EQ,
  [81643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2494), 1,
      anon_sym_and,
    ACTIONS(2549), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_RBRACE,
      sym_type_conversion,
  [81660] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2549), 9,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
      sym_type_conversion,
  [81675] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2494), 1,
      anon_sym_and,
    ACTIONS(2496), 1,
      anon_sym_or,
    ACTIONS(2551), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [81694] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2553), 9,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
      sym_type_conversion,
  [81709] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2381), 1,
      anon_sym_and,
    ACTIONS(2555), 1,
      anon_sym_as,
    ACTIONS(2549), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_or,
      anon_sym_RBRACE,
  [81728] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2494), 1,
      anon_sym_and,
    ACTIONS(2496), 1,
      anon_sym_or,
    ACTIONS(2557), 1,
      anon_sym_as,
    ACTIONS(2535), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [81749] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2488), 1,
      anon_sym_as,
    ACTIONS(2490), 1,
      anon_sym_if,
    ACTIONS(2494), 1,
      anon_sym_and,
    ACTIONS(2496), 1,
      anon_sym_or,
    ACTIONS(2560), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [81772] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2545), 1,
      anon_sym_and,
    ACTIONS(2547), 1,
      anon_sym_or,
    ACTIONS(2551), 7,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_EQ,
  [81791] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2488), 1,
      anon_sym_as,
    ACTIONS(2490), 1,
      anon_sym_if,
    ACTIONS(2494), 1,
      anon_sym_and,
    ACTIONS(2496), 1,
      anon_sym_or,
    ACTIONS(2562), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [81814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2555), 1,
      anon_sym_as,
    ACTIONS(2549), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
  [81831] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2549), 9,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
  [81846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2545), 1,
      anon_sym_and,
    ACTIONS(2549), 8,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_or,
  [81863] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2545), 1,
      anon_sym_and,
    ACTIONS(2547), 1,
      anon_sym_or,
    ACTIONS(2566), 1,
      anon_sym_from,
    ACTIONS(2568), 1,
      anon_sym_COMMA,
    ACTIONS(2570), 1,
      anon_sym_as,
    ACTIONS(2572), 1,
      anon_sym_if,
    STATE(1707), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(2564), 2,
      sym__newline,
      anon_sym_SEMI,
  [81892] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2381), 1,
      anon_sym_and,
    ACTIONS(2383), 1,
      anon_sym_or,
    ACTIONS(2574), 1,
      anon_sym_as,
    ACTIONS(2551), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [81913] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 9,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
  [81928] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2545), 1,
      anon_sym_and,
    ACTIONS(2547), 1,
      anon_sym_or,
    ACTIONS(2570), 1,
      anon_sym_as,
    ACTIONS(2572), 1,
      anon_sym_if,
    ACTIONS(2576), 5,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_EQ,
  [81951] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 9,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
      sym_type_conversion,
  [81966] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2488), 1,
      anon_sym_as,
    ACTIONS(2490), 1,
      anon_sym_if,
    ACTIONS(2494), 1,
      anon_sym_and,
    ACTIONS(2496), 1,
      anon_sym_or,
    ACTIONS(2576), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [81989] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2488), 1,
      anon_sym_as,
    ACTIONS(2490), 1,
      anon_sym_if,
    ACTIONS(2494), 1,
      anon_sym_and,
    ACTIONS(2496), 1,
      anon_sym_or,
    ACTIONS(2578), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [82012] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2488), 1,
      anon_sym_as,
    ACTIONS(2490), 1,
      anon_sym_if,
    ACTIONS(2494), 1,
      anon_sym_and,
    ACTIONS(2496), 1,
      anon_sym_or,
    ACTIONS(2540), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [82035] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2545), 1,
      anon_sym_and,
    ACTIONS(2547), 1,
      anon_sym_or,
    ACTIONS(2570), 1,
      anon_sym_as,
    ACTIONS(2572), 1,
      anon_sym_if,
    ACTIONS(2540), 5,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_EQ,
  [82058] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      anon_sym_as,
    ACTIONS(1761), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
  [82075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2580), 1,
      anon_sym_as,
    ACTIONS(2553), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
  [82092] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2582), 9,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
      sym_type_conversion,
  [82107] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2553), 9,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
  [82122] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2371), 1,
      anon_sym_as,
    ACTIONS(2373), 1,
      anon_sym_if,
    ACTIONS(2381), 1,
      anon_sym_and,
    ACTIONS(2383), 1,
      anon_sym_or,
    ACTIONS(2576), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [82145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_as,
    ACTIONS(2582), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
  [82162] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2545), 1,
      anon_sym_and,
    ACTIONS(2547), 1,
      anon_sym_or,
    ACTIONS(2570), 1,
      anon_sym_as,
    ACTIONS(2572), 1,
      anon_sym_if,
    ACTIONS(2562), 5,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_EQ,
  [82185] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2371), 1,
      anon_sym_as,
    ACTIONS(2373), 1,
      anon_sym_if,
    ACTIONS(2381), 1,
      anon_sym_and,
    ACTIONS(2383), 1,
      anon_sym_or,
    ACTIONS(2562), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [82208] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2582), 9,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
  [82223] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      anon_sym_AT,
    ACTIONS(2586), 1,
      anon_sym_async,
    ACTIONS(2588), 1,
      anon_sym_def,
    ACTIONS(2590), 1,
      anon_sym_class,
    STATE(775), 2,
      sym_function_definition,
      sym_class_definition,
    STATE(1681), 2,
      sym_decorator,
      aux_sym_decorated_definition_repeat1,
  [82247] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2592), 1,
      anon_sym_COMMA,
    ACTIONS(2594), 1,
      anon_sym_as,
    ACTIONS(2596), 1,
      anon_sym_if,
    ACTIONS(2598), 1,
      anon_sym_COLON,
    ACTIONS(2600), 1,
      anon_sym_RBRACK,
    ACTIONS(2602), 1,
      anon_sym_and,
    ACTIONS(2604), 1,
      anon_sym_or,
    STATE(1789), 1,
      aux_sym_subscript_repeat1,
  [82275] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_and,
    ACTIONS(2608), 1,
      anon_sym_or,
    ACTIONS(2551), 6,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
  [82293] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2594), 1,
      anon_sym_as,
    ACTIONS(2596), 1,
      anon_sym_if,
    ACTIONS(2598), 1,
      anon_sym_COLON,
    ACTIONS(2602), 1,
      anon_sym_and,
    ACTIONS(2604), 1,
      anon_sym_or,
    ACTIONS(2610), 1,
      anon_sym_COMMA,
    ACTIONS(2612), 1,
      anon_sym_RBRACK,
    STATE(1851), 1,
      aux_sym_subscript_repeat1,
  [82321] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2594), 1,
      anon_sym_as,
    ACTIONS(2596), 1,
      anon_sym_if,
    ACTIONS(2598), 1,
      anon_sym_COLON,
    ACTIONS(2602), 1,
      anon_sym_and,
    ACTIONS(2604), 1,
      anon_sym_or,
    ACTIONS(2614), 1,
      anon_sym_COMMA,
    ACTIONS(2616), 1,
      anon_sym_RBRACK,
    STATE(1903), 1,
      aux_sym_subscript_repeat1,
  [82349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_as,
    ACTIONS(2582), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [82365] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 1,
      anon_sym_except,
    ACTIONS(1232), 1,
      anon_sym_except_STAR,
    ACTIONS(2618), 1,
      anon_sym_finally,
    STATE(806), 1,
      sym_finally_clause,
    STATE(390), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    STATE(393), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
  [82389] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2427), 1,
      anon_sym_and,
    ACTIONS(2429), 1,
      anon_sym_or,
    ACTIONS(2574), 1,
      anon_sym_as,
    ACTIONS(2551), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [82409] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2371), 1,
      anon_sym_as,
    ACTIONS(2373), 1,
      anon_sym_if,
    ACTIONS(2381), 1,
      anon_sym_and,
    ACTIONS(2383), 1,
      anon_sym_or,
    ACTIONS(2620), 4,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [82431] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2545), 1,
      anon_sym_and,
    ACTIONS(2547), 1,
      anon_sym_or,
    ACTIONS(2568), 1,
      anon_sym_COMMA,
    ACTIONS(2570), 1,
      anon_sym_as,
    ACTIONS(2572), 1,
      anon_sym_if,
    STATE(1707), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(2492), 2,
      sym__newline,
      anon_sym_SEMI,
  [82457] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_and,
    ACTIONS(2608), 1,
      anon_sym_or,
    ACTIONS(2622), 1,
      anon_sym_as,
    ACTIONS(2535), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
  [82477] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2594), 1,
      anon_sym_as,
    ACTIONS(2596), 1,
      anon_sym_if,
    ACTIONS(2598), 1,
      anon_sym_COLON,
    ACTIONS(2602), 1,
      anon_sym_and,
    ACTIONS(2604), 1,
      anon_sym_or,
    ACTIONS(2625), 1,
      anon_sym_COMMA,
    ACTIONS(2627), 1,
      anon_sym_RBRACK,
    STATE(1956), 1,
      aux_sym_subscript_repeat1,
  [82505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2580), 1,
      anon_sym_as,
    ACTIONS(2553), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [82521] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_and,
    ACTIONS(2608), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2540), 4,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
  [82543] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_and,
    ACTIONS(2608), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2633), 1,
      anon_sym_COMMA,
    ACTIONS(2635), 1,
      anon_sym_if,
    ACTIONS(2637), 1,
      anon_sym_COLON,
    STATE(1705), 1,
      aux_sym_case_clause_repeat1,
    STATE(2150), 1,
      sym_if_clause,
  [82571] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2371), 1,
      anon_sym_as,
    ACTIONS(2381), 1,
      anon_sym_and,
    ACTIONS(2383), 1,
      anon_sym_or,
    ACTIONS(2639), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [82591] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1196), 1,
      anon_sym_except_STAR,
    ACTIONS(1204), 1,
      anon_sym_except,
    ACTIONS(2641), 1,
      anon_sym_finally,
    STATE(771), 1,
      sym_finally_clause,
    STATE(350), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    STATE(391), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
  [82615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_and,
    ACTIONS(2549), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_or,
  [82631] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2419), 1,
      anon_sym_as,
    ACTIONS(2421), 1,
      anon_sym_if,
    ACTIONS(2427), 1,
      anon_sym_and,
    ACTIONS(2429), 1,
      anon_sym_or,
    ACTIONS(2576), 4,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [82653] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2391), 1,
      anon_sym_as,
    ACTIONS(2399), 1,
      anon_sym_and,
    ACTIONS(2401), 1,
      anon_sym_or,
    ACTIONS(2639), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [82673] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 1,
      anon_sym_except,
    ACTIONS(1232), 1,
      anon_sym_except_STAR,
    ACTIONS(2618), 1,
      anon_sym_finally,
    STATE(748), 1,
      sym_finally_clause,
    STATE(395), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    STATE(396), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
  [82697] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2371), 1,
      anon_sym_as,
    ACTIONS(2381), 1,
      anon_sym_and,
    ACTIONS(2383), 1,
      anon_sym_or,
    ACTIONS(2639), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [82717] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2399), 1,
      anon_sym_and,
    ACTIONS(2555), 1,
      anon_sym_as,
    ACTIONS(2549), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_or,
  [82735] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2594), 1,
      anon_sym_as,
    ACTIONS(2596), 1,
      anon_sym_if,
    ACTIONS(2598), 1,
      anon_sym_COLON,
    ACTIONS(2602), 1,
      anon_sym_and,
    ACTIONS(2604), 1,
      anon_sym_or,
    ACTIONS(2643), 1,
      anon_sym_COMMA,
    ACTIONS(2645), 1,
      anon_sym_RBRACK,
    STATE(1935), 1,
      aux_sym_subscript_repeat1,
  [82763] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2391), 1,
      anon_sym_as,
    ACTIONS(2393), 1,
      anon_sym_if,
    ACTIONS(2399), 1,
      anon_sym_and,
    ACTIONS(2401), 1,
      anon_sym_or,
    ACTIONS(2540), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
  [82785] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      anon_sym_AT,
    ACTIONS(2647), 1,
      anon_sym_async,
    ACTIONS(2649), 1,
      anon_sym_def,
    ACTIONS(2651), 1,
      anon_sym_class,
    STATE(772), 2,
      sym_function_definition,
      sym_class_definition,
    STATE(1681), 2,
      sym_decorator,
      aux_sym_decorated_definition_repeat1,
  [82809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      anon_sym_as,
    ACTIONS(1761), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [82825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2555), 1,
      anon_sym_as,
    ACTIONS(2549), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [82841] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2582), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
  [82855] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2399), 1,
      anon_sym_and,
    ACTIONS(2401), 1,
      anon_sym_or,
    ACTIONS(2574), 1,
      anon_sym_as,
    ACTIONS(2551), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [82875] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_and,
    ACTIONS(2608), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2562), 4,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
  [82897] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2419), 1,
      anon_sym_as,
    ACTIONS(2421), 1,
      anon_sym_if,
    ACTIONS(2427), 1,
      anon_sym_and,
    ACTIONS(2429), 1,
      anon_sym_or,
    ACTIONS(2540), 4,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [82919] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2553), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
  [82933] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2549), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
  [82947] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2419), 1,
      anon_sym_as,
    ACTIONS(2421), 1,
      anon_sym_if,
    ACTIONS(2427), 1,
      anon_sym_and,
    ACTIONS(2429), 1,
      anon_sym_or,
    ACTIONS(2562), 4,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [82969] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2399), 1,
      anon_sym_and,
    ACTIONS(2401), 1,
      anon_sym_or,
    ACTIONS(2653), 1,
      anon_sym_as,
    ACTIONS(2535), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [82989] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_and,
    ACTIONS(2608), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2576), 4,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
  [83011] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2545), 1,
      anon_sym_and,
    ACTIONS(2547), 1,
      anon_sym_or,
    ACTIONS(2568), 1,
      anon_sym_COMMA,
    ACTIONS(2570), 1,
      anon_sym_as,
    ACTIONS(2572), 1,
      anon_sym_if,
    STATE(1707), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(2656), 2,
      sym__newline,
      anon_sym_SEMI,
  [83037] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2391), 1,
      anon_sym_as,
    ACTIONS(2393), 1,
      anon_sym_if,
    ACTIONS(2399), 1,
      anon_sym_and,
    ACTIONS(2401), 1,
      anon_sym_or,
    ACTIONS(2562), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
  [83059] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2594), 1,
      anon_sym_as,
    ACTIONS(2596), 1,
      anon_sym_if,
    ACTIONS(2598), 1,
      anon_sym_COLON,
    ACTIONS(2602), 1,
      anon_sym_and,
    ACTIONS(2604), 1,
      anon_sym_or,
    ACTIONS(2658), 1,
      anon_sym_COMMA,
    ACTIONS(2660), 1,
      anon_sym_RBRACK,
    STATE(1893), 1,
      aux_sym_subscript_repeat1,
  [83087] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2545), 1,
      anon_sym_and,
    ACTIONS(2547), 1,
      anon_sym_or,
    ACTIONS(2568), 1,
      anon_sym_COMMA,
    ACTIONS(2570), 1,
      anon_sym_as,
    ACTIONS(2572), 1,
      anon_sym_if,
    STATE(1707), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(2662), 2,
      sym__newline,
      anon_sym_SEMI,
  [83113] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
  [83127] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2594), 1,
      anon_sym_as,
    ACTIONS(2596), 1,
      anon_sym_if,
    ACTIONS(2598), 1,
      anon_sym_COLON,
    ACTIONS(2602), 1,
      anon_sym_and,
    ACTIONS(2604), 1,
      anon_sym_or,
    ACTIONS(2664), 1,
      anon_sym_COMMA,
    ACTIONS(2666), 1,
      anon_sym_RBRACK,
    STATE(1840), 1,
      aux_sym_subscript_repeat1,
  [83155] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2545), 1,
      anon_sym_and,
    ACTIONS(2547), 1,
      anon_sym_or,
    ACTIONS(2570), 1,
      anon_sym_as,
    ACTIONS(2572), 1,
      anon_sym_if,
    ACTIONS(2670), 1,
      anon_sym_COMMA,
    STATE(1764), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(2668), 2,
      sym__newline,
      anon_sym_SEMI,
  [83181] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2371), 1,
      anon_sym_as,
    ACTIONS(2381), 1,
      anon_sym_and,
    ACTIONS(2383), 1,
      anon_sym_or,
    ACTIONS(2639), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [83201] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2545), 1,
      anon_sym_and,
    ACTIONS(2547), 1,
      anon_sym_or,
    ACTIONS(2570), 1,
      anon_sym_as,
    ACTIONS(2572), 1,
      anon_sym_if,
    ACTIONS(2674), 1,
      anon_sym_COMMA,
    STATE(1765), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(2672), 2,
      sym__newline,
      anon_sym_SEMI,
  [83227] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_and,
    ACTIONS(2608), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2635), 1,
      anon_sym_if,
    ACTIONS(2676), 1,
      anon_sym_COMMA,
    ACTIONS(2678), 1,
      anon_sym_COLON,
    STATE(1692), 1,
      aux_sym_case_clause_repeat1,
    STATE(2072), 1,
      sym_if_clause,
  [83255] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2545), 1,
      anon_sym_and,
    ACTIONS(2547), 1,
      anon_sym_or,
    ACTIONS(2570), 1,
      anon_sym_as,
    ACTIONS(2572), 1,
      anon_sym_if,
    ACTIONS(2682), 1,
      anon_sym_COMMA,
    STATE(1759), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(2680), 2,
      sym__newline,
      anon_sym_SEMI,
  [83281] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2419), 1,
      anon_sym_as,
    ACTIONS(2427), 1,
      anon_sym_and,
    ACTIONS(2429), 1,
      anon_sym_or,
    ACTIONS(2639), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [83301] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2545), 1,
      anon_sym_and,
    ACTIONS(2547), 1,
      anon_sym_or,
    ACTIONS(2570), 1,
      anon_sym_as,
    ACTIONS(2572), 1,
      anon_sym_if,
    ACTIONS(2578), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
  [83323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      anon_sym_as,
    ACTIONS(1761), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [83339] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2545), 1,
      anon_sym_and,
    ACTIONS(2547), 1,
      anon_sym_or,
    ACTIONS(2568), 1,
      anon_sym_COMMA,
    ACTIONS(2570), 1,
      anon_sym_as,
    ACTIONS(2572), 1,
      anon_sym_if,
    STATE(1707), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(2684), 2,
      sym__newline,
      anon_sym_SEMI,
  [83365] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2391), 1,
      anon_sym_as,
    ACTIONS(2399), 1,
      anon_sym_and,
    ACTIONS(2401), 1,
      anon_sym_or,
    ACTIONS(2639), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [83385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2580), 1,
      anon_sym_as,
    ACTIONS(2553), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [83401] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2391), 1,
      anon_sym_as,
    ACTIONS(2399), 1,
      anon_sym_and,
    ACTIONS(2401), 1,
      anon_sym_or,
    ACTIONS(2639), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [83421] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1196), 1,
      anon_sym_except_STAR,
    ACTIONS(1204), 1,
      anon_sym_except,
    ACTIONS(2641), 1,
      anon_sym_finally,
    STATE(779), 1,
      sym_finally_clause,
    STATE(351), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    STATE(378), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
  [83445] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2427), 1,
      anon_sym_and,
    ACTIONS(2555), 1,
      anon_sym_as,
    ACTIONS(2549), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_or,
  [83463] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2391), 1,
      anon_sym_as,
    ACTIONS(2393), 1,
      anon_sym_if,
    ACTIONS(2399), 1,
      anon_sym_and,
    ACTIONS(2401), 1,
      anon_sym_or,
    ACTIONS(2576), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
  [83485] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2419), 1,
      anon_sym_as,
    ACTIONS(2427), 1,
      anon_sym_and,
    ACTIONS(2429), 1,
      anon_sym_or,
    ACTIONS(2639), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [83505] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2545), 1,
      anon_sym_and,
    ACTIONS(2547), 1,
      anon_sym_or,
    ACTIONS(2570), 1,
      anon_sym_as,
    ACTIONS(2572), 1,
      anon_sym_if,
    ACTIONS(2670), 1,
      anon_sym_COMMA,
    STATE(1749), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(2686), 2,
      sym__newline,
      anon_sym_SEMI,
  [83531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2555), 1,
      anon_sym_as,
    ACTIONS(2549), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [83547] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2419), 1,
      anon_sym_as,
    ACTIONS(2427), 1,
      anon_sym_and,
    ACTIONS(2429), 1,
      anon_sym_or,
    ACTIONS(2639), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [83567] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2594), 1,
      anon_sym_as,
    ACTIONS(2596), 1,
      anon_sym_if,
    ACTIONS(2598), 1,
      anon_sym_COLON,
    ACTIONS(2602), 1,
      anon_sym_and,
    ACTIONS(2604), 1,
      anon_sym_or,
    ACTIONS(2688), 1,
      anon_sym_COMMA,
    ACTIONS(2690), 1,
      anon_sym_RBRACK,
    STATE(1843), 1,
      aux_sym_subscript_repeat1,
  [83595] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2427), 1,
      anon_sym_and,
    ACTIONS(2429), 1,
      anon_sym_or,
    ACTIONS(2692), 1,
      anon_sym_as,
    ACTIONS(2535), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [83615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_as,
    ACTIONS(2582), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [83631] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2545), 1,
      anon_sym_and,
    ACTIONS(2547), 1,
      anon_sym_or,
    ACTIONS(2570), 1,
      anon_sym_as,
    ACTIONS(2572), 1,
      anon_sym_if,
    ACTIONS(2695), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [83652] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_and,
    ACTIONS(2608), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2697), 1,
      anon_sym_COMMA,
    ACTIONS(2699), 1,
      anon_sym_COLON,
    STATE(1777), 1,
      aux_sym_match_statement_repeat1,
  [83677] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2545), 1,
      anon_sym_and,
    ACTIONS(2547), 1,
      anon_sym_or,
    ACTIONS(2570), 1,
      anon_sym_as,
    ACTIONS(2572), 1,
      anon_sym_if,
    ACTIONS(2701), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [83698] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2391), 1,
      anon_sym_as,
    ACTIONS(2399), 1,
      anon_sym_and,
    ACTIONS(2401), 1,
      anon_sym_or,
    ACTIONS(2703), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [83717] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2594), 1,
      anon_sym_as,
    ACTIONS(2596), 1,
      anon_sym_if,
    ACTIONS(2602), 1,
      anon_sym_and,
    ACTIONS(2604), 1,
      anon_sym_or,
    ACTIONS(2705), 1,
      anon_sym_COLON,
    ACTIONS(1234), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [83740] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2707), 1,
      anon_sym_RPAREN,
    ACTIONS(2709), 1,
      anon_sym_if,
    ACTIONS(2712), 1,
      anon_sym_async,
    ACTIONS(2715), 1,
      anon_sym_for,
    STATE(1564), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [83761] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2718), 1,
      sym_identifier,
    ACTIONS(2720), 1,
      anon_sym_DOT,
    ACTIONS(2722), 1,
      anon_sym___future__,
    STATE(1751), 1,
      aux_sym_import_prefix_repeat1,
    STATE(1832), 1,
      sym_import_prefix,
    STATE(2108), 2,
      sym_relative_import,
      sym_dotted_name,
  [83784] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2395), 1,
      anon_sym_async,
    ACTIONS(2397), 1,
      anon_sym_for,
    ACTIONS(2724), 1,
      anon_sym_RPAREN,
    ACTIONS(2726), 1,
      anon_sym_if,
    STATE(1605), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [83805] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
  [83818] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2545), 1,
      anon_sym_and,
    ACTIONS(2547), 1,
      anon_sym_or,
    ACTIONS(2570), 1,
      anon_sym_as,
    ACTIONS(2572), 1,
      anon_sym_if,
    ACTIONS(2728), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_EQ,
  [83839] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2377), 1,
      anon_sym_async,
    ACTIONS(2379), 1,
      anon_sym_for,
    ACTIONS(2730), 1,
      anon_sym_COMMA,
    ACTIONS(2732), 1,
      anon_sym_RBRACE,
    STATE(1610), 1,
      sym_for_in_clause,
    STATE(1821), 1,
      aux_sym_dictionary_repeat1,
    STATE(2134), 1,
      sym__comprehension_clauses,
  [83864] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2553), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
  [83877] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2582), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
  [83890] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2377), 1,
      anon_sym_async,
    ACTIONS(2379), 1,
      anon_sym_for,
    ACTIONS(2734), 1,
      anon_sym_COMMA,
    ACTIONS(2736), 1,
      anon_sym_RBRACE,
    STATE(1610), 1,
      sym_for_in_clause,
    STATE(1867), 1,
      aux_sym_dictionary_repeat1,
    STATE(2092), 1,
      sym__comprehension_clauses,
  [83915] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_and,
    ACTIONS(2608), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2738), 1,
      anon_sym_COMMA,
    ACTIONS(2740), 1,
      anon_sym_COLON,
    STATE(1781), 1,
      aux_sym_assert_statement_repeat1,
  [83940] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2707), 1,
      anon_sym_RBRACE,
    ACTIONS(2742), 1,
      anon_sym_if,
    ACTIONS(2745), 1,
      anon_sym_async,
    ACTIONS(2748), 1,
      anon_sym_for,
    STATE(1574), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [83961] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2371), 1,
      anon_sym_as,
    ACTIONS(2381), 1,
      anon_sym_and,
    ACTIONS(2383), 1,
      anon_sym_or,
    ACTIONS(2703), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [83980] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2594), 1,
      anon_sym_as,
    ACTIONS(2596), 1,
      anon_sym_if,
    ACTIONS(2602), 1,
      anon_sym_and,
    ACTIONS(2604), 1,
      anon_sym_or,
    ACTIONS(2540), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [84001] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2751), 1,
      sym_identifier,
    ACTIONS(2753), 1,
      anon_sym_LPAREN,
    ACTIONS(2755), 1,
      anon_sym_STAR,
    STATE(1711), 1,
      sym_dotted_name,
    STATE(1745), 1,
      sym_aliased_import,
    STATE(1998), 1,
      sym_wildcard_import,
    STATE(2008), 1,
      sym__import_list,
  [84026] = 6,
    ACTIONS(2472), 1,
      sym_comment,
    ACTIONS(2757), 1,
      anon_sym_LBRACE2,
    ACTIONS(2762), 1,
      sym__not_escape_sequence,
    ACTIONS(2765), 1,
      sym__string_end,
    STATE(1578), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(2759), 3,
      sym__string_content,
      sym__escape_interpolation,
      sym_escape_sequence,
  [84047] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2582), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [84060] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2602), 1,
      anon_sym_and,
    ACTIONS(2604), 1,
      anon_sym_or,
    ACTIONS(2767), 1,
      anon_sym_as,
    ACTIONS(2535), 4,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [84079] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2602), 1,
      anon_sym_and,
    ACTIONS(2604), 1,
      anon_sym_or,
    ACTIONS(2551), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [84096] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2549), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [84109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2602), 1,
      anon_sym_and,
    ACTIONS(2549), 6,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_or,
  [84124] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2377), 1,
      anon_sym_async,
    ACTIONS(2379), 1,
      anon_sym_for,
    ACTIONS(2770), 1,
      anon_sym_if,
    ACTIONS(2772), 1,
      anon_sym_RBRACE,
    STATE(1574), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [84145] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2774), 1,
      anon_sym_as,
    ACTIONS(2776), 1,
      anon_sym_if,
    ACTIONS(2778), 1,
      anon_sym_and,
    ACTIONS(2780), 1,
      anon_sym_or,
    ACTIONS(2540), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
  [84166] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2409), 1,
      anon_sym_RPAREN,
    ACTIONS(2411), 1,
      anon_sym_COMMA,
    ACTIONS(2774), 1,
      anon_sym_as,
    ACTIONS(2776), 1,
      anon_sym_if,
    ACTIONS(2778), 1,
      anon_sym_and,
    ACTIONS(2780), 1,
      anon_sym_or,
    STATE(1836), 1,
      aux_sym_argument_list_repeat1,
  [84191] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2553), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [84204] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_and,
    ACTIONS(2608), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2728), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
  [84225] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2778), 1,
      anon_sym_and,
    ACTIONS(2780), 1,
      anon_sym_or,
    ACTIONS(2782), 1,
      anon_sym_as,
    ACTIONS(2535), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_EQ,
  [84244] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2377), 1,
      anon_sym_async,
    ACTIONS(2379), 1,
      anon_sym_for,
    ACTIONS(2785), 1,
      anon_sym_COMMA,
    ACTIONS(2787), 1,
      anon_sym_RBRACE,
    STATE(1610), 1,
      sym_for_in_clause,
    STATE(1884), 1,
      aux_sym_dictionary_repeat1,
    STATE(2069), 1,
      sym__comprehension_clauses,
  [84269] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2778), 1,
      anon_sym_and,
    ACTIONS(2780), 1,
      anon_sym_or,
    ACTIONS(2551), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_EQ,
  [84286] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2707), 1,
      anon_sym_RBRACK,
    ACTIONS(2789), 1,
      anon_sym_if,
    ACTIONS(2792), 1,
      anon_sym_async,
    ACTIONS(2795), 1,
      anon_sym_for,
    STATE(1592), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [84307] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2419), 1,
      anon_sym_as,
    ACTIONS(2427), 1,
      anon_sym_and,
    ACTIONS(2429), 1,
      anon_sym_or,
    ACTIONS(2703), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [84326] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2549), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
  [84339] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2594), 1,
      anon_sym_as,
    ACTIONS(2596), 1,
      anon_sym_if,
    ACTIONS(2598), 1,
      anon_sym_COLON,
    ACTIONS(2602), 1,
      anon_sym_and,
    ACTIONS(2604), 1,
      anon_sym_or,
    ACTIONS(2798), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [84362] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2492), 1,
      anon_sym_RPAREN,
    ACTIONS(2774), 1,
      anon_sym_as,
    ACTIONS(2776), 1,
      anon_sym_if,
    ACTIONS(2778), 1,
      anon_sym_and,
    ACTIONS(2780), 1,
      anon_sym_or,
    ACTIONS(2800), 1,
      anon_sym_COMMA,
    STATE(1819), 1,
      aux_sym_assert_statement_repeat1,
  [84387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2778), 1,
      anon_sym_and,
    ACTIONS(2549), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_or,
  [84402] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [84415] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2423), 1,
      anon_sym_async,
    ACTIONS(2425), 1,
      anon_sym_for,
    ACTIONS(2724), 1,
      anon_sym_RBRACK,
    ACTIONS(2802), 1,
      anon_sym_if,
    STATE(1615), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [84436] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2594), 1,
      anon_sym_as,
    ACTIONS(2596), 1,
      anon_sym_if,
    ACTIONS(2602), 1,
      anon_sym_and,
    ACTIONS(2604), 1,
      anon_sym_or,
    ACTIONS(2562), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [84457] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2774), 1,
      anon_sym_as,
    ACTIONS(2776), 1,
      anon_sym_if,
    ACTIONS(2778), 1,
      anon_sym_and,
    ACTIONS(2780), 1,
      anon_sym_or,
    ACTIONS(2728), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
  [84478] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2774), 1,
      anon_sym_as,
    ACTIONS(2776), 1,
      anon_sym_if,
    ACTIONS(2778), 1,
      anon_sym_and,
    ACTIONS(2780), 1,
      anon_sym_or,
    ACTIONS(2576), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
  [84499] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2377), 1,
      anon_sym_async,
    ACTIONS(2379), 1,
      anon_sym_for,
    ACTIONS(2804), 1,
      anon_sym_COMMA,
    ACTIONS(2806), 1,
      anon_sym_RBRACE,
    STATE(1610), 1,
      sym_for_in_clause,
    STATE(1938), 1,
      aux_sym_dictionary_repeat1,
    STATE(2140), 1,
      sym__comprehension_clauses,
  [84524] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_and,
    ACTIONS(2608), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2738), 1,
      anon_sym_COMMA,
    ACTIONS(2808), 1,
      anon_sym_COLON,
    STATE(1781), 1,
      aux_sym_assert_statement_repeat1,
  [84549] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2395), 1,
      anon_sym_async,
    ACTIONS(2397), 1,
      anon_sym_for,
    ACTIONS(2726), 1,
      anon_sym_if,
    ACTIONS(2772), 1,
      anon_sym_RPAREN,
    STATE(1564), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [84570] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2377), 1,
      anon_sym_async,
    ACTIONS(2379), 1,
      anon_sym_for,
    ACTIONS(2810), 1,
      anon_sym_COMMA,
    ACTIONS(2812), 1,
      anon_sym_RBRACE,
    STATE(1610), 1,
      sym_for_in_clause,
    STATE(1896), 1,
      aux_sym_dictionary_repeat1,
    STATE(2065), 1,
      sym__comprehension_clauses,
  [84595] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2492), 1,
      anon_sym_RBRACK,
    ACTIONS(2594), 1,
      anon_sym_as,
    ACTIONS(2596), 1,
      anon_sym_if,
    ACTIONS(2602), 1,
      anon_sym_and,
    ACTIONS(2604), 1,
      anon_sym_or,
    ACTIONS(2814), 1,
      anon_sym_COMMA,
    STATE(1798), 1,
      aux_sym_assert_statement_repeat1,
  [84620] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_and,
    ACTIONS(2608), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2738), 1,
      anon_sym_COMMA,
    ACTIONS(2816), 1,
      anon_sym_COLON,
    STATE(1781), 1,
      aux_sym_assert_statement_repeat1,
  [84645] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2774), 1,
      anon_sym_as,
    ACTIONS(2776), 1,
      anon_sym_if,
    ACTIONS(2778), 1,
      anon_sym_and,
    ACTIONS(2780), 1,
      anon_sym_or,
    ACTIONS(2562), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
  [84666] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2377), 1,
      anon_sym_async,
    ACTIONS(2379), 1,
      anon_sym_for,
    ACTIONS(2724), 1,
      anon_sym_RBRACE,
    ACTIONS(2770), 1,
      anon_sym_if,
    STATE(1584), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [84687] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2594), 1,
      anon_sym_as,
    ACTIONS(2596), 1,
      anon_sym_if,
    ACTIONS(2602), 1,
      anon_sym_and,
    ACTIONS(2604), 1,
      anon_sym_or,
    ACTIONS(2576), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [84708] = 6,
    ACTIONS(2472), 1,
      sym_comment,
    ACTIONS(2818), 1,
      anon_sym_LBRACE2,
    ACTIONS(2822), 1,
      sym__not_escape_sequence,
    ACTIONS(2824), 1,
      sym__string_end,
    STATE(1578), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(2820), 3,
      sym__string_content,
      sym__escape_interpolation,
      sym_escape_sequence,
  [84729] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1162), 1,
      anon_sym_COLON,
    ACTIONS(2594), 1,
      anon_sym_as,
    ACTIONS(2596), 1,
      anon_sym_if,
    ACTIONS(2602), 1,
      anon_sym_and,
    ACTIONS(2604), 1,
      anon_sym_or,
    ACTIONS(1160), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [84752] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_and,
    ACTIONS(2608), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2738), 1,
      anon_sym_COMMA,
    ACTIONS(2826), 1,
      anon_sym_COLON,
    STATE(1781), 1,
      aux_sym_assert_statement_repeat1,
  [84777] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2423), 1,
      anon_sym_async,
    ACTIONS(2425), 1,
      anon_sym_for,
    ACTIONS(2772), 1,
      anon_sym_RBRACK,
    ACTIONS(2802), 1,
      anon_sym_if,
    STATE(1592), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [84798] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_and,
    ACTIONS(2608), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2828), 1,
      anon_sym_COMMA,
    ACTIONS(2830), 1,
      anon_sym_COLON,
    STATE(1911), 1,
      aux_sym_match_statement_repeat1,
  [84823] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2377), 1,
      anon_sym_async,
    ACTIONS(2379), 1,
      anon_sym_for,
    ACTIONS(2832), 1,
      anon_sym_COMMA,
    ACTIONS(2834), 1,
      anon_sym_RBRACE,
    STATE(1610), 1,
      sym_for_in_clause,
    STATE(1953), 1,
      aux_sym_dictionary_repeat1,
    STATE(2158), 1,
      sym__comprehension_clauses,
  [84848] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2377), 1,
      anon_sym_async,
    ACTIONS(2379), 1,
      anon_sym_for,
    ACTIONS(2836), 1,
      anon_sym_COMMA,
    ACTIONS(2838), 1,
      anon_sym_RBRACE,
    STATE(1610), 1,
      sym_for_in_clause,
    STATE(1780), 1,
      aux_sym_dictionary_repeat1,
    STATE(2192), 1,
      sym__comprehension_clauses,
  [84873] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2377), 1,
      anon_sym_async,
    ACTIONS(2379), 1,
      anon_sym_for,
    ACTIONS(2840), 1,
      anon_sym_COMMA,
    ACTIONS(2842), 1,
      anon_sym_RBRACE,
    STATE(1610), 1,
      sym_for_in_clause,
    STATE(1914), 1,
      aux_sym_dictionary_repeat1,
    STATE(2055), 1,
      sym__comprehension_clauses,
  [84898] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2846), 1,
      anon_sym_DOT,
    STATE(1674), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(2844), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
  [84914] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2488), 1,
      anon_sym_as,
    ACTIONS(2490), 1,
      anon_sym_if,
    ACTIONS(2494), 1,
      anon_sym_and,
    ACTIONS(2496), 1,
      anon_sym_or,
    ACTIONS(2620), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [84934] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2774), 1,
      anon_sym_as,
    ACTIONS(2776), 1,
      anon_sym_if,
    ACTIONS(2778), 1,
      anon_sym_and,
    ACTIONS(2780), 1,
      anon_sym_or,
    ACTIONS(2848), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [84954] = 3,
    ACTIONS(2472), 1,
      sym_comment,
    ACTIONS(2850), 2,
      anon_sym_LBRACE2,
      sym__not_escape_sequence,
    ACTIONS(2852), 4,
      sym__string_content,
      sym__string_end,
      sym__escape_interpolation,
      sym_escape_sequence,
  [84968] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2774), 1,
      anon_sym_as,
    ACTIONS(2776), 1,
      anon_sym_if,
    ACTIONS(2778), 1,
      anon_sym_and,
    ACTIONS(2780), 1,
      anon_sym_or,
    ACTIONS(2854), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [84988] = 3,
    ACTIONS(2472), 1,
      sym_comment,
    ACTIONS(2856), 2,
      anon_sym_LBRACE2,
      sym__not_escape_sequence,
    ACTIONS(2858), 4,
      sym__string_content,
      sym__string_end,
      sym__escape_interpolation,
      sym_escape_sequence,
  [85002] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2594), 1,
      anon_sym_as,
    ACTIONS(2596), 1,
      anon_sym_if,
    ACTIONS(2602), 1,
      anon_sym_and,
    ACTIONS(2604), 1,
      anon_sym_or,
    ACTIONS(1222), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [85022] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2860), 1,
      anon_sym_COMMA,
    STATE(1677), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(1034), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [85038] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2774), 1,
      anon_sym_as,
    ACTIONS(2776), 1,
      anon_sym_if,
    ACTIONS(2778), 1,
      anon_sym_and,
    ACTIONS(2780), 1,
      anon_sym_or,
    ACTIONS(2862), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [85058] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2864), 1,
      anon_sym_COMMA,
    STATE(1684), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(2866), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [85074] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2545), 1,
      anon_sym_and,
    ACTIONS(2547), 1,
      anon_sym_or,
    ACTIONS(2570), 1,
      anon_sym_as,
    ACTIONS(2572), 1,
      anon_sym_if,
    ACTIONS(2868), 2,
      sym__newline,
      anon_sym_SEMI,
  [85094] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2872), 1,
      anon_sym_COMMA,
    STATE(1680), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(2870), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [85110] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_and,
    ACTIONS(2608), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2874), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [85130] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2878), 1,
      anon_sym_COMMA,
    STATE(1633), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(2876), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [85146] = 3,
    ACTIONS(2472), 1,
      sym_comment,
    ACTIONS(2881), 2,
      anon_sym_LBRACE2,
      sym__not_escape_sequence,
    ACTIONS(2883), 4,
      sym__string_content,
      sym__string_end,
      sym__escape_interpolation,
      sym_escape_sequence,
  [85160] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2594), 1,
      anon_sym_as,
    ACTIONS(2596), 1,
      anon_sym_if,
    ACTIONS(2602), 1,
      anon_sym_and,
    ACTIONS(2604), 1,
      anon_sym_or,
    ACTIONS(2885), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [85180] = 3,
    ACTIONS(2472), 1,
      sym_comment,
    ACTIONS(2887), 2,
      anon_sym_LBRACE2,
      sym__not_escape_sequence,
    ACTIONS(2889), 4,
      sym__string_content,
      sym__string_end,
      sym__escape_interpolation,
      sym_escape_sequence,
  [85194] = 3,
    ACTIONS(2472), 1,
      sym_comment,
    ACTIONS(2891), 2,
      anon_sym_LBRACE2,
      sym__not_escape_sequence,
    ACTIONS(2893), 4,
      sym__string_content,
      sym__string_end,
      sym__escape_interpolation,
      sym_escape_sequence,
  [85208] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2774), 1,
      anon_sym_as,
    ACTIONS(2776), 1,
      anon_sym_if,
    ACTIONS(2778), 1,
      anon_sym_and,
    ACTIONS(2780), 1,
      anon_sym_or,
    ACTIONS(2895), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [85228] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2897), 1,
      anon_sym_COMMA,
    STATE(1639), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(2876), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [85244] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2545), 1,
      anon_sym_and,
    ACTIONS(2547), 1,
      anon_sym_or,
    ACTIONS(2570), 1,
      anon_sym_as,
    ACTIONS(2572), 1,
      anon_sym_if,
    ACTIONS(2560), 2,
      sym__newline,
      anon_sym_SEMI,
  [85264] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2900), 1,
      anon_sym_COMMA,
    STATE(1649), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(2902), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [85280] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_and,
    ACTIONS(2608), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2904), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [85300] = 3,
    ACTIONS(2472), 1,
      sym_comment,
    ACTIONS(2906), 2,
      anon_sym_LBRACE2,
      sym__not_escape_sequence,
    ACTIONS(2908), 4,
      sym__string_content,
      sym__string_end,
      sym__escape_interpolation,
      sym_escape_sequence,
  [85314] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2488), 1,
      anon_sym_as,
    ACTIONS(2490), 1,
      anon_sym_if,
    ACTIONS(2494), 1,
      anon_sym_and,
    ACTIONS(2496), 1,
      anon_sym_or,
    ACTIONS(2910), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [85334] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2912), 1,
      anon_sym_COMMA,
    STATE(1684), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(2914), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [85350] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2916), 1,
      anon_sym_COMMA,
    STATE(1629), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(2902), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [85366] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2774), 1,
      anon_sym_as,
    ACTIONS(2776), 1,
      anon_sym_if,
    ACTIONS(2778), 1,
      anon_sym_and,
    ACTIONS(2780), 1,
      anon_sym_or,
    ACTIONS(2918), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [85386] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2920), 1,
      anon_sym_COMMA,
    STATE(1633), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(2866), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [85402] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2922), 1,
      anon_sym_COMMA,
    STATE(1639), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(2866), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [85418] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2924), 1,
      anon_sym_COMMA,
    STATE(1639), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(2914), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [85434] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2774), 1,
      anon_sym_as,
    ACTIONS(2776), 1,
      anon_sym_if,
    ACTIONS(2778), 1,
      anon_sym_and,
    ACTIONS(2780), 1,
      anon_sym_or,
    ACTIONS(2885), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [85454] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2774), 1,
      anon_sym_as,
    ACTIONS(2776), 1,
      anon_sym_if,
    ACTIONS(2778), 1,
      anon_sym_and,
    ACTIONS(2780), 1,
      anon_sym_or,
    ACTIONS(2926), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [85474] = 3,
    ACTIONS(2472), 1,
      sym_comment,
    ACTIONS(2928), 2,
      anon_sym_LBRACE2,
      sym__not_escape_sequence,
    ACTIONS(2930), 4,
      sym__string_content,
      sym__string_end,
      sym__escape_interpolation,
      sym_escape_sequence,
  [85488] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2594), 1,
      anon_sym_as,
    ACTIONS(2596), 1,
      anon_sym_if,
    ACTIONS(2602), 1,
      anon_sym_and,
    ACTIONS(2604), 1,
      anon_sym_or,
    ACTIONS(2932), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [85508] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2774), 1,
      anon_sym_as,
    ACTIONS(2776), 1,
      anon_sym_if,
    ACTIONS(2778), 1,
      anon_sym_and,
    ACTIONS(2780), 1,
      anon_sym_or,
    ACTIONS(2904), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [85528] = 3,
    ACTIONS(2472), 1,
      sym_comment,
    ACTIONS(2934), 2,
      anon_sym_LBRACE2,
      sym__not_escape_sequence,
    ACTIONS(2936), 4,
      sym__string_content,
      sym__string_end,
      sym__escape_interpolation,
      sym_escape_sequence,
  [85542] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2594), 1,
      anon_sym_as,
    ACTIONS(2596), 1,
      anon_sym_if,
    ACTIONS(2602), 1,
      anon_sym_and,
    ACTIONS(2604), 1,
      anon_sym_or,
    ACTIONS(2578), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [85562] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2594), 1,
      anon_sym_as,
    ACTIONS(2596), 1,
      anon_sym_if,
    ACTIONS(2602), 1,
      anon_sym_and,
    ACTIONS(2604), 1,
      anon_sym_or,
    ACTIONS(2560), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [85582] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_and,
    ACTIONS(2608), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2918), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [85602] = 3,
    ACTIONS(2472), 1,
      sym_comment,
    ACTIONS(2938), 2,
      anon_sym_LBRACE2,
      sym__not_escape_sequence,
    ACTIONS(2940), 4,
      sym__string_content,
      sym__string_end,
      sym__escape_interpolation,
      sym_escape_sequence,
  [85616] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2942), 1,
      anon_sym_COMMA,
    STATE(1650), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(2870), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [85632] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2488), 1,
      anon_sym_as,
    ACTIONS(2490), 1,
      anon_sym_if,
    ACTIONS(2494), 1,
      anon_sym_and,
    ACTIONS(2496), 1,
      anon_sym_or,
    ACTIONS(2895), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [85652] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2944), 1,
      anon_sym_COMMA,
    STATE(1645), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(2870), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [85668] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_and,
    ACTIONS(2608), 1,
      anon_sym_or,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2946), 1,
      anon_sym_COMMA,
    ACTIONS(2948), 1,
      anon_sym_as,
    ACTIONS(2950), 1,
      anon_sym_COLON,
  [85690] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2545), 1,
      anon_sym_and,
    ACTIONS(2547), 1,
      anon_sym_or,
    ACTIONS(2570), 1,
      anon_sym_as,
    ACTIONS(2572), 1,
      anon_sym_if,
    ACTIONS(2952), 2,
      sym__newline,
      anon_sym_SEMI,
  [85710] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2774), 1,
      anon_sym_as,
    ACTIONS(2776), 1,
      anon_sym_if,
    ACTIONS(2778), 1,
      anon_sym_and,
    ACTIONS(2780), 1,
      anon_sym_or,
    ACTIONS(2560), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [85730] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2774), 1,
      anon_sym_as,
    ACTIONS(2776), 1,
      anon_sym_if,
    ACTIONS(2778), 1,
      anon_sym_and,
    ACTIONS(2780), 1,
      anon_sym_or,
    ACTIONS(2578), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [85750] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2774), 1,
      anon_sym_as,
    ACTIONS(2776), 1,
      anon_sym_if,
    ACTIONS(2778), 1,
      anon_sym_and,
    ACTIONS(2780), 1,
      anon_sym_or,
    ACTIONS(2910), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [85770] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2954), 1,
      anon_sym_COMMA,
    STATE(1648), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(2902), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [85786] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_and,
    ACTIONS(2608), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2578), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [85806] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2594), 1,
      anon_sym_as,
    ACTIONS(2596), 1,
      anon_sym_if,
    ACTIONS(2602), 1,
      anon_sym_and,
    ACTIONS(2604), 1,
      anon_sym_or,
    ACTIONS(2895), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [85826] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_and,
    ACTIONS(2608), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2703), 1,
      anon_sym_COLON,
    ACTIONS(2956), 1,
      anon_sym_else,
  [85848] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_and,
    ACTIONS(2608), 1,
      anon_sym_or,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2948), 1,
      anon_sym_as,
    ACTIONS(2958), 1,
      anon_sym_COMMA,
    ACTIONS(2960), 1,
      anon_sym_COLON,
  [85870] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2846), 1,
      anon_sym_DOT,
    STATE(1683), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(2962), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
  [85886] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_and,
    ACTIONS(2608), 1,
      anon_sym_or,
    ACTIONS(2551), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [85902] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2488), 1,
      anon_sym_as,
    ACTIONS(2490), 1,
      anon_sym_if,
    ACTIONS(2494), 1,
      anon_sym_and,
    ACTIONS(2496), 1,
      anon_sym_or,
    ACTIONS(2885), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [85922] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2964), 1,
      anon_sym_COMMA,
    STATE(1677), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(2578), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [85938] = 3,
    ACTIONS(2472), 1,
      sym_comment,
    ACTIONS(2967), 2,
      anon_sym_LBRACE2,
      sym__not_escape_sequence,
    ACTIONS(2969), 4,
      sym__string_content,
      sym__string_end,
      sym__escape_interpolation,
      sym_escape_sequence,
  [85952] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2594), 1,
      anon_sym_as,
    ACTIONS(2596), 1,
      anon_sym_if,
    ACTIONS(2602), 1,
      anon_sym_and,
    ACTIONS(2604), 1,
      anon_sym_or,
    ACTIONS(1234), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [85972] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2971), 1,
      anon_sym_COMMA,
    STATE(1633), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(2914), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [85988] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2975), 1,
      anon_sym_AT,
    STATE(1681), 2,
      sym_decorator,
      aux_sym_decorated_definition_repeat1,
    ACTIONS(2973), 3,
      anon_sym_async,
      anon_sym_def,
      anon_sym_class,
  [86004] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_and,
    ACTIONS(2608), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2862), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [86024] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2980), 1,
      anon_sym_DOT,
    STATE(1683), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(2978), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
  [86040] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2983), 1,
      anon_sym_COMMA,
    STATE(1684), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(2876), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [86056] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_and,
    ACTIONS(2608), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2986), 3,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
  [86074] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_and,
    ACTIONS(2608), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2988), 1,
      anon_sym_COLON,
  [86093] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2990), 1,
      anon_sym_COMMA,
    STATE(1687), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(2578), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
  [86108] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2993), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [86119] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_and,
    ACTIONS(2608), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2995), 1,
      anon_sym_else,
  [86138] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_and,
    ACTIONS(2608), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2997), 1,
      anon_sym_else,
  [86157] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2978), 5,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
  [86168] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2999), 1,
      anon_sym_COMMA,
    ACTIONS(3001), 1,
      anon_sym_if,
    ACTIONS(3003), 1,
      anon_sym_COLON,
    STATE(1743), 1,
      aux_sym_case_clause_repeat1,
    STATE(2115), 1,
      sym_if_clause,
  [86187] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3001), 1,
      anon_sym_if,
    ACTIONS(3005), 1,
      anon_sym_COMMA,
    ACTIONS(3007), 1,
      anon_sym_COLON,
    STATE(1743), 1,
      aux_sym_case_clause_repeat1,
    STATE(2095), 1,
      sym_if_clause,
  [86206] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_and,
    ACTIONS(2608), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(3009), 1,
      anon_sym_COLON,
  [86225] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3011), 1,
      anon_sym_DOT,
    STATE(1725), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(2844), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [86240] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_and,
    ACTIONS(2608), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(3013), 1,
      anon_sym_COLON,
  [86259] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_and,
    ACTIONS(2608), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(3015), 1,
      anon_sym_COLON,
  [86278] = 6,
    ACTIONS(2472), 1,
      sym_comment,
    ACTIONS(3017), 1,
      anon_sym_RBRACE,
    ACTIONS(3019), 1,
      anon_sym_LBRACE2,
    ACTIONS(3021), 1,
      aux_sym_format_specifier_token1,
    STATE(1717), 1,
      aux_sym_format_specifier_repeat1,
    STATE(1791), 1,
      sym_interpolation,
  [86297] = 6,
    ACTIONS(2472), 1,
      sym_comment,
    ACTIONS(3019), 1,
      anon_sym_LBRACE2,
    ACTIONS(3023), 1,
      anon_sym_RBRACE,
    ACTIONS(3025), 1,
      aux_sym_format_specifier_token1,
    STATE(1698), 1,
      aux_sym_format_specifier_repeat1,
    STATE(1791), 1,
      sym_interpolation,
  [86316] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_and,
    ACTIONS(2608), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(3027), 1,
      anon_sym_COLON,
  [86335] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2492), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [86346] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_and,
    ACTIONS(2608), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(3029), 1,
      anon_sym_else,
  [86365] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3031), 1,
      anon_sym_DOT,
    STATE(1703), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(2978), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [86380] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3001), 1,
      anon_sym_if,
    ACTIONS(3034), 1,
      anon_sym_COMMA,
    ACTIONS(3036), 1,
      anon_sym_COLON,
    STATE(1743), 1,
      aux_sym_case_clause_repeat1,
    STATE(2157), 1,
      sym_if_clause,
  [86399] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3001), 1,
      anon_sym_if,
    ACTIONS(3038), 1,
      anon_sym_COMMA,
    ACTIONS(3040), 1,
      anon_sym_COLON,
    STATE(1743), 1,
      aux_sym_case_clause_repeat1,
    STATE(2159), 1,
      sym_if_clause,
  [86418] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2751), 1,
      sym_identifier,
    STATE(1767), 1,
      sym_dotted_name,
    STATE(1895), 1,
      sym_aliased_import,
    ACTIONS(3042), 2,
      sym__newline,
      anon_sym_SEMI,
  [86435] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3044), 1,
      anon_sym_COMMA,
    STATE(1687), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(1034), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
  [86450] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3046), 1,
      anon_sym_COLON,
    ACTIONS(3048), 1,
      anon_sym_EQ,
    ACTIONS(3050), 1,
      anon_sym_RBRACE,
    ACTIONS(3052), 1,
      sym_type_conversion,
    STATE(2061), 1,
      sym_format_specifier,
  [86469] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2876), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [86480] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_and,
    ACTIONS(2608), 1,
      anon_sym_or,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(3054), 1,
      anon_sym_as,
    ACTIONS(3056), 1,
      anon_sym_COLON,
  [86499] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3060), 1,
      anon_sym_COMMA,
    ACTIONS(3062), 1,
      anon_sym_as,
    STATE(1761), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3058), 2,
      sym__newline,
      anon_sym_SEMI,
  [86516] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3064), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [86527] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2751), 1,
      sym_identifier,
    STATE(1767), 1,
      sym_dotted_name,
    STATE(1895), 1,
      sym_aliased_import,
    ACTIONS(3066), 2,
      sym__newline,
      anon_sym_SEMI,
  [86544] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_and,
    ACTIONS(2608), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(3068), 1,
      anon_sym_COLON,
  [86563] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_and,
    ACTIONS(2608), 1,
      anon_sym_or,
    ACTIONS(2551), 3,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [86578] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2751), 1,
      sym_identifier,
    ACTIONS(3070), 1,
      anon_sym_LPAREN,
    STATE(1711), 1,
      sym_dotted_name,
    STATE(1745), 1,
      sym_aliased_import,
    STATE(2026), 1,
      sym__import_list,
  [86597] = 6,
    ACTIONS(2472), 1,
      sym_comment,
    ACTIONS(3072), 1,
      anon_sym_RBRACE,
    ACTIONS(3074), 1,
      anon_sym_LBRACE2,
    ACTIONS(3077), 1,
      aux_sym_format_specifier_token1,
    STATE(1717), 1,
      aux_sym_format_specifier_repeat1,
    STATE(1791), 1,
      sym_interpolation,
  [86616] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2751), 1,
      sym_identifier,
    STATE(1767), 1,
      sym_dotted_name,
    STATE(1895), 1,
      sym_aliased_import,
    ACTIONS(3042), 2,
      sym__newline,
      anon_sym_SEMI,
  [86633] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3064), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [86644] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_and,
    ACTIONS(2608), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2703), 1,
      anon_sym_COLON,
  [86663] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_and,
    ACTIONS(2608), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(3080), 1,
      anon_sym_COLON,
  [86682] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2993), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [86693] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3064), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [86704] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_and,
    ACTIONS(2608), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(3082), 1,
      anon_sym_COLON,
  [86723] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3011), 1,
      anon_sym_DOT,
    STATE(1703), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(2962), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [86738] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_and,
    ACTIONS(2608), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(3084), 1,
      anon_sym_COLON,
  [86757] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2876), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [86768] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_and,
    ACTIONS(2608), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2956), 1,
      anon_sym_else,
  [86787] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2993), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [86798] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_and,
    ACTIONS(2608), 1,
      anon_sym_or,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(3054), 1,
      anon_sym_as,
    ACTIONS(3086), 1,
      anon_sym_COLON,
  [86817] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_and,
    ACTIONS(2608), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(3088), 1,
      anon_sym_else,
  [86836] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2876), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [86847] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_and,
    ACTIONS(2608), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(3090), 1,
      anon_sym_else,
  [86866] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3046), 1,
      anon_sym_COLON,
    ACTIONS(3092), 1,
      anon_sym_EQ,
    ACTIONS(3094), 1,
      anon_sym_RBRACE,
    ACTIONS(3096), 1,
      sym_type_conversion,
    STATE(2096), 1,
      sym_format_specifier,
  [86885] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_and,
    ACTIONS(2608), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(3098), 1,
      anon_sym_else,
  [86904] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_COMMA,
    ACTIONS(2678), 1,
      anon_sym_COLON,
    ACTIONS(3001), 1,
      anon_sym_if,
    STATE(1693), 1,
      aux_sym_case_clause_repeat1,
    STATE(2072), 1,
      sym_if_clause,
  [86923] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_and,
    ACTIONS(2608), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(3100), 1,
      anon_sym_else,
  [86942] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2633), 1,
      anon_sym_COMMA,
    ACTIONS(2637), 1,
      anon_sym_COLON,
    ACTIONS(3001), 1,
      anon_sym_if,
    STATE(1704), 1,
      aux_sym_case_clause_repeat1,
    STATE(2150), 1,
      sym_if_clause,
  [86961] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2545), 1,
      anon_sym_and,
    ACTIONS(2547), 1,
      anon_sym_or,
    ACTIONS(2570), 1,
      anon_sym_as,
    ACTIONS(2572), 1,
      anon_sym_if,
    ACTIONS(3102), 1,
      sym__newline,
  [86980] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3104), 4,
      anon_sym_async,
      anon_sym_def,
      anon_sym_class,
      anon_sym_AT,
  [86990] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3108), 1,
      anon_sym_COMMA,
    STATE(1757), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3106), 2,
      sym__newline,
      anon_sym_SEMI,
  [87004] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3112), 1,
      anon_sym_COMMA,
    STATE(1742), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3110), 2,
      sym__newline,
      anon_sym_SEMI,
  [87018] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3115), 1,
      anon_sym_COMMA,
    STATE(1743), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3118), 2,
      anon_sym_if,
      anon_sym_COLON,
  [87032] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3120), 1,
      sym_identifier,
    STATE(1753), 1,
      sym_dotted_name,
    STATE(1924), 1,
      sym_aliased_import,
    STATE(2127), 1,
      sym__import_list,
  [87048] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3060), 1,
      anon_sym_COMMA,
    STATE(1762), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3058), 2,
      sym__newline,
      anon_sym_SEMI,
  [87062] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3042), 1,
      anon_sym_RPAREN,
    ACTIONS(3120), 1,
      sym_identifier,
    STATE(1939), 1,
      sym_dotted_name,
    STATE(2003), 1,
      sym_aliased_import,
  [87078] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3124), 1,
      anon_sym_COMMA,
    STATE(1766), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3122), 2,
      sym__newline,
      anon_sym_SEMI,
  [87092] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3108), 1,
      anon_sym_COMMA,
    STATE(1758), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3126), 2,
      sym__newline,
      anon_sym_SEMI,
  [87106] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2670), 1,
      anon_sym_COMMA,
    STATE(1687), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3128), 2,
      sym__newline,
      anon_sym_SEMI,
  [87120] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3120), 1,
      sym_identifier,
    STATE(1753), 1,
      sym_dotted_name,
    STATE(1924), 1,
      sym_aliased_import,
    STATE(2180), 1,
      sym__import_list,
  [87136] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3132), 1,
      anon_sym_DOT,
    STATE(1756), 1,
      aux_sym_import_prefix_repeat1,
    ACTIONS(3130), 2,
      anon_sym_import,
      sym_identifier,
  [87150] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3042), 1,
      anon_sym_RPAREN,
    ACTIONS(3120), 1,
      sym_identifier,
    STATE(1939), 1,
      sym_dotted_name,
    STATE(2003), 1,
      sym_aliased_import,
  [87166] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3058), 1,
      anon_sym_RPAREN,
    ACTIONS(3134), 1,
      anon_sym_COMMA,
    ACTIONS(3136), 1,
      anon_sym_as,
    STATE(1858), 1,
      aux_sym__import_list_repeat1,
  [87182] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3046), 1,
      anon_sym_COLON,
    ACTIONS(3138), 1,
      anon_sym_RBRACE,
    ACTIONS(3140), 1,
      sym_type_conversion,
    STATE(2186), 1,
      sym_format_specifier,
  [87198] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3144), 1,
      anon_sym_COLON,
    ACTIONS(3146), 1,
      anon_sym_EQ,
    ACTIONS(3142), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [87212] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3150), 1,
      anon_sym_DOT,
    STATE(1756), 1,
      aux_sym_import_prefix_repeat1,
    ACTIONS(3148), 2,
      anon_sym_import,
      sym_identifier,
  [87226] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3108), 1,
      anon_sym_COMMA,
    STATE(1769), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3153), 2,
      sym__newline,
      anon_sym_SEMI,
  [87240] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3108), 1,
      anon_sym_COMMA,
    STATE(1769), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3155), 2,
      sym__newline,
      anon_sym_SEMI,
  [87254] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3157), 1,
      anon_sym_COMMA,
    STATE(1687), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(1230), 2,
      sym__newline,
      anon_sym_SEMI,
  [87268] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2751), 1,
      sym_identifier,
    STATE(1711), 1,
      sym_dotted_name,
    STATE(1745), 1,
      sym_aliased_import,
    STATE(2015), 1,
      sym__import_list,
  [87284] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3161), 1,
      anon_sym_COMMA,
    STATE(1763), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3159), 2,
      sym__newline,
      anon_sym_SEMI,
  [87298] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3163), 1,
      anon_sym_COMMA,
    STATE(1763), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3159), 2,
      sym__newline,
      anon_sym_SEMI,
  [87312] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3167), 1,
      anon_sym_COMMA,
    STATE(1763), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3165), 2,
      sym__newline,
      anon_sym_SEMI,
  [87326] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2670), 1,
      anon_sym_COMMA,
    STATE(1687), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3170), 2,
      sym__newline,
      anon_sym_SEMI,
  [87340] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3174), 1,
      anon_sym_COMMA,
    STATE(1742), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3172), 2,
      sym__newline,
      anon_sym_SEMI,
  [87354] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3178), 1,
      anon_sym_COMMA,
    STATE(1742), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3176), 2,
      sym__newline,
      anon_sym_SEMI,
  [87368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      anon_sym_as,
    ACTIONS(3180), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [87380] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2978), 4,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [87390] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3184), 1,
      anon_sym_COMMA,
    STATE(1769), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3182), 2,
      sym__newline,
      anon_sym_SEMI,
  [87404] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3046), 1,
      anon_sym_COLON,
    ACTIONS(3187), 1,
      anon_sym_RBRACE,
    ACTIONS(3189), 1,
      sym_type_conversion,
    STATE(2102), 1,
      sym_format_specifier,
  [87420] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3066), 1,
      anon_sym_RPAREN,
    ACTIONS(3120), 1,
      sym_identifier,
    STATE(1939), 1,
      sym_dotted_name,
    STATE(2003), 1,
      sym_aliased_import,
  [87436] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3191), 1,
      anon_sym_SEMI,
    ACTIONS(3193), 1,
      sym__newline,
    STATE(1811), 1,
      aux_sym__simple_statements_repeat1,
  [87449] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3195), 1,
      anon_sym_SEMI,
    ACTIONS(3197), 1,
      sym__newline,
    STATE(1960), 1,
      aux_sym__simple_statements_repeat1,
  [87462] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3199), 1,
      anon_sym_COMMA,
    ACTIONS(3202), 1,
      anon_sym_RBRACE,
    STATE(1774), 1,
      aux_sym_dictionary_repeat1,
  [87475] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_COMMA,
    ACTIONS(3204), 1,
      anon_sym_in,
    STATE(1382), 1,
      aux_sym__patterns_repeat1,
  [87488] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_COMMA,
    ACTIONS(3206), 1,
      anon_sym_in,
    STATE(1382), 1,
      aux_sym__patterns_repeat1,
  [87501] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3208), 1,
      anon_sym_COMMA,
    ACTIONS(3210), 1,
      anon_sym_COLON,
    STATE(1830), 1,
      aux_sym_match_statement_repeat1,
  [87514] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2365), 1,
      anon_sym_COLON,
    ACTIONS(3212), 1,
      anon_sym_COMMA,
    STATE(1783), 1,
      aux_sym__parameters_repeat1,
  [87527] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_COMMA,
    ACTIONS(3214), 1,
      anon_sym_in,
    STATE(1382), 1,
      aux_sym__patterns_repeat1,
  [87540] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1104), 1,
      anon_sym_RBRACE,
    ACTIONS(3216), 1,
      anon_sym_COMMA,
    STATE(1774), 1,
      aux_sym_dictionary_repeat1,
  [87553] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1034), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_COMMA,
    STATE(1782), 1,
      aux_sym_assert_statement_repeat1,
  [87566] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2578), 1,
      anon_sym_COLON,
    ACTIONS(3220), 1,
      anon_sym_COMMA,
    STATE(1782), 1,
      aux_sym_assert_statement_repeat1,
  [87579] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3223), 1,
      anon_sym_COMMA,
    ACTIONS(3226), 1,
      anon_sym_COLON,
    STATE(1783), 1,
      aux_sym__parameters_repeat1,
  [87592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3230), 1,
      anon_sym_EQ,
    ACTIONS(3228), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [87603] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(948), 1,
      anon_sym_RPAREN,
    ACTIONS(3232), 1,
      anon_sym_COMMA,
    STATE(1866), 1,
      aux_sym_argument_list_repeat1,
  [87616] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1206), 1,
      anon_sym_COLON,
    ACTIONS(3234), 1,
      anon_sym_COMMA,
    STATE(1805), 1,
      aux_sym_with_clause_repeat1,
  [87629] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(970), 1,
      anon_sym_RPAREN,
    ACTIONS(3236), 1,
      anon_sym_COMMA,
    STATE(1866), 1,
      aux_sym_argument_list_repeat1,
  [87642] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3238), 1,
      anon_sym_RPAREN,
    ACTIONS(3240), 1,
      anon_sym_COMMA,
    STATE(1809), 1,
      aux_sym_with_clause_repeat1,
  [87655] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3242), 1,
      anon_sym_COMMA,
    ACTIONS(3244), 1,
      anon_sym_RBRACK,
    STATE(1844), 1,
      aux_sym_subscript_repeat1,
  [87668] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3246), 1,
      anon_sym_COMMA,
    ACTIONS(3248), 1,
      anon_sym_RBRACK,
    STATE(1844), 1,
      aux_sym_subscript_repeat1,
  [87681] = 3,
    ACTIONS(2472), 1,
      sym_comment,
    ACTIONS(3250), 1,
      anon_sym_RBRACE,
    ACTIONS(3252), 2,
      anon_sym_LBRACE2,
      aux_sym_format_specifier_token1,
  [87692] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2578), 1,
      anon_sym_RBRACK,
    ACTIONS(3254), 1,
      anon_sym_COMMA,
    STATE(1792), 1,
      aux_sym_assert_statement_repeat1,
  [87705] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3257), 1,
      anon_sym_SEMI,
    ACTIONS(3259), 1,
      sym__newline,
    STATE(1910), 1,
      aux_sym__simple_statements_repeat1,
  [87718] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3261), 1,
      anon_sym_SEMI,
    ACTIONS(3264), 1,
      sym__newline,
    STATE(1794), 1,
      aux_sym__simple_statements_repeat1,
  [87731] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3046), 1,
      anon_sym_COLON,
    ACTIONS(3266), 1,
      anon_sym_RBRACE,
    STATE(2098), 1,
      sym_format_specifier,
  [87744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3270), 1,
      anon_sym_EQ,
    ACTIONS(3268), 2,
      sym__newline,
      anon_sym_SEMI,
  [87755] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2389), 1,
      anon_sym_COMMA,
    ACTIONS(2441), 1,
      anon_sym_RPAREN,
    STATE(1824), 1,
      aux_sym__collection_elements_repeat1,
  [87768] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1034), 1,
      anon_sym_RBRACK,
    ACTIONS(3272), 1,
      anon_sym_COMMA,
    STATE(1792), 1,
      aux_sym_assert_statement_repeat1,
  [87781] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2056), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_in,
  [87790] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_RBRACK,
    ACTIONS(3274), 1,
      anon_sym_COMMA,
    STATE(1818), 1,
      aux_sym__patterns_repeat1,
  [87803] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2751), 1,
      sym_identifier,
    STATE(1767), 1,
      sym_dotted_name,
    STATE(1895), 1,
      sym_aliased_import,
  [87816] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_COMMA,
    ACTIONS(3276), 1,
      anon_sym_in,
    STATE(1382), 1,
      aux_sym__patterns_repeat1,
  [87829] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3182), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [87838] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2052), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_in,
  [87847] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3278), 1,
      anon_sym_COMMA,
    ACTIONS(3281), 1,
      anon_sym_COLON,
    STATE(1805), 1,
      aux_sym_with_clause_repeat1,
  [87860] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_COMMA,
    ACTIONS(3283), 1,
      anon_sym_in,
    STATE(1382), 1,
      aux_sym__patterns_repeat1,
  [87873] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2730), 1,
      anon_sym_COMMA,
    ACTIONS(2732), 1,
      anon_sym_RBRACE,
    STATE(1821), 1,
      aux_sym_dictionary_repeat1,
  [87886] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_COMMA,
    ACTIONS(3285), 1,
      anon_sym_in,
    STATE(1382), 1,
      aux_sym__patterns_repeat1,
  [87899] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1218), 1,
      anon_sym_RPAREN,
    ACTIONS(3287), 1,
      anon_sym_COMMA,
    STATE(1908), 1,
      aux_sym_with_clause_repeat1,
  [87912] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_RPAREN,
    ACTIONS(3289), 1,
      anon_sym_COMMA,
    STATE(1855), 1,
      aux_sym__patterns_repeat1,
  [87925] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(583), 1,
      sym__newline,
    ACTIONS(3291), 1,
      anon_sym_SEMI,
    STATE(1794), 1,
      aux_sym__simple_statements_repeat1,
  [87938] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2885), 1,
      anon_sym_RBRACE,
    ACTIONS(3293), 1,
      anon_sym_COMMA,
    STATE(1812), 1,
      aux_sym__collection_elements_repeat1,
  [87951] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1026), 1,
      anon_sym_RBRACK,
    ACTIONS(3296), 1,
      anon_sym_COMMA,
    STATE(1917), 1,
      aux_sym__collection_elements_repeat1,
  [87964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1385), 1,
      anon_sym_except,
    ACTIONS(1387), 2,
      anon_sym_except_STAR,
      anon_sym_finally,
  [87975] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2578), 1,
      anon_sym_RPAREN,
    ACTIONS(3298), 1,
      anon_sym_COMMA,
    STATE(1815), 1,
      aux_sym_assert_statement_repeat1,
  [87988] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2389), 1,
      anon_sym_COMMA,
    ACTIONS(3301), 1,
      anon_sym_RPAREN,
    STATE(1824), 1,
      aux_sym__collection_elements_repeat1,
  [88001] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2389), 1,
      anon_sym_COMMA,
    ACTIONS(3303), 1,
      anon_sym_RPAREN,
    STATE(1824), 1,
      aux_sym__collection_elements_repeat1,
  [88014] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2305), 1,
      anon_sym_RBRACK,
    ACTIONS(3305), 1,
      anon_sym_COMMA,
    STATE(1818), 1,
      aux_sym__patterns_repeat1,
  [88027] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1034), 1,
      anon_sym_RPAREN,
    ACTIONS(3308), 1,
      anon_sym_COMMA,
    STATE(1815), 1,
      aux_sym_assert_statement_repeat1,
  [88040] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_COMMA,
    ACTIONS(3310), 1,
      anon_sym_in,
    STATE(1382), 1,
      aux_sym__patterns_repeat1,
  [88053] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1106), 1,
      anon_sym_RBRACE,
    ACTIONS(3312), 1,
      anon_sym_COMMA,
    STATE(1774), 1,
      aux_sym_dictionary_repeat1,
  [88066] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1026), 1,
      anon_sym_RBRACE,
    ACTIONS(3314), 1,
      anon_sym_COMMA,
    STATE(1812), 1,
      aux_sym__collection_elements_repeat1,
  [88079] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_COMMA,
    ACTIONS(3316), 1,
      anon_sym_in,
    STATE(1382), 1,
      aux_sym__patterns_repeat1,
  [88092] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1026), 1,
      anon_sym_RPAREN,
    ACTIONS(3318), 1,
      anon_sym_COMMA,
    STATE(1949), 1,
      aux_sym__collection_elements_repeat1,
  [88105] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2369), 1,
      anon_sym_COMMA,
    ACTIONS(2385), 1,
      anon_sym_RBRACE,
    STATE(1822), 1,
      aux_sym__collection_elements_repeat1,
  [88118] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3320), 1,
      anon_sym_LPAREN,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    STATE(2129), 1,
      sym_argument_list,
  [88131] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2409), 1,
      anon_sym_RPAREN,
    ACTIONS(2411), 1,
      anon_sym_COMMA,
    STATE(1836), 1,
      aux_sym_argument_list_repeat1,
  [88144] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3324), 1,
      anon_sym_RPAREN,
    ACTIONS(3326), 1,
      anon_sym_COMMA,
    STATE(1838), 1,
      aux_sym_argument_list_repeat1,
  [88157] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2365), 1,
      anon_sym_RPAREN,
    ACTIONS(3328), 1,
      anon_sym_COMMA,
    STATE(1898), 1,
      aux_sym__parameters_repeat1,
  [88170] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3330), 1,
      anon_sym_COMMA,
    ACTIONS(3333), 1,
      anon_sym_COLON,
    STATE(1830), 1,
      aux_sym_match_statement_repeat1,
  [88183] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2664), 1,
      anon_sym_COMMA,
    ACTIONS(2666), 1,
      anon_sym_RBRACK,
    STATE(1841), 1,
      aux_sym_subscript_repeat1,
  [88196] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2718), 1,
      sym_identifier,
    ACTIONS(3335), 1,
      anon_sym_import,
    STATE(2107), 1,
      sym_dotted_name,
  [88209] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2431), 1,
      anon_sym_RPAREN,
    ACTIONS(2433), 1,
      anon_sym_COMMA,
    STATE(1785), 1,
      aux_sym_argument_list_repeat1,
  [88222] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_RPAREN,
    ACTIONS(3339), 1,
      anon_sym_COMMA,
    STATE(1787), 1,
      aux_sym_argument_list_repeat1,
  [88235] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2389), 1,
      anon_sym_COMMA,
    ACTIONS(3341), 1,
      anon_sym_RPAREN,
    STATE(1824), 1,
      aux_sym__collection_elements_repeat1,
  [88248] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(946), 1,
      anon_sym_RPAREN,
    ACTIONS(3343), 1,
      anon_sym_COMMA,
    STATE(1866), 1,
      aux_sym_argument_list_repeat1,
  [88261] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2389), 1,
      anon_sym_COMMA,
    ACTIONS(3345), 1,
      anon_sym_RPAREN,
    STATE(1824), 1,
      aux_sym__collection_elements_repeat1,
  [88274] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(950), 1,
      anon_sym_RPAREN,
    ACTIONS(3347), 1,
      anon_sym_COMMA,
    STATE(1866), 1,
      aux_sym_argument_list_repeat1,
  [88287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 1,
      anon_sym_except,
    ACTIONS(1370), 2,
      anon_sym_except_STAR,
      anon_sym_finally,
  [88298] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3349), 1,
      anon_sym_COMMA,
    ACTIONS(3351), 1,
      anon_sym_RBRACK,
    STATE(1844), 1,
      aux_sym_subscript_repeat1,
  [88311] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3353), 1,
      anon_sym_COMMA,
    ACTIONS(3355), 1,
      anon_sym_RBRACK,
    STATE(1844), 1,
      aux_sym_subscript_repeat1,
  [88324] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3357), 1,
      anon_sym_COMMA,
    ACTIONS(3359), 1,
      anon_sym_RBRACK,
    STATE(1844), 1,
      aux_sym_subscript_repeat1,
  [88337] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3361), 1,
      anon_sym_COMMA,
    ACTIONS(3363), 1,
      anon_sym_RBRACK,
    STATE(1844), 1,
      aux_sym_subscript_repeat1,
  [88350] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_COMMA,
    ACTIONS(3368), 1,
      anon_sym_RBRACK,
    STATE(1844), 1,
      aux_sym_subscript_repeat1,
  [88363] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(942), 1,
      anon_sym_RPAREN,
    ACTIONS(3370), 1,
      anon_sym_COMMA,
    STATE(1866), 1,
      aux_sym_argument_list_repeat1,
  [88376] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(944), 1,
      anon_sym_RPAREN,
    ACTIONS(3372), 1,
      anon_sym_COMMA,
    STATE(1866), 1,
      aux_sym_argument_list_repeat1,
  [88389] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2385), 1,
      anon_sym_RPAREN,
    ACTIONS(2389), 1,
      anon_sym_COMMA,
    STATE(1824), 1,
      aux_sym__collection_elements_repeat1,
  [88402] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3046), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      anon_sym_RBRACE,
    STATE(2034), 1,
      sym_format_specifier,
  [88415] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3376), 1,
      anon_sym_COMMA,
    ACTIONS(3378), 1,
      anon_sym_RBRACK,
    STATE(1844), 1,
      aux_sym_subscript_repeat1,
  [88428] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2688), 1,
      anon_sym_COMMA,
    ACTIONS(2690), 1,
      anon_sym_RBRACK,
    STATE(1842), 1,
      aux_sym_subscript_repeat1,
  [88441] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3380), 1,
      anon_sym_COMMA,
    ACTIONS(3382), 1,
      anon_sym_RBRACK,
    STATE(1844), 1,
      aux_sym_subscript_repeat1,
  [88454] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2592), 1,
      anon_sym_COMMA,
    ACTIONS(2600), 1,
      anon_sym_RBRACK,
    STATE(1790), 1,
      aux_sym_subscript_repeat1,
  [88467] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2385), 1,
      anon_sym_RBRACK,
    ACTIONS(2417), 1,
      anon_sym_COMMA,
    STATE(1813), 1,
      aux_sym__collection_elements_repeat1,
  [88480] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(968), 1,
      anon_sym_RPAREN,
    ACTIONS(3384), 1,
      anon_sym_COMMA,
    STATE(1866), 1,
      aux_sym_argument_list_repeat1,
  [88493] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2305), 1,
      anon_sym_RPAREN,
    ACTIONS(3386), 1,
      anon_sym_COMMA,
    STATE(1855), 1,
      aux_sym__patterns_repeat1,
  [88506] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(966), 1,
      anon_sym_RPAREN,
    ACTIONS(3389), 1,
      anon_sym_COMMA,
    STATE(1866), 1,
      aux_sym_argument_list_repeat1,
  [88519] = 3,
    ACTIONS(2472), 1,
      sym_comment,
    ACTIONS(2967), 1,
      anon_sym_RBRACE,
    ACTIONS(2969), 2,
      anon_sym_LBRACE2,
      aux_sym_format_specifier_token1,
  [88530] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3159), 1,
      anon_sym_RPAREN,
    ACTIONS(3391), 1,
      anon_sym_COMMA,
    STATE(1928), 1,
      aux_sym__import_list_repeat1,
  [88543] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3046), 1,
      anon_sym_COLON,
    ACTIONS(3393), 1,
      anon_sym_RBRACE,
    STATE(2182), 1,
      sym_format_specifier,
  [88556] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3159), 1,
      anon_sym_RPAREN,
    ACTIONS(3395), 1,
      anon_sym_COMMA,
    STATE(1928), 1,
      aux_sym__import_list_repeat1,
  [88569] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3397), 1,
      anon_sym_SEMI,
    ACTIONS(3399), 1,
      sym__newline,
    STATE(1877), 1,
      aux_sym__simple_statements_repeat1,
  [88582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1376), 1,
      anon_sym_except,
    ACTIONS(1374), 2,
      anon_sym_except_STAR,
      anon_sym_finally,
  [88593] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3401), 1,
      anon_sym_RPAREN,
    ACTIONS(3403), 1,
      anon_sym_COMMA,
    STATE(1845), 1,
      aux_sym_argument_list_repeat1,
  [88606] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2413), 1,
      anon_sym_RPAREN,
    ACTIONS(2415), 1,
      anon_sym_COMMA,
    STATE(1846), 1,
      aux_sym_argument_list_repeat1,
  [88619] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2389), 1,
      anon_sym_COMMA,
    ACTIONS(2435), 1,
      anon_sym_RPAREN,
    STATE(1824), 1,
      aux_sym__collection_elements_repeat1,
  [88632] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2848), 1,
      anon_sym_RPAREN,
    ACTIONS(3405), 1,
      anon_sym_COMMA,
    STATE(1866), 1,
      aux_sym_argument_list_repeat1,
  [88645] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1108), 1,
      anon_sym_RBRACE,
    ACTIONS(3408), 1,
      anon_sym_COMMA,
    STATE(1774), 1,
      aux_sym_dictionary_repeat1,
  [88658] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3046), 1,
      anon_sym_COLON,
    ACTIONS(3410), 1,
      anon_sym_RBRACE,
    STATE(2105), 1,
      sym_format_specifier,
  [88671] = 3,
    ACTIONS(2472), 1,
      sym_comment,
    ACTIONS(2938), 1,
      anon_sym_RBRACE,
    ACTIONS(2940), 2,
      anon_sym_LBRACE2,
      aux_sym_format_specifier_token1,
  [88682] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2734), 1,
      anon_sym_COMMA,
    ACTIONS(2736), 1,
      anon_sym_RBRACE,
    STATE(1867), 1,
      aux_sym_dictionary_repeat1,
  [88695] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2962), 1,
      anon_sym_import,
    ACTIONS(3412), 1,
      anon_sym_DOT,
    STATE(1963), 1,
      aux_sym_dotted_name_repeat1,
  [88708] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2387), 1,
      anon_sym_RPAREN,
    ACTIONS(2389), 1,
      anon_sym_COMMA,
    STATE(1824), 1,
      aux_sym__collection_elements_repeat1,
  [88721] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2785), 1,
      anon_sym_COMMA,
    ACTIONS(2787), 1,
      anon_sym_RBRACE,
    STATE(1884), 1,
      aux_sym_dictionary_repeat1,
  [88734] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2610), 1,
      anon_sym_COMMA,
    ACTIONS(2612), 1,
      anon_sym_RBRACK,
    STATE(1849), 1,
      aux_sym_subscript_repeat1,
  [88747] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2389), 1,
      anon_sym_COMMA,
    ACTIONS(2405), 1,
      anon_sym_RPAREN,
    STATE(1824), 1,
      aux_sym__collection_elements_repeat1,
  [88760] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3414), 1,
      anon_sym_RPAREN,
    ACTIONS(3416), 1,
      anon_sym_COMMA,
    STATE(1854), 1,
      aux_sym_argument_list_repeat1,
  [88773] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(581), 1,
      sym__newline,
    ACTIONS(3418), 1,
      anon_sym_SEMI,
    STATE(1794), 1,
      aux_sym__simple_statements_repeat1,
  [88786] = 3,
    ACTIONS(2472), 1,
      sym_comment,
    ACTIONS(2881), 1,
      anon_sym_RBRACE,
    ACTIONS(2883), 2,
      anon_sym_LBRACE2,
      aux_sym_format_specifier_token1,
  [88797] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2986), 3,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
  [88806] = 3,
    ACTIONS(2472), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_RBRACE,
    ACTIONS(2889), 2,
      anon_sym_LBRACE2,
      aux_sym_format_specifier_token1,
  [88817] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3120), 1,
      sym_identifier,
    STATE(1939), 1,
      sym_dotted_name,
    STATE(2003), 1,
      sym_aliased_import,
  [88830] = 3,
    ACTIONS(2472), 1,
      sym_comment,
    ACTIONS(2906), 1,
      anon_sym_RBRACE,
    ACTIONS(2908), 2,
      anon_sym_LBRACE2,
      aux_sym_format_specifier_token1,
  [88841] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2454), 1,
      anon_sym_RPAREN,
    ACTIONS(2456), 1,
      anon_sym_COMMA,
    STATE(1856), 1,
      aux_sym_argument_list_repeat1,
  [88854] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1076), 1,
      anon_sym_RBRACE,
    ACTIONS(3420), 1,
      anon_sym_COMMA,
    STATE(1774), 1,
      aux_sym_dictionary_repeat1,
  [88867] = 3,
    ACTIONS(2472), 1,
      sym_comment,
    ACTIONS(2891), 1,
      anon_sym_RBRACE,
    ACTIONS(2893), 2,
      anon_sym_LBRACE2,
      aux_sym_format_specifier_token1,
  [88878] = 3,
    ACTIONS(2472), 1,
      sym_comment,
    ACTIONS(2856), 1,
      anon_sym_RBRACE,
    ACTIONS(2858), 2,
      anon_sym_LBRACE2,
      aux_sym_format_specifier_token1,
  [88889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 1,
      anon_sym_except,
    ACTIONS(1378), 2,
      anon_sym_except_STAR,
      anon_sym_finally,
  [88900] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2844), 1,
      anon_sym_import,
    ACTIONS(3412), 1,
      anon_sym_DOT,
    STATE(1871), 1,
      aux_sym_dotted_name_repeat1,
  [88913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 1,
      anon_sym_except,
    ACTIONS(1359), 2,
      anon_sym_except_STAR,
      anon_sym_finally,
  [88924] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_RPAREN,
    ACTIONS(2460), 1,
      anon_sym_COMMA,
    STATE(1899), 1,
      aux_sym_argument_list_repeat1,
  [88937] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3422), 1,
      anon_sym_RPAREN,
    ACTIONS(3424), 1,
      anon_sym_COMMA,
    STATE(1901), 1,
      aux_sym_argument_list_repeat1,
  [88950] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3426), 1,
      anon_sym_COMMA,
    ACTIONS(3428), 1,
      anon_sym_RBRACK,
    STATE(1844), 1,
      aux_sym_subscript_repeat1,
  [88963] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3430), 1,
      anon_sym_COMMA,
    ACTIONS(3432), 1,
      anon_sym_RBRACK,
    STATE(1844), 1,
      aux_sym_subscript_repeat1,
  [88976] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2614), 1,
      anon_sym_COMMA,
    ACTIONS(2616), 1,
      anon_sym_RBRACK,
    STATE(1904), 1,
      aux_sym_subscript_repeat1,
  [88989] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3180), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [88998] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1090), 1,
      anon_sym_RBRACE,
    ACTIONS(3434), 1,
      anon_sym_COMMA,
    STATE(1774), 1,
      aux_sym_dictionary_repeat1,
  [89011] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(974), 1,
      anon_sym_RPAREN,
    ACTIONS(3436), 1,
      anon_sym_COMMA,
    STATE(1866), 1,
      aux_sym_argument_list_repeat1,
  [89024] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3226), 1,
      anon_sym_RPAREN,
    ACTIONS(3438), 1,
      anon_sym_COMMA,
    STATE(1898), 1,
      aux_sym__parameters_repeat1,
  [89037] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(986), 1,
      anon_sym_RPAREN,
    ACTIONS(3441), 1,
      anon_sym_COMMA,
    STATE(1866), 1,
      aux_sym_argument_list_repeat1,
  [89050] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(918), 1,
      anon_sym_RPAREN,
    ACTIONS(3443), 1,
      anon_sym_COMMA,
    STATE(1866), 1,
      aux_sym_argument_list_repeat1,
  [89063] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(988), 1,
      anon_sym_RPAREN,
    ACTIONS(3445), 1,
      anon_sym_COMMA,
    STATE(1866), 1,
      aux_sym_argument_list_repeat1,
  [89076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3447), 1,
      anon_sym_COLON,
    ACTIONS(3142), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [89087] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3449), 1,
      anon_sym_COMMA,
    ACTIONS(3451), 1,
      anon_sym_RBRACK,
    STATE(1844), 1,
      aux_sym_subscript_repeat1,
  [89100] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3453), 1,
      anon_sym_COMMA,
    ACTIONS(3455), 1,
      anon_sym_RBRACK,
    STATE(1844), 1,
      aux_sym_subscript_repeat1,
  [89113] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2658), 1,
      anon_sym_COMMA,
    ACTIONS(2660), 1,
      anon_sym_RBRACK,
    STATE(1892), 1,
      aux_sym_subscript_repeat1,
  [89126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3457), 1,
      anon_sym_EQ,
    ACTIONS(3228), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [89137] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3459), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [89146] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3281), 1,
      anon_sym_RPAREN,
    ACTIONS(3461), 1,
      anon_sym_COMMA,
    STATE(1908), 1,
      aux_sym_with_clause_repeat1,
  [89159] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3464), 1,
      anon_sym_RPAREN,
    ACTIONS(3466), 1,
      anon_sym_COMMA,
    STATE(1897), 1,
      aux_sym_argument_list_repeat1,
  [89172] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(579), 1,
      sym__newline,
    ACTIONS(3468), 1,
      anon_sym_SEMI,
    STATE(1794), 1,
      aux_sym__simple_statements_repeat1,
  [89185] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3470), 1,
      anon_sym_COMMA,
    ACTIONS(3472), 1,
      anon_sym_COLON,
    STATE(1830), 1,
      aux_sym_match_statement_repeat1,
  [89198] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3474), 1,
      anon_sym_RPAREN,
    ACTIONS(3476), 1,
      anon_sym_COMMA,
    STATE(1829), 1,
      aux_sym__parameters_repeat1,
  [89211] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2462), 1,
      anon_sym_RPAREN,
    ACTIONS(2464), 1,
      anon_sym_COMMA,
    STATE(1900), 1,
      aux_sym_argument_list_repeat1,
  [89224] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1078), 1,
      anon_sym_RBRACE,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    STATE(1774), 1,
      aux_sym_dictionary_repeat1,
  [89237] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3480), 1,
      anon_sym_SEMI,
    ACTIONS(3482), 1,
      sym__newline,
    STATE(1931), 1,
      aux_sym__simple_statements_repeat1,
  [89250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2566), 1,
      anon_sym_from,
    ACTIONS(2564), 2,
      sym__newline,
      anon_sym_SEMI,
  [89261] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2885), 1,
      anon_sym_RBRACK,
    ACTIONS(3484), 1,
      anon_sym_COMMA,
    STATE(1917), 1,
      aux_sym__collection_elements_repeat1,
  [89274] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2389), 1,
      anon_sym_COMMA,
    ACTIONS(3487), 1,
      anon_sym_RPAREN,
    STATE(1824), 1,
      aux_sym__collection_elements_repeat1,
  [89287] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2389), 1,
      anon_sym_COMMA,
    ACTIONS(2447), 1,
      anon_sym_RPAREN,
    STATE(1824), 1,
      aux_sym__collection_elements_repeat1,
  [89300] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(575), 1,
      sym__newline,
    ACTIONS(3489), 1,
      anon_sym_SEMI,
    STATE(1794), 1,
      aux_sym__simple_statements_repeat1,
  [89313] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2389), 1,
      anon_sym_COMMA,
    ACTIONS(3491), 1,
      anon_sym_RPAREN,
    STATE(1824), 1,
      aux_sym__collection_elements_repeat1,
  [89326] = 3,
    ACTIONS(2472), 1,
      sym_comment,
    ACTIONS(2850), 1,
      anon_sym_RBRACE,
    ACTIONS(2852), 2,
      anon_sym_LBRACE2,
      aux_sym_format_specifier_token1,
  [89337] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2840), 1,
      anon_sym_COMMA,
    ACTIONS(2842), 1,
      anon_sym_RBRACE,
    STATE(1914), 1,
      aux_sym_dictionary_repeat1,
  [89350] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3058), 1,
      anon_sym_RPAREN,
    ACTIONS(3134), 1,
      anon_sym_COMMA,
    STATE(1860), 1,
      aux_sym__import_list_repeat1,
  [89363] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2836), 1,
      anon_sym_COMMA,
    ACTIONS(2838), 1,
      anon_sym_RBRACE,
    STATE(1780), 1,
      aux_sym_dictionary_repeat1,
  [89376] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2389), 1,
      anon_sym_COMMA,
    ACTIONS(2407), 1,
      anon_sym_RPAREN,
    STATE(1824), 1,
      aux_sym__collection_elements_repeat1,
  [89389] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2804), 1,
      anon_sym_COMMA,
    ACTIONS(2806), 1,
      anon_sym_RBRACE,
    STATE(1938), 1,
      aux_sym_dictionary_repeat1,
  [89402] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3165), 1,
      anon_sym_RPAREN,
    ACTIONS(3493), 1,
      anon_sym_COMMA,
    STATE(1928), 1,
      aux_sym__import_list_repeat1,
  [89415] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3496), 1,
      anon_sym_SEMI,
    ACTIONS(3498), 1,
      sym__newline,
    STATE(1920), 1,
      aux_sym__simple_statements_repeat1,
  [89428] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_COMMA,
    ACTIONS(3500), 1,
      anon_sym_in,
    STATE(1382), 1,
      aux_sym__patterns_repeat1,
  [89441] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      sym__newline,
    ACTIONS(3502), 1,
      anon_sym_SEMI,
    STATE(1794), 1,
      aux_sym__simple_statements_repeat1,
  [89454] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3504), 1,
      anon_sym_SEMI,
    ACTIONS(3506), 1,
      sym__newline,
    STATE(1946), 1,
      aux_sym__simple_statements_repeat1,
  [89467] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_COMMA,
    ACTIONS(3508), 1,
      anon_sym_in,
    STATE(1382), 1,
      aux_sym__patterns_repeat1,
  [89480] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3510), 1,
      anon_sym_COMMA,
    ACTIONS(3512), 1,
      anon_sym_RBRACK,
    STATE(1844), 1,
      aux_sym_subscript_repeat1,
  [89493] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3514), 1,
      anon_sym_COMMA,
    ACTIONS(3516), 1,
      anon_sym_RBRACK,
    STATE(1844), 1,
      aux_sym_subscript_repeat1,
  [89506] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3518), 1,
      anon_sym_COMMA,
    ACTIONS(3520), 1,
      anon_sym_COLON,
    STATE(1786), 1,
      aux_sym_with_clause_repeat1,
  [89519] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(998), 1,
      anon_sym_RPAREN,
    ACTIONS(3522), 1,
      anon_sym_COMMA,
    STATE(1866), 1,
      aux_sym_argument_list_repeat1,
  [89532] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1100), 1,
      anon_sym_RBRACE,
    ACTIONS(3524), 1,
      anon_sym_COMMA,
    STATE(1774), 1,
      aux_sym_dictionary_repeat1,
  [89545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3136), 1,
      anon_sym_as,
    ACTIONS(3180), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [89556] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1000), 1,
      anon_sym_RPAREN,
    ACTIONS(3526), 1,
      anon_sym_COMMA,
    STATE(1866), 1,
      aux_sym_argument_list_repeat1,
  [89569] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2643), 1,
      anon_sym_COMMA,
    ACTIONS(2645), 1,
      anon_sym_RBRACK,
    STATE(1934), 1,
      aux_sym_subscript_repeat1,
  [89582] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2389), 1,
      anon_sym_COMMA,
    ACTIONS(2449), 1,
      anon_sym_RPAREN,
    STATE(1824), 1,
      aux_sym__collection_elements_repeat1,
  [89595] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3528), 1,
      anon_sym_RPAREN,
    ACTIONS(3530), 1,
      anon_sym_COMMA,
    STATE(1937), 1,
      aux_sym_argument_list_repeat1,
  [89608] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_RPAREN,
    ACTIONS(2445), 1,
      anon_sym_COMMA,
    STATE(1952), 1,
      aux_sym_argument_list_repeat1,
  [89621] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3532), 1,
      anon_sym_RPAREN,
    ACTIONS(3534), 1,
      anon_sym_COMMA,
    STATE(1954), 1,
      aux_sym_argument_list_repeat1,
  [89634] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      sym__newline,
    ACTIONS(3536), 1,
      anon_sym_SEMI,
    STATE(1794), 1,
      aux_sym__simple_statements_repeat1,
  [89647] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2437), 1,
      anon_sym_RPAREN,
    ACTIONS(2439), 1,
      anon_sym_COMMA,
    STATE(1940), 1,
      aux_sym_argument_list_repeat1,
  [89660] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2625), 1,
      anon_sym_COMMA,
    ACTIONS(2627), 1,
      anon_sym_RBRACK,
    STATE(1957), 1,
      aux_sym_subscript_repeat1,
  [89673] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2885), 1,
      anon_sym_RPAREN,
    ACTIONS(3538), 1,
      anon_sym_COMMA,
    STATE(1949), 1,
      aux_sym__collection_elements_repeat1,
  [89686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3543), 1,
      anon_sym_in,
    ACTIONS(3541), 2,
      sym__newline,
      anon_sym_SEMI,
  [89697] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3474), 1,
      anon_sym_COLON,
    ACTIONS(3545), 1,
      anon_sym_COMMA,
    STATE(1778), 1,
      aux_sym__parameters_repeat1,
  [89710] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1018), 1,
      anon_sym_RPAREN,
    ACTIONS(3547), 1,
      anon_sym_COMMA,
    STATE(1866), 1,
      aux_sym_argument_list_repeat1,
  [89723] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1118), 1,
      anon_sym_RBRACE,
    ACTIONS(3549), 1,
      anon_sym_COMMA,
    STATE(1774), 1,
      aux_sym_dictionary_repeat1,
  [89736] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1016), 1,
      anon_sym_RPAREN,
    ACTIONS(3551), 1,
      anon_sym_COMMA,
    STATE(1866), 1,
      aux_sym_argument_list_repeat1,
  [89749] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3320), 1,
      anon_sym_LPAREN,
    ACTIONS(3553), 1,
      anon_sym_COLON,
    STATE(2221), 1,
      sym_argument_list,
  [89762] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3555), 1,
      anon_sym_COMMA,
    ACTIONS(3557), 1,
      anon_sym_RBRACK,
    STATE(1844), 1,
      aux_sym_subscript_repeat1,
  [89775] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3559), 1,
      anon_sym_COMMA,
    ACTIONS(3561), 1,
      anon_sym_RBRACK,
    STATE(1844), 1,
      aux_sym_subscript_repeat1,
  [89788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3563), 1,
      anon_sym_EQ,
    ACTIONS(3142), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [89799] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_RPAREN,
    ACTIONS(3567), 1,
      anon_sym_COMMA,
    STATE(1810), 1,
      aux_sym__patterns_repeat1,
  [89812] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(593), 1,
      sym__newline,
    ACTIONS(3569), 1,
      anon_sym_SEMI,
    STATE(1794), 1,
      aux_sym__simple_statements_repeat1,
  [89825] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2832), 1,
      anon_sym_COMMA,
    ACTIONS(2834), 1,
      anon_sym_RBRACE,
    STATE(1953), 1,
      aux_sym_dictionary_repeat1,
  [89838] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2810), 1,
      anon_sym_COMMA,
    ACTIONS(2812), 1,
      anon_sym_RBRACE,
    STATE(1896), 1,
      aux_sym_dictionary_repeat1,
  [89851] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2978), 1,
      anon_sym_import,
    ACTIONS(3571), 1,
      anon_sym_DOT,
    STATE(1963), 1,
      aux_sym_dotted_name_repeat1,
  [89864] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2389), 1,
      anon_sym_COMMA,
    ACTIONS(2403), 1,
      anon_sym_RPAREN,
    STATE(1824), 1,
      aux_sym__collection_elements_repeat1,
  [89877] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_RBRACK,
    ACTIONS(3574), 1,
      anon_sym_COMMA,
    STATE(1800), 1,
      aux_sym__patterns_repeat1,
  [89890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3576), 1,
      anon_sym_COLON,
    ACTIONS(3578), 1,
      anon_sym_DASH_GT,
  [89900] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [89908] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1326), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [89916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3580), 1,
      anon_sym_COLON,
    ACTIONS(3582), 1,
      anon_sym_DASH_GT,
  [89926] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [89934] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3228), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [89942] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3142), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [89950] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1326), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [89958] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2978), 2,
      anon_sym_import,
      anon_sym_DOT,
  [89966] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3586), 2,
      sym__newline,
      anon_sym_SEMI,
  [89974] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3588), 2,
      sym__newline,
      anon_sym_SEMI,
  [89982] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3590), 2,
      sym__newline,
      anon_sym_SEMI,
  [89990] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [89998] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3226), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [90006] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3592), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [90014] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2329), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [90022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3594), 1,
      anon_sym_LPAREN,
    STATE(2007), 1,
      sym_parameters,
  [90032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3594), 1,
      anon_sym_LPAREN,
    STATE(2009), 1,
      sym_parameters,
  [90042] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2305), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [90050] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3264), 2,
      sym__newline,
      anon_sym_SEMI,
  [90058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2345), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [90066] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3596), 2,
      anon_sym_COLON,
      anon_sym_DASH_GT,
  [90074] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3598), 2,
      sym__newline,
      anon_sym_SEMI,
  [90082] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2680), 2,
      sym__newline,
      anon_sym_SEMI,
  [90090] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3600), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [90098] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3281), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [90106] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2885), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [90114] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [90122] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3592), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [90130] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3600), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [90138] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3202), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [90146] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3142), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [90154] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3602), 2,
      sym__newline,
      anon_sym_SEMI,
  [90162] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2305), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [90170] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2329), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [90178] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3604), 2,
      sym__newline,
      anon_sym_SEMI,
  [90186] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3606), 2,
      anon_sym_COLON,
      anon_sym_DASH_GT,
  [90194] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3180), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [90202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3594), 1,
      anon_sym_LPAREN,
    STATE(1969), 1,
      sym_parameters,
  [90212] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2492), 2,
      sym__newline,
      anon_sym_SEMI,
  [90220] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2345), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [90228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3608), 1,
      anon_sym_COLON,
    ACTIONS(3610), 1,
      anon_sym_DASH_GT,
  [90238] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3612), 2,
      sym__newline,
      anon_sym_SEMI,
  [90246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3614), 1,
      anon_sym_COLON,
    ACTIONS(3616), 1,
      anon_sym_DASH_GT,
  [90256] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2492), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [90264] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3618), 2,
      sym__newline,
      anon_sym_SEMI,
  [90272] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [90280] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2848), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [90288] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3620), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [90296] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 2,
      sym__newline,
      anon_sym_SEMI,
  [90304] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2798), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [90312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3594), 1,
      anon_sym_LPAREN,
    STATE(1966), 1,
      sym_parameters,
  [90322] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3142), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [90330] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2885), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [90338] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2885), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [90346] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3281), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [90354] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3624), 2,
      sym__newline,
      anon_sym_SEMI,
  [90362] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3459), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [90370] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2492), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [90378] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3626), 2,
      sym__newline,
      anon_sym_SEMI,
  [90386] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3628), 2,
      sym__newline,
      anon_sym_SEMI,
  [90394] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3592), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [90402] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3228), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [90410] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3630), 2,
      sym__newline,
      anon_sym_SEMI,
  [90418] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2656), 2,
      sym__newline,
      anon_sym_SEMI,
  [90426] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3226), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [90434] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2662), 2,
      sym__newline,
      anon_sym_SEMI,
  [90442] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      anon_sym_RPAREN,
  [90449] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3634), 1,
      anon_sym_RBRACE,
  [90456] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3636), 1,
      anon_sym_COLON_EQ,
  [90463] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3638), 1,
      anon_sym_RBRACE,
  [90470] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3640), 1,
      sym_identifier,
  [90477] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3642), 1,
      anon_sym_RPAREN,
  [90484] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2806), 1,
      anon_sym_RBRACE,
  [90491] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3644), 1,
      anon_sym_RBRACK,
  [90498] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3646), 1,
      anon_sym_COLON,
  [90505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2842), 1,
      anon_sym_RBRACE,
  [90512] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3648), 1,
      anon_sym_COLON,
  [90519] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3650), 1,
      anon_sym_RBRACK,
  [90526] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3652), 1,
      anon_sym_RBRACE,
  [90533] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3654), 1,
      sym_identifier,
  [90540] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3656), 1,
      sym_identifier,
  [90547] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3658), 1,
      anon_sym_RPAREN,
  [90554] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_in,
  [90561] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3662), 1,
      anon_sym_RPAREN,
  [90568] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3664), 1,
      anon_sym_RBRACK,
  [90575] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3666), 1,
      anon_sym_RPAREN,
  [90582] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3668), 1,
      anon_sym_COLON_EQ,
  [90589] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3670), 1,
      anon_sym_RBRACE,
  [90596] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3672), 1,
      anon_sym_RBRACE,
  [90603] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3674), 1,
      anon_sym_COLON,
  [90610] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2462), 1,
      anon_sym_RPAREN,
  [90617] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3676), 1,
      anon_sym_RBRACE,
  [90624] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3678), 1,
      anon_sym_RBRACK,
  [90631] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3680), 1,
      sym_identifier,
  [90638] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3682), 1,
      anon_sym_RBRACE,
  [90645] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3684), 1,
      anon_sym_COLON,
  [90652] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3686), 1,
      anon_sym_in,
  [90659] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3688), 1,
      anon_sym_RBRACE,
  [90666] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3690), 1,
      anon_sym_RBRACE,
  [90673] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_RPAREN,
  [90680] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3692), 1,
      anon_sym_COLON,
  [90687] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2454), 1,
      anon_sym_RPAREN,
  [90694] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3694), 1,
      anon_sym_RBRACE,
  [90701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3696), 1,
      anon_sym_RBRACE,
  [90708] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3698), 1,
      anon_sym_RBRACK,
  [90715] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3700), 1,
      anon_sym_COLON,
  [90722] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3702), 1,
      anon_sym_COLON_EQ,
  [90729] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3704), 1,
      anon_sym_RPAREN,
  [90736] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3706), 1,
      anon_sym_in,
  [90743] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3708), 1,
      sym_identifier,
  [90750] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3710), 1,
      anon_sym_RPAREN,
  [90757] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3712), 1,
      anon_sym_RPAREN,
  [90764] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3714), 1,
      anon_sym_RBRACE,
  [90771] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3716), 1,
      anon_sym_RBRACK,
  [90778] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3718), 1,
      anon_sym_COLON,
  [90785] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2736), 1,
      anon_sym_RBRACE,
  [90792] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2787), 1,
      anon_sym_RBRACE,
  [90799] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3720), 1,
      anon_sym_COLON,
  [90806] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3722), 1,
      anon_sym_RBRACE,
  [90813] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3724), 1,
      sym_identifier,
  [90820] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3726), 1,
      anon_sym_in,
  [90827] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3728), 1,
      anon_sym_RPAREN,
  [90834] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3730), 1,
      anon_sym_RBRACK,
  [90841] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3732), 1,
      anon_sym_RBRACK,
  [90848] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3734), 1,
      anon_sym_RBRACE,
  [90855] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3736), 1,
      anon_sym_RBRACE,
  [90862] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1074), 1,
      anon_sym_def,
  [90869] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2413), 1,
      anon_sym_RPAREN,
  [90876] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3738), 1,
      anon_sym_COLON,
  [90883] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3740), 1,
      anon_sym_RBRACE,
  [90890] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3742), 1,
      anon_sym_COLON,
  [90897] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3744), 1,
      anon_sym_RBRACE,
  [90904] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3746), 1,
      anon_sym_COLON_EQ,
  [90911] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3748), 1,
      anon_sym_RPAREN,
  [90918] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3750), 1,
      sym_identifier,
  [90925] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3752), 1,
      anon_sym_RBRACE,
  [90932] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3754), 1,
      anon_sym_COLON,
  [90939] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3756), 1,
      sym_identifier,
  [90946] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3758), 1,
      anon_sym_RBRACE,
  [90953] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3760), 1,
      anon_sym_COLON,
  [90960] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3762), 1,
      anon_sym_import,
  [90967] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3764), 1,
      anon_sym_import,
  [90974] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2812), 1,
      anon_sym_RBRACE,
  [90981] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3766), 1,
      anon_sym_import,
  [90988] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3768), 1,
      sym_identifier,
  [90995] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3500), 1,
      anon_sym_in,
  [91002] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3770), 1,
      sym_identifier,
  [91009] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2808), 1,
      anon_sym_COLON,
  [91016] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3772), 1,
      anon_sym_COLON,
  [91023] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3774), 1,
      anon_sym_COLON,
  [91030] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2838), 1,
      anon_sym_RBRACE,
  [91037] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3776), 1,
      anon_sym_in,
  [91044] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3508), 1,
      anon_sym_in,
  [91051] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3778), 1,
      anon_sym_COLON,
  [91058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2431), 1,
      anon_sym_RPAREN,
  [91065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2409), 1,
      anon_sym_RPAREN,
  [91072] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3780), 1,
      anon_sym_COLON_EQ,
  [91079] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3782), 1,
      anon_sym_COLON,
  [91086] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3784), 1,
      anon_sym_COLON,
  [91093] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3786), 1,
      anon_sym_COLON,
  [91100] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3788), 1,
      anon_sym_RPAREN,
  [91107] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3790), 1,
      anon_sym_RPAREN,
  [91114] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3792), 1,
      anon_sym_COLON,
  [91121] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3794), 1,
      anon_sym_in,
  [91128] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3316), 1,
      anon_sym_in,
  [91135] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3796), 1,
      anon_sym_RBRACK,
  [91142] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2816), 1,
      anon_sym_COLON,
  [91149] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3798), 1,
      anon_sym_RBRACE,
  [91156] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3800), 1,
      anon_sym_RBRACE,
  [91163] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3802), 1,
      anon_sym_COLON,
  [91170] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3804), 1,
      anon_sym_RBRACE,
  [91177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3310), 1,
      anon_sym_in,
  [91184] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 1,
      anon_sym_COLON,
  [91191] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3808), 1,
      anon_sym_RBRACE,
  [91198] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3810), 1,
      anon_sym_RPAREN,
  [91205] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2826), 1,
      anon_sym_COLON,
  [91212] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3812), 1,
      sym_identifier,
  [91219] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3814), 1,
      anon_sym_COLON,
  [91226] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_RPAREN,
  [91233] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3816), 1,
      anon_sym_COLON,
  [91240] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3818), 1,
      anon_sym_RBRACK,
  [91247] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3820), 1,
      anon_sym_RPAREN,
  [91254] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3822), 1,
      anon_sym_RPAREN,
  [91261] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3824), 1,
      anon_sym_COLON,
  [91268] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3826), 1,
      sym_identifier,
  [91275] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2437), 1,
      anon_sym_RPAREN,
  [91282] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3828), 1,
      anon_sym_COLON,
  [91289] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3830), 1,
      anon_sym_COLON,
  [91296] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3832), 1,
      anon_sym_COLON,
  [91303] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3834), 1,
      anon_sym_COLON,
  [91310] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3836), 1,
      anon_sym_COLON,
  [91317] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3838), 1,
      anon_sym_RBRACE,
  [91324] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3840), 1,
      anon_sym_COLON,
  [91331] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3842), 1,
      anon_sym_in,
  [91338] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COLON,
  [91345] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3846), 1,
      anon_sym_COLON,
  [91352] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1220), 1,
      anon_sym_COLON,
  [91359] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3848), 1,
      sym_identifier,
  [91366] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      anon_sym_RBRACE,
  [91373] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2740), 1,
      anon_sym_COLON,
  [91380] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3852), 1,
      anon_sym_COLON,
  [91387] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3854), 1,
      anon_sym_RBRACE,
  [91394] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3285), 1,
      anon_sym_in,
  [91401] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3856), 1,
      anon_sym_RBRACK,
  [91408] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3283), 1,
      anon_sym_in,
  [91415] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3858), 1,
      anon_sym_RPAREN,
  [91422] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3860), 1,
      anon_sym_COLON,
  [91429] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3862), 1,
      anon_sym_in,
  [91436] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3864), 1,
      anon_sym_COLON,
  [91443] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2732), 1,
      anon_sym_RBRACE,
  [91450] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3866), 1,
      anon_sym_for,
  [91457] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3276), 1,
      anon_sym_in,
  [91464] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3868), 1,
      anon_sym_COLON,
  [91471] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3870), 1,
      anon_sym_RPAREN,
  [91478] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3872), 1,
      anon_sym_RBRACK,
  [91485] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3874), 1,
      anon_sym_RBRACE,
  [91492] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3876), 1,
      anon_sym_RBRACK,
  [91499] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3878), 1,
      anon_sym_COLON_EQ,
  [91506] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3880), 1,
      anon_sym_RPAREN,
  [91513] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3882), 1,
      anon_sym_RBRACE,
  [91520] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3884), 1,
      anon_sym_RPAREN,
  [91527] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3886), 1,
      anon_sym_RPAREN,
  [91534] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3888), 1,
      ts_builtin_sym_end,
  [91541] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3890), 1,
      anon_sym_COLON_EQ,
  [91548] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3892), 1,
      anon_sym_RBRACK,
  [91555] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3894), 1,
      anon_sym_RBRACE,
  [91562] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3896), 1,
      sym_identifier,
  [91569] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3898), 1,
      anon_sym_RBRACE,
  [91576] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3900), 1,
      sym_identifier,
  [91583] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3902), 1,
      anon_sym_COLON,
  [91590] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3904), 1,
      sym_identifier,
  [91597] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3906), 1,
      sym_identifier,
  [91604] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3908), 1,
      sym_identifier,
  [91611] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3910), 1,
      anon_sym_RBRACE,
  [91618] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3912), 1,
      anon_sym_RBRACK,
  [91625] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3914), 1,
      anon_sym_RBRACK,
  [91632] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      sym_identifier,
  [91639] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3918), 1,
      anon_sym_RBRACE,
  [91646] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3920), 1,
      anon_sym_COLON,
  [91653] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3922), 1,
      anon_sym_RBRACK,
  [91660] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2834), 1,
      anon_sym_RBRACE,
  [91667] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3924), 1,
      anon_sym_COLON,
  [91674] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      anon_sym_RBRACK,
  [91681] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3928), 1,
      anon_sym_RBRACK,
  [91688] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3930), 1,
      anon_sym_RPAREN,
  [91695] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3932), 1,
      anon_sym_COLON,
  [91702] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3934), 1,
      sym_identifier,
  [91709] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_RPAREN,
  [91716] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3938), 1,
      sym_identifier,
  [91723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3940), 1,
      sym_identifier,
  [91730] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3942), 1,
      anon_sym_COLON_EQ,
  [91737] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3214), 1,
      anon_sym_in,
  [91744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1116), 1,
      anon_sym_def,
  [91751] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3944), 1,
      anon_sym_for,
  [91758] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3946), 1,
      anon_sym_COLON,
  [91765] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3204), 1,
      anon_sym_in,
  [91772] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3948), 1,
      anon_sym_for,
  [91779] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3206), 1,
      anon_sym_in,
  [91786] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3950), 1,
      anon_sym_COLON,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(175)] = 0,
  [SMALL_STATE(176)] = 118,
  [SMALL_STATE(177)] = 238,
  [SMALL_STATE(178)] = 356,
  [SMALL_STATE(179)] = 470,
  [SMALL_STATE(180)] = 584,
  [SMALL_STATE(181)] = 702,
  [SMALL_STATE(182)] = 822,
  [SMALL_STATE(183)] = 936,
  [SMALL_STATE(184)] = 1058,
  [SMALL_STATE(185)] = 1176,
  [SMALL_STATE(186)] = 1296,
  [SMALL_STATE(187)] = 1416,
  [SMALL_STATE(188)] = 1534,
  [SMALL_STATE(189)] = 1656,
  [SMALL_STATE(190)] = 1774,
  [SMALL_STATE(191)] = 1891,
  [SMALL_STATE(192)] = 2008,
  [SMALL_STATE(193)] = 2125,
  [SMALL_STATE(194)] = 2242,
  [SMALL_STATE(195)] = 2359,
  [SMALL_STATE(196)] = 2476,
  [SMALL_STATE(197)] = 2593,
  [SMALL_STATE(198)] = 2710,
  [SMALL_STATE(199)] = 2809,
  [SMALL_STATE(200)] = 2908,
  [SMALL_STATE(201)] = 3016,
  [SMALL_STATE(202)] = 3124,
  [SMALL_STATE(203)] = 3232,
  [SMALL_STATE(204)] = 3340,
  [SMALL_STATE(205)] = 3450,
  [SMALL_STATE(206)] = 3558,
  [SMALL_STATE(207)] = 3666,
  [SMALL_STATE(208)] = 3774,
  [SMALL_STATE(209)] = 3882,
  [SMALL_STATE(210)] = 3990,
  [SMALL_STATE(211)] = 4095,
  [SMALL_STATE(212)] = 4202,
  [SMALL_STATE(213)] = 4309,
  [SMALL_STATE(214)] = 4414,
  [SMALL_STATE(215)] = 4523,
  [SMALL_STATE(216)] = 4628,
  [SMALL_STATE(217)] = 4737,
  [SMALL_STATE(218)] = 4842,
  [SMALL_STATE(219)] = 4949,
  [SMALL_STATE(220)] = 5054,
  [SMALL_STATE(221)] = 5159,
  [SMALL_STATE(222)] = 5264,
  [SMALL_STATE(223)] = 5369,
  [SMALL_STATE(224)] = 5474,
  [SMALL_STATE(225)] = 5579,
  [SMALL_STATE(226)] = 5684,
  [SMALL_STATE(227)] = 5789,
  [SMALL_STATE(228)] = 5896,
  [SMALL_STATE(229)] = 6001,
  [SMALL_STATE(230)] = 6106,
  [SMALL_STATE(231)] = 6211,
  [SMALL_STATE(232)] = 6316,
  [SMALL_STATE(233)] = 6421,
  [SMALL_STATE(234)] = 6526,
  [SMALL_STATE(235)] = 6631,
  [SMALL_STATE(236)] = 6736,
  [SMALL_STATE(237)] = 6841,
  [SMALL_STATE(238)] = 6946,
  [SMALL_STATE(239)] = 7051,
  [SMALL_STATE(240)] = 7158,
  [SMALL_STATE(241)] = 7265,
  [SMALL_STATE(242)] = 7370,
  [SMALL_STATE(243)] = 7479,
  [SMALL_STATE(244)] = 7584,
  [SMALL_STATE(245)] = 7689,
  [SMALL_STATE(246)] = 7794,
  [SMALL_STATE(247)] = 7899,
  [SMALL_STATE(248)] = 8004,
  [SMALL_STATE(249)] = 8109,
  [SMALL_STATE(250)] = 8214,
  [SMALL_STATE(251)] = 8319,
  [SMALL_STATE(252)] = 8424,
  [SMALL_STATE(253)] = 8529,
  [SMALL_STATE(254)] = 8636,
  [SMALL_STATE(255)] = 8741,
  [SMALL_STATE(256)] = 8850,
  [SMALL_STATE(257)] = 8959,
  [SMALL_STATE(258)] = 9064,
  [SMALL_STATE(259)] = 9173,
  [SMALL_STATE(260)] = 9280,
  [SMALL_STATE(261)] = 9381,
  [SMALL_STATE(262)] = 9486,
  [SMALL_STATE(263)] = 9591,
  [SMALL_STATE(264)] = 9696,
  [SMALL_STATE(265)] = 9801,
  [SMALL_STATE(266)] = 9903,
  [SMALL_STATE(267)] = 10005,
  [SMALL_STATE(268)] = 10107,
  [SMALL_STATE(269)] = 10209,
  [SMALL_STATE(270)] = 10311,
  [SMALL_STATE(271)] = 10413,
  [SMALL_STATE(272)] = 10515,
  [SMALL_STATE(273)] = 10614,
  [SMALL_STATE(274)] = 10717,
  [SMALL_STATE(275)] = 10812,
  [SMALL_STATE(276)] = 10911,
  [SMALL_STATE(277)] = 11010,
  [SMALL_STATE(278)] = 11109,
  [SMALL_STATE(279)] = 11208,
  [SMALL_STATE(280)] = 11307,
  [SMALL_STATE(281)] = 11406,
  [SMALL_STATE(282)] = 11509,
  [SMALL_STATE(283)] = 11608,
  [SMALL_STATE(284)] = 11703,
  [SMALL_STATE(285)] = 11802,
  [SMALL_STATE(286)] = 11901,
  [SMALL_STATE(287)] = 12004,
  [SMALL_STATE(288)] = 12107,
  [SMALL_STATE(289)] = 12206,
  [SMALL_STATE(290)] = 12309,
  [SMALL_STATE(291)] = 12408,
  [SMALL_STATE(292)] = 12507,
  [SMALL_STATE(293)] = 12606,
  [SMALL_STATE(294)] = 12709,
  [SMALL_STATE(295)] = 12808,
  [SMALL_STATE(296)] = 12882,
  [SMALL_STATE(297)] = 12978,
  [SMALL_STATE(298)] = 13076,
  [SMALL_STATE(299)] = 13174,
  [SMALL_STATE(300)] = 13272,
  [SMALL_STATE(301)] = 13370,
  [SMALL_STATE(302)] = 13468,
  [SMALL_STATE(303)] = 13564,
  [SMALL_STATE(304)] = 13662,
  [SMALL_STATE(305)] = 13760,
  [SMALL_STATE(306)] = 13858,
  [SMALL_STATE(307)] = 13956,
  [SMALL_STATE(308)] = 14054,
  [SMALL_STATE(309)] = 14152,
  [SMALL_STATE(310)] = 14250,
  [SMALL_STATE(311)] = 14348,
  [SMALL_STATE(312)] = 14446,
  [SMALL_STATE(313)] = 14544,
  [SMALL_STATE(314)] = 14642,
  [SMALL_STATE(315)] = 14740,
  [SMALL_STATE(316)] = 14814,
  [SMALL_STATE(317)] = 14912,
  [SMALL_STATE(318)] = 15010,
  [SMALL_STATE(319)] = 15108,
  [SMALL_STATE(320)] = 15205,
  [SMALL_STATE(321)] = 15302,
  [SMALL_STATE(322)] = 15397,
  [SMALL_STATE(323)] = 15494,
  [SMALL_STATE(324)] = 15591,
  [SMALL_STATE(325)] = 15688,
  [SMALL_STATE(326)] = 15783,
  [SMALL_STATE(327)] = 15880,
  [SMALL_STATE(328)] = 15977,
  [SMALL_STATE(329)] = 16074,
  [SMALL_STATE(330)] = 16171,
  [SMALL_STATE(331)] = 16268,
  [SMALL_STATE(332)] = 16363,
  [SMALL_STATE(333)] = 16460,
  [SMALL_STATE(334)] = 16557,
  [SMALL_STATE(335)] = 16654,
  [SMALL_STATE(336)] = 16751,
  [SMALL_STATE(337)] = 16846,
  [SMALL_STATE(338)] = 16943,
  [SMALL_STATE(339)] = 17040,
  [SMALL_STATE(340)] = 17137,
  [SMALL_STATE(341)] = 17234,
  [SMALL_STATE(342)] = 17331,
  [SMALL_STATE(343)] = 17402,
  [SMALL_STATE(344)] = 17497,
  [SMALL_STATE(345)] = 17594,
  [SMALL_STATE(346)] = 17691,
  [SMALL_STATE(347)] = 17788,
  [SMALL_STATE(348)] = 17885,
  [SMALL_STATE(349)] = 17982,
  [SMALL_STATE(350)] = 18077,
  [SMALL_STATE(351)] = 18147,
  [SMALL_STATE(352)] = 18217,
  [SMALL_STATE(353)] = 18309,
  [SMALL_STATE(354)] = 18403,
  [SMALL_STATE(355)] = 18495,
  [SMALL_STATE(356)] = 18589,
  [SMALL_STATE(357)] = 18681,
  [SMALL_STATE(358)] = 18773,
  [SMALL_STATE(359)] = 18865,
  [SMALL_STATE(360)] = 18959,
  [SMALL_STATE(361)] = 19051,
  [SMALL_STATE(362)] = 19145,
  [SMALL_STATE(363)] = 19239,
  [SMALL_STATE(364)] = 19333,
  [SMALL_STATE(365)] = 19425,
  [SMALL_STATE(366)] = 19517,
  [SMALL_STATE(367)] = 19609,
  [SMALL_STATE(368)] = 19703,
  [SMALL_STATE(369)] = 19797,
  [SMALL_STATE(370)] = 19889,
  [SMALL_STATE(371)] = 19983,
  [SMALL_STATE(372)] = 20075,
  [SMALL_STATE(373)] = 20169,
  [SMALL_STATE(374)] = 20261,
  [SMALL_STATE(375)] = 20355,
  [SMALL_STATE(376)] = 20449,
  [SMALL_STATE(377)] = 20543,
  [SMALL_STATE(378)] = 20637,
  [SMALL_STATE(379)] = 20707,
  [SMALL_STATE(380)] = 20799,
  [SMALL_STATE(381)] = 20893,
  [SMALL_STATE(382)] = 20987,
  [SMALL_STATE(383)] = 21081,
  [SMALL_STATE(384)] = 21173,
  [SMALL_STATE(385)] = 21265,
  [SMALL_STATE(386)] = 21359,
  [SMALL_STATE(387)] = 21453,
  [SMALL_STATE(388)] = 21545,
  [SMALL_STATE(389)] = 21637,
  [SMALL_STATE(390)] = 21729,
  [SMALL_STATE(391)] = 21799,
  [SMALL_STATE(392)] = 21869,
  [SMALL_STATE(393)] = 21961,
  [SMALL_STATE(394)] = 22031,
  [SMALL_STATE(395)] = 22125,
  [SMALL_STATE(396)] = 22195,
  [SMALL_STATE(397)] = 22265,
  [SMALL_STATE(398)] = 22357,
  [SMALL_STATE(399)] = 22449,
  [SMALL_STATE(400)] = 22541,
  [SMALL_STATE(401)] = 22633,
  [SMALL_STATE(402)] = 22725,
  [SMALL_STATE(403)] = 22817,
  [SMALL_STATE(404)] = 22909,
  [SMALL_STATE(405)] = 23001,
  [SMALL_STATE(406)] = 23093,
  [SMALL_STATE(407)] = 23158,
  [SMALL_STATE(408)] = 23215,
  [SMALL_STATE(409)] = 23280,
  [SMALL_STATE(410)] = 23337,
  [SMALL_STATE(411)] = 23428,
  [SMALL_STATE(412)] = 23519,
  [SMALL_STATE(413)] = 23610,
  [SMALL_STATE(414)] = 23701,
  [SMALL_STATE(415)] = 23792,
  [SMALL_STATE(416)] = 23883,
  [SMALL_STATE(417)] = 23974,
  [SMALL_STATE(418)] = 24031,
  [SMALL_STATE(419)] = 24122,
  [SMALL_STATE(420)] = 24213,
  [SMALL_STATE(421)] = 24304,
  [SMALL_STATE(422)] = 24395,
  [SMALL_STATE(423)] = 24452,
  [SMALL_STATE(424)] = 24509,
  [SMALL_STATE(425)] = 24600,
  [SMALL_STATE(426)] = 24691,
  [SMALL_STATE(427)] = 24782,
  [SMALL_STATE(428)] = 24839,
  [SMALL_STATE(429)] = 24930,
  [SMALL_STATE(430)] = 25021,
  [SMALL_STATE(431)] = 25112,
  [SMALL_STATE(432)] = 25203,
  [SMALL_STATE(433)] = 25260,
  [SMALL_STATE(434)] = 25351,
  [SMALL_STATE(435)] = 25442,
  [SMALL_STATE(436)] = 25533,
  [SMALL_STATE(437)] = 25624,
  [SMALL_STATE(438)] = 25712,
  [SMALL_STATE(439)] = 25800,
  [SMALL_STATE(440)] = 25888,
  [SMALL_STATE(441)] = 25976,
  [SMALL_STATE(442)] = 26064,
  [SMALL_STATE(443)] = 26152,
  [SMALL_STATE(444)] = 26240,
  [SMALL_STATE(445)] = 26328,
  [SMALL_STATE(446)] = 26416,
  [SMALL_STATE(447)] = 26504,
  [SMALL_STATE(448)] = 26592,
  [SMALL_STATE(449)] = 26680,
  [SMALL_STATE(450)] = 26768,
  [SMALL_STATE(451)] = 26856,
  [SMALL_STATE(452)] = 26944,
  [SMALL_STATE(453)] = 27032,
  [SMALL_STATE(454)] = 27120,
  [SMALL_STATE(455)] = 27208,
  [SMALL_STATE(456)] = 27296,
  [SMALL_STATE(457)] = 27384,
  [SMALL_STATE(458)] = 27472,
  [SMALL_STATE(459)] = 27560,
  [SMALL_STATE(460)] = 27648,
  [SMALL_STATE(461)] = 27736,
  [SMALL_STATE(462)] = 27824,
  [SMALL_STATE(463)] = 27912,
  [SMALL_STATE(464)] = 27978,
  [SMALL_STATE(465)] = 28044,
  [SMALL_STATE(466)] = 28132,
  [SMALL_STATE(467)] = 28198,
  [SMALL_STATE(468)] = 28286,
  [SMALL_STATE(469)] = 28374,
  [SMALL_STATE(470)] = 28462,
  [SMALL_STATE(471)] = 28550,
  [SMALL_STATE(472)] = 28638,
  [SMALL_STATE(473)] = 28726,
  [SMALL_STATE(474)] = 28814,
  [SMALL_STATE(475)] = 28902,
  [SMALL_STATE(476)] = 28990,
  [SMALL_STATE(477)] = 29078,
  [SMALL_STATE(478)] = 29166,
  [SMALL_STATE(479)] = 29254,
  [SMALL_STATE(480)] = 29342,
  [SMALL_STATE(481)] = 29430,
  [SMALL_STATE(482)] = 29518,
  [SMALL_STATE(483)] = 29606,
  [SMALL_STATE(484)] = 29666,
  [SMALL_STATE(485)] = 29726,
  [SMALL_STATE(486)] = 29814,
  [SMALL_STATE(487)] = 29902,
  [SMALL_STATE(488)] = 29990,
  [SMALL_STATE(489)] = 30078,
  [SMALL_STATE(490)] = 30166,
  [SMALL_STATE(491)] = 30254,
  [SMALL_STATE(492)] = 30342,
  [SMALL_STATE(493)] = 30430,
  [SMALL_STATE(494)] = 30518,
  [SMALL_STATE(495)] = 30606,
  [SMALL_STATE(496)] = 30694,
  [SMALL_STATE(497)] = 30782,
  [SMALL_STATE(498)] = 30870,
  [SMALL_STATE(499)] = 30958,
  [SMALL_STATE(500)] = 31048,
  [SMALL_STATE(501)] = 31136,
  [SMALL_STATE(502)] = 31224,
  [SMALL_STATE(503)] = 31312,
  [SMALL_STATE(504)] = 31400,
  [SMALL_STATE(505)] = 31488,
  [SMALL_STATE(506)] = 31576,
  [SMALL_STATE(507)] = 31638,
  [SMALL_STATE(508)] = 31726,
  [SMALL_STATE(509)] = 31814,
  [SMALL_STATE(510)] = 31902,
  [SMALL_STATE(511)] = 31990,
  [SMALL_STATE(512)] = 32078,
  [SMALL_STATE(513)] = 32140,
  [SMALL_STATE(514)] = 32228,
  [SMALL_STATE(515)] = 32316,
  [SMALL_STATE(516)] = 32406,
  [SMALL_STATE(517)] = 32494,
  [SMALL_STATE(518)] = 32582,
  [SMALL_STATE(519)] = 32670,
  [SMALL_STATE(520)] = 32758,
  [SMALL_STATE(521)] = 32846,
  [SMALL_STATE(522)] = 32934,
  [SMALL_STATE(523)] = 33022,
  [SMALL_STATE(524)] = 33110,
  [SMALL_STATE(525)] = 33198,
  [SMALL_STATE(526)] = 33286,
  [SMALL_STATE(527)] = 33374,
  [SMALL_STATE(528)] = 33462,
  [SMALL_STATE(529)] = 33550,
  [SMALL_STATE(530)] = 33638,
  [SMALL_STATE(531)] = 33726,
  [SMALL_STATE(532)] = 33814,
  [SMALL_STATE(533)] = 33880,
  [SMALL_STATE(534)] = 33968,
  [SMALL_STATE(535)] = 34056,
  [SMALL_STATE(536)] = 34144,
  [SMALL_STATE(537)] = 34232,
  [SMALL_STATE(538)] = 34320,
  [SMALL_STATE(539)] = 34380,
  [SMALL_STATE(540)] = 34440,
  [SMALL_STATE(541)] = 34528,
  [SMALL_STATE(542)] = 34616,
  [SMALL_STATE(543)] = 34678,
  [SMALL_STATE(544)] = 34766,
  [SMALL_STATE(545)] = 34832,
  [SMALL_STATE(546)] = 34920,
  [SMALL_STATE(547)] = 35008,
  [SMALL_STATE(548)] = 35096,
  [SMALL_STATE(549)] = 35184,
  [SMALL_STATE(550)] = 35272,
  [SMALL_STATE(551)] = 35338,
  [SMALL_STATE(552)] = 35426,
  [SMALL_STATE(553)] = 35514,
  [SMALL_STATE(554)] = 35580,
  [SMALL_STATE(555)] = 35668,
  [SMALL_STATE(556)] = 35756,
  [SMALL_STATE(557)] = 35844,
  [SMALL_STATE(558)] = 35932,
  [SMALL_STATE(559)] = 36020,
  [SMALL_STATE(560)] = 36108,
  [SMALL_STATE(561)] = 36196,
  [SMALL_STATE(562)] = 36284,
  [SMALL_STATE(563)] = 36372,
  [SMALL_STATE(564)] = 36460,
  [SMALL_STATE(565)] = 36548,
  [SMALL_STATE(566)] = 36636,
  [SMALL_STATE(567)] = 36724,
  [SMALL_STATE(568)] = 36812,
  [SMALL_STATE(569)] = 36900,
  [SMALL_STATE(570)] = 36988,
  [SMALL_STATE(571)] = 37076,
  [SMALL_STATE(572)] = 37164,
  [SMALL_STATE(573)] = 37230,
  [SMALL_STATE(574)] = 37285,
  [SMALL_STATE(575)] = 37346,
  [SMALL_STATE(576)] = 37401,
  [SMALL_STATE(577)] = 37456,
  [SMALL_STATE(578)] = 37511,
  [SMALL_STATE(579)] = 37566,
  [SMALL_STATE(580)] = 37621,
  [SMALL_STATE(581)] = 37676,
  [SMALL_STATE(582)] = 37731,
  [SMALL_STATE(583)] = 37786,
  [SMALL_STATE(584)] = 37841,
  [SMALL_STATE(585)] = 37896,
  [SMALL_STATE(586)] = 37951,
  [SMALL_STATE(587)] = 38006,
  [SMALL_STATE(588)] = 38061,
  [SMALL_STATE(589)] = 38116,
  [SMALL_STATE(590)] = 38177,
  [SMALL_STATE(591)] = 38232,
  [SMALL_STATE(592)] = 38287,
  [SMALL_STATE(593)] = 38341,
  [SMALL_STATE(594)] = 38401,
  [SMALL_STATE(595)] = 38461,
  [SMALL_STATE(596)] = 38521,
  [SMALL_STATE(597)] = 38575,
  [SMALL_STATE(598)] = 38629,
  [SMALL_STATE(599)] = 38683,
  [SMALL_STATE(600)] = 38737,
  [SMALL_STATE(601)] = 38791,
  [SMALL_STATE(602)] = 38845,
  [SMALL_STATE(603)] = 38899,
  [SMALL_STATE(604)] = 38953,
  [SMALL_STATE(605)] = 39007,
  [SMALL_STATE(606)] = 39061,
  [SMALL_STATE(607)] = 39115,
  [SMALL_STATE(608)] = 39169,
  [SMALL_STATE(609)] = 39223,
  [SMALL_STATE(610)] = 39277,
  [SMALL_STATE(611)] = 39337,
  [SMALL_STATE(612)] = 39397,
  [SMALL_STATE(613)] = 39457,
  [SMALL_STATE(614)] = 39511,
  [SMALL_STATE(615)] = 39565,
  [SMALL_STATE(616)] = 39619,
  [SMALL_STATE(617)] = 39673,
  [SMALL_STATE(618)] = 39733,
  [SMALL_STATE(619)] = 39787,
  [SMALL_STATE(620)] = 39841,
  [SMALL_STATE(621)] = 39901,
  [SMALL_STATE(622)] = 39961,
  [SMALL_STATE(623)] = 40015,
  [SMALL_STATE(624)] = 40069,
  [SMALL_STATE(625)] = 40123,
  [SMALL_STATE(626)] = 40177,
  [SMALL_STATE(627)] = 40231,
  [SMALL_STATE(628)] = 40285,
  [SMALL_STATE(629)] = 40339,
  [SMALL_STATE(630)] = 40393,
  [SMALL_STATE(631)] = 40447,
  [SMALL_STATE(632)] = 40507,
  [SMALL_STATE(633)] = 40567,
  [SMALL_STATE(634)] = 40627,
  [SMALL_STATE(635)] = 40687,
  [SMALL_STATE(636)] = 40747,
  [SMALL_STATE(637)] = 40801,
  [SMALL_STATE(638)] = 40855,
  [SMALL_STATE(639)] = 40915,
  [SMALL_STATE(640)] = 40969,
  [SMALL_STATE(641)] = 41023,
  [SMALL_STATE(642)] = 41083,
  [SMALL_STATE(643)] = 41143,
  [SMALL_STATE(644)] = 41203,
  [SMALL_STATE(645)] = 41257,
  [SMALL_STATE(646)] = 41311,
  [SMALL_STATE(647)] = 41365,
  [SMALL_STATE(648)] = 41419,
  [SMALL_STATE(649)] = 41473,
  [SMALL_STATE(650)] = 41527,
  [SMALL_STATE(651)] = 41584,
  [SMALL_STATE(652)] = 41637,
  [SMALL_STATE(653)] = 41690,
  [SMALL_STATE(654)] = 41747,
  [SMALL_STATE(655)] = 41804,
  [SMALL_STATE(656)] = 41861,
  [SMALL_STATE(657)] = 41918,
  [SMALL_STATE(658)] = 41975,
  [SMALL_STATE(659)] = 42032,
  [SMALL_STATE(660)] = 42089,
  [SMALL_STATE(661)] = 42146,
  [SMALL_STATE(662)] = 42203,
  [SMALL_STATE(663)] = 42256,
  [SMALL_STATE(664)] = 42313,
  [SMALL_STATE(665)] = 42366,
  [SMALL_STATE(666)] = 42423,
  [SMALL_STATE(667)] = 42476,
  [SMALL_STATE(668)] = 42533,
  [SMALL_STATE(669)] = 42590,
  [SMALL_STATE(670)] = 42643,
  [SMALL_STATE(671)] = 42700,
  [SMALL_STATE(672)] = 42757,
  [SMALL_STATE(673)] = 42809,
  [SMALL_STATE(674)] = 42861,
  [SMALL_STATE(675)] = 42913,
  [SMALL_STATE(676)] = 42965,
  [SMALL_STATE(677)] = 43017,
  [SMALL_STATE(678)] = 43069,
  [SMALL_STATE(679)] = 43121,
  [SMALL_STATE(680)] = 43173,
  [SMALL_STATE(681)] = 43225,
  [SMALL_STATE(682)] = 43277,
  [SMALL_STATE(683)] = 43329,
  [SMALL_STATE(684)] = 43381,
  [SMALL_STATE(685)] = 43433,
  [SMALL_STATE(686)] = 43485,
  [SMALL_STATE(687)] = 43537,
  [SMALL_STATE(688)] = 43589,
  [SMALL_STATE(689)] = 43641,
  [SMALL_STATE(690)] = 43693,
  [SMALL_STATE(691)] = 43745,
  [SMALL_STATE(692)] = 43797,
  [SMALL_STATE(693)] = 43849,
  [SMALL_STATE(694)] = 43901,
  [SMALL_STATE(695)] = 43953,
  [SMALL_STATE(696)] = 44005,
  [SMALL_STATE(697)] = 44057,
  [SMALL_STATE(698)] = 44109,
  [SMALL_STATE(699)] = 44161,
  [SMALL_STATE(700)] = 44213,
  [SMALL_STATE(701)] = 44265,
  [SMALL_STATE(702)] = 44317,
  [SMALL_STATE(703)] = 44369,
  [SMALL_STATE(704)] = 44421,
  [SMALL_STATE(705)] = 44473,
  [SMALL_STATE(706)] = 44525,
  [SMALL_STATE(707)] = 44577,
  [SMALL_STATE(708)] = 44629,
  [SMALL_STATE(709)] = 44681,
  [SMALL_STATE(710)] = 44733,
  [SMALL_STATE(711)] = 44785,
  [SMALL_STATE(712)] = 44837,
  [SMALL_STATE(713)] = 44889,
  [SMALL_STATE(714)] = 44941,
  [SMALL_STATE(715)] = 44993,
  [SMALL_STATE(716)] = 45045,
  [SMALL_STATE(717)] = 45097,
  [SMALL_STATE(718)] = 45149,
  [SMALL_STATE(719)] = 45201,
  [SMALL_STATE(720)] = 45253,
  [SMALL_STATE(721)] = 45305,
  [SMALL_STATE(722)] = 45357,
  [SMALL_STATE(723)] = 45409,
  [SMALL_STATE(724)] = 45461,
  [SMALL_STATE(725)] = 45513,
  [SMALL_STATE(726)] = 45565,
  [SMALL_STATE(727)] = 45617,
  [SMALL_STATE(728)] = 45669,
  [SMALL_STATE(729)] = 45721,
  [SMALL_STATE(730)] = 45773,
  [SMALL_STATE(731)] = 45825,
  [SMALL_STATE(732)] = 45877,
  [SMALL_STATE(733)] = 45929,
  [SMALL_STATE(734)] = 45981,
  [SMALL_STATE(735)] = 46033,
  [SMALL_STATE(736)] = 46085,
  [SMALL_STATE(737)] = 46137,
  [SMALL_STATE(738)] = 46189,
  [SMALL_STATE(739)] = 46241,
  [SMALL_STATE(740)] = 46293,
  [SMALL_STATE(741)] = 46345,
  [SMALL_STATE(742)] = 46397,
  [SMALL_STATE(743)] = 46448,
  [SMALL_STATE(744)] = 46499,
  [SMALL_STATE(745)] = 46550,
  [SMALL_STATE(746)] = 46601,
  [SMALL_STATE(747)] = 46652,
  [SMALL_STATE(748)] = 46703,
  [SMALL_STATE(749)] = 46754,
  [SMALL_STATE(750)] = 46805,
  [SMALL_STATE(751)] = 46856,
  [SMALL_STATE(752)] = 46907,
  [SMALL_STATE(753)] = 46990,
  [SMALL_STATE(754)] = 47041,
  [SMALL_STATE(755)] = 47092,
  [SMALL_STATE(756)] = 47143,
  [SMALL_STATE(757)] = 47194,
  [SMALL_STATE(758)] = 47245,
  [SMALL_STATE(759)] = 47296,
  [SMALL_STATE(760)] = 47347,
  [SMALL_STATE(761)] = 47398,
  [SMALL_STATE(762)] = 47449,
  [SMALL_STATE(763)] = 47500,
  [SMALL_STATE(764)] = 47551,
  [SMALL_STATE(765)] = 47602,
  [SMALL_STATE(766)] = 47653,
  [SMALL_STATE(767)] = 47704,
  [SMALL_STATE(768)] = 47755,
  [SMALL_STATE(769)] = 47806,
  [SMALL_STATE(770)] = 47857,
  [SMALL_STATE(771)] = 47908,
  [SMALL_STATE(772)] = 47959,
  [SMALL_STATE(773)] = 48010,
  [SMALL_STATE(774)] = 48061,
  [SMALL_STATE(775)] = 48112,
  [SMALL_STATE(776)] = 48163,
  [SMALL_STATE(777)] = 48214,
  [SMALL_STATE(778)] = 48265,
  [SMALL_STATE(779)] = 48316,
  [SMALL_STATE(780)] = 48367,
  [SMALL_STATE(781)] = 48418,
  [SMALL_STATE(782)] = 48469,
  [SMALL_STATE(783)] = 48520,
  [SMALL_STATE(784)] = 48571,
  [SMALL_STATE(785)] = 48654,
  [SMALL_STATE(786)] = 48705,
  [SMALL_STATE(787)] = 48756,
  [SMALL_STATE(788)] = 48807,
  [SMALL_STATE(789)] = 48858,
  [SMALL_STATE(790)] = 48909,
  [SMALL_STATE(791)] = 48960,
  [SMALL_STATE(792)] = 49011,
  [SMALL_STATE(793)] = 49062,
  [SMALL_STATE(794)] = 49113,
  [SMALL_STATE(795)] = 49164,
  [SMALL_STATE(796)] = 49215,
  [SMALL_STATE(797)] = 49266,
  [SMALL_STATE(798)] = 49317,
  [SMALL_STATE(799)] = 49368,
  [SMALL_STATE(800)] = 49419,
  [SMALL_STATE(801)] = 49470,
  [SMALL_STATE(802)] = 49521,
  [SMALL_STATE(803)] = 49572,
  [SMALL_STATE(804)] = 49623,
  [SMALL_STATE(805)] = 49674,
  [SMALL_STATE(806)] = 49725,
  [SMALL_STATE(807)] = 49776,
  [SMALL_STATE(808)] = 49827,
  [SMALL_STATE(809)] = 49878,
  [SMALL_STATE(810)] = 49929,
  [SMALL_STATE(811)] = 49980,
  [SMALL_STATE(812)] = 50031,
  [SMALL_STATE(813)] = 50082,
  [SMALL_STATE(814)] = 50133,
  [SMALL_STATE(815)] = 50213,
  [SMALL_STATE(816)] = 50293,
  [SMALL_STATE(817)] = 50373,
  [SMALL_STATE(818)] = 50453,
  [SMALL_STATE(819)] = 50533,
  [SMALL_STATE(820)] = 50613,
  [SMALL_STATE(821)] = 50693,
  [SMALL_STATE(822)] = 50773,
  [SMALL_STATE(823)] = 50853,
  [SMALL_STATE(824)] = 50933,
  [SMALL_STATE(825)] = 51013,
  [SMALL_STATE(826)] = 51093,
  [SMALL_STATE(827)] = 51173,
  [SMALL_STATE(828)] = 51253,
  [SMALL_STATE(829)] = 51330,
  [SMALL_STATE(830)] = 51407,
  [SMALL_STATE(831)] = 51484,
  [SMALL_STATE(832)] = 51534,
  [SMALL_STATE(833)] = 51584,
  [SMALL_STATE(834)] = 51634,
  [SMALL_STATE(835)] = 51684,
  [SMALL_STATE(836)] = 51764,
  [SMALL_STATE(837)] = 51844,
  [SMALL_STATE(838)] = 51894,
  [SMALL_STATE(839)] = 51964,
  [SMALL_STATE(840)] = 52044,
  [SMALL_STATE(841)] = 52094,
  [SMALL_STATE(842)] = 52144,
  [SMALL_STATE(843)] = 52214,
  [SMALL_STATE(844)] = 52264,
  [SMALL_STATE(845)] = 52314,
  [SMALL_STATE(846)] = 52363,
  [SMALL_STATE(847)] = 52432,
  [SMALL_STATE(848)] = 52487,
  [SMALL_STATE(849)] = 52550,
  [SMALL_STATE(850)] = 52599,
  [SMALL_STATE(851)] = 52668,
  [SMALL_STATE(852)] = 52723,
  [SMALL_STATE(853)] = 52778,
  [SMALL_STATE(854)] = 52847,
  [SMALL_STATE(855)] = 52910,
  [SMALL_STATE(856)] = 52975,
  [SMALL_STATE(857)] = 53042,
  [SMALL_STATE(858)] = 53101,
  [SMALL_STATE(859)] = 53162,
  [SMALL_STATE(860)] = 53231,
  [SMALL_STATE(861)] = 53286,
  [SMALL_STATE(862)] = 53355,
  [SMALL_STATE(863)] = 53416,
  [SMALL_STATE(864)] = 53495,
  [SMALL_STATE(865)] = 53550,
  [SMALL_STATE(866)] = 53605,
  [SMALL_STATE(867)] = 53654,
  [SMALL_STATE(868)] = 53713,
  [SMALL_STATE(869)] = 53778,
  [SMALL_STATE(870)] = 53843,
  [SMALL_STATE(871)] = 53898,
  [SMALL_STATE(872)] = 53963,
  [SMALL_STATE(873)] = 54030,
  [SMALL_STATE(874)] = 54099,
  [SMALL_STATE(875)] = 54178,
  [SMALL_STATE(876)] = 54227,
  [SMALL_STATE(877)] = 54292,
  [SMALL_STATE(878)] = 54347,
  [SMALL_STATE(879)] = 54412,
  [SMALL_STATE(880)] = 54461,
  [SMALL_STATE(881)] = 54526,
  [SMALL_STATE(882)] = 54575,
  [SMALL_STATE(883)] = 54640,
  [SMALL_STATE(884)] = 54719,
  [SMALL_STATE(885)] = 54768,
  [SMALL_STATE(886)] = 54833,
  [SMALL_STATE(887)] = 54902,
  [SMALL_STATE(888)] = 54971,
  [SMALL_STATE(889)] = 55036,
  [SMALL_STATE(890)] = 55085,
  [SMALL_STATE(891)] = 55148,
  [SMALL_STATE(892)] = 55213,
  [SMALL_STATE(893)] = 55280,
  [SMALL_STATE(894)] = 55339,
  [SMALL_STATE(895)] = 55394,
  [SMALL_STATE(896)] = 55463,
  [SMALL_STATE(897)] = 55512,
  [SMALL_STATE(898)] = 55573,
  [SMALL_STATE(899)] = 55631,
  [SMALL_STATE(900)] = 55699,
  [SMALL_STATE(901)] = 55761,
  [SMALL_STATE(902)] = 55823,
  [SMALL_STATE(903)] = 55891,
  [SMALL_STATE(904)] = 55959,
  [SMALL_STATE(905)] = 56007,
  [SMALL_STATE(906)] = 56069,
  [SMALL_STATE(907)] = 56115,
  [SMALL_STATE(908)] = 56161,
  [SMALL_STATE(909)] = 56223,
  [SMALL_STATE(910)] = 56285,
  [SMALL_STATE(911)] = 56347,
  [SMALL_STATE(912)] = 56409,
  [SMALL_STATE(913)] = 56487,
  [SMALL_STATE(914)] = 56549,
  [SMALL_STATE(915)] = 56597,
  [SMALL_STATE(916)] = 56641,
  [SMALL_STATE(917)] = 56695,
  [SMALL_STATE(918)] = 56757,
  [SMALL_STATE(919)] = 56819,
  [SMALL_STATE(920)] = 56881,
  [SMALL_STATE(921)] = 56943,
  [SMALL_STATE(922)] = 57005,
  [SMALL_STATE(923)] = 57073,
  [SMALL_STATE(924)] = 57141,
  [SMALL_STATE(925)] = 57203,
  [SMALL_STATE(926)] = 57265,
  [SMALL_STATE(927)] = 57327,
  [SMALL_STATE(928)] = 57389,
  [SMALL_STATE(929)] = 57451,
  [SMALL_STATE(930)] = 57513,
  [SMALL_STATE(931)] = 57575,
  [SMALL_STATE(932)] = 57637,
  [SMALL_STATE(933)] = 57681,
  [SMALL_STATE(934)] = 57743,
  [SMALL_STATE(935)] = 57791,
  [SMALL_STATE(936)] = 57853,
  [SMALL_STATE(937)] = 57915,
  [SMALL_STATE(938)] = 57977,
  [SMALL_STATE(939)] = 58039,
  [SMALL_STATE(940)] = 58101,
  [SMALL_STATE(941)] = 58163,
  [SMALL_STATE(942)] = 58225,
  [SMALL_STATE(943)] = 58287,
  [SMALL_STATE(944)] = 58349,
  [SMALL_STATE(945)] = 58411,
  [SMALL_STATE(946)] = 58473,
  [SMALL_STATE(947)] = 58535,
  [SMALL_STATE(948)] = 58597,
  [SMALL_STATE(949)] = 58643,
  [SMALL_STATE(950)] = 58691,
  [SMALL_STATE(951)] = 58735,
  [SMALL_STATE(952)] = 58797,
  [SMALL_STATE(953)] = 58859,
  [SMALL_STATE(954)] = 58921,
  [SMALL_STATE(955)] = 58983,
  [SMALL_STATE(956)] = 59045,
  [SMALL_STATE(957)] = 59091,
  [SMALL_STATE(958)] = 59157,
  [SMALL_STATE(959)] = 59219,
  [SMALL_STATE(960)] = 59281,
  [SMALL_STATE(961)] = 59345,
  [SMALL_STATE(962)] = 59407,
  [SMALL_STATE(963)] = 59469,
  [SMALL_STATE(964)] = 59531,
  [SMALL_STATE(965)] = 59593,
  [SMALL_STATE(966)] = 59659,
  [SMALL_STATE(967)] = 59721,
  [SMALL_STATE(968)] = 59779,
  [SMALL_STATE(969)] = 59841,
  [SMALL_STATE(970)] = 59903,
  [SMALL_STATE(971)] = 59957,
  [SMALL_STATE(972)] = 60011,
  [SMALL_STATE(973)] = 60071,
  [SMALL_STATE(974)] = 60133,
  [SMALL_STATE(975)] = 60187,
  [SMALL_STATE(976)] = 60249,
  [SMALL_STATE(977)] = 60311,
  [SMALL_STATE(978)] = 60373,
  [SMALL_STATE(979)] = 60435,
  [SMALL_STATE(980)] = 60501,
  [SMALL_STATE(981)] = 60563,
  [SMALL_STATE(982)] = 60625,
  [SMALL_STATE(983)] = 60691,
  [SMALL_STATE(984)] = 60753,
  [SMALL_STATE(985)] = 60815,
  [SMALL_STATE(986)] = 60877,
  [SMALL_STATE(987)] = 60941,
  [SMALL_STATE(988)] = 61007,
  [SMALL_STATE(989)] = 61069,
  [SMALL_STATE(990)] = 61117,
  [SMALL_STATE(991)] = 61161,
  [SMALL_STATE(992)] = 61223,
  [SMALL_STATE(993)] = 61299,
  [SMALL_STATE(994)] = 61361,
  [SMALL_STATE(995)] = 61423,
  [SMALL_STATE(996)] = 61477,
  [SMALL_STATE(997)] = 61545,
  [SMALL_STATE(998)] = 61605,
  [SMALL_STATE(999)] = 61659,
  [SMALL_STATE(1000)] = 61721,
  [SMALL_STATE(1001)] = 61783,
  [SMALL_STATE(1002)] = 61845,
  [SMALL_STATE(1003)] = 61899,
  [SMALL_STATE(1004)] = 61961,
  [SMALL_STATE(1005)] = 62023,
  [SMALL_STATE(1006)] = 62085,
  [SMALL_STATE(1007)] = 62147,
  [SMALL_STATE(1008)] = 62195,
  [SMALL_STATE(1009)] = 62243,
  [SMALL_STATE(1010)] = 62305,
  [SMALL_STATE(1011)] = 62367,
  [SMALL_STATE(1012)] = 62421,
  [SMALL_STATE(1013)] = 62481,
  [SMALL_STATE(1014)] = 62543,
  [SMALL_STATE(1015)] = 62611,
  [SMALL_STATE(1016)] = 62665,
  [SMALL_STATE(1017)] = 62727,
  [SMALL_STATE(1018)] = 62771,
  [SMALL_STATE(1019)] = 62819,
  [SMALL_STATE(1020)] = 62881,
  [SMALL_STATE(1021)] = 62943,
  [SMALL_STATE(1022)] = 63005,
  [SMALL_STATE(1023)] = 63067,
  [SMALL_STATE(1024)] = 63133,
  [SMALL_STATE(1025)] = 63191,
  [SMALL_STATE(1026)] = 63257,
  [SMALL_STATE(1027)] = 63319,
  [SMALL_STATE(1028)] = 63383,
  [SMALL_STATE(1029)] = 63445,
  [SMALL_STATE(1030)] = 63507,
  [SMALL_STATE(1031)] = 63569,
  [SMALL_STATE(1032)] = 63631,
  [SMALL_STATE(1033)] = 63693,
  [SMALL_STATE(1034)] = 63755,
  [SMALL_STATE(1035)] = 63817,
  [SMALL_STATE(1036)] = 63879,
  [SMALL_STATE(1037)] = 63941,
  [SMALL_STATE(1038)] = 63985,
  [SMALL_STATE(1039)] = 64047,
  [SMALL_STATE(1040)] = 64109,
  [SMALL_STATE(1041)] = 64175,
  [SMALL_STATE(1042)] = 64221,
  [SMALL_STATE(1043)] = 64267,
  [SMALL_STATE(1044)] = 64329,
  [SMALL_STATE(1045)] = 64397,
  [SMALL_STATE(1046)] = 64465,
  [SMALL_STATE(1047)] = 64508,
  [SMALL_STATE(1048)] = 64551,
  [SMALL_STATE(1049)] = 64596,
  [SMALL_STATE(1050)] = 64639,
  [SMALL_STATE(1051)] = 64682,
  [SMALL_STATE(1052)] = 64725,
  [SMALL_STATE(1053)] = 64768,
  [SMALL_STATE(1054)] = 64811,
  [SMALL_STATE(1055)] = 64854,
  [SMALL_STATE(1056)] = 64897,
  [SMALL_STATE(1057)] = 64940,
  [SMALL_STATE(1058)] = 64985,
  [SMALL_STATE(1059)] = 65052,
  [SMALL_STATE(1060)] = 65095,
  [SMALL_STATE(1061)] = 65162,
  [SMALL_STATE(1062)] = 65205,
  [SMALL_STATE(1063)] = 65250,
  [SMALL_STATE(1064)] = 65295,
  [SMALL_STATE(1065)] = 65338,
  [SMALL_STATE(1066)] = 65381,
  [SMALL_STATE(1067)] = 65424,
  [SMALL_STATE(1068)] = 65467,
  [SMALL_STATE(1069)] = 65510,
  [SMALL_STATE(1070)] = 65553,
  [SMALL_STATE(1071)] = 65596,
  [SMALL_STATE(1072)] = 65639,
  [SMALL_STATE(1073)] = 65686,
  [SMALL_STATE(1074)] = 65729,
  [SMALL_STATE(1075)] = 65772,
  [SMALL_STATE(1076)] = 65815,
  [SMALL_STATE(1077)] = 65858,
  [SMALL_STATE(1078)] = 65901,
  [SMALL_STATE(1079)] = 65962,
  [SMALL_STATE(1080)] = 66005,
  [SMALL_STATE(1081)] = 66048,
  [SMALL_STATE(1082)] = 66091,
  [SMALL_STATE(1083)] = 66134,
  [SMALL_STATE(1084)] = 66197,
  [SMALL_STATE(1085)] = 66262,
  [SMALL_STATE(1086)] = 66319,
  [SMALL_STATE(1087)] = 66362,
  [SMALL_STATE(1088)] = 66405,
  [SMALL_STATE(1089)] = 66448,
  [SMALL_STATE(1090)] = 66501,
  [SMALL_STATE(1091)] = 66544,
  [SMALL_STATE(1092)] = 66587,
  [SMALL_STATE(1093)] = 66654,
  [SMALL_STATE(1094)] = 66713,
  [SMALL_STATE(1095)] = 66766,
  [SMALL_STATE(1096)] = 66809,
  [SMALL_STATE(1097)] = 66852,
  [SMALL_STATE(1098)] = 66895,
  [SMALL_STATE(1099)] = 66942,
  [SMALL_STATE(1100)] = 66985,
  [SMALL_STATE(1101)] = 67028,
  [SMALL_STATE(1102)] = 67071,
  [SMALL_STATE(1103)] = 67114,
  [SMALL_STATE(1104)] = 67157,
  [SMALL_STATE(1105)] = 67200,
  [SMALL_STATE(1106)] = 67243,
  [SMALL_STATE(1107)] = 67286,
  [SMALL_STATE(1108)] = 67339,
  [SMALL_STATE(1109)] = 67382,
  [SMALL_STATE(1110)] = 67425,
  [SMALL_STATE(1111)] = 67468,
  [SMALL_STATE(1112)] = 67511,
  [SMALL_STATE(1113)] = 67554,
  [SMALL_STATE(1114)] = 67597,
  [SMALL_STATE(1115)] = 67640,
  [SMALL_STATE(1116)] = 67683,
  [SMALL_STATE(1117)] = 67726,
  [SMALL_STATE(1118)] = 67793,
  [SMALL_STATE(1119)] = 67836,
  [SMALL_STATE(1120)] = 67879,
  [SMALL_STATE(1121)] = 67946,
  [SMALL_STATE(1122)] = 67993,
  [SMALL_STATE(1123)] = 68036,
  [SMALL_STATE(1124)] = 68079,
  [SMALL_STATE(1125)] = 68122,
  [SMALL_STATE(1126)] = 68165,
  [SMALL_STATE(1127)] = 68208,
  [SMALL_STATE(1128)] = 68251,
  [SMALL_STATE(1129)] = 68294,
  [SMALL_STATE(1130)] = 68337,
  [SMALL_STATE(1131)] = 68380,
  [SMALL_STATE(1132)] = 68427,
  [SMALL_STATE(1133)] = 68470,
  [SMALL_STATE(1134)] = 68513,
  [SMALL_STATE(1135)] = 68556,
  [SMALL_STATE(1136)] = 68599,
  [SMALL_STATE(1137)] = 68642,
  [SMALL_STATE(1138)] = 68685,
  [SMALL_STATE(1139)] = 68728,
  [SMALL_STATE(1140)] = 68771,
  [SMALL_STATE(1141)] = 68814,
  [SMALL_STATE(1142)] = 68857,
  [SMALL_STATE(1143)] = 68900,
  [SMALL_STATE(1144)] = 68943,
  [SMALL_STATE(1145)] = 68986,
  [SMALL_STATE(1146)] = 69029,
  [SMALL_STATE(1147)] = 69072,
  [SMALL_STATE(1148)] = 69115,
  [SMALL_STATE(1149)] = 69158,
  [SMALL_STATE(1150)] = 69201,
  [SMALL_STATE(1151)] = 69254,
  [SMALL_STATE(1152)] = 69297,
  [SMALL_STATE(1153)] = 69342,
  [SMALL_STATE(1154)] = 69385,
  [SMALL_STATE(1155)] = 69428,
  [SMALL_STATE(1156)] = 69473,
  [SMALL_STATE(1157)] = 69516,
  [SMALL_STATE(1158)] = 69559,
  [SMALL_STATE(1159)] = 69612,
  [SMALL_STATE(1160)] = 69671,
  [SMALL_STATE(1161)] = 69738,
  [SMALL_STATE(1162)] = 69781,
  [SMALL_STATE(1163)] = 69824,
  [SMALL_STATE(1164)] = 69867,
  [SMALL_STATE(1165)] = 69910,
  [SMALL_STATE(1166)] = 69953,
  [SMALL_STATE(1167)] = 69996,
  [SMALL_STATE(1168)] = 70039,
  [SMALL_STATE(1169)] = 70082,
  [SMALL_STATE(1170)] = 70125,
  [SMALL_STATE(1171)] = 70168,
  [SMALL_STATE(1172)] = 70221,
  [SMALL_STATE(1173)] = 70278,
  [SMALL_STATE(1174)] = 70321,
  [SMALL_STATE(1175)] = 70386,
  [SMALL_STATE(1176)] = 70449,
  [SMALL_STATE(1177)] = 70510,
  [SMALL_STATE(1178)] = 70552,
  [SMALL_STATE(1179)] = 70594,
  [SMALL_STATE(1180)] = 70638,
  [SMALL_STATE(1181)] = 70680,
  [SMALL_STATE(1182)] = 70722,
  [SMALL_STATE(1183)] = 70766,
  [SMALL_STATE(1184)] = 70810,
  [SMALL_STATE(1185)] = 70852,
  [SMALL_STATE(1186)] = 70894,
  [SMALL_STATE(1187)] = 70936,
  [SMALL_STATE(1188)] = 70978,
  [SMALL_STATE(1189)] = 71020,
  [SMALL_STATE(1190)] = 71062,
  [SMALL_STATE(1191)] = 71104,
  [SMALL_STATE(1192)] = 71146,
  [SMALL_STATE(1193)] = 71188,
  [SMALL_STATE(1194)] = 71230,
  [SMALL_STATE(1195)] = 71272,
  [SMALL_STATE(1196)] = 71314,
  [SMALL_STATE(1197)] = 71356,
  [SMALL_STATE(1198)] = 71398,
  [SMALL_STATE(1199)] = 71440,
  [SMALL_STATE(1200)] = 71482,
  [SMALL_STATE(1201)] = 71524,
  [SMALL_STATE(1202)] = 71566,
  [SMALL_STATE(1203)] = 71608,
  [SMALL_STATE(1204)] = 71650,
  [SMALL_STATE(1205)] = 71692,
  [SMALL_STATE(1206)] = 71734,
  [SMALL_STATE(1207)] = 71776,
  [SMALL_STATE(1208)] = 71818,
  [SMALL_STATE(1209)] = 71860,
  [SMALL_STATE(1210)] = 71902,
  [SMALL_STATE(1211)] = 71944,
  [SMALL_STATE(1212)] = 71988,
  [SMALL_STATE(1213)] = 72030,
  [SMALL_STATE(1214)] = 72072,
  [SMALL_STATE(1215)] = 72114,
  [SMALL_STATE(1216)] = 72156,
  [SMALL_STATE(1217)] = 72198,
  [SMALL_STATE(1218)] = 72240,
  [SMALL_STATE(1219)] = 72284,
  [SMALL_STATE(1220)] = 72326,
  [SMALL_STATE(1221)] = 72368,
  [SMALL_STATE(1222)] = 72410,
  [SMALL_STATE(1223)] = 72452,
  [SMALL_STATE(1224)] = 72496,
  [SMALL_STATE(1225)] = 72540,
  [SMALL_STATE(1226)] = 72582,
  [SMALL_STATE(1227)] = 72624,
  [SMALL_STATE(1228)] = 72666,
  [SMALL_STATE(1229)] = 72708,
  [SMALL_STATE(1230)] = 72750,
  [SMALL_STATE(1231)] = 72794,
  [SMALL_STATE(1232)] = 72836,
  [SMALL_STATE(1233)] = 72878,
  [SMALL_STATE(1234)] = 72920,
  [SMALL_STATE(1235)] = 72964,
  [SMALL_STATE(1236)] = 73008,
  [SMALL_STATE(1237)] = 73050,
  [SMALL_STATE(1238)] = 73092,
  [SMALL_STATE(1239)] = 73136,
  [SMALL_STATE(1240)] = 73178,
  [SMALL_STATE(1241)] = 73224,
  [SMALL_STATE(1242)] = 73266,
  [SMALL_STATE(1243)] = 73308,
  [SMALL_STATE(1244)] = 73354,
  [SMALL_STATE(1245)] = 73396,
  [SMALL_STATE(1246)] = 73438,
  [SMALL_STATE(1247)] = 73480,
  [SMALL_STATE(1248)] = 73522,
  [SMALL_STATE(1249)] = 73564,
  [SMALL_STATE(1250)] = 73606,
  [SMALL_STATE(1251)] = 73648,
  [SMALL_STATE(1252)] = 73692,
  [SMALL_STATE(1253)] = 73734,
  [SMALL_STATE(1254)] = 73776,
  [SMALL_STATE(1255)] = 73818,
  [SMALL_STATE(1256)] = 73860,
  [SMALL_STATE(1257)] = 73902,
  [SMALL_STATE(1258)] = 73944,
  [SMALL_STATE(1259)] = 73986,
  [SMALL_STATE(1260)] = 74028,
  [SMALL_STATE(1261)] = 74070,
  [SMALL_STATE(1262)] = 74112,
  [SMALL_STATE(1263)] = 74154,
  [SMALL_STATE(1264)] = 74196,
  [SMALL_STATE(1265)] = 74238,
  [SMALL_STATE(1266)] = 74280,
  [SMALL_STATE(1267)] = 74322,
  [SMALL_STATE(1268)] = 74364,
  [SMALL_STATE(1269)] = 74406,
  [SMALL_STATE(1270)] = 74448,
  [SMALL_STATE(1271)] = 74490,
  [SMALL_STATE(1272)] = 74532,
  [SMALL_STATE(1273)] = 74574,
  [SMALL_STATE(1274)] = 74616,
  [SMALL_STATE(1275)] = 74657,
  [SMALL_STATE(1276)] = 74698,
  [SMALL_STATE(1277)] = 74739,
  [SMALL_STATE(1278)] = 74780,
  [SMALL_STATE(1279)] = 74821,
  [SMALL_STATE(1280)] = 74864,
  [SMALL_STATE(1281)] = 74905,
  [SMALL_STATE(1282)] = 74946,
  [SMALL_STATE(1283)] = 74989,
  [SMALL_STATE(1284)] = 75030,
  [SMALL_STATE(1285)] = 75071,
  [SMALL_STATE(1286)] = 75114,
  [SMALL_STATE(1287)] = 75155,
  [SMALL_STATE(1288)] = 75196,
  [SMALL_STATE(1289)] = 75237,
  [SMALL_STATE(1290)] = 75278,
  [SMALL_STATE(1291)] = 75319,
  [SMALL_STATE(1292)] = 75360,
  [SMALL_STATE(1293)] = 75401,
  [SMALL_STATE(1294)] = 75442,
  [SMALL_STATE(1295)] = 75483,
  [SMALL_STATE(1296)] = 75524,
  [SMALL_STATE(1297)] = 75565,
  [SMALL_STATE(1298)] = 75606,
  [SMALL_STATE(1299)] = 75647,
  [SMALL_STATE(1300)] = 75688,
  [SMALL_STATE(1301)] = 75729,
  [SMALL_STATE(1302)] = 75770,
  [SMALL_STATE(1303)] = 75811,
  [SMALL_STATE(1304)] = 75852,
  [SMALL_STATE(1305)] = 75893,
  [SMALL_STATE(1306)] = 75934,
  [SMALL_STATE(1307)] = 75979,
  [SMALL_STATE(1308)] = 76020,
  [SMALL_STATE(1309)] = 76061,
  [SMALL_STATE(1310)] = 76102,
  [SMALL_STATE(1311)] = 76145,
  [SMALL_STATE(1312)] = 76186,
  [SMALL_STATE(1313)] = 76227,
  [SMALL_STATE(1314)] = 76272,
  [SMALL_STATE(1315)] = 76313,
  [SMALL_STATE(1316)] = 76354,
  [SMALL_STATE(1317)] = 76395,
  [SMALL_STATE(1318)] = 76436,
  [SMALL_STATE(1319)] = 76477,
  [SMALL_STATE(1320)] = 76518,
  [SMALL_STATE(1321)] = 76559,
  [SMALL_STATE(1322)] = 76600,
  [SMALL_STATE(1323)] = 76645,
  [SMALL_STATE(1324)] = 76690,
  [SMALL_STATE(1325)] = 76731,
  [SMALL_STATE(1326)] = 76772,
  [SMALL_STATE(1327)] = 76813,
  [SMALL_STATE(1328)] = 76854,
  [SMALL_STATE(1329)] = 76895,
  [SMALL_STATE(1330)] = 76936,
  [SMALL_STATE(1331)] = 76977,
  [SMALL_STATE(1332)] = 77018,
  [SMALL_STATE(1333)] = 77059,
  [SMALL_STATE(1334)] = 77100,
  [SMALL_STATE(1335)] = 77141,
  [SMALL_STATE(1336)] = 77182,
  [SMALL_STATE(1337)] = 77223,
  [SMALL_STATE(1338)] = 77264,
  [SMALL_STATE(1339)] = 77305,
  [SMALL_STATE(1340)] = 77346,
  [SMALL_STATE(1341)] = 77387,
  [SMALL_STATE(1342)] = 77428,
  [SMALL_STATE(1343)] = 77469,
  [SMALL_STATE(1344)] = 77510,
  [SMALL_STATE(1345)] = 77552,
  [SMALL_STATE(1346)] = 77594,
  [SMALL_STATE(1347)] = 77632,
  [SMALL_STATE(1348)] = 77670,
  [SMALL_STATE(1349)] = 77708,
  [SMALL_STATE(1350)] = 77746,
  [SMALL_STATE(1351)] = 77784,
  [SMALL_STATE(1352)] = 77822,
  [SMALL_STATE(1353)] = 77859,
  [SMALL_STATE(1354)] = 77896,
  [SMALL_STATE(1355)] = 77925,
  [SMALL_STATE(1356)] = 77962,
  [SMALL_STATE(1357)] = 77999,
  [SMALL_STATE(1358)] = 78036,
  [SMALL_STATE(1359)] = 78073,
  [SMALL_STATE(1360)] = 78102,
  [SMALL_STATE(1361)] = 78131,
  [SMALL_STATE(1362)] = 78160,
  [SMALL_STATE(1363)] = 78188,
  [SMALL_STATE(1364)] = 78216,
  [SMALL_STATE(1365)] = 78262,
  [SMALL_STATE(1366)] = 78298,
  [SMALL_STATE(1367)] = 78334,
  [SMALL_STATE(1368)] = 78362,
  [SMALL_STATE(1369)] = 78390,
  [SMALL_STATE(1370)] = 78436,
  [SMALL_STATE(1371)] = 78470,
  [SMALL_STATE(1372)] = 78498,
  [SMALL_STATE(1373)] = 78532,
  [SMALL_STATE(1374)] = 78578,
  [SMALL_STATE(1375)] = 78606,
  [SMALL_STATE(1376)] = 78634,
  [SMALL_STATE(1377)] = 78662,
  [SMALL_STATE(1378)] = 78690,
  [SMALL_STATE(1379)] = 78718,
  [SMALL_STATE(1380)] = 78746,
  [SMALL_STATE(1381)] = 78774,
  [SMALL_STATE(1382)] = 78802,
  [SMALL_STATE(1383)] = 78830,
  [SMALL_STATE(1384)] = 78873,
  [SMALL_STATE(1385)] = 78916,
  [SMALL_STATE(1386)] = 78939,
  [SMALL_STATE(1387)] = 78982,
  [SMALL_STATE(1388)] = 79025,
  [SMALL_STATE(1389)] = 79048,
  [SMALL_STATE(1390)] = 79091,
  [SMALL_STATE(1391)] = 79114,
  [SMALL_STATE(1392)] = 79157,
  [SMALL_STATE(1393)] = 79188,
  [SMALL_STATE(1394)] = 79231,
  [SMALL_STATE(1395)] = 79274,
  [SMALL_STATE(1396)] = 79297,
  [SMALL_STATE(1397)] = 79340,
  [SMALL_STATE(1398)] = 79383,
  [SMALL_STATE(1399)] = 79426,
  [SMALL_STATE(1400)] = 79466,
  [SMALL_STATE(1401)] = 79503,
  [SMALL_STATE(1402)] = 79540,
  [SMALL_STATE(1403)] = 79565,
  [SMALL_STATE(1404)] = 79602,
  [SMALL_STATE(1405)] = 79639,
  [SMALL_STATE(1406)] = 79673,
  [SMALL_STATE(1407)] = 79707,
  [SMALL_STATE(1408)] = 79747,
  [SMALL_STATE(1409)] = 79787,
  [SMALL_STATE(1410)] = 79827,
  [SMALL_STATE(1411)] = 79867,
  [SMALL_STATE(1412)] = 79907,
  [SMALL_STATE(1413)] = 79947,
  [SMALL_STATE(1414)] = 79987,
  [SMALL_STATE(1415)] = 80027,
  [SMALL_STATE(1416)] = 80064,
  [SMALL_STATE(1417)] = 80101,
  [SMALL_STATE(1418)] = 80138,
  [SMALL_STATE(1419)] = 80175,
  [SMALL_STATE(1420)] = 80212,
  [SMALL_STATE(1421)] = 80249,
  [SMALL_STATE(1422)] = 80286,
  [SMALL_STATE(1423)] = 80323,
  [SMALL_STATE(1424)] = 80360,
  [SMALL_STATE(1425)] = 80397,
  [SMALL_STATE(1426)] = 80434,
  [SMALL_STATE(1427)] = 80471,
  [SMALL_STATE(1428)] = 80508,
  [SMALL_STATE(1429)] = 80545,
  [SMALL_STATE(1430)] = 80582,
  [SMALL_STATE(1431)] = 80619,
  [SMALL_STATE(1432)] = 80656,
  [SMALL_STATE(1433)] = 80693,
  [SMALL_STATE(1434)] = 80730,
  [SMALL_STATE(1435)] = 80767,
  [SMALL_STATE(1436)] = 80804,
  [SMALL_STATE(1437)] = 80841,
  [SMALL_STATE(1438)] = 80878,
  [SMALL_STATE(1439)] = 80915,
  [SMALL_STATE(1440)] = 80952,
  [SMALL_STATE(1441)] = 80982,
  [SMALL_STATE(1442)] = 81012,
  [SMALL_STATE(1443)] = 81042,
  [SMALL_STATE(1444)] = 81072,
  [SMALL_STATE(1445)] = 81102,
  [SMALL_STATE(1446)] = 81132,
  [SMALL_STATE(1447)] = 81160,
  [SMALL_STATE(1448)] = 81190,
  [SMALL_STATE(1449)] = 81220,
  [SMALL_STATE(1450)] = 81250,
  [SMALL_STATE(1451)] = 81280,
  [SMALL_STATE(1452)] = 81310,
  [SMALL_STATE(1453)] = 81340,
  [SMALL_STATE(1454)] = 81370,
  [SMALL_STATE(1455)] = 81400,
  [SMALL_STATE(1456)] = 81430,
  [SMALL_STATE(1457)] = 81460,
  [SMALL_STATE(1458)] = 81490,
  [SMALL_STATE(1459)] = 81520,
  [SMALL_STATE(1460)] = 81548,
  [SMALL_STATE(1461)] = 81578,
  [SMALL_STATE(1462)] = 81599,
  [SMALL_STATE(1463)] = 81622,
  [SMALL_STATE(1464)] = 81643,
  [SMALL_STATE(1465)] = 81660,
  [SMALL_STATE(1466)] = 81675,
  [SMALL_STATE(1467)] = 81694,
  [SMALL_STATE(1468)] = 81709,
  [SMALL_STATE(1469)] = 81728,
  [SMALL_STATE(1470)] = 81749,
  [SMALL_STATE(1471)] = 81772,
  [SMALL_STATE(1472)] = 81791,
  [SMALL_STATE(1473)] = 81814,
  [SMALL_STATE(1474)] = 81831,
  [SMALL_STATE(1475)] = 81846,
  [SMALL_STATE(1476)] = 81863,
  [SMALL_STATE(1477)] = 81892,
  [SMALL_STATE(1478)] = 81913,
  [SMALL_STATE(1479)] = 81928,
  [SMALL_STATE(1480)] = 81951,
  [SMALL_STATE(1481)] = 81966,
  [SMALL_STATE(1482)] = 81989,
  [SMALL_STATE(1483)] = 82012,
  [SMALL_STATE(1484)] = 82035,
  [SMALL_STATE(1485)] = 82058,
  [SMALL_STATE(1486)] = 82075,
  [SMALL_STATE(1487)] = 82092,
  [SMALL_STATE(1488)] = 82107,
  [SMALL_STATE(1489)] = 82122,
  [SMALL_STATE(1490)] = 82145,
  [SMALL_STATE(1491)] = 82162,
  [SMALL_STATE(1492)] = 82185,
  [SMALL_STATE(1493)] = 82208,
  [SMALL_STATE(1494)] = 82223,
  [SMALL_STATE(1495)] = 82247,
  [SMALL_STATE(1496)] = 82275,
  [SMALL_STATE(1497)] = 82293,
  [SMALL_STATE(1498)] = 82321,
  [SMALL_STATE(1499)] = 82349,
  [SMALL_STATE(1500)] = 82365,
  [SMALL_STATE(1501)] = 82389,
  [SMALL_STATE(1502)] = 82409,
  [SMALL_STATE(1503)] = 82431,
  [SMALL_STATE(1504)] = 82457,
  [SMALL_STATE(1505)] = 82477,
  [SMALL_STATE(1506)] = 82505,
  [SMALL_STATE(1507)] = 82521,
  [SMALL_STATE(1508)] = 82543,
  [SMALL_STATE(1509)] = 82571,
  [SMALL_STATE(1510)] = 82591,
  [SMALL_STATE(1511)] = 82615,
  [SMALL_STATE(1512)] = 82631,
  [SMALL_STATE(1513)] = 82653,
  [SMALL_STATE(1514)] = 82673,
  [SMALL_STATE(1515)] = 82697,
  [SMALL_STATE(1516)] = 82717,
  [SMALL_STATE(1517)] = 82735,
  [SMALL_STATE(1518)] = 82763,
  [SMALL_STATE(1519)] = 82785,
  [SMALL_STATE(1520)] = 82809,
  [SMALL_STATE(1521)] = 82825,
  [SMALL_STATE(1522)] = 82841,
  [SMALL_STATE(1523)] = 82855,
  [SMALL_STATE(1524)] = 82875,
  [SMALL_STATE(1525)] = 82897,
  [SMALL_STATE(1526)] = 82919,
  [SMALL_STATE(1527)] = 82933,
  [SMALL_STATE(1528)] = 82947,
  [SMALL_STATE(1529)] = 82969,
  [SMALL_STATE(1530)] = 82989,
  [SMALL_STATE(1531)] = 83011,
  [SMALL_STATE(1532)] = 83037,
  [SMALL_STATE(1533)] = 83059,
  [SMALL_STATE(1534)] = 83087,
  [SMALL_STATE(1535)] = 83113,
  [SMALL_STATE(1536)] = 83127,
  [SMALL_STATE(1537)] = 83155,
  [SMALL_STATE(1538)] = 83181,
  [SMALL_STATE(1539)] = 83201,
  [SMALL_STATE(1540)] = 83227,
  [SMALL_STATE(1541)] = 83255,
  [SMALL_STATE(1542)] = 83281,
  [SMALL_STATE(1543)] = 83301,
  [SMALL_STATE(1544)] = 83323,
  [SMALL_STATE(1545)] = 83339,
  [SMALL_STATE(1546)] = 83365,
  [SMALL_STATE(1547)] = 83385,
  [SMALL_STATE(1548)] = 83401,
  [SMALL_STATE(1549)] = 83421,
  [SMALL_STATE(1550)] = 83445,
  [SMALL_STATE(1551)] = 83463,
  [SMALL_STATE(1552)] = 83485,
  [SMALL_STATE(1553)] = 83505,
  [SMALL_STATE(1554)] = 83531,
  [SMALL_STATE(1555)] = 83547,
  [SMALL_STATE(1556)] = 83567,
  [SMALL_STATE(1557)] = 83595,
  [SMALL_STATE(1558)] = 83615,
  [SMALL_STATE(1559)] = 83631,
  [SMALL_STATE(1560)] = 83652,
  [SMALL_STATE(1561)] = 83677,
  [SMALL_STATE(1562)] = 83698,
  [SMALL_STATE(1563)] = 83717,
  [SMALL_STATE(1564)] = 83740,
  [SMALL_STATE(1565)] = 83761,
  [SMALL_STATE(1566)] = 83784,
  [SMALL_STATE(1567)] = 83805,
  [SMALL_STATE(1568)] = 83818,
  [SMALL_STATE(1569)] = 83839,
  [SMALL_STATE(1570)] = 83864,
  [SMALL_STATE(1571)] = 83877,
  [SMALL_STATE(1572)] = 83890,
  [SMALL_STATE(1573)] = 83915,
  [SMALL_STATE(1574)] = 83940,
  [SMALL_STATE(1575)] = 83961,
  [SMALL_STATE(1576)] = 83980,
  [SMALL_STATE(1577)] = 84001,
  [SMALL_STATE(1578)] = 84026,
  [SMALL_STATE(1579)] = 84047,
  [SMALL_STATE(1580)] = 84060,
  [SMALL_STATE(1581)] = 84079,
  [SMALL_STATE(1582)] = 84096,
  [SMALL_STATE(1583)] = 84109,
  [SMALL_STATE(1584)] = 84124,
  [SMALL_STATE(1585)] = 84145,
  [SMALL_STATE(1586)] = 84166,
  [SMALL_STATE(1587)] = 84191,
  [SMALL_STATE(1588)] = 84204,
  [SMALL_STATE(1589)] = 84225,
  [SMALL_STATE(1590)] = 84244,
  [SMALL_STATE(1591)] = 84269,
  [SMALL_STATE(1592)] = 84286,
  [SMALL_STATE(1593)] = 84307,
  [SMALL_STATE(1594)] = 84326,
  [SMALL_STATE(1595)] = 84339,
  [SMALL_STATE(1596)] = 84362,
  [SMALL_STATE(1597)] = 84387,
  [SMALL_STATE(1598)] = 84402,
  [SMALL_STATE(1599)] = 84415,
  [SMALL_STATE(1600)] = 84436,
  [SMALL_STATE(1601)] = 84457,
  [SMALL_STATE(1602)] = 84478,
  [SMALL_STATE(1603)] = 84499,
  [SMALL_STATE(1604)] = 84524,
  [SMALL_STATE(1605)] = 84549,
  [SMALL_STATE(1606)] = 84570,
  [SMALL_STATE(1607)] = 84595,
  [SMALL_STATE(1608)] = 84620,
  [SMALL_STATE(1609)] = 84645,
  [SMALL_STATE(1610)] = 84666,
  [SMALL_STATE(1611)] = 84687,
  [SMALL_STATE(1612)] = 84708,
  [SMALL_STATE(1613)] = 84729,
  [SMALL_STATE(1614)] = 84752,
  [SMALL_STATE(1615)] = 84777,
  [SMALL_STATE(1616)] = 84798,
  [SMALL_STATE(1617)] = 84823,
  [SMALL_STATE(1618)] = 84848,
  [SMALL_STATE(1619)] = 84873,
  [SMALL_STATE(1620)] = 84898,
  [SMALL_STATE(1621)] = 84914,
  [SMALL_STATE(1622)] = 84934,
  [SMALL_STATE(1623)] = 84954,
  [SMALL_STATE(1624)] = 84968,
  [SMALL_STATE(1625)] = 84988,
  [SMALL_STATE(1626)] = 85002,
  [SMALL_STATE(1627)] = 85022,
  [SMALL_STATE(1628)] = 85038,
  [SMALL_STATE(1629)] = 85058,
  [SMALL_STATE(1630)] = 85074,
  [SMALL_STATE(1631)] = 85094,
  [SMALL_STATE(1632)] = 85110,
  [SMALL_STATE(1633)] = 85130,
  [SMALL_STATE(1634)] = 85146,
  [SMALL_STATE(1635)] = 85160,
  [SMALL_STATE(1636)] = 85180,
  [SMALL_STATE(1637)] = 85194,
  [SMALL_STATE(1638)] = 85208,
  [SMALL_STATE(1639)] = 85228,
  [SMALL_STATE(1640)] = 85244,
  [SMALL_STATE(1641)] = 85264,
  [SMALL_STATE(1642)] = 85280,
  [SMALL_STATE(1643)] = 85300,
  [SMALL_STATE(1644)] = 85314,
  [SMALL_STATE(1645)] = 85334,
  [SMALL_STATE(1646)] = 85350,
  [SMALL_STATE(1647)] = 85366,
  [SMALL_STATE(1648)] = 85386,
  [SMALL_STATE(1649)] = 85402,
  [SMALL_STATE(1650)] = 85418,
  [SMALL_STATE(1651)] = 85434,
  [SMALL_STATE(1652)] = 85454,
  [SMALL_STATE(1653)] = 85474,
  [SMALL_STATE(1654)] = 85488,
  [SMALL_STATE(1655)] = 85508,
  [SMALL_STATE(1656)] = 85528,
  [SMALL_STATE(1657)] = 85542,
  [SMALL_STATE(1658)] = 85562,
  [SMALL_STATE(1659)] = 85582,
  [SMALL_STATE(1660)] = 85602,
  [SMALL_STATE(1661)] = 85616,
  [SMALL_STATE(1662)] = 85632,
  [SMALL_STATE(1663)] = 85652,
  [SMALL_STATE(1664)] = 85668,
  [SMALL_STATE(1665)] = 85690,
  [SMALL_STATE(1666)] = 85710,
  [SMALL_STATE(1667)] = 85730,
  [SMALL_STATE(1668)] = 85750,
  [SMALL_STATE(1669)] = 85770,
  [SMALL_STATE(1670)] = 85786,
  [SMALL_STATE(1671)] = 85806,
  [SMALL_STATE(1672)] = 85826,
  [SMALL_STATE(1673)] = 85848,
  [SMALL_STATE(1674)] = 85870,
  [SMALL_STATE(1675)] = 85886,
  [SMALL_STATE(1676)] = 85902,
  [SMALL_STATE(1677)] = 85922,
  [SMALL_STATE(1678)] = 85938,
  [SMALL_STATE(1679)] = 85952,
  [SMALL_STATE(1680)] = 85972,
  [SMALL_STATE(1681)] = 85988,
  [SMALL_STATE(1682)] = 86004,
  [SMALL_STATE(1683)] = 86024,
  [SMALL_STATE(1684)] = 86040,
  [SMALL_STATE(1685)] = 86056,
  [SMALL_STATE(1686)] = 86074,
  [SMALL_STATE(1687)] = 86093,
  [SMALL_STATE(1688)] = 86108,
  [SMALL_STATE(1689)] = 86119,
  [SMALL_STATE(1690)] = 86138,
  [SMALL_STATE(1691)] = 86157,
  [SMALL_STATE(1692)] = 86168,
  [SMALL_STATE(1693)] = 86187,
  [SMALL_STATE(1694)] = 86206,
  [SMALL_STATE(1695)] = 86225,
  [SMALL_STATE(1696)] = 86240,
  [SMALL_STATE(1697)] = 86259,
  [SMALL_STATE(1698)] = 86278,
  [SMALL_STATE(1699)] = 86297,
  [SMALL_STATE(1700)] = 86316,
  [SMALL_STATE(1701)] = 86335,
  [SMALL_STATE(1702)] = 86346,
  [SMALL_STATE(1703)] = 86365,
  [SMALL_STATE(1704)] = 86380,
  [SMALL_STATE(1705)] = 86399,
  [SMALL_STATE(1706)] = 86418,
  [SMALL_STATE(1707)] = 86435,
  [SMALL_STATE(1708)] = 86450,
  [SMALL_STATE(1709)] = 86469,
  [SMALL_STATE(1710)] = 86480,
  [SMALL_STATE(1711)] = 86499,
  [SMALL_STATE(1712)] = 86516,
  [SMALL_STATE(1713)] = 86527,
  [SMALL_STATE(1714)] = 86544,
  [SMALL_STATE(1715)] = 86563,
  [SMALL_STATE(1716)] = 86578,
  [SMALL_STATE(1717)] = 86597,
  [SMALL_STATE(1718)] = 86616,
  [SMALL_STATE(1719)] = 86633,
  [SMALL_STATE(1720)] = 86644,
  [SMALL_STATE(1721)] = 86663,
  [SMALL_STATE(1722)] = 86682,
  [SMALL_STATE(1723)] = 86693,
  [SMALL_STATE(1724)] = 86704,
  [SMALL_STATE(1725)] = 86723,
  [SMALL_STATE(1726)] = 86738,
  [SMALL_STATE(1727)] = 86757,
  [SMALL_STATE(1728)] = 86768,
  [SMALL_STATE(1729)] = 86787,
  [SMALL_STATE(1730)] = 86798,
  [SMALL_STATE(1731)] = 86817,
  [SMALL_STATE(1732)] = 86836,
  [SMALL_STATE(1733)] = 86847,
  [SMALL_STATE(1734)] = 86866,
  [SMALL_STATE(1735)] = 86885,
  [SMALL_STATE(1736)] = 86904,
  [SMALL_STATE(1737)] = 86923,
  [SMALL_STATE(1738)] = 86942,
  [SMALL_STATE(1739)] = 86961,
  [SMALL_STATE(1740)] = 86980,
  [SMALL_STATE(1741)] = 86990,
  [SMALL_STATE(1742)] = 87004,
  [SMALL_STATE(1743)] = 87018,
  [SMALL_STATE(1744)] = 87032,
  [SMALL_STATE(1745)] = 87048,
  [SMALL_STATE(1746)] = 87062,
  [SMALL_STATE(1747)] = 87078,
  [SMALL_STATE(1748)] = 87092,
  [SMALL_STATE(1749)] = 87106,
  [SMALL_STATE(1750)] = 87120,
  [SMALL_STATE(1751)] = 87136,
  [SMALL_STATE(1752)] = 87150,
  [SMALL_STATE(1753)] = 87166,
  [SMALL_STATE(1754)] = 87182,
  [SMALL_STATE(1755)] = 87198,
  [SMALL_STATE(1756)] = 87212,
  [SMALL_STATE(1757)] = 87226,
  [SMALL_STATE(1758)] = 87240,
  [SMALL_STATE(1759)] = 87254,
  [SMALL_STATE(1760)] = 87268,
  [SMALL_STATE(1761)] = 87284,
  [SMALL_STATE(1762)] = 87298,
  [SMALL_STATE(1763)] = 87312,
  [SMALL_STATE(1764)] = 87326,
  [SMALL_STATE(1765)] = 87340,
  [SMALL_STATE(1766)] = 87354,
  [SMALL_STATE(1767)] = 87368,
  [SMALL_STATE(1768)] = 87380,
  [SMALL_STATE(1769)] = 87390,
  [SMALL_STATE(1770)] = 87404,
  [SMALL_STATE(1771)] = 87420,
  [SMALL_STATE(1772)] = 87436,
  [SMALL_STATE(1773)] = 87449,
  [SMALL_STATE(1774)] = 87462,
  [SMALL_STATE(1775)] = 87475,
  [SMALL_STATE(1776)] = 87488,
  [SMALL_STATE(1777)] = 87501,
  [SMALL_STATE(1778)] = 87514,
  [SMALL_STATE(1779)] = 87527,
  [SMALL_STATE(1780)] = 87540,
  [SMALL_STATE(1781)] = 87553,
  [SMALL_STATE(1782)] = 87566,
  [SMALL_STATE(1783)] = 87579,
  [SMALL_STATE(1784)] = 87592,
  [SMALL_STATE(1785)] = 87603,
  [SMALL_STATE(1786)] = 87616,
  [SMALL_STATE(1787)] = 87629,
  [SMALL_STATE(1788)] = 87642,
  [SMALL_STATE(1789)] = 87655,
  [SMALL_STATE(1790)] = 87668,
  [SMALL_STATE(1791)] = 87681,
  [SMALL_STATE(1792)] = 87692,
  [SMALL_STATE(1793)] = 87705,
  [SMALL_STATE(1794)] = 87718,
  [SMALL_STATE(1795)] = 87731,
  [SMALL_STATE(1796)] = 87744,
  [SMALL_STATE(1797)] = 87755,
  [SMALL_STATE(1798)] = 87768,
  [SMALL_STATE(1799)] = 87781,
  [SMALL_STATE(1800)] = 87790,
  [SMALL_STATE(1801)] = 87803,
  [SMALL_STATE(1802)] = 87816,
  [SMALL_STATE(1803)] = 87829,
  [SMALL_STATE(1804)] = 87838,
  [SMALL_STATE(1805)] = 87847,
  [SMALL_STATE(1806)] = 87860,
  [SMALL_STATE(1807)] = 87873,
  [SMALL_STATE(1808)] = 87886,
  [SMALL_STATE(1809)] = 87899,
  [SMALL_STATE(1810)] = 87912,
  [SMALL_STATE(1811)] = 87925,
  [SMALL_STATE(1812)] = 87938,
  [SMALL_STATE(1813)] = 87951,
  [SMALL_STATE(1814)] = 87964,
  [SMALL_STATE(1815)] = 87975,
  [SMALL_STATE(1816)] = 87988,
  [SMALL_STATE(1817)] = 88001,
  [SMALL_STATE(1818)] = 88014,
  [SMALL_STATE(1819)] = 88027,
  [SMALL_STATE(1820)] = 88040,
  [SMALL_STATE(1821)] = 88053,
  [SMALL_STATE(1822)] = 88066,
  [SMALL_STATE(1823)] = 88079,
  [SMALL_STATE(1824)] = 88092,
  [SMALL_STATE(1825)] = 88105,
  [SMALL_STATE(1826)] = 88118,
  [SMALL_STATE(1827)] = 88131,
  [SMALL_STATE(1828)] = 88144,
  [SMALL_STATE(1829)] = 88157,
  [SMALL_STATE(1830)] = 88170,
  [SMALL_STATE(1831)] = 88183,
  [SMALL_STATE(1832)] = 88196,
  [SMALL_STATE(1833)] = 88209,
  [SMALL_STATE(1834)] = 88222,
  [SMALL_STATE(1835)] = 88235,
  [SMALL_STATE(1836)] = 88248,
  [SMALL_STATE(1837)] = 88261,
  [SMALL_STATE(1838)] = 88274,
  [SMALL_STATE(1839)] = 88287,
  [SMALL_STATE(1840)] = 88298,
  [SMALL_STATE(1841)] = 88311,
  [SMALL_STATE(1842)] = 88324,
  [SMALL_STATE(1843)] = 88337,
  [SMALL_STATE(1844)] = 88350,
  [SMALL_STATE(1845)] = 88363,
  [SMALL_STATE(1846)] = 88376,
  [SMALL_STATE(1847)] = 88389,
  [SMALL_STATE(1848)] = 88402,
  [SMALL_STATE(1849)] = 88415,
  [SMALL_STATE(1850)] = 88428,
  [SMALL_STATE(1851)] = 88441,
  [SMALL_STATE(1852)] = 88454,
  [SMALL_STATE(1853)] = 88467,
  [SMALL_STATE(1854)] = 88480,
  [SMALL_STATE(1855)] = 88493,
  [SMALL_STATE(1856)] = 88506,
  [SMALL_STATE(1857)] = 88519,
  [SMALL_STATE(1858)] = 88530,
  [SMALL_STATE(1859)] = 88543,
  [SMALL_STATE(1860)] = 88556,
  [SMALL_STATE(1861)] = 88569,
  [SMALL_STATE(1862)] = 88582,
  [SMALL_STATE(1863)] = 88593,
  [SMALL_STATE(1864)] = 88606,
  [SMALL_STATE(1865)] = 88619,
  [SMALL_STATE(1866)] = 88632,
  [SMALL_STATE(1867)] = 88645,
  [SMALL_STATE(1868)] = 88658,
  [SMALL_STATE(1869)] = 88671,
  [SMALL_STATE(1870)] = 88682,
  [SMALL_STATE(1871)] = 88695,
  [SMALL_STATE(1872)] = 88708,
  [SMALL_STATE(1873)] = 88721,
  [SMALL_STATE(1874)] = 88734,
  [SMALL_STATE(1875)] = 88747,
  [SMALL_STATE(1876)] = 88760,
  [SMALL_STATE(1877)] = 88773,
  [SMALL_STATE(1878)] = 88786,
  [SMALL_STATE(1879)] = 88797,
  [SMALL_STATE(1880)] = 88806,
  [SMALL_STATE(1881)] = 88817,
  [SMALL_STATE(1882)] = 88830,
  [SMALL_STATE(1883)] = 88841,
  [SMALL_STATE(1884)] = 88854,
  [SMALL_STATE(1885)] = 88867,
  [SMALL_STATE(1886)] = 88878,
  [SMALL_STATE(1887)] = 88889,
  [SMALL_STATE(1888)] = 88900,
  [SMALL_STATE(1889)] = 88913,
  [SMALL_STATE(1890)] = 88924,
  [SMALL_STATE(1891)] = 88937,
  [SMALL_STATE(1892)] = 88950,
  [SMALL_STATE(1893)] = 88963,
  [SMALL_STATE(1894)] = 88976,
  [SMALL_STATE(1895)] = 88989,
  [SMALL_STATE(1896)] = 88998,
  [SMALL_STATE(1897)] = 89011,
  [SMALL_STATE(1898)] = 89024,
  [SMALL_STATE(1899)] = 89037,
  [SMALL_STATE(1900)] = 89050,
  [SMALL_STATE(1901)] = 89063,
  [SMALL_STATE(1902)] = 89076,
  [SMALL_STATE(1903)] = 89087,
  [SMALL_STATE(1904)] = 89100,
  [SMALL_STATE(1905)] = 89113,
  [SMALL_STATE(1906)] = 89126,
  [SMALL_STATE(1907)] = 89137,
  [SMALL_STATE(1908)] = 89146,
  [SMALL_STATE(1909)] = 89159,
  [SMALL_STATE(1910)] = 89172,
  [SMALL_STATE(1911)] = 89185,
  [SMALL_STATE(1912)] = 89198,
  [SMALL_STATE(1913)] = 89211,
  [SMALL_STATE(1914)] = 89224,
  [SMALL_STATE(1915)] = 89237,
  [SMALL_STATE(1916)] = 89250,
  [SMALL_STATE(1917)] = 89261,
  [SMALL_STATE(1918)] = 89274,
  [SMALL_STATE(1919)] = 89287,
  [SMALL_STATE(1920)] = 89300,
  [SMALL_STATE(1921)] = 89313,
  [SMALL_STATE(1922)] = 89326,
  [SMALL_STATE(1923)] = 89337,
  [SMALL_STATE(1924)] = 89350,
  [SMALL_STATE(1925)] = 89363,
  [SMALL_STATE(1926)] = 89376,
  [SMALL_STATE(1927)] = 89389,
  [SMALL_STATE(1928)] = 89402,
  [SMALL_STATE(1929)] = 89415,
  [SMALL_STATE(1930)] = 89428,
  [SMALL_STATE(1931)] = 89441,
  [SMALL_STATE(1932)] = 89454,
  [SMALL_STATE(1933)] = 89467,
  [SMALL_STATE(1934)] = 89480,
  [SMALL_STATE(1935)] = 89493,
  [SMALL_STATE(1936)] = 89506,
  [SMALL_STATE(1937)] = 89519,
  [SMALL_STATE(1938)] = 89532,
  [SMALL_STATE(1939)] = 89545,
  [SMALL_STATE(1940)] = 89556,
  [SMALL_STATE(1941)] = 89569,
  [SMALL_STATE(1942)] = 89582,
  [SMALL_STATE(1943)] = 89595,
  [SMALL_STATE(1944)] = 89608,
  [SMALL_STATE(1945)] = 89621,
  [SMALL_STATE(1946)] = 89634,
  [SMALL_STATE(1947)] = 89647,
  [SMALL_STATE(1948)] = 89660,
  [SMALL_STATE(1949)] = 89673,
  [SMALL_STATE(1950)] = 89686,
  [SMALL_STATE(1951)] = 89697,
  [SMALL_STATE(1952)] = 89710,
  [SMALL_STATE(1953)] = 89723,
  [SMALL_STATE(1954)] = 89736,
  [SMALL_STATE(1955)] = 89749,
  [SMALL_STATE(1956)] = 89762,
  [SMALL_STATE(1957)] = 89775,
  [SMALL_STATE(1958)] = 89788,
  [SMALL_STATE(1959)] = 89799,
  [SMALL_STATE(1960)] = 89812,
  [SMALL_STATE(1961)] = 89825,
  [SMALL_STATE(1962)] = 89838,
  [SMALL_STATE(1963)] = 89851,
  [SMALL_STATE(1964)] = 89864,
  [SMALL_STATE(1965)] = 89877,
  [SMALL_STATE(1966)] = 89890,
  [SMALL_STATE(1967)] = 89900,
  [SMALL_STATE(1968)] = 89908,
  [SMALL_STATE(1969)] = 89916,
  [SMALL_STATE(1970)] = 89926,
  [SMALL_STATE(1971)] = 89934,
  [SMALL_STATE(1972)] = 89942,
  [SMALL_STATE(1973)] = 89950,
  [SMALL_STATE(1974)] = 89958,
  [SMALL_STATE(1975)] = 89966,
  [SMALL_STATE(1976)] = 89974,
  [SMALL_STATE(1977)] = 89982,
  [SMALL_STATE(1978)] = 89990,
  [SMALL_STATE(1979)] = 89998,
  [SMALL_STATE(1980)] = 90006,
  [SMALL_STATE(1981)] = 90014,
  [SMALL_STATE(1982)] = 90022,
  [SMALL_STATE(1983)] = 90032,
  [SMALL_STATE(1984)] = 90042,
  [SMALL_STATE(1985)] = 90050,
  [SMALL_STATE(1986)] = 90058,
  [SMALL_STATE(1987)] = 90066,
  [SMALL_STATE(1988)] = 90074,
  [SMALL_STATE(1989)] = 90082,
  [SMALL_STATE(1990)] = 90090,
  [SMALL_STATE(1991)] = 90098,
  [SMALL_STATE(1992)] = 90106,
  [SMALL_STATE(1993)] = 90114,
  [SMALL_STATE(1994)] = 90122,
  [SMALL_STATE(1995)] = 90130,
  [SMALL_STATE(1996)] = 90138,
  [SMALL_STATE(1997)] = 90146,
  [SMALL_STATE(1998)] = 90154,
  [SMALL_STATE(1999)] = 90162,
  [SMALL_STATE(2000)] = 90170,
  [SMALL_STATE(2001)] = 90178,
  [SMALL_STATE(2002)] = 90186,
  [SMALL_STATE(2003)] = 90194,
  [SMALL_STATE(2004)] = 90202,
  [SMALL_STATE(2005)] = 90212,
  [SMALL_STATE(2006)] = 90220,
  [SMALL_STATE(2007)] = 90228,
  [SMALL_STATE(2008)] = 90238,
  [SMALL_STATE(2009)] = 90246,
  [SMALL_STATE(2010)] = 90256,
  [SMALL_STATE(2011)] = 90264,
  [SMALL_STATE(2012)] = 90272,
  [SMALL_STATE(2013)] = 90280,
  [SMALL_STATE(2014)] = 90288,
  [SMALL_STATE(2015)] = 90296,
  [SMALL_STATE(2016)] = 90304,
  [SMALL_STATE(2017)] = 90312,
  [SMALL_STATE(2018)] = 90322,
  [SMALL_STATE(2019)] = 90330,
  [SMALL_STATE(2020)] = 90338,
  [SMALL_STATE(2021)] = 90346,
  [SMALL_STATE(2022)] = 90354,
  [SMALL_STATE(2023)] = 90362,
  [SMALL_STATE(2024)] = 90370,
  [SMALL_STATE(2025)] = 90378,
  [SMALL_STATE(2026)] = 90386,
  [SMALL_STATE(2027)] = 90394,
  [SMALL_STATE(2028)] = 90402,
  [SMALL_STATE(2029)] = 90410,
  [SMALL_STATE(2030)] = 90418,
  [SMALL_STATE(2031)] = 90426,
  [SMALL_STATE(2032)] = 90434,
  [SMALL_STATE(2033)] = 90442,
  [SMALL_STATE(2034)] = 90449,
  [SMALL_STATE(2035)] = 90456,
  [SMALL_STATE(2036)] = 90463,
  [SMALL_STATE(2037)] = 90470,
  [SMALL_STATE(2038)] = 90477,
  [SMALL_STATE(2039)] = 90484,
  [SMALL_STATE(2040)] = 90491,
  [SMALL_STATE(2041)] = 90498,
  [SMALL_STATE(2042)] = 90505,
  [SMALL_STATE(2043)] = 90512,
  [SMALL_STATE(2044)] = 90519,
  [SMALL_STATE(2045)] = 90526,
  [SMALL_STATE(2046)] = 90533,
  [SMALL_STATE(2047)] = 90540,
  [SMALL_STATE(2048)] = 90547,
  [SMALL_STATE(2049)] = 90554,
  [SMALL_STATE(2050)] = 90561,
  [SMALL_STATE(2051)] = 90568,
  [SMALL_STATE(2052)] = 90575,
  [SMALL_STATE(2053)] = 90582,
  [SMALL_STATE(2054)] = 90589,
  [SMALL_STATE(2055)] = 90596,
  [SMALL_STATE(2056)] = 90603,
  [SMALL_STATE(2057)] = 90610,
  [SMALL_STATE(2058)] = 90617,
  [SMALL_STATE(2059)] = 90624,
  [SMALL_STATE(2060)] = 90631,
  [SMALL_STATE(2061)] = 90638,
  [SMALL_STATE(2062)] = 90645,
  [SMALL_STATE(2063)] = 90652,
  [SMALL_STATE(2064)] = 90659,
  [SMALL_STATE(2065)] = 90666,
  [SMALL_STATE(2066)] = 90673,
  [SMALL_STATE(2067)] = 90680,
  [SMALL_STATE(2068)] = 90687,
  [SMALL_STATE(2069)] = 90694,
  [SMALL_STATE(2070)] = 90701,
  [SMALL_STATE(2071)] = 90708,
  [SMALL_STATE(2072)] = 90715,
  [SMALL_STATE(2073)] = 90722,
  [SMALL_STATE(2074)] = 90729,
  [SMALL_STATE(2075)] = 90736,
  [SMALL_STATE(2076)] = 90743,
  [SMALL_STATE(2077)] = 90750,
  [SMALL_STATE(2078)] = 90757,
  [SMALL_STATE(2079)] = 90764,
  [SMALL_STATE(2080)] = 90771,
  [SMALL_STATE(2081)] = 90778,
  [SMALL_STATE(2082)] = 90785,
  [SMALL_STATE(2083)] = 90792,
  [SMALL_STATE(2084)] = 90799,
  [SMALL_STATE(2085)] = 90806,
  [SMALL_STATE(2086)] = 90813,
  [SMALL_STATE(2087)] = 90820,
  [SMALL_STATE(2088)] = 90827,
  [SMALL_STATE(2089)] = 90834,
  [SMALL_STATE(2090)] = 90841,
  [SMALL_STATE(2091)] = 90848,
  [SMALL_STATE(2092)] = 90855,
  [SMALL_STATE(2093)] = 90862,
  [SMALL_STATE(2094)] = 90869,
  [SMALL_STATE(2095)] = 90876,
  [SMALL_STATE(2096)] = 90883,
  [SMALL_STATE(2097)] = 90890,
  [SMALL_STATE(2098)] = 90897,
  [SMALL_STATE(2099)] = 90904,
  [SMALL_STATE(2100)] = 90911,
  [SMALL_STATE(2101)] = 90918,
  [SMALL_STATE(2102)] = 90925,
  [SMALL_STATE(2103)] = 90932,
  [SMALL_STATE(2104)] = 90939,
  [SMALL_STATE(2105)] = 90946,
  [SMALL_STATE(2106)] = 90953,
  [SMALL_STATE(2107)] = 90960,
  [SMALL_STATE(2108)] = 90967,
  [SMALL_STATE(2109)] = 90974,
  [SMALL_STATE(2110)] = 90981,
  [SMALL_STATE(2111)] = 90988,
  [SMALL_STATE(2112)] = 90995,
  [SMALL_STATE(2113)] = 91002,
  [SMALL_STATE(2114)] = 91009,
  [SMALL_STATE(2115)] = 91016,
  [SMALL_STATE(2116)] = 91023,
  [SMALL_STATE(2117)] = 91030,
  [SMALL_STATE(2118)] = 91037,
  [SMALL_STATE(2119)] = 91044,
  [SMALL_STATE(2120)] = 91051,
  [SMALL_STATE(2121)] = 91058,
  [SMALL_STATE(2122)] = 91065,
  [SMALL_STATE(2123)] = 91072,
  [SMALL_STATE(2124)] = 91079,
  [SMALL_STATE(2125)] = 91086,
  [SMALL_STATE(2126)] = 91093,
  [SMALL_STATE(2127)] = 91100,
  [SMALL_STATE(2128)] = 91107,
  [SMALL_STATE(2129)] = 91114,
  [SMALL_STATE(2130)] = 91121,
  [SMALL_STATE(2131)] = 91128,
  [SMALL_STATE(2132)] = 91135,
  [SMALL_STATE(2133)] = 91142,
  [SMALL_STATE(2134)] = 91149,
  [SMALL_STATE(2135)] = 91156,
  [SMALL_STATE(2136)] = 91163,
  [SMALL_STATE(2137)] = 91170,
  [SMALL_STATE(2138)] = 91177,
  [SMALL_STATE(2139)] = 91184,
  [SMALL_STATE(2140)] = 91191,
  [SMALL_STATE(2141)] = 91198,
  [SMALL_STATE(2142)] = 91205,
  [SMALL_STATE(2143)] = 91212,
  [SMALL_STATE(2144)] = 91219,
  [SMALL_STATE(2145)] = 91226,
  [SMALL_STATE(2146)] = 91233,
  [SMALL_STATE(2147)] = 91240,
  [SMALL_STATE(2148)] = 91247,
  [SMALL_STATE(2149)] = 91254,
  [SMALL_STATE(2150)] = 91261,
  [SMALL_STATE(2151)] = 91268,
  [SMALL_STATE(2152)] = 91275,
  [SMALL_STATE(2153)] = 91282,
  [SMALL_STATE(2154)] = 91289,
  [SMALL_STATE(2155)] = 91296,
  [SMALL_STATE(2156)] = 91303,
  [SMALL_STATE(2157)] = 91310,
  [SMALL_STATE(2158)] = 91317,
  [SMALL_STATE(2159)] = 91324,
  [SMALL_STATE(2160)] = 91331,
  [SMALL_STATE(2161)] = 91338,
  [SMALL_STATE(2162)] = 91345,
  [SMALL_STATE(2163)] = 91352,
  [SMALL_STATE(2164)] = 91359,
  [SMALL_STATE(2165)] = 91366,
  [SMALL_STATE(2166)] = 91373,
  [SMALL_STATE(2167)] = 91380,
  [SMALL_STATE(2168)] = 91387,
  [SMALL_STATE(2169)] = 91394,
  [SMALL_STATE(2170)] = 91401,
  [SMALL_STATE(2171)] = 91408,
  [SMALL_STATE(2172)] = 91415,
  [SMALL_STATE(2173)] = 91422,
  [SMALL_STATE(2174)] = 91429,
  [SMALL_STATE(2175)] = 91436,
  [SMALL_STATE(2176)] = 91443,
  [SMALL_STATE(2177)] = 91450,
  [SMALL_STATE(2178)] = 91457,
  [SMALL_STATE(2179)] = 91464,
  [SMALL_STATE(2180)] = 91471,
  [SMALL_STATE(2181)] = 91478,
  [SMALL_STATE(2182)] = 91485,
  [SMALL_STATE(2183)] = 91492,
  [SMALL_STATE(2184)] = 91499,
  [SMALL_STATE(2185)] = 91506,
  [SMALL_STATE(2186)] = 91513,
  [SMALL_STATE(2187)] = 91520,
  [SMALL_STATE(2188)] = 91527,
  [SMALL_STATE(2189)] = 91534,
  [SMALL_STATE(2190)] = 91541,
  [SMALL_STATE(2191)] = 91548,
  [SMALL_STATE(2192)] = 91555,
  [SMALL_STATE(2193)] = 91562,
  [SMALL_STATE(2194)] = 91569,
  [SMALL_STATE(2195)] = 91576,
  [SMALL_STATE(2196)] = 91583,
  [SMALL_STATE(2197)] = 91590,
  [SMALL_STATE(2198)] = 91597,
  [SMALL_STATE(2199)] = 91604,
  [SMALL_STATE(2200)] = 91611,
  [SMALL_STATE(2201)] = 91618,
  [SMALL_STATE(2202)] = 91625,
  [SMALL_STATE(2203)] = 91632,
  [SMALL_STATE(2204)] = 91639,
  [SMALL_STATE(2205)] = 91646,
  [SMALL_STATE(2206)] = 91653,
  [SMALL_STATE(2207)] = 91660,
  [SMALL_STATE(2208)] = 91667,
  [SMALL_STATE(2209)] = 91674,
  [SMALL_STATE(2210)] = 91681,
  [SMALL_STATE(2211)] = 91688,
  [SMALL_STATE(2212)] = 91695,
  [SMALL_STATE(2213)] = 91702,
  [SMALL_STATE(2214)] = 91709,
  [SMALL_STATE(2215)] = 91716,
  [SMALL_STATE(2216)] = 91723,
  [SMALL_STATE(2217)] = 91730,
  [SMALL_STATE(2218)] = 91737,
  [SMALL_STATE(2219)] = 91744,
  [SMALL_STATE(2220)] = 91751,
  [SMALL_STATE(2221)] = 91758,
  [SMALL_STATE(2222)] = 91765,
  [SMALL_STATE(2223)] = 91772,
  [SMALL_STATE(2224)] = 91779,
  [SMALL_STATE(2225)] = 91786,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1760),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1565),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(78),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1975),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1976),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1977),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(79),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(822),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2205),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2203),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2199),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2197),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(342),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2195),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1384),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1157),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(80),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(473),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(81),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(823),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2196),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(367),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2215),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2198),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 1),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2),
  [119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(406),
  [122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1760),
  [125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1565),
  [128] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(176),
  [131] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1040),
  [134] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(78),
  [137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(448),
  [140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(349),
  [143] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(436),
  [146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(307),
  [149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1975),
  [152] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1976),
  [155] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1977),
  [158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(465),
  [161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(79),
  [164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(295),
  [167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(822),
  [170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(467),
  [173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(2205),
  [176] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(361),
  [179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(2203),
  [182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(2199),
  [185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(2197),
  [188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(342),
  [191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(2195),
  [194] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(474),
  [197] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(187),
  [200] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(476),
  [203] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(900),
  [206] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1384),
  [209] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(301),
  [212] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1157),
  [215] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(194),
  [218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1157),
  [221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(80),
  [224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1442),
  [227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(473),
  [234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(81),
  [237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(315),
  [240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(823),
  [243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(472),
  [246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(2196),
  [249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(367),
  [252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(2215),
  [255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(2198),
  [258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(956),
  [266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1),
  [268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1),
  [270] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .production_id = 1), REDUCE(sym_primary_expression, 1, .production_id = 1),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(948),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(518),
  [277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__named_expression_lhs, 1, .production_id = 1),
  [279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, .production_id = 1),
  [281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, .production_id = 1),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1048),
  [287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1057),
  [291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(513),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1043),
  [297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1398),
  [301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1273),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(906),
  [605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(907),
  [609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(543),
  [613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1386),
  [617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1156),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1063),
  [629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1062),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(481),
  [637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(524),
  [639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1394),
  [643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1212),
  [649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1042),
  [655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1041),
  [659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(570),
  [663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1387),
  [667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1047),
  [673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1234),
  [679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(517),
  [687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1397),
  [691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1301),
  [697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1230),
  [703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(534),
  [711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1393),
  [715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1290),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1152),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(546),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1391),
  [739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1181),
  [745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [749] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_list_splat_pattern, 2, .production_id = 7),
  [752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1072),
  [754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1098),
  [760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1121),
  [770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1131),
  [778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(560),
  [810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2082),
  [834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1282),
  [846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1040),
  [850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1310),
  [852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_list, 3),
  [854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern_list, 3),
  [856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_list, 2),
  [860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern_list, 2),
  [862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1007),
  [864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1240),
  [888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [1000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [1002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [1004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [1006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [1008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(540),
  [1010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield, 1),
  [1012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [1014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [1016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [1018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [1020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__collection_elements, 3),
  [1022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [1024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [1026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__collection_elements, 2),
  [1028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [1030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [1032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [1034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_list, 2),
  [1036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 7, .production_id = 110),
  [1038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1396),
  [1040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 7, .production_id = 110),
  [1042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 6, .production_id = 98),
  [1044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 6, .production_id = 98),
  [1046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 6, .production_id = 99),
  [1048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 6, .production_id = 99),
  [1050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1389),
  [1052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1383),
  [1054] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 5, .production_id = 84),
  [1056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 5, .production_id = 84),
  [1058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [1060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_list, 3),
  [1062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [1064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [1066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [1068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [1070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [1072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [1074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [1076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [1078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [1080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [1082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [1084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(523),
  [1086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [1088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [1090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [1092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [1094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 1),
  [1096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(528),
  [1098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [1100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [1102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [1104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [1106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [1108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [1110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [1112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [1114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [1116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [1118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [1120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [1122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(507),
  [1124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [1126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [1128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [1130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_list, 2),
  [1132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [1134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [1136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [1138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [1140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [1142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [1144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [1146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [1148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 1),
  [1150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [1152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [1154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [1156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [1158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [1160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 2),
  [1162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [1164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [1166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [1168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [1170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [1172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [1174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [1176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_list, 3),
  [1178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [1180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [1182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [1184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [1186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [1188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 1),
  [1190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 5, .production_id = 69),
  [1192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 5, .production_id = 69),
  [1194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2175),
  [1196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [1198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2125),
  [1200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, .production_id = 48),
  [1202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, .production_id = 48),
  [1204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [1206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 2),
  [1208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 4, .production_id = 18),
  [1210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 4, .production_id = 19),
  [1212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [1214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [1216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 3),
  [1218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [1220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 3),
  [1222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 4),
  [1224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2139),
  [1226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [1228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2136),
  [1230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2),
  [1232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [1234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 3),
  [1236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3),
  [1238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, .production_id = 8),
  [1240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1),
  [1242] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1), REDUCE(sym_primary_expression, 1),
  [1245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1),
  [1247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__named_expression_lhs, 1),
  [1249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1),
  [1251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1),
  [1253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 5, .production_id = 77),
  [1255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 5, .production_id = 77),
  [1257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [1261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 5, .production_id = 54),
  [1263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 5, .production_id = 54),
  [1265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 6, .production_id = 77),
  [1267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 6, .production_id = 77),
  [1269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [1271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [1273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [1275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, .production_id = 28),
  [1277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute, 3, .production_id = 28),
  [1279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [1281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 4, .production_id = 54),
  [1283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 4, .production_id = 54),
  [1285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 61),
  [1287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 61),
  [1289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(459),
  [1291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 62),
  [1293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 62),
  [1295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 42),
  [1297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 42),
  [1299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2),
  [1301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2),
  [1303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(425),
  [1306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat2, 2),
  [1308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat2, 2),
  [1310] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat2, 2), SHIFT_REPEAT(485),
  [1313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1322),
  [1315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [1317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [1319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple, 2),
  [1321] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_tuple_pattern, 2), REDUCE(sym_tuple, 2),
  [1324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple, 2),
  [1326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 2),
  [1328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_pattern, 2),
  [1330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1306),
  [1332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1313),
  [1334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [1336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, .production_id = 87),
  [1338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, .production_id = 87),
  [1340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [1342] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat2, 2), SHIFT_REPEAT(457),
  [1345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(424),
  [1348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 2),
  [1350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_list_pattern, 2), REDUCE(sym_list, 2),
  [1353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 2),
  [1355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 2),
  [1357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 2),
  [1359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 4),
  [1361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 4),
  [1363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 64),
  [1365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 64),
  [1367] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 64), SHIFT_REPEAT(445),
  [1370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 3),
  [1372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 3),
  [1374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 1),
  [1376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 1),
  [1378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 2),
  [1380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 2),
  [1382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 64), SHIFT_REPEAT(459),
  [1385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2),
  [1387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2),
  [1389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 5),
  [1391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 5),
  [1393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 6, .production_id = 88),
  [1395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 6, .production_id = 88),
  [1397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [1399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 5, .production_id = 65),
  [1401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 5, .production_id = 65),
  [1403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(359),
  [1405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 3, .production_id = 93),
  [1407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 3, .production_id = 93),
  [1409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 4),
  [1411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 4),
  [1413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 4, .production_id = 108),
  [1415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 4, .production_id = 108),
  [1417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_group_clause, 4, .production_id = 108),
  [1419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_group_clause, 4, .production_id = 108),
  [1421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_group_clause, 5),
  [1423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_group_clause, 5),
  [1425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 6, .production_id = 128),
  [1427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 6, .production_id = 128),
  [1429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_group_clause, 6, .production_id = 128),
  [1431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_group_clause, 6, .production_id = 128),
  [1433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 7),
  [1435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 7),
  [1437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_group_clause, 7),
  [1439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_group_clause, 7),
  [1441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 4, .production_id = 44),
  [1443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 4, .production_id = 44),
  [1445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 4, .production_id = 21),
  [1447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 4, .production_id = 21),
  [1449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_match_statement_repeat2, 2, .production_id = 64),
  [1451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_statement_repeat2, 2, .production_id = 64),
  [1453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_statement_repeat2, 2, .production_id = 64), SHIFT_REPEAT(359),
  [1456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 3, .production_id = 21),
  [1458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 3, .production_id = 21),
  [1460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 5, .production_id = 63),
  [1462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 5, .production_id = 63),
  [1464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 5, .production_id = 45),
  [1466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 5, .production_id = 45),
  [1468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 4, .production_id = 45),
  [1470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 4, .production_id = 45),
  [1472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_statement_repeat2, 2, .production_id = 64), SHIFT_REPEAT(363),
  [1475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, .production_id = 91),
  [1477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, .production_id = 91),
  [1479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elif_clause, 5, .production_id = 62),
  [1481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 5, .production_id = 62),
  [1483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 1, .production_id = 43),
  [1485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 1, .production_id = 43),
  [1487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 5, .production_id = 48),
  [1489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 5, .production_id = 48),
  [1491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, .production_id = 68),
  [1493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, .production_id = 68),
  [1495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 6, .production_id = 69),
  [1497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 6, .production_id = 69),
  [1499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 4, .production_id = 47),
  [1501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 4, .production_id = 47),
  [1503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 104),
  [1505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 104),
  [1507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, .production_id = 116),
  [1509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, .production_id = 116),
  [1511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 107),
  [1513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 107),
  [1515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 4, .production_id = 42),
  [1517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elif_clause, 4, .production_id = 42),
  [1519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 5, .production_id = 114),
  [1521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 5, .production_id = 114),
  [1523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 5, .production_id = 111),
  [1525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 5, .production_id = 111),
  [1527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 5, .production_id = 112),
  [1529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 5, .production_id = 112),
  [1531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, .production_id = 120),
  [1533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 6, .production_id = 120),
  [1535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, .production_id = 121),
  [1537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 6, .production_id = 121),
  [1539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 3, .production_id = 48),
  [1541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 3, .production_id = 48),
  [1543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, .production_id = 122),
  [1545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 6, .production_id = 122),
  [1547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, .production_id = 123),
  [1549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 6, .production_id = 123),
  [1551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 4, .production_id = 102),
  [1553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 4, .production_id = 102),
  [1555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, .production_id = 124),
  [1557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 6, .production_id = 124),
  [1559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, .production_id = 125),
  [1561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 6, .production_id = 125),
  [1563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_match_statement_repeat2, 1, .production_id = 43),
  [1565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_statement_repeat2, 1, .production_id = 43),
  [1567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 4, .production_id = 69),
  [1569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 4, .production_id = 69),
  [1571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 5, .production_id = 113),
  [1573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 5, .production_id = 113),
  [1575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 7, .production_id = 129),
  [1577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 7, .production_id = 129),
  [1579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 7, .production_id = 130),
  [1581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 7, .production_id = 130),
  [1583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 7, .production_id = 131),
  [1585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 7, .production_id = 131),
  [1587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 7, .production_id = 132),
  [1589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 7, .production_id = 132),
  [1591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 8, .production_id = 133),
  [1593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 8, .production_id = 133),
  [1595] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, .production_id = 105),
  [1597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, .production_id = 105),
  [1599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 6, .production_id = 92),
  [1601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 6, .production_id = 92),
  [1603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, .production_id = 90),
  [1605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, .production_id = 90),
  [1607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 4),
  [1609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 4),
  [1611] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 60),
  [1613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 60),
  [1615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, .production_id = 126),
  [1617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, .production_id = 126),
  [1619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, .production_id = 94),
  [1621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, .production_id = 94),
  [1623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, .production_id = 85),
  [1625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, .production_id = 85),
  [1627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1374),
  [1629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [1631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [1633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [1635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [1637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [1639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, .production_id = 67),
  [1641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, .production_id = 67),
  [1643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 7, .production_id = 69),
  [1645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 7, .production_id = 69),
  [1647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 5, .production_id = 66),
  [1649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 5, .production_id = 66),
  [1651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, .production_id = 86),
  [1653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, .production_id = 86),
  [1655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 73),
  [1657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 73),
  [1659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 72),
  [1661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 72),
  [1663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, .production_id = 100),
  [1665] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, .production_id = 100),
  [1667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, .production_id = 109),
  [1669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, .production_id = 109),
  [1671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 4, .production_id = 49),
  [1673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 4, .production_id = 49),
  [1675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 6, .production_id = 89),
  [1677] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 6, .production_id = 89),
  [1679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorated_definition, 2, .production_id = 14),
  [1681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorated_definition, 2, .production_id = 14),
  [1683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, .production_id = 118),
  [1685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, .production_id = 118),
  [1687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 5, .production_id = 70),
  [1689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 5, .production_id = 70),
  [1691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, .production_id = 71),
  [1693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, .production_id = 71),
  [1695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, .production_id = 50),
  [1697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4, .production_id = 50),
  [1699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 9, .production_id = 127),
  [1701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 9, .production_id = 127),
  [1703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [1705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, .production_id = 115),
  [1707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, .production_id = 115),
  [1709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 3, .production_id = 93),
  [1711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 3, .production_id = 93),
  [1713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, .production_id = 117),
  [1715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, .production_id = 117),
  [1717] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 6, .production_id = 48),
  [1719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 6, .production_id = 48),
  [1721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, .production_id = 119),
  [1723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, .production_id = 119),
  [1725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, .production_id = 95),
  [1727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, .production_id = 95),
  [1729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 106),
  [1731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 106),
  [1733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [1735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [1737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [1739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [1741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [1743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__patterns, 3),
  [1745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__patterns, 2),
  [1747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 2),
  [1749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 2),
  [1751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2),
  [1753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2),
  [1755] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1455),
  [1758] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1442),
  [1761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1),
  [1763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [1767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [1769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [1771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [1773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [1777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [1779] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1),
  [1781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [1783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [1785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [1787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [1789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [1791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [1795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [1799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(966),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [1805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [1813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [1817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [1819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [1821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(975),
  [1823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [1825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1354),
  [1827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_separator, 1),
  [1829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1361),
  [1831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [1833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [1835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1010),
  [1837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [1839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [1841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [1843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [1845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [1847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [1849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [1851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [1853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [1855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [1857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1005),
  [1859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [1861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [1863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1211),
  [1865] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1451),
  [1868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 3, .production_id = 55),
  [1870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 3, .production_id = 55),
  [1872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_operator, 2, .production_id = 11),
  [1874] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_operator, 2, .production_id = 11),
  [1876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_operator, 3, .production_id = 26),
  [1878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_operator, 3, .production_id = 26),
  [1880] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1449),
  [1883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 29),
  [1885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 29),
  [1887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 3, .production_id = 56),
  [1889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 3, .production_id = 56),
  [1891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [1893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [1895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [1897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [1899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [1901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [1903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [1905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [1907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [1909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [1911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [1913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [1915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [1917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(911),
  [1919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [1921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1049),
  [1923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(943),
  [1925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1315),
  [1927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(905),
  [1929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1112),
  [1931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(955),
  [1933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [1935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [1937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1039),
  [1939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [1941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [1949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [1951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [1953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [1955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [1957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [1959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1036),
  [1961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [1963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [1965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(958),
  [1967] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1445),
  [1970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [1972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1016),
  [1974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1227),
  [1976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(984),
  [1978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [1980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [1982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(928),
  [1984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [1986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [1988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [1990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [1992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [1994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [1996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [1998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [2000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [2002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [2004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(931),
  [2006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [2008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1070),
  [2010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [2012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1184),
  [2014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1029),
  [2016] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1440),
  [2019] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1444),
  [2022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [2024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [2026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(920),
  [2028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [2030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [2032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [2034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [2036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [2038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [2040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [2042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [2044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [2046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [2048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [2050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [2052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, .production_id = 2),
  [2054] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, .production_id = 2),
  [2056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, .production_id = 15),
  [2058] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, .production_id = 15),
  [2060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1380),
  [2062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1367),
  [2064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1359),
  [2066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1360),
  [2068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [2070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [2072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(968),
  [2074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [2076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [2078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [2080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [2082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [2084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [2086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [2088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [2090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [2092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [2094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(963),
  [2096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [2098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(545),
  [2100] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1448),
  [2103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1378),
  [2105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [2107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_comprehension, 4, .production_id = 39),
  [2109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_comprehension, 4, .production_id = 39),
  [2111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple, 3),
  [2113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple, 3),
  [2115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 3),
  [2117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 3),
  [2119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_comprehension, 4, .production_id = 39),
  [2121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_comprehension, 4, .production_id = 39),
  [2123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 5),
  [2125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 5),
  [2127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 3),
  [2129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 3),
  [2131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set, 3),
  [2133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set, 3),
  [2135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [2137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [2139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call, 2, .production_id = 12),
  [2141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call, 2, .production_id = 12),
  [2143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4),
  [2145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4),
  [2147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 2),
  [2149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 2),
  [2151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5, .production_id = 38),
  [2153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5, .production_id = 38),
  [2155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, .production_id = 38),
  [2157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, .production_id = 38),
  [2159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5),
  [2161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5),
  [2163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3),
  [2165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3),
  [2167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2),
  [2169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2),
  [2171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, .production_id = 38),
  [2173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, .production_id = 38),
  [2175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_expression, 4, .production_id = 39),
  [2177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_expression, 4, .production_id = 39),
  [2179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_comprehension, 4, .production_id = 39),
  [2181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary_comprehension, 4, .production_id = 39),
  [2183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 4),
  [2185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 4),
  [2187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_splat_pattern, 2, .production_id = 7),
  [2189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_splat_pattern, 2),
  [2191] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_list_splat_pattern, 2),
  [2194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 30),
  [2196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 30),
  [2198] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 30), SHIFT_REPEAT(1005),
  [2201] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 30), SHIFT_REPEAT(2118),
  [2204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 30), SHIFT_REPEAT(1005),
  [2207] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 30), SHIFT_REPEAT(868),
  [2210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comparison_operator, 2, .production_id = 13),
  [2212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comparison_operator, 2, .production_id = 13),
  [2214] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 30), SHIFT_REPEAT(975),
  [2217] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 30), SHIFT_REPEAT(2174),
  [2220] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 30), SHIFT_REPEAT(975),
  [2223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 30), SHIFT_REPEAT(871),
  [2226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 30), SHIFT_REPEAT(978),
  [2229] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 30), SHIFT_REPEAT(2063),
  [2232] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 30), SHIFT_REPEAT(978),
  [2235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 30), SHIFT_REPEAT(885),
  [2238] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 30), SHIFT_REPEAT(1036),
  [2241] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 30), SHIFT_REPEAT(2160),
  [2244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 30), SHIFT_REPEAT(1036),
  [2247] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 30), SHIFT_REPEAT(878),
  [2250] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 30), SHIFT_REPEAT(911),
  [2253] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 30), SHIFT_REPEAT(2130),
  [2256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 30), SHIFT_REPEAT(911),
  [2259] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 30), SHIFT_REPEAT(882),
  [2262] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 30), SHIFT_REPEAT(931),
  [2265] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 30), SHIFT_REPEAT(2075),
  [2268] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 30), SHIFT_REPEAT(931),
  [2271] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 30), SHIFT_REPEAT(888),
  [2274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_splat_pattern, 2),
  [2276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_splat_pattern, 2, .production_id = 7),
  [2278] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 30), SHIFT_REPEAT(927),
  [2281] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 30), SHIFT_REPEAT(2049),
  [2284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 30), SHIFT_REPEAT(927),
  [2287] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 30), SHIFT_REPEAT(880),
  [2290] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 30), SHIFT_REPEAT(963),
  [2293] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 30), SHIFT_REPEAT(2087),
  [2296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 30), SHIFT_REPEAT(963),
  [2299] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 30), SHIFT_REPEAT(869),
  [2302] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2), SHIFT_REPEAT(829),
  [2305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2),
  [2307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [2309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [2311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [2313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [2315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [2317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [2319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [2321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [2323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [2325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [2327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [2329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 3),
  [2331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [2333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [2335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [2337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [2339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [2341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [2343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [2345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 3),
  [2347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [2351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [2353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [2355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [2357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [2359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [2363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [2365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 2),
  [2367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 3),
  [2369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [2371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [2375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [2377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [2379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [2381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [2383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [2385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__collection_elements, 1),
  [2387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [2389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [2391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [2393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [2395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [2397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [2399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [2401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [2403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [2405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [2407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [2409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [2411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [2413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [2415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [2417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [2419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [2421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [2423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [2425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [2427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [2429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [2431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [2433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [2435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [2437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [2439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [2441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [2443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [2445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [2447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [2449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [2451] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_with_item, 1, .dynamic_precedence = 1, .production_id = 9), SHIFT(270),
  [2454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [2456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [2458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [2460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [2462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [2464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [2466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [2468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [2470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1612),
  [2472] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [2474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [2476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [2478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [2480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [2482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [2484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [2486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [2488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [2490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [2492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield, 2),
  [2494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [2496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [2498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [2500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [2502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [2504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [2506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [2508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [2510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [2512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [2514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [2516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [2518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [2520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [2522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__f_expression, 1),
  [2524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, .production_id = 16), SHIFT_REPEAT(302),
  [2527] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, .production_id = 16), SHIFT_REPEAT(1612),
  [2530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, .production_id = 16), SHIFT_REPEAT(1612),
  [2533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, .production_id = 16),
  [2535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_expression, 3, .production_id = 23),
  [2537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_named_expression, 3, .production_id = 23), SHIFT(440),
  [2540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 3, .production_id = 22),
  [2542] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, .production_id = 23), SHIFT(564),
  [2545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [2547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [2549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean_operator, 3, .production_id = 26),
  [2551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_pattern, 3, .production_id = 27),
  [2553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_not_operator, 2, .production_id = 8),
  [2555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean_operator, 3, .production_id = 26),
  [2557] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, .production_id = 23), SHIFT(527),
  [2560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield, 3),
  [2562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 4, .production_id = 52),
  [2564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 2),
  [2566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [2568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [2570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [2572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [2574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_as_pattern, 3, .production_id = 27),
  [2576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5),
  [2578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2),
  [2580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_not_operator, 2, .production_id = 8),
  [2582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await, 2),
  [2584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await, 2),
  [2586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [2588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [2590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [2592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [2594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [2596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [2598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [2600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [2602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [2604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [2606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [2608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [2610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [2612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [2614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [2616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [2618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [2620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, .production_id = 53),
  [2622] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, .production_id = 23), SHIFT(498),
  [2625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [2627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [2629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [2631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [2633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [2635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [2637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [2639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression_within_for_in_clause, 1),
  [2641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [2643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [2645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [2647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [2649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [2651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2198),
  [2653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_named_expression, 3, .production_id = 23), SHIFT(530),
  [2656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_statement, 2),
  [2658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [2660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [2662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [2664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [2666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [2668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_statement, 2),
  [2670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [2672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 2, .production_id = 8),
  [2674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [2676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [2678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [2680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1),
  [2682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [2684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__right_hand_side, 1),
  [2686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exec_statement, 4, .production_id = 10),
  [2688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [2690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [2692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_named_expression, 3, .production_id = 23), SHIFT(453),
  [2695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_print_statement_repeat1, 2, .production_id = 8),
  [2697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [2699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [2701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_chevron, 2),
  [2703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_clause, 2),
  [2705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [2707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2),
  [2709] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(442),
  [2712] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(2177),
  [2715] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(818),
  [2718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1888),
  [2720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [2722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2110),
  [2724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comprehension_clauses, 1),
  [2726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [2728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1),
  [2730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [2732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [2734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [2736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [2738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [2740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [2742] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(516),
  [2745] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(2223),
  [2748] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(826),
  [2751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [2753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [2755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [2757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2),
  [2759] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 2), SHIFT_REPEAT(1578),
  [2762] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2), SHIFT_REPEAT(1578),
  [2765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 2),
  [2767] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, .production_id = 23), SHIFT(468),
  [2770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [2772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comprehension_clauses, 2),
  [2774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [2776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [2778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [2780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [2782] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, .production_id = 23), SHIFT(531),
  [2785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [2787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [2789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(439),
  [2792] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(2220),
  [2795] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(816),
  [2798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subscript_repeat1, 2, .production_id = 76),
  [2800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [2802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [2804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [2806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [2808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [2810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [2812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [2814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [2816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [2818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_content, 1),
  [2820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [2822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1578),
  [2824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_content, 1),
  [2826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [2828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [2830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [2832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [2834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [2836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [2838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [2840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [2842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [2844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dotted_name, 1),
  [2846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [2848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2),
  [2850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 6, .production_id = 97),
  [2852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 6, .production_id = 97),
  [2854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_argument, 3, .production_id = 23),
  [2856] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 4, .production_id = 31),
  [2858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 4, .production_id = 31),
  [2860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [2862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_parameter, 3, .production_id = 23),
  [2864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [2866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 6, .production_id = 110),
  [2868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 3, .production_id = 20),
  [2870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 4, .production_id = 84),
  [2872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [2874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_statement_repeat1, 2, .production_id = 21),
  [2876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2),
  [2878] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2), SHIFT_REPEAT(365),
  [2881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 5, .production_id = 80),
  [2883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 5, .production_id = 80),
  [2885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2),
  [2887] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 5, .production_id = 79),
  [2889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 5, .production_id = 79),
  [2891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 4, .production_id = 58),
  [2893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 4, .production_id = 58),
  [2895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_splat, 2),
  [2897] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2), SHIFT_REPEAT(398),
  [2900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [2902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 5, .production_id = 98),
  [2904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_item, 1, .dynamic_precedence = 1, .production_id = 9),
  [2906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 4, .production_id = 59),
  [2908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 4, .production_id = 59),
  [2910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_splat, 2),
  [2912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [2914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 5, .production_id = 99),
  [2916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [2918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_default_parameter, 5, .production_id = 96),
  [2920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [2922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [2924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [2926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_argument, 3, .production_id = 75),
  [2928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 1, .production_id = 4),
  [2930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 1, .production_id = 4),
  [2932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 5),
  [2934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 1, .production_id = 3),
  [2936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 1, .production_id = 3),
  [2938] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 5, .production_id = 81),
  [2940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 5, .production_id = 81),
  [2942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [2944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [2946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [2948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [2950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [2952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 4, .production_id = 41),
  [2954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [2956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [2958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [2960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [2962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dotted_name, 2),
  [2964] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2), SHIFT_REPEAT(559),
  [2967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 3, .production_id = 31),
  [2969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 3, .production_id = 31),
  [2971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [2973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_decorated_definition_repeat1, 2),
  [2975] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_decorated_definition_repeat1, 2), SHIFT_REPEAT(474),
  [2978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2),
  [2980] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2), SHIFT_REPEAT(2101),
  [2983] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2), SHIFT_REPEAT(387),
  [2986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_clause_repeat1, 2, .production_id = 101),
  [2988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [2990] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2), SHIFT_REPEAT(500),
  [2993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_within_for_in_clause, 3, .production_id = 22),
  [2995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [2997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [2999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [3001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [3003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [3005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [3007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [3009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [3011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2151),
  [3013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [3015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [3017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_format_specifier, 2),
  [3019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [3021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [3023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_format_specifier, 1),
  [3025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [3027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [3029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [3031] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2), SHIFT_REPEAT(2151),
  [3034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [3036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [3038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [3040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [3042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 3, .production_id = 17),
  [3044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [3046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [3048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [3050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [3052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [3054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [3056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [3058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 1, .production_id = 6),
  [3060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [3062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [3064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_within_for_in_clause, 4, .production_id = 52),
  [3066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 2, .production_id = 6),
  [3068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [3070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [3072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_format_specifier_repeat1, 2),
  [3074] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_format_specifier_repeat1, 2), SHIFT_REPEAT(296),
  [3077] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_format_specifier_repeat1, 2), SHIFT_REPEAT(1717),
  [3080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [3082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [3084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [3086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [3088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [3090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [3092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [3094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [3096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [3098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [3100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [3102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [3104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 3),
  [3106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nonlocal_statement, 2),
  [3108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [3110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_print_statement_repeat1, 2, .production_id = 40),
  [3112] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_print_statement_repeat1, 2, .production_id = 40), SHIFT_REPEAT(458),
  [3115] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_clause_repeat1, 2, .production_id = 103), SHIFT_REPEAT(353),
  [3118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_clause_repeat1, 2, .production_id = 103),
  [3120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [3122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 2),
  [3124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [3126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_statement, 2),
  [3128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exec_statement, 5, .production_id = 10),
  [3130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_prefix, 1),
  [3132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [3134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [3136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [3138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [3140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [3142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 1),
  [3144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [3146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [3148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_import_prefix_repeat1, 2),
  [3150] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_prefix_repeat1, 2), SHIFT_REPEAT(1756),
  [3153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nonlocal_statement, 3),
  [3155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_statement, 3),
  [3157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [3159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 2, .production_id = 17),
  [3161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [3163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [3165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, .production_id = 33),
  [3167] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, .production_id = 33), SHIFT_REPEAT(1801),
  [3170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_statement, 3),
  [3172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, .production_id = 19),
  [3174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [3176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, .production_id = 18),
  [3178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [3180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, .production_id = 32),
  [3182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_global_statement_repeat1, 2),
  [3184] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_global_statement_repeat1, 2), SHIFT_REPEAT(2213),
  [3187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [3189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [3191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [3193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [3195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [3197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [3199] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dictionary_repeat1, 2), SHIFT_REPEAT(325),
  [3202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dictionary_repeat1, 2),
  [3204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [3206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [3208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [3210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [3212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [3214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [3216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [3218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [3220] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2), SHIFT_REPEAT(493),
  [3223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__parameters_repeat1, 2), SHIFT_REPEAT(1406),
  [3226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__parameters_repeat1, 2),
  [3228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_parameter, 3, .production_id = 51),
  [3230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [3232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [3234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [3236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [3238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [3240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [3242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [3244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [3246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [3248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [3250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_format_specifier_repeat1, 1, .production_id = 57),
  [3252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_format_specifier_repeat1, 1, .production_id = 57),
  [3254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2), SHIFT_REPEAT(438),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [3259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [3261] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__simple_statements_repeat1, 2), SHIFT_REPEAT(160),
  [3264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__simple_statements_repeat1, 2),
  [3266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [3268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 3, .production_id = 24),
  [3270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [3272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [3274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [3276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [3278] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_with_clause_repeat1, 2), SHIFT_REPEAT(413),
  [3281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_with_clause_repeat1, 2),
  [3283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [3287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [3289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [3291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [3293] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2), SHIFT_REPEAT(275),
  [3296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [3298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2), SHIFT_REPEAT(508),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [3303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [3305] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2), SHIFT_REPEAT(828),
  [3308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [3310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [3312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [3314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [3316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [3318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [3320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [3322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [3324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [3326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [3328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [3330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_statement_repeat1, 2, .production_id = 46), SHIFT_REPEAT(471),
  [3333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_statement_repeat1, 2, .production_id = 46),
  [3335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_relative_import, 1),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [3339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [3341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [3343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [3345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [3347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [3349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [3351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [3355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [3357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [3359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [3361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [3363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [3365] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subscript_repeat1, 2, .production_id = 78), SHIFT_REPEAT(385),
  [3368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subscript_repeat1, 2, .production_id = 78),
  [3370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [3372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [3374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [3376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [3378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [3380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [3382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [3384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [3386] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2), SHIFT_REPEAT(830),
  [3389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [3391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [3393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [3397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [3399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [3401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [3403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [3405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(268),
  [3408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [3410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [3412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [3414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [3416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [3418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [3420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [3422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [3424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [3426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [3428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [3430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [3432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [3434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [3436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [3438] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__parameters_repeat1, 2), SHIFT_REPEAT(1405),
  [3441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [3443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [3445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [3447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [3449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [3451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [3453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [3455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [3457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [3459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_aliased_import, 3, .production_id = 34),
  [3461] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_with_clause_repeat1, 2), SHIFT_REPEAT(431),
  [3464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [3466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [3468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [3470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [3472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [3474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 1),
  [3476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [3478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [3480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [3482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [3484] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2), SHIFT_REPEAT(272),
  [3487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [3489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [3491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [3493] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, .production_id = 33), SHIFT_REPEAT(1881),
  [3496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [3498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [3500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [3502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [3504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [3506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [3508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [3510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [3512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [3514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [3516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [3518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [3520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 1),
  [3522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [3524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [3526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [3528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [3530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [3532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [3534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [3536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [3538] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2), SHIFT_REPEAT(290),
  [3541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exec_statement, 2, .production_id = 10),
  [3543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [3545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [3547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [3549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [3551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [3553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [3555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [3557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [3559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [3565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__patterns, 1),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [3571] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2), SHIFT_REPEAT(2037),
  [3574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [3576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [3578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [3580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [3582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [3584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_list_splat, 3, .production_id = 38),
  [3586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pass_statement, 1),
  [3588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 1),
  [3590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 1),
  [3592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_list_splat, 3),
  [3594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [3596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 2),
  [3598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 3, .production_id = 25),
  [3600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_positional_separator, 1),
  [3602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_from_statement, 4, .production_id = 37),
  [3604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment, 3, .production_id = 26),
  [3606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 3),
  [3608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [3610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [3612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_from_statement, 4, .production_id = 36),
  [3614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [3616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [3618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 5, .production_id = 74),
  [3620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, .production_id = 38),
  [3622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 2, .production_id = 5),
  [3624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_from_statement, 6, .production_id = 83),
  [3626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wildcard_import, 1),
  [3628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_future_import_statement, 4, .production_id = 35),
  [3630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_future_import_statement, 6, .production_id = 82),
  [3632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [3634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [3636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [3638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [3640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [3642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [3644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [3646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [3648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [3650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [3652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [3654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [3656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [3658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [3660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [3662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [3664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [3666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [3668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [3670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [3672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [3674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 5),
  [3676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [3678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [3680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [3682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [3684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [3686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [3688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [3690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [3692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [3694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [3696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [3698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [3700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [3702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [3704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [3706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [3708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [3710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [3712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [3714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [3716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [3718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [3720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [3722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [3724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [3726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [3728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [3730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [3732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [3734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [3736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [3738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [3740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [3742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [3744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [3746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [3748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [3750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [3752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [3754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [3756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [3758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [3760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [3762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relative_import, 2),
  [3764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [3766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [3768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [3770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [3772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [3774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [3776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [3778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [3780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [3782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [3784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [3786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [3788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [3790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [3792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [3794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [3796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [3798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [3800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [3802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [3804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [3806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [3808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [3810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [3812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [3814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 4),
  [3816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [3818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [3820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [3822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [3824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [3826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [3828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [3830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [3832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [3834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_parameters, 1),
  [3836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [3838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [3840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [3842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [3844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [3846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [3848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [3850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [3852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [3854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [3856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [3858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [3860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [3862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [3864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [3866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [3868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [3870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [3872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [3874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [3876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [3878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [3880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [3882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [3884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [3886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [3888] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [3890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [3892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [3894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [3896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [3898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [3900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [3902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [3904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [3906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [3908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [3910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [3912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [3914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [3916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [3918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [3920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [3922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [3924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [3926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [3928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [3930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [3932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [3934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [3936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [3938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [3940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [3942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [3944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [3946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [3948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [3950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_python_external_scanner_create(void);
void tree_sitter_python_external_scanner_destroy(void *);
bool tree_sitter_python_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_python_external_scanner_serialize(void *, char *);
void tree_sitter_python_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_python(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_python_external_scanner_create,
      tree_sitter_python_external_scanner_destroy,
      tree_sitter_python_external_scanner_scan,
      tree_sitter_python_external_scanner_serialize,
      tree_sitter_python_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
